- July 2006
	- July 31
		- Christine Herron: <a href="http://www.christine.net/2006/07/making_room_for.html">Making Room for Men at BlogHer</a>.
		- The sparks <a href="http://listics.com/20060731431">start to fly</a> over at Frank Paynter's. Hard to find a quote to pull, but he's saying publicly what a lot of people were saying privately, or in a veiled way (see <a href="http://www.scripting.com/2006/07/31.html#tooManyPitches">below</a>). Mena Trott is a former competitor of mine, so I avoided saying things specifically about her pitches, but I imagine Matt Mullenweg, who was in the audience at the time, might have felt it was unfair for her to sell TypePad, when his product is equally commendable. This is very common in tech conferences, and one of the best reasons to keep product pitches off the stage.
		- Early August travel plans. Mid-day tomorrow I leave for NYC, spend Wed and most of Thu in Gotham, and then on to Cambridge for <a href="http://wikimania2006.wikimedia.org/wiki/Main_Page">Wikimania</a>, and then Mon back to Berkeley.
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/31/ohRudyIsntThisAFunPlace.jpg" width="107" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named ohRudyIsntThisAFunPlace.jpg">That's the good news. The bad news is that the heat wave we were suffering in California will make it to <a href="http://www.rssweather.com/hw3.php?pands=10001&submit=GO">NYC</a> about the same time I do. With the added bonus of east coast humidity! So, where it's a nice cool 65 degrees in Berkeley, with no humidity, I'm going to be travelling cross country just so I can sweat like a pig. Oink oink.
		- Three years ago: <a href="http://davenet.scripting.com/2003/07/31/chrisLydonsWeblogForTheEars">Chris Lydon's weblog for the ears</a>.
		- Rocketboom <a href="http://www.rocketboom.org/2006/07/rocketboom_to_create_ads_for_t_1.html">has</a> a new sponsor. 
		- Post-BlogHer thoughts
			- These are some random notes on the day after BlogHer. They're in no special order, and conclusions are scattered all through the narrative, organized thoughts will come later, maybe much later. 
			- BlogHer this weekend created a lifetime of memories. Women are different from men, here I am at age 51, and I've still got more to learn. They come in all ages, shapes and sizes and they came from all over the world. 
			- Women are generally more supportive of each other than men are, and they're surprised to hear this, although I've known that for a long time (and <a href="http://davenet.scripting.com/1998/01/01/menStaySilent">wrote</a> about it). They still think there's a secret club of men, some sort of handshake that we use help each other rise to the top and run the world. Oh man. If only. ";->"
			- More and more I learn that point of view means everything, and you can never understand what someone else sees without asking. I saw this in myself, and in the women. 
			- <a href="http://en.wikipedia.org/wiki/Thelma_&_Louise"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/31/thelmaLouise.gif" width="125" height="98" border="0" align="right" hspace="15" vspace="5" alt="A picture named thelmaLouise.gif"></a>Now I want a gender-neutral version of BlogHer. I want men like myself to have a place to do what they do at BlogHer. BloggerCon is not quite that, esp for the last two which have been on the west coast. Both are user conferences, but they don't have to fight so hard for that at BlogHer. A lot of people who come to BloggerCon still think it's an industry event. That creates disharmony. There's a difference between an insider's conference, and an inclusive one. There's no way to have a blogger's conference that isn't a user's conference too, imho. 
			- The commercialism that bothered some wasn't in my way. That's not to say that they shouldn't tone it down next time, they should. <a name="tooManyPitches"></a>Sponsors should not be on stage giving pitches. It sets the wrong tone, and excuses speakers for doing the same. I was embarassed for some of the speakers who did the usual thing, told stories to set up product pitches. That leaves you with a slimy feeling, mostly about them at a conference like this, where the idealism was the current driving the people. At tech events it's different, where cynicism is the undercurrent. 
			- I think it was Scoble who said he wished college had been like this. Amen. The ratio was great, probably 20-to-1 women to men. And these weren't ordinary women. They were (as Ze likes to say) hard chargers. I was really impressed with <a href="http://radio.weblogs.com/0121664/">Dina</a>, the tsunami blogger from India, what character, what a force of nature, what an intellect. I was saying that out loud and one of the Hers turned around and with one look said "Hey that's what this place is about." 
			- Some adjectives: They were good-natured, friendly, flirty, exceptionally beautiful, smiling, and glad to see guys like me there. 
			- They are beautiful babes, but not like like booth bimbos, more like <a href="http://en.wikipedia.org/wiki/Thelma_&_Louise">Thelma and Louise</a>. So you got a great ratio, and they're smart and driven, but that's not all -- they're also bloggers! Which means I don't have to explain what blogging is. One of the speakers said that since she started blogging her friends don't ask how she is, they already know. Of course I've had that experience many times myself, but in this context, many of the people I talked to were readers, who understood what I have been writing in ways that my male readers generally don't. So they not only know how I am, but they have an idea of <i>who</i> I am too.
			- Okay, so the hotel sucked, and there was too much commercialism, and my feet hurt, but who could notice all that, when the enviroment is all that incredible female energy. It was totally inspiring, and I don't think they'll mind my saying, totally sexy. If there is a heaven, I hope this is what it's like. ";->"
			- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/31/gracecard.gif"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/31/gracesmall.gif" width="95" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named gracesmall.gif"></a>And then there's <a href="http://gracedavis.typepad.com/">Grace Davis</a>. At a convention of hard-charging alpha females, she stands out, in so many ways, and we have much in common, as much as we are opposites. First, we're both 51, and basically happy with it. We talked about that. We're both from the Bay Area, but from opposite ends, she from Santa Cruz and me from Berkeley. But then the politics of both places are more or less the same, wacked out left coast political hippie. She worked to save New Orleans in the aftermath of Katrina, and I went down to have a look post-Katrina. Neither of our work is done, but I have a strong feeling that the connection betw Grace and myself is going to create a path that lots of men and lots of women go down, working together, to make the world a happier, more fair and better-running place. 
			- I could keep going. I'd like to write a paragraph about Ponzi, and Betsy, Zadi, Amanda, Maryam, Jory, Lisa, Elisa, Marra -- and the men of BlogHer, who may be the happiest men on the planet. (And a callout to <a href="http://blog.guykawasaki.com/">Guy Kawasaki</a>, an old friend I had not seen in many years. Now that we're neighbors again, let's not be strangers.)
	- July 30
		- <a href="http://www.rocketboom.net/jetset/episodes/002B/jss002b_20060609.mov"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/30/jetset.jpg" width="65" height="135" border="0" align="right" hspace="15" vspace="5" alt="A picture named jetset.jpg"></a><a href="http://blogs.opml.org/dwatts/2006/07/29#thiefYourDeedHasCausedMeUntoldGrief">Donavan Watts</a>: "A thief entered the house I was house-sitting for a friend in San Francisco last night. As I slept, the thief took my laptop, backpack, iPod, Pocket PC mobile phone, wallet, and faith in humanity. Save for me and my vehicles, Daisy and Niko, the entire Go! Team was wiped out in one fell swoop." A PayPal button might help restore your faith. Also, I made a snapshot of your folder on the OPML server, so you did not lose your website content. Let me know when you want a Zip file and where to send it.
		- JOHO: <a href="http://www.hyperorg.com/blogger/mtarchive/ten_reasons_vacations_are_wors.html">Ten reasons vacations are worse than real life</a>.
	- July 29
		- <a href="http://workerbees.typepad.com/BlogHer06DayTwo_WEB.html">Schedule</a> for Day 2 of BlogHer.
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6124.MOV">Lizz Dunn</a> of Technorati shows off before lunch.
		- Elisa Camahort: "Blogging is the gateway drug of technology."
		- <a href="http://betsydevine.weblogger.com/2006/07/29#a2792">Betsy Devine</a>: "I love this conference."
		- <a href="http://hosting.opml.org/amyloo/osite/help/howtos/distdir.htm">Amyloo tutorial</a> on distributed OPML directories.
		- <a href="http://familyoralhistory.us/">familyoralhistory.us</a> "explores how to use digital tools and media to record and preserve spoken memories of family members."
		- <a href="http://groups.yahoo.com/group/podcast-directory/message/126">Tom Morris</a>: "From OPML seeds, big, bushy buds of OPML can flower."
		- <a href="http://www.nytimes.com/2006/07/29/technology/29phones.html?_r=1&oref=slogin">NY Times</a>: "What if, instead of burning up minutes on your cellphone plan, you could make free or cheap calls over the wireless networks that allow Internet access in many coffee shops, airports and homes?"
		- Rex Hammock <a href="http://www.rexblog.com/2006/07/29#a11030">celebrates</a> Doc Searls <a href="http://doc.weblogs.com/2006/07/29#milesToGo">birthday</a>. To which I add, glad you're still alive Doc. And glad we are contemporaries. 
		- If you create a new account on <a href="http://www.box.net/">box.net</a> you'll get a <a href="http://images.scripting.com/archiveScriptingCom/2006/07/29/boxnetscreen.gif">folder</a> of electronic schwag from BlogHer.
		- <a href="http://blogs.opml.org/amyloo/2006/07/28#talkingBackToMyAggregators">Amyloo</a>: "Aggregators ought to accept URLs of OPML files."
		- <a href="http://davenet.scripting.com/1995/11/02/newcaveneedscurtain">11/2/95</a>: "Our new cave needs curtains and party favors."
		- Notes from last night's party
			- I had a wonderful time tonight. Met so many wonderful people, most of them women. Lot's of bonding. No bad vibes, not even a teeny bit. I loved all the attention.
			- <a href="http://maryamie.spaces.msn.com/blog/cns!9592F3DEF41537A3!1941.entry?_c11_blogpart_blogpart=blogview&_c=blogpart#permalink">Maryam Scoble</a>: "There are rooms full of beautiful, smart and smiling women here at Blogher."
			- It's so true Maryam. For example, when I had trouble getting online <a href="http://www.scripting.com/2006/07/28.html#When:12:15:26PM">yesterday</a>, it was <a href="http://blogher.org/blog/zadi-diaz">Zadi Diaz</a> who helped me figure out what was wrong. Man, I think I must have died and went to heaven. 
			- <a href="http://www.flickr.com/photos/stevegarfield/200983089/">A great picture</a> of Steve Garfield, Amanda Congdon and Zadi Diaz taken last night.
	- July 28
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6090.MOV">Grainy movie</a> of videoblogging session at BlogHer. 
		- Ryanne Hodson loves <a href="http://blip.tv/">blip.tv</a>. I just signed up and <a href="http://blip.tv/file/55109">uploaded</a> the grainy movie from this session.
		- <a href="http://www.zefrank.com/theshow/archives/2006/07/072706.html#">Ze Frank on profiteering</a> by YouTube and other Web 2.0 companies. If you're investing in "business models" that assume that "users" who "generate content" are going to remain naive forever, you might want to <a href="http://www.zefrank.com/theshow/archives/2006/07/post_4.html">listen</a> to Ze on this subject. 
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6089.MOV">Movie</a> from lunch keynote at BlogHer.
		- <a href="http://www.flickr.com/photos/scriptingnews/200527828/in/photostream/">Photo</a>: BlogHer chicks nerding out during an informative talk about RSS and accessibility. 
		- <a href="http://www.flickr.com/photos/scriptingnews/200495743/">Photo</a>: BlogHer chicks nerding out during lunch keynote panel. 
		- <a href="http://www.scripting.com/2006/07/28.html#marcCanterAtBlogher">Marc Canter engages</a> in dialog with the speakers. I have a rule, no questions or comments from Dave. I'm here as a guest, as an observer. Marc doesn't have such a rule, leading to an outrageously funny exchange, that cracked me (and no one else) up.
		- 12:30PM -- The net connection here has been really flaky. A couple of really good sessions, and until the lunch keynote panel, very informative and not much self-promotion. 
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6077.MOV">Movie</a> from a first-day session. 
		- I was having trouble getting online, and a bunch of people offered help. It must have appeared to be an interesting scene, here's the poor helpless male geek being assisted by a bunch of beautiful babes. We did get it working. 
		- Checking in live from Blogher. Everyone's been very nice, lots of kissing and hugging. Total affection overload here. I'm just an observer so far, it's very relaxing. 
		- They're conspiicuously inclusive of men, it's probably not a big deal for them, but it is for me. 
		- It's also a fairly racially mixed group, much more so than the usual tech conference. 
		- <a href="http://www.flickr.com/photos/scriptingnews/200375063/">Phil Hollows</a> has an RSS-to-email service called <a href="http://www.feedblitz.com/">FeedBlitz</a>, think of it as an aggregator that delivers new stuff in email messages. Good idea. Now here's something really interesting -- his service <a href="http://feedblitz.blogspot.com/2005/12/public-beta-feedblitz-adds.html">supports</a> OPML reading lists. He wants a public place for OPML file hosting. I'm sure we can figure something out. ";->"
		- <a href="http://ted.aol.com/index.php?id=305">Ted Leonsis</a>: "The Long Tail theory says that every deal has value and that lots of singles aggregate up to more than one home run." Interesting way of looking at it. That's also the theory of <a href="http://www.wwnorton.com/catalog/spring04/032481.htm">MoneyBall.</a>
		- New directory: <a href="http://podcasting.opml.org/Mainstream%20media/C-SPAN/">C-SPAN podcasts</a>.
		- <a href="http://blogs.opml.org/tommorris/2006/07/28#When:8:39:47AM">Thanks Tom</a>, for doing the C-SPAN podcasts directory, and embracing the small-is-beautiful approach. Little morsels of directory-ness make lots of things possible, and increase the likelihood of a thousand flowers blooming.
		- <a href="http://www.paidcontent.org/bittorrent-client-azureus-raises-funding-goes-commercial-developing-hd-platform">According to PaidContent</a>, the bit, <a href="http://www.scripting.com/2006/07/28.html#When:1:40:39AM">below</a>, about Azureus getting funded is news. 
		- <a href="http://workerbees.typepad.com/BlogHer06DayOne_WEB.html">Schedule for Day 1 at BlogHer</a>. I already feel weird being here. Lots of shrieking and giggling in the hotel lobby while I was waiting to check in. What a weird place. First thought, I feel as out of place here as women probably feel at most tech conferences. I have to remind myself that it's not dangerous here. I think. ";->"
		- Remember <a href="http://intepid.com/2005-05-28/00.20/">Dixie podcast</a> experiment?
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/28/frog.jpg" width="65" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named frog.jpg">Had an enjoyable dinner this evening in downtown Palo Alto. Walking back to the car after dinner I noticed a hand-written sign on an office door. It said Azureus. Apparently there's a company behind the software? <a href="http://www.bvcapital.com/portfolio/show/azureus">Yup</a>. They've raised VC. Now there's someone to tell me <a href="http://www.azureuswiki.com/index.php/Intel_Macs">why Azureus</a> doesn't work on my Intel Mac..
		- <a href="http://www.docuverse.com/blog/donpark/EntryViewPage.aspx?guid=6b533eb3-e394-441b-a9af-d46db4e9ecca">Don Park</a> has run into an enjoyable podcast that he wants to share. 
		- Marc Canter at BlogHer
			- Marc: What's the difference between a widget, a plug-in and an add-on?
			- Moderator: It's really just semantics.
			- Marc: Does that have something to do with The Semantic Web?
		- Another Marc Canter story
			- A beautiful blonde congratulates me, while I'm sitting with my sister-in-law, on the success of <a href="http://peopleaggregator.net/homepage.php">PeopleAggregator</a>. 
			- We look at each other: "She thinks you're Marc Canter."
			- Someday I'll wake from a bad dream, relieved to find that I am not Marc Canter, and this is exactly how I'll feel.
	- July 27
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6069.MOV">A movie snapshot</a> of Steve Wozniak at AlwaysOn.
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6066.MOV">A movie snapshot</a> of Paul Saffo's panel at AlwaysOn. 
		- Amyloo is <a href="http://hosting.opml.org/amyloo/readinglists/bloghercoveragereadinglist.opml">maintaining</a> a <a href="http://sndirectory.worldoutline.com/BlogHer%20reading%20list/">reading list</a> of bloggers blogging BlogHer.
		- <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6059.MOV">Here's a movie of a panel</a>. It's been so long since I've sat through one of these things. I keep thinking of things I'd like to add, or questions I'd like to hear them address. No way to do that. Basically they're all ads for companies. I assume they pay for the right to be part of the panel. 
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/27/donquixote.gif" width="65" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named donquixote.gif">Checking in <a href="http://www.flickr.com/photos/scriptingnews/sets/72157594214298067/">live from AlwaysOn</a> in Palo Alto. I was able to talk my way in w/o paying the money. Paul Jacobs, the CEO of Qualcomm is talking now. The guy <a href="http://static2.podcatch.com/blogs/gems/support/DSCN6052.MOV">talks in a drone</a>, and he's going to be on for 1/2 hour. Oy I can tell this is going to be <a href="http://www.scripting.com/2006/07/26.html#When:12:59:28AM">hard work</a>. The wifi here is awesomely fastttt. I uploaded the 2.9MB movie in a few <i>seconds. </i>
		- They project the <a href="http://www.flickr.com/photos/scriptingnews/199885014/in/set-72157594214298067/">IRC discussion</a> on the screen. It's off on the side, no one is watching it.
		- From <a href="http://www.rocketboom.com/vlog/archives/2006/07/rb_06_jul_26.html">yesterday's</a> Rocketboom, <a href="http://www.catsthatlooklikehitler.com/">catsthatlooklikehitler.com</a>.
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/27/milviaStBerkeley.jpg">New header graphic</a>. Milvia St <a href="http://www.flickr.com/photos/scriptingnews/152161812/">in</a> Berkeley.
		- Nathan Myhrvold
			- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/27/nathanbig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/27/nathan.jpg" width="125" height="169" border="0" alt="A picture named nathan.jpg"></a>
		- Podcast directory update
			- I spent the first few days of the week working on static rendering for the podcast <a href="http://podcasting.opml.org/">directory</a>, and I almost had it done when I found a performance bug in the dynamic version, and now its <a href="http://images.scripting.com/archiveScriptingCom/2006/07/27/perf.gif">running</a> very smoothly, and I don't need the static rendering. Why does it always work this way? ";->"
			- So now I'm ready for the next step. Remember, I want to go slow on the organization of the directory, and make decisions I'm reasonably confident in, because the cost of making a bad decision is either: 1. Living with it, or 2. Linkrot. 
			- I'm confident that a separate top-level <a href="http://podcasting.opml.org/Mainstream%20media/">section</a> for mainstream media podcasts is a good idea. A bunch of news organizations are putting real effort in creating useful news, science, business and lifestyle podcasts. 
			- There also appears to be a strong interest in geographic-based sub-directories, although I personally don't share the interest. Maybe at a micro level, it might be interesting to have a list of podcasts actively produced in, and about a smallish city, like Berkeley for example, because it could foster a community, provide a backbone for meetups. Or it could go the other way, it could be an activity for a group that already exists. An OPML directory of Berkman Center podcasts would be interesting. But a directory of podcasts from Holland or Canada, two hugely large and diverse places, seems an exercise without much purpose. However, because there is significant support for geography-based lists, I made a second top-level <a href="http://podcasting.opml.org/By%20geography/">section</a> for them.
			- I left copies in the New Branches section because I've added redirects. For example, if you click on the <a href="http://podcasting.opml.org/New%20branches/CNN%20podcasts/">old link</a> to CNN podcasts, it takes you to the new location. And the redirect nodes, while they are in <a href="http://hosting.opml.org/dave/podcasting.opml">the OPML</a>, are not displayed in the directory <a href="http://podcasting.opml.org/New%20branches/">rendering</a>. (This is obviously technical stuff, mentioned here for people who are following OPML technology. I'll have to write this up in more detail, later.)
			- Also I see a little bit of commercialism in the directories. I'm not going to point to anyone, because I think it's innocent, but it's gotta go. If you find yourself wanting to promote one of your own sites in your directory, don't do it. I'm going to wait a few days, hopefully the commercialism will go away, if not, the directories that are doing it will be removed. 
		- Let's fork now and stay friends
			- As you might imagine <a href="http://www.scripting.com/2006/07/27.html#podcastDirectoryUpdate">this</a> has spawned a vigorous <a href="http://groups.yahoo.com/group/podcast-directory/message/101">discussion</a> on the podcast-directory mail list. The usual stuff, which will get resolved, imho, the usual way -- by forking. 
			- So let's fork now and stay friends. 
			- The only way to have fun is to have <i>lots</i> of ways of organizing podcasts. In the early days of blogging, when I said that there would be a millions blogs, there were a lot of snickers. It was an audacious idea, but today there <i>are</i> millions. (I actually said <a href="http://davenet.scripting.com/1995/02/18/billionsofwebsites">billions</a>, not millions.)
			- There will be millions of lists of favorite podcasts, organized in all the ways you can imagine. There's no point arguing about how The One True Podcast Directory For All Time will be organized, because it's something that can't last more than a nano-second before it gets forked. 
			- So let's fork now and stay friends.
	- July 26
		- Here's the Rexblog's first-ever <a href="http://www.rexblog.com/2006/07/26#a10998">Web 2.0 scoop</a>.
		- <a href="http://www.feedblog.org/2006/07/will_digg_relea.html">Kevin Burton suggests</a> that Digg embrace RSS. Seems like a no-brainer to me. ";->"
		- Frank Barnako: <a href="http://www.marketwatch.com/News/Story/Story.aspx?guid=%7BB24A1AA6%2DED18%2D4FD6%2D8114%2D7127D5992AFC%7D&dist=rss&siteid=mktw&rss=1">Million-dollar podcasting</a>. <i>Hmmm.</i>
		- <a href="http://www.betterbadnews.com/65">BetterBadNews asks</a> if videoblogging is art.
		- <a href="http://krose.typepad.com/kevinrose/2006/07/calacanis.html">Digg's Kevin Rose</a> responds to Jason Calacanis, but doesn't really respond. Jason raises a good question. No doubt Kevin is going to make something like $20 or $30 million when he sells Digg, which seems a pretty likely outcome. What will the users get? It's a bit awkward for him to claim they do it for love if he himself doesn't do it for love. As always Silicon Valley breeds hubris, that's what Calacanis is taking advantage of, and doing it skillfully and without shame. If a lot of people didn't agree with him he wouldn't get away with it (Calacanis, that is).
		- <a href="http://www.techcrunch.com/2006/07/26/daylife-peeks-from-behind-the-curtains/">Mike Arrington</a> is also a Daylife investor.
		- <a href="http://www.scripting.com/2003/06.html#windmills"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/26/donquixote.gif" width="65" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named donquixote.gif"></a>I was trying to explain to a friend how much smarter we were when we were kids before we learned so much. I'm not kidding. An example. Ask an adult how hard it is to not smoke. Most likely they will say that it's very hard. But ask a kid, and they'll tell you it's easy, you just don't do it. See how much sense that makes, but to the adult mind it's a mystery. Which is more work, smoking or not smoking? Obviously smoking is more work. You have to take a cigarette out of a pack, pick up a lighter, ignite the lighter, ignite the cigarette, take a puff, take another, tap off the ash (after you find an ashtray), take more puffs, then put it out. Compare that to the act of not smoking. You just sit there, and you don't have to do any of that. You can just sit there and do <i>nothing</i> and you're not smoking. It's so simple a kid understands it, and so simple an adult doesn't. 
		- I wrote <a href="http://www.scripting.com/2002/07/26.html#dearAsshole">something</a> about this four years ago today after 42 days of not smoking. It's four years later and my record is still perfect. No cigarettes. Easy!
		- 100 years ago
			- Here's a picture taken over a hundred years ago. Every person in the picture is dead. The person who took the picture is dead. Almost every person who was alive then is dead now. But there they are looking out at you through my weblog. What a strange thing. I wonder what devices a picture of my face will look out from 100 years from now. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/26/baseballCrowd.jpg" width="320" height="192" border="0" alt="A picture named baseballCrowd.jpg">
			- Do you know that in Silicon Valley they have parties where someone says to the host that if they invite Dave Winer they won't come. What do you think the people in the picture think about that! Do you think anyone will care 100 years from now?
	- July 25
		- <a href="http://support.opml.org/2006/07/25#a1362">How to edit</a> an outline for the podcast directory.
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/25/jesusChristIsComing.jpg" width="78" height="189" border="0" align="right" hspace="15" vspace="5" alt="A picture named jesusChristIsComing.jpg"><a href="http://www.timeshifted.org/blog/?p=117">Mark Chernesky</a> is absolutely right about the NY Times podcasts, they are poorly titled, and that makes it really hard to figure out what you're getting when you look at the files that show up on your computer. Many of the feeds <a href="http://images.scripting.com/archiveScriptingCom/2006/07/25/untitled.gif">don't have titles</a> (Arrrrk!) so they end up in the Untitled feeds <a href="http://images.scripting.com/archiveScriptingCom/2006/07/25/untitledFeedsFolder.gif">folder</a> along with all kinds of eastern European podcasts (just kidding, I have no idea where they're from). Because it's the Times I'm willing to work a little harder, but it would be great to get their feeds properly annotated so what shows up on my hard drive makes sense. 
		- Robert Safuto is <a href="http://podcasting.opml.org/New%20branches/New%20branches%20from%20mail%20list/Mail-list%20submitted%20branches/">tracking</a> all the OPML files that are announced on the podcast-directory <a href="http://groups.yahoo.com/group/podcast-directory/">mail list</a>. Think of this as a staging area inside the staging area, a place where we get to see how things are shaping up before deciding on new categories. There's nothing more disappointing than a section of an outline with a single sub-head. 
		- I haven't written about Jay Rosen's <a href="http://journalism.nyu.edu/pubzone/weblogs/pressthink/2006/07/25/nadn_qa.html">announcement</a> because I don't know what to make of it. I've read his description, and writeups by <a href="http://www.techmeme.com/060725/p24#a060725p24">lots</a> of senior bloggers. His project is an idea, it's still got to boot up, and I'm not sure how that happens. Of course because it's Jay Rosen, who I admire (and I'm hardly alone in that) I'll watch, with careful attention. 
		- Buried in Jeff Jarvis's <a href="http://www.buzzmachine.com/index.php/2006/07/25/newassignmentnet/">writeup</a> is a <a href="http://images.scripting.com/archiveScriptingCom/2006/07/25/daylife.gif">description</a> of a startup called <a href="http://daylife.com/">Daylife</a>. As far as I know this is the first public description of the service, which I saw in April when I visited NY. I liked it so much I bought some stock. Keep your eye out for the official launch. ";->"
		- <a href="http://sfgate.com/cgi-bin/article.cgi?f=/c/a/2006/07/25/WEATHER.TMP">SF Chronicle</a>: "Fog rolled into the Northern California coast Monday afternoon, the first sign of a gradual cooling that will bring temperatures back to normal within a few days." 
		- Two outstanding podcasts
			- I've discovered lots of new podcasts in the last few days, but two really stand out. 
			- 1. <a href="http://podcasting.opml.org/New%20branches/New%20York%20Times%20podcasts/Times%20Talks/">Times Talks</a> is a series of hour-plus long interviews, a lot like the public symposia at Harvard, or meetings of the Commonwealth Club in the Bay Area. So far I've listened to two authors <a href="http://podcasts.nytimes.com/podcasts/2006/05/05/05timestalks.mp3">interviewed</a> about a <a href="http://www.nytimes.com/2006/03/28/books/28nayl.html?ex=1301202000&en=ab9e2aaba563cfa9&ei=5088&partner=rssnyt&emc=rss">book</a> on how we went to war in Iraq, and an <a href="http://podcasts.nytimes.com/podcasts/2006/04/03/03timestalks.mp3">interview</a> with science fiction author <a href="http://www.williamgibsonbooks.com/">William Gibson</a>. I like the long form podcasts because I listen on my daily walk. It gives my mind something interesting to process while my body is getting some exercise. 
			- 2. <a href="http://podcasting.opml.org/New%20branches/CNN%20podcasts/CNN%20Long%20Form%20Programming/">CNN Long Form Programming</a> is a series of interviews with CNN reporters, each lasting about a half hour, explaining their assignment -- what it's really like there. Very different from the superficial stuff we get in their TV reports. So far I've listened to reporters talk about <a href="http://i.a.cnn.net/cnn/services/podcasting/long.form/audio/2006/06/iranpodcast.mp3">Iran</a> and <a href="http://i.a.cnn.net/cnn/services/podcasting/long.form/audio/2006/06/iraqpodcast.mp3">Iraq</a>. I learned more in these reports than I have in a year of trying to watch Anderson Cooper and Larry King. The podcasts are intelligent people talking to intelligent people about things that are really important. Unlike the dumbed-down crap we get in the official channels. One imagines the CNN reporters look forward to these podcasts because they rarely get to do "long tail" like story telling, which is probably why they got into journalism in the first place. 
		- Let's ask what RSS is
			- <a href="http://www.dead20.com/2006/07/23/ask-skeptics-mom-whats-rss/">Dead 2.0 asks</a> his mom (she's smart about technology) to tell him what RSS is. At first she can't explain it, so she looks it up on Google, and is no wiser. 
			- Me, I'm glad we're talking about this. 
			- When you look at the results of the Google search, it's angry geeks complaining about RSS and saying they know the better way to do it.
			- It's as if the "What is a car?" page was a battleground between people who prefer <a href="http://rasterweb.net/raster/2006/07/25/the-wanker-standard/">wanker</a> engines over internal combustion engines. To most people a car is something you use to drive places.
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/25/suckmyfeed.gif" width="80" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named suckmyfeed.gif">When people ask me what RSS is good for, I start with "automated web surfing." It gets you more news for the time you put into using the Internet. If you don't want more news then RSS is probably not for you. But if there are subjects that you are intensely interested in, and if the people covering the topics also offer the information in RSS, then your computer (or a web site) can make web surfing a richer and perhaps more productive experience.
			- I could write about this (and <a href="http://www.google.com/search?q=%22automated+web+surfing">have</a>), but it would be widely flamed about, by the same people who control the conversation on Google. 
			- Bonus link: <a href="http://news.bbc.co.uk/2/hi/technology/4421707.stm">Jo Twist wrote</a> an excellent What Is RSS piece for the BBC.
			- <a href="http://www.rexblog.com/2006/07/25#a10973">Rex Hammock</a> has a better <a href="http://www.google.com/search?q=things+you+can+do+with+RSS&start=0&ie=utf-8&oe=utf-8&client=firefox-a&rls=org.mozilla:en-US:official">search term</a> for getting useful info about RSS.
	- July 24
		- <a href="http://blogs.zdnet.com/Ou/?p=276">George Ou</a>: "The weather here in Silicon Valley is at peak levels over 100 degrees and the power in our neighborhood along with tens of thousands of others went out."
		- <a href="http://www.cnn.com/services/podcasting/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/24/cnn.gif" width="89" height="43" border="0" align="right" hspace="15" vspace="5" alt="A picture named cnn.gif"></a>Mark Chernesky, web development director at CNN who is deeply involved in <a href="http://podcasting.opml.org/New%20branches/CNN%20podcasts/">CNN's podcasting efforts</a>, offers <a href="http://www.timeshifted.org/blog/?p=116">$100</a> for the new podcast directory, and a newly updated <a href="http://www.cnn.com/services/podcasting/CNN.opml">OPML file</a>, which is now part of the <a href="http://podcasting.opml.org/New%20branches/">New Branches</a> section of the rebooted directory.
		- <a href="http://dabble.com/">Dabble</a>: "Search, collect and organize your favorite web videos."
		- Tomorrow, the <a href="http://stanfordsummit.goingon.com/permalink/post/866">AlwaysOn conference</a> starts at Stanford. It's a bit too <a href="https://www.alwayson-network.com/store/ao2006/?t_ref=AOHP1">pricey</a> for my budget. Quite a line-up. The webcast is free. Hope their air conditioning works! ";->"
		- <a href="http://blogher.org/node/7961">Elisa Camahort</a> would like to talk about the <a href="http://images.scripting.com/archiveScriptingCom/2006/07/24/2morrowbetteryeahsure.gif">weather</a>. They've been predicting a break in the heat wave every day for the last week, and then it gets hotter every day than the day before. At some point it has to break, right? In the meantime it's freaky hot here, very unusual. 
		- <a href="http://www.scripting.com/2002/07/24.html#peopleWithGoodHearts">Four years ago today</a>: "Being kind to each other doesn't have to interfere with being true to ourselves."
		- Reminder: <a href="http://www.scripting.com/images/asknot.gif">Ask not what</a> the Internet can do for you...
	- July 23
		- <a href="http://doc.weblogs.com/2006/07/23#netNativeVsNetNaive">Doc Searls</a>: "I thank Edwards too."
		- <a href="http://pbwiki.com/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/23/pb.gif" width="87" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named pb.gif"></a>Okay, here's a feature I want to implement, to connect directory pages with a page on the wiki. I want to generate a URL into the wiki, and then when someone clicks on it, and the page doesn't exist, the wiki offers to create it for you. I tried this with <a href="http://pbwiki.com/">PB Wiki</a>, to see if it works, I thought it might, but alas it doesn't. Is there something I need to put on the URL to get it to offer to create a page? <a href="http://scripting.wordpress.com/2006/07/23/scripting-news-for-7232006/#comment-6442">Do other wikis</a> have this feature? Here's a <a href="http://images.scripting.com/archiveScriptingCom/2006/07/23/wikishot.gif">screen shot</a> of a <a href="http://podcasting.opml.org/About%20this%20directory/Philosophy/">page</a> with the wiki link. And here's a <a href="http://images.scripting.com/archiveScriptingCom/2006/07/23/wikipage.gif">shot</a> of the <a href="http://podcast-directory.pbwiki.com/podcastingOpmlOrg/aboutThisDirectory/philosophy">page</a> it links to.
		- I'm learning a lot, as I start working on the podcast directory. For example, I didn't know that NBC News provides the full <a href="http://podcasting.opml.org/New%20branches/NBC%20News%20podcasts/Nightly%20News%20with%20Brian%20Williams/">Nightly News</a> with Brian Williams in podcast. This is quite useful, I'm almost never around to watch TV when the news is on, and frankly it's a waste of human bandwidth for me to <i>watch</i> the news. I can listen while doing other things. Until now the only daily news I was getting via podcast was the <a href="http://podcasting.opml.org/New%20branches/NPR%20podcasts/News%20and%20Politics/NewsHour%20with%20Jim%20Lehrer/">News Hour</a> with Jim Lehrer. 
		- I wonder if the media organizations are watching this. I've created, by hand, the OPML files for <a href="http://hosting.opml.org/dave/nbcNewsPodcasts.opml">NBC</a> and the <a href="http://hosting.opml.org/dave/nytimesPodcasts.opml">NY Times</a>. This is something they must actually do for themselves, because I won't know when these files need updating. But I don't mind helping get things started, that seems to be my job. If you need some pointers, please <a href="http://www.reallysimplesyndication.com/profiles/sendMail?usernum=304&referer=http://www.scripting.com/">get in touch</a>, or join the directory editors <a href="http://groups.yahoo.com/group/podcast-directory/">mail list</a> if you can. 
		- New directory branch for <a href="http://podcasting.opml.org/New%20branches/Dutch%20podcasts/">Dutch podcasts</a>.
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/23/mrNatural.gif" width="105" height="105" border="0" align="right" hspace="15" vspace="5" alt="A picture named mrNatural.gif">I've gotten a bunch of emails asking how to add a site to the directory. Because we're going slow, and I'm sort of feeling my way through this, there is no way. I've started lots of directories, some that work, some that became disorganized messes. I've learned that the only way to end up with something good is to go slow. That said, I'm not going to be able to do what everyone wants me to do, so that will create the need for more directories. That's fine and good and right. There shouldn't be one directory any more than there should be one weblog. But if we do things right, the atomic units will be small enough so that they can fit into lots of different structures. So topics like New York or Minnesota podcasts are small enough to fit in. So far, sorting by geography seems to work. Of course that's just one way to organize.
		- <a href="http://sheila.inessential.com/oleAndLena">Ole and Lena jokes</a> never go out of style.
		- A year ago today, a drive <a href="http://mp3.morningcoffeenotes.com/movies/charlesRiverTaxiRide.mov">along the Charles River</a> in Cambridge.
		- You <i>did</i> know the flamers were coming...
			- <a href="http://www.datasetgo.com/blog/wordpress/2006/07/23/where-the-trouble-begins/">Here's a dark cloud</a> on the podcast directory project. I don't know who the guy is, but I'm not a gatekeeper, route around me, please, right now. If you're going to flame about it, let's see if people really want the directory enough to stand up to the BS. I'm just doing a directory, it's not the only one, not by any stretch of the imagination. And the OPML that people generate for my directory can be included <i>in any other directory.</i> What I'm contributing is promotion and an example for people to copy. If people would rather I didn't, no problem, I've got plenty of stuff to do.
		- New Spa Per
			- Are you tired of pros, like the New York Times, writing "Web log" when the correct word is weblog or blog? 
			- Both are in common usage, they're even in the <a href="http://www.oed.com/">OED</a>, so why does the Times persist in knowing better? 
			- How would they feel if we wrote about their product as a New Spa Per? Nahhh, that would be immature. 
			- Maybe they could accept blogging for what it is, and stop messing with the name. 
	- July 22
		- <a href="http://podcasting.opml.org/New%20branches/New%20York%20Times%20podcasts/">A new sub-directory</a> of NY Times podcasts. If you have an aggregator that supports reading lists, you can subscribe to all the Times podcasts by subscribing to the <a href="http://hosting.opml.org/dave/nytimesPodcasts.opml">OPML file</a>. That's useful because many of them update only once a week.
		- Quick first impression: The Times podcasts are like the mother lode. What an incredible effort, so valuable. 
		- It's too farkin <a href="http://images.scripting.com/archiveScriptingCom/2006/07/22/hothothothothothothothot.jpg">hot today</a>.
		- Okay this is <i>innnnn</i>sane. It was <a href="http://www.tinyscreenfuls.com/2006/07/108-degrees-f-in-hillsboro-or/">108</a> in <a href="http://maps.google.com/maps?f=q&hl=en&q=Portland,OR&ie=UTF8&ll=45.523611,-122.675&spn=21.949182,48.999023&om=1">Portland</a> today.
		- Jeanne Kane writes that it was 114 in <a href="http://maps.google.com/maps?f=q&hl=en&q=Tujunga,ca&ie=UTF8&ll=34.252676,-118.278809&spn=12.93314,24.499512&om=1">Tujunga</a> today.
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/22/hamster.jpg" width="75" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named hamster.jpg">While I'm figuring out the first cut at the <a href="http://podcasting.opml.org/">top level</a> of the new podcasting directory, I've started a section called <a href="http://podcasting.opml.org/New%20branches/">New branches</a>, to accumulate a small sampling of sections that I think may fit into the directory. I'm qualifying everything because I'm seeing some OPML files that are so large they couldn't possibly fit in a corner of this directory. Those are directories in their own right, and deserve a spot for sure, but probably in a section reserved for <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">pointing</a> to other directories. 
		- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">12/12/05</a>: "People come back to places that send them away."
		- <a href="http://www.bizpodcasting.com/2006/07/time_for_a_new_directory.html">Jon Watson</a>: "The existing directories have become ad-laden vote-getting slums where a few users rule the roost."
		- <a href="http://www.slakinski.com/archives/003729.html">Ray Slakinski</a>: "We have to do more than just say we support it, but use it and contribute back."
	- July 21
		- From Rob Safuto, a list of <a href="http://podcasting.opml.org/New%20branches/New%20York%20City%20podcasts/">New York City podcasts</a>.
		- I deserve a new toy, <a href="http://www.blackberry.com/products/blackberry8700/blackberry8700c.shtml">so I got me one</a>. ";->"
		- <a href="http://scobleizer.wordpress.com/2006/07/21/i-endorse-new-podcasting-directory/">Scoble endorses</a> the reborn podcast directory.
		- Lance Knobel: <a href="http://www.davosnewbies.com/2006/07/21/no-phd-no-comment/">No PhD, no comment</a>.
		- Andrew Grumet at PodShow <a href="http://developer.podshow.com/2006/07/21/authoring-api-released-for-comment">announces</a> that they've implemented the Metaweblog API to connect authoring tools with their podcast hosting system. I reviewed the implementation privately, prior to its release, and it looks good, and of course I appreciate the support for the API. 
		- On this day <a href="http://www.scripting.com/1999/07/21.html">seven years ago</a> Apple introduced <a href="http://davenet.scripting.com/1999/07/21/applesAirport">Airport</a>, the first wireless LAN and Scripting News readers were all over it. Don Clark asked: "Have you figured out if you can use an AirPort at the airport?" Read my response, it seems funny now that using a laptop in an airport seemed so futuristic just seven years ago.
		- podcasting.opml.org
			- I've been hearing from a lot of people who think it's a good time to restart the community podcasting <a href="http://podcasting.opml.org/">directory</a> -- so let's give it a try.
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/21/canadaNapkin.jpg" width="97" height="77" border="0" align="right" hspace="15" vspace="5" alt="A picture named canadaNapkin.jpg">As with the first incarnation of the directory, all the data for the new directory will be published, and can be rendered by anyone for any purpose, commercial or non-commercial; but the project itself is non-commercial. You can't buy placement in the directory or any of the sub-directories. Let's say that you can put ads on a rendering, that works okay because people always have choice. If they don't like the way you're rendering the directory, they can switch to another rendering. But you can't put ads in the directory itself. 
			- I'm going to use BitTorrent as a model. In that community there are lots of clients, but there is one reference implementation. In the beginning most people use the reference implementation, but as time goes on, we learn what people want, specialized needs develop, and <i>lots</i> of forks take place. See this as a good thing, not something to resist. The important thing, as with BitTorrent, is the content, not the client. We want to find good podcasts.
			- I'm going to go very slowly, writing about it from time to time. I'm going to accumulate pointers to these notes in the <a href="http://podcasting.opml.org/About%20this%20directory/History/Rebirth/">directory</a> itself. 
			- BTW, I'm not going to use the podchow.org domain for this project. It's a cute name, for sure, but I want this project to be taken seriously. I also want <i>everyone's</i> support, including the podcasting company whose name is very close to that name. ";->"
	- July 20
		- I'll be at <a href="http://wikimania2006.wikimedia.org/wiki/Main_Page">Wikimania</a>, Aug 4-6 in Cambridge.
		- <a href="http://blogs.zdnet.com/Gardner/index.php?p=2322">Dana Gardner</a>: "Dave Winer and a burgeoning chorus of supporters are proposing a fresh go at a community directory for podcasts. What an excellent idea."
		- <a href="http://www.lessig.org/blog/archives/003471.shtml">Lessig</a>: "I'm sitting at a hot Internet cafe in Costa Rica..."
		- <a href="http://blogs.opml.org/dave/2006/07/20#workingOnTheStaticopmlblogTool">Progress</a> on the static rendering of OPML weblogs.
		- <a href="http://www.scottgatz.com/blog/2006/07/19/entrepreneur-vs-intrapreneur">Scott Gatz</a> on how RSS was adopted at Yahoo. Note how they didn't try to improve it. A case study on how a BigCo can move fast, and win.
		- <a href="http://www.ericrice.com/blog/?p=61">Eric Rice gets behind</a> the community podcast directory. I feel a consensus building here. ";->"
		- <a href="http://wmf.editthispage.com/2006/07/18">Wes Felter</a> also bought a house on Monday. 
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/20/machine.gif" width="82" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named machine.gif"><a href="http://weblog.infoworld.com/udell/2006/07/19.html#a1489">Jon Udell puzzles</a> over how Google News decides what is and isn't a news source. For what it's worth, I subscribe to a bunch of Google News searches, and they don't really implement rule #2, "It is managed by an organization (not an individual) and includes organizational information on its site." I get lots of results written by individual bloggers beacuse lots of "organizational" sites include the work of bloggers, and I don't think there's any editorial review process (rule #4), but I don't know for sure. It's still useful. BTW, when I wrote for HotWired, a publication that would surely pass any reasonable set of tests, I had a deal with them that they wouldn't change my writing without my permission. I had the same deal when I wrote for Fawcette, briefly. I'd imagine any other quality publication would work the same, so Google's rules are kind of naive. 
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/20/crescentBeach.jpg">New header graphic</a>. A <a href="http://images.scripting.com/archiveScriptingCom/2005/06/18/beachBuilding.jpg">restaurant</a> on the <a href="http://images.scripting.com/archiveScriptingCom/2006/07/20/aerialshot.jpg">beach</a> in <a href="http://maps.google.com/maps?f=q&hl=en&q=crescent+beach,fl&ie=UTF8&ll=29.769132,-81.25241&spn=0.003204,0.005091&t=h&om=1">Florida</a>.
		- Scripting News <a href="http://search.opml.org/?q=header+graphic&site=scripting">search</a> for "header graphic."
		- A Scripting News <a href="http://images.scripting.com/archiveScriptingCom/2006/07/20/scriptingNewsHeader.gif">header graphic</a> from July 1997.
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/20/sparrow.jpg" width="95" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named sparrow.jpg">Okay it's finally too hot here, so I took a break to go to the movies, but the air conditioning wasn't so great, and I got itchy sitting in one place for so long so I got up and left. Capsule review of the Pirates of the Caribbean Part II, don't bother, the plot is about as interesting as <a href="http://www.scripting.com/2005/12/16.html#When:7:40:41PM">King Kong</a> was. They resorted as heavily to aggravating chases. No suspension of disbelief, no story to keep the interest. Does Hollywood still make entertainment, or do they just make the same old thriller over and over, to the point where there's no thrill left. 
		- <a href="http://www.boston.com/movies/display?display=movie&id=7616">Boston Globe</a>: "A noisy and lazy stopgap movie that goes absolutely nowhere and takes 2&frac12; hours to get there." <i>I left after 1 hour.</i>
		- <a href="http://www.geeknewscentral.com/archives/006273.html">Todd Cochrane supports</a> trying again with the community podcast directory. 
		- <a href="http://blogs.opml.org/amyloo/2006/07/19#podcastersYouCanMakeDriveTimeSaferForYourListeners">Amyloo</a>: "No podcaster wants the distinction of becoming the first one to kill a listener."
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/20/guyWithBagOverHead.jpg" width="95" height="74" border="0" align="right" hspace="15" vspace="5" alt="A picture named guyWithBagOverHead.jpg">I was just reading <a href="http://amandaunboomed.blogspot.com/2006/07/blogher-calling.html">Amanda's post</a> saying that she's coming to Blogher next week. I'll be there too, but I wish they afforded men a special status, like guest, or observer, because I felt really weird when I read that Amanda was looking forward to having "fun with 'the ladies.'" Since this is my space, still, I gotta say there ain't no ladies here and them that say there is are going to get a punch in the nose! ";->"
		- <a href="http://davenet.scripting.com/1999/07/20/theBeesAreBack">Seven years ago</a>: "Nothing like a big blank machine to get you going in the morning."
	- July 19
		- A video of <a href="http://www.youtube.com/watch?v=ec-YrUaeXAE">young Doc Searls</a> in 1988, speaking <a href="http://www.urbandictionary.com/define.php?term=Cackalacky">Cackalacky</a>. No facial hair. They called him <i>Dave</i> Searls. He's different, much younger, less serious! ";->"
		- <a href="http://www.slakinski.com/archives/003711.html">Ray Slakinski</a> would like to see the community podcast directory breathe again.
		- <a href="http://www.bloggercon.org/picsedwardsdeannh"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/19/edwards.jpg" width="95" height="106" border="0" align="right" hspace="15" vspace="5" alt="A picture named edwards.jpg"></a>Almost everyone missed the <i>political</i> significance of the <a href="http://www.scripting.com/2006/07/18.html#edwardsDoesBittorrent">Edwards endorsement</a> (and use) of BitTorrent to distribute video. Aside from being an efficient use of technology, it is also a non-infringing use of BitTorrent. From a legal standpoint, the more non-infringing applications there are, the weaker the case of <a href="http://www.google.com/search?q=mpaa+bittorrent">Hollywood</a> as it goes after BitTorrent, as they have attacked other P2P technologies. Having a major national candidate using the technology for non-infringing purposes helps strengthen the case, and while I have not endorsed anyone for President in 2008, I do thank Edwards for stepping up for technology. This has a lot more impact than the kind of things bloggers usually ask candidates to do, like blogging their personal thoughts, or have video bloggers follow them into the bathroom (sorry, that's a small exaggeration). Use of BitTorrent, esp by a Democrat, is the kind of thing that politicians can actually do to <i>help</i> the Internet. 
		- <a href="http://podcamp.pbwiki.com/">PodCamp</a> is a "free BarCamp-style meetup for podcasters and listeners, bloggers and readers."
		- <a href="http://www.kfc.com/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/19/kfc.gif" width="75" height="76" border="0" align="right" hspace="15" vspace="5" alt="A picture named kfc.gif"></a><a href="http://www.rogic.com/canadapodcasts/">Canada Podcasts</a>: "This directory started its life as the Canadian node of a community- maintained world-wide podcast directory which has unfortunately fallen into disrepair. Long before the plethora of podcasting sites and self-declared-podcasting centers of the universe we now have, there was this directory, its wonderful group of volunteer editors, and it was <i>the</i> way to get to shows. It was clean, dynamic, open and responsive."
		- The Canadian podcast directory is available <a href="http://www.rogic.com/canadapodcasts/canada.opml">in OPML</a>.
		- I've linked the Canadian directory <a href="http://sndirectory.worldoutline.com/Canada%20Podcasts/">into</a> the Scripting News community directory.
		- If there's sufficient interest, I'll happily host the root of a community podcast directory. I might even have a good <a href="http://www.podchow.org/">domain</a> for the purpose. Get it? It's <a href="http://images.scripting.com/archiveScriptingCom/2006/07/19/chow.jpg">chow</a> for your pod. ";->"
		- The Small Picture
			- <a href="http://news.yahoo.com/s/nm/20060719/wr_nm/media_blogs_survey_dc_3">Reuters</a>: "Many people see Web journals or 'blogs' as alternatives to the mainstream media..." 
			- Who are the "many people" who see blogs that way? If the piece is honest, and the reporter actually believes it, my guess is it's the reporter and perhaps some of his colleagues.
			- But blogs aren't an alternative to mainstream media, he says, and we agree. 
			- He says blogs are about story telling. And Reuters isn't? Come on. What is there that <i>isn't</i> story telling? 
			- That blogs are about story telling is not saying that they're not journalism. Reuters tells a story today and every day. If you want people to understand an idea, you must tell a story. 
			- And the story here isn't the big picture, get your mind out of the aggregate, and start thinking about the <i>small</i> picture. And blogs aren't driving the change in perspective, they just reflect it. 
			- More and more I'm sure that in the 21st century, the century we're living in now, monoculture is an artifact, and the individual, the micro-journalist, the micro-market, micro-media, anything but mainstream, that defines who we are. 
		- Dinner with Scoble
			- I had dinner last night with Scoble at <a href="http://www.sftravel.com/lulu_restaurant_san_francisco.html">LuLu</a> on Folsom St in SF. We talked about many things, of course, but the focus was on him working at PodTech. Being selfish (like many others), I wanted to know what's in it for me. 
			- Right away, I figured that I should be able to find some new podcasts. It seems Scoble should be scouting for me and you and all the other people who read his blog. Not just interesting content that comes from his own company, but stuff from all over the podcast sphere. That's one of the reasons the renewed interest in the community directory is so timely.
			- Anyway, it just so happens that in the summer of 2003, three years ago, I was doing what I wanted Scoble to do. I was hanging with Chris Lydon, among others at Berkman Center, who was doing periodic interviews with the bloggers of the day. It was great stuff. Every time a Lydon interview came out, I'd copy it onto my portable MP3 device and take it on my daily walk through West Newton, and of course point to it from Scripting News, so you all could try it out too. For example, <a href="http://www.scripting.com/2003/07/19.html">on this day in 2003</a> Chris released his <a href="http://blogs.law.harvard.edu/lydon/2003/07/18#a187">interview</a> with North Carolina blogger Ed Cone. The <a href="http://media.skybuilders.com/lydon/cone.mp3">MP3</a> is still up there, you can listen to it today. The Lydon series is, in many ways, the first podcast. Actually, in <i>every</i> way. 
			- So it occurs to me that Scoble could do a lot worse than listening along in 2006 to the podcasts we were listening to in 2003. Back then I don't know what Scoble was doing, but it wasn't podcasting. ";->"
			- Having dinner with my old friend reminded me how smart he is. He's going to figure this out, for sure, and we're all going to learn a lot. Because it's Scoble there's going to be a lot of kissing-up and groveling, that's for sure. But the ride should be pretty interesting!
	- July 18
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/18/sunnyhouse.jpg" width="85" height="145" border="0" align="right" hspace="15" vspace="5" alt="A picture named sunnyhouse.jpg">I bought a house in Berkeley this morning. It's a real beauty, an 80 year-old stucco, built on a hillside, with a view of downtown SF and the Golden Gate Bridge. I spent six months looking, it was by far the best house I saw. As with my first house in Woodside, there was a moment when I knew I'd own it. In this case, it happened as I walked in the front door. The place has a magic feel to it. What does it feel like? Home. ";->"
		- <a href="http://www.kbcafe.com/rss/?guid=20060718091634">Randy Morin</a> analyzed the links from this weblog, based on the OPML archive I made available <a href="http://www.scripting.com/2006/07/17.html#When:5:18:57PM">yesterday</a>. The most-linked-to blog is Doc Searls. The second most-linked-to is inessential. 
		- I got a couple of reports that McAfee's anti-virus software doesn't like one of my links on <a href="http://www.scripting.com/2003/12/12.html#aNewSecurityExploit">12/12/03</a>. Go figure. 
		- Morin talks about people who are supposedly my enemies, but none of them are. I think Hearst and <a href="http://www.hbo.com/deadwood/cast/character/alswearengen.shtml">Swearengen</a> are enemies; Hearst and <a href="http://www.hbo.com/deadwood/cast/character/sethbullock.shtml">Bullock</a>. Me, I mean no one harm. ";->"
		- My first <a href="http://www.scripting.com/2004/04.html#When:9:10:21PM">review</a> of Deadwood, back in April 2004. I called Wild Bill Hickock the "Wild West's equivalent of an A-List blogger."
		- <a href="http://www.scripting.com/2003/07/18.html#weMakeMistakesHere">Three years ago</a>: "Not only do I make mistakes, but sometimes as I'm making them, I know I'm doing it."
		- Edwards does BitTorrent!
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/18/edwards.jpg" width="105" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named edwards.jpg">I just got a pointer to the <a href="http://download.movedigital.com/johnedwards/">BitTorrent site</a> of the Edwards campaign, I clicked on a couple of the downloads, my BT client, Azureus, launched, the movies downloaded (really fast!) and I laughed out loud. 
			- <a href="http://download.movedigital.com/johnedwards/t7786/johnedwards-20060323.torrent">Download</a> the <a href="http://download.movedigital.com/johnedwards/t7951/johnedwards-JRETVMinWage2ndDraft.torrent">movies</a> <a href="http://download.movedigital.com/johnedwards/t7953/johnedwards-JRETV_06_jun_02.torrent">yourself</a>, and participate in a little bit of history. Now, there's nothing particularly interesting about the movies, they're the usual campaign stuff, Edwards being introduced by an actor (Danny Glover), talking to a union group. 
			- The production values are very good, which is too bad (see Friday's Ze Frank), but the whole package is very <a href="http://www.scripting.com/2006/07/17.html#When:8:04:29PM">cool</a>, of course.
			- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/18/lerhaupt.gif">Gary Lerhaupt explains</a> that <a href="http://www.movedigital.com/">MoveDigital</a>, the <a href="http://mobilecrunch.com/2006/07/18/movedigital-means-movies-on-your-mobile/">site</a> that is hosting the Edwards torrents, is the successor to <a href="http://www.prodigem.com/">Prodigem</a>, which acquired his company in April of this year.
		- Apple and Hollywood
			- <a href="http://www.thinksecret.com/news/0607itunesmovies.html">ThinkSecret has a scoop</a>, Apple will offer movie rentals via the iTunes Music Store, to be announced in three weeks at the WWDC.
			- <a href="http://www.rexblog.com/2006/07/18#a10884">Rex Hammock</a>: "Placating the movie studios with some easy to work-around DRM scheme is, perhaps, Apple's role in moving things forward."
		- Natural air conditioning
			- It was hot here, just like <a href="http://www.nytimes.com/2006/07/18/nyregion/18heat.html?ex=1310875200&en=bd166881a4eef09d&ei=5090&partner=rssuserland&emc=rss">everywhere</a> else in the northern hemisphere, but the great thing about the Bay Area, and Berkeley specifically, is how nicely it cooooools down at night. It's only 10PM and it's <a href="http://images.scripting.com/archiveScriptingCom/2006/07/18/cooldown.gif">already 67 degrees</a>. Gotta love it. 
	- July 17
		- <a href="http://static2.podcatch.com/blogs/gems/support/davenet.zip">DaveNet</a> and <a href="http://static2.podcatch.com/blogs/gems/support/opmlArchive.zip">Scripting News</a> in OPML in zip archives.
		- <a href="http://nick.typepad.com/blog/2006/07/river_of_news_e.html">Nick Bradbury</a> on River of News.
		- <a href="http://blaugh.com/2006/07/17/microsofts-latest-acquisition/">This Blaugh bit</a> about a theoretical move by Microsoft to "own" RSS pointed to a domain that no one owned. A social experiment? For $8.99, I said WTF and <a href="http://www.syndicationwars.com/">grabbed</a> it. ";->"
		- <a href="http://www.bloggercon.org/picsedwardsdeannh"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/17/edwards.jpg" width="95" height="106" border="0" align="right" hspace="15" vspace="5" alt="A picture named edwards.jpg"></a>One of the things I asked Senator Edwards to do at our <a href="http://www.flickr.com/photos/scriptingnews/sets/72057594118636998/">meeting</a> in <a href="http://www.scripting.com/2006/04/27.html#When:1:59:19PM">Palo Alto</a> in April, was for him to support BitTorrent with non-infringing applications. As you know, I'm a big believer in P2P distribution over the Internet, and we need more safe applications of BitTorrent. I'm told that they will put up their first BitTorrent application tomorrow. Honestly, I didn't think they'd do it, historically the Democrats have been very close to Hollywood, and they're scared of BitTorrent. If they actually do it, they deserve our thanks.
		- <a href="http://www.zefrank.com/theshow/archives/2006/07/071406.html">Friday's Ze Frank</a> explains why bad design is so important. I couldn't explain it better myself. 
		- My dance with Comcast
			- There's a lot of construction going on in my neighborhood, so from time to time someone accidentally cuts a wire that knocks out Internet service in my apartment building. When that happens, we go through a silent dance, a sort of virtual lottery -- who's the lucky S.O.B. who gets to call Comcast to report the outage.
			- You'd think in this modern age they could figure it out themselves, but they require one of their customers to call. So on Saturday, for the eighth time in less than a year, I called them and went through the miserable dance. 
			- <a href="http://video.google.com/videoplay?docid=4272329792427255871"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/17/comcastic.gif" width="125" height="116" border="0" align="right" hspace="15" vspace="5" alt="A picture named comcastic.gif"></a>First I have to convince them it's not the modem, because every time they're absolutely sure it <i>is</i> my modem, even though the seven times before it wasn't. I ask them to check the other customers in my building. It seems about four times out of five this really pisses them off, because I get a lecture about how I have to make an appointment, and give up a day of my time so they can have a repairman visit, why I don't know. So I usually say goodbye at that point, and try again. More often than not the second person is sympathetic, and we test the other modems in the building and (surprise!) find out that either they all failed at exactly the same moment, or there's some other problem that has nothing to do with the modems. Even so, before they're willing to investigate, I have to make an appointment.
			- This time I tried a different strategy. I declined to make an appointment. I said that one of my neighbors would likely call in an hour or so, and <i>they</i> could make the appointment. I feel I've already made my contribution to Comcast today, as if they were a charity, by giving them an hour of my Saturday morning. That was all I could afford right now. So I went down the street to Starbucks to check my mail (I bet they don't use Comcast) and when I came home, the Internet was back on. I'm left guessing whether or not it was a random event, or if they decided, while they were waiting for someone else in my building to call, to see if they could find the outage themselves, and reboot some router or whatever. 
			- Now, Comcast has the <a href="http://video.google.com/videoplay?docid=4272329792427255871">best</a> <a href="http://www.theslowskys.com/tv/MiddleName.mp4">TV</a> <a href="http://www.youtube.com/watch?v=kEIBmE-mSHE&search=Comcast">commercials</a>. I'd pay them money to just keep producing the commercials. But I'd also pay them to get out of the Internet service business and let some other corrupt monopoly have a go. 
	- July 16
		- Target Stores has an <a href="http://sites.target.com/site/en/spot/rss/weeklyad.rss">RSS feed</a> for for early alerts on its weekly ads. Thanks to Staci Kramer for the link. 
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/16/postman.gif" width="65" height="129" border="0" align="right" hspace="15" vspace="5" alt="A picture named postman.gif">Heads up to people who use the <a href="http://support.opml.org/download">OPML Editor</a> as a blogging tool. I've been working on static rendering of weblog content, which would allow blogs to be hosted anywhere, via any upload mechanism. That's part of the reason why I did the fileSynch builtin (and its connection to Amazon S3), to give people lots of options on where to host their blogs. I'll offer the tool for testing, probably within the next week. I'm doing it slowly and carefully, with lots of testing along the way. 
		- <a href="http://www.techcrunch.com/2006/07/15/is-twttr-interesting/">Mike Arrington</a>: "How do their shareholders feel about side projects like Twttr when their primary product line is, besides the excellent design, a total snoozer?"
		- <a href="http://whoisylvia.typepad.com/my_weblog/2006/07/please_filter_t.html">Sylvia Paull</a>: "Blowing up townhouses and wars don't interest me."
		- <a href="http://www.geocities.com/Area51/Rampart/5557/review1.html"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/16/superman.gif" width="125" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named superman.gif"></a>I followed <a href="http://www.rexblog.com/2006/07/08#a10728">Rex Hammock's advice</a> and saw Superman on iMax, and I'm afraid I wasn't blown away as Rex was. Boring movie. Yet another remake of Star Wars, basically the only movie Hollywood knows how to make these days, with the usual Superman characters, and the teeniest bit of <a href="http://movies.yahoo.com/movie/1808413978/info">Finding Neverland</a> (which is an awesome movie, a real tear-jerker). The only funny lines are from Lex Luthor, and those are only outstanding because they're the <i>only</i> funny lines, they wouldn't stand out in a normal Superman movie. There's nothing politically significant in the plot (wonder what Rex was thinking), it has absolutely no suspense value, and given the hype around 3D, I expected at least a little Spiderman-like vertigo, but got nothing. And the new Superman has absolutely nothing going for him. He doesn't even make a good goody goody. 
		- <a href="http://www.scripting.com/2002/07/16.html#journalismAndBlogging">Four years ago</a>: "If there is such a thing as journalism, it must be possible to practice it in a weblog."
		- <a href="http://www.docuverse.com/blog/donpark/EntryViewPage.aspx?guid=e2010bf6-8c08-4165-87ef-045312143709">Don Park</a>: "Who do I have to kill to require a pain-in-the-ass F2F procedure to transer 5+ digit fund out of my banking and brokerage accounts?" <i>Amen.</i>
		- Your decision about Foo Camp
			- The back-channel discussion about Foo Camp has already started. This year's event is at the end of August, not exactly sure of the dates. Those who are invited, even people who are almost religious about open events, say they're going. Those who aren't invited, including people who have never been invited, are either secretly or openly pissed. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/16/bozo.gif" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named bozo.gif">I suggest the secret this year is to not care whether or not you were invited. If you were, don't gloat, and don't go. This is an event where they claim to do open standards work, but it's invite-only. It's bad for trust in our little world. If you weren't invited, don't do your own camp and say it's great because it's open. Instead go to the movies or the beach. Call your mother and say hi. Have a play date with your kids. 
			- For background, the best piece about Foo Camp was written by <a href="http://gigaom.com/2005/08/16/foocampfighting/">Om Malik</a>, which includes this <a href="http://gigaom.com/2005/08/16/foocampfighting/#comment-8833">comment</a> from Tim O'Reilly where he explains the whys and wherefores. 
			- An idea is to have a badge that says I don't support exclusive events where open work supposedly takes place. Of course I'd put one here on Scripting News, and I'd ask my friends to do the same, and you could ask your friends. Then in a week or so we'd see who didn't put one up, and ask them nicely to please do so. 
	- July 15
		- <a href="http://blogs.zdnet.com/Gillmor/?p=290">Steve Gillmor</a>: ""
		- Ben Barren
			- <a href="http://benbarren.blogspot.com/2006/07/i-missed-that-steve-and-dave.html">Ben</a> is a smart mofo, that's for sure. (As is <a href="http://www.roughtype.com/archives/2006/07/we_are_all_pros.php">Nick</a>.)
			- I don't know why I got a blank paragraph from Steve Gillmor, but I can guess. 
			- Steve works for Podshow and I was very critical of Podshow, with good cause, last week.
			- As the people at FeedBurner can attest, business models built on centralizing RSS set my hair on fire. At least with Feedburner they do it on an opt-in basis, but even then I think people should be aware of how much power they're giving them, and always be thinking about <a href="http://www.feld.com/blog/">who</a> owns them, and their motives, and <a href="http://en.wikipedia.org/wiki/Rupert_Murdoch">who</a> they might sell out to, and <i>their</i> motives.
			- In the case of Podshow, I know who they are, and have seen how ruthless they can be with other people's work, not just mine, and how their lack of conscience means they'll do things that I don't want to know about, but since it's in my area of creativity, I have to be concerned. Now Steve had his reasons for making his deal with Podshow, and I've never questioned those here on Scripting News, because it's not my place to. He has a family to feed and house and kids to send to college, and honest to god, Steve is a friend of mine, and I care about him, and I <i>don't</i> care what devil he makes a deal with, as long as he stays friendly.
			- Steve didn't like what I said about Podshow last week. So be it. Doesn't change what I think about what they did, it was awful, and it had to be stopped, and apparently it has stopped, and that's good. I don't give them the same benefit of the doubt I give others, because I have lots of experience with them. I think they meant to control our podcast feeds so they could sell position in those feeds to advertisers. I don't think they planned to ask our permission or share revenue with us. If their intentions were truly innocent this time, I apologize, but I don't think they were. 
			- Next time, if they want us to believe they had good intentions, they should test the services privately before taking them public. And when they screw up, the apology should be without reservation, and without kicking those who called them on their mistake. If Steve Gillmor thinks I'm fucked up for calling them on it, Steve can think that, no one is perfect, not even Steve. ";->"
	- July 14
		- PS: Don't forget to check out <a href="http://www.rocketboom.com/vlog/archives/2006/07/rb_06_jul_14.html">today's Rocketboom</a>. ";->"
		- <a href="http://scobleizer.wordpress.com/2006/07/14/the-river-versus-folder-rss-approach/">Scoble</a>: "Sometimes I just want to read what Mike Arrington says and hell with the rest of you." <i>Nice kiss-up!</i>
		- <a href="http://blog.grumet.net/2003/08/19/more-on-deletionless-aggregator-reading">Andrew Grumet</a> is a River of News afficionado, but he comes at it from a different angle, calling it a "deletionless reading adventure." I forget that other reader models force the user to delete articles to get them out of the way. To me this is <a href="http://dictionary.reference.com/browse/dissonant">dissonant</a>, why would I want to delete someone else's article. In fact I want to keep them all so I can search them. (Not that my aggregator allows that, maybe someday.)
		- <a href="http://technorati.com/weblog/2006/07/109.html">Kevin Marks says</a> Technorati Favorites lets you search the feeds you've subscribed to. 
		- <a href="http://globalguerrillas.typepad.com/johnrobb/2006/07/my_thinking_on_.html">John Robb</a> doesn't like River of News. He'll get no argument from me, in fact he gets a pointer. ";->"
		- <a href="http://www.scripting.com/2006/02/03.html#itsADifferentWorldToday">2/3/06</a>: "Aggregator developers could sure use some competition!"
		- <a href="http://googleblog.blogspot.com/2006/07/let-click-fraud-happen-uh-no.html">Shuman Ghosemajumder</a>, speaking on behalf of Google, says Eric Schmidt was quoted out of context re click fraud. I find this noteworthy because Google is (finally) using its blog to communicate about serious stuff. 
		- <a href="http://news.bbc.co.uk/2/hi/technology/5179240.stm">BBC</a>: "Apple has ended its legal fight to make bloggers reveal who leaked secret information about its new products."
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/14/harry.jpg" width="145" height="109" border="0" align="right" hspace="15" vspace="5" alt="A picture named harry.jpg">I had dinner last night with an aide to a likely Presidential candidate. He said he'd prefer if I didn't use his name. That's okay with me. We talked about blogging and the presidency, of course. I said it's boring to have your candidate pretend to blog. I honestly don't care if he or she blogs. In fact, I said, if you want to make headlines, say that your candidate will not blog. We both had a good laugh. I think it's a pretty good idea. We had dinner at a Chinese restaurant on <a href="http://maps.google.com/maps?f=q&hl=en&q=Solano+Avenue,+Berkeley,+CA&ie=UTF8&om=1&ll=37.890875,-122.275515&spn=0.022929,0.04519">Solano Avenue</a>. Here's a <a href="http://flickr.com/photos/scriptingnews/189080625/?edited=1">couple</a> of <a href="http://flickr.com/photos/scriptingnews/189080601/in/photostream?edited=1">pictures</a> I took of the street before dinner.
		- Earthlink's feed reader is an important product
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/14/maynardGKrebs.gif" width="95" height="263" border="0" align="right" hspace="15" vspace="5" alt="A picture named maynardGKrebs.gif">The job of a newspaper is to show you what's new. 
			- Imagine a newspaper that got more and more clogged with old stuff every day, as every category of news accumulated all the old stories you didn't read, and showed them to you every time you looked, as if this time you might actually want to read a story that you didn't want to read the last 80 times you looked.  
			- Your daily newspaper doesn't tell you that you haven't read 83,284 articles, why should your computer-based news tool? 
			- Well, that's how most feed readers work, and <i>it's just plain wrong.</i> Your software should, instead, find the new stuff since the last time you looked and show you that first.
			- The first aggregator, the one I wrote in 1999, did. And so did the one that's in Radio UserLand, and so does the NewsRiver aggregator that's built into the OPML Editor. Until yesterday these were the only aggregators that worked this way. (To be fair there are developers who say theirs do, but I've never seen one that actually does.)
			- The irony is that this kind of reader is <i>easier</i> to develop than the ones that emulate mail programs. They are also far easier to use. This must seem counter-intuitive to the programmer's mind. They worry about the details of the user interface and miss the big picture, that the model for the software, is so utterly inefficient
			- It apparently seems counter-intuitive even to very smart users like <a href="http://www.techcrunch.com/2006/07/13/when-did-earthlink-get-so-cool/">Mike Arrington</a>, who said "Neither are cutting edge," of the two new Earthlink tools. As much as I adore Mike, the Earthlink reader has the essential feature all others (except mine) are missing. They show you the new stuff first. You can't see how important that is with just one use. Go ahead and import your OPML and go back tomorrow, and the day after, and you'll see what a huge difference it makes to have the computer figure out what's new for you.
			- To the Earthlink <a href="http://blogs.earthlink.net/2006/07/cats_out_of_the_bag_on_reader.php">people</a>, I will sing your praises to anyone who will listen, but I ask one thing, that you not say that this is the first and only feed reader to work this way. In fact, as I explained above, the very first feed readers did. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2005/05/19/fishing.pg.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/14/river.jpg" width="85" height="51" border="0" align="right" hspace="15" vspace="5" alt="A picture named river.jpg"></a>Note: The user interface is not optimal. Make the page much longer and the text smaller. You're not taking advantage of a key capability of the human brain, it scans very quickly as you scroll. I want all the new stories in an hour to fit on one page. Depend on the vertical scrollbar, and tighten up the display of each news item. And I don't need the list of feeds I subscribe to on the same page as the news. <a href="http://images.scripting.com/archiveScriptingCom/2006/07/14/earthlinkreader.gif">Reclaim the space</a>, just link to the list of feeds. Cut the cord with the mail reader approach, it's wrong, have the courage to go all the way, you won't be sorry. ";->"
	- July 13
		- <a href="http://blog.wired.com/monkeybites/index.blog?entry_id=1520376">Michael Calore calls</a> me the blogosphere's den mother (heh) and says the unconference format is like a Grateful Dead concert. Interesting piece. ";->"
		- <a href="http://www.micropersuasion.com/2006/07/wikipedia_entir.html">Steve Rubel reports</a> that Wikipedia now supports RSS for article revisions for all its pages. This means you can monitor pages even if you don't remember to visit them. 
		- <a href="http://www.micropersuasion.com/2006/07/earthlink_debut.html">Steve scores</a> another scoop with Earthlink's new <a href="http://reader.earthlink.net/">RSS reader</a>. "It shows you only the new articles since your last visit," he says.
		- <a href="http://kaliyasblogs.net/unconference/?p=36">Kaliya</a> is at Mashup Camp in Santa Clara.
		- Since I write about Google from time to time, I have also disclosed that I own a few shares of their stock, purchased at the <a href="http://money.cnn.com/2004/04/29/technology/google/">IPO</a>. I've made 4.3 times on the money, which makes it pretty awesome investment for a couple of years. Today I sold all my <a href="http://www.google.com/finance?q=GOOG">GOOG</a> stock, so as of today I am not a Google shareholder.
		- <a href="http://www.rexblog.com/2006/07/13#a10788">Rex Hammock</a> on Martha Quinn, an original VJ on MTV.
		- Amanda Congdon was <a href="http://www.msnbc.msn.com/id/13832899/">on MSNBC</a> last night.
		- <a href="http://web.archive.org/web/20040216020544/www.scripting.com/twentyFour/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/13/blue24.small.gif" width="80" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named blue24.small.gif"></a><a href="http://www.businessweek.com/innovate/FineOnMedia/archives/2006/07/steve_newhouse.html">Business Week interviews</a> Steve Newhouse on Wired Mag's acquisition of Wired News. "One of the things we haven't done yet, but we are deep into thinking through, is the combination of giving the audience tools to create content and giving them the ability to network with each other." We were <a href="http://web.archive.org/web/20040216020544/www.scripting.com/twentyFour/">working on that in 1996</a>, when I <a href="http://web.archive.org/web/20040218183650/hotwired.wired.com/davenet/archive/index.html">wrote</a> for HotWired, and then left to start ths blog. 
		- <a href="http://web.archive.org/web/20040216073154/www.scripting.com/twentyFour/news.html">My first weblog</a> was part of the 24 Hours site, February 1996. It was originally hosted on hotwired.com. <i>Thanks!</i>
		- AOL, which is, in 2006 struggling to become part of the blogging world, was one of the sponsors of the 24 Hours project. Their sponsorship was quite active, they contributed people to help run a couple of the servers. Their contribution to the blogging world goes all the way back to the beginning.
		- These "moon mission" projects are cool because they bring creative and idealistic people together. <a href="http://inessential.com/">Brent Simmons</a>, who went on to create the NetNewsWire feed reader ran a free essay server for the 24 Hours project. The technology we created on this project would eventually form the foundation for Manila RPC and then the MetaWeblog API.  
	- July 12
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/12/joanneBig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/12/joanne.jpg" width="125" height="94" border="0" align="right" hspace="15" vspace="5" alt="A picture named joanne.jpg"></a><a href="http://www.buzzmachine.com/index.php/2006/07/12/guest-post-advice-for-rocketboom-from-a-pro/">A fantastic guest post</a> on BuzzMachine from Fred Graver. Like Jeff Jarvis I'm rooting for both Amanda and Andrew, and now Joanne too, and for <i>all</i> the video bloggers who are pouring their hearts into this new medium. Me, I feel like an uncle. I was where these kids are now, when I was their age, a long time ago. Now I can help by helping them get the support they need, looking for ways out of tight corners. I spoke with Andrew very briefly today, told him how blown away I was by <a href="http://www.rocketboom.com/vlog/archives/2006/07/rb_06_jul_12.html">today's Rocketboom</a>. So beautifully executed, by the seat of the pants. 
		- <a href="http://www.time.com/time/nation/article/0,8599,1213064,00.html">Amanda</a>: "Best wishes to both Andrew and Joanne."
		- <a href="http://aws.typepad.com/aws/2006/07/amazon_s3_shoot.html">Amazon</a>: "There are now over 800 million discrete objects stored in S3."
		- <a href="http://s3.amazonaws.com/opml/s3/davescriptingcom/demoscreen.gif">Screen shot</a> of the Amazon S3 folder on my desktop.
		- Amazon's CTO, Werner Vogels, has <a href="http://www.allthingsdistributed.com/index.xml">an RSS feed</a>.
		- <a href="http://wistechnology.com/article.php?id=3137">Paul Gibler</a>: "No RSS feed? You're fired!" ";->"
		- Nielsen: <a href="http://www.podcastingnews.com/archives/2006/07/nielsen_podcast_1.html">Podcasts More Popular than Blogging</a>.
		- <a href="http://lifehacker.com/software/rss/call-for-help-stop-repeating-rss-feed-items-186784.php">Lifehacker question</a> about repeating items in an RSS feed. In all cases, we need to see the feed itself to see what's going on. It's possible that they're spamming you (i.e. doing it deliberately), it's also possible that there is a technical error of some kind. The only way to tell is to have the URL of the feed.
		- Patrick Fitzgerald <a href="http://www.barelyfitz.com/blog/archives/2006/07/12/396/">sheds</a> some light.
		- Yesterday I subscribed to a <a href="http://feeds.podcast.com/2417">mega-feed</a> from podcast.com of all the podcasts from the BBC. This morning, I have 17 news casts from Britain. Good show. 
		- Rocketboom 2.0 beta
			- <a href="http://www.rocketboom.com/vlog/archives/2006/07/rb_06_jul_12.html">New Rocketboom is up</a>. Nicely done! Don't everyone rush to download it at the same time. ";->"
			- Joanne is smart, lovely, mysterious, irreverent, and self-deprecating.
			- The <a href="http://images.scripting.com/archiveScriptingCom/2006/07/12/drewboom.jpg">bit</a> with Andrew on the floor twirling his hair with a vacant stare was the best.
			- The RB attitude is still alive, and nice use of all the standard bits.
			- The corner has been turned.
			- Most important it's so great they're having fun with it.
			- <a href="http://blogs.opml.org/amyloo/2006/07/12#newRocketboomEpIsUp">Amyloo</a>: "The kick is up, the kick is good!"
			- Bravo!
		- Blogger investing
			- <a href="http://platformwars.blogspot.com/2006/07/question-of-day.html">Phil Jones</a>: "Why doesn't Google invest in Blogger?"
			- Phil, I think Google <i>does</i> invest in Blogger, but only in certain ways. They're fighting a huge battle with spammers. I could see that from my vantage point when I was operating weblogs.com.  I couldn't keep up with the battle, that's one of the reasons I sold. It's a huge expensive fight that never goes away.
			- They're fighting the tough battle, and not doing the fun stuff, adding features that make real users happy. It's kind of frozen in time. And it's not helping the blogging tools market develop, having a big free competitor in the middle of the market, removed the incentive for others to invest in new features. But now in 2006 they are not the only ones doing that, MSN is as well.
	- July 11
		- <a href="http://wiki.mashupcamp.com/index.php/Main_Page">Mashup Camp</a> this weekend in Santa Clara.
		- <a href="http://wired.com/news/technology/internet/0,71366-0.html">Wired</a>: "Lycos is selling its Wired News unit to Cond&#233; Nast Publications for $25 million."
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/11/charlie.gif" width="85" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named charlie.gif">Rafat Ali posted <a href="http://www.flickr.com/photos/13736953@N00/187645720/">three</a> <a href="http://www.flickr.com/photos/13736953@N00/187645758/in/photostream/">screen</a> <a href="http://www.flickr.com/photos/13736953@N00/187645776/in/photostream/">shots</a> of <i>My Times Beta</i> which appears to be yet another me-too clone of <a href="http://web.archive.org/web/20001109020200/http://my.netscape.com/">My.Netscape</a>, 1999. It was a low leverage approach to news back then, and it hasn't gotten any better in the last seven years. Here's what <a href="http://web.archive.org/web/20000815062859/my.userland.com/default$04">My.UserLand</a> looked like in the same period. You can see it was River of News, and it worked. It's a lost practice. I found it hard to explain to <a href="http://www.joehewitt.com/blog/">Joe Hewitt</a>, a super-bright Firefox guy. He should know all about this approach. Maybe it's time to have a one-day seminar for UI designers on how to do RSS readers. 
		- Staci Kramer <a href="http://www.paidcontent.org/nytimess-personalized-service-my-times-debuts-in-limited-beta">reviews</a> My Times Beta. 
		- <a href="http://www.techlifeweb.com/2006/07/audio-from-gnomedex-dave-reads-rss.html">A podcast</a> of the reading of the <a href="http://images.scripting.com/archiveScriptingCom/2006/07/01/proclamationRssDays.gif">proclamation</a> of RSS Days, by yours truly.
		- <a href="http://falkayn.blogspot.com/2006/07/death-by-wikipedia.html">Angus McDonald</a>: "The ephemeral nature of Wikipedia edits is one of the main problems that I have with trusting it for anything other than fun research on hobby topics."
		- <a href="http://www.buzzmachine.com/index.php/2006/07/11/some-friendly-advice-from-dell/">Jeff Jarvis</a> got an outrageous comment from someone who says he works for Dell. 
		- <a href="http://www.rocketboom.com/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/11/boom.jpg" width="300" height="181" border="0" alt="A picture named boom.jpg"></a>
		- <a href="http://www.rexblog.com/2006/07/11#a10763">Rex Hammock</a>: "The old baseball catcher wheeling across the screen with car crash sound effects gag is always good for a laugh."
		- <a href="http://www.scripting.com/2002/07/11.html#When:7:18:51AM">Four years ago</a>: "Tomorrow it will be four weeks of no smoking."
		- <a href="http://www.zimbio.com/portal/Tour+de+France/tools/opml">Zimbio has</a> an interesting OPML feature. 
		- While you're waiting for the new Rocketboom, get the <a href="http://www.mininova.org/tor/299121">Best of Rocketboom</a>, via BitTorrent.
		- pubDates in the future
			- About pubDates, the RSS 2.0 spec says: "Its value is a date, indicating when the item was published. If it's a date in the future, aggregators may choose to not display the item until that date."
			- A couple of real-world use-cases might help you understand why a pubDate in the future makes sense. 
			- My parents receive the NY Times via home delivery. The Sunday magazine sometimes arrives with the Friday paper. Its publication date is Sunday.
			- Visit a news stand and look at the publication dates of the magazines. Most of them are in the future, some <i>way</i> in the future.
	- July 10
		- Okay, no <a href="http://images.scripting.com/archiveScriptingCom/2006/07/10/thankyouforstandingby.gif">Rocketboom</a> today, but zere is a <a href="http://www.zefrank.com/theshow/">Ze Frank</a>. 
		- <a href="http://developer.podshow.com/?p=72">Andrew Grumet</a>: "We fixed the XML button linkage."
		- Six years ago today: <a href="http://davenet.scripting.com/2000/07/10/whyILikeXml">Why I like XML</a>.
		- <a href="http://www.davosnewbies.com/2006/07/10/the-wikipedia-bureaucracy/">Lance Knobel</a>: "Maintain your critical faculties while reading Wikipedia."
		- Did you make the list of <a href="http://thenextweb.org/?r=speakers">desired speakers</a> for the Next Web conference? <a href="http://www.crunchnotes.com/?p=234">Mike Arrington</a> isn't on the list (he spoke this year) or <a href="http://blog.broadbandmechanics.com/wp-content/uploads/2006/07/banner6.jpg">Marc Canter</a>, nor is <a href="http://www.google.com/corporate/execs.html#marissa">Marissa Mayer</a>. I didn't make the list. But Scoble did. Damn. ";->"
		- Matt Mullenweg is hosting a <a href="http://photomatt.net/2006/07/09/wordcamp/">WordPress user's conference</a> in SF on Aug 5. That's an awesome idea. I'm scheduled to be in Montana on that day, but a shuffle may be called for.
		- Washington Post <a href="http://www.washingtonpost.com/wp-dyn/content/article/2006/07/09/AR2006070900895.html?referrer=email&referrer=email&referrer=email">piece</a> on YouTube and politics.
		- <a href="http://www.blogmaverick.com/entry/1234000470073786/">Mark Cuban says click fraud</a> isn't self-correcting. 
		- <a href="http://blog.broadbandmechanics.com/2006/07/new-header-dedicated-to-the-spirit-of-boring-conferences-and-panels#comment-58311">Chris Heuer</a>: "No gathering is immune from becoming a snooze fest unless the format demands participation and the facilitators can engage everyone present."
		- Suggestion to Podshow
			- Next time I suggest you do private reviews before doing a public launch. This will get rid of the concern that these <a href="http://www.scripting.com/2006/07/07.html#When:4:55:09PM">mistakes</a> serve your company's interest by drawing attention to your service via controversy. Also would appreciate you taking this at face value, I'm pretty fed up with attacks from Podshow people when helping debug this stuff in public. 
		- builtins.fileSynch
			- <a href="http://www.zefrank.com/theshow/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/10/crown.gif" width="54" height="64" border="0" align="right" hspace="15" vspace="5" alt="A picture named crown.gif"></a>I'm working on builtins.fileSynch, a generalization of the folderWatcher functionality in the OPML Editor, and the successor to Radio's upstreaming. It's simple code now, and therefore easy to tune up and optimize, which is what I'm looking at now. 
			- Paolo says he has a www folder with 5000 files. So I decided to test the performance of fileSynch with 12 files, then 112 files, then 1012 files, and finally 5012 files. The percent of CPU used is presented in <a href="http://images.scripting.com/archiveScriptingCom/2006/07/10/fileSynchPerf.gif">this spreadsheet</a>.
			- It's scanning the folder every 10 seconds for changes. Clearly it should scan less frequently, since with 5000 files it's using 40 percent of the CPU just looking for changes (even when it doesn't find any). This is not an acceptable situation, and provides a clue why Radio users were finding performance sucking after a few years of use.
			- Now I'm running the 5000-file test checking every 30 seconds. (Result: 33 percent.)
			- <a href="http://www.zefrank.com/theshow/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/10/crown.gif" width="54" height="64" border="0" align="right" hspace="15" vspace="5" alt="A picture named crown.gif"></a>I know that both Mac OS and Windows have the ability to notify apps when there's a change to a folder, completely eliminating the need to poll. But the <a href="http://kernel.scripting.com/">kernel</a> doesn't have hooks for that functionality, so for now this is the only way to go. (Also, for sure, I'm still going to get emails from people telling me I'm stupid for polling and not using the OS functions.)
			- There's no structure to the test folder, it's just one folder with 5000 files. I will try experiments with different folder structures and see what happens.
	- July 9
		- Joanne Colan confirmed
			- Andrew Baron confirmed via email this evening that the new interim host of RocketBoom is former MTV vj Joanne Colan.
			- He says that today (a weekend day on which RB doesn't run new content) there were 1,390,661 successful page requests.
			- <a href="http://www.google.com/search?q=Joanne+Colan">Google</a> reports <a href="http://images.scripting.com/archiveScriptingCom/2006/07/09/joanneColanGoogleHits.gif">16,200 hits</a> for "Joanne Colan." Let's measure that again in a week and a month. 
		- Why I support Rocketboom
			- It's pretty simple.
			- Rocketboom is bigger than two people.
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/09/elves.jpg" width="120" height="182" border="0" align="right" hspace="5" vspace="5" alt="A picture named elves.jpg">It plays the role this weblog played in the early days of blogging. It distributes attention to all kinds of creative people doing coooool stuff. Lots of chuckles and lots of <i>bings!</i>
			- Rocketboom adopted the principle of <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">sending them away</a> to get them to come back, and it did it with style and panache, and the <a href="http://www.scripting.com/wavs/spaceTheFinalFrontier.wav">nerdy</a> little things Amanda did so awkwardly that it made us fall in love with her. The goyisha chick who <i>gets</i> it. It doesn't get much better than that.
			- But without Rocketboom we are less. 
			- So why should we deliberately try to be less? I don't think we should.
			- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/09/hamster.jpg" width="85" height="148" border="0" align="right" hspace="15" vspace="5" alt="A picture named hamster.jpg"></a>I love <a href="http://www.zefrank.com/theshow/">Ze Frank</a>. He cracks me up. I dig his politics. I see things the same way. Ze plays an important role. But guess how I found out about Ze. Yeah, you guessed it -- through Rocketboom.
			- So the unenlightened folk who say Amanda takes it all with her, well they don't get what Rocketboom is. Amanda's heart is in the right place, she got it and she did it, but she isn't it. And neither is Andrew, but he's sticking with it, so I'm sticking with him. If Amanda, in her new gig, does the sending them away thing, then she will have my support too. 
			- But right now on Monday Andrew is my main man. He's trying to thread the needle, and I'm right there with him, helping in any way I can. Why -- cause it's the right thing to do.
			- "james kirk"
		- Firefox & friends
			- <a href="http://www.mozilla.com/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/09/fox.gif" width="85" height="87" border="0" align="right" hspace="15" vspace="5" alt="A picture named fox.gif"></a>I've been learning a lot about Firefox in the last week, stuff that isn't immediately apparent to a user. I've had some expert guides, but I'm not sure how they feel about me saying who they are, so I'll err on the side of caution. One this is for sure, Firefox doesn't move very much, from a UI perspective. So while it's a nice cross-platform browser and it doesn't have the malware problems that Microsoft's browser has, we still haven't got much in the way of forward motion from a user's perspective. This user's <a href="http://www.ghacks.net/2006/07/09/download-firefox-20-beta-1-release-candidate/">review</a> of Firefox 2.0 preview confirms. "The new version looks like the old and feels like the old. Changes have been introduced in the background mainly." Of course it's good that the boat isn't rocking, but we could have some new features, every decade or so. ";->"
			- <a href="http://weblogs.mozillazine.org/ben/">Ben Goodger</a> is the lead engineer for Firefox. 
		- Something really cool just worked
			- <a href="http://www.physics.ox.ac.uk/schools/inset/Ski-phys1.htm"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/09/skier.gif" width="138" height="96" border="0" align="right" hspace="15" vspace="5" alt="A picture named skier.gif"></a>Imagine a lovely mountaintop where you'd like to build a ski chalet, a restaurant, ski shop, a nice place to relax while enjoying the view of the snowy valley below. If you're a skier, you know how nice it can be to stop at such a place, loosen up the boots, sit down, take a deep breath or two.
			- Someone had to go there before there was a lovely chalet, someone had to hike up the mountain in the middle of the summer, carrying tools and rope and stuff. There was a thrill of a different kind for that bloke. He could relax and have a smoke (back when he used to smoke) and imagine what it would be like for the skiers, in the winter, to have their burgers and cokes, cocoas and stuff. 
			- Well, that's a long-winded way of saying that I just got part of a chalet working. 
			- It's a nice little folder on my desktop called Amazon S3. When I drag a file into the folder, it goes to the proper place in Amazon's cloud. When I create a sub-folder and put a file into it, it also goes to the right place. Open a picture in Graphic Converter or Photoshop, save it into the Amazon S3 folder, and it goes up to the cloud. Edit it, the changed version goes up. 
			- There's still a lot more work to do, and then come the applications of this nice little thing, and ideas that other developers want to try out that work the same way, those are the cokes and cocoas and burgers and hot dogs. Ski wax and sharpened edges come later too. ";->"
		- Count-the-steps
			- Talking with one of my <a href="http://www.scripting.com/2006/07/09.html#firefoxFriends">Firefox friends</a> on Friday, I explained how I make software easier to use. The first thing is to use it long enough so that a clear pattern develops. This is important, because a persistent user will often figure out a workaround that makes something utterly efficient, and then it's just amatter of moving that (short) sequence of steps up the UI tree, so it's more visible to less experienced users. Paving the cow path is a good analogy. 
			- But sometimes after enough time you realize that the user model is too inefficient, and that calls for some new technology. Then what I do is carefully write down the steps in all their boring detail and then look for ways to get rid of steps. That's where <a href="http://davenet.scripting.com/1999/05/24/editThisPage">Edit This Page</a> came from in 1999, a feature that most web content management systems don't have, to this day (if they did they'd be a lot easier). 
			- So here's the steps I go through to get the Meet The Press podcast onto my MP3 player in time for my Sunday afternoon walk. (Without waiting for my nightly podcatcher run.)
			- 1. Connect the player to my computer via USB.
			- 2. Visit <a href="http://www.msnbc.msn.com/id/3032608/">Meet the Press</a> site. 
			- 3. <a href="http://www.msnbc.msn.com/id/8132577/#mtp">Click</a> on "Click here to download the MTP podcast."
			- 4. <a href="http://podcast.msnbc.com/audio/podcast/MSNBC-MTP.xml">Click</a> on the white on orange POD button. (Hmmm.)
			- 5. Visually scan the XML looking for the enclosure element. 
			- 6. <a href="http://images.scripting.com/archiveScriptingCom/2006/07/09/urlselected.gif">Select</a> the url. Copy to clipboard.
			- 7. Go to Gmail.
			- 8. Create an <a href="http://images.scripting.com/archiveScriptingCom/2006/07/09/gmailmsg.gif">email message</a> to myself. Paste the url.
			- 9. Check email. (Refresh the page.)
			- 10. Right click on the url.
			- 11. Choose Save Link As from the popup menu.
			- 12. Navigate to my Downloads folder on my desktop.
			- 13. Save it. Wait while it download. (Their server is realllly fast!)
			- 14. Click on the icon of the folder in the Firefox Downloads <a href="http://images.scripting.com/archiveScriptingCom/2006/07/09/downloadswindow.gif">window</a>. (Nice touch.)
			- 15. Open it.
			- 16. Sort by Date Modified.
			- 17. Open another Finder window, navigate to the MP3 player Music folder.
			- 18. Copy the file across.
			- 19. Delete already-listened-to podcasts.
			- 20. Empty the trash. 
			- 21. Unplug the MP3 player.
			- 22. Leave the building.
			- It sounds ridiculously long, but it actually takes about a minute to do. But it took me about <i>6 months</i> to settle on this method. Now, of course, I see how to make this ridiculously easy, there's a 3-step process that I could program in my desktop scripting environment. Now that I have the formula, I'll pick that up hopefully before next Sunday. ";->"
	- July 8
		- Teach Your Children
			- <i>By Graham Nash, appeared on Deja Vu, 1970.</i>
			- You, who are on the road, must have a code that you can live by. And so, become yourself, because the past is just a good bye.<p>Teach your children well, their father's hell did slowly go by. And feed them on your dreams, the one they picks, the one you'll know by.<p>Don't you ever ask them why, if they told you, you will cry. So just look at them and sigh and know they love you.
			- And you, of tender years, can't know the fears that your elders grew by. And so please help them with your youth, they seek the truth before they can die.<p>Teach your parents well, their children's hell will slowly go by. And feed them on your dreams, the one they picks, the one you'll know by.<p>Don't you ever ask them why, if they told you, you will cry. So just look at them and sigh and know they love you.
	- July 7
		- <a href="http://scobleizer.wordpress.com/2006/07/07/calling-all-dead-programmers-and-unemployed-videobloggers-off-the-grid-camp-starts-august-6/">Scoble's</a> having a camp-out in <a href="http://maps.google.com/maps?f=q&hl=en&q=Pray,+MT&ie=UTF8&ll=45.41966,-110.685883&spn=0.755717,1.713867&t=h&om=1">Montana</a>, starting August 6 near Chico Hot Springs. 
		- <a href="http://www.micropersuasion.com/2006/07/report_new_rock.html">Steve Rubel reports</a> on Huffington <a href="http://www.huffingtonpost.com/eat-the-press/2006/07/07/breaking-new-rocketboom-_e_24601.html">speculation</a> on the new Rocketboom anchor. 
		- <a href="http://www.wired.com/news/culture/0,71339-0.html?tw=wn_culture_4">Wired article</a> on Rocketboom.
		- Don Park <a href="http://www.docuverse.com/blog/donpark/EntryViewPage.aspx?guid=e1468c89-3f84-46b1-b2c2-0a439033a0eb">explains</a> how Kim Jong Il thinks. 
		- <a href="http://inessential.com/?comments=1&postid=3323">Brent Simmons</a> on a new <a href="http://a-sharp.com/opal/">Mac outliner</a> that supports OPML.
		- <a href="http://www.geeknewscentral.com/archives/006236.html">Todd Cochrane reports</a> that Podshow has fixed the links to the RSS feeds, they now point to the correct places. Watch out when anyone hosts your feeds. There's no telling what they will add or remove, now or in the future. 
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/07/roseMaryWoods.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/07/rosemarysmall.jpg" width="53" height="63" border="0" align="right" hspace="15" vspace="5" alt="A picture named rosemarysmall.jpg"></a><a href="http://fuzzyblog.com/archives/2006/07/07/in-defense-of-podshow-this-might-just-be-a-bug/">Scott Johnson</a>, who has consulted for Podshow, takes up their cause. It's a bit much to believe that a bug caused them to hijack our feeds. More likely it's a business model. When Plan A failed, the one where we all sign over all our IP to them in return for nothing, they went with Plan B, let's just take the content and let them sue us. 
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/07/roseMaryWoods.jpg">Rose Mary Woods demonstrates</a> how Podshow programmers accidentially erased the link to the real podcast feeds, and instead linked to podshow.com versions with copyrights removed. ";->"
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/07/pyramid.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/07/vitaminWater.gif" width="59" height="147" border="0" align="right" hspace="15" vspace="5" alt="A picture named vitaminWater.gif"></a>Another question arises from the new directory at Podshow, what happened to the community directory? Here's an <a href="http://web.archive.org/web/20041130022850/www.ipodder.org/directory/4/podcasts">archive.org snapshot</a> of the directory at the beginning of 2005. I think it would be worth restarting the effort, and I would make a contribution to hosting it. I've heard from a few of the maintainers of branches of the original OPML-based podcasting directory. 
		- BTW, an interesting <a href="http://scripting.wordpress.com/2006/07/06/scripting-news-for-762006/#comment-5612">comment thread</a> developed here last night about the <a href="http://www.geeknewscentral.com/archives/006232.html">issues</a> at Podshow. 
		- A story for Richard
			- On the Web 2.0 Workgroup mail list, Richard MacManus asked: "Will someone please tell me why this Rocketboom soap opera is such a big story in the blogosphere?"
			- This gave me the perfect entree to tell a favorite story...
			- Richard, I once wrote a story about this, called <a href="http://davenet.scripting.com/1996/08/28/BeeSeason">Bee Season</a>.
			- I wondered why Bees live and die.
			- It turned out that the Bees in my back yard died because I wanted a peaceful August afternoon.
			- <a href="http://bruinbooks.com/yellowjacket.htm"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/07/bee.gif" width="95" height="75" border="0" align="right" hspace="15" vspace="5" alt="A picture named bee.gif"></a>I was pretty sure that the Bees didn't know that, but if they were creatures like us who wanted to know why everything was the way it was, they would be loathe to guess that a human being named Dave Winer was killing them. I doubt if they even understood what a human being is. And they were very very far away from knowing the why of it.
			- At the end of the piece a reporter calls to ask why Mac developers are switching to Windows.
			- Why! Why!
			- Oh man.
			- Dave
			- PS: Oy vey.
		- Self-deprecating humor is great
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/07/idiot.jpg" width="65" height="120" border="0" alt="A picture named idiot.jpg">
	- July 6
		- People who <a href="http://www.sparkplug9.com/bizhack/index.php/2006/07/06/maybe-the-blogosphere-is-high-school-after-all/">say</a> life is like high school got it backwards. 
		- Anyway, come Monday there will be a new temporary host on Rocketboom. Some people think it will be <a href="http://www.flickr.com/photos/scriptingnews/163944225/in/set-72157594161069157/">Amber Dawn MacArthur</a>. I happen to have a <a href="http://static2.podcatch.com/blogs/gems/support/DSCN5752.MOV">video</a> of her, with Marc Canter. They both thought they were posing for a picture, but I was actually taking a movie. ";->"
		- <a href="http://www.wired.com/wired/archive/14.07/longtail.html">Chris Anderson</a>: "The era of the blockbuster is so over."
		- <a href="http://davenet.scripting.com/2002/05/13/monocultureAnArtifcactOfThe20thCentury">5/13/02</a>: "Perhaps monoculture has run its course."
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/06/amberDawnMacArthur.jpg" width="65" height="86" border="0" align="right" hspace="15" vspace="5" alt="A picture named amberDawnMacArthur.jpg">Todd Cochrane <a href="http://www.geeknewscentral.com/archives/006232.html">says</a> Podshow hijacked his podcast. They're doing lots of nasty stuff, for sure. I'm not happy that they're taking over my content, putting their copyright notice on it, creating <a href="http://www.podshow.com/extfeeds/35043b178912f63272cbf96bbf24560a.xml">their own version</a> of my RSS feed, adding their crap, and taking out my copyright. They're really asking for trouble. On a massive scale. For example, here's their version of Engadget's <a href="http://www.podshow.com/extfeeds/1010be0249348d7d74c8a49de54d1f1d.xml">podcast feed</a>. Copyright is "na." Uhhhh. Hmmm. Same <a href="http://www.podshow.com/extfeeds/53a6b3d82cf6cb6a3d2ec915cec27272.xml">with</a> Meet The Press. Here's their <a href="http://www.podshow.com/hot/?mode=shows">program guide</a>. Is your podcast there?
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/06/eastRiver.jpg">New header graphic</a>. The East River in NYC, <a href="http://www.flickr.com/photos/scriptingnews/129697295/">viewed</a> from the 49th floor of the <a href="http://www.hilton.com/en/hi/hotels/index.jhtml?ctyhocn=NYCMLHH">Millenium Hilton</a> Hotel. 
		- <a href="http://barnako.typepad.com/barnakocom/2006/07/rocketboom_flam.html">Frank Barnako</a>: "Some bloggers seem to think Amanda is a superstar, sent from above to lead them to mass media dominance."
		- Washington Post <a href="http://www.washingtonpost.com/wp-dyn/content/article/2006/07/05/AR2006070501742.html">article</a> on the split at Rocketboom.
		- <a href="http://www.buzzmachine.com/index.php/2006/07/06/can-this-vlog-be-saved/">Jeff Jarvis could</a> be instrumental in sorting it out.  
		- <a href="http://www.nytimes.com/2006/07/06/technology/06ipod.html?ex=1309838400&en=a6e07d7ba2c7e8bf&ei=5090&partner=rssuserland&emc=rss">NY Times</a>: "Microsoft's digital device would be equipped with at least one feature the iPod lacks: wireless Internet capability that would allow users to download music without being connected to a PC."
		- Boom
			- I hope Amanda and Andrew figure out that they have a magic thing, their talent balances each other's and it's not too late to work it out, to get back on track. I don't think either of them will do as well without the other as they would if they got back together.
		- Rocket
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/06/mc1.gif" width="220" height="336" border="0" alt="A picture named mc1.gif">
	- July 5
		- Amanda Congdon is <a href="http://amandaunboomed.blogspot.com/2006/07/amanda-unboomed_05.html">leaving</a> Rocketboom. 
		- A statement is <a href="http://www.rocketboom.com/">posted</a> <a href="http://images.scripting.com/archiveScriptingCom/2006/07/05/rbstatement.gif">at</a> Rocketboom.com.
		- Instead of stressing out over Rocketboom, <a href="http://www.zefrank.com/theshow/archives/2006/06/post_3.html#">watch</a> <a href="http://www.zefrank.com/theshow/archives/2006/07/070506.html#">a</a> <a href="http://www.zefrank.com/theshow/archives/2006/06/062906.html#">few</a> <a href="http://www.zefrank.com/theshow/archives/2006/06/062806.html#">Ze</a> <a href="http://www.zefrank.com/theshow/archives/2006/06/062706.html#">Franks</a>. They may make you happy. ";->"
		- Jason Calacanis has an <a href="http://www.calacanis.com/2006/07/05/advice-and-an-offer-for-amanda-congdon/">offer</a> for Amanda. 
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/05/baronCongdon.jpg">New header graphic</a>. Andrew Baron and Amanda Congdon <a href="http://www.flickr.com/photos/scriptingnews/130369244/">at Katz's Deli</a> in NYC on <a href="http://www.scripting.com/2006/04/17.html#When:5:10:43PM">April 17</a>.
		- <a href="http://www.technorati.com/search/amandaunboomed.blogspot.com%2F2006%2F07%2Famanda-unboomed_05.html">Technorati query</a> for Amanda's announcement.
		- <a href="http://www.rocketboom.com/vlog/archives/2005/09/rb_05_sep_09.html">09/09/05</a>: "I'm a young Republican." ";->"
		- <a href="http://www.25hoursaday.com/weblog/PermaLink.aspx?guid=c6d6f2b2-b826-4acd-8576-10018fa6268d">Dare Obasanjo</a>: "A developer using Python or Perl is likely more at home dealing with XML-RPC than using SOAP."
		- <a href="http://www.npr.org/templates/story/story.php?storyId=5534705&ft=1&f=1001">AP</a>: "Kenneth Lay, founder and vilified former chairman of scandal-ridden Enron Corp, died of a heart attack Wednesday morning. He was 64."
		- Chuck Shotton has a Deadwood-themed <a href="http://www.shotton.com/files/deadwood.mp3">ringtone</a> on his cell phone. Warning, it's not office-safe. ";->"
		- <a href="http://www.docuverse.com/blog/donpark/EntryViewPage.aspx?guid=f54e6e33-b175-4693-9e6d-b24a90646511">Don Park</a>: "Bring on the Parks."
		- What we know and don't know about Amanda, Andrew and Rocketboom
			- Nowhere in Amanda's <a href="http://amandaunboomed.blogspot.com/2006/07/amanda-unboomed_05.html">video</a> does she say she was fired. 
			- Here's what she does say:
			- "I'm not on vacation."
			- "I have apparently been unboomed."
			- "Andrew Baron is no longer interested in being my partner."
			- She's good at pulling the heart strings, but her video is short on actual information. 
			- Yet many of the bloggers covering the <a href="http://mashable.com/2006/07/05/amanda-congdon-gets-ditched-by-rocketboom/">event</a> <a href="http://www.techcrunch.com/2006/07/05/congdon-fired-from-rocketboom/">say</a> <a href="http://www.rexblog.com/2006/07/05#a10705">she</a> <a href="http://www.niallkennedy.com/blog/archives/2006/07/amanda-congdon-rocketboom.html">was</a> <a href="http://www.whatsnextblog.com/archives/2006/07/rocketboom_fires_amanda_congdon_and_loses_its_voice.asp">fired</a>. 
			- Huh?
			- Based on what?
			- She says she wants to be transparent, but her video is anything but.
			- <a href="http://www.flickr.com/photos/scriptingnews/130369244/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/05/boomersInKatzs.jpg" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named boomersInKatzs.jpg"></a>I've been talking with Andrew Baron about this for a few weeks now, since my trip back east between Vloggercon and BloggerCon on <a href="http://www.scripting.com/2006/06.html#When:4:39:18PM">June 17</a>. I've read some of the correspondence between them, and from my perspective, it's totally unfair to say that Amanda was fired. She says Andrew was no longer interested in being her partner, but that contradicts everything I've heard Andrew say. Amanda is not an authority on what Andrew is interested in. 
			- I'm pretty sure Amanda wanted to take the show to Los Angeles and leave Andrew and the rest of the people at Rocketboom behind. It's not clear whether she was going to pay Andrew (he hasn't been drawing a salary, while Amanda has) or if she had offered to buy him out. 
			- It's also not clear what Andrew did to cause Amanda to do the video, or if Andrew actually did <i>anything</i> to cause her to do the video. Her video didn't really say anything other than she wasn't going to be doing Rocketboom. It certainly didn't explain why. The reporting by the blogosphere so far has been pretty one-sided and totally shoddy and unfair. 
			- Disclaimer: I don't own any Rocketboom stock, and have no interest in the outcome other than I am generally supportive of both Amanda and Andrew, and the video blogging art, business and community. I thought they were a good team, I enjoy their work, and I hope both get a chance to profit from their success. I still hold hope that they can patch things up and work together again.
	- July 4
		- Chris Lydon's <a href="http://www.radioopensource.org/emerson-redux/">July 4 special</a> on Emerson.
		- <a href="http://www.iht.com/articles/2006/06/30/opinion/ederik.php">Erik Lundegaard</a>: "It wasn't until Superman came to television in the 1950s that the phrase became codified in the form most of us remember it: 'a never-ending battle for truth, justice and the American way.'"
		- It was great to see <a href="http://paolo.evectors.it/2006/07/04.html#a2962">Paolo</a> and Monica here in the US. 
		- <a href="http://www.historyimages.com/flag/clipart.html"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/04/myCountryTisOfThee.jpg" width="95" height="75" border="0" align="right" hspace="15" vspace="5" alt="A picture named myCountryTisOfThee.jpg"></a>I understand that the makers of the new <a href="http://movies2.nytimes.com/gst/movies/movie.html?v_id=316298">Superman movie</a> have changed his slogan to Truth, Justice, and all that stuff. Pretty lame, don't you think. Sounds like a <a href="http://www.hamienet.com/2702.mid">song</a> from the movie <a href="http://movies.yahoo.com/shop?d=hv&cf=info&id=1808403441">Chicago</a>. Couldn't they have at least made the new ending rhyme with <i>The American Way?</i> Or made a new slogan for every culture, which leads me to the Jewish version which surely would have been, Truth, Justice and Oy Vey! Heh. Sorry. Anyway, with that in mind, happy birthday USA, you're still the country of mine, even if Superman is too politically lame to stay on board. 
		- I wonder if it's be possible for me to disagree with <a href="http://www.kbcafe.com/rss/?guid=20060704042846">Randy Morin</a> without getting flamed. I never said XML-RPC is better than SOAP or REST, or more perfect or pure, or better documented. I don't care if the others have better websites, or more advocates posting on mail lists. The reason I advise would-be platform developers to support XML-RPC is because at least for some developers (including me) it's so much faster to implement, so we spend less time creating glue and get to building applications sooner. I've learned that the sooner developers get to the fun part, the more likely they are to deploy. And if that's the goal, why not support it? BTW, I never said they shouldn't support SOAP or REST, in fact I often provide multiple interfaces to my would-be platforms, because I've learned that if you want uptake for new ideas, you shouldn't argue over small things like this, you should say yes whenever you can. 
		- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/04/cabinetBowler.jpg" width="156" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named cabinetBowler.jpg"><a href="http://www.readwriteweb.com/archives/doing_the_silic.php">Richard MacManus says</a> BloggerCon IV tended to favor the most vocal people. I agree, and this is not the way it's supposed to be. I don't think the DLs took the guidelines seriously in this area, and unless they do, the unconference format suffers. They're supposed to seek out people, to interrupt repeating and droning. The <a href="http://www.bloggercon.org/iv/format">guidelines</a> don't say the DLs "may" interrupt, they say "must." 
		- At dinner last night a friend said the Wikipedia page about me is pretty horrible. As I've <a href="http://www.scripting.com/2005/12/20.html#When:3:42:51AM">said</a> before, I never read it, but I suspected as much. Every page I read that I know something about is controlled by a negative point of view that tends to promote certain things and be prejduiced against others. It's relatively consistent. And these are the technical subjects that Wikipedia is supposed to be accurate about. However, I think it will eventually take care of itself, as it expands to cover subjects and people more people know about, they'll see it for what it is, a place where the most persistent people with the most time to waste control what is said. 
	- July 3
		- Wired New: <a href="http://www.wired.com/news/technology/0,71302-0.html?tw=wn_politics_1">Fur Flies at Gnomedex</a>.
		- Of course there's a <a href="http://deadwood.blog.com/">Deadwood blog</a>. ";->"
		- <a href="http://www.rexblog.com/2006/07/03#a10680">Rex Hammock</a>: "Blog mogul is an oxymoron." <i>Amen.</i>
		- How to win a political race on the Internet, 2008 edition
			- <a href="http://timstvshowcase.com/gongshow.html"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/03/gongshowguy.jpg" width="125" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named gongshowguy.jpg"></a><i>There's been a longish email thread going back and forth after Ryan Montoya's appearance on The Gillmor Gang, recorded on Saturday during lunch at Gnomedex. Even before the show I felt sorry for Montoya, Senator Edwards's tech advisor. He's a really nice guy, and I'm sure he means well. Now he's been vetted on our mashup of The Gong Show and Captain Kangaroo. Anyway, in the thread we're trying to pump Ryan up with ideas for how The Senator could make effective use of the Internet, mostly BS about the Senator and his wife blogging, or putting a webcam in their bedroom. I came up with something different, it's what I would do if I were trying to premeditate an Internet phenomenon in 2008, akin to the Dean Campaign of 2003. So here's the text of the email which I sent to Montoya and cc'd to Doc Searls, Dan Farber, Steve Gillmor, Robert Scoble and Mike Arrington. </i>
			- 
			- Dear Ryan: You know what would be more useful than the family members blogging:
			- 1. Start a program to help people in North Carolina who aren't blogging to start blogging. (It's just as important as voter registration.)
			- 2. Help the elected officials in North Carolina (start with our old friend <a href="http://coble.house.gov/">Howard Coble</a>) learn how to read the blogs.
			- 3. Have staff members read the blogs, looking for good ideas, and make sure they get routed to the right political leader, someone who can use the idea.
			- The Edwards's aren't experts in this stuff, and it's wrong to set the expectation that they will or should become experts. What they are experts at, or so they say, is solving problems using the political system. So instead of waiting until they get elected again, which may never happen, get started helping right now.
			- Makes a pretty good stump speech too.
			- Hosting isn't the problem in 2006 like it was in 2003, but lots of people still need help figuring out how to blog, and that's something the kids would probably get a kick out of (and we are looking for ways to get 16 year olds in the loop, right, they vote in 2008).
			- Another angle, make it bi-partisan. Want to freak the Republicans out, help them!
			- Another one, don't just do it in North Carolina, do it in the South too. They have an early primary.
			- Start blogging clubs like bingo, and BBQ.
			- Dave
		- We're getting somewhere
			- I've been mailing with <a href="http://blakeross.com/2006/07/02/moving-forward/">Blake Ross</a> and his partner Joe Hewitt, and we very quickly got past the the disconnect that came up at Gnomedex on Saturday. As Blake says, there was a lot of human nature on both sides. 
			- For my part, I am just learning now that people take me seriously. I'm not kidding about that. It's one thing to know that you have some power, and another to see how much. When I <a href="http://www.scripting.com/2005/03/02.html#fromTheIsntittotallyobviousDepartment">wrote</a> about their venture in March of last year, a lot of people assumed I knew their strategy (I didn't, I was speculating) and gave Ross and Joe a lot of grief over it. That actually makes sense in a very bizarre way. People don't read weblogs carefully, they skim, and before they understand what's being said, some of them will flame you, sometimes very publicly. That's what happened with the March 2005 post. People skimmed, didn't think very much, assumed my speculation was fact, and let Blake have their grief. 
			- Reading some of Blake's earlier posts, it's now very clear to me that he's working for the users, and is openly critical when software developers blow the users off, so we're on the same side on this. His slides at Gnomedex were apparently mocking people who see Firefox as part of a jihad to punish Microsoft, but the subtlety was missed by many in the audience, who were stirred up by it, and my comments, which many agreed with a few hours later, were seen in a different light by them at the time. It didn't feel very good to be standing up against a mob, but that seems to be a place I end up, unfortunately, all too often. 
			- I think the lesson is to not depend on readers and audiences to pick up on subtlety. 
			- Anyway, the tale has a happy ending, imho. We're going to work on this stuff, to help make Firefox stronger, and in the process make the users stronger, to set an example for how software can be responsive to the needs of the users.
	- July 2
		- Movie: <a href="http://static2.podcatch.com/blogs/gems/support/DSCN5994.MOV">Marc Canter & Mike Lehman at Scoble's BBQ</a>.
		- <a href="http://www.niallkennedy.com/blog/archives/2006/07/firefox-in-the.html">Niall Kennedy's mini-summary</a> of "what's going on at Firefox, from an outsider's point of view."
		- <a href="http://laughingsquid.com/2006/06/27/kyocera-kr1-mobile-ev-do-router/">Scott Beale</a> has a cool EVDO router, so you can have wifi where ever you are. 
		- Focus on the users
			- <a href="http://www.flickr.com/photos/joshb/179215323/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/02/chris.jpg" width="65" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named chris.jpg"></a>I was a user, developer and web writer during the Browser Wars and the Java Wars, and I pleaded and begged Microsoft, Netscape and Sun to pay attention to the users, and not focus on each other. But like two parents fighting while the kids are going hungry, they couldn't be separated, they loved the fight, and in the end they all lost, but none lost more than the community.
			- There's no question that Blake Ross is too young to remember this. So are many of the people working at Google, Yahoo and Microsoft, and all the startups that populate the land we used to call Web 2.0 (Mike Arrington, a bellweather, now calls it the New Web, which is fine with me). They don't remember it, and watching Blake Ross's presentation, I had the horrible sinking feeling that they (and we) are doomed to repeat it.
			- In my talk earlier in the day, when asked about IE7's support for RSS, I confessed that I was now a Firefox user, and as before, with IE7, it was impossible for me to imagine switching. Too painful. Once you make the adjustment to way one browser works, adopting another seems difficult. I guess now that I have one switch under my belt, it would be easier to do it again. But to me, IE7 is the land of malware. Firefox still is relatively pain free (although the popups are starting to appear).
			- What I hoped to hear from Ross yesterday is something like this. "We understand why you and many others switched to Firefox, and now that you're users of our product, we hope to keep you as users. We know that malware probably played a role in your decision to switch, so we have put the following systems in place to deal with the problems, as they appear, 24 hours a day, 7 days a week, all over the world. Further, we know a lot of our users are on the Mac, and there are lots of ways to improve the Firefox experience for Mac users, and here are some of the ideas we have (insert demos of features in the pipeline)."
			- Instead of demos we got Microsoft-bashing. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/07/02/steveJobs1983.jpg" width="101" height="144" border="0" align="right" hspace="15" vspace="5" alt="A picture named steveJobs1983.jpg">Look, you don't see Steve Jobs doing that. He's thinking beyond Microsoft. Scott McNealy, the master of Microsoft bashing is retired, replaced with an exec who (surprise) is focused on rebuilding their business by understanding what Sun can do for users. Bill Gates, the great software warrior of the 20th century, is retiring too, replaced by a thoughtful man who's crafting strategies to (guess what) create value for users and give them what he knows they want (by looking at how they're adopting competitors' products). In other words, if Firefox insists on a fight, they might find themselves fighting with no one, and impressing only the people who have hate in their hearts for people they don't know. Thankfully that's not a very large group of people, but unfortunatley, for those of us who use their product, that method does not, in any way, address our needs. Which is why I concluded that Firefox would leave us as cold, on our own and unfed, as Microsoft did. 
			- In business you just can't afford to be picky about who your friends are. If someone uses your product and supports it, even evangelizes it, you really don't want to blow them off, and certainly not in a public way like Ross did to me. But it's okay, I have thick skin, been around this block, dissed by the best. But in all the years I've been doing this, I've never seen someone who is scared of a simple user question succeed in this business. At least if Bill Gates didn't want to answer your question, he smiled, and lied. You came out feeling slimed, that's for sure, but you couldn't quite figure out <i>why.</i> ";->"
			- I would be happy to work with the Firefox people. But I will never support product developers talking to users the way Ross talked to us yesterday. I will always speak out against it. Their fight is not ours, and the fight is not even useful to them, it's all a distraction. 
	- July 1
		- Amazon: <a href="http://docs.amazonwebservices.com/AmazonS3/2006-03-01/VirtualHosting.html">Virtual Hosting of Buckets</a>.
		- <a href="http://www.flickr.com/photos/laughingsquid/179308933/"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/01/firefoxguy2.jpg" width="79" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named firefoxguy2.jpg"></a><a href="http://www.scripting.com/2005/03/02.html#fromTheIsntittotallyobviousDepartment">This speculative post</a> on Scripting News on 3/2/05 was cited by <a href="http://www.blakeross.com/">Blake Ross</a> in his presentation at Gnomedex as evidence of something I did that was wrong (not sure why). Had he blogged an objection or correction, or sent it via email, I would have happily presented his point of view. There's nothing wrong with speculation as long as it's clear that's what it is. I make no apology for what I said. As a user of Firefox today (I wasn't then), to the exclusion of any other browser, I would like to know what features they're going to add, what bugs they're going to fix. That's what I asked him for here at Gnomedex, and I didn't get an answer. I don't care about their aspirations re Microsoft, that's where the software industry went wrong. Focus on what you're going to do for users, and all it right. 
		- BTW, I don't think my speculation was that far off. Today Firefox generates <a href="http://digg.com/tech_news/Mozilla_made_$72_million_from_Firefox">millions</a> in revenue from Google for the <a href="http://images.scripting.com/archiveScriptingCom/2006/07/01/searchboxinfirefox.jpg">default search position</a> in the browser's chrome. I'd like to know in what way that's <i>not</i> an ad. 
		- <a href="http://flickr.com/photos/scriptingnews/179254913/in/set-72157594183764134/">Pictures</a> from the Gillmor Gang at Gnomedex.
		- Seattle P-I: <a href="http://seattlepi.nwsource.com/business/276108_gnomedex01.html">John Edwards courts tech crowd in Seattle</a>.
		- <a href="http://davetravel.scripting.com/pisanotes">Notes for a talk</a> that I gave in Pisa, Italy in May 2005. 
		- <a href="http://images.scripting.com/archiveScriptingCom/2006/07/01/proclamationRssDays.gif">A more reasonable size</a> of the RSS Days proclamation.
		- Attn Jeff Barr
			- I had another brief conversation this morning with Jeff Barr of Amazon. He saw my <a href="http://www.scripting.com/2006/06/30.html#When:1:56:32PM">note</a> about my note yesterday, so it seems to work. I have more ideas, but since we have an open flow of ideas going through Scripting News, let's keep going the open way.
			- 1. <b>Domain mapping</b>. I want to point a sub-domain at a bucket on S3, so they can host my weblog along with my BitTorrents and the address of the site is something like blog.dave.com. Well, the turnaround time on this request is less than zero, apparently they've already <a href="http://docs.amazonwebservices.com/AmazonS3/2006-03-01/VirtualHosting.html">implemented</a> it! As Ze Frank says, "Awesome."
			- 2. <b>Developer pricing</b>. I'd like to make my OPML Editor software connect to S3, but I don't want to pay for the service for my users (my software is free, after all) and while I don't mind building business for Amazon, it does seem kind of weird that they will be making money from my work, while I'm not just making nothing, I'm actually spending money for the users of my software (which is the current situation, btw). So at first I thought I wanted them to offer a 60 or 90 day free trial for my users, but that led to an even better idea. How about paying me to generate business. Seems I should get a big portion of the revenue, so I'm incentivized to build business for Amazon. Seems like a no-brainer. Voila! Business model. Aha.
		- My talk this morning
			- I'm going to try to explain how I think about communication, technology, creativity and making money. There are a couple of very very simple ideas that are behind everything I do, RSS, blogging, OPML, outlining, podcasting, unconferences, everything.
			- The two ideas are outlined in two DaveNet pieces: 
			- 1. <a href="http://davenet.scripting.com/2001/02/13/howToMakeMoneyOnTheInternetV20">How to Make Money on the Internet, v2.0</a> and 
			- 2. <a href="http://davenet.scripting.com/2002/05/13/monocultureAnArtifcactOfThe20thCentury">Monoculture, An artifact of the 20th century?</a>
			- Imho, these two ideas explain everything. 
			- Last night I was talking with Dave Luebbert, my dear friend, who I met when he was a Microsoft engineer in the mid-80s. We talked about Jeff Harbers, a Microsoft guy we both knew (he did due diligence on a company I wanted to sell to MS in 1987). And where Microsoft is at today, and why Bill Gates quit now and what it means. (That's #1, users design technology, which is why Google is ascending now as Microsoft is declining.)
			- If you want to understand why the music industry is going where it's going, that's both #1 <i>and</i> #2. There's still a bit more money to be made off the music of the 20th century, but there's no time to waste, soon that opportunity will go away, and what remains of the centralized music industry will wither and die, not to be replaced (it's as obsolete as the buggy whip industry was during the ascendence of the automobile).
			- <a href="http://seattlepi.nwsource.com/photos/photo.asp?PhotoID=94201"><img src="http://images.scripting.com/archiveScriptingCom/2006/07/01/edwards.jpg" width="115" height="158" border="0" align="right" hspace="15" vspace="5" alt="A picture named edwards.jpg"></a>They also answer the questions asked by Senator Edwards yesterday, you can't follow the algorithm inadvertently <s>pioneered</s> stumbled on by Howard Dean, that's too simplistic. Maybe we will have one or two more elections in the 20th century mode, and then our political leaders are going to be <i>users</i> of democracy, whatever that means. (It's basically up to all of us to figure that out.)
			- We live in the age that <a href="http://www.emersoncentral.com/selfreliance.htm">Emerson</a> predicted, self-reliance. Make your own music and your own products. Everyone gets to be creative. The brains are in what we used to call the audience. No more looking up to the ivory tower for all fulfillment. Thank god we don't all have to be as beautiful as Farah Fawcett and Christopher Reeve. Everyone gets to sing. Users and developers party together.
