- February 2007
	- February 28
		- NPR conference postscript
			- I had a <i>lovely</i> time at the Public Media conference last week. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/28/augustusCaesar.gif" width="115" height="184" border="0" align="right" hspace="15" vspace="5" alt="A picture named augustusCaesar.gif">It had the feel of a user conference, which are really the kinds of conferences I like. And unlike the entertainment industry conferences I'd been to, these people are not so commercial and not bullies. Later, I was told that the people who come to this conference are the people most like bloggers in public media, but I also met a few execs, including the COO and a couple of board members of NPR, and they were excited too. 
			- To say we, the bloggers, were well-received, would be an understatement. We were treated like stars and gurus, our words listened to attentively, our ideas received enthusiastically. What a joy and what a contrast to the tech industry, where bloggers are mostly <a href="http://www.scripting.com/2006/08/03.html#makingMoneyWithAdsNotMuchLonger">seen</a> as a business model, not a source of ideas.
			- Anyway, the post-conference emails are just beginning to be responded to, and I expect lots of good stuff to come from this first visit. There's talk of doing a BloggerCon for public radio. I'm helping the NewsHour people make their podcast feeds a little more useful. Most important I want to work on a vital exchange of ideas and perspectives across the pro-amateur boundary. I want them to teach us how to produce content up to their standards, so bloggers, podcasters and vloggers who want their work to air on NPR and PBS will know what they're looking for. And I want our methods to gain adoption in their space. An example is the way the Scripting News community researched the <a href="http://stories.scripting.com/2007/02/27/macbookSoundWoes.html">problem</a> with audio on MacBooks yesterday. This open research method can be applied equally well for public media. You just have to let us know what you're interested in. I promised to help them boot up a research blog, following this model.
			- To my new friends at NPR and PBS -- ignore the naysayers -- <a href="http://stories.scripting.com/2007/02/27/blameTheBloggers.html">Andrew Keen</a> and <a href="http://www.buzzmachine.com/2007/02/27/2557/">Lowell Bergman</a> can believe what they want, but <i>we</i> want to make the world better, and we feel good about what we're doing, and if they don't like it, too bad! ";->"
			- Paul Andrews, formerly of the Seattle Times, <a href="http://scripting.wordpress.com/2007/02/28/scripting-news-for-2282007/#comment-43365">continues</a>.
		- Negotiate with users
			- I wonder if, with the benefit of hindsight, the music industry wishes it had done something different with Napster. Shutting it down might have felt good at the time, but did it cure the problem? Might there not have been a way to make hay out of the lemonade?
			- In other words, could the music industry have struck a new deal with its users, a win-win so we get what we want, and they maintain their cash flow.
			- An example of a new deal -- tolerate the sharing low-rez scans of the music. Set a bit-rate that's semi-legal, and enforce, with Napster, the rule that anything scanned at a higher rate will immediately be removed, unless it can be shown that the artists permit redistribution of high scan-rate versions. I think even the indies would have gone for this, especially at the time. 
			- The users would have had to realize that this is fair. We would get to share the ideas and feelings of the music, freely, which I think is what we want (it's what I want) but reserve for the commercial interests the best listening experiences. 
			- The reason this is on-topic right now is because the same battle is playing out now in video, with YouTube. Two recent events caught my eye: 1. <a href="http://arstechnica.com/news.ars/post/20070202-8756.html">Viacom requests</a> that all its content be pulled off YouTube, and then does a <a href="http://www.techcrunch.com/2007/02/20/viacom-to-sign-deal-with-joost/">deal</a> with Joost for distributing that content. 2. <a href="http://www.variety.com/article/VR1117960247.html?categoryid=13&cs=1">The Oscars ask</a> YouTube to pull down clips from Sunday's show. 
			- <a href="http://en.wikipedia.org/wiki/Paul_McCartney_discography"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/28/mccartney.gif" width="105" height="103" border="0" align="right" hspace="15" vspace="5" alt="A picture named mccartney.gif"></a>What if, instead, Viacom told YouTube that they could host clips from their shows, but reserved the hi-rez versions for themselves, and maybe they could have negotiated a link from the YouTube low-rez scan to the one served on their site. Anything would be better than the fractured world that's being re-created now. Wouldn't it be better for everyone if users knew they just had to go to YouTube to find what they're looking for, knowing that it would lead them to a purchasing experience if they want one.
			- It seems the entertainment industry doesn't recognize the power of its users. They're accustomed to dealing with artists and other companies, esp really large ones, but they haven't learned how to negotiate with the users, and that's who they have to deal with, if they want a future. 
			- Update #1: <a href="http://www.blogmaverick.com/2007/02/28/oscars-com-vs-youtube-com-and-the-value-of-hosting-on-gootube/">Mark Cuban suggests</a> a different negotiation with the user: Post a short verison of the video on YouTube, with the full version on the Oscars site, linked to by the video on YouTube. Not bad, but I like the lo-rez vs hi-rez approach better, as a user (which is what I am).
			- <a href="http://www.sfgate.com/cgi-bin/blogs/sfgate/detail?blogid=19&entry_id=13939">SF Chronicle</a>: "The RIAA has sued thousands of college students since 2003."
		- Today's links
			- I'm trying an experiment with Scripting News. Now every item has a title, and I'm doing longer items, and leaving the linkblogging out. That doesn't mean I don't see pieces on other sites that I want to come back to (that's often why I link to something here), but I just haven't yet found a way to make that fit into the new regime. 
			- <a href="http://www.scripting.com/2007/01/01.html#whatIMightHaveSaidToSuzeOrman"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/28/suzeOrman.jpg" width="115" height="208" border="0" align="right" hspace="15" vspace="5" alt="A picture named suzeOrman.jpg"></a>So how about this -- a "today's links" section. Let's see how that plays. 
			- To kick it off, an interesting idea from CalacanisLand. 
			- <a href="http://www.calacanis.com/2007/02/28/google-traffic-maps/">Calacanis</a>: "Someone should make the Starbucks of office space."
			- With little more Google <a href="http://www.google.com/search?q=suze+orman">juice</a> I might just own <a href="http://www.scripting.com/2007/01/01.html#whatIMightHaveSaidToSuzeOrman">Suze Orman</a>. (However, I'm not sure what I'd do if I did.)
			- Also I still have a nice <a href="http://www.google.com/search?q=john+doerr">chunk</a> of <a href="http://davenet.smallpicture.com/2001/02/01/johnDoerrOnABicycle.html">John Doerr</a>. ";->"
			- For ten points, guess who is the "senior administration official" in this <a href="http://www.whitehouse.gov/news/releases/2007/02/20070227-8.html">press release</a> from the Office of the Vice-President of the United States. Hint: He is one heartbeat from being president.
		- Heads-up on a service change
			- This note is of interest to people in the OPML community taking advantage of the free directory hosting feature called <a href="http://support.opml.org/stories/storyReader$29">Map A Domain</a>. A few months ago we changed the address of the server to 67.18.151.44, but we still supported sites that were mapped to the old domain. 
			- I'm finally at a point where I can shut off the old server completely, and I'll do that by the end of March. If you have a directory hosted with this service, please map that domain to the new address, 67.18.151.44, asap, so that readers will be able to find your directories.
			- Here's a list of domains that must be remapped to point to 67.18.151.44:
			- http://bayareapodcasts.org/
			- http://directory.donovanwatts.com/
			- http://icann.lextext.com/
			- http://opml.casdra.com/
			- http://opml.casdracast.com/
			- http://opml.devize.nl/
			- http://opml.lextext.com/
			- http://opml.onepolarstar.com/
			- http://opml.readerss.com/
			- http://opml.yabfog.com/
			- http://outline.olav.net/
	- February 27
		- Blame the bloggers
			- On the plane last night I read the first half of the galley of Andrew Keen's upcoming book entitled The Cult of the Amateur. I'm not the first to mention the book, Dan Farber wrote about it in his <a href="http://blogs.zdnet.com/BTL/?p=4541">reflection</a> on the first decade of blogging. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/27/cult.gif" width="105" height="149" border="0" align="right" hspace="15" vspace="5" alt="A picture named cult.gif">Keen's work is a book-length sneer at most of what we hold dear. He blames bloggers and podcasters for the demise of professional media, as if somehow we're responsible for the endless coverage of Anna Nicole Smith on cable news, for Judith Miller's complicity with the Bush White House, for the shameless way the press, without notable exception, hounded Howard Dean out of the 2004 presidential race. <i>Of course</i> we're not responsible for any of those horrors, and Keen should, somewhere in this book, consider that blogging might be an attempt to solve some of the problems caused by a vacuum of responsible high-integrity journalism. I think, for the most part, bloggers would be happy to have real journalists at work at the professional pubs. I want more Woodward and Bernstein, more of the kind of investigative journalism done by the SF Chronicle following steroids in baseball, more reporters who are willing to go to jail for their principles, but I'm usually disappointed. There are countless examples in Keen's book where he credits the pros for doing thorough work, when their work is anything but thorough. (And he owes a huge apology to <a href="http://en.wikipedia.org/wiki/Josh_Wolf_(journalist)">Josh Wolf</a>, a blogger who is in jail right now, for exactly the causes Keen extols.)
			- Further, he says over and over that Craigslist is responsible for undermining the business model of newspapers. But he doesn't ask why the newspapers failed to embrace the Internet, making Craigslist necessary. What's the lesson here? That the news industry is allowed to hold back progress? To what end? Sure Wikipedia has problems, but it also responds much faster than the older encyclopedias, and while I agree it's wrong to dismiss experience and scholarship, it's equally wrong to dismiss knowledge when it occurs in a person without the trappings of academia. The solution isn't to call the amateurs names, the new world requires thought, and Keen does not provide any.
			- His book, while based on an important and valuable premise, that Silicon Valley is too-much admired for the good of all of us, including the tech industry, fails to enlighten while he props up the egos of obsolete people and businesses. Each of his arguments is easily refuted, too easily. There's no food for thought in this book. I was ready for a work that would inspire a thoughtful response, because I like Andrew, at a personal level, but this book is beneath criticism. Back to the drawing board. 
		- When in doubt, disclose
			- <a href="http://radar.oreilly.com/archives/2007/02/creating_engagi.html">Interesting piece</a> by Tim O'Reilly where he talks about a new set of products from Adobe. He also says they're presenting at his upcoming ETech conference. 
			- O'Reilly is a <a href="http://www.adobe.com/macromedia/management/board/">board member</a> at Adobe and presumably has an interest in the success of these products.
			- It's important to disclose conflicts, so the reader knows when they're reading a biased or interested opinion. 
			- Mike Arrington, who invests in companies, often gets heat even though he carefully discloses when he has an interest in a company he's writing about. 
			- I don't invest as often as either Tim or Mike, but when I write about a company I have an interest in, if there's any doubt whether it's clear, I disclose.
			- Update #1: <a href="http://scripting.wordpress.com/2007/02/27/scripting-news-for-2272007/#comment-43341">Dan Rabin says</a> that O'Reilly was on the board at Macromedia, which merged with Adobe, and he is not currently on the board of Adobe. 
		- Vista backlash
			- <a href="http://chris.pirillo.com/2007/02/27/windows-vista-im-breaking-up-with-you/">Chris Pirillo</a>: "The shipping version of this OS is late beta, at best."
			- <a href="http://www.spendmatters.com/index.cfm/2007/2/27/Vista--Outlook-2007-is-a-Nightmare">Jason Busch</a>: "It's an absolute travesty that Microsoft would have released such a half-baked product."
		- MyBlogLog
			- <script type="text/javascript" src="http://pub.mybloglog.com/comm2.php?mblID=2007022722102713&amp;c_width=180&amp;c_sn_opt=y&amp;c_rows=5&amp;c_img_size=f&amp;c_heading_text=MyBlogLogLogLogLog&amp;c_color_heading_bg=3333FF&amp;c_color_heading=ffffff&amp;c_color_link_bg=E3E3E3&amp;c_color_link=005A94&amp;c_color_bottom_bg=005A94"></script>
		- The last laptop?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/27/macbookpro.gif" width="95" height="56" border="0" align="right" hspace="15" vspace="5" alt="A picture named macbookpro.gif">I was going to buy a new <a href="http://www.apple.com/macbookpro/">MacBook Pro</a>, it's finally time to graduate to something real, enough trying to make-due with a <a href="http://www.apple.com/macbook/macbook.html">consumer laptop</a>. But then I heard that they were getting ready to announce a whole raft of new products including a sub-notebook Mac, and I put the brakes on. It's hard for me to walk by an Apple store, I'm so tempted to just plunk down the money, but I lust after a Sony Vaio-like MacBook with its 6-hour battery life. That might be the last laptop I ever buy. Really.
		- The Bushes are scaring me
			- Have you been <a href="http://www.flickr.com/photos/scriptingnews/404908802/">following</a> the world travels of Vice-President Cheney?
			- What the hell is he doing? 
			- <a href="http://www.flickr.com/photos/scriptingnews/404908802/"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/27/cheney.jpg" width="55" height="88" border="0" align="right" hspace="15" vspace="5" alt="A picture named cheney.jpg"></a>It's beginning to remind me of the waning days of the Nixon presidency, when the administration had been whittled down to Nixon, Kissinger, Alexander Haig and not much else. At some point it stopped feeling like they were officers of a great country, and rather individuals, desperate to recall the trappings of power, and the harder they try, the more they reveal how alone they are. But it's scary, because whether or not they've lost their gravitas, they still have the power to blow up the world. 
			- <a href="http://www.nytimes.com/2007/02/27/world/asia/27cnd-cheney.html?_r=1&bl&ex=1172725200&en=a4e31487bc20fc7f&ei=5087%0A&oref=slogin">NY Times</a>: "A suicide bomber blew himself up this morning outside the main gate of the United States military base at Bagram while Vice President Dick Cheney was inside the base. Mr. Cheney was not hurt in the attack."
			- Then Condoleeza Rice <a href="http://www.foxnews.com/story/0,2933,254502,00.html">compares</a> Saddam Hussein to Adolf Hitler. That's so over the top. She talks about "Chapter 7" as if we know what that means. Sounds like a special form of bankruptcy, but I doubt that's what it means. She's so incredibly dishonest, it's better to assume that everything she says is a lie than to try to sort out the truth from the lies.
		- MacBook sound woes
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/27/slider.gif" width="30" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named slider.gif">Somehow I ran the battery on my MacBook down to zero on the flight home last night, no problem, I charged it up to 40 percent and then sat down to watch the end of the movie I was watching when the battery got low (I shut the case at about 15 percent). 
			- But the sound is off and I can't figure out how to get it back on. I pull down the sound icon in the menu bar, but it's dimmed out. I pull up the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/27/cp.gif">control panel</a> for sound, the slider is dimmed. I tried rebooting twice. 
			- Any ideas what causes this and how to cure it?
			- Update #1: <a href="http://scripting.wordpress.com/2007/02/27/scripting-news-for-2272007/#comment-43317">Vanni suggests</a> looking at this <a href="http://docs.info.apple.com/article.html?artnum=300832">technote</a>, which causes me to run Audio Midi setup utility, which reveals that the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/27/audiosetup.gif">system thinks</a> it has no audio output. He asks if I hear any sound at all. Only when I reboot, it makes the big chime sound as the system starts up. 
			- Update #2: Ideas that didn't fix the problem -- launch and quit GarageBand, zap the PRAM, etc. <a href="http://scripting.wordpress.com/2007/02/27/scripting-news-for-2272007/#comment-43323">Ben Tucker</a> suggested that the computer may be confused, and he was right. I had been using headphones on the plane, and when I plugged the headphones in, the slider enabled. When I unplug the headphones, it dimmed. So at least I can finish watching the movies, but only with headphones. 
			- Update #3: <a href="http://discussions.apple.com/thread.jspa?messageID=2117797&#2117797">Here's the club I belong to</a>. Not an isolated problem. Probably a bug Apple should be aware of. Apparently a toothpick properly inserted in the headphone jack will fix it. I'm reluctant to do that.
	- February 26
		- 11:20PM Pacific: Happy to report no snow in Berkeley. ";->"
		- <a href="http://www.nytimes.com/2007/02/26/technology/26fake.html?ex=1330146000&en=a38b876561b4d83f&ei=5088&partner=rssnyt&emc=rss">A social networking site</a> with a fantastic business model.
		- <a href="http://www.rexblog.com/2007/02/25/16605/">Rex Hammock</a>: "These phones are not intended for consumers, they're intended for cult members." <i>Yes.</i>
		- Can't you hear me knockin?
			- If I had one wish, it would be that everyone who reads this blog would listen to the talk I gave to the NPR people last Thursday (<a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3">MP3</a>, <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3?torrent">torrent</a>). 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/26/mrNatural.gif" width="105" height="105" border="0" align="right" hspace="15" vspace="5" alt="A picture named mrNatural.gif">Things here will make a lot more sense, imho, with the podcast as background. It lays a foundation that we will build on. I was thinking of ways I could trick people into listening to it. I thought maybe I could put a secret word near the end of the cast, and then require people to enter the secret word before they could gain entry to Scripting News after a certain date. Then I thought it would be better to just post the request, respectfully, here on the blog itself, and skip the tricks. ";->"
			- Please, sometime in the next few days, set aside an hour or so to listen to the talk. 
			- With much gratitude, Dave
		- What if Yahoo bought UserLand?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/26/radioBoxSmall.jpg" width="95" height="110" border="0" align="right" hspace="15" vspace="5" alt="A picture named radioBoxSmall.jpg">In late 2003, early 2004 we had talks with Yahoo about them acquiring UserLand.
			- The idea was that Yahoo would get into the weblog hosting business, along with customizable River of News aggregators. 
			- Had we done the deal, it seems Yahoo might today compete with News Corp's MySpace. 
			- Google Reader would still be playing catch-up.
			- Sure, our <a href="http://radio.userland.com/">software</a> was designed to run on the desktop, but the design would have easily ported to a Yahoo-scale centralized app. 
			- And we would have given Blogger a run for the money. 
			- Wish we had done the deal! ";->"
		- Busted flat in Baton Rouge
			- Today's a travel day, I have a late afternoon flight from Logan to SFO, but when I woke this morning and checked the news I learned that a blizzard was moving in to NYC and JetBlue, anticipating another fiasco, cancelled most of their flights. In Cambridge, light flurries, nothing to worry about, but over the next hour I started to panic as the snow got heavier and heavier. 
			- Turning on the local news they're whipping up a panic, school closings, encouraging people to stay home. Oh man I've been snowed-in in Boston before and please please, no way do I want to do that again. It's a miserable way to spend a few days. Being snowed-in is okay when you live there, but staying in a hotel, living off room service, that's no way to pass the time. 
			- Movie: <a href="http://blip.tv/file/156993/">Cambridge snowy Monday</a>.
			- Luckily, they were overhyping the snow, NY is getting the worst of it (though it's still snowing like a mofo here). <a href="http://flightaware.com/resources/airport/KBOS">Logan</a> is reporting minor delays. So I'll head out to the airport after breakfast and see if I can get an earlier flight. I can't wait to get back to Berkeley where it's warm and it <i>doesn't snow. </i>
		- I want my MTV
			- Just gotta say the Oscars got it right this year. 
			- All the movies nominated for Best Picture were at least good, a few were great, but they picked the right one to honor with the top prize. Last year, I was shaking my head, this year, I'm nodding. 
			- <a href="http://www.scripting.com/2006/10/16.html#When:4:46:26PM">When I saw The Departed</a> for the first time, I wrote that it might be the best movie ever made. I've now seen it four times, there's still little treasures to discover. I don't think it's the best movie ever made, but it's pretty damned close, and Scorcese has made another great movie that's stood the test of time, Goodfellas, so now everyting's all square.
			- Next item on the to-do list, let's get Pete Rose into the Hall of Fame (and the U.S. out of Iraq). 
	- February 25
		- Dan Farber: <a href="http://blogs.zdnet.com/BTL/?p=4541">Reflections on the first decade of blogging</a>.
		- <a href="http://creepysleepy.com/2007/02/25/dave-winer-at-the-public-media-conference-2/">Creepy Sleepy</a>: "I know it's over an hour, but if you are an active media consumer, you can't afford not to listen." <i>Thanks!</i>
		- <a href="http://www.siliconvalleywatcher.com/mt/archives/2007/02/silicon_valley_20.php">Tom Forenski says</a> the center of the media industry has moved from NY to Silicon Valley.
		- <a href="http://www.newyorker.com/fact/content/articles/070305fa_fact_hersh">Seymour Hersh</a>, writing in the New Yorker, says the US Administration is redirecting its war strategy in the Middle East to undermine Iran, and as a side-effect, bolster al Qaeda.
		- Earlier today, <a href="http://lasagna.pbwiki.com/bostonDimSumFeb2007">Boston blogger</a> dim sum, 1PM.
	- February 24
		- <a href="http://lasagna.pbwiki.com/bostonDimSumFeb2007">Boston blogger</a> dim sum, tomorrow, 1PM.
		- Afternoon working group 
			- I'm participating in Charlie Nesson's discussion group about a <a href="http://participatoryculture.org/medialibrary/BML-Presentation/bml-01.html">project</a> he's contemplating. 
			- Charlie talked about Harvard's deal with Google and the role a university can play in building an open library.
			- In K-12 in eduction there's a system called <a href="http://www.unitedstreaming.com/">United Streaming</a> from the Discovery Channel.
			- For the second time in two days I've been pointed to <a href="http://www.pbcore.org/">PBCore</a>, that I had not heard of before. 
			- <a href="http://www.flickr.com/photos/scriptingnews/401060773/">Photo</a> of our working group.
		- Beyond Broadcast II
			- Starting the second morning panel, after a great coffee break. 
			- Movie: <a href="http://blip.tv/file/155774">What Beyond Broadcasting looks like in the overflow room</a>.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/24/lincoln.jpg" width="65" height="205" border="0" align="right" hspace="15" vspace="5" alt="A picture named lincoln.jpg">I have no idea what they're talking about. They use terms that I don't have a sense of what they mean in real terms. When they talk about the "grass roots" I guess those are the people you see on BART or the Red Line. How do these people meet them? When these guys go to work, what do they do every day?
			- I signed up for the <a href="http://beyondbroadcast.net/wiki07/index.php?title=Birds_of_a_Feather_Dinner_Sign-Up#Lee_Banville.2C_Editor-in-Chief.2C_Online_Newshour_with_Jim_Lehrer_-_.22You_call_yourself_a_journalist.3F.22">You Call Yourself a Journalist?</a> dinner tonight. Actually I'm more of a source than I am a journalist. If you want to sort this stuff out, it's a good idea to enumerate the different roles that go into creating a news story. Professional journalists tend to ignore their sources in this enumeration (they talk about all kinds of editors, researchers and management). Blogging allows us to go direct with our knowledge, experience and insignts, without waiting for a reporter to ask us what we think (and likely mangle it). I'm a total fan of the NewsHour, so I'm optimistic about an interesting conversation over dinner tonight.
		- Beyond Broadcast
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/24/yummy.jpg" width="125" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named yummy.jpg">I'm at the MIT media conference, it's so well-attended I'm in an overflow room with good MIT-hosted free wifi. It's like watching a TV show with lots of familiar faces on the screen. Watching <a href="http://www.blogarithms.com/index.php/archives/2007/02/24/why-panels-suck/">Doug Kaye</a> (hi Doug!) sitting in front of a guy asking a question/giving a speech. John Palfrey my former Berkman colleague just gave a rousing Palfreyesque convocation following a Henry Jenkins keynote. I'm in a good mood at least partially because it's warm in here and so damned cold out there.
			- Movie: <a href="http://blip.tv/file/155726">Cab ride on Mass Ave crossing frozen Charles River</a>.
			- Movie: <a href="http://blip.tv/file/155725">Henry Jenkins keynoting Beyond Broadcast conf</a>.
			- Jesse Walker is moderating the panel now, he looks strikingly like Scoble. Great line -- "...when people talk about Web 2.0 -- which I like to call (slight pause) <i>The Web..."</i> 
			- People in the overflow room can't ask questions, so if someone in the main room is reading this, please ask the Yahoo rep if they point to amateur journalism that isn't hosted on a Yahoo site? <a href="http://scripting.wordpress.com/2007/02/24/scripting-news-for-2242007/#comments">Amyloo submitted</a> my question in the Second Life question tool for the conference. The moderator just explained the tool, but said they waren't going to watch it. Huh??
			- The preambles of the panelists are mind-numbingly boring. They ramble on and on. One of the panelists couldn't even make it to Boston. With all the incredible minds in the "audience" -- what a waste. My head keeps nodding. I've even noticed bits of <a href="http://www.google.com/search?q=define:drool">drool</a> forming in the corners of my mouth. Thank god for wifi.
			- Papa Doc is <a href="http://doc.weblogs.com/2007/02/24#beyondWifi">blogging away</a> over in the other room. So far nothing from him on the panel. Could his head be nodding too?? The guy in LA is rambling infinitely on and on ad infinitum. Zzzzz.'
			- The Yahoo panelist says we can find real <a href="http://www.flickr.com/photos/scriptingnews/400842055/">journalism</a> on Flickr. 
		- Brrrrr
			- Except for a brief excursion to Berkman on Thursday evening, I haven't had to go outside because of a remarkable set of indoor walkways that connect the hotels of Copley Place with shopping and food places scattered along the way. 
			- Today I'm heading over to <a href="http://web.mit.edu/evolving/buildings/stata/index.html">MIT</a> in <a href="http://davetravel.scripting.com/2005/05/29">Cambridge</a> for the <a href="http://www.beyondbroadcast.net/blog/">Beyond Broadcast</a> conference (where I am a participant, an observer) and for that, I have to go outside. Brrr. 
			- I was shocked to <a href="http://images.scripting.com/archiveScriptingCom/2007/02/24/brrr.gif">see</a> that it's 17 degrees. Not fair! ";->"
	- February 23
		- I'm glad the <a href="http://scobleizer.com/2007/02/23/listening-to-dave-winers-talk-to-npr-types/">Scobles are listening</a> to <a href="http://stories.scripting.com/2007/02/23/mp3OfYesterdaysTalk.html">yesterday's talk</a> at the NPR conference. I was partly trying to influence the tech industry by traveling across the country and talking to an industry that <i>uses</i> technology. I'd like to discuss the tech part of this at Microsoft's Mix conference in April. 
		- <a href="http://betsydevine.weblogger.com/2007/02/23#a2954">I love Betsy</a>. "George Washington Carver was a big-picture guy..." she wrote today.
		- <a href="http://www.google.com/grants/information.html">Google Grants</a> provides "eligible organizations with in-kind keyword advertising using Google AdWords so you can connect directly with your target audience."
		- Doc Searls: <a href="http://www.itgarage.com/node/809">The ITFS Opportunity</a>.
		- <a href="http://www.wired.com/news/culture/music/0,72785-0.html?tw=rss.index">Wired</a>: "Alcatel-Lucent isn't the only winner in a federal jury's $1.52 billion patent infringement award against Microsoft this week. Other beneficiaries are the many rivals to the MP3 audio-compression format."
		- <a href="http://www.talkingpointsmemo.com/archives/week_2007_02_18.php#012609">TPM</a>: "It's hard to imagine that there's anyone in this country not under active federal surveillance who has done more to advance the al Qaeda agenda than Dick Cheney."
		- Boston Blogger Dim Sum Sunday
			- If you're in Boston on Sunday, let's do a blogger's Dim Sum brunch at <a href="http://www.boston.com/dining/restaurant/223">Chau Chow City</a> at <a href="http://maps.google.com/maps?f=q&hl=en&q=83+Essex+St,+Boston,+Suffolk,+Massachusetts+02111,+United+States&ie=UTF8&sll=37.0625,-95.677068&sspn=64.241198,111.269531&z=16&ll=42.352693,-71.06015&spn=0.007469,0.019333&om=1">83 Essex Street</a>, Boston, 1PM.
			- Thanks to Jessica Baumgart of the Berkman Thursday group for organizing. It'll be great to see people from the old days!
			- If you're coming please <a href="http://lasagna.pbwiki.com/bostonDimSumFeb2007">add your name</a> here, so "we can make a fairly decent guess at table size and so we can attempt to find people on site," writes J.
		- NPR Podcast OPML?
			- I've been asking people <a href="http://www.integratedmedia.org/home.cfm">here</a> for maintained OPML for the NPR podcast directory, just for fun, I did a Google search and it seems they do have a <a href="http://www.npr.org/podcasts.opml">directory in OPML</a>. 
			- It says, in the XML, that it was last updated in October 2005, but it has podcasts that didn't exist then.  If it's being maintained it's a big deal.
			- <a href="http://npr.opml.org/">Here's what</a> their podcast directory looks like in my world.
			- According to Darren Mauro, who is responsible for the social media on npr.org, says the OPML is dynamic, and therefore <i>is</i> maintained. Coool!
		- Stop payment on credit cards
			- <a href="http://movies.yahoo.com/movie/1807455667/info"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/23/mulholland.jpg" width="125" height="67" border="0" align="right" hspace="15" vspace="5" alt="A picture named mulholland.jpg"></a>I read somewhere (sorry no link) that there is no way to stop a payment on a credit card, like you can stop a check. I've found this to be true. And then there are all the trial services that require you to enter a credit card number that must, in the fine print of their EULA say they're allowed to bill your credit card every month even if you don't use the service. And then there are all the $19.95 payments in your monthly statement with names you've never heard of, that are too much trouble to investigate. 
			- Did you think there's nothing you can do? Well, there is.
			- I tripped over this idea accidentally because one of my cards was stolen, presumably in a batch of credit card numbers stolen from some online service, so I got a new card in the mail, unsolicited, with a new number. All of a sudden the lurking quasi-legal fraudsters are popping up! We want our money, they say in their emails. Act now, give us that new number, or we'll have to close your account. To which I say, Make my day!
			- I expect to hear from a lot of them on or about March 1.
		- Conference session circa 2007
			- <a href="http://blip.tv/file/155151">Movie</a>: There's a panel in front of the room, a moderator, people lined up at a mike, Doc checking his email and posting to his blog, the audience listens attentively, people in the hallway schmoozing. The questions are basically "How do we remain relevant as things change."
		- MP3 of yesterday's talk
			- I thought the talk went very well, everyone I've talked with here is enthusiastic about melding with the bloggers. I hope as many people as possilble listen to the talk and the discussion that followed. It's available <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3">as an MP3</a>. Or help distribute the cost, <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3?torrent">download</a> it via BitTorrent, seeded by Amazon. 
		- Snow in Boston
			- <a href="http://www.flickr.com/photos/scriptingnews/399682779/">Picture taken</a> from my room in a Copley Place hotel.
		- Doctorow on iPod lockin
			- <a href="http://www.salon.com/tech/feature/2007/02/23/itunes/?source=newsletter">Cory Doctorow</a>: "I think that it's reasonable to assume that Apple won't always make the world's best music player. I'd like to keep my options open. But the longer you own an iPod, the more likely it is you'll buy more iTunes music, and the fewer options you'll have."
			- The iPod is the best of a not very good field of MP3 players. To lock into the iPod now is a mistake for everyone. 
			- And don't miss that lockin doesn't just come from format lockin, it's also a closed box, only the manufacturer can add featues. Jobs said the reason the iPhone isn't an open platform because it's a phone, but that doesn't explain the iPod's closedness.
			- Doctorow is right not to believe Apple, which is a big deal for him, because he's always been a strong defender of Apple. Me, I use their products, but I don't buy the religion, and I had enough tech industry lockin for a lifetime.
	- February 22
		- <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3">Podcast</a> of today's talk at the Public Media conf.
		- You can help me save a few bucks by <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3">downloading the podcast</a> with a BitTorrent client.
		- <a href="http://placeblogger.com/sites/default/files/dave_public_media_2007.opml_.txt">Lisa Williams</a> live-blogged the session in OPML.
		- They did a live <a href="http://ima2007.streamguys.com/live.m3u">audio</a> and <a href="http://east.streamguys.com/ima2007">video stream</a> of our session; it starts at 4PM. An MP3 will be available, they say, at the end of the day.
		- I've heard that if you play one of my podcasts in a Flash-based player, I end up sounding like a <a href="http://www.google.com/search?q=podcast+chipmunk+bitrate+flash">chipmunk</a>. Sounds like fun, but I'd rather sound like myself. So I recorded this <a href="http://mp3.morningcoffeenotes.com/thisHasBeenATest.mp3">test file</a> at 64K bps to see if it cures the problem. Does it?
		- <a href="http://flyingmeat.com/">Flying Meat Software</a>. What else is there to say?
		- <a href="http://jkontherun.blogs.com/jkontherun/2007/02/microsoft_annou.html">Kevin Tofel</a>: "Why would I want different reader apps for different publications?"
		- At Public Media with Doc
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/22/hotdog.jpg" width="95" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named hotdog.jpg">Sitting next to Doc at the Public Media conference, just listened to a keynote, lots of doom and gloom, but we agree it's not that dire. NPR just has to embrace the new media. NPR.org isn't that important. Upload segments of each show to YouTube. Give advance copies of big shows like Frontline to the bloggers that review the shows. 
			- And Doc had the best idea of all, provide the "Alpha Torrent Seed" for all PBS shows. It should always be possible to download their shows immediately. Why not, they're non-commercial. Brilliant. 
			- The secret isn't that hard to figure out, they did it with podcasting, just apply the same formula. 
	- February 21
		- Podcast player
			- I'm still thinking about the ideal podcast player. 
			- The features that matter most to me are:
			- 1. Self-contained, untethered synchronization, much the same way a Blackberry gets email.
			- 2. Read-write, two-way, should be able to record and connect with a publishing system for automatic upload and feed production.
			- 3. Must be a platform, that is, people other than the manufacturer can add apps.
			- That's it, those are the three main features that PPs need and don't today have, imho.
		- Celebrating 10 years
			- <a href="http://www.flickr.com/photos/scriptingnews/397718521/"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/21/ht.jpg" width="100" height="65" border="0" align="right" hspace="15" vspace="5" alt="A picture named ht.jpg"></a>I've now got an idea how to celebrate the 10 year anniversary of Scripting News, on April 1, just 38 days from now. It came to me after I got a note from a dear friend, Tori, who lives in Texas, who I haven't seen in (too many) years. She explained: "I was just catching up on your blog and saw the post about your surgery. Dude.  I'm glad you're ok.  I got goose bumps reading about Dave Jacobs' project.  You and your friends change the world."
			- Now there's so much value in this email, for me. 
			- First, I had no idea that Tori was reading my blog. 
			- Second, it reminded me that Dave Jacobs is an amazing guy.
			- Third, it reminded me that I have amazing friends.
			- And fourth, and most important, it suggested that there may be people I haven't heard from in a long time who stay current with me through this site. Which is cool, but...
			- I want to know how <i>they're</i> doing! Too. ";->"
			- What's up. Had any kids? What have you learned lately? How's your health? The family? What are you thinking about these days. Been to any good parties? Gotten in trouble? (I hope.)
			- This connected up with a discussion I have been having with Sylvia, and with the Bloghers, Elisa, Jory and Lisa. I want everyone to write something, let's create a document on the 10-year anniversary of Scripting News, about anything that occurs to you that might in any way, no matter how loosely, relate to SN, blogging, surgery, Dave, podcasting, coral reefs <a href="http://www.scripting.com/2007/01/23.html#jeffWalshOnInventionAndDiscovery">and</a> sunken ships, RSS, outlines, <a href="http://www.flickr.com/photos/scriptingnews/397718521/">desktop art</a>, thank you money, my friends -- whatever you think is important that might belong in a time-capsule-like document attached to this blog.
			- Sylvia tells me there is a name for something like this: festschrift. Of course there's a Wikipedia page.
			- http://en.wikipedia.org/wiki/Festschrift
			- To me, this would be the perfect commemoration, the ideal way to party in the ScriptingNews-o-Sphere.
			- What do you think?
		- Days to April 1
			- A 1-liner that computes the number of days to 4/1.
			- number (date ("april 1, 2007") - clock.now ()) / (60 * 60 * 24)
			- BTW, I like writing long posts in the airport in the morning. ";->"
		- Thanks Dan!
			- <a href="http://www.flickr.com/photos/scriptingnews/397666992/">Photo</a>: I was sitting in the Buena Vista bar at SFO this morning waiting for my flight and Dan Farber of ZDNet walked by. What a surprise! I invited him to join me, and we caught up. 
		- Thanks Anil!
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/21/iriver.gif" width="85" height="158" border="0" align="right" hspace="15" vspace="5" alt="A picture named iriver.gif"><a href="http://www.dashes.com/anil/2007/02/20/having_thank_yo">I like this piece</a> he wrote about Evan Williams, because he includes me, among Williams, Jason Calacanis and Mark Cuban, as people with "Thank you money" and therefore can say what they think, without anyone telling them they can't.
			- That's very nice company indeed. I totally respect Jason, Mark, and Ev -- and I'm glad to see him put Odeo to rest so, honestly, we can get back to doing serious work on podcasting. I don't think he had podcasting in his blood, Twitter looks much more like an Evan Williams project. There I go telling you what I think again. ";->"
			- Podshow isn't right either. We don't need a record industry-like advertising agency in the middle of PodcastLand. It's not a good fit, although I understand why Ron Bloom, when he first looked at it, saw a combination of the record and advertising industries -- that's where he came from. Podcasting is much less rulable, it doesn't need a central entity like the one Bloom envisioned, or Odeo, or even Apple. What it <i>does</i> need is what I hope to talk about on Thursday in Boston at the public radio conference. 
		- Dave Winer bio
			- <a href="http://xark.typepad.com/photos/convergesouth/converge_south_030.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/21/dave.jpg" width="125" height="210" border="0" align="right" hspace="15" vspace="5" alt="A picture named dave.jpg"></a>Dave Winer, 51, pioneered the development of weblogs, syndication (RSS), podcasting, outlining, and web content management software; former contributing editor at Wired Magazine, research fellow at Harvard Law School, entrepreneur, and investor in web media companies. 
			- A native New Yorker, he received a Master's in Computer Science from the University of Wisconsin, a Bachelor's in Mathematics from Tulane University and currently lives in Berkeley, California.
			- <i>"The&nbsp;protoblogger."</i>&nbsp;- <a href="http://www.nytimes.com/2006/12/02/business/02online.html?ex=1322715600&en=c3da3b8d4273449c&ei=5090&partner=rssuserland&emc=rss">NY&nbsp;Times</a>.
			- <i>"Helped popularize blogging, podcasting and RSS."</i> - <a href="http://www.time.com/time/magazine/article/0,9171,1570705,00.html">Time</a>.
			- <i>"RSS was born in 1997 out of the confluence of Dave Winer's 'Really Simple Syndication' technology, used to push out blog updates, and Netscape's 'Rich Site Summary', which allowed users to create custom Netscape home pages with regularly updated data flows."</i> - <a href="http://tim.oreilly.com/pub/a/oreilly/tim/news/2005/09/30/what-is-web-20.html?page=3">Tim O'Reilly</a>.
	- February 20
		- The Economist has a <a href="http://www.economist.com/media/rss/economist.xml">podcast feed.</a>
		- <a href="http://www.prioritiesnh.org/index.php">PrioritiesNH tracks</a> political events in NH.
		- <a href="http://doc.weblogs.com/2007/02/20#weAreAllAuthorsOfEachOther">Doc Searls</a> doesn't believe in "social media."
		- Reading lists in 2007?
			- In late 2005 I was <a href="http://www.google.com/search?q=site%3Ascripting.com+reading+list">promoting</a> the idea of OPML reading lists. 
			- We added support for them to the NewsRiver aggregator, built into the OPML Editor (which is the latest rev of the UserLand reader, which traces its <a href="http://web.archive.org/web/*/http://my.userland.com">roots</a> back to My.UserLand in 1999). 
			- Mike Arrington wrote an excellent and simple <a href="http://www.techcrunch.com/2005/10/16/my-thoughts-on-reading-lists/">TechCrunch piece</a> about reading lists. 
			- I'm wondering if other RSS developers have done work with reading lists. If so, I'd like to help users, publishers and authors find out about what they're doing. 
			- If you have information, or questions, please post a <a href="http://scripting.wordpress.com/2007/02/20/scripting-news-for-2202007/#respond">comment</a> here.
		- Twitter trail
			- Yesterday, I was reading a blog post where a guy was talking about how Brent Simmons is a great developer, and pointed to his <a href="http://twitter.com/brentsimmons">Twitter log</a> for an example of how he keeps his community of users in his loop. 
			- It immediately made me think of how the team at UserLand worked on Radio 8 at the end of 2001. We had a great outlining tool for keeping each other informed about what we were doing, even though we all worked in different places and many in different time zones, and what made me think of it of course was that Brent was on the team, and how well he used this tool. 
			- Then it occurred to me that Twitter and the outlining <a href="http://support.opml.org/stories/storyReader$27">tool</a> would probably be nice when used together, which led me to <a href="http://www.google.com/search?q=twitter+api">wonder</a> if Twitter had an API, which it turns out it <a href="http://twitter.com/help/api">does</a>. 
	- February 19
		- <a href="http://www.flickr.com/photos/scriptingnews/395887458/">Cool overkill use of technology</a>. Rather than wait for the pot to boil downstairs, I pointed the webcam at it, went upstairs, zoomed in on it, and when it starts boiling I run downstairs.
		- <a href="http://www.truthdig.com/avbooth/item/20070219_the_real_iraq/">Britain's Channel 4 News</a> "highlights the images and stories from Iraq left out of mainstream news."
		- NH campaign linkage
			- Thanks to <a href="http://betsydevine.weblogger.com/">Betsy Devine</a> for pointers to New Hampshire primary campaign coverage on the web. 
			- <a href="http://unionleader.com/primary.aspx/primary?channel=d15754a4-90cb-4296-85d2-e32be3fa5990">The Manchester Union-Leade</a>r has a page with campaign coverage, both Republican and Democratic.
			- The New Hampshire Democratic Party has a <a href="http://nhdp.org/newscenter/">News & Events</a> page which appears to list campaign events. Two are listed for Hillary Clinton next weekend.
			- <a href="http://www.nhgop.org/">The Republican Party</a> lists upcoming events on their home page, they also have a <a href="http://www.nhgop.org/cal/calendar.php">calendar</a>.
			- I'm going to spend next Sunday (Feb 25) in New Hampshire, looking for campaign events. 
			- If you know of any events, please <a href="http://lasagna.pbwiki.com/newHampshirePrimaryEvents">post a note on the wiki</a>.
		- Hate the ad, love the product
			- <a href="http://www.youtube.com/watch?v=ZSIDHZpZmxA"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/19/headonad.gif" width="115" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named headonad.gif"></a>Ever see those ads on TV for a desipicable <a href="http://www.youtube.com/watch?v=Is3icfcbmbs">product</a> called Head-On? The ads suck, and you know they did it deliberately because later they run an ad with a very unpleasant person saying how much the ad sucks, but they love the product. An ad for headache medicine that gives you a headache. Followed by a meta-ad (an ad about the ad) that gives you two headaches for the price of one. Oy.
			- I feel the same way about The Long Tail, because if you're in the "tail" it doesn't look like a tail at all. If you see yourself as outside the tail, in the head for example, it may look like a tail.  
			- (And we all know the tail doesn't <i>really</i> wag the dog.)
			- The Long Tail metaphor helps old media people feel like they're still in charge. So does the idea of Citizen Media, because old media people are cynics about citizens, they think we're lazy couch potatoes who have never had a good idea or a noble thought, they're the smart people living the interesting lives. We're like the Gammas and Deltas in <a href="http://www.hedweb.com/huxley/bnw/">Brave New World</a>, there are a lot of us, and our job is to consume, consume, consume -- what they tell us to.
			- Nice story, but that's not what's going on. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/19/united.gif" width="75" height="283" border="0" align="right" hspace="15" vspace="5" alt="A picture named united.gif">Imagine if you looked at telephones in the aggregate. So many people having so many conversations, how do you know which ones to listen to? It's so confusing! We need a metaphor. Or maybe we don't, because we live in a world with ubiquitous telephones (lost mountain climbers call home to say goodbye before they die), and really -- were there any metaphors that could explain what this ubiquity would mean in practice, when we lived in a world without telephones everywhere?
			- Just the same, we can't understand, in our old terms, what it means to have publishing in the hands of everyone. But it's no longer such a theoretical thing. In 1995, it was ridiculous to <a href="http://davenet.smallpicture.com/1995/02/18/billionsofwebsites.html">predict</a> the world we live in now. It's just as ridiculous today to predict that (more) big, unprecedented change is coming.
			- I've only met Wired's Chris Anderson once, on a happy occasion (I was receiving an <a href="http://davenet.smallpicture.com/2001/10/18/wiredsTechRenegadeFor2001.html">award</a> from him!) and now I'd like to shake his hand. I've become a regular reader of his blog, and usually grimace and wince as he spouts comfort food for print journos about the new media.
			- I hate the ad (The Long Tail) but I love the product. <a href="http://www.longtail.com/the_long_tail/2007/02/the_one_thing_e.html">Chris says</a> he creates his own media by mixing together sources into his subscription list. He doesn't want to delegate to anyone else the job of deciding what he'll read. 
			- There it is -- one of the key ideas of the revolution. 
			- And even better, this is what Anderson does for a living (edit and assemble writing). So he's willing to conceive of a  world where Everyman does what only The Elite could do before. That's a man with a future, imho. 
			- Right on right on.
	- February 18
		- It took a few hours, but I got my cool <a href="http://www.flickr.com/photos/scriptingnews/394995870/">Panasonic webcam working</a> with my Mac over the net. Thanks Chris! Hi Ponzi!
		- Public Radio Manifesto, part II
			- I've been spending lots of time thinking about the talk in Boston later this week.
			- 1. Proof that we have a problem with discourse in our country -- we got into a crazy war without discussing it.
			- 2. This little problem isn't something theoretical. It's costing us nearly a trillion dollars and thousands of American lives, and the problems it causes will last for generatins because kids are growing up in the world today with no respect for the US, and we don't deserve their respect bedause we don't think.
			- 3 We need a thinking upgrade.
			- 4. What better time to do it than as a national election is approaching.
			- Some of these ideas are outlined in a 1/2 hour podcast I did yesterday.
			- http://mp3.morningcoffeenotes.com/cn07Feb17.mp3
			- Looking forward...
		- Springtime in Berkeley
			- There's always a moment when you realize this is it, spring is here; and this year, that moment came this week. It's warm, you don't need to bundle up when you go out. 
			- The air smells like perfume, every time you turn a corner, there's a new version of heaven for your nose; and visually, it's pretty stunning too -- the colors! Oh man. 
			- The weather in California is pretty amazing, and every year it peaks, right around now, and there probably isn't a more lovely place on the planet.
			- Another sign it's spring: you can sleep with the windows open.
			- And, as "Solo" <a href="http://scripting.wordpress.com/2007/02/18/scripting-news-for-2182007/#comment-43092">reminds</a>, you can sleep with the windows open in NY too, but you'll freeze your ass. ";->"
		- Continuing with codecasting
			- Two changes to how the <a href="http://bits.codecasting.org/opml.root/rss.xml">feed</a> is generated. 1. Only output a part once, no need to update a part more than once, when updating, the last version will overwrite all previous versions. 2. Because of the first change, we have to change the order of the feed to reverse-chronologic. The result of this changes is that the size of the feed decreases, and the time spent processing it on updating decreases, and the cost of running the server decreases. A three-way win, so an obvious improvement. 
			- If all goes well, I'll release the client code to OPML Editor users. It won't be turned on by default, but I will turn it on in all my copies of the OPML Editor, so it can get a good test before deploying to user sites.
			- People ask what's so great about codecasting, and the answer is, for users, nothing in particular. For developers who manage environments with users who need to update frequently, it might cut the cost of providing updates. For me, it <i>certainly</i> will cut my costs, and since the software that I will update is open source, and produces no revenue, cutting costs means I have more money to go to the movies, eat out, buy toys, pay for health insurance, save for retirement, give to good causes. I write about stuff on my blog because I like to keep a record of my work, so it may not make sense to you, or even seem like a good idea, if so, so be it. 
			- Actually, there is an advantage for users. The current method of updating requires the user's app to call teh server on port 5337, but we've received complaints that some corporate firewalls don't allow traffic on that port (contradicting the assumption, btw, that some critics of XML-RPC offer, saying we're just tunneling over port 80). Using RSS and a plain old web server, now we really are doing updates on port 80 and the corporate firewalls won't have any issues with it. ";->"
			- Another reason I document my work here is so that I can <a href="http://images.scripting.com/archiveScriptingCom/2007/02/18/urlincode.gif">include pointers</a> in my comments, saving me having to document my work twice. 
		- Influential pundits
			- It's great to see <a href="http://blog.broadbandmechanics.com/2007/02/ok-i-gotta-blog-right-now">Marc Canter</a> get the recognition he deserves. It's been a long road for him, a lot of the pundits are put off by Marc's directness, enthusiasm, certainty. 
			- I always listen to people like Marc (there aren't many) because I want to get new ideas, and over the years I've gotten plenty of them from Marc. 
			- Speaking of influential pundits, what's <a href="http://www.buzzmachine.com/index.php/2007/02/18/the-world-the-hype-built/">Clay Shirky's problem</a> with Second Life? He seems to be making a career of overhyping how overhyped it is. ";->"
	- February 17
		- <a href="http://mp3.morningcoffeenotes.com/cn07Feb17.mp3">Podcast</a>: What I hope to talk about at the Public Media conference next week in Boston.
		- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/17/think.gif" width="69" height="59" border="0" align="right" hspace="15" vspace="5" alt="A picture named think.gif">Essential <a href="http://www.onthemedia.org/transcripts/2007/02/16/01">On the Media segment</a> on NY Times coverage on the Iran connection. Pay close attention to the interview with NY Times reporter Michael Gordon, who sounds sincere, but has no sense of how his stories are read. Interviewer Gladstone holds back nothing. This is the kind of courageous challenge that the Times needs, they seem to have learned nothing from the run up to the war in Iraq. 
		- <a href="http://www.nytimes.com/2007/02/17/business/17online.html?ex=1329368400&en=f8602eaa3d146992&ei=5090&partner=rssuserland&emc=rss">NY Times</a>: "Seth Godin published a book under a Creative Commons license that allows anyone to republish and sell it. But he was a little surprised when someone actually did."
		- Law.com: <a href="http://www.law.com/jsp/article.jsp?id=1171620180188&rss=newswire">The No-Asshole Rule</a>. 
		- Public Radio Manifesto, part 1
			- When Judith Miller went to jail, I was <a href="http://www.scripting.com/2004/10/26.html#judithMiller">against</a> her getting a special deal because she's a journalist. I want all of us to have equal protection, everyone is a journalist now, or no one is.
			- The case of Josh Wolf re-opens these issues. The prosecutor <a href="http://seattlepi.nwsource.com/opinion/303661_amy15.html">said</a> Wolf is a journalist only in his imagination, and I agree, and that's the point. What other ratification should it require to be a journalist. In the country as the founding fathers imagined it, we would all be so involved in the governing, and in the evaluation of government, that there would seem nothing unusual in one self-proclaiming as a journalist. It's a sign of how far we've wandered from the ideal that the prosecutor seems to be ridiculing Wolf instead of celebrating his pride of citizenship.
		- Progress on 'codecasting'
			- In the wee hours of the morning I got code working that reads the <a href="http://bits.codecasting.org/opml.root/rss.xml">code-feed</a>, importing objects that are new or updated since the last time we looked. It was a very straightforward continuation of the project I <a href="http://stories.scripting.com/2007/02/16/whatIsCodecasting.html">discussed yesterday</a>, and will easily fit into the OPML Editor (and Frontier as well if the developers there want to adopt this method).
	- February 16
		- What is codecasting?
			- Have a look at this feed...
			- http://bits.codecasting.org/opml.root/rss.xml 
			- It's got <a href="http://www.thetwowayweb.com/payloadsforrss">enclosures</a>, like a podcasting feed, but instead of linking to MP3 files, it links to bits of code. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/16/bird.jpg" width="65" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named bird.jpg">Seems like a rational next step. The code updating process for the OPML Editor is based on XML-RPC, as was the process for Radio and Frontier, but it's always been possible to turn it into an entirely static process. Now that I'm doing a sweep over my servers, trying to reduce the cost of running them, and at the same time make them more durable, I put it on my to-do list, and <a href="http://www.scripting.com/2007/02.html#When:6:44:37AM">posted</a> a heads-up a few days ago, that I was planning something new (at least for me) with RSS.
			- BTW, the parts that the feed links to are real, they really do contain code, it reflects all the part updates for the OPML Editor since it shipped in the summer of 2005. I haven't yet written code that interprets the feed, that receives updates from it, so there may yet be changes in the approach. But in the spirit of sharing my work in progress, here it is. ";->"
		- Public radio manifesto, preamble
			- I've been a user and critic of public radio for my entire adult life. I've even produced my own form of public radio, called podcasting, and helped other people get started doing it.
			- Radio is so much a part of the way I think that I named a <a href="http://radio.userland.com/download">product</a> Radio. I thought of the tools we were using as a new form of radio, where the wires were carrying TCP/IP signals and HTTP formatted packets, and XML structured data. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/02/16/sandyKoufax.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/16/koufax.jpg" width="115" height="111" border="0" align="right" hspace="15" vspace="5" alt="A picture named koufax.jpg"></a>Change has been coming to radio, for a long time, the same way change has been coming to all media, and the change that's coming is the same one for all -- decentralization. It's the mode of our times. When our parents and grandparents were in the prime of life the flow was the other way, toward centralization. Who was the best singer, the richest business person, the smartest doctoral student. We worshipped superlatives, most of us could only admire those who were more blessed than we were. There was only one Sandy Koufax, Jackie Robinson or John Kennedy. One Marilyn Monroe, one Martha Stewart. 
			- There once was a time when we entertained each other. If you wanted music on a Saturday night you'd have to perform it yourself or listen to a neighbor. Before there was broadcast radio, music was personal. It will be personal again, and it wouldn't be such a bad thing, because the joy of creating is something we should all share. We learn how to draw and write and sing when we're children, but we were taught not to do that so much as adults, but it still feels good, even if we're not the best at what we do. 
			- So when people talk about the Long Tail, or crowd-sourcing or participatory democracy, I think they miss the point. The new way of doing now involves the minds, knowledge and creativity of everyone, not just a few. 
		- Gartenberg
			- I was <a href="http://stories.scripting.com/2007/02/15/holyGuacamole.html">speechless</a> yesterday on hearing the news that Michael Gartenberg was becoming a Microsoft evangelist. 
			- Today I have a speech. ";->"
			- <a href="http://gartenblog.net/"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/16/gartenberg.jpg" width="75" height="88" border="0" align="right" hspace="15" vspace="5" alt="A picture named gartenberg.jpg"></a>The people who know Michael are universally supportive. It's quite an endorsement for Microsoft, certainly there are a lot of big tech companies that would be happy to have him on staff. He's open minded and knowledgable, fair and tough. I've seen him in action, I've argued with him, and more important than anything given his new role, received lots of support from him, even though in his past job at Jupiter, it wasn't in any way his job to support people like me.
			- Now at Microsoft, his job <i>is</i> to help people like us. The people who read this site are all enthusiasts, that's virtually what defines this site. When I ask a question about technology here, no matter how obscure, we get to the answer in an instant, often with lots of interesting sidebars along the way. And we're the people who Microsoft lost in the last few years. Look at this <a href="http://images.scripting.com/archiveScriptingCom/2007/02/16/browsers.gif">graph</a> to get an idea. 24 percent of the readers of this site use Microsoft's browser. Just a few years ago that number was in the 80s. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/02/16/browsers.gif"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/16/graph.gif" width="115" height="87" border="0" align="right" hspace="15" vspace="5" alt="A picture named graph.gif"></a>A lot of the analysis of Gartenberg's move has been about how he might influence us, but to me that's the blogosphere not understanding its own importance. The true measure of his effectiveness is how much we influence them. Remember this is the world after the audience. If you add up the smarts in their room and the smarts in our room, we win, because there are so many more of us than there are of them, even though Microsoft is a very large company. Their challenge has always been to find a way to harness our power, to make them smarter. When Microsoft has achieved its mission it's been because they did this better than anyone else. Of all the tech companies this is their area of strength, more than Apple, more than Google, Microsoft is of the people, not such an ivory tower, although in recent years, it's looking and acting more like all the other tech companies.
			- That they hired one of our most brilliant people is good on them. But a big organization like MS not only generates its own gravity, they have their own laws of physics. Over time, people like Gartenberg and Jon Udell (another recent hire from outside) succumb to the logic of their law, and communication starts becoming one-way and therefore ineffective. But for now we have someone inside Microsoft who speaks our language, who doesn't rush to explain everything to us about how things work inside their firewall (as if we care, or should) and instead focuses on solving problems and leveraging opportunities.
			- Good luck to Michael and good luck to us!
			- PS: I've received a number of emails asking what percentage of Scripting News readers are Mac users. Answer: <a href="http://images.scripting.com/archiveScriptingCom/2007/02/16/windowsVsMac.gif">38 percent</a>.
	- February 15
		- Holy guacamole
			- <a href="http://www.techcrunch.com/2007/02/15/microsoft-hires-michael-gartenberg-as-new-evangelist/">Michael Gartenberg</a> at Microsoft?
			- Speechless.
		- CNN carrying Bush water
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/15/water.jpg" width="115" height="217" border="0" align="right" hspace="15" vspace="5" alt="A picture named water.jpg">I watched yesterday's Bush press conference. There's absolutely no doubt that he's selling war with Iran. And this morning, I saw CNN help him with the pitch. 
			- According to CNN, our sometime enemy in Iraq, <a href="http://www.scripting.com/2007/01/19.html#When:2:31:42PM">radical Shi'ite cleric</a> Moqtada al-Sadr, may now be in Iran. He may not be there, but it's possible that he's there. Right now. That was the news, it was a headline, scoop-level story. We're not sure he's there, but he could be. That's news? Eh.
			- They also said, but didn't emphasize, that if he were in Iran this wouldn't be anything new, he's often in Iran. 
			- He's also part of the coalition that forms the government of Iraq, the one that we're supporting, the one that we're funding, and arming. But this time, today, they didn't mention that he's our friend in Iraq, because today he's being portrayed as our enemy in Iraq. But given that he's part of the government of Iraq, him being in Iran is like Ted Kennedy being in Mexico. It's conceivable that al-Sadr has legitimate business in Iran. But it's hard for us to conceive of that, supposedly, because the picture that's being painted is that Iran is the country that's killing our soldiers. And we're supposed to conclude, of course, that al-Sadr, being in Iran (if he actually is) is more evidence of that. They don't say it, but we're left wondering why this is news. If he isn't there plotting the deaths of more Americans, exactly why <i>is</i> he in Iran? (Assuming he is.) Clearly he's up to no good. 
			- In other words, they're just moving around words to make it <i>sound</i> like something new and dangerous is happening, when in fact nothing new is happening, and if it is dangerous, it is something that in the past, the same people have asked us to overlook the danger in.
			- One more thing -- in the Bush press conference, not only haven't the reporters asked Bush to explain who the enemy is, they also talk about the enemy themselves, although if pressed, I doubt if any of them could explain exactly who the enemy is. Maybe they should do a <a href="http://www.pbs.org/wgbh/pages/frontline/">Frontline</a> special explaining the complicity of the professional journalists in U.S. propoganda. 
			- Summary: One day al-Sadr is the enemy and another day he is our ally.
			- What could "winning" in Iraq possibly mean?
			- Problem: We have no clue who we're fighting. 
		- Great balls of fire
			- Daring Fireball is a huge-flow site, when they <a href="http://daringfireball.net/linked/2007/february#thu-15-winer_msft">point to me</a>, lots of traffic, and not idle clickers either, they seem to read the pieces, their emails are thoughtful. 
			- Today they point to a <a href="http://www.scripting.com/2007/01/09.html#microsoftUsedToBeSmarter">piece</a> I wrote after CES, about how Microsoft used to be a great seducer, which fit well with their tail light chasing method of competing. 
			- Today's Microsoft: Not so much. 
		- Ponzi and Chris
			- Last Friday I spent the day with Chris and Ponzi Pirillo at their new house in the Seattle area. 
			- A day with the Pirillos means lots of talk about gadgets, for sure. Their house is filled with cool electronic toys. 
			- I was raving about Fractional Horsepower HTTP Servers, and that got Chris started, and he showed me a <a href="http://www.amazon.com/Panasonic-Wireless-802-11-Network-BL-C30A/dp/B0002GS4ZA/ref=cm_cr-mr-title/102-9574729-8616942">Panasonic webcam</a> that I had to get, so I did. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/15/webcam.jpg" width="90" height="90" border="0" align="right" hspace="15" vspace="5" alt="A picture named webcam.jpg">Quick impulse decision that it was, I didn't remember until later that the difference between my house and theirs is that theirs runs on Windows and mine runs on Macs. Of course I have the obligatory Windows machine (and Chris has a Mac Mini) so I was able to get the webcam configured and working (and it's very very cool) but what I really want is to be able to use it from my desktop and laptop. And for that, I have to be able to use it with a Mac, which I have not managed to do yet, even though it appears to be compatible, based on <a href="http://www.amazon.com/gp/cdp/member-reviews/AI0ZHOW8MERQK/ref=cm_cr_auth/102-9574729-8616942?ie=UTF8&sort%5Fby=MostRecentReview">this member review</a> on the Amazon site. And there's <a href="http://www.securityspy.com/">software</a> that claims to work with it on the Mac, but I haven't gotten it to work yet. 
			- It's a personal issue I'm sure, probably has something to do with the <a href="http://stories.scripting.com/2007/02/14/slowdown.html">post-op haze</a> that's enveloping my mind. Expect me to rave about it once I get the booger working properly with my Macs. 
	- February 14
		- <a href="http://kosso.wordpress.com/2007/02/14/samsung-wibro-with-rss-button/">A cell phone</a> with a RSS button. (!)
		- Congrats to <a href="http://epeus.blogspot.com/2007/02/begoogled.html">Kevin Marks</a> on his new job at Google.
		- Love and technology
			- Here's a great story...
			- Dave Jacobs is PKD survivor, a hereditary disease that destroys the kidneys. Both Dave and his sister Cher received kidney transplants in 2004. His younger brother, Brant, died from the disease. Dave has three sons and is raising his nephew -- each of these boys have a 50 percent chance of having inherited the disease. So the Jacobs family is very well motivated to solve this problem. 
			- Dave is healthy again, really -- you should see the guy, it's a real miracle. We go out to eat, go to baseball games, take long walks, and kid each other about stuff that doesn't matter, and cheer each other on as we go forward. And Dave is doing some amazing stuff, which I want to tell you about today.
			- His new company, <a href="http://silverstonesolutions.com/">Silverstone Solutions</a>, has developed software that automates something that used to be done informally, manually and inefficiently, and the result is new kidneys for people who, without them, would likely die. Here's how the system works.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/14/love2.gif" width="125" height="117" border="0" align="right" hspace="15" vspace="5" alt="A picture named love2.gif">Suppose you have a friend or relative who wants to donate a kidney to you, but for some reason that kidney isn't transplantable in your body (wrong blood type, for example). So you register with your hospital, and they enter your data into the Silverstone software. Another person has a friend with a kidney that's incompatible for them, but works for you. And suppose your friend's kidney works for them. Bingo. Two people survive where before none would. The software of course can handle three-way combinations, and so on. 
			- They've spent a couple of years getting it to work, and have signed their first customer, <a href="http://www.cpmc.org/advanced/kidney/patients/topics/paired_kidney.html">California Pacific Medical Center</a> in San Francisco. And today, Valentine's Day, they performed their first transplant. 
			- There's no doubt that Big Dave survived his disease to find his purpose in life, to combine technology and knowledge with medicine and love, to save lives. I'm proud to know Dave, and honored to be among the first to tell this story. 
		- A new feature for story pages
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/14/love.gif" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif"><a href="http://images.scripting.com/archiveScriptingCom/2007/02/14/newstoriespagefeature.gif">A simple new feature</a>, story pages now have a cookie crumb navigation trail at the top of each page, pointing to the day, month, year and entire archive. This way, when the story is indexed in a search engine, you can find your way back to the context in which the story appeared. 
			- PS: I added a second new feature. Each paragraph on each story page now has a purple pound sign linked to a permalink for the paragraph, making it possible to point to individual paragraphs inside stories. 
		- Slowdown
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/02/14/daveDncFull.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/14/lefteye.jpg" width="55" height="57" border="0" align="right" hspace="15" vspace="5" alt="A picture named lefteye.jpg"></a>Things have been a bit slower here the last couple of days -- I had minor elective eye surgery yesterday under general anesthetic, and it knocked me out pretty well. It seems to have been a success, had some problems with the retina in my left eye, still a bit wiped out from the experience, but overall feeling pretty well. Nothing like the surgery I had in 2002. ";->"
		- Pipes, five days later
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/14/wallyOfficialSpokesperson.gif" width="98" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named wallyOfficialSpokesperson.gif"><a href="http://www.readwriteweb.com/archives/yahoo_pipes_web_database.php">Richard MacManus</a> writes about Pipes. It has the chicken and egg problem, the same one every programming language has when its new, there's not much interesting data to operate on. In this case, the target is the huge, rich base of RSS feeds, which is designed to work with one kind of aggregator, a River of News, and if you structured Pipes around that -- a filtration process for a river, it might bear some immediate fruit, but its built on a different model.
			- It assumes that each feed can be dealt with as a procedure call, which according to the REST philosophers, it can, but in practice, feeds don't take parameters, so they're the least interesting kinds of procedures, like <a href="http://docserver.userland.com/clock/now">clock.now</a> in UserTalk. Sure there are some verbs that build on that verb, <a href="http://docserver.userland.com/date/month">date.month</a>, <a href="http://docserver.userland.com/date/year">date.year</a> and <a href="http://docserver.userland.com/date/dayOfWeek">date.dayOfWeek</a>, but nowhere near as much as verbs that have rich parameter lists, which are like the gateways that Tim O'Reilly and Jon Udell are so excited about. 
			- <a href="http://davenet.smallpicture.com/1998/07/14/xmlRpcForNewbies.html">See XML-RPC for Newbies</a> for background; a Pipes that could do XML-RPC could be interesting, esp because the Metaweblog API is an XML-RPC application, and is widely supported by blogging tools and CMSes.
			- In the RSS world, and therefore in Pipes, there's no way to tell if items in two feeds are talking about the same thing. The best you can hope for is keyword serendipity, which all the demos so far do, and those make for unsatisfying demos, because you know you couldn't deploy a useful app out of the concepts they illustrate. Very much like the early demos for HyperCard, Marimba, and my own Frontier. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/14/microBBanimes.gif" width="62" height="53" border="0" align="right" hspace="15" vspace="5" alt="A picture named microBBanimes.gif">Now it's possible that a company like Yahoo, with its diverse flows of information, and nearly universal support of RSS, could add enough metadata to their feeds to be sure two items in different feeds were talking about the same thing, and then we'd be somewhere interesting. However at that point, I'd like a nice procedural language, something like <a href="http://www.onlamp.com/pub/a/python/2000/11/22/xmlrpcclient.html">Python's</a> treatment of "XML-RPC", not the visually appealing but information sparse IDE that so many marketing people fall in love with, but not many programmers actually use. 
	- February 13
		- <a href="http://james.hotornot.com/2007/02/on-having-balls-part-ii-staying-hungry.html">James Hong</a> on what it takes to motivate a successful entrepreneur. 
		- <a href="http://www.socialcustomer.com/2007/02/tying_one_on.html">Chris Carfi</a> on putting the public into public radio.
		- <a href="http://appianway.blogspot.com/2007/02/mac-vs-pc.html">Appian Way</a>: "When Mac is broken, we are faced with a small number of bad options, all of which will cost us a lot more time and brain damage than calling Dell."
		- Boston next week
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/13/maynardGKrebs.gif" width="95" height="263" border="0" align="right" hspace="15" vspace="5" alt="A picture named maynardGKrebs.gif">I'm planning my trip to Boston, next week. Wed through Fri is the <a href="http://www.integratedmedia.org/nav.cfm?cat=15&subcat=116&subsub=170">Public Media conference</a>. I'm speaking on Thursday, in the slot that Dave Sifry was originally going to speak in (he couldn't make it). 
			- Then I think I'll <a href="http://maps.google.com/maps?f=d&hl=en&saddr=boston,+ma&daddr=manchester,+new+hampshire&sll=42.995556,-71.455278&sspn=0.095296,0.159817&ie=UTF8&z=10&om=1">head up to New Hampshire</a> over the weekend, Saturday and Sunday, with my digital camera and laptop, to see if I can catch by some of the Presidential candidates, returning to California on Monday. 
			- People wonder how you do it. The events often aren't scheduled until the last minute. In 2003 there was an RSS feed put up by <a href="http://nhpolitics.com/">NHPolitics.com</a>, that listed the events as they became known. I'm hoping there's something like that for this year. I'll probably just get a room in Manchester, that's usually where the campaign HQs are, and ask questions.  
			- People often think you need some kind of ticket or reservation, but politics is open to all in NH early in the campaign, and you usually just have to show up. Weekends are the best time to look for events, that's when the schedules are packed. And this early in the season with so many candidates, it seems it would be hard not to run into some kind of campaign event. 
	- February 12
		- That's what I'm talking about!
			- <a href="http://www.niallkennedy.com/blog/archives/2007/02/nokia-video-center.html">Niall Kennedy reports</a> on a Nokia video podcatcher.
			- This is why I say the iPod is nice but it isn't the ideal podcast device. We need more designs that are centered around what we do. USB cables are very primitive channels for synchronization. Way too limiting. I've got a device in my pocket that's got local storage and an always on net connection. Now how hard could it be to teach it how to do RSS? Nokia shows us -- it's not so hard!
			- It's the flipside of the fractional horsepower HTTP servers that are popping up in so many consumer electronic products. What do you need to feed of all those FHHTTPS? Why its a hand-held podcatcha, of course.
			- Hey, dat's waht I'm tawkin about!
		- WNYC spam
			- 9 times out of 10, I don't give money to public radio stations, because once you do, you never hear the end of it.  
			- A few weeks ago, in response to a request for support from On The Media podcast, I gave $100 to WNYC. I don't even live in NY. Now I'm getting a steady stream of <a href="http://images.scripting.com/archiveScriptingCom/2007/02/12/wnycspam.gif">spam</a> from them with all kinds of special offers. This really sucks.
			- Of course I have asked to be removed from the spam list, and how tacky is it to ask for a pledge less than a month after getting a gift of $100.
		- Unconference for journalists?
			- <a href="http://newassignment.net/blog/david_cohn/feb2007/12/a_conference_on_">Reading these notes</a> following the We Media conference in Miami, I'm happy to report that there have been unconferences for journalists -- <i>all</i> unconferences are for journalists (and of course for everyone else too).
			- We had professional journalists, many of them, at the first couple of BloggerCons at Harvard in 2003 and 2004. 
			- <a href="http://zadidiaz.com/"><img src="http://images.scripting.com/archiveScriptingCom/2007/02/12/jetset.jpg" width="65" height="135" border="0" align="right" hspace="15" vspace="5" alt="A picture named jetset.jpg"></a>Maybe it's better to flip the question around -- I wonder what is served by continuing the hierarchic speaker-panel-audience conferences, where the action migrates into the hallways? Why keep organizing that kind of conference, when the newer models are so much more effective at sharing information and ideas, so much more inclusive and interesting, and so much more fun!
			- In any case, if there's an interest in an unconference specifically for professional journalists that's open to all interested parties, I would be happy to help in the planning of such an event. Anything to help my brothers and sisters in professional media embrace the changes that are in process. 
		- Iran IEDs new? Nah
			- <a href="http://scripting.wordpress.com/2007/02/11/scripting-news-for-2112007/#comment-42973">Dan Brekke notes</a> that the U.S. has been trying to sell the idea that Iran is a source of weapons in Iraq for quite some time. Nothing new here. We're being manipulated again. 
			- Wouldn't it be great if Bush <a href="http://www.scripting.com/2007/01.html#bushOrNoBush">resigned early</a> so we can start fresh with an administration that might not be lying all the time. 
			- Perhaps we could deal with this at an unconference for journalists. 
		- Pre-N perf boost?
			- Earlier this month Apple shipped its new <a href="http://www.apple.com/airportextreme/">Airport Extreme</a> wireless router, and <a href="http://www.engadget.com/2007/01/30/apple-busts-out-1-99-802-11n-enabler/">compatibility</a> for <a href="http://www.macdailynews.com/index.php/weblog/comments/apple_releases_199_airport_extreme_80211n_enabler_for_mac/">certain</a> Mac laptops and desktops. By now some people should have them. 
			- <a href="http://scripting.wordpress.com/2007/02/12/scripting-news-for-2122007/#comments">Question</a> -- how's the performance? Is it delivering 5 times the throughput? How about increased range?
			- <i><a href="http://scripting.wordpress.com/2007/02/12/scripting-news-for-2122007/#comment-42974">Thanks</a> for all the info about the Airport Extreme and pre-N routers. This is what makes Scripting News so great, all the smart generous people who are willing to share what they learn.</i>
	- February 11
		- John Roberts: <a href="http://www.pencoyd.com/clock/2007/01/29/who-actually-covers-local-news/">Who actually covers local news?</a>
		- <a href="http://www.techcrunch.com/2007/02/11/mybarackobama-who-built-this/">Mike Arrington wants</a> to know who created MyBarakObama. "It launched basically feature-complete and bug free, which would be very hard to do without an extended beta."
		- <a href="http://www.stevenlevy.com/index.php/2007/02/11/zune-in-the-wild/">Steven Levy</a>: "The way Zune handles its song sharing, its draconian DRM is slapped on tunes indiscriminately, whether the artists want it there or not."
		- <a href="http://www.news-record.com/apps/pbcs.dll/article?AID=/20070211/NEWSREC010201/702110319/-1/NEWSRECRSS">Ed Cone</a> on Google's strong-arm tactics in North Carolina. 
		- <a href="http://www.calacanis.com/2007/02/11/wsj-story-on-buzz-features-a-bunch-of-netscape-navigators/">Jason Calacanis</a>: "If I was CEO of StumbleUpon I would raise $10M and pay the top 250 folks $500 a month for contributing to the system."
		- <a href="http://bizstone.com/2007/02/scripting-news-updates.html">Biz Stone likes</a> the changes I've made to Scripting News in the last few weeks. More are coming. I have some ideas about RSS feeds. I'm also going to do something bizarre for the 10-year anniversary, coming on 4/1/07.
		- Iranian weapons? BFD
			- <a href="http://www.nytimes.com/2007/02/11/world/middleeast/11cnd-weapons.html?ex=1328850000&en=bcdbd7ba78e05808&ei=5090&partner=rssuserland&emc=rss">The NY Times ran this story</a> on Saturday, today there's a mysterious US press briefing announcing that they had discovered that weapons imported from Iran to Iraq are killing American soldiers. So what exactly are we supposed to conclude from this? They don't say.
			- On the Sunday talk shows, the politicos don't say what's obvious to this voter. 
			- 1. If you don't want Americans blown up by Iranian weapons, get them out of Iraq.
			- 2. It's a big surprise? We're calling them names, threatening them, moving our aircraft carriers into their ports, and we're supposed to be shocked that they're helping people who are fighting with us in Iraq? I would be surprised if it were otherwise, if they <i>weren't</i> helping them. 
			- 3. Who's providing more weapons to our enemies, Iran or the U.S.? I don't have the slightest doubt that the American taxpayer is the largest single source of support for people killing Americans in Iraq. We're pumping billions of dollars into Iraq every month, a lot of that must be in the form of weapons. Our supposed allies in Iraq are actually Sunni or Shi'ite militia. There are virtually no non-partisans in Iraq, everyone is on some side, and aside from the Americans and British, they're <i>all</i> trying to blow our guys up. 
			- 4. We'll leave behind a power vacuum in Iraq if we leave now? Seems doubtful to me. The place is already in chaos. We have 150,000 troops in Iraq (or thereabouts) in a <a href="https://www.cia.gov/cia/publications/factbook/print/iz.html">country</a> of 27 million people. How many of them are armed? Even if it's only ten percent of the populace that's still about 15 Iraqi combatants for every American. We're not keepting them from killing each other now, we're not keeping the peace, but we are getting killed. And here's the thought that scares me the most -- <i>it could get a lot worse.</i>
			- 5. Reality-check. Does the U.S. government have any credibility on such things? The people doing the briefing did it on the condition of anonymity. That the Times, of all the publications, is willing to report this as a straight news story is unreal. How stupid are we supposed to be, according to them? Pretty damned stupid, it seems.
		- Route this to Wikipedia
			- For the podcasting page on Wikipedia (which I don't edit because I'm one of the people it talks about, or should).
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/02/11/podcatcherin2001.gif">Here's a screen shot</a> of the RSS enclosures prefs page from Radio 8. As you can see from the timestamp at the bottom of the page it was last modified on 11/24/2001. It was created some time before that. Adam Curry, who wrote iPodder, three years later, was an avid user of this software. 
		- Credit matters
			- In most intellectual and creative fields they call taking credit for someone else's work <a href="http://lifehacker.com/software/writing/dealing-with-plagiarism-step-by-step-235621.php">plagiarism</a>. It's an ugly word, which is good, because it is an ugly act. 
			- For some reason programmers are supposed to not care about credit for their accomplishments. The idea almost certainly came from someone who wanted to take credit for someone else's work. Creative people of all ilks share this one thing, they want credit. That's why the credits in a movie or an album are so long. That's why when someone receives an award they thank the people who made it possible. Credit matters.
			- When a reporter makes light of this, and I've seen them do it, ask how they'd feel if you ran their most popular article on your website with your name on it. ";->"
			- This really came home when I met with Richard Stallman a couple of months ago. I was surprised to find out that he cared who created a piece of software. To him the act of authorship was important. I had been led to believe the opposite. How about that. 
		- Google saved my ass
			- This is pretty technical.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/11/bird.jpg" width="65" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named bird.jpg">I needed to find out where in the sea of software that's the OPML Editor I'm installing a listener on port 5335. It should be easy, set a breakpoint in the <a href="http://www.google.com/search?hl=en&safe=off&client=firefox-a&rls=org.mozilla%3Aen-US%3Aofficial&hs=D2d&q=inetd.startOne&btnG=Search">inetd.startOne</a> glue script and give me a stack crawl when it's opening that port, and it's not impossible, but it was easier to just <a href="http://www.google.com/search?q=user.inetd.http5335&start=0&ie=utf-8&oe=utf-8&client=firefox-a&rls=org.mozilla:en-US:official">give the string</a> to Google and see what came back. It was a long shot and a couple of years ago it wouldn't have worked, but today it did. I found out which root file was making the request and from there it was a simple search to find the bit of code. 
			- Good work Google! ";->"
		- Oh the humanity
			- I'm doing a careful review of all my servers, trying to reduce my monthly spending, and improve the durability of the sites I care about, and I'm finding some amazing things. 
			- For example -- each of my servers that runs Frontier automatically has a copy of the Radio Community Server installed and turned on. One of its features is that it takes weblogs.com compatible <a href="http://www.xmlrpc.com/weblogsCom">pings</a> from (supposedly) sites in its community, by design it was supposed to also support a community of Radio users. At least that was the design, five years ago when the software shipped. Anyway, there is no community gathered around most of these servers, but they're ready if one should pop up. And the Internet being what it is in 2007, they do pop up, selling their wares, the usual stuff that spammers are interested in.
			- Of course now that I know, I'm shutting them all off. ";->"
			- Here's a <a href="http://images.scripting.com/archiveScriptingCom/2007/02/11/ohthehumanity.gif">screen shot</a>. 
	- February 10
		- <a href="http://www.thehappytutor.com/2007/02/the_blogger_con.html">Wealth Bondage</a> would rather his blog not survive him. 
		- As a Mac user, I wish Microsoft would run an <a href="http://youtube.com/watch?v=_n4mdcXa8B0">Apple-like ad</a> about the <a href="http://consumerist.com/consumer/apple/dont-wait-for-a-genius-quick-drop-your-mac-and-go-235367.php">process</a> by which Mac users get service for broken hardware. It would be really hard for Apple to respond, because their system for dealing with broken hardware is itself horribly broken. They need serious incentives to fix this.
		- Sue Polinsky: <a href="http://www.downloadsquad.com/2007/02/09/why-do-you-care-about-rss/">Why do you care about RSS?</a>
		- Yikes, I'm missing the <a href="http://newspaper2dot0.pbwiki.com/">Newspaper 2.0 meetup</a> in Santa Barbara today. You're probably missing it too. :-(
		- Once again, thanks to Continental Airlines for the free wifi access outside their President's Club lounge at Gate B11 at <a href="http://www.portseattle.org/about/maps/concourseb.shtml">Sea-Tac</a>. 
		- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/10/themegnut.jpg" width="105" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named themegnut.jpg">I usually don't write about dreams on this blog, but last night I had a weird one that sorta seems on-topic. I was reading an article about the most popular new digital cameras and was tripping out over one called <i>The Megnut,</i> designed by Meg Hourihan, Blogger founder, food blogger, presumably a mega-millionaire after Google bought them out. I was thinking how strange life was, how I knew so many of the people responsible for the popular memes of the day, and how it was expanding beyond the worlds of blogging, podcasting, etc. Well, I guess it was just a little too strange to be real. ";->"
	- February 9
		- <a href="http://www.nytimes.com/2007/02/10/opinion/10sat1.html?ex=1328763600&en=a9de6a7c8dc62976&ei=5090&partner=rssuserland&emc=rss">NY Times</a>: "A report by the Pentagon inspector general has finally confirmed that Defense Secretary Donald Rumsfeld's do-it-yourself intelligence office cooked up a link between Iraq and Al Qaeda to help justify an unjustifiable war."
		- <a href="http://feeds.feedburner.com/~r/Caterinanet/~3/88674170/001033.html">Caterina</a>: "Pipes is getting us closer and closer to nerdvana."
		- <a href="http://www.docuverse.com/blog/donpark/2007/02/09/powerset-and-pipes">Don Park</a>: "Another case of reality tormenting geeky ideals."
	- February 8
		- <a href="http://www.engadgethd.com/2007/02/08/nbc-nightly-news-to-go-hd-in-march/">NBC has</a> the first network news show to go HD.
		- Too much hype
			- Note at 6PM Pacific: Yahoo Pipes <a href="http://images.scripting.com/archiveScriptingCom/2007/02/08/oops.gif">missed</a> its own opening day. 
			- Back to the drawing boards for one of the most over-hyped non-events in the history of the Internet. 
		- Pipes investigation
			- I see that Yahoo has a new web app, called <a href="http://pipes.yahoo.com/">Pipes</a>, that looks to me like a feed construction kit.
			- It takes RSS inputs, processes them in ways that are specified by the user, and produces feeds as its output.
			- How useful is this? Not sure. In all the years that I've used RSS apps, I've never wanted this functionality. But then I never wanted Feedburner either, and that's proven very popular. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/08/rsshat.gif" width="95" height="95" border="0" align="right" hspace="15" vspace="5" alt="A picture named rsshat.gif">One of the first things I want to know is what is the quality of the RSS output they produce? Did they, like Apple did with iTunes, add a lot of proprietary stuff to their RSS? Ive been looking for some output on the web, but so far haven't found any. I'm optimistic because Yahoo has been an outstanding RSS comunity member.
			- Note: the server is back up, although slow, at 8:20AM Pacific. The RSS they generate <a href="http://images.scripting.com/archiveScriptingCom/2007/02/08/pipesfeedpic.gif">looks fine</a>. 
			- At 10:40AM it's <a href="http://images.scripting.com/archiveScriptingCom/2007/02/08/pipesclogged.gif">down again</a>.
			- From a quick persual of the functionality last night and the fact that the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/08/helloworld.gif">server</a> isn't responding right now (5:45AM Pacific), it seems this app uses lots of CPU on the server. 
			- I agree with <a href="http://www.techcrunch.com/2007/02/07/yahoo-launches-pipes/">Nik</a> and <a href="http://www.readwriteweb.com/archives/yahoo_pipes_rss_remixer.php">Richard</a> that this is an application platform, and that Pipes users are likely to be fairly technical scripting-level users. 
			- Clearly it should take OPML as input, that's the usual way of exchanging lists of feeds.
			- I'm interested in <a href="http://scripting.wordpress.com/2007/02/08/scripting-news-for-282007/#comments">knowing</a> what other Scripting News readers have learned from experimenting with Pipes.
		- Speaking at Public Media
			- Good news, I'm speaking at the <a href="http://www.integratedmedia.org/home.cfm">Public Media</a> conf on Feb 23 in Boston, as outlined <a href="http://stories.scripting.com/2007/02/05/whoDoesHeThinkHeIs.html">here</a> and <a href="http://www.scripting.com/2007/02/03.html#publicRadioConference">here</a>, I guess it was compelling. Thanks to Doc Searls for his help. 
			- It also looks like I may lead a discussion at Microsoft's <a href="http://www.visitmix.com/">Mix 07</a> conference this year, after not getting an invite in 2006. This time I knew there was a problem in advance, and apparently asked the right question of the right people, privately. 
			- My proposed topic is "Let's design the perfect podcast player." No one makes it now, not Apple, not Microsoft, but a lot of people who listen to podcasts have an idea of what they want. It makes for a good, spirited, productive discussion. 
			- BTW, the conference ends on my 52nd birthday, which is a once in a lifetime thing because my birthday is the 2nd day of the 5th month. Yeah I was a math major. And because I'm a programmer I'm superstitious. ";->"
	- February 7
		- What bloggers do
			- <a href="http://www.nytimes.com/2007/02/07/us/politics/07edwards.html?_r=2&ex=157680000&en=2006e92be85d1ae7&ei=5124&partner=permalink&exprod=permalink&oref=slogin&oref=slogin">NY Times</a>: "Two bloggers hired by John Edwards to reach out to liberals in the online world have landed his presidential campaign in hot water for doing what bloggers do -- expressing their opinions in provocative and often crude language."
			- Some people use "crude language" when they talk on the phone, and others would be offended if they heard such language. Same with bloggers. I would never say that all reporters are liars and spinmasters, even if I felt it was true, because I <i>know</i> it's not. The Times coverage of blogging has always been a weak spot. 
			- I wish the Times editors would call reporters on stuff like this. 
			- When will they call off their war with bloggers?
		- Apple is now a media company
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/07/airplane.gif" width="125" height="37" border="0" align="right" hspace="15" vspace="5" alt="A picture named airplane.gif">Yesterday we learned that Steve Jobs has yet another pulpit, the web, and he used it very well to get an idea to circulate. The <a href="http://www.apple.com/hotnews/thoughtsonmusic/">piece</a> was clearly written, persuasive, short, and from what I can tell, very carefully read by all who commented, and many people commented!
			- Now the morning after it hits me how new this is, because Apple usually communicates through bigpub reporters like John Markoff at the NY Times and Steven Levy at Newsweek. This time he went direct, Markoff's article appeared this morning, more than 12 hours after the essay was published, and makes clear how much better this system is than the old one.
			- First, the Times has a problem -- they get in the way of the story, and that reduces our trust in them. <a href="http://www.google.com/search?q=judith+miller+libby">Judith Miller</a>, writing for the Times in 2003, was the classic example. They ran a series of stories, authored by Miller, that supported the Bush pretense for the war in Iraq. The stories were fabrications, the paper was used, its readers misled. They acknowledged that they did it, and even today they ran an <a href="http://www.nytimes.com/2007/02/07/opinion/07wed1.html?ex=1328504400&en=c195bf93336a0269&ei=5090&partner=rssuserland&emc=rss">editorial</a> saying that more discussion was needed at the time we went to war. Yet (and here's the key point), <i>the Times has not reformed itself, it still has the institutional arrogance that causes it to distort stories, even when it's obvious that they're doing it.</i>
			- A recent example, when Markoff <a href="http://www.nytimes.com/2006/11/12/business/12web.html?ex=1320987600&en=a54d6971614edc62&ei=5090&partner=rssuserland&emc=rss">used</a> the term Web 3.0 in a recent front page story, without explaining where it came from, it was not in use in the industry. As far as I know, he was the first to use it, and the last. It didn't catch on. And is that really the job of a Times reporter? Shouldn't they be covering the news, as opposed to making the news? 
			- <a href="http://www.nytimes.com/2007/02/07/technology/07music.html?ex=1328504400&en=db8a9b1f487a8f53&ei=5090&partner=rssuserland&emc=rss">And in today's piece</a>, titled "Jobs Calls for End to Music Copy Protection," Markoff explains that "the subtext clearly pointed to the prospect of change." Maybe it did, butI can't find it in the Jobs piece. At least Markoff is honest that the justification for the title of his story was not found in the Jobs article, but where did he find it? In the subtext. What does that mean?? 
			- To be clear: Jobs <i>all-but</i> called for the removal of DRM, but did not go that far. Whether that's important or not, we'll find out. But it's not for a reporter to infer intent when there's no evidence to support that inference. 
			- The other day I <a href="http://stories.scripting.com/2007/02/05/whoDoesHeThinkHeIs.html">wrote</a> about point-of-view making it possible to see things that you otherwise might not see. Well, because we saw the Jobs piece, and got a chance to study it for hours before it was spun by the Times, we could see how they add their color to the story, and thereby dramatically change the intent of the story they are reporting. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/07/dp.gif" width="61" height="86" border="0" align="right" hspace="15" vspace="5" alt="A picture named dp.gif">Perhaps Jobs wanted to communicate more precisely this time, without the filters of other media companies. To me the clear subtext of the Jobs piece is that Apple is today a media company. When the CEO goes direct to the people he wants to influence, without using other media to carry the story, something not too subtle has changed. 
		- An experiment begins
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/07/ohYeahhhhSmall.gif" width="85" height="91" border="0" align="right" hspace="15" vspace="5" alt="A picture named ohYeahhhhSmall.gif">I've spent the last few days working on the <a href="http://davenet.smallpicture.com/2000/02/04/howToMakeMoneyOnTheInterne.html">archive</a> <a href="http://davenet.smallpicture.com/2001/02/13/howToMakeMoneyOnTheInterne.html">of</a> <a href="http://davenet.smallpicture.com/1997/05/02/ProofthatyouExist.html">the</a> <a href="http://davenet.smallpicture.com/1998/05/06/yoQuieroScriptingNews.html">DaveNet</a> <a href="http://davenet.smallpicture.com/1999/05/24/editThisPage.html">site</a>, addressing a lot of old issues, and learning about S3, and refreshing my knowledge of the CMS that's under all the stuff I've been doing for the last umpteen years. There were a bunch of broken pages, the content was unnecessarily dynamic. Now all that's fixed and hopefully it's situated in a place where it will not break in the future and I won't have to worry about it, and it won't cost much to host, etc. (I have an idea of making a proposal to Amazon to pay it a onetime fee for hosting the content for perpetuity, that way I can remove a concern for my heirs, and feel that my writing may survive me, something I'd like to assure.)
			- That led me to something I've always wanted to try, to put each story that appears on Scripting News on its own page, and now that's done. If you click on the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/07/heresTheBlueArrow.gif">blue arrow</a> next to a headline, it will take you to a <a href="http://stories.scripting.com/2007/02/07/anExperimentBegins.html">static page</a> where just that story appears. It's still a bit rough, and the page is spartan (which I like) and it has a couple of advantages.
			- 1. It should make the stories stand out more in search engines. 
			- 2. Techmeme will be able to access these pages, since there is nothing blocking it. The stories site has no robots.txt, at least for now.
			- I kind of like having my own Techmeme-free space here. But I'm curious to see what will happen now.
			- I have not yet updated the RSS feed to point to the individual story pages, but I think, if the experiment proves a success, that I will.
	- February 6
		- <a href="http://www.apple.com/hotnews/thoughtsonmusic/">Interesting essay</a> by Steve Jobs on DRM. "If the music companies are selling over 90 percent of their music DRM-free, what benefits do they get from selling the remaining small percentage of their music encumbered with a DRM system?"
		- Brother printer with HTTP server
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/06/brother.gif" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named brother.gif">Based on a recommendation from Julian Milenbach, I bought a <a href="http://www.brother-usa.com/printer/modeldetail.aspx?ProductID=HL5250DN">Brother HL-5250DN</a> printer, and so far I'm quite happy with it. You can set it up to connect via USB 2.0, which I tried for a few days with good results, but it can also connect via Ethernet, which I'm using now, and that's much more interesting. The cool thing which is becoming almost routine, is that it has a <a href="http://www.flickr.com/photos/scriptingnews/382291168/">built-in HTTP server</a> -- and it works quite well. Weird thing, the printer has an <a href="http://www.flickr.com/photos/scriptingnews/382295341/">email address</a>. Not sure what this means. Can you mail jobs to it? Oy!
			- <a href="http://www.techcrunch.com/about-michael-arrington/">Mike Arrington</a> was over to watch the SuperBowl on Sunday, and I demo'd my Denon receiver with its built-in HTTP server. Following up by email he encouraged me to write it up. It's hard for me to write a feature story like the ones Mike does on TechCrunch, I prefer to write things as they occur to me, and so the story is <a href="http://www.google.com/search?q=site%3Ascripting.com+denon">here</a>, but it's in chunks spread out over days. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/06/receiver.gif" width="115" height="49" border="0" align="right" hspace="15" vspace="5" alt="A picture named receiver.gif">It's hard to explain why it's so exciting to be able to control a consumer device like a stereo through a web browser. I have explained it verbally, often to very technical people, but the only thing that makes the point is a demo. The idea of an HTTP server in a stereo sounds like a gimick, people say they get it but you can tell they don't because they can't put it all together to see that you could use a laptop (or a cell phone for that matter) to control the stereo. I think you have to live this stuff for years to see how exciting it is. But the really <i>coooool</i> thing is that there's someone at DENON who sees it too, someone with the resources to get it into the product.
		- Every picture tells a story
			- <a href="http://www.scripting.com/2007/02/05.html#aPictureTellsTheStory">Yesterday</a>, I showed some graphs produced by Google Analytics that tell a story about the readers of Scripting News. Perhaps I didn't provide enough detail to support one conclusion I drew: We don't get a lot of new readers here. 
			- I know that for a couple of reasons, and it's <a href="http://scripting.wordpress.com/2007/02/05/scripting-news-for-252007/#comment-42841">supported by Ian</a>, who works at Coremetrics, a company that is in the business of analyzing web traffic. 
			- 1. Even though it shows that 46 percent of the traffic are first timers, that's based on a four day sample, of which two days were weekend days. Traffic patterns change on the weekend, esp for a business oriented site like Scripting News. 
			- 2. I could compare it to the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/06/xmlrpcflow.gif">graphs</a> for the <a href="http://www.xmlrpc.com/">XML-RPC site</a>, which I also host, a relatively high flow site. Its traffic is almost entirely new people. It's not a blog, it's a reference site, with several popular specs that are widely pointed to. 
			- Over time the graph for Scripting News will likely skew even more toward repeat business.
			- I'm not saying there's anything wrong with this, I'm just sharing something I've learned. I've deleted some personal comments about this, which are completely ridiculous. These no doubt are the people who edit my Wikipedia bio. ";->"
		- Why I have a bio here
			- One reason is to counteract the mischief of the idiots who keep defacing my bio on Wikipedia. ";->"
		- Taking care of business
			- Apple is a big successful company with lots of customers and lots of employees. Microsoft is also a big successful company with lots of employees.
			- The iPod is a publicly released product. Vista was in public beta for many months. 
			- Yet, <a href="http://www.telegraph.co.uk/news/main.jhtml?xml=/news/2007/02/06/napple106.xml">Apple is warning iPod users to not install Vista</a>, which shipped last week, until they get a chance to adapt their software so that it doesn't destroy the user's music and podcasts. 
			- From outward appearances it seems someone isn't taking care of business, and it seems that's Apple, since you didn't need a special agreement with Microsoft to test software with Vista. Apple can hardly plead poverty, they make enormous amounts of profit from Windows iPod users. Further, it's so typical of Apple to ding users of Windows, to use them as pawns in their psychic battle with Microsoft, which serves no one, except perhaps them. Putting the users in the middle is bad business. 
			- Now, it could be that a bug surfaced in the final shipping version of Vista, one that wasn't in earlier test versions,  in which case it's just a bug, and no one is to blame. If not, it seems someone screwed up. Lots of people, actualy.
	- February 5
		- <a href="http://images.scripting.com/archiveScriptingCom/2007/02/05/bioinsidebar.gif">I've added</a> a brief bio to the sidebar...
		- The best part of the Useless Account <a href="http://www.techcrunch.com/2007/02/05/brilliant-new-startup-useless-account/">writeup</a> on TechCrunch is the <a href="http://images.scripting.com/archiveScriptingCom/2007/02/05/uslesspopupwindow.gif">useless windoid</a> that pops up as you click the link. ";->"
		- <a href="http://news.bbc.co.uk/1/hi/entertainment/6332319.stm">BBC</a>: "Technology giant Apple has reached a deal with the Beatles to end the dispute over the use of the Apple name."
		- <a href="http://www.youtube.com/superbowl">YouTube has</a> all of yesterday's Superbowl commercials. My favorites were <a href="http://www.youtube.com/watch?v=wgR92otjoUk">the</a> <a href="http://www.youtube.com/watch?v=7wt5FiZQrgM">Coke</a> <a href="http://www.youtube.com/watch?v=NwCn-D5xFdc">ads</a>, I had seen one of them at the movies last week. I also liked the <a href="http://www.youtube.com/watch?v=ewt4gTtNOvE">Salesgenie.com</a> ad, it was straightforward and corny, that's what I liked about it.
		- Newly re-discovered, favorites from the <a href="http://en.wikipedia.org/wiki/Bonzo_Dog_Band">Bonzo Dog Band</a>. Tubas in the Moonlight. Ali Baba's Camel. Hunting Tigers. Wonderful stuff!
		- A picture tells the story
			- On Friday I started using Google Analytics to track flow on this site. Already it's generating useful information, confirming something I believed was true. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/05/analytics.gif" width="348" height="450" border="0" alt="A picture named analytics.gif">
			- Most of the traffic for this site is repeat visitors, and most of it is self-generated. 
			- In other words, some time ago a bunch of people started reading Scripting News through the day, bookmarked in some way, refreshed it periodically. 
			- The site doesn't get a lot of people pointing into it, there aren't a lot of ways to discover it. 
			- Aggregators and feed readers don't generate any traffic because the <a href="http://www.scripting.com/rss.xml">feed</a> contains the full content.
			- You can see this in the relatively low (for the traffic) Technorati rank.
		- Who does he think he is?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/05/hope.jpg" width="150" height="253" border="0" align="right" hspace="15" vspace="5" alt="A picture named hope.jpg">I think many times when you know something that other people don't -- it's simply because you're standing some place where you can see something that you can't see if you're standing somewhere else. It's not because one person is smarter, or somehow better than others, it's just a point of view that's making seeing possible.
			- For example, no doubt people in public radio would think some of the <a href="http://www.scripting.com/2007/02/03.html#publicRadioConference">stuff</a> I wrote on Saturday is arrogant, who does he think he is, what makes him so special, why does he think he's so smart. He really isn't that smart, he doesn't know anything about public radio, why should we listen to him?
			- I'm like the guy who can see a truck coming, and you're standing in its path. Why do I see it? Because it hit <i>me</i> a number of years ago, and to the extent that I saw it coming, I ignored it, no one else seemed worried, so why should I? Bad strategy. The truck is coming anyway, might as well factor that into your thinking. And maybe I'm wrong, in which case listening won't hurt, might waste a little time, but then we waste so much time worrying about who he thinks he is and why should you listen, that a little more wasted time doesn't seem so bad.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/05/drphil.gif" width="95" height="133" border="0" align="right" hspace="12" vspace="4" alt="A picture named drphil.gif">In 2000 I naively thought the music industry wanted to know why its users were suddenly so <a href="http://davenet.smallpicture.com/2000/08/17/dionne.html#2">excited</a> about their product. The idea that I could program my own music was incredibly enabling. People were talking about music in the supermarket and on the subway. Now we live in a world where our lives have their own personal soundtracks. <a href="http://www.youtube.com/watch?v=zvudC5c5vl4">We're</a> all John Travolta when we walk down the street, <a href="http://www.youtube.com/watch?v=cUiKbW2Y7Yk&mode=related&search=">Stayin Alive</a> in our own little worlds where we program the music not some DJ in a booth somewhere far away. I went to one of their conferences and gave a talk, and told them how I, as a user, was rediscovering their product. To say they didn't want to hear it is an understatement. They called me names, shouted at me, held me responsible for their businesses. I tried to tell them money wasn't the issue, empowerment was. But they didn't want to hear. 
			- They saw a truck coming, and they planned to hold their ground. Now, seven years later, it seems someone should ask, as <a href="http://en.wikipedia.org/wiki/Dr._Phil_%28TV_series%29">Dr Phil</a> might: <i>How well did </i>that<i> work?</i> ";->"
			- I love public radio. I'm going to put that up on the screen while I talk. I love everything about public radio. That's why I want to see it kick ass in the new world where the former audience is using the public airwaves to communicate with each other. I want the pros in public radio to teach us how to do it, so there will be 100,000 public radio stations in the U.S. by the end of next year. Far-fectched? At one point people thought 100,000 blogs was a dream. 
	- February 4
		- <a href="http://davenet.smallpicture.com/1995/02/03/thegreatwomenofdavenet.html">1995</a>: "SuperBowl beer commercials are aimed at people who are drunk."
		- Cuban: Upload porn to YouTube
			- <a href="http://www.blogmaverick.com/2007/02/04/gootube-terrorizes-copyright-owners-by-withholding-filters/">Mark Cuban says Google is lying</a> when they say they can't prevent copyrighted content from appearing on YouTube and Google Video. 
			- His proof is that you can't find porn on those sites, he assumes people are uploading it, but Google is keeping it off, somehow. Presumably if they can do that, they can keep people from uploading full-length movies. 
			- To help prove his point he asks people to upload their personal porn collections, and see if they get through. 
	- February 3
		- Meraki Networks
			- <a href="http://www.nytimes.com/2007/02/04/business/yourmoney/04digi.html?ex=1328245200&en=28e094940f7284cb&ei=5088&partner=rssnyt&emc=rss">Really interesting NY Times piece</a> about a company with a mesh network approach to covering cities with free wifi. Turns out that putting transmitters on light poles isn't practical, which reflects what I learned trying the free wifi in Mountain View. It's as practical as lighting a city with outdoor lights. Tends to leave big shadows in buildings. Instead, the startup, <a href="http://meraki.net/">Meraki Networks</a>, propses to create a mesh of homes that share their Internet connections. 
		- Public Radio conference
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/03/glass.jpg" width="95" height="190" border="0" align="right" hspace="15" vspace="5" alt="A picture named glass.jpg">There's a <a href="http://www.integratedmedia.org/home.cfm">conference</a> for public radio stations at the end of the month in Boston. I want to speak there, and there's a chance I might, but in case not, there are a few ideas I wanted to insert in the flow, after blogging, podcasting, and extrapolate towards what I think will happen in the 2008 election, and the role public radio can play.
			- First, I'd like to offer hearty congratulations to public radio for doing such an excellent job of embracing podcasting. Their programming makes the most sense, imho, for podcasting, they have few of the licensing problems that commercial media have. As the Internet is used more to distribute content, whether streamed or via MP3, the role of the local broadcaster is diminished. There is nothing to be done about this, no point struggling against it. There's no way we're going back to the terrestrial broadcast model, the producers of the shows need distribution less and less, that's just a fact. In other words, there's some mopping up to do, and I think it will be done, and there is no shortage of controversy here, but that's not what I came to talk about. 
			- The political system in the US has yet to make the big transition that the Internet will cause. The candidates are still raising huge amounts of money to buy time on the commercial TV and radio networks. All this activity basically routes around non-commercial public media, which may play a small role in introducing the candidates to sources of money, but of course it doesn't get a dime of the political advertising bonanza. However, this is <i>good,</i> because public radio, unlike commercial media, doesn't have the conflict of interest that comes with it. As with podcasting, public radio can be the first to embrace the new model. There's nothing in the way. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/03/glassInverted.jpg" width="95" height="190" border="0" align="right" hspace="15" vspace="5" alt="A picture named glassInverted.jpg">The new model, which I think of as a glass turned upside down, reverses the roles of candidate and the electorate. Instead of candidates putting up a superficial image that has nothing to do with who they are or what their policies will be (famously, Bush's promise of no nation building, an example) the voters decide what their issues are, and then go shopping for a candidate. I believe the entire political system is going to re-form around this simple idea. It's like the New Hampshire or Iowa process, gone national. The voter is the decider, the politician a vendor, the voter is the policy-maker, the politician an implementor. The voter is a customer, and the voter is a thinker and organizer. In this mix, money plays a smaller role than it does today. Maybe even an <i>unimportant</i> role. This is my hope, but we'll see how it plays out.
			- What this means for public radio is that it should be seeking more programming from today's listeners, because that's where the new ideas will be coming from. The staff should do more facilitation, editing, training, outreach. The voice of public radio should be, surprise, the public. I believe this will happen whether or not public radio embraces this concept, but as with podcasting, it works so much better when we work together. 
			- I am not advocating an instant change, nor is one possible or even desirable. My weekly listens include many public radio shows (there would be more if shows like Fresh Air and Morning Ediiton were available as podcasts). I love the flashback shows, and story of the week. But the most futuristic of the public radio podcast offerings is <a href="http://www.npr.org/templates/story/story.php?storyId=4538138">This I Believe</a>, the show that gives a voice to the listener, and that's all it does. We need more public radio like that.
			- Now, if I can give a speech at the conference, I'll elaborate on these thoughts. If not, this is my stake in the ground. I don't doubt for a minute that this is the theme of media for the 2008 election. I've given the idea to every candidate that has been willing to hear them. Now I'd like to give them to the media. Thanks for listening.
			- PS: Hey, Fresh Air is now <a href="http://www.npr.org/rss/podcast.php?id=13">available</a> as a podcast. That's a <i>big</i> deal. ";->"
		- Our wonderful legal system
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/03/chuckBerry.jpg" width="95" height="148" border="0" align="right" hspace="15" vspace="5" alt="A picture named chuckBerry.jpg">In America we <a href="http://www.ckdhr.com/hrose/songs/lawyers_in_love.html">love our lawyers</a> so much, these days when kids have a playground fight there could be a lawsuit against the kid who prevails. And be careful <a href="http://www.informationweek.com/news/showArticle.jhtml?articleID=197003052">who</a> you choose to represent you, because they could sue <i>you</i> for their own malpractice. I'm sure it's happened, somewhere. 
			- That's why I've become a fan of a website written by a lawyer called <a href="http://www.overlawyered.com/">Overlawyered</a>. Great stuff. Today they <a href="http://www.overlawyered.com/2007/02/more_super_bowl_litigation_thr.html">explain</a> how having a "Super Bowl Party" can get you in trouble with the NFL. You can have a Big Game Party, no problem there, but Super Bowl is a trademark of the National Football League. 
		- About panels at conferences
			- Concise explanation of why they suck.
			- "Panels are competitions between people who, deprived of a chance to say what they have to say, resort to pitching products. 
			- "Everyone walks out into the hall grumbling about how everything is happening in the hall."
			- Q.E.D.
	- February 2
		- <a href="http://whoisylvia.typepad.com/my_weblog/2007/02/upping_the_digi_1.html">Sylvia speaks up</a> for the TechCrunch conference.
		- <a href="http://chris.pirillo.com/2007/02/01/microsoft-give-me-a-million-dollars-to-market-windows-vista-for-you/">Chris Pirillo</a> would like to market Vista for Microsoft.
		- <a href="http://scripting.wordpress.com/2007/01/25/scripting-news-for-1252007/#comment-42698">Erik Wingren responds</a> to criticism here about Snap.
		- <img src="http://images.scripting.com/archiveScriptingCom/2007/02/02/freepass.gif" width="115" height="80" border="0" align="right" hspace="15" vspace="5" alt="A picture named freepass.gif">What to do when a publication whose business runs on a page-view model, who has at least one reporter you respect, takes an unfair swipe? Call them on it, and feed their business and give them an incentive to do it again? Or ignore it -- people may believe what they say. In the end, I decide to say nothing. There are people who cut corners, to whom making a buck is more important than their own integrity. Ultimately you can't win a battle with them, so they get a pass. 
	- February 1
		- Good morning everybody!
		- It's been a lazy day with a little programming. Continuing to migrate static sites over the S3. Went to the <a href="http://movies.yahoo.com/movie/1809233724/info">movies</a>, was entertained by <i>excellent</i> acting.
		- Another exciting thing happened. I got my <a href="http://www.bart.gov/tickets/types/ezrider.asp">BART EZ Rider card</a>. Now I'm itching to use it. Blogger's breakfast in SF on Sunday?
		- <img src="http://images.scripting.com/archiveScriptingCom/2004/08/22/kimKim.gif" width="164" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named kimKim.gif"><a href="http://www.calacanis.com/2007/01/31/taking-the-payola-out-of-demo-ing-the-techcrunch-20-conference/">Jason Calacanis</a> called last night to ask if I'd help with the conference he and <a href="http://www.techcrunch.com/2007/01/31/the-techcrunch20-conference/">Mike Arrington</a> are planning for the fall, and of course I said yes. I was <a href="http://davenet.scripting.com/1995/01/04/demoingsoftwareforfunprofi">around</a> when Demo was founded (I announced a product at the first one). It was the answer to the now-defunct Comdex trade show, where you had to walk through miles of old boring stuff to find the new cool stuff. The goal of Demo was to turn it all around, and have the products move around and you get to sit in your seat drinking coffee, munching on M&M's and snarking and snickering with the people to the left and right. Back in the old days no one paid to present, for better or worse it was Stewart Alsop's judgment that determined who presented. I have some ideas how the format can evolve, considering that it is almost 20 years later, and Comdex is long-gone. No matter what, it should be fun to help Mike and Jason put this together. 
		- BTW, I have a lot of stuff working in S3 now. All the images you see on this site, going all the way back to the beginning, now live in Amazon-land, including the two <a href="http://images.scripting.com/archiveScriptingCom/2004/08/22/kimKim.gif">dancing Korean dudes</a>. 
