- October 2008
	- October 31
		- Oliver Stone's Nixon
			- At the end of Oliver Stone's <a href="http://www.netflix.com/Movie/Nixon/808187">biopic</a>, just before Nixon resigns in disgrace, he delivers a powerful line.
			- <a href="http://www.whitehouse.gov/history/presidents/jk35.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/31/jfk.jpg" width="110" height="153" border="0" align="right" hspace="15" vspace="5" alt="A picture named jfk.jpg"></a><a href="http://www.flickr.com/photos/scriptingnews/2989312848/">Standing in front</a> of the White House portrait of John Kennedy, he <a href="http://mp3.newsjunk.com/hopkinsNixon.mp3">says</a>: "When they look at you, they see what they want to be. When they look at me, they see what they are."
			- We're at that summing up moment of the 2008 Presidential election, before we know the outcome, but probably most of it has already happened, and that seems to be the choice we have made in the last two elections, and the choice facing us in the next one. Vote for who we are or who we want to be?
			- I probably would enjoy having a coffee with either of the two candidates, but the conversation with Obama would be more interesting. I got an idea of what that would be like last night when he sat down for an extensive <a href="http://www.youtube.com/watch?v=e23xOBwiLr0">interview</a> with Rachel Maddow on MSNBC. She's singularly intelligent and thoughtful and earnest, and it was clear that Obama knew that and spoke to her intelligence, saying more than candidates usually say in interviews, I thought. 
			- And the things he said were true, they weren't pandering. About deficits, he said the terrible thing about the Bush deficit is that we're not getting anything in return. No new industries, no updated roads, it hasn't been used to retrain the workforce for the 21st century, or convert our gasoline-based economy, or pay for health care.
			- There's no doubt we're going to be running a big deficit during the next four years, either way, but it's good to know that if Obama is elected, the money we borrow will be spent to upgrade the US economy and workforce. He's focused on the right things for the coming years. Whether it will work or not is another thing, but with Obama at least we have a chance.
			- During the Bush years the American traveler in Europe would hear that they don't understand why we elected and then re-elected Bush. I think it's because very few Europeans when they visit the US, go to the countryside of say Missouri or Ohio or Pennsylvania or rural Florida. The people who live here, as you now know, often choose our Presidents. To these people, we in the American cities seem foreign and its easy for Republican politicians to get them to blame us for their difficulties. I think this has happened in Europe too, btw. It's not a new thing or an American thing. 
			- That's also why Obama, if he's elected, deserves a chance to try to heal the wounds between these two Americas. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/31/nixon.jpg" width="110" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named nixon.jpg">Of course we're seeing more and more how interdependent our economies and societies are. The biggest problems facing each country actually face all countries equally. And like it or not, the American economy is still very important to the rest of the world. This is the saving grace for our country, and it's why it's in everyone's interest, I think, to see us get back on track. One way or another, that must happen.
			- Going back to the Nixon soliloquy -- when the people in rural America see Obama, they see who scares them, they see the future that one way or another, is coming. In that way Obama is like Nixon; when they look at him they see who they really are. When they look at McCain they see who they want to be. In urban America, it's exactly the opposite. We look at Obama and see who we want to be and look at McCain and worry that's who we really are.
			- Today's piece <a href="http://www.huffingtonpost.com/dave-winer/oliver-stones-obama_b_139607.html">cross-posted</a> at Huffington.
		- The 2008 moment
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/0mBi7d6e5KI&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/0mBi7d6e5KI&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="283" height="229"></embed></object>
			- It would be the funniest moment of the 2008 campaign if it weren't the saddest.
		- Apple's web
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/31/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">Yesterday I read that <a href="http://blogs.zdnet.com/hardware/?p=2901">Apple rejected</a> the Opera browser for the iPhone. This is so wrong in so many ways. I think this is the end for me and my iPhone. I've been using it only as a phone since July when I got the Eee PC 901. When I need to bring a computer with me somewhere that's what I bring. The iPhone as a computer has become too unreliable, too many components just don't work, and the biggest bug in the whole thing is the company that makes it. 
			- Apple keeps doing this, trying to take ownership of things they didn't invent. It doesn't work, they don't end up owning it, they just keep their users from getting the benefits of Apple having competition. It happened before when they <a href="http://www.scripting.com/stories/2008/09/23/iDontUseMyIphoneAsACompute.html#p4">rejected</a> the iPhone podcatcher that worked the way podcatchers were always supposed to work, and now they want exclusivity on the web on iPhones. 
			- The web was designed as an open system. That means the user has a choice of software he or she wants to use to browse the web. Even when it was at its peak of monopolism, Microsoft never went so far as to prohibit the installation of the competitive browser on Windows, they just bundled one with the OS.
			- Whatever. I'll vote with my dollars. I'm in the market for a new cell phone. I liked my old Blackberry. I want one with a camera. Voicemail that works. Not made by Apple.
	- October 30
		- Back to work on EC2
			- I have a couple of hours this afternoon to push forward with Amazon EC2. I'm going to go ahead and commit to one EC2 instance to run the apps that are associated with various projects at Scripting News.
			- I've reserved an Elastic IP address, which is just a fancy name for an IP address. ";->"
			- The first app I ported is one of the easiest.
			- http://age.scripting.com/ 
			- Heh.
	- October 29
		- Barack Obama's infomercial
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/GtREqAmLsoA&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/GtREqAmLsoA&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="283" height="229"></embed></object>
		- Today's song is by Willie Nelson
			- <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" id="BlipEmbedPlayer" height="150" width="100%" codebase="http://fpdownload.macromedia.com/get/flashplayer/current/swflash.cab"><param name="movie" value="http://blip.fm/_/swf/BlipEmbedPlayer.swf" /><param name="quality" value="high" /><param name="allowScriptAccess" value="always" /><param name="wmode" value="transparent" /><param name="FlashVars" value="blipId=988933" /><embed src="http://blip.fm/_/swf/BlipEmbedPlayer.swf" quality="high"height="150" width="100%" name="BlipEmbedPlayer" align="middle"play="true"loop="false"quality="high"allowScriptAccess="always"type="application/x-shockwave-flash"pluginspage="http://www.adobe.com/go/getflashplayer"wmode="transparent"flashVars="blipId=988933"></embed></object>
	- October 28
		- John McCain vs Barack Obama dance-off
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/LVvmrum3cUA&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/LVvmrum3cUA&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- I voted for Obama!
			- <a href="http://www.flickr.com/photos/scriptingnews/2982569780/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/28/vote.jpg" width="250" height="333" border="0" alt="A picture named vote.jpg"></a>
			- I don't imagine this is much of a surprise? ";->"
		- Early voting in California
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/28/balance.jpg" width="150" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named balance.jpg">My task for the morning is to vote!
			- It's kind of hard to find the instructions on the web, so I hope to provide a trail others can follow through Google.
			- Here's a list of <a href="http://www.sos.ca.gov/elections/elections_d.htm">county elections offices</a> in California. I'm in the very first <a href="http://www.acgov.org/rov/index.htm">county</a> on the list, Alameda and the guy you gotta find is Dave Macdonald the registrar of voters. Right there on the calendar on the front page is today's event, <a href="http://www.acgov.org/calendar_app/DisplayDetailServlet?site=Internet&ag=ROV&ty=ELE&m=9&d=28&y=2008&t=E&i=2008-10-22%2012:26:41.71">Early Voting</a>.
			- I need to go to the same place I did jury duty earlier this year, <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=1225+Fallon+St,+Oakland+CA&sll=37.891976,-122.275162&sspn=0.010126,0.014162&g=847+Mendocino+Ave,+Berkeley,+CA+94707&ie=UTF8&ll=37.801765,-122.262104&spn=0.010139,0.014162&t=h&z=16&iwloc=addr">1225 Fallon St</a>. Easy to get to <a href="http://maps.google.com/maps?f=d&saddr=Shattuck+Ave+and+Center+St,+Berkeley,+California&daddr=1225+Fallon+St,+Oakland+CA&hl=en&geocode=&mra=ls&dirflg=r&date=10%2F28%2F08&time=10:33am&ttype=dep&noexp=0&noal=0&sort=&sll=37.833735,-122.267792&sspn=0.081075,0.113297&ie=UTF8&ll=37.833921,-122.265472&spn=0.081075,0.113297&z=13&start=0">via BART</a>, just get out at the Lake Merritt station. 
			- I'm going to walk to the station, bringing an iPod, some podcasts, a bottle of water and an energy bar. As a reward I'm going to treat myself to lunch at Oakland City Center before heading home on the BART. So I get my daily exercise, do my civic duty (like paying taxes an act of patriotism imho, <a href="http://www.scripting.com/stories/2008/10/08/countryFirst.html#p3">Gov Palin</a>) and have a tasty lunch as a reward. ";->"
	- October 27
		- goodvote.org
			- We needed an easy-to-remember address for people whose vote is being challenged. Here's what we came up with.
			- http://goodvote.org/ 
			- If you believe the will of the voters should be reflected in the result of the 2008 election, please pass on the address. It's totally non-commercial, with a single purpose, to help assure a fair election.
			- PS: <a href="http://google.com/search?q=good+vote">28 million hits</a> for "good vote" -- <a href="http://goodvote.org/">goodvote.org</a> is not on the first page -- <i>yet!</i> ";->"
		- Microsoft's cloud strategy?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/27/doh.gif" width="115" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named doh.gif">No one seems to hit the sweet spot, the no-brainer cloud platform that could take our software as-is, and just run it -- and run by a company that stands a chance of surviving the coming recession (which everyone really thinks may be a depression). 
			- Of all the offerings Amazon comes the closest. With a number of turns of the key you get a Unix or Windows platform in the sky. I wish the number of turns was 1, but it seems to be more like 10 or 20. But it's still pretty good.
			- There are a number of <a href="http://en.wikipedia.org/wiki/Virtual_private_server">VPS</a> companies, but... none of them are really big enough to make a convincing case they won't go the way of Exodus or Conxion, two colo companies I bet on in the past whose pain became my pain when their businesses got in trouble.
			- I was hoping Microsoft would hit the home run, but it seems not. Why wouldn't the Windows company just offer Windows in the cloud -- nothing more and nothing less? The marketing people seem to have figured it out, they call the new offering <a href="http://www.microsoft.com/azure/windowsazure.mspx">Windows Azure</a>, but what does it have to do with Windows other than sharing a brand? I don't know. 
			- Wouldn't it have been great if they bought VMWare, or another virtualization vendor, and used their deep financial pockets to create server farms all around the globe that just ran the operating system they made famous?
			- Looks like I'm going to bet on Amazon. 
			- <a href="http://www.youtube.com/watch?v=XR0DKTPtMkA">As Rachel Maddow says</a> -- talk me down! ";->"
		- I can't watch this election unravel
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/v-ZXBYATxDA&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/v-ZXBYATxDA&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- <i>"I can't watch this election unravel over corruption, not this time."</i>
		- Early vote New Mexico
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/7jqnfrSgbvg&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/7jqnfrSgbvg&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- CNN on voter suppression
			- <script src="http://i.cdn.turner.com/cnn/.element/js/2.0/video/evp/module.js?loc=dom&vid=/video/politics/2008/10/25/boudreau.ga.voter.suppression.cnn" type="text/javascript"></script>
		- On this day in...
			- <a href="http://scripting.com/2004/10/27.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/27/bambino.jpg" width="125" height="219" border="0" align="right" hspace="15" vspace="5" alt="A picture named bambino.jpg"></a>Part of my daily routine used to be going back through the archive of Scripting News to see what happened on this day in <i>fill in the year.</i> But when the number of years passed ten for some reason I stopped doing it. 
			- I thought it would be interesting to see what happened on this day four and eight years ago, to see where we were in the elections of those years.
			- http://scripting.com/2004/10/27.html 
			- http://scripting.com/2000/10/27.html 
			- Nothing really earth shaking happening election-wise in either year, but the Red Sox had just won the World Series four years ago, snapping a losing streak that had been going for 86 years. They called it <a href="http://en.wikipedia.org/wiki/Curse_of_the_Bambino">The Curse of the Bambino</a>. That's why there's a picture of Babe Ruth on the 2004 entry, with a big R.I.P. on it.
		- You have the right to vote
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/lXfLTOserc8&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/lXfLTOserc8&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
	- October 26
		- Checking out VPSes
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/26/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif">I've been waiting for Amazon or some other large tech company to provide stability for hosting services. So I tried out EC2 this week, and I more or less understand what it does and how it works, and I'm confident that if I decided to go that way, I could make my public web presence work in their environment. But I'm not sure if I should do it. 
			- If it were anyone but Amazon I wouldn't go for it. Buying a service like this isn't like buying a laptop or groceries. You're wholly dependent on the company you're contracting with. If they go out of business at the wrong time it could cost you a lot. Or how they deal with outages could matter a lot. I had an ISP flake out on me in 2000 in the middle of a big onsite meeting followed by a user conference. <img src="http://images.scripting.com/archiveScriptingCom/2008/10/26/lovelyBottleOfKetchupTilted.gif" width="55" height="141" border="0" align="left" hspace="15" vspace="15" alt="A picture named lovelyBottleOfKetchupTilted.gif">We lost a few months of forward motion, at least, in the week that our Internet access and hosting (all in the same basket) was down. A couple of years later, Exodus went out of business, and that's where we moved to after the Y2K outage. I always seek reliability and stability, but given the state of the economy you gotta wonder if any of these service providers are going to be around much longer. 
			- If a company like Amazon did VPSes, Virtual Private Servers, I'd go for that right away. It's much more like what I'm using now, two co-located servers, but I hadn't been watching the prices, they're much much cheaper. I'm wasting a fair amount of money going the colo route. But I don't know any of the companies. This is where I could use some help from readers of this blog. If you use a VPS, which one, is there a consensus, one that's considered a no-brainer, that some larger entities depend on? No one wants to be the largest customer of an ISP.
			- PS: I need Windows VPS, not Linux. ";->"
	- October 25
		- Windows on Amazon, Day 3
			- I might be <s>Now I'm</s> getting somewhere.
			- I mostly paused yesterday, read docs, thought, tried to understand how the various pieces fit together, and I think I've got some of the basics down.
			- 1. You don't do a lot of customization of your AMIs, you might tweak up some of the settings for the OS, but don't install too much software in there, because all changes have to be bundled and saved and that's a slow process, and you don't want to do that too often.
			- 2. The work is done in Amazon EBS Volumes. Install your software there, it can be attached to any instance. They're analogous to a hard disk drive in cloud space.
			- 3. Now I'm wondering about costs. I've got the minimal system. It costs 12.5 cents per hour. That means in a 31 day month it will cost: $93 and that's without any storage costs. I'm having trouble estimating how much storage this instance will use. I have a bundle saved in my S3 space, and it's huge. Obviously I'm paying for that. I'll pay something for at least one IP address. Another question for oldbies -- how much should I expect to pay on a monthly basis for the most modest possible server?
			- 4. All the docs say you can't depend on an instance staying up, but how does it relaunch if it goes down? I can't believe that's done manually. How can you build a reliable web service if it goes down unpredictably? (Not that my servers currently don't crash from time time, they do.)
			- 5. I'm guessing you need to access the SOAP interfaces from inside your running instance. I'm going to have to find a concise overview of the interface. I find WSDL to be really hard to parse, would much prefer the equiv of Unix man pages. Have to go looking for that.
			- 6. Wondering if all this is worth it. It must be, it seems, cause so many developers are deploying systems in EC2. How will it compare to what Microsoft announces next week? That'll be interesting to see. I can't get away to go to their conference in LA, but I'll be watching the news as closely as I can.
		- Do you know what to do?
			- When you go to vote...
			- Do you know what to do if someone tells you you're not on the list?
			- 1. Don't just walk away.
			- 2. Only as a last resort should you accept a provisional ballot 
			- 3. Call 866- OUR-VOTE or go to <a href="http://www.866ourvote.org/">866OURVOTE.org</a> to get information on where to vote and the facts on your right to vote. A trained team of advisors is available to help you resolve your problem. 
			- Over 10,000 lawyers are dispatched to the polling places on Election Day.
			- That's all you need to know.
		- Is Twitter the next Netscape?
			- <a href="http://video.google.com/videoplay?docid=8039477657790445932"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/25/ridinghood.gif" width="150" height="219" border="0" align="right" hspace="15" vspace="5" alt="A picture named ridinghood.gif"></a>Fred Wilson in his <a href="http://blog.wired.com/business/2008/10/twitter-to-get.html">famous answer</a> compared Twitter to Google when it was a pre-revenue startup. A nice problem to have, for sure, but what if Twitter is more like Netscape than Google?
			- I was a web developer when Microsoft passed Netscape. They did it in a classic style, perfectly executed to take advantage of every door Netscape left open. 
			- 1. Netscape had left their Mac browser to languish while they focused on Windows. Microsoft, realizing that most web developers used Macs, produced an excellent Mac browser first, and worked closely with Mac developers to make sure their browser worked with the Mac software web developers used. 
			- 2. Netscape let anyone download their browser for free, but charged corporate users for the software. Microsoft's browser was totally free for everyone.
			- 3. Microsoft fixed bugs, enhanced performance, listened to market and responded, did all the things a mature company that remembered its entrepreneurial roots could do. Netscape, being a disorganized, chaotic Valley wunderkind, did none of this.
			- Now, Netscape could have anticipated that Microsoft was going to do all this, could have kept up the investment on the Mac, made their software fully free, and become the first startup in history to be deeply rooted in everyone else's ego instead of their own. But all that would have been very very hard to pull off. In retrospect, you'd have to say that Netscape tried to own too much, became spread too thin too early. They probably should have narrowed their focus on something very valuable and defensible.
			- I thought of Netscape when I read this <a href="http://dev.twitter.com/2008/10/we-got-data.html">well-intentioned post</a> by Alex Payne, who is single-handedly grappling with the most vexing of strategic problems on behalf of Twitter, without a clear model of the landscape of the market that's ahead of them.
			- The problem is this, how much of the flow of Twitter should they let outside their cloud and under what terms. You can see the promise to grapple with this in the last section of his piece, <i>The Proverbial "Firehose."</i> 
			- So many things to say about this, but for now -- this reminds me of IBM's attempt to put the genie back in the bottle in the transition from PC-DOS to OS/2 in the late 80s. They wanted to shut down the clonemakers, Compaq, Dell, HP, etc, without losing their base of software. This opened the door for Microsoft to welcome all the clonemakers to their platform, Windows, and now OS/2 is only of historical note. 
			- When one of the big guys competes with Twitter, they will do everything Twitter does, compatibly, and they will also offer a firehose without restrictions, licenses or approval. Twitter will have to follow suit, but then it will be too late, they will be following in the market they created. 
			- Much better to get out ahead of it, narrow the focus, welcome the competitors, and reserve for itself the position of the naming authority. It will be impossible to unseat them from this position if they play it right. They can of course continue to operate twitter.com, and with a fully open firehose a bigger competitor might not even find a way into their market. Either way, Twitter must find a defensible posture, they've definitely staked out too much territory, they're spread too thin.
	- October 24
		- John McCain in October 2000
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/X2JPbQOHEkY&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/X2JPbQOHEkY&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- Full text in RSS?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/24/love.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif"><a href="http://www.guardian.co.uk/help/insideguardian/2008/oct/22/full-fat-rss-feed-upgrade">Guardian</a>: "Our feeds now contain the full content of each article so that you can take guardian.co.uk with you wherever you prefer to get your news."
			- First, I'm not aware of any other publication of the Guardian's size and stature that has gone this way, and I know some people will be excited about it and welcome it. 
			- However I don't think full text makes sense in all circumstances. 
			- I prefer the <a href="http://www.reallysimplesyndication.com/riverOfNews">River of News</a> approach, as exemplified by <a href="http://nytimesriver.com/">nytimesriver.com</a> and <a href="http://bbcriver.com/">bbcriver.com</a>, and full text feeds wouldn't work very well there. If you want to skim the news quickly, from a large number of sources, the style favored by the Times and the BBC works better. I wouldn't want to see all news sources feel pressure to go the same way as the Guardian.
			- I think giving readers choice is the best way to go.
			- BTW the Scripting News <a href="http://scripting.com/rss.xml">feed</a> has always been full text.
		- Windows on Amazon, Day 2
			- Yesterday's initial <a href="http://www.scripting.com/stories/2008/10/23/windowsOnAmazon.html">exploration</a> of EC2 was a success. I have a server running in Amazon's cloud. It was up overnight. Still there the next day, exactly as I left it.
			- I was able to get Firefox installed and run a few performance tests of the net connection. Nothing that would blow you away, but enough for a modest server. There must be a way to up the bandwidth, but that's not a concern right now.
			- The next thing to learn how to do is: 1. Save my work so in case the server crashes I can restart it, and... 2. Reserve an IP address for the server, so I can map a domain name to it, and so that others can talk to the server over the Internet as you would any server. Eventually I will run scripting.com in the Amazon cloud, at least that's the plan right now.
			- As before, I'm just going to narrate my work here, and ask any questions I have here, and if they get resolved, provide the answers.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/24/ken.jpg" width="103" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named ken.jpg">First question is whether the AMI that I create from my instance is private. I haven't entered any passwords into the Firefox install, so I'm not really risking anything. I guess I'm wondering whether I should install my server software in the AMI or in a disk image that gets mounted by the instance when its launched. My guess is the latter. Though I really would like to create a public AMI that has my server software built into it. This is one of the things I find really exciting, that I can create turnkey servers that other people can operate on their own, without me having to nurse the servers. 
			- I put together a <a href="http://howto.opml.org/dave/scripting/ec2.html#bundlingAnInstanceIntoAnAmi">cheat sheet</a> that summarizes the steps to creating an AMI from an instance.
			- I'm now bundling an AMI from my instance. I feel like I'm beginning to master the jargon! ";->"
			- Also bundling seems to be <i>really</i> slow. It's been stuck at 3% for about five minutes now.
	- October 23
		- Next frontier: Voting
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/23/think.gif" width="125" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named think.gif">With our guy way up in the polls, and less than two weeks to go, it's starting to feel pretty real right about now. Most Americans seem to understand how important this election is. 
			- As usual there's 40 percent who are sure to vote one way and 40 percent who are sure to vote the other, and the decision will be made by the 20 percent who could go either way. 
			- Me, I'm in the 20 percent. Sometimes I vote Republican, sometimes Democratic. About half the time I vote for the winner and half the time I vote for the loser. I'm no Missouri or Ohio, I'm far from a bellweather, more like a coin flip. So if you support Obama, don't take any comfort in the fact that I do too.
			- Now the campaigns start to focus on making sure their supporters actually go to the polls. If they do, it seems our guy is a shoe-in. But there's a nagging doubt in everyone who's voting for Obama, remembering the Gore-Bush election and Florida, where thousands of votes were "supressed" which is a fancy word for "thrown in the trash." 
			- Sad fact: If the Republicans hadn't been so good at throwing out Democratic votes, Gore would have won Florida and would have won the election. 
			- In 2000 our democracy walked up to the abyss and barely came back. <i>I can't watch this election unravel over corruption, not this time.</i> And not while there's still time to do something about it.
			- I'm just beginning to understand what's being done to prevent voter suppression. Apparently there's a huge effort here in California to organize lawyers to make them available to people across the country. If you've been asked to accept a provisional ballot (someone is challenging your right to vote), these people will help. I barely understand what's being done. But I'm going to find out what we can do if we feel we are being disenfranchised. 
			- Salon: <a href="http://www.salon.com/news/feature/2008/10/22/voter_supression_guide/index.html?source=newsletter">Where the GOP could get dirty</a>.
			- I will have a hard time accepting McCain as President, should he win. But if he does, there must not be the slightest chance that the election was won fraudulently. That would not put us in a very good place here in the US and around the world. 
			- The Hill: <a href="http://thehill.com/leading-the-news/police-prepare-for-unrest-2008-10-21.html">Police prepare for unrest</a>.
		- Windows on Amazon
			- This is my next drop-everything project.
			- http://aws.amazon.com/windows/ 
			- I'll be running software there soon, Murphy-willing. ";->"
			- <a href="http://blogs.zdnet.com/microsoft/?p=1659">Mary Jo says</a> Amazon is releasing this stuff today in anticipation of something similar from Microsoft next week. 
			- I just took a look at the <a href="http://docs.amazonwebservices.com/AWSEC2/latest/GettingStartedGuide/">docs</a> for setting up Windows in EC2 and geez, it's got a lot of weird hoops to jump through. I don't see why getting started has to be any more complicated than setting up a new Windows machine, which believe me, I have plenty of experience with. Then if I want to do more fancy stuff later, I can learn how to do it later. It seems like all the arcane stuff has to be addressed up front. 
			- Command-line tools? Really? Oh please help. I haven't used a command line since I left MS-DOS in the early 90s. 
			- Maybe <a href="http://ec2-downloads.s3.amazonaws.com/elasticfox-owners-manual.pdf">Elasticfox</a> circumvents all the command line stuff? I'll give it a look.
			- I've had mucho success getting Elasticfox set up. Not really sure what it's doing, but it sounds like it's doing the same thing as the command line tools but with a browser-based GUI which is what I'm kind of used to (I use the S3 Organizer Firefox tool to do interactive management of my S3 storage). Elasticfox is similar in approach to that. 
			- Feedback to anyone at Amazon who's listening -- your docs tell you too much if all you want to do is get started. You should get the user to a Remote Desktop Connection window of a functioning server asap. I'm working through the Elasticfox docs, and they're telling me so much more than I need to know (even though this time I understand it cause it's in terms that I understand). Also I think you should steer people to this tool up front, not make it a maze they have to climb around to figure out what to use. This could be a lot easier.
			- <i><font color="green">At 11:54AM -- I've got my Windows instance running in Remote Desktop from a Mac. That was really cool. Elasticfox gets you all the way there. Very nice!</font></i>
			- First thing to do -- install Firefox. Looking around, I've got 160GB to play with. Should be plenty. Two drives, C and D. C has 10GB and D has 150GB. Install Firefox on C.
			- Next I want to do a speed test, to see how fast the Internet connection is. That requires that I install Flash. When I try to download it I get a <a href="http://images.scripting.com/archiveScriptingCom/2008/10/23/flashinstallerror.gif">security error</a>. I didn't know Firefox had anything like that. Not sure how to change that. Later... Turns out Firefox 3 respects security settings of Windows. Instructions are <a href="http://www.firefoxfacts.com/2008/07/23/security-zone-policy-errors-in-firefox-3/">here</a>.
			- Okay so I'm running the speed test now. It says my server is in Seattle. Hah. Makes sense. 
			- <a href="http://www.speedtest.net"><img src="http://www.speedtest.net/result/343797561.png"></a>
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/23/speakeasy.gif" width="283" height="48" border="0" alt="A picture named speakeasy.gif">
			- Okay, I'm ready to take a break now. I consider this a success and I think I'll be using this service, probably starting right away.
			- Next thing I have to figure out is if the IP address of this server is persistent. I saw something about that in the EC2 FAQ. I'm sure I'll have a lot of suggestions for them. I'm quite excited about the possibilities of providing turnkey servers for end-users. I don't think there's any problem with this being an end-user service, their docs just need better organization, but there's nothing to say I can't write some new docs. Lots of possibilities here. ";->" ";->" ";->" 
		- New Business Models for News
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/23/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg">There's a "summit" in NYC for <a href="http://newsinnovation.com/">new business models for news</a> today.
			- Through the miracle of the Internet, I can participate too!
			- Here's what I think...
			- Where ever you see a barrier that says that only a professional can do this job, don't just get rid of the rule, proactively break it. Make the pros compete on the same playing field as the amateurs. The time is running short to do this, soon the professional news organizations won't have anything of value to the amateurs nor will there be many pros left to compete.
			- Here are some examples. 
			- 1. Get amateur bloggers through the hurdles necessary to cover political events. Give them credentials that the campaigns recognize. Help amateurs get on the press lists of of the campaigns. (My experience in the 2008 election -- McCain and Obama ignored all requests, Clinton hit me up for money.) 
			- 2. Put an amateur on your op-ed page along with the pros. A regular columnist, not a guest column, so they can build up some sway, and learn how it works. 
			- 3. Take news reports from amateurs and run them through the same editorial process. Then you will have amateurs participating in the editorial process.
			- 4. Open your newsroom! After all your layoffs, you've got plenty of space. Have a budget of 20 local bloggers who have press room passes. This means of course that you have to get to know some of the local bloggers.
			- Each of these steps will create context for interaction, places where assumptions are challenged, where the arguments can happen, so people on both sides can find out what comes next. The whole discussion, as clearly shown by the <a href="http://newsinnovation.com/list-of-attendees/">participant list</a> (they call them attendees, that's another mistake) for the NY conference, has been between people on one side. No wonder they're not figuring it out! ";->" 
			- Now, I'm afraid this advice would have worked a lot better ten years ago, but believe me, I was pushing for the barriers to come down <a href="http://htmlarchive.scripting.com/1998/">ten years ago</a> too.
			- Anyway, hope y'all have a great conference. 
			- PS: There's <a href="http://howto.opml.org/dave/scripting/jarvisconference.html">live video</a>!
	- October 22
		- Why I like netbooks
			- <a href="http://bits.blogs.nytimes.com/2008/10/21/read-my-lips/">John Markoff quotes Steve Jobs</a>. "We don't know how to build a sub-$500 computer that is not a piece of junk."
			- As with all Jobsisms, it's beautifully elegant, true -- and misleading. You have to read it very carefully.
			- He isn't saying no one knows how to build one, just that "we" don't know how to. Fine. And the last part is almost Republican it's so clever and nasty. He's not actually slamming Asus, Dell, HP, Lenovo, Acer and MSI, but if you don't read it carefully you might think he's saying they're pieces of junk. I think he's been studying Sean Hannity. ";->"
			- <a href="http://en.wikipedia.org/wiki/Rose_Mary_Woods"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/22/roseMaryWoods.jpg" width="125" height="118" border="0" align="right" hspace="15" vspace="5" alt="A picture named roseMaryWoods.jpg"></a>Now here's what Dave Winer, Mac user, says: They are not pieces of junk. Quite the opposite, they are elegant Mac-like products, and you can be absolutely sure behind the scenes Steve is throwing tantrums at his engineers day and night extolling their virtues and telling them to hurry up cause their lunch is being eaten. This is the same guy who said people don't want video on their iPods until he had an iPod with video.
			- Jobs then said that the iPhone could be seen as Apple's netbook. Hmmm. Maybe Jobs doesn't understand what's so appealing about netbooks. I suppose it's possible.
			- Look, iPhones are not and never will be netbooks. Just like writing for the NYT is not and never will be blogging (Markoff once said the NYT was his blog). 
			- iPhones are too locked to be netbooks. 
			- OK, I suppose it's time to say what a netbook is...
			- 1. Small size. 
			- 2. Low price. 
			- 3. Battery life of 4+ hours. Battery can be replaced by user. Atom processor seems to be a requirement, those that aren't Atom aren't selling (and are apparently being discontinued).
			- 4. Rugged. 
			- 5. Built-in wifi, 3 USB ports, SD card reader. It seems it must have 802.11n to be taken seriously.
			- 6. Runs my software. 
			- 7. Runs any software I want (no platform vendor to decide what's appropriate). 
			- 8. Competition (users have choice and can switch vendors at any time).
			- As a Mac user I would very much like to see a Mac netbook. Yes, I know if I'm willing to hack, I can get Mac OS to run on one, but I have a hard enough time keeping supported hardware working. 
			- On the other hand, Windows XP/Home is not so bad as long as it doesn't get infected with malware. So far I'm happy.
			- <a href="http://www.amazon.com/gp/product/B001BYD178/ref=noref?ie=UTF8&s=pc"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/22/eee.jpg" width="125" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named eee.jpg"></a>What I am using (the most frequent question potential netbook owners ask): Asus Eee PC 901, <a href="http://www.amazon.com/gp/product/B001BYD178/ref=noref?ie=UTF8&s=pc">purchased</a> in July for $600, now sells for $440. I took it with me to the DNC and it was the only computer i used. Now when I travel, I leave the MacBook Pro at home. Too heavy, too much computer to carry.
			- I've suggested elsewhere that it might be time to have a Netbook conference. I'd be happy to participate as a host, organizer, or speaker. There's an active community of bloggers following netbooks, and it's a happy cooperative place. It feels like the early days of the Apple II or IBM PC. 
			- If Jobs is missing the excitement that would be a shame because it would be nice to have an Apple netbook, and no the iPhone is not a netbook. Not even close.
		- Today the MSI Wind *really* went back
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/22/msi.jpg" width="125" height="92" border="0" align="right" hspace="15" vspace="5" alt="A picture named msi.jpg">I got the <a href="http://www.amazon.com/D-Link-DIR-625-RangeBooster-Wireless-Antennas/dp/B000GG5LUW/ref=reg_hu-wl_item-added">DLink router</a>, and btw, it has a fantastic browser-based <a href="http://images.scripting.com/archiveScriptingCom/2008/10/22/dlinkui.gif">interface</a>, best I've ever used -- anyway -- I carefully restarted all the machines after carefully setting up the router -- and then the moment of truth, boot up the MSI Wind. And the exact same thing happened. It took the router down! I don't know how it's even possible, but I repeated the drill and it did it again, and that was the end for me. I am not a professional hardware debugger, I'm just going to say I got a bad unit. I boxed it up and sent it back to Amazon in Lexington, KY. I still had more unwinding to do, because the Slingbox doesn't like the DLink, so finally now I'm back to my Airport Extreme, the router I forgot I had. It worked so well with everything but you-know-what. <a href="http://www.jkontherun.com/2008/10/one-msi-wind-re.html">Kevin Tofel</a>, who I respect enormously has nothing but praise for the MSI, but I paid my dues now, I'm going to take a deep breath and move on to other work for the rest of the week. Five days of futzing with hardware is enough!
		- Subscribe via Google?
			- I just tripped over a heretofore unknown feature of Google.
			- <a href="http://www.google.com/coop/trust/add?user=014333481899501291628&sig=__EXlT5cP0Ow2MHyWHfMie7PU0m54="><img src="http://www.google.com/coop/images/addourexpertisebadge.gif" class="subscribe-button" border="0" alt="Subscribe"/></a>
			- Theoretically, unless I misunderstand, and I probably do, if you "subscribe" to Scripting News, then you'll be more likely to see results from this site in your Google searches?
			- Oy it seems I have to <a href="http://www.google.com/coop/docs/subscribedlinks/tsv-webfeeds.html#rss">add keywords</a> to my <a href="http://scripting.com/rss.xml">RSS feed</a>. 
			- Google doesn't need keywords. That's the whole point of Google. That's what makes it great, why it works. It can find stuff without keywords.
			- This is 1/2 a great idea (I've been lobbying for something like it for years) but I'm not jumping through all these hoops. 
			- This is wrong in so many ways. 
			- Of course I could still be completely missing the point. ";->"
			- PS: There was no need to invent a new namespace for the feature they added to RSS, it already has a <a href="http://cyber.law.harvard.edu/rss/rss.html#ltcategorygtSubelementOfLtitemgt">category element</a> that does what their new element does. They made the same mistake Apple made with iTunes. If they had looked before they lept they would both be using the same element and their feeds would be interchangeable.
		- What does a recession look like?
			- Yesterday I went to lunch at one of my favorite local lunch places. 12:30PM on a weekday, the place usually is buzzing, but not today. I was the only lunch customer. While I waited another person came in. The place had an awful dead feel to it. I thought to myself: <i>Okay this is what a recession looks like.</i>
		- FriendFeed's new realtime API
			- Yesterday I got an email from Bret Taylor at FriendFeed saying that their new "realtime" API had been deployed publicly, so I quickly took a look, and found that, as with all other elements of their API, it's simple and easy to support. I immediately wrote glue to connect it to the OPML Editor.
			- FriendFeed: <a href="http://code.google.com/p/friendfeed-api/wiki/ApiDocumentation#Real-time_(Beta)">Real-time API (beta)</a>.
			- To understand how it works, consider a hypothetical web app. I live about 1/2 block from a bus that goes to the BART station. Suppose there's a web page that updates when the bus passes a stop about a mile from my house. I'd point my web browser to the page, but it wouldn't refresh right away, but when the bus approached, the page would upload, and flash some kind of message saying "Get out there Dave!"
			- That's how FriendFeed's realtime API works. Ask a question and wait for a response. You might wait a long time, minutes, even hours, and that's a <i>good</i> thing. When the event you asked about happens, you can act on it instantaneously. And instead of making thousands of calls asking "Is it done yet?" you make just one.
			- Now it may sound like a silver bullet, but like all things in computer design, there's a tradeoff. You have to keep a process running waiting for the answer, and over on the FriendFeed side, they have to keep a process running too. But it's probably a good tradeoff. And the performance is stunning. I tested it with my own FriendFeed account and the script running on my machine detects updates the instant they happen; unlike polling apps I have running against Twitter that sometimes take 2 or 3 minutes to detect a change. 
			- I have a project that's been waiting for just this functionality, I hope to get to it after the election. 
			- One more comment -- FriendFeed does a good job with the APIs. When asked, I recommend that other developers just do it the way FriendFeed does. I was able to get something running within a couple of minutes. Once I got that far, I'm pretty well hooked, but only had to put in another hour to complete the project. Considering that the goal of an API is to get developers to hook into your service, this feature, and the performance of the service which is also excellent, is all that it takes to get a chance at uptake. That's why I'll generally put aside other work when there's a new feature in the FriendFeed API. 
	- October 21
		- Evolution
			- <a href="http://www.myconfinedspace.com/?attachment_id=52307"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/21/evolution_DA.jpg" width="400" height="196" border="0" alt="A picture named evolution_DA.jpg"></a>
		- A second look at MSI Wind
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/21/router.jpg" width="87" height="202" border="0" align="right" hspace="15" vspace="5" alt="A picture named router.jpg">Since today is a day of <a href="http://www.scripting.com/stories/2008/10/21/aSecondLookAtW.html">second looks</a>, I've decided to hold on to the <a href="http://justnetbooks.com/shop.php?c=Wind&n=541966&i=B001H0GEW0&x=MSI_Wind_U100_279US_10_Inch_Mini_Laptop_16_GHz_Intel_Atom_1_GB_RAM_160_GB_Hard_Drive_6_Cell_Battery_80211_bgnBT_XP_Home_White">MSI Wind</a> for a few more days. I have 30 days to return it, after all, so no hurry -- I guess.
			- The incompatibility is definitely with the Airport Extreme. After <a href="http://www.scripting.com/stories/2008/10/20/msiWindGoesBack.html">reporting</a> that, I've gotten lots of clues from people here and on Twitter that indicate that there are serious compatibility issues with that router, I've even reported on one before with my <a href="http://www.scripting.com/stories/2007/09/26/nokiaN800ArrivesFinally.html">Nokia N800</a> handheld computer (which I never managed to get working with the Apple router).
			- So, I'm willing to try another 802.11N router, even though I gotta wonder why people who make WLAN adapters don't debug their issues with Apple's (imho very popular <s>and well-designed</s>) router. 
			- I really like DLink USB hubs, do they make good <a href="http://www.amazon.com/D-Link-DIR-625-RangeBooster-Wireless-Antennas/dp/B000GG5LUW/ref=reg_hu-wl_item-added">routers</a> too? 
			- BTW, I did install the new drivers from the <a href="http://global.msi.com.tw/index.php?func=downloaddetail&type=driver&maincat_no=135&prod_no=1474">MSI site</a>. I have the "RT2700E" hardware.
		- A second look at W.
			- Something <a href="http://firstread.msnbc.msn.com/archive/2008/10/20/1571706.aspx">Oliver Stone said</a> about <a href="http://www.google.com/movies/reviews?cid=b1845b66a53959a0&hl=en&oi=moviesr">W.</a> got me thinking.
			- "I really, in my heart, think that this guy's policies are going to be around for a long time. And my grandchildren are going to be talking about this guy Bush like the way they talk about Teddy Roosevelt, the way they talk about Lincoln, the way they talk about Washington. I think he's had monumental impact on the future of this country."
			- Weird. I wonder what he means. I don't think he's right, but he did get me thinking, as I said.
			- Even if W wasn't a great President, he did become President and that's not easy to do as so many can testify. What he had down, what he knew how to do, was how to get elected President. Because: 
			- 1. He has good genes, no matter how dumb you may think he is, he isn't. 
			- 2. He was deeply involved with his father's losing 1992 campaign (not just according to Stone).
			- 3. He loved his father and sought his approval, as all sons do, but didn't feel the love coming back.
			- So he did what he knew how to do, arranged it so he would run for President. After winning, he had no clue how to <i>be</i> President or even what it meant. I bet his father didn't take him into his confidence when he was in office. And while his father wasn't a great campaigner, he did really know to be President, he had been around the office for 20 years before he occupied it, as did many of the people he brought in with him.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/21/bushes.jpg" width="250" height="178" border="0" alt="A picture named bushes.jpg">
			- Another observation, some based on intuition, and other parts based on observation of the 2008 campaign. While Bush II probably couldn't have done it without Karl Rove, it seems equally true that Rove needed Bush to win. But Rove may have found his new protege, who's getting broken in on the campaign trial, Sarah Palin, as Bush II was broken in by his father. That's the nightmare waiting for us should Obama win, which of course is nothing compared to the nightmare that awaits us if he loses. ";->"
		- If the Republicans lose
			- Upfront caveat: I'm not willing to say "When the Republicans lose" but I am hoping I get to say "When the Republicans lost."
			- So if the Republicans lose on November 4, they will have to make a much more serious transition than they think they'll have to. 
			- They've been winning elections by saying nonsense things to the electorate, things that are precisely true, even though they know damned well that when the people hear them on TV or via email or word of mouth, they're hearing something different from the precisely true things they say. And lately they haven't even been worrying about the line between true and false. They say things like Palin was exonerated in Troopergate, when the exact opposite is true, she was indicted. 
			- Now the "elite" -- people who know how to read and bother to, know this is what's going on. The Repubs didn't care because they could blow by our opinion of them, and as long as they were winning, what could we do about it?
			- Now it seems the Republicans may actually lose, and if they do, here's the change: If they want to get heard, they're going to have to stick to arguments that are based on what's actually going on.
			- I know -- it's tough. 
	- October 20
		- MSI Wind goes back
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/20/msi.jpg" width="125" height="92" border="0" align="right" hspace="15" vspace="5" alt="A picture named msi.jpg">Apparently the problems I've had this weekend are connected to an incompatibility between the <a href="http://www.scripting.com/stories/2008/10/16/justBoughtAnMsi.html">MSI Wind</a> netbook and my Airport Extreme router. At least there's a correlation, when the Wind is on, the router goes down, quickly, within a minute or two. If I turn off the wifi adapter on the Wind, I can leave it on indefinitely and the router works without a hitch. Or if I turn the Wind off, everything is fine. Or if I return the Wind to Amazon. :-(
			- Another piece of data, my networking problems started at the exact moment that I first turned on the Wind.
			- Conclusion: The Wind goes back to the factory and I travel with the Eee 901, for now at least. It has none of these problems, the Airport Extreme likes it, and it likes the Airport Extreme.
		- Netbook nuisances deja vu
			- With all the troubles I've been having with my Mac network, which thankfully (knock wood, praise Murphy, IANAL, my mother loves me, etc) seems to be cured, I haven't had much time to try out my new MSI Wind that arrived on Friday.
			- My attention is finally there, and now I'm reliving all the problems I had getting started with the Asus Eee PC 901, but unfortunately I don't remember how I worked around all of them. I do remember this -- Windows seems fine, once you get over all these hurdles, but until you do, your soul cries out Why oh why can't I just use a Mac! (Curse you Steve Jobs, give a Mac netbook please!!)
			- The latest one is that even though it's got a good wifi connection, it still keeps trying to connect through the 3G modem which is sitting in my travel bag while I'm working at home. I remember this problem well from the early Eee days, but it doesn't do it anymore. Somehow I must have figured out how to get it to stop doing this, or it stopped on its own. Arrgh.
		- Mac networking help sought
			- <i>Update: The problem appears to have been <a href="http://www.scripting.com/stories/2008/10/20/macNetworkingHelpSought.html#comment-3171940">solved</a>. ";->"</i>
			- I've been trying to track down a problem on my Mac-only network since Friday afternoon, and now have it narrowed down pretty well to one computer, my main desktop, that's got some kind of bug that makes it very slow at copying file to one other system, and vice versa. 
			- Here's a schematic of a piece of the LAN.
			- <a href="http://www.flickr.com/photos/scriptingnews/2959102210/" title="Schematic of my LAN (portion) by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3190/2959102210_1866df0251_m.jpg" width="240" height="155" alt="Schematic of my LAN (portion)" /></a>
			- Even so, copying files to any other computer on the network is just as fast as always. So you'd think it was the fault of the other computer, but evidence indicates otherwise. It can copy files to other computers quite quickly.
			- When I say slow, how slow is that? Well, it's very very slow. About 2MB per minute. 
			- This computer just isn't working very well. I drew up the schematic and scanned it, but it took about 100 times as long as it usually does.
			- If this were a Windows machine I'd think it was infected.
		- Knight News Challenge
			- <a href="http://www.scripting.com/stories/2008/07/22/futuresafeArchivesAgain.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/20/joker.jpg" width="125" height="347" border="0" align="right" hspace="15" vspace="5" alt="A picture named joker.jpg"></a>The <a href="http://www.newschallenge.org/">Knight News Challenge</a> is a program to fund tech innovation in relationship to journalism.  Every year they request proposals for a share of $5 million in grant money, every time around I try to think of something that fits their guidelines, but the third requirement always stumps me. Here's the list:
			- 1. Use or create digital, open-source technology as the code base. 
			- 2. Serve the public interest.
			- 3. Benefit one or more specific geographic communities.
			- 1 and 2 are no problem, I have lots of ideas that fit those criteria, but I almost never have a project that applies to one or more specific geographic communities. The stuff I've worked on, blogging, RSS, podcasting, have all been broadly applied technologies that work in every geographic community. Nothing geographically specific about the stuff I like.
			- Update: As often happens, writing helped clarify my thinking. Yes, there have been projects I've done that were geographically specific. Starting the <a href="http://blogs.law.harvard.edu/bloggroup/">Berkman Thursday</a> group was a way of bootstrapping a blogging community in Cambridge MA, as were the <a href="http://www.bloggercon.org/day2/grid">first</a> <a href="http://www.bloggercon.org/II/schedule">two</a> BloggerCons. If we ever do <a href="http://www.flickr.com/photos/scriptingnews/87587076/">Hypercamp</a> it will also be geographically specific. 
			- Anyway, I offer my help -- if anyone reading this blog is submitting a proposal, maybe there's some way we can team up. I'm going to need some new projects after the election, which is coming up soon! ";->"
			- BTW, the one project that I have on my long-term plate that I think would be a good fit, were it not for #3, is <a href="http://www.scripting.com/stories/2007/12/10/futuresafeArchives.html#p7">Future-safe Archives</a>. It's a project best done in cooperation with a university, and with a bit of funding, the idea could likely be sold to one. I regularly get emails from people at various universities who are interested in creating work on the web that has a chance of lasting beyond their lifetime.
			- Also, I'm curious how the previous Knight projects have been doing. Have any of them gained traction?
	- October 19
		- Campaign Stops Map
			- As an experiment in social computing, and because I'd like to see where the candidates have been and where they're going, I've started a map on Google that's open for anyone to add items to that's meant to show where the candidates are.
			- <a href="http://maps.google.com/maps/ms?ie=UTF8&hl=en&oe=UTF8&msa=0&msid=100417343539122468648.000459a18406f88b483e8&mid=1224452530">Here's a link</a> to the map.
			- <a href="http://maps.google.com/maps/ms?ie=UTF8&hl=en&oe=UTF8&msa=0&msid=100417343539122468648.000459a18406f88b483e8&mid=1224452530"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/19/map.gif" width="300" height="160" border="0" alt="A picture named map.gif"></a>
			- I've entered stops for all four candidates for tomorrow and a few of today's stops. Tomorrow Obama is in Florida, McCain in Missouri, Palin in Colorado and Nevada, and Biden is in Seattle (with no public events).
			- If you know where one of the candidates is going to be, add a note. In the text of the note include a link to the article that says where they will be (or where they were).
			- You can add links to writeups of the events, with pictures and videos if they're available. 
			- Update: Putting the map together helped make this <a href="http://www.politico.com/news/stories/1008/14728.html">story</a> seem more real. \"Barack Obama's stop at <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=523+Grove+St,+Fayetteville,+NC&sll=35.05698,-78.865678&sspn=0.011505,0.017273&layer=c&ie=UTF8&ll=35.05698,-78.865743&spn=0.011505,0.017273&z=16&cbll=35.05347,-78.865868&panoid=n9yeAXfX0LKXV8rT98hjdw&cbp=1,58.71674307271104,,0,-1.5383130224230819">Cape Fear BBQ and Chicken</a> in Fayetteville, N.C., this afternoon underscored the continued resistance of some voters to his candidacy -- and his identity. The trip, according to a pool report, offered 'some powerful and at times ugly interaction.'\"
		- I'm not a liberal
			- I'm also not <i>The Left.</i>
			- I have a mixture of values some which you'd label right, others left, and others don't fall on that spectrum at all. 
			- I don't think the Republicans are particularly conservative.
			- I think it's funny that it's a virtue when they propose cutting taxes but when Democrats do it, they call it socialism.
			- I don't know what Republicans stand for these days. I read Brooks, Kristol, the Weekly Standard, National Review, PowerLine, Hot Air, all are supposedly conservative people, but they don't really stand for anything. They're more like baseball fans. They like the color of the hat, or their parents were fans of the same team, that's why they root for the Republicans.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/19/hat.jpg" width="125" height="104" border="0" align="right" hspace="0" vspace="0" alt="A picture named hat.jpg">Look, I'm a Mets fan because I was a Mets fan when I was a kid. I rooted for the Mets probably because my parents grew up in Brooklyn and Rockaway and therefore rooted for the Dodgers. I like to think I'm a Mets fan because they have better <a href="http://www.google.com/search?q=mets+philosophy+site%3Ascripting.com">philosophy</a>, but I know in my heart that it's really the color of the hat. Only recently did I learn that the Mets colors, orange on blue, were derived from the colors of the two NY teams that moved to California. So I'm a National League baseball fan. For that reason I don't think of the American League as a "real" league. I like orange because it's the Giants color, and blue because it's the Dodgers, and I didn't even know it! ";->"
			- I mention all this baseball stuff because in politics I don't have the feeling of loyalty to a team that many do. I do not always vote for one party or the other. As I've said before, in national elections, I've voted Republican more often than I've voted Democratic. 
			- I also think that when people talk about The Left or The Right or conservative vs liberal, they'r really saying "I cling to the past when trying to understand the future." I also think, sorry to say, that people who do this are idiots who don't deserve a vote (but thankfully I don't get to decide who gets a vote).
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/19/jaws.gif" width="125" height="213" border="0" align="right" hspace="15" vspace="5" alt="A picture named jaws.gif">I also think that, in order to vote, you must prove that you've watched and understood <a href="http://www.sonyclassics.com/whywefight/">Why We Fight</a> and <a href="http://www.sonyclassics.com/fogofwar/">The Fog of War</a>. If you're voting in California, I'd require reading <a href="http://www.amazon.com/Cadillac-Desert-American-Disappearing-Revised/dp/0140178244">Cadillac Desert</a>.
			- Me, I think the Constitution is pretty good. I tend to take a man at his word unless I'm given a reason not to. I have been pretty good with money, but like so many others, I've lost a lot this year. I'd like to think that when I need medical care it won't matter how much money I have. I really do care about other people, even though I'm not a Christian and don't practice any other religion. Sometimes I wonder how people who call themselves Christian can ignore the teachings of their faith when it comes to being generous with others. In this country, so often, it seems Christianity is a very close-minded hard-assed me-first fuck-you culture. 
			- What else? I don't think this is a Christian nation, emphatically, I think it's un-American to think that any religion owns us. I've read both of Obama's books, and I'm glad to see he not only agrees, but can explain why it's so important. I think abortion sucks, and I understand why some people want to outlaw it, but I don't support them. I think most of all we need to become a team, here in the USA, and start pulling together, or else we're really fucked. And I don't think being a team is something you just talk about, it's something you must act on. 
			- I think people who say Obama is liberal haven't bothered to find out anything about him. It's my conservative side that's voting for him. 
			- America's religion is the Constitution. 
			- I love this country. It saved the lives of my parents and grandparents, and without America, I would not be possible. 
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/im-not-a-liberal_b_135967.html">Cross-posted</a> at Huffington.
		- Powell endorses Obama
			- <iframe height="339" width="425" src="http://www.msnbc.msn.com/id/22425001/vp/27265490#27265490" frameborder="0" scrolling="no"></iframe>
	- October 18
		- Maybe the best political ad ever
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/_9WoGfS20l4&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/_9WoGfS20l4&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- Twitter does have track
			- <a href="http://www.techcrunchit.com/2008/10/17/friendfeed-to-add-realtime-apis-next-week/">Steve Gillmor has been saying</a> that Twitter doesn't have track for quite some time, and for some of that time he was correct, but it's been bothering me for a while because I don't think he's correct now. Hopefully I won't look too stupid if I don't understand all the subleties of tracking Twitter topics. 
			- Enough caveats? I hope so.
			- Anyway...
			- Suppose I want to track all conversations about Obama on Twitter?
			- 1. Go to the <a href="http://search.twitter.com/">search page</a>.
			- 2. Enter "Obama" (leave out the quotes).
			- 3. Click on Search.
			- 4. <a href="http://search.twitter.com/search?q=Obama">Wait</a>.
			- 5. A few seconds later it will say <a href="http://images.scripting.com/archiveScriptingCom/2008/10/18/trackresults.gif">something like this</a>: "58 more results since you started searching. Refresh to see them." When you refresh, sure enough there are the 58 results. (Those were the ones that appeared while I was writing this blog post.)
			- Now maybe that's not what Track does, if so I'm stupid. ";->"
		- How will Twitter make money?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/18/blackHelicopter..jpg" width="125" height="62" border="0" align="right" hspace="15" vspace="5" alt="A picture named blackHelicopter..jpg">Imho, asking how Twitter will make money is not a <a href="http://blog.wired.com/business/2008/10/twitter-to-get.html">dumb question</a>. It's not a sporting thing, not idle conversation. I don't think people are saying Twitter <i>won't</i> find a way to make money, rather expecting that how they make money will change the way Twitter works, probably not an improvement.
			- The investors in Twitter, I think, like most tech investors, lack the perspective of a user. Here's the key point, we feel like we're investors too. We're putting our time into developing the service, when people sign up to Twitter because I urge them to, or stay there because I pour my time into it, I wonder where that investment will go when the people who control the service (Fred, Bijan, Ev, Jack, Biz, et al) change it so they can make money. 
			- There's an uneasy feeling that when we see how it works, we aren't going to like it.
			- That's why the question keeps coming up, imho.
			- I have a preference. I'd like to be able to pay Twitter a monthly fee to opt out of however they decide to commercialize it. I think that's the honorable way to transition from a free approach (the current one) to a money-making approach.
		- A very short review of W
			- I went to see the 4:05PM showing of <a href="http://www.google.com/movies/reviews?cid=b1845b66a53959a0&hl=en&oi=moviesr">W</a> at the California Theater on Kitteridge in Berkeley, and well, it was a nice movie, but I never really got into the plot. It could be I know too much about the actual story, like having read the book before seeing the movie. 
			- It is sympathetic to both Bush presidents, who were the main characters. Like the <a href="http://en.wikipedia.org/wiki/Nixon_(film)">other</a> Oliver Stone movie about a President, you're left wondering what would have been different if the son felt loved by his father (with Nixon it was bigger, we were asked to wonder what if <i>anyone</i> had loved him). 
			- <center><img src="http://images.scripting.com/archiveScriptingCom/2008/10/18/bushes.jpg" width="250" height="178" border="0" alt="A picture named bushes.jpg"></center>
			- You can't help but get a big crush on Laura Bush, the Democrat librarian who (according to the movie) really does love Dubya (she calls him Bushie). 
			- The White House fools are like cartoon characters. You'll laugh out loud at the portrayals of Rumsfeld, Rice, Rove, Cheney, but they all came off as weakly played arch enemies of Batman or Superman. Or a SNL parody.
			- I was hoping for a great Oliver Stone movie. <a href="http://movies.nytimes.com/movie/review?res=9802E1DD1639F931A15751C1A96F958260">Any Given Sunday</a> is one of my all-time <a href="http://www.scripting.com/stories/2008/07/26/listeningRespectAndTeamwor.html">favorites</a>, but this one never draws you into anything like a plot, there's zero suspension of disbelief. It was interesting as a spectacle, nothing more.
	- October 16
		- Reverse robo-calling tomorrow
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/16/robophone.jpg" width="125" height="303" border="0" align="right" hspace="15" vspace="5" alt="A picture named robophone.jpg">The Republican Party and the McCain campaign are saying some really awful things about Barack Obama in <a href="http://tpmelectioncentral.talkingpointsmemo.com/2008/10/latest_mccain_robocall_alleges.php">robo-calls</a> in battleground states. It's strange and remarkably honest of them to self-identify, given that everything else they say is a lie. They even provide their phone number.
			- So tomorrow I'm going to call the Republicans and tell them, politely and honestly, how I feel about them bothering people at home with lies about Obama. I'm going to call them at  202-863-8502. This is the exact opposite of what they're doing. I'm a real person, not a robot, and instead of lying I will tell the truth.
			- If you want to help the Republicans straighten their act out you can call them too. I'd wait until their office opens tomorrow, though, all the voicemail boxes seem to be full at this time. ";->"
		- Just bought an MSI
			- Well, I decided it was time to upgrade my netbook act, and I plunked down the money for an <a href="http://justnetbooks.com/shop.php?c=Wind&n=541966&i=B001H0GEW0&x=MSI_Wind_U100_279US_10_Inch_Mini_Laptop_16_GHz_Intel_Atom_1_GB_RAM_160_GB_Hard_Drive_6_Cell_Battery_80211_bgnBT_XP_Home_White">MSI Wind U100-279US</a> at a place called JustNetbooks.com.
			- <a href="http://justnetbooks.com/shop.php?c=Wind&n=541966&i=B001H0GEW0&x=MSI_Wind_U100_279US_10_Inch_Mini_Laptop_16_GHz_Intel_Atom_1_GB_RAM_160_GB_Hard_Drive_6_Cell_Battery_80211_bgnBT_XP_Home_White"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/16/msi.jpg" width="250" height="182" border="0" alt="A picture named msi.jpg"></a>
			- Apparently they do their fulfillment with Amazon, I paid through Amazon, got cheap 1-day shipping (fingers crossed) for $3.99 because I'm an Amazon Prime member. Hopefully it'll be here tomorrow so I can start setting it up before my next road trip.
			- This looks to be an improvement over the Asus, which if all goes well I'll turn into a server.
			- BTW, I had a thought, wouldn't it be great if Apple sold netbooks, even though they aren't making them, at Apple stores? They sell printers made by other companies. When they finally get around to making an Apple-branded netbook they could kick out the other brands. It would be nice to be able to impulse-buy one of these babies locally. 
			- Update: <a href="http://www.jkontherun.com/2008/10/asus-breaks-sub.html">You can buy an Asus at BestBuy for $299</a>.
			- Update: <a href="http://www.scripting.com/stories/2008/10/16/justBoughtAnMsi.html#comment-3103589">Apple contracts out design and manufacturing?</a>
		- FreshAir cracks Sarah Palin
			- <a href="http://www.alaskamagazine.com/index.php?option=com_content&task=view&id=876&Itemid=141"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/16/alaska.jpg" width="125" height="164" border="0" align="right" hspace="15" vspace="5" alt="A picture named alaska.jpg"></a>It's amazing that Sarah Palin, would-be VP to a 72-year-old cancer survivor asks <i>Who Barack Obama Really Is?</i> and yet we know almost nothing about her. More than amazing, isn't it imprudent?
			- Well, they cracked the nut on <a href="http://www.npr.org/templates/story/story.php?storyId=95725546">FreshAir</a>, inviting Michael Carey, a former editor of the Anchorage Daily News to a 40-minute interview. He answered a lot of the outstanding questions about Sarah Palin. Highly recommended.
			- Fresh Air: <a href="http://podcastdownload.npr.org/anon.npr-podcasts/podcast/13/95765553/npr_95765553.mp3">Sarah Palin, A View From Anchorage</a>.
			- It's not too late to ask who this would-be VP is. And if you believe <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/10/16/AR2008101603617.html?hpid=topnews">Obama</a>, and I do, there's no reason to assume she will not be elected on November 4. 
		- Ev is Twitter's new CEO
			- This is a surprise!
			- http://dave.bit.ly/evNewCeo 
			- Not sure exactly what to think.
		- W movie party in Berkeley
			- Let's play hookie tomorrow and see the <a href="http://www.google.com/movies/reviews?cid=b1845b66a53959a0&hl=en&oi=moviesr">W</a> opening at <a href="http://maps.google.com/maps?ie=UTF8&q=California+Theaters,+2113+kittredge,+berkeley+ca&fb=1&cid=8353664170157689620&li=lmd&ll=37.872347,-122.267275&spn=0.042481,0.061798&z=14&iwloc=A">California Theaters</a> on Kittridge at 4:05PM. We can go out and get a bite to eat after. If you'd like to participate sign up on this Upcoming page.
			- http://upcoming.yahoo.com/event/1237753/ 
		- Is this what they meant?
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/10/16/mcc.jpg">Is this what</a> they <a href="http://www.baltimoresun.com/news/nation/politics/bal-swamplink1014,0,1585819.story">meant</a> by <i>Let McCain Be McCain?</i>
		- Tools that build on Netflix API?
			- A few weeks ago <a href="http://blog.netflix.com/2008/09/announcing-netflix-api.html">Netflix announced</a> an API.
			- Following up -- is anyone aware of tools that build on the API? I'm specifically interested in tools that can be used to extract my reviews data into XML so I can use it in other applications.
	- October 15
		- Debate Party at Hillside Club tonight
			- If you're in Berkeley come to the Hillside Club at 5:30PM for the third and final Presidential debate. Suggested contribution $5. Cheeseboard pizza, pay as you go.
			- If you can't be here, join the discussion on IRC.
			- irc://irc.freenode.net/#presidentDebate3 
			- See you at 5:30PM!
		- An idea for Obama
			- <a href="http://www.scripting.com/2006/10.html#When:9:09:46AM"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/15/ohRudyIsntThisAFunPlace.jpg" width="107" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named ohRudyIsntThisAFunPlace.jpg"></a>If he gets to ask McCain a question in tonight's debate, try asking a <i>friendly</i> question, like Schwarzenegger <a href="http://www.scripting.com/2006/10.html#When:9:09:46AM">asked</a> his opponent Phil Angelides in a 2006 gubenatorial debate. "What's been the funniest moment in your campaign?" or "Where were you when you come up with the idea of picking Sarah Palin?" It's all so serious -- what about relaxing a little. 
		- Morning Coffee Notes
			- Haven't done one of these in a while.
			- On Twitter we're talking, to the extent you can converse on Twitter, about where we'll go if McCain wins the Presidency. Last time it came up, a couple of weeks ago I think, I was saying Vancouver -- because it's just up the coast, about a 2-day drive from Berkeley. Easy to get to, and it's got an American-friendly border, at least so far. Maybe if McCain wins they'll start turning us away so many people will want to emigrate. It's one likely response to his idea that they should start taxing health benefits. 
			- <a href="http://en.wikipedia.org/wiki/MSI_Wind_PC"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/15/msi.jpg" width="125" height="105" border="0" align="right" hspace="15" vspace="5" alt="A picture named msi.jpg"></a>Then came suggestions that I emigrate to Spain or Paris. Hmm. Interesting ideas. So I added them to the list. Today Moscow got added (Russia is a capitalist country now), Argentina, and my favorite so far -- Italy! Now that's a brilliant idea. I could move to <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Firenze,+IT&ie=UTF8&z=12&iwloc=addr">Firenze</a>, hang out in the piazza all day eating and drinking, and blogging on my Asus (although I might have an <a href="http://en.wikipedia.org/wiki/MSI_Wind_PC">MSI Wind</a> by then, seriously considering it). Who needs a Twitter Bar when you got a piazza with Italian food! Yum.
			- Okay since this is a MCN piece, I get to ramble.
			- Next topic -- did you see <a href="http://www.pbs.org/wgbh/pages/frontline/choice2008/">Frontline</a> last night? It was an excellent summary of the election so far. It was good to review the events that got Obama and McCain to this point. Most interesting were the segments on McCain's experience as a prisoner of war and the part about Obama at <a href="http://www.law.harvard.edu/index.html">Harvard Law School</a>. McCain had it really hard. I didn't get how hard it was, listening to his speech at the RNC, I don't like listening to his speeches, and these days I have trouble listening to Obama too. You know who I really like -- Hillary! She gave a kickass speech on Sunday in Pennsylvania. We should be hearing more from her, and Joe Biden too. He does tend to ramble, like when he went off-script to say how much he loved HIllary. The first couple of sentences were great, but he went on and on, becoming more incoherent with each paragraph. However when he sticks to the script he's fantastic, even though he says Ladies And Gentlemen so many times you'd think he was Chuck Barris on <a href="http://www.youtube.com/watch?v=ezfWXkEJj_Q&NR=1">The Gong Show</a>.
			- Now the thing that really struck me about the story about Obama at <a href="http://maps.google.com/maps?hl=en&client=firefox-a&ie=UTF8&q=harvard+law+school,+cambridge+ma&fb=1&cid=0,0,16189381963035316353&ll=42.380612,-71.119909&spn=0.041528,0.069094&z=14&iwloc=A">HLS</a> was that it was a time of huge conflict in the early 90s when he was there. I didn't know that. When I was there just ten years later it was totally peaceful, even a bit boring. The other thing they emphasized is something I already understood. Obama is a conservative, not a liberal. By that I mean, he won't do what Carter did when he took office -- Obama moves carefully and slowly and builds consensus. Roosevelt did the same, although that's not how history remembers him. He wouldn't go into WWII until there was a national consensus to do so, even though he knew we would have to, and every day we delayed decreased the chance of victory. Very much unlike the current President who went to war in Iraq without a consensus. This is something McCain struggles with every day, even though he never talks about it in the campaign (he should, even though it'd piss off his base, they can't stand criticisim, but we can't use American leadership that's scared of discourse).
			- <a href="http://tulane.edu/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/15/tulane.jpg" width="125" height="149" border="0" align="right" hspace="15" vspace="5" alt="A picture named tulane.jpg"></a>One more idea. McCain talks about Country First. It's a good idea, I wish he would practice it more. They are responsible for the hatred that shows up at his rallies. The honorable thing would be to stand between the crowd and Obama and tell them to chill or find another candidate to rally around. 
			- Now the idea is this -- why isn't John Kennedy in this election?
			- He was, for a while, when Ted Kennedy and Caroline Kennedy endorsed Obama, they were saying here is a leader like my brother and father, respectively. These days everyone is comparing Obama to FDR, but along with economic chaos, political and military chaos are sure to follow. They all go together. A weakened US is going to be tested internationally, as JFK was in the Cuban Missile Crisis. Every day the world gets more dangerous.
			- It's good that Obama is laying the foundation for leadership when he tells his supporters it's not okay to boo McCain when his name comes up in a speech. But why not invoke JFK in response to the Country First mantra. Remind everyone that there's a Democratic version of that, that goes like this: <i>Ask not what your country can do for you, ask what you can do for your country?</i> Isn't that the response to the 80s and 90s and 00s? Isn't that what the next decade is going to be all about?
	- October 14
		- The house of outlining on Comanche Trail
			- <a href="http://www.amazon.com/Thanks-Ill-Here-Lowell-George/dp/B000002KIP"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/14/thanks.gif" width="125" height="127" border="0" align="right" hspace="15" vspace="5" alt="A picture named thanks.gif"></a>I got my hands on an old <a href="http://en.wikipedia.org/wiki/Thanks,_I%27ll_Eat_It_Here">Lowell George album</a> I haven't heard since 1980 or 1981 when I lived on Comanche Trail in Los Gatos. It was a wonderful time, although I wasn't so sure about it then. I was young, and reaching my peak of creativity. I was hanging out with smart people at Personal Software and some shady people too. It was at this time that we created the expand and collapse display for <a href="http://www.outliners.com/">outliners</a>, and move-by-structure. Outliners for personal computers were being invented at the house on Comanche Trail. With <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=comanche+trail,+los+gatos,+ca&sll=37.15965,-121.975826&sspn=0.011201,0.017273&ie=UTF8&ll=37.1623,-121.985149&spn=0.044803,0.069094&z=14&iwloc=addr">Google Maps</a> I can almost go to the exact house. Maybe at some point they'll send their car down that street and I'll be able to find the house itself. Those were great times! 
			- All of it brought back by listening to an old album! Music is great that way.
			- BTW, the sound system I'm listening to Lowell George on is a billion percent better than the one I listened to then. I also smoked then and did a lot of drugs. I don't do that no mo, although gotta admit sometimes I wish I could. ";->"
			- So far my favorite two songs on the album are <a href="http://www.youtube.com/watch?v=VzIh8Ozqnzo">20 Million Things To Do</a> and <a href="http://www.youtube.com/watch?v=cnNiOQW5bAw">Cheek To Cheek</a>.
		- IRC for the last debate
			- The last debate is tomorrow night at 6PM. 
			- irc://irc.freenode.net/#presidentDebate3 
			- Once again we are having a gathering to watch the debate at the Hillside Club in Berkeley, 5:30PM, suggested contribution $5. 
		- New UI for bit.ly
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/14/blowfish.gif" width="145" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named blowfish.gif">A new user interface for <a href="http://bit.ly/">bit.ly</a> was deployed last night. 
			- Two disclaimers: 1. I am part owner of bit.ly. 2. I participated in the initial design of the product and this redesign. They surprised me by making the new implementation public, so I made my comments public. 
			- 1. Only error messages should be red. Confirmation messages should be green or black. Prefer green.
			- 2. I'm still using the old bookmarklet. It should work the same as it used to. Shorten the url parameter and put it in the Twitter box. This violates Rule #1 -- no breakage.
			- 3. When you ask the user for a new password you must always ask for the password to be confirmed. This is not necessary when you ask the user for a password to another service, e.g. Twitter, because you can confirm (and do) confirm the password with the other service.
			- 4. Why are there two bookmarklets? What's the difference betw the two? The description is very vague and cryptic. Much better just to have one bookmarklet to start.
			- 5. There must be a place to leave a comment. Strongly suggest using Disqus. I want to be able to see the comments other users provide.
			- 6. Since I can post to Twitter from bit.ly, which of course is good, I want the posts to show up in my "Recent" list. I also want an RSS 2.0 feed of all the items I post to Twitter.
			- 7. The new tagline, <i>Shorten and share your long urls,</i> is very good.
			- 8. On the whole I am pleased with the new design. ";->"
		- I need a server strategy
			- First accept as given -- my server must be, at least for now, a Windows machine. Most of the server-side software I depend on is written in either Frontier or the OPML Editor, which are not reliably running, as a server, on any other OS, as far as I'm concerned. I know some people use the Mac versions as servers, but I don't have the time or patience to carefully redeploy everything one step at a time looking for incompatibilities. 
			- I am basically happy with the service provider I use, they're certainly not the cheapest, but they're reliable. But last year they got acquired. And they keep sending me emails saying they're running specials, and the prices keep going down, and that only means one thing to me -- I should be worried. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/14/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">If I were to look at my vulnerabilities, from an online perspective, my guess this is the weakest point. If they were to fail, I'd have a big problem. I'm making sure my backups are good, my backup process was pretty flaky. But it would still be a major dislocation and a huge pain in the ass if I had to switch to a new ISP without the old one on the air and available to copy stuff from. I'm trying to do that as much as possible in advance. 
			- So when Amazon announced that they were going to offer <a href="http://aws.amazon.com/windows/">EC2 with Windows</a> -- I was practically elated. As soon as it's available I will switch to that. I sent an <a href="http://www.scripting.com/stories/2008/10/01/thanksToWernerAndRay.html">email</a> to Ray Ozzie thanking him for this, along with Werner Vogels at Amazon, but Ray responded saying that what Amazon was offering and what Microsoft would offer are two separate things. Now I'm really confused!
			- All I know is that this service is very much needed, at least by this developer, and it can't come too soon. Whoever provides it first is likely to get my business and attention (and they might not want the attention, btw, that seems to be Microsoft's approach). 
			- BTW, one of the reasons I want to <a href="http://www.scripting.com/stories/2008/10/14/iWouldBuyAnAppleNetbook.html#p3">accumulate Asuses</a> is that I feel intuitively they would make good servers running at the house. If neither Amazon or Microsoft's services are usable (it's conceivable they limit Windows in some way), my fallback is to get a T1 line for the house and centralize my entire presence. If the power goes out, or the house burns down, so be it. At least there would be one less thing to fail, to worry about. 
			- But outsourcing the cloud is much more sensible. Let's hope Amazon and/or Microsoft will open their services very very soon, there might be a Depression coming, so stability is something many of us will be looking for.
		- I would buy an Apple netbook
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/14/asus.gif" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif">It's October and I still <a href="http://www.google.com/search?q=site%3Ascripting.com+asus">love</a> my Asus Eee PC 901, <a href="http://flickr.com/photos/scriptingnews/2678143096/in/set-72157606227830081/">purchased</a> in <a href="http://www.scripting.com/stories/2008/07/17/checkingOutTheAsus.html">July</a>. I use it all the time. It turned my 17-inch MacBook Pro into a desktop, podcast downloader and Hillside Club video <a href="http://flickr.com/photos/scriptingnews/2909129037/">projector</a>. When I leave the house, even to cross the country, the only computer I take with me is the Eee.
			- The Great Depression 2.0 has yet to be felt here, except on paper in my brokerage statement, but I sold almost all my stock in January, fearing the meltdown that eventually came, so it's not as bad for me as for others. I didn't get a wacky mortgage, mine is fixed-rate, at a rather high rate for now but I'm too lazy to refinance. My luck has been pretty good, why tempt fate?
			- So I would make an impulse purchase of an Apple product if they had one I wanted, even a little, and don't already have. But today's <a href="http://gizmodo.com/5063232/new-macbooks-get-glass-trackpad-with-new-multitouch-gestures-no-buttons">announcements</a>, <s>if the rumors prove true,</s> just don't do it for me. I'd much rather buy a new Asus or MSI Wind, perhaps one with a built-in EVDO modem and a real hard disk. Maybe a teeeny bit bigger so it could have a slightly more comfortable keyboard. But I wouldn't sacrifice battery life for any of that. That, and the incredible convenience of it, size and weight-wise, is what I value most. I also love the intelligence of the product, its got the perfect arrangement of ports and slots. It's as if it were designed by someone who not only used a netbook, but took the time to <i>understand</i> it.
			- These are the qualities I admire in Apple products, but they haven't been willing so far to make a product that sells in the $400 price range and has the sensibilities of the netbooks. Until they do, it's hard to imagine that I'll buy a new Mac anytime soon.
			- Update: I just watched the video brochure for Apple's new MacBook. It's amazing how they get people to care about the manufacturing process -- even though the product is missing the excitement in today's laptop market. Imagine if Apple had decided to make a MacBook that was priced like an iPod. That's what Asus is doing.
		- Do you know anyone at Biogen?
			- If so, read this <a href="http://dembot.com/post/54498664/open-letter-to-james-c-mullen-ceo-of-biogen">plea from Andrew Baron</a>.
			- His father is dying and desperately needs a drug.
			- Thanks to <a href="http://www.techcrunch.com/2008/10/14/rocketboom-founder-fighting-for-fathers-life-meanwhile-drug-company-committing-pr-suicide/">TC</a> for pushing this.
	- October 13
		- When they criticize P.O.O.T.U.S.
			- I just invented a new acronym: President Obama Of The United States. 
			- Knock wood. ";->"
			- Okay it really <a href="http://www.fivethirtyeight.com/2008/10/another-way-to-look-at-mccains-odds.html">looks</a> like he's going to <a href="http://images.scripting.com/archiveScriptingCom/2008/10/13/map.gif">win</a>, forgive me for saying that, I know it's not a good idea, and I don't really believe it but just in case...
			- I saw this <a href="http://flickr.com/photos/scriptingnews/2937015622/">picture</a> on the wall in a scene in last night's 60 Minutes. Leslie Stahl is <a href="http://www.cbsnews.com/stories/2008/10/09/60minutes/main4511800.shtml">interviewing</a> <a href="http://en.wikipedia.org/wiki/Ray_Odierno">Ray Odierno</a>, the new US commander in Iraq. He was showing off some new technique of hunting down the bad guys with drones, very impressive, except I just watched <a href="http://en.wikipedia.org/wiki/Generation_Kill_(TV_series)">Generation Kill</a> on <a href="http://www.hbo.com/generationkill/">HBO</a> and I can't help but wondering if it's a fraud and a hoax. Anyway. On the wall is this portrait of President Bush superimposed on the American flag with the Statue of Liberty in the background.
			- Whuh?
			- <a href="http://www.flickr.com/photos/scriptingnews/2937015622/sizes/o/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/13/bushPortrait.jpg" width="125" height="143" border="0" alt="A picture named bushPortrait.jpg"></a>
			- That's pretty outrageously out there.
			- So when my guy Barack, POOTUS, is in the White House and the wingnuts are giving him shit about how he seems to be enjoying the trappings of the presidency, I'm going to ask them to have a look at this picture and see if Dubya wasn't just a <i>teeeeeny</i> bit over the top here. ";->"
	- October 12
		- Autumn colors
			- <a href="http://flickr.com/photos/scriptingnews/2935881121/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/12/autumn.jpg" width="250" height="333" border="0" alt="A picture named autumn.jpg"></a>
		- Michelle Malkin, like her party, is out of touch
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/12/thinkusa.gif" width="125" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named thinkusa.gif"><a href="http://michellemalkin.com/2008/10/12/crush-the-obamedia-narrative-look-whos-gripped-by-insane-rage/">Michelle Malkin</a> has some imagery that shows that there are people with evil imaginations about the Republican candidates, and if the threats are credible the Secret Service should prosecute them to the full extent of the law. If Governor Palin or Senator McCain were hurt or killed because we didn't take action now, it would be a national tragedy the country wouldn't recover from for a long time. (But does she <i>really</i> think Madonna is a physical threat to her candidate?)
			- There's a world of difference between a random "out there" nutcase expressing his or her rage graphically on a website and the <i>Republican Party's candidates</i> pushing the anger and hate, and not responding in revulsion when they see it at one of their rallies -- and <i>continue to push it</i> after it's taken root. I was relieved to see <a href="http://www.youtube.com/watch?v=Kf6YKOkfFsE">McCain denounce</a> the hate on Friday, but there were many times when he said nothing, and so far his running mate has not said a word to object when people have threatened Senator Obama at her rallies. That's just crazy. Doesn't she understand that she and her family are equally threatened by this lunacy? They are, for sure.
			- I don't think Malkin is stupid, but I do wonder if she understands how it would wreck our country if harm came to Senator Obama. And how it would reflect on her party if they played a role in promoting the hate behind the attack. I can only assume she hasn't thought it through. Please Ms. Malkin, get off the ledge, come back to reality.
		- Electoral vote calculators
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/10/12/mymap.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/12/mymapsmall.gif" width="125" height="82" border="0" align="right" hspace="15" vspace="5" alt="A picture named mymapsmall.gif"></a><a href="http://www.cnn.com/ELECTION/2008/calculator/index.html">CNN</a>, <a href="http://www.npr.org/news/specials/election2008/2008-election-map.html#/president-nprOvM/">NPR</a> and <a href="http://www.usatoday.com/news/politics/election2008/electoral-vote-tracker.htm">USA Today</a> both have interactive maps that allow you to play what-if with the electoral vote map. I'm sure there are others. But I wish one of them allowed me to embed the map in my blog, and have it automatically update as I edit it. They would take over the web in an instant. 
			- As it is, it's a lot of fun to play prognosticator. <a href="http://images.scripting.com/archiveScriptingCom/2008/10/12/mymap.gif">Here's the map</a> as I think it'll turn out.  I almost painted <a href="http://www.scripting.com/stories/2008/10/12/electoralVoteCalculators.html#comment-3011328">Indiana</a> and West Virginia blue, but then I decided that's too much and went back to red. Let's look back here on November 5 to see how it turned out (assuming the world is still here). 
			- Update: <a href="http://images.dailykos.com/map/scoreboardc.html">Kos has</a> a very nice map that editable and embeddable, but it's too big to be useful here. I have <a href="http://howto.opml.org/dave/scripting/kosEmbed.html">embedded it in a page</a> on the OPML Howto site.
		- Waiting for November 4
			- Are the markets are waiting to find out who wins the election?
			- Will trust return if the voters go... for Obama? Republican?
			- Me, I can't wait for the election to be over. But I'm totally looking forward to the final debate (we're doing another debate party at the <a href="http://maps.google.com/maps?hl=en&client=firefox-a&ie=UTF8&q=hillside+club+2286+cedar,+berkeley+ca&fb=1&cid=0,0,11011531736551513558&ll=37.890028,-122.265129&spn=0.075594,0.125656&z=13&iwloc=A">Hillside Club</a>, Wednesday 5:30PM, $5) and I'm totally looking forward to the <a href="http://www.youtube.com/watch?v=sg7vwicPx98">W movie</a> that opens on October 17 (next Friday).
			- Thinking about a blogger's event for election returns on November 4. A newsroom where 20 bloggers report on the returns in real time, <a href="http://www.flickr.com/photos/scriptingnews/87587076/">Hypercamp</a>-like.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/12/ronaldMcDonald.jpg" width="115" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named ronaldMcDonald.jpg">After November 4, the credit markets will unfreeze, all people who were laid off will be re-hired. The stock market will soar to 20,000. Housing prices resume their march to the sky, home owners once again can borrow against the soaring value of their homes. Massive amounts of oil will be discovered in the middle of the Nevada desert, and scientists at Cal will find a way to convert carbon dioxide into gasoline so we won't even need to tap our newfound reserve. President Obama takes office and announces he's eliminated taxes and retired the national debt, and we all can work three-day weeks. A new drug is discovered that reverses the aging process. Microsoft relents and buys Yahoo at $200 per share.
	- October 10
		- A note about conferences
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/10/hope.jpg" width="150" height="253" border="0" align="right" hspace="15" vspace="5" alt="A picture named hope.jpg">I was recently invited to keynote a prestigious conference in a European city. I agreed to speak but only on the condition that they cover my expenses. I didn't ask to be paid for my time, but after they said no, I realize I should have.
			- Here's why. I didn't have a product to pitch or have a company that could benefit from the PR. If I were in their shoes (and I have been) I would <i>insist</i> on covering expenses, otherwise the talks would just be advertisements. It seems analogous to asking a vendor to write an article in your publication, and somehow expecting that it wouldn't be an advertisement.  
			- That's why most conferences aren't worth going to -- you're being pitched by people with a business model for being there. However if conferences were treated like journals, where you were required to only share your knowledge and not promote your products, they might be more interesting.
			- BTW, this came up once before -- with a conference about syndication in NYC. I agreed to speak but only if they covered expenses. They said no. They thought they were being generous by <i>letting</i> me speak for free! I thought they were being hypocritical, every other speaker there was promoting a product, I didn't have a product to promote. 
			- So I thought -- why not <a href="http://www.reallysimplesyndication.com/2005/05/05#a553">offer my services</a> to promote someone else's product. (When they found out they disinvited me. Ouch!)
			- How the world got this crazy I don't know, but it must be part of the bubble that's <a href="http://www.nytimes.com/2008/10/11/business/11markets.html?_r=1&hp&oref=slogin">bursting</a> now. ";->"
			- Bottom line -- if you're speaking at a conference and they're not at least covering expenses, it's probably all advertising. 
		- Will this election end in a civil war?
			- During the Democratic primary, as the choice narrowed to Obama and Clinton, it was pretty common for people to say that no matter what we'd have a strong nominee and President. There was a lot of confidence that either candidate would win the election over the Republican alternative, and would go on to be a strong leader.
			- As the campaign went on, this feeling faded -- losing became unthinkable on both sides, and the campaign turned ugly -- but there was still something held in reserve, some places we did not go. I can't speak for anyone else as to why we didn't go for broke, but my own opinion is that we felt that after the primary we'd have to work together. And while there was some discussion before the DNC that the party was split, the convention unified the party. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/10/jaws.gif" width="125" height="213" border="0" align="right" hspace="15" vspace="5" alt="A picture named jaws.gif">What about after the general election, now less than a month away? The same logic applies. We'll all be Americans, and we must unite behind the President, no matter how unthinkable that might seem now. But there's a lot of concern, expressed openly, that there will be violence if Obama wins -- that somehow the Republicans will not feel that an African-American, even if he wins the Electoral College, is a legitimate President. If so, this is a prescription for nothing less than civil war. 
			- I know what it feels like to be bewildered by the choice made by our country. I felt we were poised on a precipice of disaster in 2004 when we re-elected President Bush, but I accepted the result. I said at the time that we need to listen to the Americans who voted for him, because they must be trying to say something. Well, I spent four years listening and nothing came back. So we worked and patiently waited as our country continued to fumble and blunder and waste opportunity after opportunity. Now, facing a global economic collapse, and who knows what politically and militarily, our country will have to either unite, or fly apart.
			- I'm going to add my voice, as humble and unpowerful as it is, to the <a href="http://www.baltimoresun.com/news/opinion/oped/bal-op.mccain10oct10,0,7557571.story">growing</a> <a href="http://www.mlive.com/grpress/news/index.ssf/2008/10/former_governor_milliken_backs.html">chorus</a> <a href="http://krugman.blogs.nytimes.com/2008/10/10/not-about-the-financial-crisis/">asking</a> <a href="http://www.time-blog.com/swampland/2008/10/better_to_be.html">the</a> <a href="http://andrewsullivan.theatlantic.com/the_daily_dish/2008/10/the-dangerous-p.html">Republicans</a> <a href="http://online.wsj.com/article/SB122359909175421497.html">to</a> <a href="http://www.politico.com/news/stories/1008/14445.html">take</a> a step back, and think longer term, bigger picture. This is not going to end well if we can't agree that whoever wins this election is our leader for the next four years, at a time when we desperately need leadership. There's an awful spirit to this competition that says when it's over we will not unite, and that would be a disaster. 
			- McCain must give a speech, like the <a href="http://www.youtube.com/watch?v=pWe7wTVbLUU">one</a> given by Obama when racial issues came to the front earlier this year, and say clearly that no matter who wins, we must unite behind the new President. I have no doubt that Obama would echo this. Then during the remaining weeks of the campaign we can rebuild the spirit that America is famous for, and prepare to face the huge challenges that are in front of (all of) us.
			- Update #1: Cross-posted at <a href="http://www.huffingtonpost.com/dave-winer/will-this-election-end-in_b_133717.html">Huffington</a>.
			- Update #2: He's going in the <a href="http://thepage.time.com/2008/10/10/stop-the-presses/">right direction</a>, believe it or not, despite the certainty of some of the commenters here that it would be tantamount to conceding. 
		- Where to go?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/10/us.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named us.gif">I've got the rest of the month reserved for travel, to see the election up front and close up, with camera, laptop, audio, video and EVDO. I'm trying to figure out if I should go, and where.
			- I want to be in a state that both campaigns see as critical, so I can drive from city to city and be in the crowds at rallies and talk to the people there. Not like this <a href="http://bloggerinterrupted.com/2008/10/video-mccain-palin-mob-part-2-womans-child-says-of-barack-you-need-gloves-to-touch-him">guy</a> who baited them (they seemed like partisans, not the monsters he was making them out to be). Just want to know what they think. And not as a campaign worker for Obama, though I have given money to his campaign.
			- Part of the problem is that McCain isn't going to all the places he should be. He just spent two days in Wisconsin. I could park my kiester there, and be pretty sure at some point I'd see surrogates for both campaigns, but I want to go where the stars are going. 
			- Florida may be the best bet. I know the state really well, spent a lot of time there over many years, all parts -- western, northern, east coast and west. 
			- Any thoughts? I'd probably leave a week from tomorrow. Fly to a city, rent a car, and then go to the first campaign event.
			- Also I'm looking for pages on both Republican and Democratic sites that say where the candidates will be in the next 24-48 hours. I know they make the info available to the press, but as usual I can't get either campaign to respond to me as if I were press. 
			- Maybe New Mexico? Not too hard to pick a spot there. And it's close to Colorado.
			- <a href="http://www.flickr.com/photos/scriptingnews/2929092379/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/10/bush.jpg" width="125" height="96" border="0" alt="A picture named bush.jpg"></a>
		- McCain is a coward
			- He says in this interview that no one has accused him of lacking courage. He must not be <a href="http://news.google.com/news?q=mccain coward">listening</a>. 
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/4_7gauInYUo&color1=0xb1b1b1&color2=0xcfcfcf&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/4_7gauInYUo&color1=0xb1b1b1&color2=0xcfcfcf&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- Everything about McCain these days is cowardice.
	- October 9
		- Snoozing to victory?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/09/mccainSupporters.jpg" width="300" height="210" border="0" alt="A picture named mccainSupporters.jpg">
		- Flirting her way to victory?
			- <a href="http://www.guardian.co.uk/commentisfree/cifamerica/2008/oct/03/sarah.palin.debate.feminism"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/09/winkie.jpg" width="250" height="150" border="0" alt="A picture of Sarah Palin flirting with the audience during the VP debate."></a>
			- <a href="http://www.guardian.co.uk/commentisfree/cifamerica/2008/oct/03/sarah.palin.debate.feminism">Guardian</a>: "At least three times, Sarah Palin, the adorable, preposterous vice-presidential candidate, winked at the audience. Had a male candidate with a similar reputation for attractive vapidity made such a brazen attempt to flirt his way into the good graces of the voting public, it would have universally noted, discussed and mocked."
	- October 8
		- Country First
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/08/countryFirst.gif" width="125" height="170" border="0" align="right" hspace="15" vspace="5" alt="A picture named countryFirst.gif">The hypocrisy of the Republicans is so caustic and damaging in so many ways I hardly know where to begin. But the thing that gets me most is this idea that they put "Country First." What a crock. When they attack people who support their opponents, they're attacking half of the country they say they love and supposedly put first. I've had trouble putting my finger on this for years but there it is. Love isn't something you just talk about, it's something you <i>do.</i>
			- Think of it this way, Al Gore got more than 50 percent of the votes in the 2000 election. John Kerry got pretty close to 50 percent. Win or lose, Barack Obama will get 50 percent, more or less. So if you love America, it seems you must love the people who voted for Gore, Kerry and Obama too. Otherwise, please explain specifically what it is that you love cause it ain't America.
			- Another one that ticks me off, as a taxpayer -- the Republicans say that paying taxes isn't an act of patriotism. Well, what is it then? That's a straight question. I've given a lot of money to this country in the form of taxes. I don't resent it, but I do resent people who probably have given less than I have (the Palins) saying it isn't an act of patriotism. I even call it My Patriotic Duty, so I don't feel like it's such a blow when I write those checks to the the U.S. Treasury with all those zeros at the end. It's the price you pay for living in a great country, Ms. Palin. That's something you need to learn about this country and its relationship to its citizens. Esp since you propose to be one of our leaders. 
			- The politics of the Republicans this year has crossed the line, as <a href="http://www.huffingtonpost.com/2008/10/08/biden-palin-must-condemn_n_132939.html">Joe Biden said today</a>, so well. When one of your supporters yells Treason! or Kill Him! in one of your rallies, in response to your words, a response is called for, yet no response came. You need to stop and say "Wait a minute -- Country First asshole." We're not going to get anywhere by killing our opponents, the leaders of half our citizens. That's a civil war, Republicans -- we fought one of those, and it came pretty close to destroying us. It's time to back off the precipice Ms. Palin and Mr. McCain.
			- Further, we're told, often, of John McCain's courage and heroism. I expected McCain, a supposed man of honor, to address the personal integrity issues about Obama in yesterday's debate. He didn't. I visualize McCain as a coward hiding behind the skirts of his running mate, without the guts to say to Obama's face, the terrible things they've been accusing him of when he's not present to defend himself. Either you have the honor to say it to his face, or don't say it behind his back, or don't pretend to have honor and courage, to love your country and to put it first. 
			- Update: Cross-posted at <a href="http://www.huffingtonpost.com/dave-winer/profiles-in-cowardice_b_133160.html">Huffington</a> with a new title.
		- My Fellow Prisoners
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/JYFm5kK4f1k&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/JYFm5kK4f1k&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- As Sarah Palin said so well: "Thanks but no thanks."
		- Had my fill of Nashville
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/08/tennessee.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named tennessee.gif"><a href="http://www.fivethirtyeight.com/2008/10/nashville-debate-liveblog-3.html">FiveThirtyEight</a>: "By the way, a special shout out for an absolutely horrible experience on the campus of Belmont University. I'm not sure I've ever been to a less welcoming place. We hated this campus and the staff here so much that we left to watch the debate at a pizza joint. I don't like to regret things, but it would be hard to overstate how terrible a day this has been, and how crappy every interaction we had in Tennessee was. It was a terrible decision to leave Indiana and come down here. That had to be said for the record."
			- Yup, been there myself.
	- October 7
		- Advice for Chris Messina
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/07/sink1.jpg" width="109" height="92" border="0" align="right" hspace="15" vspace="5" alt="A picture named sink1.jpg">If you're interested in how formats and protocols evolve on the web, you might want to listen to Steve Gillmor's <a href="http://gillmorgang.techcrunch.com/2008/10/06/the-gillmor-gang/">interview</a> of <a href="http://factoryjoe.com/blog/">Chris Messina</a> on yesterday's Gillmor Gang. 
			- I used to do roughly what Chris does, but I got tired of all the <a href="http://www.chicagotribune.com/news/chi-assess-finalmar05,0,6834180.story">kitchen sinks</a> being thrown at me because of my success from people who work at big tech companies. They have all kinds of techniques for thwarting success, but one simple motive, as I've come to understand it.
			- All big tech companies are basically the same inside, they all have too many people so they expend a lot of energy fighting with each other over who has the right to do this or that. There's always someone looking over your shoulder for a sign that you're blowing it, so they can tell someone at a higher level in management about your failure, so they can snatch the project for themselves. 
			- When an independent developer such as Chris or myself is introduced to this mess, it's usually at the behest of someone very high up the structure of the big tech company because we tend to be visible to the outside world, relative to the typical grunt inside the BigCo. Our visibility and our introduction by the TopGuy immediately breeds resentment -- before they even meet you they don't like you, or worse, are committed to your failure. And while there may be penalties for hitting someone inside the corporate hierarchy, there's no penalty for offing the outsider. Inside the company they're playing a big game of musical chairs, but we outsiders can't play -- there's no mechanism whereby we can get a chair.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/07/sink2.jpg" width="127" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named sink2.jpg">But no one lays it out for us this clearly. It takes years of trying to work with the BigCo's to figure out that while the TopGuy smiles and shakes our hand at conferences, and maybe even says kind things about us in a press release, there is zero chance that the people who actually make the decisions, the Ouija board of all the engineers and their managers, will work with us. 
			- I should say <i>almost</i> zero instead of zero. I've had two examples of times when BigTechCos said they were working with me, and really did do the work, and several examples outside the tech industry, in publishing. In one case, with XML-RPC in 1998, it was because a handful of engineers who really were mavericks (unlike John McCain who just throws spitballs from the back of the room) and believed in something, and were respected enough inside Microsoft to cut through the corporate bullshit, but only for a very short period of time (really just two or three weeks). The machine eventually clamped down and turned it into a mess, owned by the W3C and IBM, Sun, and 18,000 other BigCos and BigCo-wannabes. 
			- The other example was RSS, which only worked because the company I was working with, Netscape, evaporated into thin air in the middle of the project! So, if after getting a TopGuy to go for it, somehow you're lucky enough that the company self-destructs, you actually can get something done with a BigCo. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/07/sink3.jpg" width="125" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named sink3.jpg">I recognize from Chris's rap on the GG podcast that he gets something important that most BigCo guys don't. The question, asked by the BigCo guy, isn't why invent another way to do standards, that's what Lakoff calls "framing" -- assuming something in the question that isn't actually what's going on. You don't start out trying to create a standard (and I'd encourage Chris to drop the word from his vocabulary) -- what you want to do is make a product, and allow others to compete with you, so you aren't locking your users in. That's the virtue of the development process Chris and his buddies are advocating. If a standard pops out, it happens later in the process.
			- Chris is an idealist and it's good to have them around, for sure. And it's also good to think of his work as the proving ground for standards work at the IETF and W3C that will come later, but unfortunatley I'm pretty sure they don't see it that way. When it comes time to reinvent OAuth they will probably try to break it. I say try, because if you play it right they won't be able to. 
			- So my advice to Chris is, if it isn't already obvious, don't explain why the BigCos aren't following your lead, shrug your shoulders and let them do the explaining. Eventually if you do your job well, they will follow, they'll have to. They will never follow out of the goodness of their hearts, because (sorry to say) that's not what they do.
			- Update: RSS.com is <a href="http://www.greatdomains.com/auction/auction_detail.php?language=us&auction_id=42674&tracked=&partnerid=">for sale</a>, minimum bid $500K. Oy.
		- Watch-The-Debate-In-Berkeley 2.0
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/07/gecko.jpg" width="114" height="249" border="0" align="right" hspace="15" vspace="5" alt="A picture named gecko.jpg">Let's watch tonight's debate together. Barack Obama and John McCain. 5:30PM at the <a href="http://www.hillsideclub.org/">Hillside Club</a>, <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Hillside+Club,+2286+Cedar+St,+Berkeley+CA&sll=37.878545,-122.265086&sspn=0.027573,0.039096&ie=UTF8&ll=37.878173,-122.265086&spn=0.027573,0.039096&t=p&z=15">2286 Cedar St</a>. 
			- $5 suggested contribution to cover expenses. This is a non-partisan affair, you don't have to support either candidate.
			- Last time we had about 200 people, not sure how many will show up this time. The projection should be better this time. We're probably going to go with CNN, because of their fancy real-time polling tech, but I'll bring the EyeTV receiver with me, in any case. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2199729025/">Raines</a> is arranging for <a href="http://cheeseboardcollective.coop/Pizza%20Collective/PizzaPage.html">Cheesboard</a> pizza, as last time -- but instead of All You Can Eat, this time it's Pay Per Slice. 
			- It was really nice last time to watch the debate with 200 fellow Californians, and people mostly didn't talk over the candidates, which of course is really good. 
			- http://upcoming.yahoo.com/event/1185738/ 
			- If you're in the area hope to see you there tonight. ";->"
		- IRC for tonight's debate
			- The debate starts at 6PM Pacific.
			- irc://irc.freenode.net/#presidentDebate2 
			- Seeya on the IRC! ";->"
	- October 6
		- Keating Economics
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/g72BuIvMbWY&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/g72BuIvMbWY&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- Now you can download the 13-minute movie via BitTorrent.
			- http://www.mininova.org/tor/1882614 
			- Thanks to <a href="http://twitter.com/ravedelay">RaveDelay</a> for providing a complete copy of the movie! It appears to be complete and high-def. ";->"
		- Why is McCain talking about the sixties?
			- <embed src="http://services.brightcove.com/services/viewer/federated_f8/1185304443" bgcolor="#FFFFFF" flashVars="videoId=1747290609&playerId=1185304443&viewerSecureGatewayURL=https://console.brightcove.com/services/amfgateway&servicesURL=http://services.brightcove.com/services&cdnURL=http://admin.brightcove.com&domain=embed&autoStart=false&" base="http://admin.brightcove.com" name="flashObj" width="324" height="274" seamlesstabbing="false" type="application/x-shockwave-flash" swLiveConnect="true" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"></embed>
		- Internet fallout from the crashing market?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/06/divingbell.jpg" width="104" height="373" border="0" align="right" hspace="25" vspace="5" alt="A picture named divingbell.jpg">The stock market continues to crash, down almost 500 points today, below 10K for the first time in four years. I'm taking a bath, but not as bad as some, since I sold all my stocks in January and have been getting back in very very gradually.
			- However, I'm concerned about the health of some of the Internet companies I depend on. It doesn't take many failures for the Internet that we depend on to start going dark. What if for example your domain registrar were to go under, or the company hosting your DNS, or your colo facility? There are a lot of points of failure that in normal times could be easily replaced to keep your web presence up. But it's time to start thinking about how that might work. And who you can trust.
			- I assume we can trust Google and Microsoft to stay on the air? eBay? Amazon? What about TechCrunch? Scripting News? :-(
			- I'm not just starting to think about this, but I haven't wanted to say anything unless I was fairly sure that it was going to become a prolonged thing. It's looking more like that every day. I guess the future is starting and it's got different rules from the recent past.
		- The answer is in
			- To the <a href="http://www.scripting.com/stories/2008/10/05/marketAtBottom.html">question</a> I asked last night about the market being at a bottom..
			- <a href="http://quote.yahoo.com/echarts?s=^DJI#chart1:symbol=^dji;range=3m;indicator=volume;charttype=line;crosshair=on;ohlcvalues=0;logscale=on;source=undefined"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/06/dow.gif" width="350" height="135" border="0" alt="A picture named dow.gif"></a>
			- No.
	- October 5
		- Market at bottom?
			- <a href="http://quote.yahoo.com/echarts?s=^DJI#chart1:symbol=^dji;range=3m;indicator=volume;charttype=line;crosshair=on;ohlcvalues=0;logscale=on;source=undefined"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/05/bottom.gif" width="350" height="134" border="0" alt="A picture named bottom.gif"></a>
			- Guardian: <a href="http://www.guardian.co.uk/business/2008/oct/05/wall.street.bailout">Now Wall Street may shun $700bn bail-out</a>. "Analysts believe that the mere presence of the government as buyer of last resort will be enough to get credit markets moving again, and that a large number of banks would not need to take part for the legislation to succeed."
			- Time to buy?
			- Update: Latest <i>This American Life</i> <a href="http://feeds.thisamericanlife.org/~r/talpodcast/~5/412255775/365.mp3">tutorial</a> on the financial crisis.
		- I'd like to have a word with Republicans
			- If there are any Republicans out there...
			- <a href="http://flickr.com/photos/scriptingnews/2914570247/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/05/lincoln.jpg" width="75" height="98" border="0" align="right" hspace="15" vspace="5" alt="A picture named lincoln.jpg"></a>I know some of you are honorable people, good Americans, taxpayers, people who love your families, pay your taxes, do your best to live by the Golden Rule. People who try to do the right thing, whatever that is. It's to those Republicans that I wish to have a few words.
			- 1. Barack Obama is an honorable person. You may not agree with him, or like where he would take our country, that's your right of course, but he <a href="http://politicalticker.blogs.cnn.com/2008/10/05/fact-check-is-obama-palling-around-with-terrorists/">doesn't</a> "pal around" with <a href="http://www.breitbart.com/article.php?id=D93JSBFO0&show_article=1">terrorists</a>. I think we all know that, right? If you have any doubts, you can skip the rest of this post, and please don't leave any comments. 
			- 2. Your candidate is pretty safe from Democratic counter-attacks because the they don't resort to tactics like that. Note that it would be easy to do so, McCain has lots of <a href="http://www.salon.com/news/feature/1999/10/18/drugs/">skeletons</a> in <a href="http://ap.google.com/article/ALeqM5hby_5Pku5ywmfC_rEtEV5BcYKR5gD93KFH4O0">his</a> <a href="http://www.scripting.com/stories/2008/10/05/idLikeToHaveAWordWithRepub.html#comment-2879790">closet</a>. The <a href="http://articles.latimes.com/2008/jul/11/nation/na-divorce11">press</a> knows about them, people who study this stuff do too. And Obama has the money to make these national issues, but he isn't doing it. 
			- 3. All you need to know about me is that I've voted Republican in Presidential elections more often than I've voted Democratic. I belong to neither party. I only want good choices, I would love to have a choice for President where the toughest part of the decision is which of two excellent candidates do I vote for. Unfortunately I've never had that problem, quite the opposite, it's always been a matter of holding my nose and voting for someone I can't stand, only because I couldn't stand the other guy more. This election is the first time I've ever felt like I was voting for a good man. I've done my homework, read his books, watched him in some very <a href="http://www.youtube.com/watch?v=pWe7wTVbLUU">difficult</a> <a href="http://www.youtube.com/watch?v=FlR9DNfqGD4">sitatuations</a>, observed the kind of campaign he's running and the organization he's building. I would be proud to have him lead my country, I think he would do a good job, for all of us. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/05/bushBushClinton.jpg" width="155" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named bushBushClinton.jpg">4. This crazy stuff about him palling around with terrorists is only serving to <a href="http://www.scripting.com/stories/2008/10/04/tBooneWho.html">burn</a> whatever bridges your party has left with people like me. If it goes far enough I will not only never vote Republican again, but I will swear an oath to do everything I can to put your party out of its misery, for the good of all Americans.
			- 5. I urge you to use whatever influence you have with your party to get them to stick to the economy, the wars, energy, taxes, health care, education, housing, infrastructure, the stuff that is the proper domain of politicians. Deliberately misleading like this is bad politics.
			- 6. Thanks for listening.
			- <a href="http://www.nytimes.com/2008/10/05/opinion/05rich.html?partner=permalink&exprod=permalink"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/05/mcc.gif" width="95" height="127" border="0" alt="A picture named mcc.gif"></a>
	- October 4
		- John McCain's health records must be released
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/lvesa49zSIM&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/lvesa49zSIM&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- T. Boone Who?
			- I've been meaning to write this piece for a while. 
			- First thing you gotta know, T. Boone Pickens is the guy who funded the Swiftboat ads that trashed the reputation of John Kerry during the 2004 election. Kerry is a war veteran, who, according to the frequently stated values of the right wing, deserves our gratitude and respect. The same way John McCain is always reminding us that he was a P.O.W. -- Kerry is that kind of hero. You don't see Democrats running ads attacking McCain's service like the ones Pickens ran, because they're not the low-life scum that he is. For what he did, he deserves our eternal loathing and hatred. A man like that has no honor. There is no trusting such a person. Ever.
			- I felt I had to say something when I saw him on stage at the Big Tent at the DNC in Denver, after seeing him on countless TV ads trying to sell himself as a leader for energy independence for the United States. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/04/roveBush.jpg" width="125" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named roveBush.jpg">I thought to myself now that guy is truly clueless. Doesn't he know that he burned his bridges? That most of the people who care about energy independence are the exact same people who loathe him for the kind of right wing scorched earth zero-honor politics he practices? Hasn't anyone told him that he's wasting his time and money -- that his reputation is shit with all intelligent and honorable Americans?
			- I felt I had an obligation to tell him this, even though I've never met the guy. He should know he's wasting his money. Now I've cleared that one up I can move on with my life.
			- And his plight should serve as a warning to anyone who is thinking of running Swiftboat-like ads this year. Someday you may want to do something serious. Don't burn your bridges. Try to keep a bit of honor in your life, you might want to use it someday.
		- Greatest Hits of the Republican Party
			- <a href="http://www.flickr.com/photos/scriptingnews/2913009984/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/04/nkr.jpg" width="333" height="500" vspace="5" border="0" alt="A picture named nkr.jpg"></a>
			- That's a young Rumsfeld at the left. 
			- And Kissinger has <a href="http://www.cnn.com/2008/POLITICS/09/27/kissinger.iran/?iref=hpmostpop">reared his head</a> in the McCain campaign. 
			- <a href="http://www.nytimes.com/2007/07/14/washington/14rove.html?bl&ex=1184644800&en=3e79a000cf8bc523&ei=5087%0A">Guess who else</a> was lurking in the shadows of the Nixon Presidency? And of course the current Republican standard bearer is completely surrounded by people one step removed from both <a href="http://www.scripting.com/stories/2008/02/08/mccainsBaggage.html">Bush</a> <i>and</i> Nixon. 
			- We also know that <a href="http://www.google.com/search?q=rove+segretti">Rove was an associate</a> of convicted Watergate conspirator Donald Segretti.
			- No wonder so many core ideas of the Nixon era are accepted, unquestioned by the current crop of Republicos.
		- John McCain is channeling Nixon now
			- <a href="http://google.com/search?q=Richard+Nixon"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/04/nixon.jpg" width="125" height="122" border="0" align="right" hspace="15" vspace="5" alt="A picture named nixon.jpg"></a>The Republicans of 2008 tried to sell us Ronald Reagan, but switched to Teddy Roosevelt when Reagan's deregulation became the financial collapse of 2008. Now they seem to be switching again, in yet another reckless attempt to reignite culture wars, trying to sell us the Republican Party of Richard Nixon. 
			- McCain is quoted in today's <a href="http://www.nytimes.com/2008/10/04/us/politics/04ayers.html?_r=1&partner=rssnyt&emc=rss&oref=slogin">NY Times</a>, asking "How can you countenance someone who was engaged in bombings that could have or did kill innocent people?" I had to look twice to be sure who was being quoted and who he was talking about. Yup it was McCain and he was talking about William Ayers, who in the 60s was a member of the Weather Underground. 
			- What McCain isn't telling you, and many Americans are too young to remember, including the Democratic nominee for President, is that there were <i>two</i> sides to the culture war of the 60s. The side he is adopting, the side of Richard Nixon, was that there is a <a href="http://www.youtube.com/watch?v=v3K2N7FZSXc#">Silent Majority</a> that supported the war in Vietnam, and the side represented by the anti-war movement, who, it turns out actually did reflect the opinion of the majority of Americans, that the war in Vietnam was a terrible mistake. If one were to measure the goodness of one side over the other based on how many innocents they killed, there's no doubt that McCain's side killed far more. Orders of magnitude more.
			- <a href="http://www.mininova.org/tor/1875137">In Thursday's debate</a> the Republican candidate said that every Presidency makes mistakes, and it's true of generations too. She said we shouldn't look back to the Bush Administration for their mistakes, so what is the point of McCain digging up the mistakes of Nixon? Or maybe it does deserve looking at, if so, at least Ayers has moved on and done something constructive with his life. McCain, who likely bombed his share of innocents in the 60s, didn't learn, and took us into another senseless war in which we are again killing huge numbers of innocents. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2913009984/"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/04/nk.jpg" width="125" height="188" border="0" align="right" hspace="15" vspace="5" alt="A picture named nk.jpg"></a>If we're going to have this discussion, and re-litigate the outrages of the 60s, let's look at it from <i>both</i> sides. Or perhaps as so many have, we should just move on and deal with the problems of today and learn from the mistakes of the past.
			- Update #1: <a href="http://www.huffingtonpost.com/jane-smiley/william-ayers-and-john-mc_b_131883.html">Jane Smiley</a> writing at Huffpost saw the same irony. "John McCain's defense is that he was performing his patriotic duty, and that's what William Ayers would have said, too." Again, the perennial response to Republicans is that they don't have an exclusive on love of country. I wonder when they'll ever hear that and stop claiming one.
			- Update #2: In my travels I came across this <a href="http://www.youtube.com/watch?v=2qZfN7cdm_M">1972 infomercial</a> for Nixon. You gotta watch it. It'll give you a fresh perspective on how all this Republican michegas got started.
	- October 3
		- October surprise?
			- I just listened to a chilling but fascinating <a href="http://www.npr.org/templates/rundowns/rundown.php?prgId=13&prgDate=10-2-2008">edition</a> of FreshAir.
			- So chilling and thought-provoking it will certainly help you forget Sarah Palin, and might just get you to forget the subprime meltdown crisis depression, etc.
			- http://bit.ly/3AQzbV 
			- The big question -- will an October Surprise, one that gives us four more years of Republican rule in the US be an American attack on Iran, or an American-approved attack by Israel?
			- The subject of the interview, Robert Baer, is absolutely sure that if that happens, the Iranians will shut down the flow of oil to the world from the entire Persian Gulf. 
			- <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=iran&ie=UTF8&ll=26.411551,53.4375&spn=12.82915,17.446289&t=h&z=6"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/03/straits.gif" width="272" height="279" border="0" alt="A picture named straits.gif"></a>
			- That's the Straits of Hormuz, the place all the arrows are pointing at. It's tiny. All the oil from Saudi Arabia, Iran, Iraq, Kuwait, Qatar, etc flows through there. If Iran wants they can shut that down at any time. Attack Iran, they say, and that's the end of oil. Baer says that would start a depression that makes the subprime meltdown look like a day in the park. He calls it a Hail Mary Pass, one that Bush might throw, one last chance to save his legacy and keep the White House in Republican hands. 
			- Have a listen, if you have the time. It's riveting radio.
		- Time Loves a Hero
			- <a href="http://www.amazon.com/Time-Loves-A-Hero/dp/B00123B0G2/ref=pd_bbs_sr_3?ie=UTF8&s=dmusic&qid=1223039278&sr=8-3"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/03/timeLovesAHero.jpg" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named timeLovesAHero.jpg"></a>Random news links to start the day.
			- If you're following the news of the election as it heads into the final stretch, I can't recommend highly enough our NewsJunk headline service. There's so much news. It's an excellent way to keep up. Via: the <a href="http://politics.newsjunk.com/">website</a>, <a href="http://politics.newsjunk.com/rss.xml">RSS</a>, <a href="http://m.politics.newsjunk.com/">mobile</a>, <a href="http://twitter.com/newsjunkies">Twitter</a>, <a href="http://friendfeed.com/newsjunk">FF</a>, <a href="http://identi.ca/newsjunk">identi.ca</a>, <a href="http://groups.google.com/group/newsjunk">google group</a>. If you can think of another way let me know. News is breaking so fast, and imho, this is the best way to stay informed.
			- <a href="http://www.scripting.com/stories/2008/09/30/debatewatchingPartyInBerke.html">The event</a> at the Hillside Club was an unqualified success. A couple of hundred people showed up. We're going to try to do it again for the Presidential debates. (One problem -- somehow the Obama people got the idea this was a campaign event, it wasn't. Next time we have to make that much more clear.)
			- I kept thinking "Sarah Palin sandbagged us" -- that the interviews she did were deliberately bad to set the debate expectations unbelievably low. I still despise everything she stands for, but she did a credible debate, as did Joe Biden.
			- The title of this section is a <a href="http://www.youtube.com/watch?v=FK_hftXn4dk">great Little Feat song</a>, one of my favorite bands. Founded in the 70s as a spinout of the Mothers of Invention, it was named after Lowell George's feet, which were very little. He mis-spelled the word as a tribute to the Beatles. Time Loves a Hero always made me think of my uncle, who took a fishing boat to Jamaica not Puerto Rico, and whose birthday, had he lived, was this week on Oct 1.
			- I love the way you can get a low-rez version of almost any song on YouTube and I love that the music industry hasn't shut it down. I don't often have cause to thank the music industry, so <i>Thanks!</i> ";->"
	- October 2
		- Random news of the day
			- Just some news items I wanted to share.
			- <a href="irc://irc.freenode.net/#vpdebate">IRC for tonight's debate</a>, which starts at 6PM Pacific.
			- What the <a href="http://www.2020hindsight.org/2008/10/02/what-the-meltdown-looks-like/">meltdown</a> looks like.
			- McCain is <a href="http://x.techwheat.com/2JR">pulling out</a> of Michigan.
			- Obama radio <a href="http://mp3.newsjunk.com/2008/10/obamaBluegrassCommercial.mp3">commercial</a> playing in southern Virginia.
			- Celebrities <a href="http://www.youtube.com/watch?v=0vtHwWReGU0">debate</a> whether you should vot.
	- October 1
		- Katrina 2.0
			- <i>Last night I wrote a long <a href="http://www.scripting.com/stories/2008/09/30/theUsEconomyAfterKatrina.html">piece</a>, and as often happens, as I wrote I did more thinking and as it settled in overnight and through the morning, the story distilled and the conclusion became clearer.</i>
			- <a href="http://images.scripting.com/archiveScriptingCom/2005/08/31/fullJazzFuneral.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2008/10/01/jazzfuneral.jpg" width="350" height="117" border="0" alt="A picture named jazzfuneral.jpg"></a>
			- Katrina was more than a hurricane, it was a disaster, that happened in three stages:
			- 1. A category 3 <a href="http://www.cnn.com/2005/WEATHER/12/21/katrina/index.html">hurricane</a>, followed by <a href="http://www.scripting.com/2005/08.html#When:11:03:30AM">relief</a>. The city was still standing. A few broken windows, but nothing that couldn't quickly be repaired.
			- 2. Everyone goes to sleep, wakes up the next morning to find the levees had broken and the city was <a href="http://www.nytimes.com/2005/08/31/opinion/31wed1.html?ex=1283140800&en=ee438dae55c4d13e&ei=5090&partner=rssuserland&emc=rss">flooded</a>.
			- 3. National paralysis. Some of the needed resources had been deployed <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Iraq&ie=UTF8&ll=33.045508,43.681641&spn=11.481888,17.446289&t=p&z=6">elsewhere</a>. We became a nation of <a href="http://www.youtube.com/watch?v=RO2xi0uLnj8">Brownies</a> all doing a heckuva job. People were killed in the flood and on the streets as the New Orleans was looted, while we watched in horror, unable to help, as an American city died, right there on CNN.
			- Katrina never ended, three years later, it's still not over. New Orleans is still broken. Whole families were wiped out in the disaster, and while we don't spend much time on it in our national discourse, even as the election approaches, it's still there, reminding us of something. But we're not learning the lesson, and now our nation faces a Katrina-scale disaster, across the entire country, and like New Orleans on the first night of Katrina, it hasn't sunk in.
			- There will be no place to go if we wake up tomorrow to find the financial levees have broken and our nation is under water. People don't understand how much momentum there is to an economy, and when the wheels stop turning, they don't just start up again. It will take years if not decades to get them going again, as it will take that long to reboot New Orleans, if it ever happens.
			- A commenter asked what to do, which is a fair question -- and the answer is easy, as long as you accept that we're in a Katrina-scale disaster. Don't got to sleep, and if the levees break, and even if we act they're still pretty likely to break, don't accept Brownie-level incompetence. Require more of yourself (key point) and your leaders.
			- Imho, we <i>are</i> in another Katrina. It's easy to be fooled into believing that like New Orleans we may still dodge the bullet, the unthinkable is of course hard to think about. But after Katrina 1.0, it should not be hard to imagine the same thing happening to all of us, at one time. <i>That's</i> what's at stake. 
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/katrina-20_b_131044.html">Cross-posted</a> at Huffington.
		- Homer Simpson votes for Obama
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/1aBaX9GPSaQ&color1=0xb1b1b1&color2=0xcfcfcf&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/1aBaX9GPSaQ&color1=0xb1b1b1&color2=0xcfcfcf&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- IRC for tomorrow's debate
			- The live chat for tomorrow's debate, which we will attempt to project at the <a href="http://upcoming.yahoo.com/event/1134496">Hillside Club</a>...
			- irc://irc.freenode.net/#vpdebate 
			- See you there!
		- MockCain.com
			- I buy too many domains -- I admit it.
			- I get an idea, see if it's taken, often it's not, and impulsively -- I grab. So I got an idea for a site that gathers election humor about McCain and Palin, and then thought of a name and it wasn't taken, and a few weeks later..
			- http://mockcain.com/ 
			- If you find a video or graphic, or a joke of any kind about the Republican nominee and his running mate, pass it along as a comment here.
			- <i>Let's have fun!</i>
			- PS: Follow MockCain on <a href="http://twitter.com/mockcain">Twitter</a>, <a href="http://friendfeed.com/mockcain">FF</a> or <a href="http://identi.ca/mockcain">identi.ca</a> or <a href="http://mockcain.com/rss.xml">RSS</a>.
		- Thanks to Werner and Ray
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/10/01/accordianGuy.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordianGuy.gif">Today <a href="http://aws.amazon.com/windows/">Amazon announced</a> that there would be a way to run Windows instances in EC2. For many of us, that's a big deal, it'll mean that I can deploy applications that run in the <a href="http://editor.opml.org/">OPML Editor</a> that use the sliding scalability of EC2. I can't wait to design apps for this environment.
			- This morning I sent an email to <a href="http://www.allthingsdistributed.com/2008/09/amazon_ec2_with_microsoft_wind.html">Werner Vogels</a> at Amazon and Ray Ozzie at Microsoft, both readers of this blog, thanking them for making this happen. I assume Microsoft gave Amazon more flexible terms for Windows licensing, which makes it more competitive with Linux. Makes my day!
			- I asked for this specifically on <a href="http://www.scripting.com/stories/2008/04/08/earlyNotesOnGoogleapps.html#p4">Scripting News</a> in April.
