- August 2009
	- August 31
		- rssCloud meetup at UC Berkeley, Sept 9
			- <a href="http://www.yelp.com/biz/the-campanile-berkeley"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/31/clocktower.jpg" width="115" height="500" border="0" align="right" hspace="25" vspace="5" alt="A picture named clocktower.jpg"></a>The first <a href="http://rsscloud.org/walkthrough.html">rssCloud</a> meetup in <a href="http://www.scripting.com/stories/2009/07/24/meetupInNycNextThurs.html">NYC in July</a> was a great success.
			- Now we're ready for rssCloud Meetup 2.0, on Wednedsay September 9, 7-9PM at <a href="http://maps.google.com/maps?ie=UTF8&ll=37.873498,-122.257812&spn=0.012839,0.01575&z=16&iwloc=lyrftr:w2.106,2164616990381205460,37.87133,-122.258499">110 South Hall</a> on the UC-Berkeley campus. South Hall is the gothic brick building in the center of the UC Berkeley campus, just across from the iconic clock tower.
			- It's a <a href="http://maps.google.com/maps?f=d&source=s_d&saddr=Downtown+Berkeley+BART+station&daddr=South+Hall+(UC+Berkeley)&hl=en&geocode=%3BCYa2aEAmErVYFZjfQQIdCHy2-CHUZ3Iir0MKHg&mra=pe&mrcr=0&dirflg=w&sll=37.872293,-122.262304&sspn=0.051357,0.063&ie=UTF8&z=16">15-minute walk</a> from the downtown <a href="http://www.bart.gov/stations/dbrk/index.aspx">BART station</a>.
			- The meetup is open to all, but primarily for developers. The goal is to bootstrap the loosely-coupled 140 character message network. One that's open on all sides, so anyone can add an aggregator, cloud server or authoring tool, yet still have the feel of a centralized system. There may be tradeoffs, but the benefits of not having a company at the center of the network should create great opportunities for news organizations, innovative developers, designers, businesses, and users everywhere. Twitter is great, but we want something that works better for all of us. ";->"
			- We hope to see one or more new implementations come online before or at the meetup.
			- The way it'll work is: 1. I'll talk for 20-25 minutes, review the <a href="http://rsscloud.org/walkthrough.html">walkthrough</a>, technology, philosophy, then briefly answer questions. 2. We'll go around the room and people will say what they're doing, and what kinds of help they could use. 3. Then an open discussion, and we adjourn. 
			- There will be free wifi, but if it's like the NYC meetup you won't need it. This is a complex and interesting topic that seems to hold people's attention. But it's California and you never know, so bring your laptop, just in case. ";->"
			- If you know you're going to be there, please post a comment on this blog post.
			- Thanks to the UC Berkeley <a href="http://www.ischool.berkeley.edu/">School of Information</a> for generously offering to host this event. ";->"
	- August 30
		- Wanted: A simple DNS app for Mac or Windows
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/30/dark.jpg" width="150" height="240" border="0" align="right" hspace="15" vspace="5" alt="A picture named dark.jpg">In the early-mid-90s there was a Mac desktop app that was a Domain Name Server. Here's how you'd set it up.
			- 1. Put it in your Startup Items folder so it would launch at startup. 
			- 2. When it booted a window opens with a list of all the domains it was managing. Of course initially it was empty. You could click on the name of any of them to edit the settings in a dialog. There was a place to edit the name of the domain. A place to add an A record or a CNAME. (In other words it works more or less the same as any <a href="http://images.scripting.com/archiveScriptingCom/2009/08/30/easydns.gif">web app</a> we use to manage DNS.)
			- 3. An Add button at the bottom of the window. Click it and a dialog like the one in #2 would appear, except all the fields would be blank. 
			- 4. There was a text file that also configured the server, in fact the dialogs above just served to add, remove or change the text in the file. I suspect the file was in a standard format that all DNS's use. 
			- Anticipating what people are going to say, yes, I know there's a DNS built into the Mac, but it doesn't have a graphic interface and the instructions for setting it up are ridiculous. I think the one on Windows has a graphic UI, but I can't find any comprehensible instructions that explain how to set it up.
			- A college classmate, Sandy Wilbourn, who I think of as a brother, is an expert in DNS, and he says the app I'm looking for doesn't exist. I threatened to write it myself, he advised against it. Oh man. What is it with these simple web services that we're allowed to use them through a web app, but they don't want us running our own. I'm going to run my own DNS at some point, and I'd rather do it sooner than later.
			- Someone is going to ask why I need to do this. I have a good reason. You can either take my word or pay me $1000 and I'll explain. ";->"
			- Update: <a href="http://www.scripting.com/stories/2009/08/30/wantedASimpleDnsAppForMacO.html#comment-15597848">Chuck Shotton points</a> to MenAndMice's server for Windows, and <a href="http://www.scripting.com/stories/2009/08/30/wantedASimpleDnsAppForMacO.html#comment-15603259">JY points</a> to CutEdge's server for Mac. Both appear to fit the bill. Thanks guys!! ";->"
	- August 27
		- Joe Hewitt on Bad Hair Day at 7PM
			- Our special guest for the Bad Hair Day podcast at 7PM Pacific is Joe Hewitt the author of Facebook for the iPhone. What a great day to talk with Joe!
			- You can <a href="http://www.blogtalkradio.com/Bad-Hair-Day/2009/08/28/Bad-Hair-Day-9">listen live</a> on BlogTalkRadio.
			- I had lunch with him yesterday in Santa Cruz. I said that if Facebook wanted to compete with Twitter they needed a vastly simpler version of Facebook. Little did I know that 24 hours later I'd be looking at it.
			- If you have any questions for Joe, please post them as comments here, and Marshall and I will try to get to them. 
			- You can listen to the show live on <a href="http://www.blogtalkradio.com/Bad-Hair-Day/2009/08/28/Bad-Hair-Day-9">BlogTalkRadio</a>, and of course it will be available as a podcast from the <a href="http://badhair.us/">badhair.us</a> site. 
			- Here we go! ";->"
		- My one sentence review of the Facebook iPhone app
			- I wish the desktop version of Facebook was this simple, fast and elegant.
			- <a href="http://www.flickr.com/photos/scriptingnews/3863478818/" title="Facebook iPhone screenshot by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2563/3863478818_4d7e0ba618_o.jpg" width="320" height="480" border="0" alt="Facebook iPhone screenshot" /></a>
			- Update: Believe it or not I actually had lunch <a href="http://www.flickr.com/photos/scriptingnews/3859719627/">yesterday</a> with Joe Hewitt, the developer of this app. I said that if Facebook wanted to compete with Twitter they needed a vastly simpler version of Facebook. Little did I know that 24 hours later I'd be looking at it.
			- <a href="http://www.flickr.com/photos/scriptingnews/3863508080/">Another screen shot</a> shows why a simplified Facebook kicks Twitter's butt. 
		- Health care in a nutshell
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/27/mirror.gif" width="125" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named mirror.gif">Health care is a lot like a fire department or police department. You never know when it's your house that's going to be on fire, that's why everyone pays equally for protection, and the person whose house burns gets the "benefit" if you can call having your house burn a benefit (or getting very sick).
			- The main difference is that very few houses burn, but eventually everyone needs life-saving or end-of-life care. Every responsible person must pay for care, and basically only the truly rich (multi-millionaires) can afford to self-insure. 
			- If you assume that everyone has to pay for health insurance, then the question is how much do you want to pay. In the US, our current system costs 16% of GDP and we get less care, in some cases <i>much</i> less care than other rich countries that pay as little as 9% of their GDP. 
			- So we're making poor choices here. 
			- Obama's plan is less comprehensive than the German, Canadian, French or Japanese plans. In each of these other rich countries, health insurance is a non-profit business. That doesn't mean insurance companies don't make money, they do, but not from health insurance. Obama isn't promoting that (although it's not clear why). 
			- And for 40 million Americans they might as well live in the third world, for them health care is based on their ability to pay out of pocket. As long as they just get colds, they survive. As soon as they need more care, they either go bankrupt or become disabled, or die. This is their country too, they get a vote in how our system works. You're related to some of these people (unless you have no family). They're the ones who should be standing in anger at the town halls. And they're not all poor, many of them are middle class or upper middle class, they just happen to not be profitable for the insurance industry. These are the people whose houses burn to the ground when they catch fire.
			- The people who would vote against universal health insurance are stupidly cocky, because they will all need health care some day and for many of them it will not be there. Sometimes they're people who don't smoke or aren't obese, who don't have any personal bad habits. People get sick for a lot of reasons that no one understands. Maybe just bad luck or bad genes. In the wrong place at the wrong time.
			- Bottom-line, we could spend a lot less money on health care and take care of everyone. Instead we're opting on the worst approach, we spend a lot more, and a huge portion of the populace isn't cared for and the rest of us are treated not as patients but as profit centers. If you happen to need health care, you can't get it. This is some kind of way to run a country? Yikes.
			- If you want to understand what our options are, I highly recommend listening to the <a href="http://www.npr.org/templates/story/story.php?storyId=112172939">FreshAir interview</a> with T.R. Reid, who has just written a <a href="http://www.amazon.com/The-Healing-of-America/dp/B002IPZBKE/ref=ed_oe_k">book</a> on health care systems around the world. 
	- August 26
		- RSS is how the news flows
			- <a href="http://blogs.zdnet.com/BTL/?p=23276">To Sam Diaz</a> who says RSS was "a good idea at the time but there are better ways now," I have many things to say. 
			- 1. People confuse RSS  with Google Reader. Let's be clear that there's a difference. Google Reader is an application that reads RSS-formatted data. There are many other applications that read and write RSS.
			- 2. I think Google Reader was, on the whole, a good thing. It's probably the best reader of its variety. You have to go find the new stuff in Google Reader. I prefer a reader that finds the new stuff for me, and presents it in reverse chronologic order. This is known as a <a href="http://www.reallysimplesyndication.com/riverOfNews">river of news</a> reader. 
			- 3. Diaz more or less says that's his preference too. Interesting.
			- 4. My newspaper doesn't tell me how many articles I haven't read going back to the date of my birth. I bet it would be in the millions. Why should I care. This was the worst idea ever in news readers.
			- <a href="http://badhair.us/"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/26/hair.gif" width="125" height="168" border="0" align="right" hspace="15" vspace="5" alt="A picture named hair.gif"></a>5. The core problem -- so many programmers who write RSS software are not themselves news junkies. If they were they'd know when they got it wrong. News is about what's new! Show me the newest stuff first. Sorry to all the articles I didn't read, maybe in the next lifetime.
			- 6. He may not use a RSS reader, but the news is still getting to him through RSS. 
			- 7. If all the RSS on the planet were all of a sudden to stop updating (key point) the news would stop flowing. Any news guy or gal who thinks they could get by without RSS -- think this through a bit more. We all love the Internet, but don't shut off your gas and electric because your computer and router wouldn't work without electricity. Same with RSS and news. RSS is how the news flows, whether you see it or not. If not RSS, something exactly like RSS. 
			- 8. The Internet is layered. New technology comes on line building on tech that already existed. RSS was like that. It built on XML and HTTP, which built on text and TCP/IP. The new things that Diaz likes so much, in exactly the same way, build on RSS. 
			- 9. When news authors don't understand how technology evolves, they <a href="http://en.wiktionary.org/wiki/propagate">propagate</a> incorrect notions to everyone else, including would-be inventors, who have to figure it out for themselves, and then convince investors and partners they know what they're doing -- when they just read in ZDNet that things don't evolve at all. So Mr. Diaz does us all a disservice. 
			- 10. I object when technology writers tell the story of technology incorrectly. People say I should just be happy to see my name in the story, or in this case something that I fathered. No deal. I want the <i>accurate</i> story out there. I want people to understand how technology really works, because that's central to users being empowered by it, instead of being controlled by it. 
			- Bonus: Marshall Kirkpatrick, my partner in the <a href="http://badhair.us/">Bad Hair Day</a> podcast (tomorrow 7PM Pacific) has his own excellent <a href="http://marshallk.com/if-you-think-rss-is-dead-then-thats-your-loss-and-its-a-big-one">rebuttal</a> to the Diaz piece.
		- Random Wednesday notes
			- Last Wednesday I did a Random Links <a href="http://www.scripting.com/stories/2009/08/19/wednesdayLinks.html">post</a>, and here goes another. A tradition begins?
			- Very little flamage over my What is an Asshole <a href="http://www.scripting.com/stories/2009/08/25/whatIsAnAsshole.html">piece</a> from last night. Guess people got the point. If you fail to understand Hitler, you deserve to get Hitler. Their only sin, beyond stupidity, is their inability to imagine that it could happen here.
	- August 25
		- What is an asshole?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/25/think.gif" width="150" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named think.gif">An asshole is <a href="http://discuss.flickrfan.org/2009/08/25/0952736.html">someone</a> who says Obama is like Hitler because he wants everyone in the US to have health insurance.
			- These people are so stupid they need to be slapped in the face to wake them up. They need to have their mouths washed out with soap and be sent to bed without dinner. They need to be sent into hard labor and allowed to die of starvation. 
			- Hitler gassed <a href="http://hatemonitor.csusb.edu/images/dartmouth/DachauBodiesApril_45.jpg">my people</a> and incinerated them in <a href="http://www.scrapbookpages.com/Dachauscrapbook/KZDachau/CrematoriaArea/NewCrematorium04.html">ovens</a>. Hitler came very close to wiping us out. Hitler was a monster. Hitler was the human race going insane on a mass level.
			- If you think Obama is Hitler you deserve to meet with others who agree with you, starving and freezing and dying in a cattle car, sitting in each others' excrement, on your way to a concentration camp and its ovens and gas chambers, along with your children. 
			- You will not be allowed to bring your assault rifle.
		- How to fix URL-shorteners, part II
			- Last Wednesday I wrote a <a href="http://www.scripting.com/stories/2009/08/19/howToFixUrlshorteners.html">piece</a> that explained how to fix URL-shorteners. Today, with the help of Joe Moreno at Adjix, I implemented it. ";->"
			- Here's how my new URL-shortener works.
			- 1. Joe is running the shortener at adjix.com. It's the same one he's always been running, but it's got a few new features.
			- <a href="http://www.scripting.com/stories/2009/08/19/iWasASixthGradeCommunist.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/25/mao.gif" width="150" height="227" border="0" align="right" hspace="15" vspace="5" alt="A picture named mao.gif"></a>2. In the <a href="http://images.scripting.com/archiveScriptingCom/2009/08/25/adjixprefs.gif">prefs</a> for <a href="http://www.adjix.com/WebObjects/Adjix.woa/">Adjix</a>, I told it that I wanted to use my own domain, c.oy.ly. I also told it to write copies of all my shortened URLs to a <a href="http://images.scripting.com/archiveScriptingCom/2009/08/25/bucket.gif">bucket</a> at Amazon, which I had given his app permission to write to. By using my own domain, one which I control the DNS for, and retaining a copy of all the data, I am fully protected against his service going away. And I can decide at any time to take over hosting of my own short URLs by directing the c.oy.ly domain to s3.amazonaws.com instead of partner.adjix.com. 
			- 3. When I create a shortened URL, I do it by calling an API routine that works exactly as the APIs of the other shorteners. I give it the <a href="http://news.cnet.com/8301-13577_3-10317378-36.html">long URL</a>, some identifying information so it knows to associate it with my Adjix account, and it returns a token, which I smash together with http://c.oy.ly/ to form the <a href="http://c.oy.ly/ufdu">shortened URL</a>.
			- 4. All this is done with a bookmarklet communicating with a web app on one of my servers. It then takes the title of the page I'm linking to and adds the full URL from step 3, and redirects me to twitter.com, where I can <a href="http://images.scripting.com/archiveScriptingCom/2009/08/25/twitterbox.gif">edit the tweet</a> before clicking on Update. 
			- 5. Then, every few minutes I call the Twitter API and ask if Dave has posted any new tweets. If so, I parse them, store the long and short versions of the URL in my database (by dereferencing the URL). Then I call a second API on Adjix to ask it to give me the counts for the most recent 50 links created by Dave. I then update the counts in my database, sort them, and prepare the familiar <a href="http://dave.40twits.com/">Top-40 report</a>. 
			- Bottom-line: I am now using URL-shorteners in a way that does not make the Internet suck. I have done my good deed for the day! ";->"
		- Dear Disqus: Can I have the old interface back?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/25/bonehead.gif" width="125" height="165" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonehead.gif">Near as I can tell there are no new features in the new interface. Things were just moved around and everything is way way slower. The UI was always bizarre, but I figured most of it out. Now you're telling me I have to learn it over again? Why? What's the benefit?
			- All I know now is that my bookmark to the dashboard broke, and to get to the unapproved messages or spam messages, the maintenence I have to do on a regular basis to keep my site working, I have to wait <i>minutes</i> for the page to load. I don't have any idea if there are any new features in this to justify the pain.
			- I would really like to go back to the way it worked this morning. You know, when it actually <i>worked. </i>
		- How to get Lessig to blog
			- <a href="http://joi.typepad.com/photos/sf0307/kimlarry.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/25/lessig.jpg" width="125" height="139" border="0" align="right" hspace="15" vspace="5" alt="A picture named lessig.jpg"></a>It's sad that Lessig is "hibernating" his blog, but there's always hope. It's easy to say <a href="http://lessig.org/blog/2009/08/announcing_the_hibernation_of.html">goodbye</a>, but what's he going to do when he has something that has to be said <i>right now.</i> Wait two years to write and publish a book? I sure hope not! 
			- In his supposedly last blog post (heh) Lessig points to his <i>first</i> post, which was a <a href="http://lessig.org/blog/2002/08/">response</a> to something I <a href="http://www.scripting.com/2002/08/19.html">wrote</a> in response to something he said. In 2001 and 2002. It's interesting to recount the exchange, because only seven years later things have changed a lot.
			- 1. First Lessig <a href="http://archive.scripting.com/2001/12/21#balderdash">tells a story</a> of Hemingway and source code, an analogy that I feel is flawed. And I say so, very strongly, but hopefully not in a personal way. 
			- 2. Then in August 2002, I expanded it, and on re-reading it -- I said some things that were a bit too much. A difference of opinion between two learned people shouldn't involve throwing people out and "up yours." 
			- 3. This got Lessig to write his first blog post! So there is a silver lining. 
			- Now the hindsight.
			- 1. In 2002 I said in five years every member of the US House will have a weblog and will be communicating directly with the electorate. I'd say that's been realized now, only they're using Twitter and Facebook <i>and</i> blogs, and they have to communicate directly with the electorate because the news industry is crumbling. 
			- 2. The controversy betw Lessig and myself in 2001 and 2002 was over whether software developers should be required to release their source code to get copyright protection (at least that's how I interpreted it). I was vehement in saying no, that we were already putting our ideas out there and that putting the source code out there too would give us nothing to sell. I still believe the logic of that, but since then I gave up on commercial software and in 2004 I <a href="http://kernel.scripting.com/faq">released</a> my main work under the GPL. There was no parade, no new respect or even thanks from people outside the community that already used the software. Did it inspire any young would-be designers? Time will tell, but it's looking doubtful. Just saying it's harder to influence the future than it should be, or maybe not -- who knows.
			- 3. I like to think that Lessig and I have now become friends. Just goes to show that when there's a spark between two people, it may express itself in a variety of ways. I admire Lessig, I've come to see him as an open-minded, generous person who really listens. All good things!
			- 4. I don't believe for a second that he's given up blogging. ";->"
		- Urgently need an Intel build of OPML Editor/Mac
			- I thought about writing a more creative headline, but opted instead for a direct request for help. 
			- 1. Yesterday I pre-ordered a family pack of <a href="http://www.amazon.com/Snow-Leopard-Family-Pack-5-User/dp/B001AMPP0W/ref=sr_1_2?ie=UTF8&s=software&qid=1251207345&sr=8-2">Snow Leopard</a>. As I understand it, the new version of the Mac OS will run PPC apps only with special software loaded, the way earlier versions of the OS ran Mac Classic apps.
			- 2. The <a href="http://editor.opml.org/">OPML Editor</a> for the Mac is a PPC app.
			- 3. It is also an instance of the GPL'd Frontier kernel, which I understand has been converted to be an Intel app.
			- 4. I can build the Windows version of the OPML Editor. However, I cannot build the Mac version. It's been a long time since I worked at the C level, last time I did was with THINK C on the Mac in the mid-90s. I've tried to build the Mac app on XCode, but I always hit a problem that I don't know how to work around, and honestly I don't want to struggle at this level. I'm going to stick to developing in the OPML environment. When I can do a kernel build on both Mac and Windows, I may look at working inside the C codebase.
			- 5. I need someone to get a build of the Mac OPML Editor together asap and to do some basic testing to be sure it works with the current opml.root. 
			- Resources: The Frontier Kernel project <a href="http://frontierkernel.org/developers/index">website</a>. Source <a href="http://static.opml.org/opmlEditor/source/opmlEditorSource.zip">download</a> of the OPML Editor from August 2008.
			- Thanks in advance!
	- August 24
		- What's in the next release of River2
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/24/coke.gif" width="175" height="248" border="0" align="right" hspace="15" vspace="5" alt="A picture named coke.gif"><a href="http://www.scripting.com/stories/2009/06/23/riverOfNewsInCssDesignersR.html">The first release</a> of the River2 aggregator was all about CSS. I wanted to be sure this new aggregator would be buzzword compliant and user-configurable. I wanted the design community to have their way with this tool. 
			- The second release has a completely different set of goals, they relate to the subscription engine, realtime processing of updates, and podcast support. Specifically...
			- 1. Dynamic reading list support. A reading list is an OPML file that contains a subscription list that is read every time the aggregator scans its feeds. Any new feeds are subscribed to, and any feeds that are no longer in the list are unsubbed, assuming they aren't in another reading list or were independently subscribed to. This feature has been in my aggregators but not in most others. Google Reader, for example, does not support this feature, but imho it should. I'm putting this out there to help lead the market. 
			- 2. Fully rssCloud compliant. If you subscribe to a feed that has a cloud element, and you aren't behind a firewall or NAT, River2 will request notification, so that updates are received in realtime. 
			- 3. A podcatcher that's not from Apple. The market needs more than one podcatcher. So if you subscribe to a feed that has enclosures, it will download them into a folder of your choosing. This works for photo feeds as well as feeds with audio and video.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/24/santa.gif" width="125" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named santa.gif">Tying it all together, here's a <a href="http://newsriver.org/podcastReadingList.opml">reading list</a> that contains podcast feeds, <a href="http://rebootnews.com/rss.xml">one</a> of which is cloud-enabled. 
			- This release is not ready for download yet. Because I got a bad cold, and was sidelined last week, the project was set back by a week. But developers are moving ahead with their rssCloud implementations, and will need something to test against. That's one important role of River2, it represents a reference implementation of the client side of the rssCloud protocol. 
			- What's next after this River2 release? More cloud-enabled feeds. An editorial tool that produces cloud-enabled feeds. 
	- August 23
		- Yahoo embracing Twitter?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/23/theTruthCanBeAdjusted.jpg" width="101" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named theTruthCanBeAdjusted.jpg">Silicon Alley Insider has an interesting <a href="http://www.businessinsider.com/yahoos-secret-twitter-obsession-2009-8">piece</a> about Yahoo's obsession with all-things-Twitter. And at the end they have an even more interesting strategy. "Yahoo should work to be a better place to use Twitter than Twitter.com."
			- This sounds a lot like the <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">winning strategy</a> Yahoo used to best CNN and MSNBC in web news in the 2004 timeframe. With My Yahoo they became the place to go to find out what's new on CNN and MSNBC, and of course on Yahoo. 
			- This kind of embrace is a perfect prelude to competing with Twitter. First, develop a base of people who use Yahoo as their interface for Twitter, and then gradually add features that only work Yahoo-to-Yahoo. 
			- Twitter could add those features too of course, but they might not, since they believe (incorrectly, imho) that the 140 character limit and URL-shortening are part of the magic of Twitter. 
			- Yahoo, or anyone else who adopted this approach, could capture the users who would like to have a bit more space to express their ideas. 
		- Courage and cowardice
			- First courage...
			- <a href="http://www.frommers.com/blog/?plckController=Blog&plckScript=blogScript&plckElementId=blogDest&plckBlogPage=BlogViewPost&plckPostId=Blog%3A3ec3ac40-db8a-4d10-a884-acf9ccad0879Post%3Acad21037-04b6-415b-b41b-4838402e1e4e">Arthur Frommer</a>, the famous travel writer, writes on his blog. "I will not personally travel in a state where civilians carry loaded weapons onto the sidewalks and as a means of political protest." He's talking about the event where people openly carrying guns, one carrying an assault rifle, <a href="http://www.google.com/hostednews/ap/article/ALeqM5hctDBUKMR4V-lGBrEQcYNO0ooBQAD9A4TG402">gathered</a> outside an event where the President spoke. 
			- Arizona can say that people have the right to openly carry guns of any kind at any time, and we can choose not to spend time or money in such a backward place. Perfectly appropriate way to react to an obvious attempt to scare people. 
			- Now cowardice. 
			- Last week I wrote about how Republican Senator <a href="http://www.scripting.com/stories/2009/08/19/chuckGrassley.html">Charles Grassley</a> from Iowa, one of a very small number of Republicans who, imho, was honorable -- took the coward's route and threw grandma under the bus, doing his part to confuse the electorate on the issues in the health care decision we will soon make. <a href="http://krugman.blogs.nytimes.com/2009/08/23/charles-grassley-coward/">Paul Krugman</a> follows up, now Grassley has the gall to blame first President Obama and then one of his constituents for his cowardly deception. He's 75 years old. Is winning another election so important that he wants to be remembered as a dishonorable liar and coward?
			- In all the debates about health care reform, the real issue isn't getting talked about. It's about the people who don't have coverage. Some of the easiest cases are people who have the money to buy insurance, and would buy it, if the industry would sell it to them. But they only want to insure healthy people. So we're in the ridiculous situation here where the people who most need care can't get it. Someone should tell Grassley that some of those people are our grandmothers, and grandsons and granddaughters. Nieces and nephews and mothers and fathers. Don't go claiming the compassionate high ground, when you're selling us out. Shame. (And it could be that some of his own family are screwed by the insurance industry. If not, why not?)
			- Of course there are the <a href="http://www.cnn.com/2009/POLITICS/06/16/health.care.hearing/">cases</a> where people pay premiums for years, then get sick, and the company denies coverage, disputing information on their application, or claiming a pre-existing condition, long after accepting the premiums. What recourse do we have? We can sue the companies, but that takes huge money, money they have and we don't. And what difference will it make if by the time the case is decided the patient is dead? The whole idea of pre-existing conditions is one that we need to get rid of, completely. Everyone who wants insurance must be able to buy it. Period. No exceptions.
			- Because these problems concern millions of Americans, everyone knows someone who has been put through the ringer by the insurance process. These stories about <a href="http://www.youtube.com/watch?v=_rRE5UK6NQU">angry people</a> (what are they angry about exactly and what does it have to do with health care) are drowning out the tragic stories of people who die because they aren't covered. 
			- One more pointer. 
			- The Democrats aren't blameless because they aren't selling health care reform. 
			- <a href="http://www.truthout.org/082009B">George Lakoff</a> explains how it must be done. Not with lengthy explanations of policy, but with stories that fit into the experiences of all of us, and connecting the values of universal health care with what it means to be an American. 
	- August 22
		- 7 years plus 70 days
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/22/marlboroLights.jpg" width="125" height="225" border="0" align="right" hspace="15" vspace="5" alt="A picture named marlboroLights.jpg"><a href="http://archive.scripting.com/2002/08/22#When:5:05:41PM">7 years ago today</a>: "Tomorrow is Day 70 of No Smoking Dave. Ten weeks. A non-smoking story at the Bowie concert last week. As I'm walking out I see people lighting up everywhere. Smell of smoke all around. It smells good. I really want one. In my mind I outline the steps it would take to be smoking and the amount of time it would take. I would ask someone if they could spare a cigarette. If they said no I'd offer them $1. Oh hell, just offer $1 to begin with. Whoo, where would I get a match. I'd ask for a light. Take a drag. Estimated time, 15 seconds to one minute to first nicotine rush. My heart started beating faster. I felt scared like you feel on a NY subway platform as a train is entering the station and you're standing on the platform and in the instant before it passes you think how you could end your life by leaning forward. I never actually jump, and that night I didn't smoke, and it's good that inside I equate smoking with death so deeply that it invokes my subway nightmare. Do I have it beat? No way. I am still an addict, I expect I will be for life. But I'm an addict in recovery, who is not taking the drug. Even better, I am becoming a constant evangelist for a nicotine-free lifestyle for nicotine addicts, illustrating the old adage that you teach what you most need to learn."
			- Wish I could send a message back in time to that Dave, seven years ago. I'm sure at some level I'm still a nicotine addict, but I no longer go through this torture when I see someone smoking. Quite the opposite. I smell it and it repels me. Given enough time, you go into remission. Maybe never all the way, but pretty close.
	- August 21
		- My #blogpostfriday post
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/21/hulk.gif" width="150" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named hulk.gif">I've had a non-productive week, I've been fighting a cold -- but I made a commitment to the web to write at least one post every Friday, so here I am keeping my promise.
			- I'm worried about the web. 
			- We pour so much passion into dynamic web apps hosted by companies we know very little about. We do it without retaining a copy of our data. We have no idea how much it costs them to keep hosting what we create, so even if they're public companies, it's very hard to form an opinion of how likely they are to continue hosting our work.
			- A few weeks ago an entrepreneur said to my face that he was the one who made the money and I was the one who worked for free. My chin dropped. I knew most if not all of them secretly believed this, but I had never heard one say it out loud.
			- I know others who told me their business model was to patent my work. 
			- Shaking my head. This can't work.
			- This system is terrible. It's a bubble, like the real estate bubble. It's going to burst, and when it does, it will take a lot of our history with it. 
			- But not this blog post if I have any say about it. It's <a href="http://www.scripting.com/stories/2009/">stored</a> as a static file on a Windows XP server running Apache. It could just as easily be stored on a Linux machine running anything. Or even an iPod or iPhone. Text files are the ultimate in stability. The same text file you could read on a mainframe 40 years ago could be read on a netbook today. 
			- I'll post a link to this piece on Twitter, that probably won't last very long. But -- the backup I'm making of it is being stored as a <a href="http://twitter.opml.org/calendar/davewiner/2009/08/21.opml">static text file</a> on Apache. So it may well be around for a while.
			- I'm really obsessed with creating a historic record. I want to feel that our writing has a future. I also don't want to work for people who are as openly greedy as the typical entrepreneur of 2009.
			- Anyway -- time to go to lunch. I've taken my vitamins on behalf of the web. ";->"
	- August 20
		- From the 'It Seems To Me' Department
			- Sometimes <a href="http://twitter.com/davewiner/status/3440715213">140 characters</a> <i>is</i> enough to express an idea. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/20/doh.gif" width="160" height="227" border="0" alt="A picture named doh.gif">
		- The FCC loves RSS
			- It came through in a <a href="http://twitter.com/fccdotgov/status/3434846239">tweet today</a>, and I gotta say it's great news. 
			- "We discovered RSS! More to come soon."
			- Coool! Can't wait to see what's coming soon.
			- RSS is totally an FCC kind of thing. It's a package of net neutrality. A level playing field in a box. It's mom and apple pie, baseball, hot dogs, and (do they still make Chevrolets).
			- If anyone at the FCC is listening, if you liked RSS, wait till you see <a href="http://rsscloud.org/">rssCloud</a>. It makes RSS updates happen in an instant!
	- August 19
		- I was a sixth grade communist
			- A cute story about my 6th grade class.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/19/gail.jpg" width="150" height="103" border="0" align="right" hspace="15" vspace="5" alt="A picture named gail.jpg">My girlfriend in sixth grade, Gail Schneider, who I still see from time to time, will tell you that I haven't changed in the 42 years since I was a 12-year-old boy growing up in Queens. I always thought it's funny how women, even when they are little girls, think they can peer into your soul and see the real you, but in this case I think Gail is right. (BTW, that might be a picture of Gail, a few years later, at Woodstock.)
			- My mother accumulates things, it's her curse. She wishes she traveled lighter, in the George Carlin <a href="http://www.youtube.com/watch?v=MvgN5gCuLac">sense</a>, with less baggage. She keeps shedding stuff, but then a relative dies and she ends up with another closet full of stuff that's too precious to throw out. Anyway, she had been holding on to my sixth grade autograph book, and gave it to me on my last trip to NY, and I've been reading it. This one was worth keeping!
			- Some observations. Well, men never know what women are thinking. There were a couple of girls who had a crush on me, all the girls knew it, but I was clueless at the time. The trail is right there in the book. 
			- And (finally I get to the point) along with a couple of friends, Clifford Hable and John Monterisi, I was part of a club of sixth grade communists. Of course we weren't <i>really</i> communists, we were just kids, but we read the news and knew the adults were freaked out by the commies, and we thought they were silly (don't all 12-year-olds think adults are silly). So we had a club, and in that club we were communists. That's all over the autograph book too. Hammers and sickles, comrade this and comrade that. It still makes me laugh how we adopted the symbolism and language of our most feared enemy. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/19/mao.gif" width="150" height="227" border="0" align="right" hspace="15" vspace="5" alt="A picture named mao.gif">I wrote to the Chinese mission to the UN asking for literature about their country, and boy did they send stuff. Color magazines and posters mostly in English, a copy of Mao's Little Red Book, a huge wall-size poster of Chairman Mao. I loved reading the stuff the way I loved District 9. It was science fiction, but it also bore some semblance to reality. It was forbidden and terrorized the adults. I liked it! ";->"
			- So today when a Republican Twitterer from the Deep South called me a commisar and said I should communicate with the Kremlin and said <a href="http://www.urbandictionary.com/define.php?term=Dasvidanya">dasvidaniya</a>, I smiled, and almost thanked him. As if it were Clifford or John, complimenting me on some daring or noble revolutionary act in defiance of Mrs. Dori, our sixth grade teacher.  
			- On reflection, I realized this is the new Republican macho. Call anyone who <a href="http://www.scripting.com/stories/2009/08/19/chuckGrassley.html">criticizes</a> a Republican a Nazi or a Commie. Can't call me a Nazi (I have relatives who died in Hitler's camps) so go for commie. Except the Cold War has been over for almost 20 years. It's really sad that it has come to this.
			- BTW, another woman who could peer into my soul was Mrs. Dori, who was one of my two favorite teachers. She wrote in my autograph book: "To David, a boy who really cares." I don't know if she wrote that for everyone, maybe she did. But in my case, it was true. 
		- How to fix URL-shorteners
			- First a few notes as a preamble.
			- 1. URL-shorteners are bad for the Internet. They centralize linking, and make it more fragile, and more controllable. Wait till the Chinese govt finds out about them. 
			- 2. When bit.ly <a href="http://en.wikipedia.org/wiki/Murphy%27s_law">breaks</a>, it will be an outage that may be bigger than Twitter going down. Not only do we lose the present, but we lose the past too. One big URL shortener that dominates the others is itself a dangerous thing.
			- 3. Twitter could and should obviate the need for URL-shorteners. Yes I know SMS messages are limited to 160 chars. So shorten the URLs at the SMS gateway and leave them long for communication over pathways that are not so limited. Any engineer could see this obvious solution. 
			- 4. For now URL-shorteners are a fact of life.
			- End of preamble. Now to what is needed in URL-shorteners to work around the various issues they present.
			- It's not so different from the problem with Feedburner, and the <a href="http://feedburner.google.com/fb/a/mybrand">solution</a> they used, and implemented quickly once it was known.
			- 1. <b>CNAMEs</b>. It must be possible for the user to own and control the domain his or her URLs live at. Technically, this means I register the domain name, and map a sub-domain to the URL-shortener site with a CNAME record. Anyone who knows how to use Godaddy can do it. I would be happy to write a howto that explains. 
			- 2. <b>Shared data</b>. The URL-shortener and the user share a space where the data is stored. Joe Moreno at <a href="http://www.adjix.com/">Adjix</a>, who I have been working with, has figured out how to do it on Amazon S3. I have mapped a domain to an S3 bucket, and given his software permission to write to that bucket. Here's the key point. At any time I can revoke the permission and my URLs still work. Or Adjix could disappear, and the shortened <i>URLs would still work.</i> With this method the only way there is linkrot is if S3 goes down.  
			- Here's a URL that links to a Flickr picture:
			- <a href="http://tmp.loose.ly/jmxe">http://tmp.loose.ly/jmxe</a>  
			- Obviously the sub-domain, tmp.loose.ly, is temporary. But if you're a techie, I encourage you to do a DNS lookup on tmp.loose.ly. You'll see it's a CNAME to s3.amazonaws.com. And get the contents of the file to see how it works. It's static. Yet it still gathers statistics. Yes, it's unusual. That's why Joe was the only one to crack this nut. He's a creative guy. ";->"
			- It's such a clean implementation that if I decide later to move the files to an Apache server on Linux, no problem. 
			- I think basically Adjix has solved all the problems with URL-shorteners. I hope other engineers poke at this and verify my conclusion or disprove them.
		- Wednesday links
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/19/d9.gif" width="125" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named d9.gif">Not uncommon that an intensely productive <a href="http://www.scripting.com/stories/2009/08/15/itsBeenABigDevelopmentWeek.html">week</a> is followed by an unproductive one. Fighting a cold. Probably just my spirit saying <i>Slow Down Davey. </i>I've learned to accept these things, not fight them.
			- Great new domain, <a href="http://ou.rs/1">ou.rs</a>, suggested by <a href="http://twitter.com/myquealer">Mike Wheeler</a> -- no doubt we'll find a use for it. One thing Twitter has taught us is how to be creative in fewer characters! BTW, don't assume that <a href="http://ou.rs/1">ou.rs</a> will be a URL-shortener. It might be like Andrew Baron's <a href="http://mag.ma/">mag.ma</a>, a site that was born after Twitter, and has the short URLs designed-in. 
			- l've wanted to have Google index all the script code in the OPML Editor's root file and tools. That's where most of its personality is defined. So I wrote a simple script that visits all the scripts and does a web page listing each. I think this will possibly interest one or two people other than myself. But I'm <a href="http://listings.opml.org/">linking</a> to it here so Google thinks it's important enough to index. ";->"
			- I found an <a href="http://www.nytimes.com/1983/05/17/science/personal-computers-software-first-idea-processor.html?scp=5&sq=living+videotext&st=nyt">review</a> the NY Times ran about ThinkTank in 1983. It predates any coverage from the tech industry. At the time it ran I was totally out of money and was going to shut the company and find a job. Instead, we were able to quickly raise money and a company started, leading to a Mac product and a PC product, and lots more. Now here's the scary part -- that was 26 years ago. A long friggin time already! Yow.
			- Went to see <a href="http://en.wikipedia.org/wiki/District_9">District 9</a> yesterday. No spoilers. But it's fun, thoughtful, interesting, well-acted movie with lots of B-movie scifi cliches, all done masterfully. Lots of twists, and one or two places where you go <i>Oh Yeah!</i> because you know what's coming is really coooool. Good movie to take your inner-adolescent to.
		- Chuck Grassley
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/19/grassley.jpg" width="115" height="155" border="0" align="right" hspace="15" vspace="5" alt="A picture named grassley.jpg">I used to think <a href="http://en.wikipedia.org/wiki/Chuck_Grassley">Chuck Grassley</a>, Republican Senator from Iowa, was an honorable man. An exception to the spineless liars of his party. Now he's spouting the "death panels" lie, like all the rest. This pitch hypocritically confuses and hurts the <i>very people</i> they claim to care about, the people and families of people who are dealing with serious illness or imminent death. 
			- <a href="http://firstread.msnbc.msn.com/archive/2009/08/12/2029124.aspx">Grassley</a>: "We should not have a government program that determines if you're going to pull the plug on grandma."
			- It seems unlikely that Grassley, who is 75, has not dealt with death in his family. If they're like other Americans, they got help from the medical system preparing for it, or dealing with its aftermath. At least they were offered the help. Being educated about this subject not only saves hurt and grief, it also saves lives. 
			- There is no more sensitive subject. No more private place you don't want the government to mess around in. And btw, the Republicans are sneaky -- they <i>are</i> government. Grassley is a US Senator. Doesn't get more government than that. 
			- Saying the Democrats want to euthanize your grandmother is beyond despicable, I can't think of a word that describes how low it is. 
			- It's time for the Republican Party to die. 
			- I'd sign up for <i>that</i> death panel. 
	- August 17
		- tr.im goes open source, community supported
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/17/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">Marshall has the <a href="http://www.readwriteweb.com/archives/trim_to_go_open_source_community_owned.php">announcement</a>.
			- I think it's great. I know that Eric Woodward wanted to move on from tr.im and this gives him the opportunity to do that, but allows the community that's gathered around tr.im to continue.
			- I am part of that community -- having build an application that gets a lot of use, and one that a lot of people want. To match Eric's generosity, I will release the app behind the 40twits site as open source. 
			- It's the app behind these sites:
			- <a href="http://dave.40twits.com/">http://dave.40twits.com/</a> 
			- <a href="http://jay.40twits.com/">http://jay.40twits.com/</a> 
			- <a href="http://nieman.40twits.com/">http://nieman.40twits.com/</a> 
			- It builds on the tr.im API.
			- Let a thousand flowers bloom!
	- August 16
		- Programming wisdom
			- Three bits of wisdom I keep forgetting to write up in a blog post.
			- 1. The second time you write a piece of complicated code it will work much better than the first time. Especially if there are a few years inbetween and the original code was in production and you had to live with its flaws. Sometimes you have to write it a third or fourth time to really get it right.
			- 2. Every year or so, re-read the docs for your programming environment. You'll always find a feature you didn't quite grok the importance of the last time you read the docs. It may make your code simpler, or enable you to approach a problem you previously though unsolvable. (I did this the other day for Amazon S3 and sure enough figured out a way through a tight bottleneck.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/16/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">3. This is the most important one. If you're planning on competing like a mofo in the tech industry to make billions of dollars, and then give it all to charity when you're middle-aged, instead, find a way to contribute to the ecology of the web while you're young, and make a bit less money (I suspect you won't actually make less money). We have much higher leverage on our home court and can do more good for the planet than we can, later, in medicine or politics. Obviously I'm thinking about Bill Gates, but I'm also thinking about Evan WIlliams and Biz Stone who are already worth huge money, and on their way to making a lot more. Guys... 
			- <i>Deal with the URL-shortening issue now.</i> It's an <a href="http://en.wikipedia.org/wiki/Exxon_Valdez">Exxon Valdez</a> waiting to happen. You won't be able to make excuses that you didn't see it coming, cause I'm telling you now. 
			- There are already protocols in place that allow web apps to tell you how to shorten urls that point into their space. <a href="http://en.blog.wordpress.com/2009/08/14/shorten/">Wordpress.com took</a> a huge step this week, <a href="http://images.scripting.com/archiveScriptingCom/2009/08/16/mattmensch.gif">doing their part</a>. It would take about one hour of programming, if that much, for Twitter to look for the metadata and use it. If I had a Twitter client, I'd support it in a heartbeat. If I were Twitter, same deal. 
			- <a href="http://code.google.com/p/shortlink/wiki/Specification">Shortlink</a>: "URL shortening that really don't hurt the Internet."
			- But for some reason the business types at the companies never want to do anything good for the web. They just take for themselves and eat up the seed corn others put into the formats and protocols. At some point we're going to get through. These guys are supposedly people who care about the planet. Like Bill, when they retire, they'll spend huge money to try to prove it. Why they don't care about the ecology of the web now, when they have the most power to, I'll never get it. I have to assume they don't understand. It would cost nothing to care for the web. Not like carbon offsets, these aren't even hard problems. You just have to care enough to actually do something about it.
	- August 15
		- It's been a big development week in RssCloudLand
			- <a href="http://rsscloud.org/twOpmlTool.html">The beta release</a> of the Twitter Subscriptions List app for your desktop.
			- Next thing up on my release plate, a version of <a href="http://newsriver.org/river2">River2</a> that fully supports rssCloud.
			- <a href="http://lifehacker.com/5337796/backup-and-search-your-friends-tweets-with-google-reader">Lifehacker</a>: Backup and Search Your Friends' Tweets with Google Reader
			- <a href="http://www.educer.org/2009/08/14/an-rsscloud-progress-report-week-one/">Educer</a>: "Google Reader is almost a full fledged Twitter client."
			- Twitter clients -- time to start thinking about two-way RSS support. 
			- Two-way RSS support in Twitter clients means they read real-time RSS feeds, and they generate them. A backup against Twitter's failure.
		- The $299 Walmart laptop
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/15/craptop.gif" width="102" height="137" border="0" align="right" hspace="15" vspace="5" alt="A picture named craptop.gif">The tech industry keeps wanting to think that netbooks are a mistake, but they are not. 
			- Here's a <a href="http://news.cnet.com/8301-13924_3-10306057-64.html?part=rss&subj=news&tag=2547-1_3-0-20">CNET article</a> about a $299 laptop being sold by Walmart and BestBuy. They're cheap, big and run Vista.
			- I'll go over the specs in a minute, but first a story.
			- I just took a trip to New York with my new 13.3-inch MacBook Pro, which is a lovely computer. But the next trip I took, a two-day trip up north, I brought my Asus 10-inch and was much happier because: 1. Much longer battery life. 2. A lot lighter and smaller. 
			- The Mac doesn't even have a replaceable battery. The Asus does. When I travel with it I bring an extra 6-cell, and it's still much lighter than the Mac, and it goes for 12 hours without plugging in. That's a huge important difference. 
			- And the smaller size meant I could make the trip with just one bag instead of two. 
			- People who think there is no reason to get a netbook simply don't have one, I conclude. That's fine for ordinary people, but if you make your living as a tech analyst, that's just plain irresponsible.
			- Now to the specs.
			- 2.2GHz Intel Celeron processor 900, 2GB of memory, DVD-RW/CD-RW drive, 15.4-inch screen, 160GB Serial ATA hard drive (5400 rpm), 802.11b/g wireless, 10/100 Ethernet LAN, Intel's Graphics Media Accelerator 4500MHD, and Microsoft Windows Vista Home Basic Edition operating system. 
			- It's all good till you get to the wireless. I like 802.11n. Much faster. And the OS -- sorry -- I don't do Vista. I have a funny feeling that Microsoft is behind all of this. For some reason they can't handle the idea that people still want their 10-year-old OS. All the R&D that went into Vista, well that's Microsoft's problem, not the users'.
			- They don't say how much it weighs or how long the battery lasts. Heh. I bet it weighs a lot, and I bet the battery doesn't last very long. Is the battery removable?
			- In any case, I'm not surprised the $299 "craptop" sells. But -- I'd also be surprised if they do anything to slow down sales of netbooks. They're in a different class. And it's valid. Get used to it, netbooks here to stay folks. And the big, heavy, Vista class? Well they're probably here to stay too. (And I still love my Macs, and wish they'd make one that was really in the netbook class.)
		- A boy named Sue
			- Had a lot of fun with <a href="http://www.flickr.com/search/?q=scoble&w=22221172%40N00">the Scobles</a> today.
			- At one point I said to the <a href="http://www.flickr.com/photos/scriptingnews/163944864/">elder Scoble</a>, you know people's last names seem to mean something. He smiled. I said I know I have a funny last name. Like the <a href="http://www.youtube.com/watch?v=M89c3hWx3RQ">Boy Named Sue</a>, my father should have sat me down as a boy and said "Son, with that name, you don't get to complain."
			- It was nice going to Germany where my last name means, roughly, "Person from Vienna."
			- I enjoyed calling room service, ordering <a href="http://mp3.morningcoffeenotes.com/misc/wienerSchnitzel.mp3">Wiener Schnitzel</a> and really hamming it up and no one seemed to notice or think it was strange. When the waiter brought the food he pronounced it the <a href="http://mp3.morningcoffeenotes.com/misc/wienerSchnitzel.mp3">same way</a>. ";->"
		- The right and wrong way to do tech
			- Consider these two examples:
			- 1. <a href="http://aws.typepad.com/aws/2009/08/adding-the-export-to-aws-importexport.html">Amazon</a>: "Using a workflow similar to the one you'd use to import data, you prepare a manifest file, email it to us, receive a job identifier in return, and then send us one or more specially prepared storage devices. We'll take the devices, verify them against your manifest file, copy the data from one or more S3 buckets to your device(s) and ship them back to you."
			- 2. <a href="http://www.techcrunch.com/2009/08/15/phil-schiller-is-a-man-on-a-mission-to-save-the-app-store/">Apple</a>: "Rising Card is a magic application developed by Theory11. The reason it was initially rejected after a long period of hearing nothing from Apple was that they felt the app would be confusing to customers. Of course, that was the point of the app as it's a magic trick meant to confuse people. The developers wrote Apple to explain that to them, but heard nothing back. They figured all hope was lost as this was hardly a high profile application, and Apple clearly didn't seem to care too much about it."
			- Amazon creates a service for developers, charges them money, and never asks what you're using the service for. They're happy to help, as long as you pay your bill. 
			- <a href="http://badhair.us/2009/08/13/00028.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/15/coke.gif" width="150" height="213" border="0" align="right" hspace="15" vspace="5" alt="A picture named coke.gif"></a>Apple hires people who do the best they can to follow the orders from the top, and end up rejecting a magic trick app because it confuses the user (which of course is the point). Because there's no money in rejected software they can't afford to spend time with the developer to figure out whether they made a mistake.
			- Apple would do well to throw in the towel on this system, they're in a no-win situation. They're spending money to lose money. Amazon is making tech, and money, and their VPs are enjoying their weekend while Phil Schiller is hearing tales of woe from developers (and presumably from people inside Apple as well).
			- I wish Amazon would make an iPhone-like device that ran the same software as EC2. No, it wouldn't replace the iPhone, at least not right away. But what a test-bed for innovation it would be. Get down to the metal with a platform and distribution system that delivers software to users for pennies (if that much) integrated into the world's largest online store, that takes no stake in the products you're offering. Geez that sounds a lot like the PC or Mac market. Of course <i>that</i> can't work. ";->"
			- BTW, <a href="http://www.scripting.com/stories/2009/04/27/adjixHasABreakthroughIdeaI.html">Joe Moreno</a> of <a href="http://www.adjix.com/">Adjix</a> may have found a breakthrough in URL-shortening that solves all the issues we covered in Thursday's <a href="http://badhair.us/2009/08/13/00028.html">Bad Hair Day podcast</a>. I mention it in this piece because it's the incredibly flexible S3 architecture that makes the solution possible. If it actually works, and I believe it will, I'll write it up next week. 
	- August 14
		- Netscape and RSS
			- Interesting sequence of events.
			- Marc Canter writes a <a href="http://blog.broadbandmechanics.com/2009/08/14/leaving-key-west-blogging/">blog post</a> asking if we should trust Marc Andreessen, after the hole Netscape left its users in when they sold out to AOL. He makes some good points about the browser, esp the part about how they blamed Microsoft for their demise. I think they could have survived it, if they had gotten their software act together. Instead we had five or six years of Microsoft dominance of the browser market, and those were not good years for the web. 
			- But Canter overlooked one thing, without Netscape there never would have been RSS. I said <a href="http://twitter.com/davewiner/status/3314535506">this</a> in a tweet. "Really???" <a href="http://twitter.com/rbonini/status/3314559370">asks</a> Rbonini. Really.
			- Here's the sequence of events that led to RSS 0.91. Obviously this is from my point of view, but all these things did happen and all were necessary for RSS to become what it is today.
			- 1. In 1997, as an experiment to satisfy Adam Bosworth, who was pestering me (jn a nice way) about XML, I produced a syndication of my "news site" -- Scripting News. I called the format scriptingNews format.
			- 2. In 1998, almost nothing happened with this format. A few experiments, but it looked like it was going nowhere. I had other XML-based projects that appeared to have much more promise. 
			- 3. Then in 1999, Netscape comes out with RSS 0.90. It does most of what scriptingNews does, and a few things it didn't do. And vice versa. At first I was upset, they had mostly ignored my work, been incompatible when it would have (imho) been easier to be compatible. 
			- 4. Then I did one of the smartest things I ever did. I surrendered unconditionally. They didn't even ask me to. I adopted their format. Wholesale. Discarded my old format. The way I figured it, I had nothing to lose and everything to gain. Because, and this is the key point -- they had support from content companies, notably Wired, Salon, Red Herring and Motley Fool. In one step, swallowing my pride, little old Scripting News and all the allied sites that used my software, could join the club. So I did it. Goodbye scriptingNews, hello RSS. (It's a little more complicated, I left out a few steps, but this is the net-effect.)
			- Maybe some other BigCo would have come along and do what they did, but with the benefit of hindsight, none  did. It was years before the other tech companies adopted RSS, they came in after the publishing industry, led by the New York Times. It seems that scriptingNews format would have continued doing nothing. I could claim to have invented it, but no one would have cared.
			- Fact is, Netscape did something unusual there, something good. They were a big company that actually stuck their neck out and did something worthwhile. Did Andreessen play a role in it? I have no idea. But the company he started did it, so if he takes responsibility for the bad stuff, seems he ought to get credit for the good stuff.
		- Gatekeeping is a losing strategy
			- Human beings are funny. They struggle to get noticed. Only a few do. And of those only a few get powerful enough to control which other humans get noticed. These people are called gatekeepers. 
			- The idea comes from the days when rich people had <a href="http://en.wikipedia.org/wiki/Gate">gates</a>. The richer you were the bigger and more impressive the gate. I once bought a house that had a gate, but I had it removed. All that was left were two big stone pillars, ornaments with no purpose. They also had a gasoline pump and tank on the property. I had them removed too. Then I removed myself, and now I live in a noisy neighborhood with people walking by all the time. That's how I like it. I learned that I don't like to be isolated, even though I was raised to think privacy is a good thing. Instead we thrive with lots of other humans around us. 
			- You know how Doc <a href="http://www.google.com/webhp#hl=en&q=%22no+demand+for+messages%22+searls">says</a> there's no demand for messages? Well, there's no demand for gatekeepers. In fact there's <i>negative</i> demand for them. Because once a gatekeeper sets up shop, we immediately begin to figure out ways around them. 
			- <a href="http://www.google.com/search?q=Soup+Nazi"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/14/soupNazi.jpg" width="150" height="214" border="0" align="right" hspace="15" vspace="5" alt="A picture named soupNazi.jpg"></a>On the Internet we call them outages. Gatekeepers are outages. They're the connections that don't get made because someone imagines themselves powerful enough to prevent them. But it's only temporary. Like a river that encounters an obstacle, eventually water (influence) piles up behind it, and then either flows over or around it. There's not much future in being an obstacle.
			- If you live long enough in tech, you get to see this happen over and over. I've lived a long time already, and I can testify. I've watched people, even friends, get the idea their influence was so permanent that they, like the <a href="http://www.youtube.com/watch?v=YJyGJQx2Fgk">Soup Nazi</a> on Seinfeld, could say <i>No soup for you!</i> if there was something about you they didn't like. Only in this case, instead of soup, it's flow. My advice -- don't believe it.
			- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">A long time ago</a> I discovered this fundamental rule of the net -- People come back to places that send them away. Places like Google, Yahoo, Craigslist, Youtube, even Twitter. These are the mainstays. You go there to get somewhere else. Sites that try to suck you in and hold you there, no matter how cleverly, go away. While it may seem like a good approach at first, long-term it's a losing strategy.
		- No soup for you
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/VFIVNwiq8ls&hl=en&fs=1&color1=0xcc2550&color2=0xe87a9f"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/VFIVNwiq8ls&hl=en&fs=1&color1=0xcc2550&color2=0xe87a9f" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
	- August 13
		- Every Friday, rain or shine!
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/coke.gif" width="175" height="248" border="0" align="right" hspace="15" vspace="5" alt="A picture named coke.gif">On Twitter there's been a tradition called "Follow Fridays," where you tell your friends who they should follow. It's nice, but I've got another idea, a way to help build and diversify the Internet, and probably help preserve a record of what we were thinking way back in 2009 and 2010. 
			- Every Friday, rain or shine,<i> write a blog post.</i>
			- These days when I think an idea needs elaboration I ask for a blog post. 
			- When you see an interesting idea expressed in 140 chars that you think could use elaboration, ask them to do a longer-form post to explain. Especially on Fridays.
			- Maybe Fridays will become <a href="http://twitter.com/#search?q=%23blogpostfriday">#blogpostfriday</a>.
			- It'll be good for the Internet!
			- Remember, <a href="http://www.scripting.com/stories/2009/08/10/scobleYourBlogStillLovesYo.html">Scoble's blog still loves him</a>, and your blog still loves <i>you,</i> even if you haven't called in a while! ";->"
		- Loose.ly coupled 140-char message network
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/guitar.jpg" width="146" height="393" border="0" align="right" hspace="15" vspace="5" alt="A picture named guitar.jpg">A few ahems...
			- <a href="http://www.slate.com/id/2225283/?from=rss">Farhad Manjoo</a>, writing in Slate, sings the anthem of the new republic. "Microblogging has become too important for one company to rule the field." I agree with most everything in the piece, it's largely a summary of thoughtfully chosen quotes from Scripting News. However, I vehemently object to death metaphors for software, systems and networks. The goal is vibrant, thriving, survivable networks. The headline of the piece is something I can't support. Otherwise, excellent! ";->"
			- A few days ago <a href="http://taylorheffernan.squarespace.com/journal/2009/8/12/on-a-distributed-microblogging-network.html">Taylor Heffernan</a>, a student at the University of Delaware, <a href="http://twitter.com/dai_vernon/status/3259300788">asked</a> if I would drop the insurrection if Twitter became a revolutionary in the cause of loose-coupling. In a heartbeat! In a blink of an eye! In a cycle of a netbook microprocessor! In the time it takes to say the "Y" sound in <i>You Betcha Fer Sure!</i> He reminded me of the way we pulled a fast one on Netscape in 1999 by throwing in the towel on our syndication format and using theirs instead. I'm always a sucker for unconditional surrender, even when it wasn't asked for, much less demanded. 
			- As <a href="http://www.youtube.com/watch?v=VX8GvRfQkk4">Michael Jackson</a> said to Paul McCartney, "I think I told you I'm a lover not a fighter." He also encouraged McCartney to "keep dreaming."
			- I also love that there are bright young people with enthusiasm for the future who are happy to learn from the past. There's hope for the world.
			- And to our friends at Twitter, I know you don't put me on your list of favorite Tweeters and you haven't verified my account, but I would still work with you to make all this <a href="http://www.thedeal.com/dealscape/2009/08/twitters_biz_stone_talks_to_ta.php">stuff</a> work right. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/wallyOfficialSpokesperson.gif" width="98" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named wallyOfficialSpokesperson.gif">One more thing. Even though the <a href="http://loose.ly/">loosely</a>-coupled 140-char message network won't need URL shorteners (at least when messages aren't traveling over SMS) our two guests for this evening's <a href="http://www.blogtalkradio.com/Bad-Hair-Day/2009/08/14/Bad-Hair-Day-8">Bad Hair Day podcast</a> are Eric Woodward of tr.im and Brian Hendrickson of rp.ly. These guys are very interesting leaders in our little micro-community. If you recall earlier this week tr.im made headlines by first announcing it was shutting down and then in response to the incredible outpouring of support decided to give it another go. In the interim, Brian whipped up rp.ly -- and announced it on BHD 7.5 on Monday. It was a welcome surprise, which I wrote about the next day, in a <a href="http://www.scripting.com/stories/2009/08/11/alignTheInterestsOf1UsersA.html">piece</a> that was <a href="http://blogs.law.harvard.edu/doc/2009/08/12/the-ultimate-alignment/">reprised</a> by Doc Searls.
			- And don't forget in the midst of all this michegas, Facebook bought Friendfeed, leaving Scoble with his blog. Of course <a href="http://www.scripting.com/stories/2009/08/10/scobleYourBlogStillLovesYo.html">it still loves him</a>, always will. ";->"
			- TechCrunch doesn't cover us, we block <a href="http://www.scripting.com/stories/2009/05/13/optingoutOfTechmeme.html">TechMeme</a>, we're committed to a new beginning with all-clean <a href="http://www.scripting.com/davenet/1996/02/13/webenergyrules.html">energy</a>. We've done it <a href="http://www.scripting.com/davenet/1995/02/18/billionsofwebsites.html">before</a> we'll do it again. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/twodudes.gif" width="62" height="53" border="0" alt="A picture named twodudes.gif">
			- Join the <a href="http://www.scripting.com/davenet/1998/05/06/yoQuieroScriptingNews.html">revolution</a>! 
		- People who RWW readers follow on Twitter
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/whirly.gif" width="76" height="99" border="0" align="right" hspace="15" vspace="5" alt="A picture named whirly.gif">Yesterday Marshall wrote a story about the Twitter subscription lists app that I put up as part of the rssCloud project. As a result a few hundred people tried it out, and in the process I cached their follow lists. 
			- Then it occurred to me this morning that this is an interesting data set. It represents some slice of the RWW readership and tells us something about who they follow. Unlike the usual argument that Twitter follower lists are garbage, these clearly are not. They represent real people with an interest in some bleeding-edge tech. Who they follow, to me, is intensely interesting. 
			- <a href="http://scripting.com/misc/rwwReadersFollows.html">So here's the list</a>, see what you think.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/twodudes.gif" width="62" height="53" border="0" alt="A picture named twodudes.gif">
		- Custom browser for Facebook
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">Marshall Kirkpatrick, my partner in the <a href="http://badhair.us/">Bad Hair</a> podcast, has a <a href="http://www.readwriteweb.com/archives/rockmelt_netscapes_andreesen_backing_stealth_facebook_browser.php">scoop</a> worthy of comment on Scripting News. 
			- Apparently Marc Andreessen, the founder of Netscape and a new venture capitalist, is backing a venture to create a custom browser for Facebook.
			- There are many millions of people who would go for this, it's a no-brainer.
			- On the other hand, it's a throwback to an earlier era -- AOL also had its own browser. Helps cement Facebook's position as the AOL for this decade.
			- The silo gets cushier, but it's still a silo. ";->"
			- Marshall goes on to say "it's contrary to the growing storm of support building for a distributed framework for social networking." Amen to that. 
			- <a href="http://rsscloud.org/">http://rsscloud.org/</a> 
			- BTW, we have a great pair of guests for our <a href="http://badhair.us/">podcast</a>, live this evening at 7PM Pacific. Details forthcoming.
		- Seeing superiority
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/13/lesPaulGuitar.jpg" width="114" height="318" border="0" align="right" hspace="15" vspace="5" alt="A picture named lesPaulGuitar.jpg">So many connections are missed because people feel superior to others.
			- "He doesn't know how to make systems scale," observes an engineer who does. But he fails to observe that the other guy knows how to do things he doesn't. Sometimes people miss what they don't have (wish I was thinner, richer, younger) and other times we're so oblivious we can't even see it exists (he knows how politics work, he knows how to reduce things to their core simplicity).
			- Better to assume that everyone you meet has something to offer that you can use. Otherwise, why did you meet them? 
			- Sometimes you meet people who are so open, so ready -- and sometimes people are too open and too ready -- you get scared and back off. Gotta strike a good balance. Don't stand behind a huge wall and don't get in the other guy's face.
			- Do you believe in a purposeful existence -- that everything happens for a reason? Well, you just ran into this guy for a reason. Now are you going to find out what it is or let the opportunity pass?
			- I guess it's unavoidable but we erect barriers to keep people out. We tell ourselves stories about how much better we have it than they do. Too old, too young, too fat, too needy. But you can always flip it around and imagine it the other way. I've seen ridiculous examples of people who had almost nothing, feeling superior to others, who it could be argued, are vastly better off than them. The mind can play some really huge tricks.
			- I can't tell the specific stories behind these observations because they involve people who are living who I care about. But I can share the observations and hope to help make more of the connections that want to happen, actually occur. 
			- For whatever reason, this is what my eyes are open to right now. 
			- I try to remember that:
			- 1. We're all <a href="http://mp3.morningcoffeenotes.com/misc/firesignTheaterBozos.mp3">bozos</a> on this bus.
			- 2. My shit stinks. (So does yours.)
			- 3. It's not like anyone gets out of this alive. ";->"
			- <a href="http://www.scripting.com/stories/2009/07/31/fromtheschoolofhardknocks.html">7/31/09</a>: "Don't waste time on other people's qualities, intelligence, hypocrisy, honor. Distractions. What matters is what <i>you</i> do."
	- August 11
		- Align the interests of: 1. Users and 2. Investors.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/11/bowler.gif" width="156" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named bowler.gif">Last night Marshall and I did a flash call-in version of the <a href="http://badhair.us/2009/08/10/00027.html">Bad Hair Day podcast</a> to discuss the acquisition of FriendFeed by Facebook. It was the first time I used BlogTalkRadio's call-in feature, and I liked it, and I want to do it again. 
			- Toward the end of the show Brian Hendrickson of Portland called in to say that he was launching a replacement for <a href="http://rp.ly/">tr.im</a> called <a href="http://rp.ly/">rp.ly</a>. Then somehow the subject turned to how to build a sustainable thing out of his daring act. I gave a lame answer. In my defense, I wasn't prepared. After much more thought I know the answer and I'd like to share it here.
			- Before giving the answer let's be clear on what the question is.
			- Brian is a young ambitious hard-working creative persistent developer. I can vouch for all that. He lives in Portland, but when we have events here in the Bay Area, he comes. He never gives up, never flames, and his stuff works. He's got all the attributes you look for in an entrepreneur.
			- The question is this -- how to build a sustainable user-oriented business around Brian's talents so that it doesn't let the users down as the investors' interest diverges from the users' interest. That's what's going with FriendFeed and Twitter, when you really drill in. Some of it is incompetence and fear. Twitter's SUL is just plain <a href="http://www.scripting.com/stories/2009/06/19/twitterHeadingOffEditorial.html">dumb</a>, it's not in <i>anyone's</i> interest. But FriendFeed getting acquired and not protecting the users, that is simple divergence. Their stockholders and the users had different interests. 
			- Anyway, when you frame the question this way the answer is very clear. You have to align the interests of the users and the investors. 
			- Think about that for a minute. 
			- Align the interests of: 1. Users and 2. Investors.
			- How to do that?
			- Well, they need to be the same people. ";->"
			- Get ready for some non-linear thinking folks, because this is not the 20th Century. It's not Kansas and Twitter isn't Toto and the VCs aren't the Wicked Witch -- they're just business people following their training and instinct the best they can.
			- To understand how this can work, back up a few years and then a few years more.
			- Why did Google get such an outrageous market cap when they IPO'd? I maintain it's because they had a huge number of users who understood their product and were <i>very</i> excited about it.
			- Okay back up another generation. Before Netscape went public the assumption was they needed revenue at a 20 percent pre-tax margin. They squeaked by if you looked at the numbers the right way in the right light, and squinted. But in the end none of that mattered. The stock didn't end up pricing based on the old metrics. Why? Same thing -- they had a huge number of users who undestood their product and were excited about it. They bought the stock and bid up the price. And up and up and up.
			- We're now in the same place again. The question is this -- okay Brian isn't a Google or a Netscape. Neither is tr.im. Neither are the handful of developers who are excited by <a href="http://rsscloud.org/">rssCloud</a> and the idea of a loosely-coupled distributed 140-character message network. But who says public offering have to be mega-size. They don't. Sometimes they're very small affairs. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/11/wimpy.gif" width="85" height="129" border="0" align="right" hspace="15" vspace="5" alt="A picture named wimpy.gif">And that imho is the answer -- we, the users, need to own a technology company -- and have it work to serve our interests. It has to help us achieve our goals to do what <i>we</i> are excited about. I believe the users are worth betting on, much more than I believe that Marc Andreessen or Larry and Sergey really had any idea how to tap into the potential of their inventions (with no disrespect to any of these brilliant people). The visionaries were the people who believed their stock was worth a lot more than anyone in Silicon Valley did.
			- So that's what I'd like you all to think about -- founding a People's Software Company whose first act is to IPO and pool the financial resources of users who believe there is a gap in what Silicon Valley is providing using their old models for corporate structure. We're living in the proof that the gap exists, with all the failures of the centralized system in just the last week. See if your imagination takes you to the same place it takes me. 
			- PS: I've turned off comments on this post. I may explain why in a subsequent post. ";->"
	- August 10
		- Scoble, your blog still loves you
			- Just got off the phone with <a href="http://scobleizer.com/2009/08/10/facebook-friendfeed/">Robert Scoble</a>.
			- I've known him for a long time. He's not so much a Natural Born Blogger as he is a Natural Born Evangelist. 
			- For the last couple of years he's committed himself to the success of FriendFeed. It's really been awful to see how much he promotes it. All the time, as I watch, I'm thinking -- "Those guys are going to screw him."
			- <a href="http://www.facebook.com/press/releases.php?p=116581&_fb_noscript=1">Today</a> it <a href="http://blog.friendfeed.com/2009/08/friendfeed-accepts-facebook-friend.html">happened</a>.
			- All the effort he poured into FriendFeed is for naught. They sold to Facebook. In the announcements, no mention of the users, and certainly no mention of Scoble. Now would have been the time for them to tip him, throw him a few thousand. Or if not money, how about at least a <i>hat</i>-tip -- an acknowledgement of the help they received from users, esp Robert Scoble. Nothing. They didn't even give him the first interview.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/10/love.jpg" width="150" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.jpg">Scoble it's time to use the web again to store our ideas, and instead of relying on Silicon Valley companies to link our stuff together, let's just use the Internet. That's what it was designed for.
			- And I told him I'd write a blog post about him, and that he'd like the title. 
			- Our blogs are still there, as is the web and the Internet. They never went away just because we foolishly flirted with something fast and easy and seductive. Our blogs never went away, they're still ready to share our ideas and connect us with others. 
			- We'll go back to basics now, take what we learned from this round of innovation, and build it for real this time.
		- Enough with shortened URLs
			- Enough!
			- With every shortened URL the foundation of the 140-character-sphere gets shakier. Now we know that when Twitter switched from tinyurl as the default shortener to bit.ly, they cut off the path to growth for the other entrepreneurs exploring this space.
			- Now, according to <a href="http://mashable.com/2009/08/10/shorturl-savior/">Mashable</a>, bit.ly wants to absorb tr.im. They would make tr.im URLs work for the forseeable future. That is, until bit.ly runs out of cash and has to shut down because it doesn't have a way to support their service.
			- Uncle!
			- URL-shorteners are at best a temporary workaround for a limit Twitter shouldn't have.
			- It's time for Twitter to add a simple feature to their platform that allows users to attach a URL of arbitrary length to a message, without using up any of the 140 characters. That would be the rational way to get out in front of this mess -- to remove the reason it exists. 
			- Even if they can't implement it immediately, just announcing that they will would restructure the "market" and allow us a way forward that has a teeny bit of safety. We will still have the mess of the last three years to clean up. No way to avoid that.
			- If Twitter won't do that, then it's time that users insist that URL-shorteners at least provide the safety that Feedburner provided, by allowing users to point a subdomain at their server, and use that as the address for their shortened URLs. If tr.im had that feature, I would now be able to take over hosting of my own tr.im URLs and walk away from the mess. However because they didn't have that feature, I, and every other tr.im user, is stuck. Locked in, with no way out.
			- Twitter created this mess, now it's time for Twitter to become a leader in its own community and get involved in cleaning it up. 
			- Two choices: 1. Obviate shortened URLs, or 2. Require portability. 
	- August 9
		- tr.im announces shutdown
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/09/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">I've done a lot of building on the tr.im url-shortener, as have quite a few other developers. They just <a href="http://blog.tr.im/post/159369789/tr-im-r-i-p">announced</a> that they're shutting down. It's not clear what the timeframe is and how long we have to transition. Nor is it clear what will happen with all the tr.im urls that are already out there, will they break, and if so, when?
			- The mess this creates makes me feel pretty queasy. I wish this were someone else's problem so I could watch from afar and think "There but for the grace of Murphy go I." But this time the problem is mine. I've done a fair amount of building on tr.im, and I have at least a few users, <a href="http://nieman.40twits.com/">Nieman</a> and <a href="http://jay.40twits.com/">Jay Rosen</a> among them, who are using my <a href="http://dave.40twits.com/">tr.im-based tool</a>. <i>Really</i> glad I didn't open up the 40twits app for broader use. 
			- If there are any url-shorteners out there that support the same <a href="http://www.google.com/search?q=url+shorteners+api">functionality</a> as tr.im, please post a comment here.
			- And Twitter, when your DDoS problems are cleared up, please take a look at obviating the need for url-shorteners. This is a harbinger of much more serious problems down the road, should bit.ly prove not to be a profitable business, as tr.im has proven.
		- Narrate Your Work
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/09/typewriter.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named typewriter.jpg">Over the years I've seen ideas that show up over and over in various different forms, and when we discover one, we give it a name. Examples. Jay Rosen came up with <a href="http://journalism.nyu.edu/pubzone/weblogs/pressthink/2009/01/12/atomization.html">Atomization</a>. Doc Searls said <a href="http://cluetrain.com/book/markets.html">Markets Are Conversations</a>. David Weinberger has so many -- including <a href="http://www.smallpieces.com/">Small Pieces Loosely Joined</a> and <a href="http://www.hyperorg.com/blogger/2009/07/19/transparency-is-the-new-objectivity/">Transparency is the New Objectivity</a>. Clay Shirky says <a href="http://www.herecomeseverybody.org/">Here Comes Everybody</a>. Jay and I together came up with <a href="http://rebootnews.com/">Rebooting The News</a>. Some of mine are <a href="http://www.scripting.com/stories/2009/05/15/sourcesGoDirect.html">Sources Go Direct</a>, <a href="http://www.reallysimplesyndication.com/riverOfNews">River of News</a>, <a href="http://www.scripting.com/davenet/1995/09/03/wemakeshittysoftware.html">We Make Shitty Software</a>, <a href="http://www.scripting.com/stories/2007/04/23/tvNewsOfTheFuture.html">Checkbox News</a>, <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">People Come Back to Places that Send Them Away</a>, Ask Not What the Internet Can Do For You, The Platform with No Platform Vendor, It's Even Worse Than It Appears.
			- Now I'm going to add one, and provide a fantastic example. It's the title of this piece -- Narrate Your Work.
			- Narrate Your Work is something I used to tell my team at UserLand Software, because we were a virtual team, with people in Seattle, Boston, Vancouver, Germany and California. But it would have applied even if we were all working in the same office. As a manager, I wanted to know where my people were, because if they were completing a project I needed to be thinking about their next steps and how their deliverables fit in with other stuff that was coming online. And if they were late I needed to understand why. We even developed technology for this, and Hutch Carpenter <a href="http://bhc3.wordpress.com/2009/01/16/before-there-was-twitter-there-was-dave-winers-instant-outliner/">discovered</a> the docs for it, and was excited about the discovery, and I was excited for his excitement. 
			- <a href="http://inessential.com/2009/07/04/brentsdevdiary-on-twitter">Brent Simmons</a>, who was on our team at UserLand, went on to write NetNewsWire and other gems after leaving the company. Brent uses <a href="http://twitter.com/brentsdevdiary">Twitter</a>, to this day, to narrate his work. You'd have to ask Brent why he does it, but I'm glad he does. I like how his mind works, I learn from him. He's also a friend and a guy I respect, so I like to stay in touch, and this is one way to do it.
			- Twitter is very much a Narrate Your Work environment, in addition to the many other things it is. In a way its question What Are You Doing? is what Narrate Your Work asks of you too. 
			- So that's what Narrate Your Work means. I wouldn't waste your time with all this theory unless I could show you how all this fits in with Rebooted News and the News System of the Future. Here's a recital of what happened.
			- 1. As you may know, at roughly noon Eastern time yesterday a plane crashed into a helicopter over the Hudson River in NY, killing all nine people aboard both.
			- 2. I was away from my computer when it happened, didn't check in until about an hour later, and on Twitter there was a mess of conflicting stories, and lots of individuals "breaking" the news even though it happened over an hour ago.
			- 3. I clicked on the <a href="http://nyt.100twt.com/">page</a> of NYT editorial people on Twitter that I keep and I saw something very different, and this is the point of this story. I saw a news organization at work. Careful to say what they do and don't know. Informing each other on experience with similar stories in the past. Whether they were all reading all of the others' posts, I don't know. They were reading and passing on reports from other Twitter users, even those that didn't work at the Times. They were coordinating the work of a larger community than just people who work at the Times. 
			- 4. I took a <a href="http://scripting.com/misc/nyttwittercrash/">snapshot of the page</a> at that time so we could all look at this.
			- Now why do I think this is so important? Because it's a big part of the future Rebooted News system, imho. Today's reporters don't think the public wants to see inside their process, but they are wrong about that. Many of us totally want to look inside and watch them at work for a variety of reasons:
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/09/mwom.gif" width="138" height="193" border="0" align="right" hspace="15" vspace="5" alt="A picture named mwom.gif">1. We thirst for instantaneous real-time news. The cable networks have been simulating it for decades, but not delivering very often. Go back to the Gulf War, and how we were all glued to CNN watching for any hint of new information. It became an obsession that was repeated in the 2000 election and in the aftermath of 9-11. Now we try to grab for that sense of immediacy whenever possible, and they market to us on that basis even naming their show The Situation Room, when it is nothing of the sort. 
			- 2. But cable news isn't where it started, it started with the <i>idea</i> of news. It's not history or analysis, it's <i>what's happening now.</i> Think about how the Iran Hostage Crisis spawned Nightline and how the networks covered the Nixon resignation, or the moon landing or the assassinations of JFK, RFK and MLK. (In the recent spate of bios of <a href="http://news.google.com/news?q=walter cronkite">Walter Cronkite</a> I learned that he broadcast from the room he worked in at CBS News, not from a set on a stage. It's as if he was prepared to go on the air at any time and it wasn't appearances that mattered. At that time, to CBS, news was a functional thing.)
			- 3. We also want to feel to be a part of the news process. Again this is something the networks are playing lip service to. But the Times people on Twitter aren't just pretending to use sources outside their own newsroom, they are actually doing it. And you can see it.
			- 4. Weinberger says we should seek transparency, and of course I agree -- it's my theme song too. You can see real reporters dealing with a true breaking story not just a simulation of a breaking story, let their hair down and share everything they know with the world. This is the impulse of news, it's not about hiding things until they're ready, but when you know something for a fact, you want it out there as quickly as possible. And as long as something is clearly labeled as speculation it's every bit as true as a fully vetted fact.
			- 5. Twitter is at least a dress rehearsal for the news system of the future. A key component of this system is that it is used both as the back room for narrating news work and for the finished delivered news product. It's this duality that makes electronic news vital. I first saw this in the <a href="http://www.scripting.com/dwiner/outlinersProgramming.html">LBBS</a> and <a href="http://davenet.scripting.com/1995/01/04/demoingsoftwareforfunprofi#8">MORE</a> software I did in the 80s, then in Manila in the 90s, and I believe we will see it in the news system that comes out of Twitter. You have two modes of viewing the content, the editorial view and the finished product view -- but it's important that the are just views on the same data, so when a change is made to one, it automatically appears in the other. This was the key concept in Manila's <a href="http://davenet.scripting.com/1999/05/24/editThisPage">Edit This Page</a> function.
			- 6. Lenn Pryor at Microsoft figured this out a few years back when he started the <a href="http://www.wired.com/wired/archive/15.04/wired40_microsoft.html">Channel 9</a> website. Channel 9 is the audio channel on airplanes that allows you to listen to the cockpit conversation. Pryor set out to create that kind of experience for users of Microsoft products. Lenn is a creative guy who went on to work at Skype. He also coined the term <i>unconference</i> for the format we were using at BloggerCon. 
			- Update: The Times <a href="http://twitter.com/palafo/status/3213052552">stays</a> with the story. 
	- August 7
		- Trading one centralized net for another?
			- Interesting <a href="http://regulargeek.com/2009/08/07/yet-another-call-for-a-federated-twitter/">question</a> came up in response to yesterday's <a href="http://www.scripting.com/stories/2009/08/06/anotherBrickInTheCloud.html">piece</a> about naming. Since name resolution is inherently centralized, aren't we trading one vulnerable system for another? Couldn't a hacker take down the name server just as easily as they swamp twitter.com with zombie requests?
			- First, I'm not an expert on this subject, so take everything I say with a grain of salt.
			- Second, let's summarize the problem we're solving. 
			- We're trying to turn a mnemonic like <i>judy</i> into a URL like looselycoupled.net/judy.xml.
			- If the name server were to go down, one thing we lose is the ability to find new people. But our clients still know how to find all the people we were subscribed to before the attack. We also lose the ability to relocate feeds that move. But that's only temporary, and we still have HTTP-level redirects, and we don't have that ability in the RSS network today and we seem to get along okay. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/08/07/meowfull.gif"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/07/meow.gif" width="125" height="185" border="0" align="right" hspace="15" vspace="5" alt="A picture named meow.gif"></a>Another observation. Somehow the domain name system survives these kinds of attacks (knock wood). That's all we're talking about here, a service that's no more complex than DNS. And like DNS, the net could operate indefinitely even if it went down, though we'd lose the ability to find new people or ones that moved.
			- One more comment, unrelated to the centralization question. A question that keeps coming up. Why not have the name be like an email address, like judy&#64;looselycoupled.net instead of judy. There are several reasons why. 1. Twitter has nice short names, and if you want to be as easy as Twitter, you have to have short names too. 2. The goal is to map a name to a URL. If the name has all the info the URL does, why bother mapping at all? No point, just skip the whole thing and have users enter URLs.
			- I posted a <a href="http://www.scripting.com/stories/2009/08/06/fightForEveryInchOfSimplic.html">video excerpt</a> from Oliver Stone's movie <a href="http://en.wikipedia.org/wiki/Any_Given_Sunday">Any Given Sunday</a> where Al Pacino tells the team they have to fight for every inch if they want to win. I've learned that simplicity in protocols is the same. You don't get many breakthroughs, most of the simplicity comes from fighting for every inch. Stone, speaking through Pacino, tells the story infinitely better than I can.
		- How many RSS updates per second?
			- <a href="http://images.google.com/images?q=mao art"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/07/communistart.gif" width="125" height="180" border="0" align="right" hspace="15" vspace="5" alt="A picture named communistart.gif"></a>Jim Posner asked an interesting question via email.
			- "I was wondering about your estimate re: the number of rss updates per second there are on the web. Crazy question I know but just trying to understand orders of magnitude.
			- "If I were to subscribe to every available feed on the net do you think that would be 1000/updates a sec or closer to 1M/sec. Any guidance appreciated."
			- I responded that I don't have any idea. But I bet it's 1000 times what Twitter does. And it never goes down and isn't subject to a DOS attack. 
	- August 6
		- rssCloud news
			- The cloud keeps right on rollin along! ";->"
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/culturalrevlution.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/06/maocloseup.jpg" width="115" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named maocloseup.jpg"></a>I love this <a href="http://www.rexblog.com/2009/08/06/19830">piece</a> by Rex Hammock on rebooting his Twitter follow list. It's great for a bunch of reasons. 1. Rex is a smart user. 2. He was inspired in part by Jay Rosen, who said in our <a href="http://rebootnews.com/2009/07/27/00024.html">July 27</a> podcast that he treats his subscription list as a resource for others who want to find people to follow in his field of expertise. 3. Rex relied on the rssCloud <a href="http://rsscloud.org/twitterSubscriptionlists.html">tool</a> released earlier this week. 
			- Developers -- it's our job is to listen to smart users like Jay and Rex, and then give them the tools to create the revolution. We are at best enablers. I do mean best. When we see ourselves as the show, we miss the point. The users are what's happening. 
			- <a href="http://tech.groups.yahoo.com/group/rss-cloud/">I started a mail list</a> for developers working on rssCloud. Moderated at first to keep out the trolling and the spamming.
			- <a href="http://images.google.com/images?q=mao+warhol"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/06/maoWarhol.jpg" width="115" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named maoWarhol.jpg"></a>Now, that's not to say that developers can't be users too. The best ones are, and man that is powerful because there can be really good communication betw the user and the developer if they're in the same body. A good example -- <a href="http://www.scripting.com/stories/2009/08/05/opmlForTwitterDay2.html#comment-13990917">Matt Mullenweg had the idea</a> to import his Twitter subscription list into Google Reader and it worked. However, all the subscriptions were imported at the top level, meaning he had a clean-up to do. 
			- So I added a feature to the app, if you add "&folder=1" to the end of the URL it creates an extra level in the OPML, designed for import into Google Reader (and probably other RSS aggregators as well). Example: 
			- <a href="http://tw.opml.org/get?user=jkottke&folder=1">http://tw.opml.org/get?user=jkottke&folder=1</a>
			- 1. <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/savedialog.gif">Save</a> the list to your desktop. 
			- 2. In Google Reader, click on Settings (in the upper-right corner of the window), then Import/Export. 
			- 3. Click the Browse button and choose the file you saved above.
			- 4. Click the <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/importexport.gif">Upload button</a>. 
			- 5. When you return to the Google Reader <a href="http://www.google.com/reader/view/">main page</a>, you'll <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/kottkeReader.gif">see a new top-level</a> section for your Twitter subscriptions.
			- Now you can follow Twitter folk in Google Reader. Heh. ";->"
			- Re Twitter's problems today. Centralized networks are especially vulnerable to DOS attacks. Loosely-coupled networks can do better. I wanted to post that to Twitter, but it's under attack. Not a joke, but something to continue to think about, planning for the future.
			- <a href="http://www.scripting.com/stories/2009/08/06/anotherBrickInTheCloud.html">Update</a>: How do you manage the global namespace in a loosely-coupled 140-character message network.
		- Fight for every inch of simplicity
			- <object width="425" height="344"><param name="movie" value="http://www.youtube.com/v/myyWXKeBsNk&hl=en&fs=1&color1=0x2b405b&color2=0x6b8ab6"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/myyWXKeBsNk&hl=en&fs=1&color1=0x2b405b&color2=0x6b8ab6" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="425" height="344"></embed></object>
			- People ask why not compromise and make it slightly more complicated for the user to gain a convenience for the developer. I say NFW. I fight for every inch of simplicity. Because every time you compromise you lose people. Add it all up and winning often means you fought for every inch. 
			- This speech by Al Pacino from Oliver Stone's <a href="http://en.wikipedia.org/wiki/Any_Given_Sunday">Any Given Sunday</a> may be corny and simplistic, but it works. ";->"
		- Another brick in the cloud
			- Got a couple of interesting calls this morning on the development of rssCloud. The idea is picking up steam. I'm liking it. For a lot of these things this is the second or third time I'm implementing them. That gives a certain confidence that you know how to do it, and know what the pitfalls are, and what challenges are coming down the pike.
			- One question comes up a lot -- how do you manage the global namespace in a loosely-coupled 140-character message network. 
			- Twitter handles it <a href="http://www.scripting.com/stories/2009/08/06/fightForEveryInchOfSimplic.html">simply</a>, they have a server at twitter.com and when you give it a username it knows what data it applies to. It doesn't expose the internals. That's different from the Internet's domain name system, that turns a name like google.com, yahoo.com or us.gov into numbered addresses like 74.125.67.100, 209.131.36.159 and 209.251.180.18. 
			- So in a loosely-coupled world how will this work?
			- 1. We want to map names like jason, guy and carol to URLs like <i>random.com/guy.xml</i> etc, etc.
			- 2. Probably the way it'll work is there will be a central server run by a foundation that does exactly this mapping and nothing more. It's an identity server. You sign up for a username and password and store one bit of data, the URL of your feed of 140-character messages. 
			- 3. Another possibility is to borrow the architecture of DNS, and make it a registrar problem. Sign up with Godaddy or Network Solutions or Gandi and create a domain. Now the challenge is to have that name point to a URL instead of a dotted ID. I'll leave that up to the DNS gurus to decide if it's possible or too <a href="http://en.wiktionary.org/wiki/egregious">egregious</a> a hack. 
			- 4. Yet another possibility is to let twitter.com handle the bootstrap. Conveniently they have <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/url.gif">space</a> for a URL in each user's profile. If you've got an aggregator and the user says they want to subscribe to someone named <i>pearl,</i> look on Twitter for <a href="http://twitter.com/pearl">such</a> a user, get the URL from their profile, read it, and if it's an RSS file with a cloud element, you're home. If not, it's an error. 
	- August 5
		- Tasted even better than it looks
			- <a href="http://www.flickr.com/photos/scriptingnews/3792514597/" title="Chirashi at Sushi Ran by scriptingnews, on Flickr"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/05/sushi.jpg" width="300" height="400" border="0" alt="A picture named sushi.jpg"></a>
			- Sampled at <a href="http://maps.google.com/maps?oe=utf-8&rls=org.mozilla:en-US:official&client=firefox-a&um=1&ie=UTF-8&q=sushi+ran+sausalito&fb=1&split=1&gl=us&view=text&latlng=16910589477649765037&dtab=2&ei=dhJ6StiGLozAsgPA_IjNDw&sa=X&oi=local_result&ct=result&resnum=1">Sushi Ran</a> in Sausalito.
		- Four stories
			- <a href="http://davenet.scripting.com/1997/04/05/HailThis#2">In 1997</a>, the tech press knew three stories: 1. Apple is dead. 2. Microsoft is evil. 3. Java is the future.
			- <a href="http://twitter.com/davewiner/status/3149285297">In 2009</a>, the stories are: 1. Heard a rumor. 2. Rewrite press release. 3. Steve Jobs. 4. Twitter has no way to make money.
			- So that's some progress. They added another story!
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/05/cheesecake.jpg" width="50" height="45" border="0" alt="A picture named cheesecake.jpg">
		- OPML for Twitter, Day 2
			- Great reception for <a href="http://rsscloud.org/twitterSubscriptionlists.html">yesterday's rollout</a> of OPML for Twitter Subscription Lists.
			- Some thoughts from various people.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/05/mao.jpg" width="125" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named mao.jpg">Kevin Tofel at <a href="http://jkontherun.com/">jkOnTheRun</a> asks if it makes sense to output not just the people you follow but the people who follow you. At first I was going to say no -- but then I remembered a very important thread that came up at the NYC meetup. What about when Ashton Kutcher wants to move his base from twitter.com to kutcher.com. He's going to need a way to export his follower list. So yes, it matters. Now I'm not sure I want to deal with an OPML file with over 3 million entries. So we need to think about this before writing the code. ";->"
			- Shea Bennett at <a href="http://twittercism.com/">Twittercism</a>, a very smart guy when it comes to Twitter, has a twist on Kevin's idea. He says OPML can be used to move subscribers between Twitter accounts. Hadn't thought of it, but yes -- it certainly can. 
			- Phil Torrone <a href="http://rsscloud.org/twitterSubscriptionlists.html#comment-13956971">says</a> MAKE is the only OPML magazine. He's into what I call <a href="http://www.scripting.com/stories/2009/05/24/whatAreReadingLists.html">reading lists</a>. Same idea Jay Rosen came up with for his Twitter followers. I think this time around it's going to happen. I make a list of great people you should follow, and maintain it. When I add one to the list, you automatically follow. When I remove one, you automatically unfollow. My guess is the Twitter folks already have something here too. 
			- As I said in NY, I'm wanting to build something <i>alongside</i> Twitter, not instead of Twitter. I don't believe in killing in tech, I believe in respectful and peaceful co-existence. It's what really happens. Not the drama the reporters want, but the continuity users want. 
	- August 4
		- Anil's belly laugh
			- <a href="http://rsscloud.org/twitterSubscriptionlists.html">This should be fun</a>.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/04/santa.gif" width="125" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named santa.gif">An experiment. It's just a test. I put up a web service that returns a Twitter subscription list as OPML. You should be able to import it into your RSS aggregator or feed reader. But it's just a test. When the experiment is over the service will come down. It just builds on the Twitter API and took me a couple of evenings to put together. It's not Big Tech, it's just a little thing. But interesting? Perhaps.
			- For example, here's the <a href="http://tw.opml.org/get?user=cluelessnewbie">subscription list</a> for "cluelessnewbie," a fictious user who follows the 100 most-followed people on Twitter (that's what makes him so clueless). 
			- Here's <a href="http://tw.opml.org/get?user=jayrosen_nyu">Jay Rosen's</a> subscription list. <a href="http://tw.opml.org/get?user=dannysullivan">Danny Sullivan</a>. <a href="http://tw.opml.org/get?user=gangfan">The Gillmor Gang</a>. <a href="http://tw.opml.org/get?user=gruber">Gruber</a>. <a href="http://tw.opml.org/get?user=om">Om</a>. <a href="http://tw.opml.org/get?user=loic">Loic</a>. <a href="http://tw.opml.org/get?user=dsearls">Doc Searls</a>. <a href="http://tw.opml.org/get?user=anildash">Anil Dash</a>.
			- When I sent a preview link to Anil, here's what he said: "This got one of those immediate belly laughs that only come from seeing something new and realizing exactly how disruptive it can be. :-)"
			- He's right -- it's part of <i>Le Grand Bootstrap</i> that's underway.
			- Who knows where it leads?
			- And that's why it's so much fun!
			- Here's <a href="http://rsscloud.org/twitterSubscriptionlists.html">the full writeup</a>.
	- August 3
		- Chrome bookmark synch
			- I've been <a href="http://twitter.com/MarkCooper/status/3113710864">asked</a> if Chrome's announced <a href="http://www.betanews.com/article/Google-Chrome-to-sync-with-Google-accounts/1249320731">bookmark synch</a> is enough to get me to switch from Firefox.
			- Short answer: No.
			- Why?
			- 1. Right now all my machines run Firefox, and most of them are Macs. Chrome doesn't run on Macs. Yes I know they have a pre-alpha. Let me know when it's solid. And I might not do it even then.
			- 2. I don't like it when a BigCo plays hardball with a little guy. I like XMarks. It works, and before Chrome competes with it, they should give them a chance to support their browser. 
			- 3. I like XMarks because a focused developer is going to care more about the service than a huge company that has lots of irons in lots of fires. They could easily forget about bookmark synch, if for example, a key engineer quits, or gets interested in something else. Bookmark synch is how XMarks' bread is buttered.
			- 4. I'm scared of giving Google all my data. What if someday they decide I don't exist. What recourse would I have?
		- Rebooting the News #19
			- <a href="http://rebootnews.com/2009/08/03/00024.html">Show notes</a>.
			- <a href="http://mp3.morningcoffeenotes.com/reboot09Aug03.mp3">MP3</a>.
			- <a href="http://rebootnews.com/rss.xml">Feed</a>.
		- Followup on NYC rssCloud roadshow
			- <a href="http://www.flickr.com/photos/scriptingnews/3752868478/"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/03/lunch.jpg" width="175" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named lunch.jpg"></a>Last Thursday we had a very <a href="http://www.scripting.com/stories/2009/07/24/meetupInNycNextThurs.html">successful meeting</a> in NYC to discuss development of the 140-character loosely-coupled message network built on <a href="http://rsscloud.org/walkthrough.html">rssCloud</a>. 
			- The main immediate followup was to create an place for online discussion.
			- Let's use the comments on this post to begin.
			- My preference is to set up a YahooGroup, but if there's a consensus to use some other collaborative environment, I'll go with it. 
	- August 1
		- Hey Mike, I told you so
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/01/mean.jpg" width="125" height="121" border="0" align="right" hspace="15" vspace="5" alt="A picture named mean.jpg">In Sept 2008 Mike Arrington over on TechCrunch <a href="http://www.techcrunch.com/2008/09/14/of-course-youll-keep-developing-for-the-iphone/">said</a> that no matter how bizarre the setup over at the App Store, I would "keep developing for the iPhone," even though I had never developed for it. Obvious nonsense. Even if it was a wide-open platform I would have only considered investing in iPhone apps. I wouldn't have gotten the skill myself because it looked like a dead-end, and by Sept 2008 we knew it was <a href="http://www.scripting.com/stories/2008/09/13/whyIphoneIsAnUreliablePlat.html">headed toward the mess</a> it has now <a href="http://money.cnn.com/news/newsfeeds/articles/djf500/200907311912DOWJONESDJONLINE000919_FORTUNE5.htm">become</a>. You heard it here first. 
			- The iPhone should have run the same software as the Macintosh. When I first heard about it, I misunderstood and thought I'd be able to write Frontier scripts that ran both on my desktop and the phone. I was a Blackberry user at the time, and I found the idea of a MacPhone truly inspiring. From there, it went downhill, and downhill and downhill. This platform was Apple's revenge on developers. Everything under their control. You couldn't even ship a product that Apple didn't approve of! Obviously that was going to be abused, and it has been, but finally it's become so ridiculous that it's obvious, <a href="http://www.techcrunch.com/2009/07/31/i-quit-the-iphone/">even to Mike</a>, that it can't work. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/01/cc.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named cc.gif">I've been through this loop many times, this is Mike's first. The only platform that really works is a platform with no platform vendor, and that's the Internet. 
			- Steve Jobs is the anti-Internet. The Internet is utilitarian, it works, but it's ugly. Jobs's stuff is so beautiful that when taken to its logical conclusion, and he's almost there now, it's so dazzling, so beautiful that you fail to see that it is also useless.
			- There's still a ton of Woz in the Mac, I am typing this on a gorgeous unibody MacBook Pro, which is probably the most lovely computer I've ever used. The software I'm using has never been approved by Apple, and can be downloaded from the Internet. Next to it is an iPhone, which I use only as a phone, an IM device and a communicating camera. It sucks as a phone. The IM is okay and the camera is really nice. But as a platform it's a complete total disappointment. 
		- The crazy ones
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/Dvn_Ied9t4M&hl=en&fs=1&color1=0x2b405b&color2=0x6b8ab6"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/Dvn_Ied9t4M&hl=en&fs=1&color1=0x2b405b&color2=0x6b8ab6" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
