- September 2009
	- September 29
		- An open reboot on Saturday
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/29/typewriter.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named typewriter.jpg">We're going to combine this week's Rebooting the News with next week's and do it Saturday afternoon live in San Francisco. Jay will be in town for the <a href="http://conference.journalists.org/2009conference/">Online News Association meeting</a>, and of course I live a BART ride away in Berkeley, so we'll meet at 4:30PM and do a 75-minute Rebooting the News special, and you're invited! 
			- We're looking for a place that's very near to the <a href="http://maps.google.com/maps?oe=utf-8&client=firefox-a&ie=UTF8&q=san+francisco+hilton&fb=1&gl=us&hq=hilton&hnear=san+francisco&cid=0,0,3014684366093376142&ei=RijCSsLlE5DelAfnmJXfBA&z=16">Hilton</a>. If you have a conference room nearby, within say a 5 minute walk, would you like to host this small meetup? We'd find an appropriate way to thank you in the podcast. ";->"
			- Also, please post a comment below if you'd like to come. Can't guarantee how much room we'll have, we may end up doing it at a Starbuck's! 
		- Why no Twitter clients with an API?
			- Scoble says the iPhone version of Tweetie is so excellent that it might be the one everyone switches to. I don't know about that, I'm seriously considering a <a href="http://www.scripting.com/stories/2009/09/23/iWantToDivorceMyIphone.html">divorce</a> from my iPhone, so I don't care so much about iPhone apps. 
			- He specifically calls out <a href="http://twitter.com/Scobleizer/status/4452468873">Seesmic</a> who doesn't yet have an iPhone app.
			- While I use my iPhone for <a href="http://www.engadget.com/2009/06/18/how-to-tether-your-iphone-running-os-3-0-without-jailbreaking/">tethering</a> (and won't install the 3.1 upgrade because it would kill that) -- Scoble is tethered to his iPhone for everything. He does all his tweeting and friendfeeding from the iPhone. I find this both amazing and ridiculous. So many compromises. I guess Scoble values connectivity above all else, and wants to travel light. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/29/scoble.jpg" width="125" height="142" border="0" align="right" hspace="15" vspace="5" alt="A picture named scoble.jpg">He really wants a curating application, which I have, it's the <a href="http://docs.40twits.com/">app</a> that manages my <a href="http://dave.40twits.com/">40 Twits page</a>. I've released it as open source, and set up an account for Scbole, but it doesn't work on the iPhone because it depends on a bookmarklet and I guess they don't work on the iPhone? I don't know enough about it to say for sure. 
			- Bookmarklets make a lot of things possible. If they don't work on the iPhone then Apple should get to it and make them work. (Apparently <a href="http://www.scripting.com/stories/2009/09/29/whyNoTwitterClientsWithAnA.html#comment-17767382">they do</a>.)
			- So Scoble is taking another tack to get what he wants. He's trying to <a href="http://twitter.com/Scobleizer/status/4452468873">scare Seesmic</a> into providing the "curation" <a href="http://twitter.com/Scobleizer/status/4452627367">feature</a> for him in their non-existent iPhone app. It would be <a href="http://www.scripting.com/stories/2009/09/21/whatBecameOfRadiosPostButt.html">simple</a>, just a slight variant on retweeting. Maybe they don't want to do it because retweeting will soon get an overhaul. (And imho will finally work as it always should have.)
			- Which brings me to the point of the piece. Maybe Twitter clients are now mature and competitive enough of a market that they should support plug-ins of their own. It's the way things go. They are pretty much plug-ins themselves, but then so is Twitter a plug-in for the Internet, which is the end of the chain (it's not a plug-in for anything).
			- If Seesmic supported plug-ins then they wouldn't have to wait for their competitors to beat them in the market before they implemented something. They wouldn't have to worry if it pissed off Ev or Biz, they could just shrug it off as something a developer did (whatever it is that pissed them off). 
			- It may be impossible for them to support plug-ins, if so, many apologies. But in case it's not, it could be the way to answer all of Scoble's feature requests. "There's a plug-in for that."
	- September 28
		- A cloud-enabled podcast feed
			- <a href="http://www.crumbproducts.com/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/28/podcasting.gif" width="150" height="200" border="0" align="right" hspace="15" vspace="5" alt="A picture named podcasting.gif"></a>In the early days of podcasting, in January 2001, we got the bootstrap <a href="http://www.thetwowayweb.com/payloadsforrss#anExample">started</a> with a feed of Grateful Dead songs. Every day or so I added a song to the feed, in case anyone was interested in writing an application that grabbed audio enclosures from feeds. I needed something to test with because Radio UserLand, which we were working on at the time, had the capability.
			- It took a few years for podcasting to catch on, but having that example feed made a difference. You have to start somewhere. ";->"
			- Now in 2009 we're trying to bootstrap a network of realtime feeds, and it's going pretty well so far. Podcasts are implemented with RSS too, and while we have excellent examples of realtime photo feeds, we don't yet have a realtime feed with audio. 
			- So a week or so ago I started exploring options, and thought I'd use the Grateful Dead again, until JY suggested using a fast-updating audio feed from the Internet Archive. I took one look and realized this was it. It took a bit of a coding to check it periodically to see if it has updated, add a cloud element and notify one of my cloud servers. Now it's done. 
			- <a href="http://static.newsriver.org/archiveOrg/podcastRss.xml">http://static.newsriver.org/archiveOrg/podcastRss.xml</a> 
			- So if you're working on podcatching software give it a try.
			- Since <a href="http://newsriver.org/river2#usingRiver2AsAPodcatcher">River2</a> is a podcatcher, it automatically works with this feed.
	- September 26
		- TechCrunch is cloud-enabled!
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/26/peace.jpg" width="146" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named peace.jpg">It's a cause for celebration every time a feed is cloud-enabled, but it's a special victory when a large tech news site takes the leap. The <a href="http://www.scripting.com/stories/2009/09/08/someonegiveomanaward.html">first</a> to do so was GigaOm, which became a source of realtime updates on the same day that WordPress got the feature. Now the second big brick falls into place -- TechCrunch.
			- I've been emailing with their new CTO <a href="http://www.techcrunch.com/2009/09/07/wordpress-enables-rsscloud-in-post-feeds/">Nik Cubrilovic</a>, for the last month. This morning I got an email from him saying their service was up. 
			- I added the TechCrunch <a href="http://www.techcrunch.com/feed">feed</a> to my <a href="http://newsriver.org/river2.html">River2</a> aggregator, and it worked exactly as it should! ";->"
			- Here's a <a href="http://images.scripting.com/archiveScriptingCom/2009/09/26/techCrunchCloudEnabled.gif">screen capture</a> of the Log page from <a href="http://newsriver.org/river2.html">River2</a>.
			- 1. I subscribe to the feed.
			- 2. River2 requests notification from TechCrunch.
			- 3. They check out its notification handler, and apparently like what they see.
			- 4. They accept my request. 
			- 5. My River2 logs the registration.
			- Now when TechCrunch posts a new article my aggregator will be directly notified, will read the feed, and will immediately post the new item to my home page. All this should happen, if everything is working, in a few seconds.
			- Thanks TechCrunch for supporting rssCloud!
			- PS: Last night I <a href="http://www.scripting.com/stories/2009/09/25/whereWereAtWithRsscloud.html">posted</a> an rssCloud status report.
	- September 25
		- Where we're at with rssCloud
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/25/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">A brief report on where we're at with rssCloudLand as September winds down. 
			- It's been a great summer. In July, we got busy rebooting the RSS cloud, based on the experience in 2001 and 2002, with lessons learned, and a lot more success than we had seven years ago.
			- Based on the <a href="http://rsscloud.org/walkthrough.html">walkthrough document</a>, the community has shipped multiple implementations of all three sides of the interface.
			- 1. There have been many implementations of the cloud software, including my own rssCloud.root and <a href="http://en.blog.wordpress.com/2009/09/07/rss-in-the-clouds/">wordpress.com</a> and the <a href="http://wordpress.org/extend/plugins/rsscloud/">plug-in</a> that turns every standalong WordPress installation into an rssCloud server. Total number of installations: millions. 
			- 2. Lots of feeds and authoring systems numbering in the millions. Example real-time podcast feeds and photo feeds.
			- 3. Not so many aggregators. So far only two -- first my own River2 and LazyFeed. There many more on the way. I hope one or two Twitter clients will ship rssCloud support in the month of October. 
			- <b>What next? </b>
			- I have four immediate priorities:
			- 1. Features that will make it possible for Google Reader and other large scale aggregators to wire into rssCloud. These are technical features, to most users they are details, but nonetheless are important. It must be possible for a server to register a notification request using a domain name, on behalf of another server. And along with this feature, most developers believe a stronger verification process is needed. I am one of them. Yet it must remain simple to implement, so the barrier to entry is as low as possible. There have been proposals in <a href="http://rsscloud.org/walkthrough/proposedChange.html">both</a> these <a href="http://tech.groups.yahoo.com/group/rss-cloud/message/114">areas</a>. 
			- 2. <a href="http://en.wikipedia.org/wiki/Push_technology">Long-polling</a> proxies for clients running on systems behind NATs or firewalls. This technology is well-understood, and a number of developers are working on solutions. I hope when code emerges, there will be an effort to make their interfaces compatible, so maximum interop can be achieved.
			- 3. Conventions for naming, so that URLs can be mapped to names that are managed by DNS, the naming system of the Internet itself. I've done a simple <a href="http://www.scripting.com/stories/2009/09/20/dnsForRssFeeds.html">experiment</a> in this area to get myself educated on the issues and learn how users and developers see this. 
			- 4. A high-level user-oriented vision statement for rssCloud with a roadmap for developers and marketers. My goal is to create an open loosely-coupled message network that achieves more or less what Twitter does, but in a decentralized manner. It must use the architecture of the Internet to achieve what Twitter achieves in a centralized fashion. No doubt there will be tradeoffs, some things the open network will do better, and other things that the centralized one will. This is similar to previous layers of the Internet, where systems like AOL and CompuServe provided more sophisticated features, where the World Wide Web was more low-tech, more basic. Both ways of doing things have advantages and survive to this day.
			- Comments, questions and suggestions are welcome.
	- September 24
		- Arrington in the airport
			- <a href="http://www.flickr.com/photos/scriptingnews/3951000925/sizes/o/" title="Mike's brother? by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2551/3951000925_c3f0c9945c_m.jpg" border="0" width="240" height="180" alt="Mike's brother?" /></a>
	- September 23
		- A question for DNS gurus out there in InternetLand
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/23/crumb.gif" width="150" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named crumb.jpg">I bought a cool domain for a project I'm working on, r2.ly.
			- It takes Libya forever to approve these things, but they finally have, and I've changed the DNS to ns1.slicehost.com and ns2.slicehost.com (where I now have an account, with DNS control) but I can't tell what's going wrong cause I don't really know how to debug DNS.
			- I just know that it's not resolving on any of my machines.
			- Can you tell what the problem is with it?
			- And if you solve the problem you get to call me stupid in the comments and I won't moderate it out. ";->"
		- I want to divorce my iPhone
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/23/iphone.jpg" width="84" height="220" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.jpg">The iPhone is so totally <i>not</i> my spiritual soulmate. 
			- I refuse to become dependent on apps grown in their environment. To me it's like contributing to the enslavement of my brother and sister programmers. I don't care how sexy the environment is as a user or a developer, the fact that Apple holds up apps and rejects them often because they compete with their own software is to me like buying a coat made of the skins of endangered species. I won't use iPhone apps for ecological reasons. 
			- I use my iPhone as a: 1. Phone. 2: Camera that can communicate (very valuable feature to me). 3. A Bluetooth tethering device for places my Sprint MiFi doesn't work (and that's a lot of places). 
			- For that I pay about $100 per month. I think I'm being ripped off. (Sure of it.)
			- Okay Scripting News readers -- tell me I'm crazy but I want a divorce. Enough of this bullshit. 
			- But I need a phone that does 1, 2 and 3. 
			- What will I fall in love with?
			- PS: I have my contacts in GMail. Must be able to synch with them. One of my favorite iPhone features.
			- PPS: I never use it as an iPod. I prefer my <a href="http://www.scripting.com/stories/2009/09/03/whyilovemysonywalkman.html">Walkman</a>.
		- Sharing links in the River2 community
			- A new feature makes it easy to share links to stories from the River2 news page to followers on Twitter.
			- <a href="http://newsriver.org/r2ly.html">http://newsriver.org/r2ly.html</a>
			- It also maintains a Top 40 list for River2 users.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/23/elephant.jpg" width="175" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.jpg">This feature is itself a bootstrap since one of the key ingredients are the <i>people</i> using it. Just the right number and the right kind (thoughtful, passionate, forgiving, visionary) are needed. The result can be an editorial product in its own right. And the first experiences will <s>probably</s> certainly suggest the second and third level of features.
			- <a href="http://www.xmlrpc.com/bootstrappingTheTwoWayWeb">Bootstrapping</a> is for users too. In fact at some point, without users participating, the bootstrap stops. You have to wait until they show up, or keep trying to figure out what it will take to entice them to participate. 
			- I realized <a href="http://twitter.com/davewiner/status/4173731934">something</a> <a href="http://twitter.com/davewiner/status/4173773220">yesterday</a>, that bootstrapping is hard because you have to use things that don't exist yet. 
			- I often use bridges as metaphors to describe bootstraps in software. Here goes.. 
			- People hardly notice driving across the <a href="http://en.wikipedia.org/wiki/Golden_Gate_Bridge">Golden Gate Bridge</a>, they might notice the scenery, or the walkers or bike riders, or think about the oncoming traffic. But one day, a long time ago, someone stood on one side or the other -- in San Francisco or Marin -- and looked at the Golden Gate (which was the waterway before it was the bridge) and thought "I bet we could put a bridge here." Nice thought, but then what? What's the first step? And when that doesn't work, what's the <i>next</i> first step? Long before there's a bridge, someone has to make the trip in a bucket hanging from a cable. Today, <a href="http://newsriver.org/river2">River2</a> users are those kinds of people. 
			- I've been having an on-and-off <a href="http://badhair.us/">discussion</a> with Marshall about this. He's been frustrated by the software. I understand. But I need people like him to struggle through it, tell me what went wrong, so I can try to fix it, and then tell me if it worked. The rewards mostly come from within, to know that you played a role in making something new happen. In this case it will be a distributed loosely-coupled 140-character message network that is free from <a href="http://www.scripting.com/stories/2009/09/21/ywfftmmr.html">YWFFTMMR</a>. And there might be business opportunities to provide services to users. No one's saying you can't get rich. But it has to be fair, and people should always have lots of choice.
			- One more note -- it's taking a long time for the domain I'll use, r2.ly, to come through the registration process. So to begin with we'll use a teamrss.com domain to share links. If you see one of these on Twitter it's coming from this part of River2. 
	- September 22
		- What is the real-time web?
			- Four words: It Happens Without Waiting.
			- Narrative: Today I wrote a <a href="http://www.inberkeley.com/2009/09/22/stuff-to-do-at-the-berkeley-public-library/">piece</a> about the Berkeley Public Library on InBerkeley.Com. I wanted to find a pointer to the library website, so I switched over to Google. Looked up <a href="http://www.google.com/search?q=Berkeley+Public+Library">Berkeley Public Library</a>. My piece, publshed less than a minute earlier. was the first item. Real-time web. (True story.) 
		- The SUL as a tool to control news?
			- SUL is Twitter's <a href="http://twitter.com/invitations/suggestions">Suggested Users List</a>.
			- It's a group of approximately 500 Twitter users who are "suggested" to new users when they create an account. The stated purpose is to provide people to watch when you're starting out. But are there other purposes? Could it be used to reward positive coverage and punish negative coverage? I think we now have some data on that.
			- There's no doubt that Twitter has received a lot of help from the press, and much of it is genuine enthusiasm for a communication tool that at least hints at the <a href="http://www.scripting.com/stories/2009/08/09/narrateYourWork.html#p16">future</a> of news. 
			- Many of the suggested users are news organizations, reporters, columnists, marketers, and as a result, most have over a million followers. Almost all of the top tech news organizations are on the list. And TechCrunch was one of them until something happened in July as is evident in this TwitterCounter graph. 
			- <a href="http://twittercounter.com/techcrunch/all"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/22/crunchcount.jpg" width="537" height="302" border="0" alt="A picture named crunchcount.jpg"></a>
			- Compare this to the graph for Mashable, over the same period. 
			- <a href="http://twittercounter.com/mashable/all"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/22/mashablecount.jpg" width="536" height="301" border="0" alt="A picture named mashablecount.jpg"></a>
			- And plotted on the same graph.
			- <a href="http://twittercounter.com/compare/mashable/techcrunch/all/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/22/comparison.jpg" width="537" height="300" border="0" alt="A picture named comparison.jpg"></a>
			- It's pretty clear <i>something</i> happened in July.
			- We know this much -- TechCrunch was dropped from the Suggested User List, right around the time their follower count started heading down. As to why, we can only speculate that it was because they ran a piece that Twitter didn't like. 
			- 7/16/09: <a href="http://www.techcrunch.com/2009/07/16/twitters-internal-strategy-laid-bare-to-be-the-pulse-of-the-planet/">Twitter's Internal Strategy Laid Bare: To Be "The Pulse Of The Planet."</a>
			- People have always questioned whether there was a connection between being on the list and not being too critical of Twitter. At this point, there isn't much doubt that the connection is there.
	- September 21
		- What became of Radio's POST button?
			- An interesting story of evolving software. 
			- In 2002, my company shipped a product called Radio UserLand. It was a very popular blogging tool, but it was also the most popular RSS reading tool of the day. And because it was both things, we could do integration that no other product had ever done before, or since. 
			- Adjacent to every item in the <a href="http://images.scripting.com/archiveScriptingCom/2009/09/21/radioAggregatorPage.jpg">aggregator</a> was a button that said POST. When you click it, you flip to the blog post <a href="http://www.scripting.com/images/2002/01/25/newhomepagecheckbox.gif">entry screen</a> with the text of the item in the big box. You could add your own words, shorten it, whatever you like. When you were done, hit Submit and you'd have a post that pointed to the original article with your comments.
			- As an aside, this is where the <a href="http://cyber.law.harvard.edu/rss/rss.html#ltsourcegtSubelementOfLtitemgt">RSS &lt;source> element</a> came from. We'd embed that, invisibly, in your post so tools could find their way back to the original. This was in response to an outcry from bloggers that we were helping people steal content. Seems like a foreign idea today, doesn't it? 
			- Anyway...
			- Fast-forward to 2009, and I'm back at work in AggregatorLand, and like it or not, Twitter is where we push links to these days. So now instead of a POST button look what's there in its place. ";->"
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/21/fullclip.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/21/clip2.jpg" width="518" height="179" border="0" alt="A picture named clip2.jpg"></a>
			- Now, it is <i>very much more clever</i> than the POST button was back in 2002. Just how much clever -- you'll have to wait to find out, because I'm still working. But when you see my links to test.teamrss.com on Twitter you'll know that I'm testing the new stuff. Murphy-willing it should be released to <a href="http://newsriver.org/river2">River2</a> users tomorrow. 
		- TopTwits tracks your Twitter linkage
			- When tr.im <a href="http://blog.tr.im/post/165049236/tr-im-to-be-community-owned">announced</a> that it was <a href="http://blog.tr.im/post/189122283/open-source-release">going</a> open source, I said I would also release the code of the app that does my <a href="http://dave.40twits.com/">Top 40 page</a> and that of Jay Rosen, Kevin Tofel and Zach Seward. 
			- <a href="http://docs.40twits.com/">TopTwits is that app</a>. It runs as an OPML Editor tool. This means you must have the OPML Editor installed on your machine, and then install topTwits.root in the OPML Editor. 
		- YWFFTMMR
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/06/11/crusty.gif" width="150" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named crusty.gif">When you get something going all of a sudden the <s>parasites</s> opportunists swoop in and want to take control. Funny how they leave you alone when you're not so hot.
			- I suppose I should see it as a good sign, but they all resort to the same kind of character attacks when I decline their offers. Some nastier than others. The offers amount to me working my ass off to make them rich, for which, in turn -- I get nothing. $0. Bupkis.
			- Only in the tech industry do people have the audacity to look you in the eye and say You Work For Free To Make Me Rich. YWFFTMMR.
			- The stupid thing about it is that's at least part of the reason I'm trying to get out of Twitter. I don't like their economic proposition but, I do like microblogging. I figure if I'm not going to make any money off my work, then I'll work in an environment where no one does. It's weird that the people behind Twitter are supposedly capitalists yet seem to not understand that very simple idea. People don't work for free. They don't pour out their passion in the cause of making you wealthy. They might be motivated to do it if they saw some upside. 
			- I'll let you know when someone approaches this space with respect and an offer that isn't usurous.
	- September 20
		- Today's a big shipping day
			- I didn't plan it this way, but a lot of stuff is ready all at once.
			- Over the day I'll link them in here. They will also appear in various other places such as the <a href="http://tech.groups.yahoo.com/group/rss-cloud/">rssCloud mail list</a>, on <a href="http://twitter.com/davewiner">Twitter</a>, and I'm not sure where else. 
			- 1. <a href="http://rsscloud.org/walkthrough/publisher.html">A rssCloud walkthrough for publishers</a>. This doc is a shortcut for publishers so they don't have to wade through the michegas that cloud and aggregator developers do. ";->"
			- 2. <a href="http://newsriver.org/afpReadingList.opml">A self-documenting OPML reading list</a> of real-time photo feeds. Lots of new stuff working here. I also added a photo feed for television, in anticipation of the Emmies tonight.
			- 3. <a href="http://www.scripting.com/stories/2009/09/20/dnsForRssFeeds.html">DNS for RSS feeds</a>. I have a proof of concept app up, for you to try out and comment on.
			- N. And last but not least, and I had nothing to do with this one -- the <a href="http://friendfeed.com/scobleizer/114e9667/welcome-ryan">Scobles shipped another Scobleizer</a> last night. Baby and mommy are happy and healthy, and according to daddy, cute. Happy birthday Ryan! It's nice to have you on board for this crazy thing we call life.
		- Hooking the lizard brain up to the cerebral cortex
			- This is worth a special post as a followup to the <a href="http://www.scripting.com/stories/2009/09/20/dnsForRssFeeds.html">earlier piece</a>, it's so interesting.
			- I was talking with a friend today, he's an expert in DNS, and I said it's too bad people can't open their supercloud.org sub-domain in a browser. I understood why this wasn't possible:
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/20/rcrumbica14.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/20/crumb.jpg" width="150" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named crumb.jpg"></a>1. The browser is looking for an A record or a CNAME, and we're setting the TXT record.
			- My friend who doesn't want me to say his name (and I respect that) said it might not have to be that way. We talked about connecting the DNS with HTTP and it was really intriguing. If you think about it, DNS is like the lizard brain of the Internet, and HTTP, while it is in some ways lower tech than DNS, is the cerebral cortex. To have them integrate is like bringing the Wright Brothers plane they flew at Kitty Hawk on an Apollo moon mission. But that's the way we do things in techland. ";->"
			- Then I thought -- wait a minute, what's to stop me from also registering an A record that points back to me, and then keeping a database locally that associates a name with an RSS URL. Then when you open your supercloud.org subdomain in a browser:
			- 1. It comes to my machine.
			- 2. It looks you up in the database I'm keeping that's a mirror of what's in the TXT records in DNS. 
			- 3. From there I get your RSS address.
			- 4. To which I simply do a 302 redirect.
			- Hah! I had to try it. And guess what! The fcuker works!! ";->"
			- Try it out: <a href="http://davewiner.supercloud.org/">http://davewiner.supercloud.org/</a>. 
			- And then go through the <a href="http://dns.rsscloud.org/">registration</a> process, and try it out yourself. 
			- This is actually important because everyone expected taht you'd be able to open the supercloud.org sub-domain in the browser. Now you can.
		- DNS for RSS feeds
			- Here is a Unix shell command that gets the address of my RSS feed: <i>dig +short davewiner.supercloud.org TXT</i>
			- It makes a DNS call to <a href="http://images.scripting.com/archiveScriptingCom/2009/09/20/dig.jpg">get</a> the TXT record associated with davewiner.supercloud.org. That's different from an A record or a CNAME record. TXT records are used for things like this. That's why when you <a href="http://davewiner.supercloud.org/">go</a> there in your browser it doesn't go anywhere. 
			- I have an app up for you all to try out, so you can have a supercloud.org domain for your RSS feed (it works equally well for Atom, or anything that can be parsed as XML).
			- <a href="http://dns.rsscloud.org/">http://dns.rsscloud.org/</a>
			- Enter your Twitter username and password and the URL of your feed. It verifies that it is the correct password. (And it doesn't store it or use it for any other purpose.) And then if everything goes well, your username will map to a supercloud.org domain and point to your feed.
			- This is of course <i>not</i> rocket science.
			- But it does seem to work. ";->"
			- PS: Why this is interesting, possibly, is that it may give us a way to shorten URLs and make them more flexible if we want to build a loosely-coupled Twitter-like network with feeds distributed around the net. DNS is the little bit of centralization that the Internet, itself a loosely-coupled network, is built on.
		- Fuck you John Edwards
			- <a href="http://www.nytimes.com/2009/09/20/us/politics/20edwards.html?_r=2&partner=rss&emc=rss"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/20/edwards.jpg" width="125" height="403" border="0" align="right" hspace="15" vspace="5" alt="A picture named edwards.jpg"></a>I read the <a href="http://www.nytimes.com/2009/09/20/us/politics/20edwards.html?_r=2&partner=rss&emc=rss">front page story</a> on John Edwards with delight, as I'm sure many others did.
			- Yes it is news, to those who ask, because he came close to being VP, and was a serious candidate for President and the press was ignoring the story until they couldn't ignore it any more.
			- I remember when Edwards came to speak at Gnomedex and everyone said he was great and he should have a webcam everywhere but in the bathroom and bedroom. They wanted the transparent candidate. He thought it was a good idea. 
			- Now we know for sure, but I thought so for sure then, <i>nothing</i> about the guy was real. His story was good, too good. His wife has cancer. Meanwhile, according to the Times he's promising to marry the mother of his out-of-wedlock child as soon as the wife dies, in a rooftop ceremony with Dave Matthews providing the music. 
			- This is the end of John Edwards, who if he could have kept the act up a bit longer might have been the Attorney General of the United States. He's fucked. And maybe we should reflect on just how fucked up we are that we go for that kind of nonsense. Edwards was our ideal of what a candidate should be. A commercial product advertised on TV with the judgement of a con artist. Just the kind of guy we want a heartbeat from the Presidency. Not.
			- Yes this is a front page story because who Edwards is says so much about who <i>we</i> are. Edwards is a good serious look in the mirror.
	- September 19
		- DNS progress, another wish for a miracle
			- There seems to be much progress on the DNS project I <a href="http://www.scripting.com/stories/2009/09/16/iNeedADomainNameServerWith.html">asked for</a> a couple of days ago. Two or three developers seem to be approaching the point of deploying and the APIs probably are pretty close. I hope that when they surface we can try to get the APIs into agreement. The differences appear to be cosmetic. 
			- There's another project I'd like to wish into existence. ";->"
			- <a href="http://www.youtube.com/watch?v=tA8ykjJpOE8"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/19/peace.jpg" width="146" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named peace.jpg"></a>I fell in love with the <a href="http://www.google.com/search?q=friendfeed+realtime+api+site%3Ascripting.com">realtime API</a> implemented by FriendFeed. Very simple, clever, reliable, functional, a kind of no-brainer that I wish more APIs were. The only problem was it only worked with FriendFeed, which is cool because there are a lot of interesting people there, but it got <i>even more interesting</i> when they released the back-end server, Tornado, as open source. 
			- This is good for two reasons: 1. It's really good interesting technology, and 2. It doesn't come from Google, it comes from Facebook, one of their rivals. Diversify is always a good strategy in the financial markets and in the tech world too. ";->"
			- Anyway here's what I wish for. I'd like someone to show up in the rssCloud communithy with a Tornado server running that either is an instance of <a href="http://rsscloud.org/walkthrough.html">rssCloud</a> (preferable) or is connected to an instance (i.e. receiving notifications). I'd then like to hook River2 up to this server through a persistent realtime connection so that it can be notified of updates through a NAT and firewall. Then of course I'd write up a Howto explaining how I did it, ask for feedback and hope that people create more software that interops.
			- How about it? Anyone up for making some history?? ";->"
			- PS: I wasn't really a Deadhead, but I have lots of friends who are, and I admire much of the spririt of the community. One of the things they invented was this idea of <a href="http://arts.ucsc.edu/GDead/aGDL/mira.html">needing a miracle</a>. It comes from a John Perry Barlow/Bob Weir <a href="http://www.youtube.com/watch?v=tA8ykjJpOE8">song</a>. People talk about wanting "miracle tickets" -- that is, a ticket that gets you into something for free, like a Dead show. But the concept applies to airlines, baseball games, movies, private parties, you name it. It also applies to new Internet bootstraps. To get something like rssCloud booted, like Barlow and Weir, I need a miracle -- ever-ee day! 
	- September 18
		- He has a million followers
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/18/rossihelmet.jpg" width="150" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named rossihelmet.jpg"><a href="http://twitter.com/nprscottsimon">Scott Simon</a> is on the <a href="http://www.google.com/search?q=site%3Ascripting.com+sul">SUL</a> and boasts in the first sentence of the description of his <a href="http://www.npr.org/templates/story/story.php?storyId=112779080">interview</a> with Clay Shirky that he has nearly 1 million followers. 
			- "Host Scott Simon has nearly 1 million followers on Twitter."
			- Scott Simon is an expert on Twitter because he has nearly 1 million followers. 
			- He actually has 1,022,105 followers and follows 56.
			- I once <a href="http://twitter.com/davewiner/statuses/3626615345">replied</a> to him on Twitter because he said something dorky about blogs on his NPR show. He said that people talk lovingly about their newspaper, it's "my paper," but no one says "my blog."
			- I told him that I have a blog and I'm proud of it, and I've never had a newspaper. I give money to NPR every year, but I wonder why. He's one of the smartest people there, and as you can see, he'd not that smart.
			- But I do love Radio Lab. <a href="http://twitter.com/wnycradiolab">They're</a> on Twitter too. They don't have a million followers. <i>Thanks!</i>
		- The RSS channel-level image
			- <a href="http://jy.typepad.com/jy/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/18/jy.jpg" width="115" height="146" border="0" align="right" hspace="15" vspace="5" alt="A picture named jy.jpg"></a>A heads-up on something that's going to prove useful down the road, something you might want to start thinking about now. Credit for this <a href="http://jy.typepad.com/jy/2009/07/decentralized-microblogging-avatars.html">observation</a> goes to the brilliant Frenchman, JY Stervinou.
			- One of the things about Twitter that really works are the 48-by-48 images they call avatars. They quickly become symbols for the person. When someone changes their avatar it's surprisingly important. I changed mine from King Kong to Don Quixote and people started treating me better. Not kidding. People really want me to use my face, but it bothers me to look at my face all the time. When I figure out how to have two views of myself, one for me and one for everyone else... Anyway.
			- If we're going to bootstrap a Twitter-like network outside of Twitter we're going to need those avatars. And luckily there's a very nice place to put them, the <a href="http://cyber.law.harvard.edu/rss/rss.html#ltimagegtSubelementOfLtchannelgt">RSS &lt;image> element</a>. It's as if when Netscape spec'd RSS 0.91 they knew that 10 years later we'd need this.
			- The only problem is that most RSS images aren't 48-by-48 (of course) and most of them aren't square. That's what you might start thinking about, creating a square graphic that looks good. Since many people and organizations are crafting Twitter versions of themselves, this should be a relatively easy thing to do.
			- BTW, I include the Twitter avatars in the <a href="http://www.scripting.com/stories/2009/09/04/1151CloudenabledFeeds.html">cloud-enabled feeds</a> I maintain for all the people I follow. Here's an <a href="http://images.scripting.com/archiveScriptingCom/2009/09/18/feedwithimage.jpg">illustration</a>. 
		- Radio Lab
			- Once in a while you come across a gem like the <a href="http://www.wnyc.org/shows/radiolab/">Radio Lab podcast</a>. I listened in delight a few nights ago when an episode about death aired on KQED. An hour of philosophical and scientific stories about death, a subject we all must spend a fair amount of time thinking and dreaming about.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/18/vase.jpg" width="121" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named vase.jpg">A couple of examples.
			- The three stages of death: 1. Your body dies. 2. It's buried or cremated. 3. Your name is spoken for the last time. They postulate that your soul is in limbo until you reach stage 3. For most people that day is the day you're joined in death by your last loved one. And this makes the point that fame, which so many peope seek, may not be such a great thing. After you reach stage 2, you have no influence on how your name is used. The poor farmer whose property was turned into a college after he died, and was named after him, now must wait until the college closes. And that might not happen for quite a while.
			- The next idea is about a dead language, Latin. What does it sound like? No one knows, because the last native Latin speaker died centuries ago. But think about pottery. It's spun on a wheel while wet. Maybe, just maybe while it's being spun, the grooves faintly record people speaking around the potter. So a Roman vase might be an ancient phonograph record and contain echoes of long-dead Latin-speakers.
			- These ideas aren't useful but they touch something inside me that I like.
			- Bravo! ";->"
		- Google, open communities, patents
			- When Google patents ideas that have been openly discussed and implemented in the RSS community, and then doesn't understand why this raises objections -- well, I'd say we have had a failure to communicate. At least. 
			- <a href="http://www.scripting.com/stories/2009/09/17/googleGetsAPatentOnReading.html">I'm thinking about</a> the <a href="http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&r=1&f=G&l=50&s1=7,590,691.PN.&OS=PN/7,590,691&RS=PN/7,590,691">patent</a> that Google was granted on September 15 that covers <a href="http://www.google.com/search?q=site%3Ascripting.com+%22reading+lists%22">reading lists</a> for feeds. They say it covers other things, and that's probably true, and if so -- if they had to patent something they should have stuck to the new stuff. And I think there's a good argument that they should follow the conventions of the community and not patent their innovations, rather contribute them in the same fashion that others had contributed their good ideas. 
			- It's as if Google ran Linux servers and used the fact in their marketing (no problem). Then five years later it turns out they had forked the Linux code base (which is permitted) and was marketing it under their own brand name (okay) and had not checked their improvements back into the community (there's the problem). This would be a violation of the norms of the community. True, it would <i>also</i> be a violation of the open source license, and perhaps we should have one in the RSS community. But in both cases these licenses would be hard or impossible to enforce. I don't believe the GPL has ever been tested in court. And in the case of open formats and protocols, who knows if such restrictions would even be legal. But clearly the "norms" part of the argument is stronger than the legal one. If Google wants to be part of the RSS community, it should be respectful of it. That means not using their size and legal resources to take what's good about our work, foreclose it, sell it as their own, and control others' use of it (which is the point of a patent).
			- All of this adds up to nothing if Google's lawyers are like lawyers everywhere, and they probably are. And if all their talk about being supportive of open source is just talk. But, on the chance that they're serious about wanting to work with and support open communities of developers, there are pragmatic reasons why they should be respectful and careful. And they have not been either.
			- <b>This isn't all about Google...</b>
			- The rest of us could have taken steps to prevent this problem. And we still can head off similar problems in the future. 
			- 1. There is an idea out their called <a href="http://en.wikipedia.org/wiki/Peer-to-Patent">peer-to-patent</a>. The USPTO ran a <a href="http://www.peertopatent.org/">pilot project</a> that just ended. Seems like a good idea. Basically the patent applications are published before they are granted, giving experts a chance to comment on the novelty of the work, thus providing guidance to the examiner. 
			- 2. I've long argued that there must be a parallel patent system, a good one, that works more or less the same way as the USPTO's process with one important difference. At the end of the process the public owns the invention. The creator is given full credit for his or her work, which often is all they want. But a careful document is generated that creates a hole within which there will never be patents. Every one of these <i>unpatents</i> acts to combat the bad kind of patents. (This idea has already been <a href="http://www.google.com/search?q=unpatent">widely</a> discussed.)
			- 3. And perhaps there should be cash awards for those unpatents, to create commercial incentives to produce novel ideas. That would go a long ways to counter the (imho invalid) argument that patents spawn innovation. I think quite the opposite. Most patents in my area are like Google's reading list patent. Filed after-the-fact by a big company, claiming the ideas of engineers working outside of large companies.
	- September 17
		- Google gets a patent on reading lists
			- Google will probably protest that the <a href="http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&r=1&f=G&l=50&s1=7,590,691.PN.&OS=PN/7,590,691&RS=PN/7,590,691">patent</a> they filed on reading lists was defensive. But it's a bad patent, based on an "invention" that was already out there, being <a href="http://www.google.com/search?q=site%3Ascripting.com+%22reading+lists%22">discussed openly</a> on Scripting News at least a <a href="http://archive.scripting.com/2004/01/13#When:12:08:24PM">year before</a> they filed it. If you can subscribe to a feed, why not subscribe to a collection of feeds? And when an item is removed, you no longer are subscribed to it, and when one is added, you are now subscribed to it.
			- Google should explain to the RSS community how they supposedly invented this and what their process was. If it turns out that we had prior art, they should tear up the patent and apologize from trying to hijack something that doesn't belong to them. 
			- I worry about big companies doing awful things because they do them. It's dangerous to have Google control so much of the RSS infrastructure, from Feedburner to Google Reader to Blogger. They could easily pass information between those systems without sharing the information publicly. They could, right now, deliver features to users that competitors would be locked out of. All this built on ideas, formats, protocols and know-how that were <a href="http://twitter.com/davewiner/status/4047378313">contributed</a> by others without any limits on how they could be used. And now this patent. 
			- BTW, both <a href="http://newsriver.org/river2#howReadingListsWork">River2</a> and its predecessor implement reading lists. Google Reader does not.
	- September 16
		- River2 in EC2
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/16/littleMrN.jpg" width="85" height="64" border="0" align="right" hspace="15" vspace="5" alt="A picture named littleMrN.jpg">I'm working on an EC2 image that, when you boot it up, is a River2 installation. Since it's outside any firewall or NAT, it's ready to wire into the realtime feed network. Cloud-enabled feeds connect into Amazon's cloud. It's almost mathematical. I'm lovin it. I think we're getting close to the promised land. Hah. ";->"
		- I need a Domain Name Server with a REST interface
			- Here's what I <a href="http://arts.ucsc.edu/GDead/aGDL/mira.html">need</a>:
			- 1. A server I can use to manage hosts for a domain that I own that am currently not using. I have many. I will pick one.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/16/mrNatural.jpg" width="150" height="149" border="0" align="right" hspace="15" vspace="5" alt="A picture named mrNatural.jpg">2. Ideally I don't even want to run the server myself. Someone from the community of people who read this blog who are interested in distributed realtime message systems and want to play a role in their development. This project will not use a lot of bandwidth or server resources. It's primarily for development. The other users will be geeks like you and me.
			- 3. The server must have a REST interface. I need at least one call. It takes three parameters (that I can think of, there may need to be more). The three parameters are: name of sub-domain (something like george), record name (I'll explain below) and the value. The same call can be used to change the value. Probably should send a string that's a MD5 hash of all the parameters plus my password. Something like that. You can tell me what it should be, but nothing too fancy.
			- The record name is a DNS record name. Not A or MX maybe TXT. The value is the address of their cloud-enabled feed. So <i>george.loose.ly</i> would be the name of George Metesky's realtime feed. If you want to follow him, you wouldn't have to use his feed address you'd use george.loose.ly. The client would just do a DNS lookup to find his feed. 
			- 4. If no one is willing to operate the server, I'll operate it. It must be something that runs on EC2. 
			- 5. I need it soon. I want to start developing a prototype. Tomorrow? Friday? Please, no later than Monday. It seems like a fairly easy thing to do. 
			- Anyway that's the idea. Comments welcome of course. And DNS gurus if I've made some <a href="http://en.wiktionary.org/wiki/egregious">egregious</a> errors, please let me know, gently. ";->"
		- Do you have a cloud-enabled feed?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/07/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">It's been over a week since <a href="http://www.scripting.com/stories/2009/09/07/anyWordpressBlogCanBeCloud.html">Wordpress shipped</a> their plug-in that added rssCloud capability. There are a bunch of feeds out there that are now cloud-enabled, actually a few million. 
			- If you know of any especially interesting ones, news-oriented feeds that are frequently updated -- they could be pro or amateur, bloggers or BigPubs, commercial, academic or open source, left-wing or right, it doesn't matter -- what matters is that they are interesting and that they're real-time.
			- I'm looking for feeds to include in the default set of the next release of <a href="http://newsriver.org/river2.html">River2</a> which is coming together now. So if you know of some, either post a link as a comment here or send me an email with a link to the <a href="http://www.scripting.com/stories/2007/04/02/newMailAddress.html">email address</a> in the right margin on scripting.com.
		- What's wrong with this picture?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/16/heh.jpg" width="300" height="351" border="0" alt="A picture named heh.jpg">
			- It took me a few minutes staring at it to figure it out.
			- With a hat-tip to David Rowland, <a href="http://drowland.net/Pitchpipe/">iPhone</a> <a href="http://drowland.net/Terra/">developer</a>, who sent it to a mail list I'm on. ";->"
	- September 15
		- Brad, let's get together
			- <a href="http://www.scripting.com/stories/2009/09/05/rssHasNoFailWhale.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/15/elephant.jpg" width="175" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.jpg"></a><a href="http://brad.livejournal.com/2405147.html">Brad Fitzpatrick did</a> what I used to do, say what he really thinks in a blog post about RSS stuff.  It's fine, but it is just his point of view. There are other points of view that are valid, like mine.
			- About "just happen to work at Google" -- come on, man -- how many people who <i>don't</i>  happen to work at Google can add code to the following products: 1. Feedburner, 2. Google Reader, 3. Blogger. ";->"
			- Further, <a href="http://essaysfromexodus.scripting.com/stories/storyReader$2070">prior art</a> is really important, it's how you keep the breadth of the pile of tech we create as small as possible, allowing us to build higher with the finite brain capacity each of us has. The <a href="http://cyber.law.harvard.edu/rss/rss.html#ltcloudgtSubelementOfLtchannelgt">cloud element</a> was right there in the spec. And when we talked, you knew about it. So to say you never heard of it, well -- I think you had. 
			- <a href="http://www.youtube.com/watch?v=ZrjSqK7xPLE"><img src="http://images.scripting.com/archiveScriptingCom/2008/05/03/love.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif"></a>It's true -- I was pretty freaked when I saw the note at the top of your spec that RSS didn't matter. Sometimes I think Google really believes that. Now I'm here to say RSS does matter. You can't pretend it doesn't because it does. You blew every kind of smoke at it when we talked. That's really good motivation for a guy like me who takes pride in his work.
			- Now why did I get busy with <a href="http://rsscloud.org/">rssCloud</a>? Primarily because I wanted to remember how it worked. Once I got started, I remembered why I liked it, so I kept going. That's all.
			- Brad, we should get together and talk about bringing our projects together. This is what you were going to have to do whether I reactivated rssCloud or not, because RSS is there, and it's <a href="http://www.scripting.com/stories/2009/09/05/rssHasNoFailWhale.html">huge</a>, and you <i>were</i> trying to ignore it.
		- Screen saver in Snow Leopard
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/15/hope.jpg" width="150" height="253" border="0" align="right" hspace="15" vspace="5" alt="A picture named hope.jpg">Believer it or not there's been a lot of <a href="http://www.google.com/search?q=%22snow+leopard%22+screensaver">controversy</a> about the screen saver in Apple's new operating system release. 
			- I know this isn't something most people spend a lot of time thinking about, but I happen to think one of the nicest things about the Mac is its screen saver, cause I love high-res photography and one of the nicest ways to use great photos is to hang them on the wall on a 50-inch HD monitor and use the Mac screen saver to drive it. Try it sometime, you won't be disappointed.
			- That's why I was <a href="http://twitter.com/davewiner/status/4005232216">bummed</a> when I did a complete fresh install on a Mac that's being turned into an art computer, first Leopard then Snow Leopard, when it appeared as if the "Choose Folder" option on the screen saver had disappeared. But I figured someone on Twitter would know what happened, and sure enough, <a href="http://twitter.com/mmurry/status/4005356969">Mike Murry pointed</a> me to the new way of doing things.
			- There's a plus and minus at the bottom of the list. When you <a href="http://images.scripting.com/archiveScriptingCom/2009/09/15/snowleopardsaver.jpg">click the plus</a> you can add a folder to the list. Nice little improvement. Used to be there could only be one folder, now you get as many as you like. 
			- Just thought I'd leave a pointer here to anyone else who gets confused. ";->"
	- September 14
		- Monday morning stuffff
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/14/gongshow.jpg" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named gongshow.jpg">Chuck Barris used to announce <a href="http://en.wikipedia.org/wiki/The_Gong_Show">The Gong Show</a> as just some <a href="http://www.youtube.com/watch?v=Xj3Q9l9Ivng">stuffff</a>.
			- Of course our stuffff is very serious. ";->"
			- <a href="http://rebootnews.com/2009/09/14/00036.html">A new Rebooting The News</a> with guest Dan Gillmor. One of our best. Dan drills into just what rssCloud is and realtime. He's one of the best interviewers out there. It was my turn this week to name inspirations, and I chose Young People, as exemplified by Blake Ross, Joe Hewitt, Matt Mullenweg and Joseph Scott. You can skip to the last five minutes of the podcast, it's worth listening to. Usually we choose older folk as inspiration, but we have to remember that youth, in the right hands, is itself inspiring. 
			- I posted a <a href="http://rsscloud.org/walkthrough/proposedChange.html">proposed addition</a> to the rssCloud <a href="http://rsscloud.org/walkthrough.html">walkthrough</a>.
			- <a href="http://everything.typepad.com/blog/2009/09/real-time-web-pushing-your-blogs.html">Typepad announced</a> support for Pubsubhubub. I predict on Twitter that we will <a href="http://twitter.com/davewiner/status/3984929688">bridge</a> it with rssCloud so support of one will get you compatibility with th'other. Earlier I <a href="http://twitter.com/davewiner/status/3965147607">admitted</a> to being a <a href="http://images.scripting.com/archiveScriptingCom/2009/09/14/ElbowDrop.jpg">dork</a> and not seeing them as being in competition. After all, they're not commercial products. What I care about is decentralizing the realtime web, so we're not dependent on one company. Both methods accomplish that. The real problem is centralization.
			- Andy Oram at O'Reilly wrote a <a href="http://radar.oreilly.com/2009/09/rss-never-blocks-you-or-goes-d.html">stirring ode to decentralization</a>. At one time O'Reilly was a big <a href="http://openp2p.com/pub/a/p2p/conference/">proponent</a> of P2P. Maybe they will be once again?
	- September 13
		- Zee is spelled Zed Eee Eee
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/13/theTruthCanBeAdjusted.jpg" width="101" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named theTruthCanBeAdjusted.jpg">My FriendFeed friend Zee is in town for a conference, and he's worried about how Americans will take to his name. At first I was puzzled. What's so hard about the name Zee, I wondered. I had only seen it spelled out -- Zee -- cause we've never talked verbally only digitally.
			- <a href="http://friendfeed.com/zee/b8f86859/just-realised-how-hard-introducing-myself-to">He explained</a>: "I got a blank stare when I first said it in Starbucks. The barista asked, how do you spell that? I said 'Zed', 'E', 'E'. Received a blank stare. Then I said 'Zee', 'E', 'E', which then got him a little more confused."
			- Ahhh I get it now. His name is the same as the first letter in his name when you say it in American English. In British English there's no such confusion. 
			- After a bit of back and forth I came up with a suggestion.
			- Make up some long incomprehensible name that begins with Z (how about Zarathustra). When you get the puzzled look, say "My friends call me Zee." They'll like that for two reasons: 1. They don't have to remember the name and 2. You said you want to be a friend. Americans generally like this. ";->"
			- Just a slice of life on the Internets. 
	- September 10
		- Tornado
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/10/elephant.jpg" width="175" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.jpg">The former FriendFeed company now owned by Facebook did something very interesting today. They released <a href="http://bret.appspot.com/entry/tornado-web-server">Tornado</a> which is the customized web server that runs the backend of FriendFeed.
			- <a href="http://friendfeed.com/davew/c3865d45/technology-behind-tornado-friendfeed-web">I speculate in a thread on FF</a>: "Just thinking out loud if there were a REST interface for the backend that worked like the REST interface for the client, I would be able to program both ends without having to learn the internals of your system. It would be really elegant, and probably wouldn't cost that much in overhead. I was able to create an interface to the client side of your realtime API in an hour or two. If I could sneak into the backend the same way that's all I'd need to at least put together a proof of concept. Does this make any sense?"
			- We need what their backend does to make the connection from rssCloud to desktops. This is something the FriendFeed guys mastered, and there's reason to believe it scales to the level we'd need since they are the guys who did GMail and Google Maps. 
			- Interesting times we live in.
			- <a href="http://twitter.com/davewiner/status/3895041419">I also reminded people</a> that when cool technologies are shipping everywhere it's not a time of death it's a time of life, as long as we have the web to connect our work, there's nothing exclusive about it. The engineers don't think we're wiping each other out, only the pundits and the hangers-on do. 
			- Interesting times we live in.
			- And that's a good thing. ";->"
			- BTW, elsewhere on Facebook, our friend <a href="http://en.wikipedia.org/wiki/Blake_Ross">Blake Ross</a> shipped <a href="http://lite.facebook.com/">Facebook Lite</a>, which we heard was wonderful and are not surprised to find out is. Congrats all around! 
		- Bad Hair Day at 7PM
			- <a href="http://badhair.us/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/10/seriouslyBadHair.jpg" width="150" height="157" border="0" align="right" hspace="15" vspace="5" alt="A picture named seriouslyBadHair.jpg"></a>We're having a <a href="http://www.blogtalkradio.com/Bad-Hair-Day/2009/09/11/Bad-Hair-Day-11">special Bad Hair Day podcast</a> which is a mini-reprise of last night's meetup in Berkeley. 
			- Marshall is off tonight. I'll have two guests -- Doug Kaye of <a href="http://www.spokenword.org/">spokenword.org</a> and Joseph Scott of Automattic. 
			- Doug is working on a <a href="http://www.blogarithms.com/index.php/archives/2009/09/04/api-update/">podcast aggregator</a> that supports rssCloud. 
			- Doug also founded <a href="http://itc.conversationsnetwork.org/">IT Conversations</a> that was a focal point in the podcasting bootstrap at the beginning of the decade. The Gillmor Gang got its start on Doug's network; we were inspired by his work.
			- Joseph developed the <a href="http://wordpress.org/extend/plugins/rsscloud/">plugin</a> for Wordpress that shipped at the beginning of the week. I haven't known Joseph a very long time, but we've already had a spectacular success, imho. ";->"
			- We'll talk about many of the things that were discussed at last night's meetup.
			- And for this podcast we'll have an IRC chatroom:
			- <a href="irc://irc.freenode.net/#badHair">irc://irc.freenode.net/#badHair</a> 
			- Tune in at 7PM Pacific! ";->"
		- Twitter updating terms of use
			- <a href="http://blog.twitter.com/2009/09/twitters-new-terms-of-service.html">Biz posted a list</a> of changes to the <a href="http://twitter.com/tos">terms of service</a>.
			- They also published a <a href="http://twitter.com/apirules">draft of a short list of rules</a> for developers. 
			- Based on a quick read the changes seem reasonable, they reflect how the service is used and the role Twitter the company plays in it. 
		- Clues for testing your rssCloud app
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/07/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">This is a frequently asked question.
			- If you're doing a cloud-aware app, a feed reader, skimmer or aggregator of any flavor or genre, you need feeds to test with. That was an issue a few weeks ago, but today it's not an issue at all. There's a huge variety of cloud-aware feeds updating all the time, for you to test with.
			- <a href="http://static.lifeliner.org/lifeliner/rss.xml">The original feed</a> is one of mine that's announcing three new states every 15 minutes, day and night rain or shine. Not very interesting, but quite reliable.
			- Then there are the cloud-enabled feeds I've <a href="http://www.scripting.com/stories/2009/09/04/1151CloudenabledFeeds.html">created</a> from the people I follow on Twitter. <a href="http://twitter.rsscloud.org/Scobleizer/rss.xml">Robert Scoble</a> is the Old Faithful of this class. He's updating a lot, all the time. I have a <a href="http://static.scripting.com/rsscloud/changes.xml">changes.xml</a> for all of these feeds, so you can see who's been updating. 
			- Any of my feeds will also show up on the log page on my server, as will your registration. If you're not getting through you won't see anything there. It's very important for debugging.
			- And the new exciting way to generate a test feed is to create a <a href="http://www.scripting.com/stories/2009/09/07/anyWordpressBlogCanBeCloud.html">wordpress.com</a> blog, and post to it. Your feed has a cloud element and it will notify your app when you update. You control when it updates, so this makes it easy for testing.
			- <a href="http://www.inberkeley.com/2009/09/07/something-geeky-that-happened-in-berkeley/">InBerkeley.com</a>, a Wordpress blog we host ourselves is cloud-enabled.
			- The feed for <a href="http://www.scripting.com/rss.xml">Scripting News</a> is cloud-enabled as is the feed for <a href="http://rebootnews.com/rss.xml">Rebooting The News</a> and <a href="http://badhair.us/rss.xml">Bad Hair Day</a>.
			- Of course you should refer to the <a href="http://rsscloud.org/walkthrough.html">Implementor's Guide</a> as you implement. ";->"
			- And finally, the punchline, the reason for all this michegas -- <a href="http://rss.cnn.com/rss/cnn_politicalticker.rss">CNN has the first real news feed that's cloud-enabled.</a> And it's a gem. When I got this one running in River2, I had to stop and pause and say, we got there. 
	- September 9
		- Phil Jones on how things connect
			- Phil Jones and I agree on how bootstraps work.
			- He wrote a beautiful piece in 2006, and just <a href="http://platformwars.blogspot.com/2009/09/bonepart-rides-again.html">re-ran it with links</a> to 2009 bits that illustrate his points. 
			- It's a case study in how Internet bootstraps work. They're about 10 percent technology and 90 percent working with people, trying to figure out what they want and getting it for them. In the process something builds out that has a cohesive whole, and another layer is formed. 
			- A few years go by and we do it again.
			- <a href="http://www.scripting.com/stories/2009/08/19/iWasASixthGradeCommunist.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/08/25/mao.gif" width="150" height="227" border="0" align="right" hspace="15" vspace="5" alt="A picture named mao.gif"></a>I'm certainly not the only person who understands this process, I'm a student, and I've learned from many others that come before. I love reading books about how this works, and the latest inspiration was the <a href="http://www.scripting.com/stories/2009/06/02/whySimplicityMatters.html#p4">Connections</a> series by James Burke. He goes all the way back to the beginning of civilization and shows how ideas interconnect and build on other ideas. 
			- In the end it really is all about working together. And I'm glad that Phil is there. It's nice to have someone watching who sees how it all fits together. 
			- Then, this evening, a really insightful <a href="http://www.webmonkey.com/blog/WordPress_Goes_Real-time_With_RSS_Cloud_Support">Webmonkey piece</a> came out. It's the same insight that William Mougayar had, in a <a href="http://www.scripting.com/stories/2009/09/08/whatDoesRsscloudMeanToYou.html#comment-16200472">comment</a> here yesterday. When this bootstrap plays out it will all be seen to have happened at the workstation. What Matt and Wordpress did over the weekend was the nuclear fuel that lit the fire. But the big winners will be the readers, skimmers and Twitter clients that will, as Webmonkey puts it so well: "We'll just have to stop calling them Twitter clients and start calling them what they should be referred to as: news clients." Amen.
		- Am I a hypocrite?
			- Sure. Of course. I am a totally f*cked up human being. 
			- Now that that's out of the way, let me explain.
			- Last night on Twitter, Staci Kramer of PaidContent asked what's the difference betwen the default list in River2 and Twitter's suggested user list. 
			- There's a qualitative difference and a quantitative one.
			- I use the default list for two purposes: 1. To provide an initial user experience that isn't blank. In this sense it is like Twitter's list. 2. To highlight interesting uses of RSS and clouds and reading lists, things I want to encourage people to support. By throwing them a bit of recognition, I hope to create an incentive to support the features that River2 is leading the way with. I did this with Radio too. I do it with Scripting News. I'm unabashed about it. It's how you bootstrap new stuff. It's a good thing.
			- No one has paid for position on the list, but I don't guarantee that I will never sell a position on the list. But I will never put a feed on the list that I wouldn't put there if they didn't pay. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/09/chef.jpg" width="139" height="209" border="0" align="right" hspace="15" vspace="5" alt="A picture named chef.jpg">Now for the differences.
			- 1. My list is like the default list in Tweetdeck or Tweetie or Google Reader. I don't have a monopoly. I am not the only game in town. If people dislike my choices they can vote with their feet. Twitter is the whole ballgame. As I said yesterday, it's as if Google favored their friends in search results. Or if Tim Berners-Lee made it so that 1/4 of every web page had an ad for Om, ReadWriteWeb, Tim O'Reilly or TechCrunch.
			- 2. I have a shopping list in my pocket. On it I list products I'm going to buy when I go to the supermarket. That's also like the Suggested User List. The products on the list profit from being there. But Chef Boyardee won't notice whether or not he's on my list (he's not). River2 is a teeny weeny little product compared to the mighty Twitter, which delivers hundreds of thousands of followers to people on its list. 
			- 3. I try not to influence editorial content through my choices. I've gone with big pubs like Reuters, BBC, the Guardian, CNET, NYT. Their techies hopefully will appreciate the respect, but if it influences the writers I will remove it immediately. In TwitterLand, the problem isn't so much that Twitter tries to influence, that's understandable, it's that the reporters don't object. 
			- There will continue to be a default list in River2. 
		- My code is a blog
			- Here's a <a href="http://images.scripting.com/archiveScriptingCom/2009/09/09/codeAsBlog.jpg">screen shot</a> of one of the objects that makes up the <a href="http://newsriver.org/river2">River2</a> aggregator. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/09/codeAsBlog.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/09/codethumb.jpg" width="250" height="184" border="0" alt="A picture named codethumb.jpg"></a>
			- The top of the script is a blog. 
			- We've always done it this way. There are scripts in the system that are still in use with "posts" at the top that date back to the mid-90s. From lots of team members, most of whom have gone on to other things. I imagine they've taken some of our practices with them, as we inherited practices from teams we came from and code we used to work on. There's a culture to programming that's mostly invisible to non-programmers.
			- Another example of <a href="http://www.scripting.com/stories/2009/08/09/narrateYourWork.html">Narrate Your Work</a>, the philosophy of the blogger and reporter.
	- September 8
		- Happy baby is happy!
			- Nothing more to say than what a hugely perfectly pretty <a href="http://friendfeed.com/akiva/c9ccef95/happy-baby-is">happy baby</a>!
			- <a href="http://friendfeed.com/akiva/c9ccef95/happy-baby-is"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/08/happyBabyIsHappyHehee.jpg" width="250" height="333" border="0" alt="A picture named happyBabyIsHappyHehee.jpg"></a>
			- She made me happy. 
			- That's all. ";->"
		- What does rssCloud mean to you?
			- Okay I think it's time to explain what rssCloud means to people who use the web, as opposed to people who create it at a technical level.
			- The idea is to deliver news faster, without relying on a single company to do all the work. 
			- Until now you could have one or the other, but not both.
			- You could have the news delivered via RSS, but if you wanted it fast you had to go to Twitter or Facebook or FriendFeed.
			- The problem with going to a company is two-fold: 1. The company might not be able to handle it. 2. The company might screw with it.
			- We saw both 1 and 2 with Twitter. Last summer they had trouble keeping the system up. They still "fail whale" a lot, and it could get worse, if they grow. Certainly if they grow to a billion users and become the "pulse of the planet" -- as they've said they want to. There are other reliability problems, like no good record of what's posted on Twitter. And all the trouble scaling has meant that new features show up in the center at a snail's pace, while the pace of innovation at the edges is furious, and limited by the slow growth at the center.
			- But even worse is that the company has not stayed out of the editorial flow of the community. At the beginning of the year, the basic metric, the Twitter equivalent of page-rank was follower count. Then all of a sudden some user's counts starting going up at an incredible rate. It came out that the company was recommending these people to new users. They were giving this flow to their friends, and to reporters who cover them, but not to people they don't know or don't like. They've even taken it away from reporters who have written stories they don't like. This is totally unacceptable, we've said so repeatedly. They ignore the concern. 
			- Think about it another way. Imagine if Larry and Sergey's friends pages always showed up at the top of search results on Google, even when their pages had nothing to do with what people were searching for. Now you understand how un-Internet-like this is.
			- People say they're entitled to do this, and I suppose they are. But then we are entitled to take this idea and use the Internet to implement it, instead of all relying on a company.
			- That's how a techie like me, who loves the open-ness of the Internet, thinks.
			- To understand why, you have to understand that in 1993, I gave up on tech, because it was so utterly messed up by big companies fighting to control the users. A guy like me couldn't make software and sell it, because they were always screwing with us. They weren't doing it on purpose, they just didn't care. If you said "You should care" they'd call you a utopian or Mother Teresa and laugh. But in the end they got screwed by their own screwing around. The Internet straightened it all out, and newly charged with optimism, I learned something important. The tech world is cyclic. First it's wonderful, then it gets f*cked, then it gets wonderful again.
			- Our goal with rssCloud is to take what was wonderful about Twitter, that got f*cked by their Suggested Users List and the Fail Whales, and make it wonderful again.
			- I want everything fast with no company in the middle. That doesn't mean Twitter goes away, not at all. They just have to stop being in the middle. 
			- That's what rssCloud is about. Fast news updates without the company in the middle. Small pieces loosely joined. 
			- PS: And now maybe you understand why there was so much crap flying around RSS for the last few months. It always happens when the dam is about to break. No big deal. Just go right through it. The bark is worse than their bite.
		- Someone give Om an award
			- I just took a quick look at the RSS feeds of the major tech pundit blogs to see which had &lt;cloud> elements. 
			- I found one at Gigaom!
			- <a href="http://feeds.feedburner.com/ommalik">http://feeds.feedburner.com/ommalik</a> 
			- If you <a href="http://images.scripting.com/archiveScriptingCom/2009/09/08/omCoolMan.jpg">View Source</a> you'll see it.
			- Something else worth noting, Feedburner preserves the &lt;cloud> element. So two things are working! ";->"
			- I subscribed to his feed in <a href="http://newsriver.org/river2">River2</a> and it <a href="http://images.scripting.com/archiveScriptingCom/2009/09/08/grokOmRealTimeness.jpg">grokked</a> his realtimeness. Oh life is sweet.
			- For techies, you might wonder why we received notification of an update after subscribing. That shows that Om's Wordpress installation is following the <a href="http://rsscloud.org/walkthrough.html#errors">Walkthrough</a>. You're supposed to test the notification handler before you register it. If it passes the test go ahead. If it fails, throw it away. This keeps the conversation real.
		- 2002 != 2009
			- There's been concern expressed today in various Twitter messages that rssCloud might not scale to support all the people who might want to use it.
			- I'm not an expert in massive centralized systems, that's why I designed this to be decentralized, like RSS is. 
			- <a href="http://www.scripting.com/stories/2009/09/05/rssHasNoFailWhale.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/08/elephant.jpg" width="175" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.jpg"></a>I set up an rssCloud server, fairly confident that it would scale to meet the demand, and with a fallback if it shouldn't. I'm not risking anything, because we know that polling works for RSS. rssCloud is an optimization, its purpose is to make RSS faster. But if it fails RSS still works. As I wrote earlier, even though many people predicted in 1999 that RSS would never work, it's actually never failed, there is <a href="http://www.scripting.com/stories/2009/09/05/rssHasNoFailWhale.html">no RSS fail whale</a>. 
			- This is not my first time with rssCloud. My team at UserLand Software implemented it in 2002 in Radio and Manila. We had problems, but I've factored in what we learned in 2002 in the 2009 implementation. If you're interested in the details, I've spelled them out in the <a href="http://rsscloud.org/walkthrough.html">Implementor's Guide to rssCloud</a>, which was published in mid-July and has been reviewed by dozens of programmers, and implemented by more than a few, including the people at Automattic.
			- I'm sure we'll talk about this at tomorrow's <a href="http://www.scripting.com/stories/2009/08/31/rsscloudMeetupAtUcBerkeley.html">rssCloud meetup in Berkeley</a>. 
	- September 7
		- Any Wordpress blog can be cloud-enabled
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/07/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">This is worth a special post.
			- Wordpress did two things today.
			- 1. They enabled rssCloud support on wordpress.com. This means that any weblog hosted on their server can publish real-time. This is the announcement that got all the attention.
			- 2. But equally important is that you can install the <a href="http://wordpress.org/extend/plugins/rsscloud/">rssCloud plug-in</a> on any Wordpress blog that you host and it adds a cloud element to your feed and handles notifications for subscribers. That's how we got <a href="http://www.inberkeley.com/2009/09/07/something-geeky-that-happened-in-berkeley/">InBerkeley.com</a> to be cloud-enabled. It takes a couple of minutes and you're ready to go.
			- <a href="http://wordpress.org/extend/plugins/rsscloud/">http://wordpress.org/extend/plugins/rsscloud/</a> 
		- Tease! Tease! Tease!
			- <a href="http://rsscloud.wordpress.com/">This is one</a> of many <i>millions</i> of blogs on wordpress.com.
			- Here is its <a href="http://rsscloud.wordpress.com/feed/">RSS feed</a>.
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/07/viewsource.jpg">View source</a> on that.
			- Notice <a href="http://images.scripting.com/archiveScriptingCom/2009/09/07/interesting.jpg">anything</a> interesting? ";->"
			- <a href="http://www.readwriteweb.com/archives/wordpress_just_made_millions_of_blogs_real-time_wi.php">ReadWriteWeb</a>: "All blogs on the WordPress.com platform and any WordPress.org blogs that opt-in will now make instant updates available to any RSS readers subscribed to a new feature called RSSCloud. There is currently only one RSS aggregator that supports RSSCloud, Dave Winer's brand-new reader River2. That will probably change very soon."
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/17/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">Apparently for some people this is the first time they're hearing about the &lt;cloud> element in RSS. It first appeared in <a href="http://www.thetwowayweb.com/soapmeetsrss">January 2001</a> and was part of <a href="http://backend.userland.com/rss092">RSS 0.92</a>, and of course <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS 2.0.</a>. It was fully supported in Radio UserLand 8.0 and Manila. 
			- Also, many thanks to Matt Mullenweg and Toni Schneider at Automattic, and the rest of the guys. It's so cool to have them in the tech industry. We all owe them a lot for their support of open formats and protocols. 
			- <a href="http://www.inberkeley.com/2009/09/07/something-geeky-that-happened-in-berkeley/">InBerkeley</a> is <a href="http://www.inberkeley.com/feed/">cloud-enabled</a>. And it <a href="http://images.scripting.com/archiveScriptingCom/2009/09/07/happy.jpg">works</a>! Real-time, baby. ";->"
			- Any Wordpress blog <a href="http://wordpress.org/extend/plugins/rsscloud/">can be cloud-enabled</a>, not just the ones on wordpress.com. I wonder which major tech blog is going to be first to go cloud.
			- Also it would be great if Twitter clients, such as Seesmic and Brizzly, would start <a href="http://www.scripting.com/stories/2009/09/06/anRsscloudCaseStudyBrizzly.html">thinking about supporting</a> rssCloud.
			- Don't forget there's an <a href="http://www.scripting.com/stories/2009/08/31/rsscloudMeetupAtUcBerkeley.html">rssCloud meetup</a> at UC-Berkeley on Wednesday at 7PM.
		- Test post
			- please ignore
	- September 6
		- An rssCloud case study: Brizzly & Seesmic
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/08/17/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">There's a lot of sides to a bootstrap. The idea is to take a something that's highly integrated and break it into pieces. Connect the pieces with open formats, and then show people how to compete. Then each of the pieces becomes a market where users have choice. And when users have choice, competitors must work hard to please them. 
			- It's how we got RSS going in the first place. Netscape got a few content companies to create feeds. They created an aggregator, which we competed with. Two aggregators, that meant more, for sure. And then we made our blogging software produce feeds and worked with lots of publishers. Now blogging software updates millions of feeds every day. But at one point there were just a half-dozen feeds and two aggregators. 
			- There's lots of competition in the market for Twitter clients. There's a raging battle between a dozen teams all of whom are vying for your attention. Each of them wants to produce the product that attracts the most users. However at the center of the market there is no competition, so improvements come slowly. Our goal is to change that.
			- Now, two excellent examples of clients are <a href="http://seesmic.com/web/">Seesmic</a> and <a href="http://brizzly.com/">Brizzly</a>. There are many others but these are the two that I use, so I am most familiar with them. Here are screen shots of the two products. (Click on the thumbs to see larger versions.)
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/06/seesmicbig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/06/seesmicsmall.jpg" width="250" height="208" border="0" alt="A picture named seesmicsmall.jpg"></a>
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/09/06/brizzlybig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/06/brizzlysmall.jpg" width="250" height="208" border="0" alt="A picture named brizzlysmall.jpg"></a>
			- There are two ways they can <a href="http://rsscloud.org/walkthrough.html">support rssCloud</a>, and help the bootstrap give more choice to users, and potentially free themselves to create more features without having to wait for Twitter.
			- 1. Allow your users to subscribe to cloud-enabled feeds. Right now, most of those are the <a href="http://www.scripting.com/stories/2009/09/04/1151CloudenabledFeeds.html">1151 feeds</a> of the people I subscribe to. But soon (knock wood) there will be many thousands more, content that you can't get from Twitter. So supporting cloud-enabled feeds now could buy you a head-start on your competition in October or November.
			- 2. Publish each user's stream of 140-character messages as cloud-enabled feeds, in addition to pushing them through Twitter. Several reasons to do this. First, you provide them a backup, which may be a feature that's of value to them. And they might be able to share their content with 140-character networks formed by others, including Facebook, Yahoo, Google, who knows who. Open formats and protocols create lots of options. Maybe <i>you</i> want to start your own little network of users independent of Twitter. I can tell you -- I do! (And will.)
			- Brizzly and Seesmic may not want to do this now. After all it is a holiday weekend in the US. But you never know what the future holds, and it doesn't take much time to <i>think</i> about it. ";->"
	- September 5
		- RSS has no Fail Whale
			- First, thanks to <a href="http://www.avc.com/a_vc/2009/09/rss-is-alive-and-well.html">Fred Wilson</a> and <a href="http://bijansabet.com/post/179601297/i-use-rss-everyday">Bijan Sabet</a> for standing up for RSS. You don't have to be a tech scholar to know that RSS is like XML or HTML or HTTP or text files. It's fabric, permanent, it ain't going anywhere. It's not like the <a href="http://www.youtube.com/watch?v=4vuW6tQ0218">Norweigian Blue</a>, it isn't pining for the fjords or pushing up daisies. Let's keep a sense of humor and a sense of perspective. Some people look at life and see death. I look at life and try to be happy, cause yeah someday we all die, but that day hasn't come yet. (Knock wood and Praise Murphy.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/05/elephant.jpg" width="175" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.jpg"><a href="http://www.avc.com/a_vc/2009/09/rss-is-alive-and-well.html#comment-15969807">William Mougayar</a> suggested in a comment on Fred's post that Twitter could have a button that allowed you to add any RSS feed to your Twitter stream. 
			- I said "if they did that they'd have to absorb a significant share of the RSS flow, and that's the problem and why it's ludicrous to think that RSS is anything but the elephant in the room and the 800-pound gorilla combined."
			- "You can see it in the famous TechCrunch leak piece of the internal Twitter docs. They know they can't handle the load.
			- "That's why a distributed approach is the only one with any hope of working. The reason RSS could grow so huge is the same reason HTML and HTTP could, it's not centralized. That was the mistake Feedburner made. They thought 'Oh we can make a killing by snarfing up all the RSS.' No way Jose. That's a losing proposition. Luckily they got Google to give them $100 mill before the house of cards collapsed. They too put the brakes on growth."
			- Talking with <a href="http://www.scripting.com/images/scoble_manila.jpg">Scoble</a> last night, he offered that Twitter would have to grow to the size of Google to handle all of RSS. I agreed, but said it would be worse. Twitter would have to grow to be the size of Google <i>overnight</i> and without a revenue stream. Google got to grow with the web. Twitter wouldn't have that luxury relative to RSS. It became a giant long before Twitter even existed.
			- Which brings us to the Fail Whale.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/05/peace.jpg" width="146" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named peace.jpg">RSS has grown in a fairly orderly fashion, quietly, without daily articles in the NY Times, or appearances on Oprah, or proclamations by athletes and movie stars. It also grew to huge size without a Fail Whale. RSS, in over ten years, has <i>never</i> gone down. Think about that for a moment.  That's because it was designed for growth from day one. Getting on the RSS bus can be as simple as putting a file on your Apache server. It's just another rendering of your content flow. It requires a fairly small commitment, you don't need tens of millions of dollars of venture capital to build out an RSS network. You can rent it from Amazon at pennies per gigabyte. 
			- Anyone who thinks Twitter could replace RSS doesn't understand the scale of the two things. Twitter is a fairly new company that has had <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">trouble</a> meeting the remarkable growth it has achieved. I use Twitter all the time, and I love it. I find that RSS and Twitter are a good combination. And I think news people create controversy for the same reason journalists have always sold war -- it gets people to read their journals, and their ads, and it makes them money. That's all that's going on here. 
			- Interestingly, rather than Twitter absorbing RSS, it may go the other way. Perhaps RSS will absorb Twitter. That's the idea behind rssCloud. That a lot can be gained by creating a loosely-coupled 140-character network. Sure there will be tradeoffs, it'll take up to a minute for you to see your friends' updates. But there would be a lot of advantages, for example -- while one component of the network can fail, the whole thing is as resilient and distributed as the Internet.
		- All the angst over Atom
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/05/peace.jpg" width="146" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named peace.jpg">Yesterday at around 5PM, I added the code to the OPML Editor to support Atom 1.0 in <a href="http://newsriver.org/river2">River2</a>, my new River of News aggregator. The coding took about an hour. 
			- I tested it on some feeds from Blogger and Google News, fixed a few bugs, and burned it in overnight. It appears to work perfectly. So I released it this morning a little before 9AM. 
			- The point? There were <i>years</i> of strife in the RSS world over this. In the end it took less than 24 hours, beginning to end, to support the new format. We could have saved all that angst. A new format isn't that big a deal. 
	- September 4
		- 1151 cloud-enabled feeds
			- I just added a changes.xml for my rssCloud server.
			- <a href="http://static.scripting.com/rsscloud/changes.xml">http://static.scripting.com/rsscloud/changes.xml</a>
			- Now you'll see a whole bunch of cloud-enabled feeds that weren't there before. They're feeds for the 1151 people and organizations that I follow on Twitter.
			- They're automatically produced by an <a href="http://editor.opml.org/twitterCalendarTool.html">app</a> that I've had running since the beginning of 2009 that keeps an XML-based backup for everyone I follow. This is just another form of that stream.
			- If you follow any of these people in <a href="http://newsriver.org/river2">River2</a>, and you have notification turned on, you'll get updates within a minute, knock wood.
			- This is another piece of the <a href="http://rsscloud.org/walkthrough.html">loosely-coupled</a> 140 character network.
			- Another way of saying this is if I follow you on Twitter, you now have a cloud-enabled feed. Try updating on Twitter, and refreshing <a href="http://static.scripting.com/rsscloud/changes.xml">changes.xml</a> in a minute. If all goes well you should see your feed at the top of the list.
			- <a href="http://www.inberkeley.com/2009/09/04/isnt-that-a-big-hole-in-the-bay-bridge/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/04/baybridge.jpg" width="250" height="189" border="0" alt="A picture named baybridge.jpg"></a>
			- For a lot of users looking in, this probably means as much as the pictures of the Bay Bridge being taken apart and put back together. But when it's done, you'll be able to drive a car across it! :-)
			- <img src="http://www.scripting.com/images/cheesecake.jpg">
		- A personal request
			- First, it's <i>wonderful</i> that so many people are trying out <a href="http://newsriver.org/river2">River2</a>. I really mean that. Thanks for giving it a try.
			- But please post your questions on the Howto <a href="http://newsriver.org/river2">page</a> so it's possible other people could help with the answer. Thanks.
			- I'm just one person, and ideally I should be able to spend my time fixing bugs, writing docs, and building new stuff. If I have to support every user personally, well that just doesn't scale. :-)
			- Let's have fun!
			- <img src="http://www.scripting.com/images/cheesecake.jpg">
	- September 3
		- River2 is ready
			- <a href="http://images.scripting.com/archiveScriptingCom/2005/05/19/fishing.pg.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/03/rivernews.jpg" width="150" height="223" border="0" align="right" hspace="15" vspace="5" alt="A picture named rivernews.jpg"></a>Or as ready as it'll ever be. :-)
			- <a href="http://newsriver.org/river2">http://newsriver.org/river2</a> 
			- It's an aggregator that runs on your desktop and supports reading lists, rssCloud and is a podcatcher.
			- I'm sure there are bugs and know there are still features to come, but I and others are using it all the time to keep up with what's new in RSS feedland, and to download podcasts, and as more cloud-aware apps come online, we're going to need software that can subscribe to the. That's what River2 is for.
			- If you have questions or comments, post them here or on the howto linked above.
			- Here we go and good luck to all of us! 
			- PS: Now I've hit my first milestone due before the <a href="http://www.scripting.com/stories/2009/08/31/rsscloudMeetupAtUcBerkeley.html">rssCloud meetup</a> next Wednesday. I have a few others to cross off the list. Wish me luck! 
		- Hire execs who love the product
			- I've been in and around the tech industry since 1976, which makes me a 33-year veteran. The industry loops every 5 to 10 years so I've seen something like five or six iterations. There are some mistakes they make over and over. Wish I could tap them on the shoulder and say <i>Don't Do It</i> but it wouldn't make a diff. Every crop of entrepreneurs thinks it's different. They never are, but they have to learn that for themselves.
			- One thing they do over and over is hire execs who don't love the product. 
			- It's as if the guy who ran professional football didn't like football. Or if <a href="http://images.scripting.com/archiveScriptingCom/2009/09/03/rossi.jpg">Valentino Rossi</a> didn't love MotoGP. Or the CEO of a vintner didn't like wine. Or if <a href="http://money.cnn.com/2009/08/27/smallbusiness/alice_waters_how_we_got_started.fsb/">Alice Waters</a> who runs Chez Panisse and is Berkeley's most famous entrepreneur didn't have a passion for great food.
			- <a href="http://en.wikipedia.org/wiki/Valentino_Rossi"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/03/rossihelmet.jpg" width="150" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named rossihelmet.jpg"></a>Yet Twitter just hired a <a href="http://twitter.com/dickc">COO</a> who has one of the most out-of-whack follows-to-follower ratios out there. He follows 40 and is followed by 650,263. This is probably why his RSS company, Feedburner, made it to be acquired by Google and then crashed. It wasn't built on a foundation of love for RSS (I can attest to that) and while the people of Twitter use it and they have very passionate users, the execs at Twitter, at best, dabble. And now we know they hire dabblers. (An instance of A people hiring A people and B people hiring C people?)
			- When your ratio of follows to followers is 0.00006151 it's inevitable that you see Twitter as a stage like the one Barack Obama stood on in <a href="http://www.flickr.com/photos/scriptingnews/2699829038/sizes/l/">Berlin</a> or in <a href="http://www.flickr.com/photos/scriptingnews/2807926676/">Denver</a>. "I'm up here," he must think, and "they're out there." His ability to understand how people see his product is limited because his view is of users as little dots, and he and his 40 insider friends loom large. 
			- I've sat in board meetings listening to other board members explain our users, having never met one, having never used the product. Needless to say their advice is pretty general and usually wasn't very useful.
			- I've had it explained to me that cancer doctors don't have to get cancer to be good doctors, and of course I agree. But using a product like Twitter is supposed to be a joy. It's supposed to be an expansive thing, not a life-threatening one. And I'd add, every company that viewed its own products with fear fails. If you make a product that is not a disease and you treat it like one, people will find some other place to congregate.
		- Why I love my Sony Walkman
			- <a href="http://www.flickr.com/photos/scriptingnews/3478043764/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/03/walkman.jpg" width="125" height="207" border="0" align="right" hspace="15" vspace="5" alt="A picture named walkman.jpg"></a>My mother has a friend who was raving about the new Sony Walkman, so I <a href="http://www.amazon.com/gp/product/B001F50UHW/sr=8-1/qid=1240789288/ref=noref?ie=UTF8&s=electronics&qid=1240789288&sr=8-1">bought two</a>, one for Mom and <a href="http://www.flickr.com/photos/scriptingnews/3478043764/">one for me</a>. They're not expensive, and I've never been happy with the way my iPod worked for podcasts, which is 90 percent of the use I have for them. 
			- Do I like it? I do! I've been using the Walkman ever since, and the iPod has become a hard disk for my BMW (which has an iPod interface).
			- I like the Walkman because it works way better, for me, than the iPod does.
			- The Walkman connects easily to both Mac and Windows without any weird dialogs that warn me that it's about to erase everything on the device. It presents as a disk drive. I copy files into the Podcasts sub-folder of the Music folder. When I'm out, I click the top-level Music icon then choose Folder, and navigate to the file I want and it plays. Click Next to go to the next one. 
			- Back at home, next time I load it up, I just empty out the folder and copy in a new batch of podcasts. Or if I'm on the road with my Windows XP netbook, or traveling with my 13 inch MacBook Pro. Or in my office using my iMac. Or at a friend's house. You get the idea. It's totally not fussy about what you connect it to, and it never gets an idea that it <a href="http://images.scripting.com/archiveScriptingCom/2009/08/31/itunes.gif">knows better</a> what should be on your device than you do.
			- My iPod ends up with all kinds of junk on it because even though I've been using one for seven years and I still don't understand how it works. I understood the Sony the first time I used it and it's never thrown a curveball at me. A few weeks ago I had to post here to find out how to get my iPhone out of shuffle mode.
			- Apple really does do nice user interfaces, but I think they either don't understand users, or don't like  or trust them. The Walkman has lots of nice features, but it's nicest feature is that it's really simple.
			- BTW, last time I was in NY I saw that my mom had taken it with her on a walk and asked if she knew how to put new stuff on it, and she said yes. I consider this a major victory for tech! ";->"
			- Anyway it might not be for you. But a lot of people don't know that Sony now makes a good MP3 player. Hopefully I've done my part to help correct that. 
		- RSS in your TV set
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/03/rss.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named rss.jpg">I am up late writing docs for the next River2 release and just got an <a href="http://images.scripting.com/archiveScriptingCom/2009/09/03/samsungemail.jpg">email</a> from Amazon about a new Samsung TV that has a built-in RSS reader. Here's a <a href="http://www.youtube.com/watch?v=AtP8QRSRrTg">video report</a> from CES 2008 where the TV was announced.
			- RSS is part of the fabric of the Internet which is now a feature of TVs. It's so cooool. ";->"
	- September 2
		- Is River of News enough?
			- For what seems like many years I was a lonely voice in the wilderness, whispering at first "River of News" then speaking more loudly and finally shouting from the rooftops, but people wouldn't listen. Developers patterned their "news readers" after email programs. Each feed was a box, and like a mail program it would tell you how many unread messages there were. "This is wrong!" I would say -- RSS is not mail. 
			- Well in 2006 or so, things turned in the other direction and rivers showed up everwhere. They call them streams, lifestreams, etc, but they're all the same basic idea. Park yourself on the riverbank and watch the news flow by. If you miss something, not to worry, if it's important some new story will refer to it. 
			- Then an interesting experiment, the <a href="http://www.annarbor.com/">AnnArbor.com</a> switched its home page to be a river. Wonderful, fantastic, futuristic. A long time ago I predicted the front page of every news site would be a river. But now Joshua Benton at Nieman Lab <a href="http://www.niemanlab.org/2009/09/annarbor-coms-big-scoop-getting-buried-quick/">asks</a>, basically, is a River enough? Do you need some other structure to hang the news on? Yes, imho, you do.
			- The question comes up on Twitter, when you want to know the context of a tweet, because sometimes people string them together. 140 characters isn't enough to express a full idea, so you write three or four. By the time you're at number four, someone has usually tweeted you back asking what you mean. The answer is in #1 or #2 of the 4-tweet sequence. If you answer the question, you'll just beget more questions, so you hope the person is savvy enough to click on your name and read your <a href="http://twitter.com/davewiner">full stream</a> to get the context.
			- <a href="http://blogs.law.harvard.edu/doc/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/02/doc2.jpg" width="118" height="139" border="0" align="right" hspace="15" vspace="5" alt="A picture named doc2.jpg"></a>In the 1980s I ran a system called LBBS on an Apple II in my living room. We had the exact same problem, and found a neat solution. At first the structure was strictly hierarchic. The sysop, me, would start a discussion area, and users would post questions or assertions as first-level subs. People would respond, and those would appear in reverse chronologic order as second-level subs. Responses to those would be third-level and so on. This was an early threaded discussion system. But how to find the new stuff? For that I added what I called a Msg Scanner, a reverse-chronolic browser that ignored structure. It would keep a bookmark for every user, a high-water-mark, and when you'd jump into the scanner that's where you'd start. You'd keep hitting Next until you reached the newest message. And here's the cool thing -- when you wanted to see the context, just type / and you'd switch over into the hierarchic structure, <i>on the same message. </i>
			- News will work the same way, except someone who is skilled at organizing stuff will figure out where each piece goes in the hierarchy. This will provide the context, and you will also be able to find out What's New. 
			- Anyone who used the LBBS in 1981, that's 28 years ago, will understand, but in this world it's still a new idea.  ";->"
			- I wrote a <a href="http://davewiner.userland.com/outlinersProgramming">narrative</a> of this development process in 1988 when I was starting up UserLand Software. 
		- Sorry I still hate Comcast
			- <a href="http://www.slate.com/id/2226927/pagenum/all/"><img src="http://images.scripting.com/archiveScriptingCom/2009/09/02/tweetophone.jpg" width="125" height="142" border="0" align="right" hspace="15" vspace="5" alt="A picture named tweetophone.jpg"></a>Hate is a word I've tried to wipe from my vocabulary, along with need. You don't really need more than air, food, water, a warm place to sleep, basic medical care. There are lots of things that are nice to have, like hugs and kisses and great sound systems and business-class-or-better. But needs are pretty basic things.
			- Hate? People throw that word around far too casually. The other day a rep of SXSW said that I had hated on them because I suggested they were taking money to keep me off the speakers list since 1998 or so. I had asked many times why I couldn't get in, and was met with a stone wall. So like all human beings, my mind filled in the blanks. I asked to be enlightened, if it wasn't a payoff, what was it? I offered to run a retraction if they would tell me the real reason. Stone wall again. Oh well. I don't hate them. The word I would use to describe my feeling about SXSW is <a href="http://www.google.com/search?q=define:frustrated">frustrated</a>.
			- But Comcast? I think that's the <a href="http://www.scripting.com/stories/2008/04/16/aNewReasonToHateComcast.html">real thing</a>. I'll tell you why.
			- Love and hate have a mathematical relationship:
			- hate = love + betrayed
			- I would love to have Comcast service, but I would never sign up for it again unless they apologized for the treating me so badly. And while most companies apologize when they screw up, I have a feeling that Comcast thinks I should apologize to them. And that ain't never going to happen.
			- Why write about this today? Well they're getting a lot of <a href="http://www.slate.com/id/2226927/pagenum/all/">kudos</a> because they try to fix their fuckups with reps who use Twitter to find unhappy customers. When I got fired as a Comcast customer, I was in contact with their Twitter caretakers. Not only couldn't they stop the Comcast machine from <a href="http://www.google.com/search?q=site%3Ascripting.com+comcast">chewing</a> me up and spitting me out, they had the gall to say <i>they liked me</i> while they were doing it! Now that's really asking for the hate. 
			- Imagine a girlfriend dumping you, hard, and while she's doing it saying she likes you. Well fuck that shit bitch. <-- There's the hate. 
			- But their service is much faster than my AT&T DSL. I pay my bills, in full and on time (as I did with Comcast), and they don't have Twitter accounts. They never cut me off (knock wood), and I never have to talk to a Twitter rep who likes me. Maybe I'm weird but that's kind of how I like to do business.
		- Learning from the fire of 1991
			- Fires are on the minds of Californians, esp ones who live in the hills, like the ones in Berkeley and Oakland. 
			- In 1991 these hills burned. I watched the fire, safely, from a friends' deck on Potrero Hill. It seemed far away, but now I live here.
			- In the RTN podcast on Monday I asked Doc Searls if we could learn from the fires in Southern California. 
			- <a href="http://www.inberkeley.com/2009/09/02/what-did-we-learn-from-the-fire-of-1991/">Today, on InBerkeley</a>, I ask if there are any old-timers who were here during the fire of 1991 who would share what they learned.
