- January 2010
	- January 31
		- What if Flash were an open standard?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/31/wrong.gif" width="150" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named wrong.gif">Interesting <a href="http://daringfireball.net/2010/01/blue_boxes">collaborative post</a> betw Gruber and Scoble. I'd like to get into the mix with a 90-degree turn -- in the form of a question.
			- 1. Okay, Apple seems to be forcing a question. Can they force web site producers to kill Flash? 
			- 2. It's kind of hard to defend Flash because it's a company-owned thing, not an open standard. 
			- 3. Now the question. What if Apple were trying to erase something that's not company-owned? Either a formal or defacto standard? 
			- 4. Further, what if their alternative were something that was locked-down and owned by a company? Further, what if the company was Apple?
			- This may be kind of a toe-dip. Apple tries this. If it works, they try sticking their whole foot in. The end result may well be a networking environment owned by one company. Or two or more incompatible networking environments. 
			- Users and website developers are practical people. We don't care about Adobe, says Gruber, and that's probably right (I don't have a single Flash document on scripting.com). But I very much care about an open Internet. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/31/doNot.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named doNot.gif">Yes, that opens me to ridicule from users with little experience with the other kind of networking, one that has huge Do Not Enter signs everywhere. Their naivete is no excuse for throwing out the engine that's been driving innovation. The question of where and how we draw the line should be part of the public discussion. 
			- BTW, how lovely are open standards? I'm writing this post from an American Airlines flight from NY to SF. Do you have any idea how many open standards were necessary to make this work? Makes the mind spin. And it all works exactly the same if I fly Virgin America or Air Egypt. In an Apple-designed world how much of this would work? Imho, not very much. 
			- PS: Adobe might want to consider, right now, very quickly, giving Flash to the public domain. Disclaim all patents, open source all code, etc etc. That would throw the ball squarely back into Apple's court and would frame the question right now in its most stark terms.
	- January 30
		- More iPad thoughts
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/30/tt.jpg" width="116" height="130" border="0" align="right" hspace="15" vspace="5" alt="A picture named tt.jpg">One recurring theme in defense of the closedness of the iPad is that it gives you access to the web and that's the most open thing around. Maybe, but if I want the web there are much better and less expensive ways to get it that don't compromise on flexibility and the ability to run other software. In other words, if you want the web and only the web, iPad would be a poor choice. 
			- Yet I am concerned that it will get a flow of great apps from people who are willing to compromise on their freedom and users' freedom. They may say they're not doing it, but I don't see it that way. I wouldn't want to do anything to discourage them from developing cool apps for iPad, as long as they're not pumping their creativity into a platform that can't be competed with because of patents. <a href="http://www.scripting.com/stories/2010/01/29/attnJoeShouldWeTrustIpad.html">If that's the case</a>, it's a very unhealthy situation. Not one a developer should support unless they know for sure that other platforms can challenge Apple. I suspect there's a problem because Google is not releasing their multi-touch technology very widely.It could be that it's not ready, I hope that's the reason. But it may also be that Apple has a patent.
			- Another question that comes up frequently is why worry about limitations in a platform from Apple when we haven't expressed similar concerns re those from Nintendo, Sony, etc. The answer is obvious -- we depend on the Macintosh being one of two or three serious and open development platforms. At some point Steve is going to get up on stage and tell us it's the end of the road for the Mac, because the iPad/iPhone OS has sucked all the energy from the Mac. That's something he and Apple could seriously influence. Sony and Nintendo don't make the Mac, therefore there's nothing to worry about. One way Apple could alleviate these concerns and, at the same time, blast a big hole in the side of Microsoft would be to fully open source Mac OS. At that point, I'd be very happy to keep working on it, and wouldn't give a whit about the iPad, knowing as long as there's demand we'd be supplied with new versions running on the latest hardware, by <i>someone</i>, if not Apple. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/30/slippers.jpg" width="125" height="96" border="0" align="right" hspace="15" vspace="5" alt="A picture named slippers.jpg">Re the need for simplification, I've watched a close relative struggle with the multiple layers of user interface on today's computers, I recognize the need for a fresh start. Current GUI technology is 40-plus years old. Mac and Windows are equally confusing messes. User interfaces can be vastly simplified. I thought Apple would have done much more in this area by now. It's already been three years since the iPhone's introduction. And I don't think Android has the same commitment to a fresh start, it's more of a hodgepodge. And while Google is a patent offender just like Apple, so has no moral advantage, at least there's no barrier to what developers can put on the Android platform, so Google doesn't have the ability to control what goes on Android as Apple does with the iPad. In the worst case, you can route around Google totally because Android is open source.
			- Another thought occurred to me -- iPad looks rushed. It seems possible that Apple pushed it out sooner because it got wind of a competitive product. Could it be that Google has a DroidPad in the pipe? One thing's for sure, Apple's competitors are not scared of iPad. Let's hope they make some decent offers to developers. If any of them want my help, I'm here and ready to roll up my sleeves. I want to be sure there are lots of choices, the sooner the better. I can help get developers to pay attention to what you're doing. 
			- The stakes are much higher than with the iPhone. No one should underestimate the potential of iPad. That's why I <a href="http://www.scripting.com/stories/2010/01/28/applesJumboOreo.html#p4">said</a>, ironically, there's no doubt I will buy one as soon as I can. For the same reason I bought an iPhone. You have to understand this product if you want to stay current. But we, as an industry, must have choice. Now is a crucial moment for that.
	- January 29
		- Attn Joe: Should we trust iPad?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/29/mysterioso.gif" width="95" height="236" border="0" align="right" hspace="15" vspace="5" alt="A picture named mysterioso.gif"><a href="http://inessential.com/2010/01/27/bad_gravity">Brent Simmons</a>, <a href="http://joehewitt.com/post/ipad/">Joe Hewitt</a> and <a href="http://tirania.org/blog/archive/2010/Jan-29.html">Miguel de Icaza</a> all write that they look forward to developing on the iPad. I found their essays surprising, especially Joe's -- given his decision to stop developing for the iPhone because of the review process that Apple imposes on developers. I totally supported him in that, and since his decision (though not because of it) I have switched from the iPhone to Google's Android platform, as a user. 
			- I don't develop for any of the new platforms because they don't run my software, though Google could. Apple would never approve anything remotely like the <a href="http://editor.opml.org/">OPML Editor</a>, and that makes it very unlikely that I'd develop for them, but also for some really important reasons, makes it equally unlikely that I'd use it. I found Joe's piece thought provoking (it provoked this piece). I hope he gives mine similar consideration.
			- First, after reading Joe's piece, I understood why developers find the iPad interesting. It's because while they liked creating apps for the iPhone, the tiny screen made some very difficult design choices necessary. While they could see the potential of the multi-touch interface and a fresh start  (they don't have to live with a UI design that's 40 years old), the iPhone screen is so small, that they couldn't nearly deliver on the promise. All the while they're thinking "If only Apple would make one of these things that isn't so small." And that of course is exactly what the iPad is. I'm sure they can understand that we, as users, weren't having the same thoughts. Until I read Joe's piece I had not heard this idea in any of the flood of discourse on the iPad, pro or con. Since I don't develop for the platform I never had the thought myself. 
			- So, if Brent, Joe and Miguel like it, it stands to reason that they will create software that users will like. So the success of the iPad is assured, in ways perhaps that the Asus isn't. Or perhaps even Android, because it doesn't have multi-touch enabled, just guessing that might have something to do with a patent. Which is a shame, because while Joe has the option to put some or most of the functionality that Apple won't allow on a Facebook-owned server, the user doesn't have any say in this choice. So the user's data will live where Facebook, or some other funded company, wants it to live. 
			- While Joe et al have been thinking about great new user interface, I was too when I was their age, now I'm thinking about something else, that I believe is even more important -- keeping big tech companies from controlling what has become our primary means of expression and communication, computer networks.
			- When I was young, some of us envisioned the world we live in today, only we tended to think only of the upside of networked thinking, never the dangers. I guess that's human nature and the nature of youth. Won't it be great if everyone can access everyone else's ideas anywhere, we thought -- on any kind of device, all inter-connected and fast. Some believed, me included, that computers without networking interfaces were totally uninteresting. Everything I created was designed to communicate. I ached because early Macintoshes had such awful networking APIs. Eventually all that got sorted out when we got HTTP -- it was so simple, the big companies couldn't control what we did with it.
			- But ever since that watershed moment the <a href="http://www.scripting.com/stories/2010/01/17/corporateMediaIsTheProblem.html">big tech companies</a> have been trying to get the genie back in the bottle. It's the nature of bigness and corporateness to do that. Facebook didn't exist when I started my work, but now they're here and they're huge, and they view the world the way a big company does. 
			- The problem is this -- if Facebook goes away -- and it could, so does everything everyone created with it. Facebook investors and developers like Joe (who I respect enormously) probably aren't worrying about this, because necessarily everything they do is tied up in the success of Facebook. Now if Joe can show me, in his architecture based on the iPad, where all my work is mirrored in a service I pay for, like Amazon S3, in a simple format I and others can write software against, then I can relax and look forward to the future he, Brent and Miguel want to create. But if my work is tied up in their success, then the price is too high. I'll take the lower fidelity but open playing field of the netbook, and keep my own data on my own hard drives, and back it up as I see fit. And continue to exercise my First Amendment rights.
			- I know that "most users" aren't thinking like this, it's easy to be lulled into a false sense of confidence. But I don't trust these companies, and I especially don't trust Apple or Google with my writing work. I can see a day when what I write has to be approved by someone who works for Steve Jobs before it can be read publicly. That's a day when freedom is completely crushed. 
			- All three of these men know that freedom is important. So what's the answer. You're all willing to give up some of your freedom to play in Apple's new ballpark. How much of our freedom should we be willing to give up, and is this the only way to get it? Is it possible to create an iPad-like platform that has none of the drawbacks of Apple's offerings? If not, why not?
			- Update: <a href="http://al3x.net/2010/01/28/ipad.html">A must-read piece</a> by Alex Payne. "If I had an iPad rather than a real computer as a kid, I'd never be a programmer today." Well put, even if it's not a sure thing. (I didn't have any kind of computer growing up and I'm a programmer.)
	- January 28
		- Apple's jumbo Oreo
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/28/oreo-cakesters.jpg" width="150" height="106" border="0" align="right" hspace="15" vspace="5" alt="A picture named oreo-cakesters.jpg">It may just be a temporary thing, hardware development pipelines are long, and Steve was out of commission getting a liver transplant while the iPad was being birthed at Apple. Presumably. Hopefully. If that's not true, and this is the result of a careful gestation, then Steve is no longer the master, he has lost his touch. This thing, the iPad, is a dog. 
			- People who think it isn't comparable to a netbook are just plain wrong. It is, in every way because there are only so many points between an iPhone/Droid/Pre et al and laptops. As Adam Frucci in <a href="http://gizmodo.com/5458382/8-things-that-suck-about-the-ipad?skyline=true&s=i">Gizmodo</a> says so eloquently, where's the camera, where are the USB ports, where is the fracking keyboard? SD drive, removable battery, hard disk, etc etc.
			- When netbooks first came out they flirted with all-solid-state storage. This meant a $600 unit only had 20GB of persistent storage. Made it almost totally unusable. Then they put a 160GB hard drive in the things and the price came down to $350, and they hit the sweet spot and started flying off the shelves.
			- Okay the fanbois say this product is for marketing people, old people, one guy even said my parents would want it. My father isn't going to use it, no matter what, and we just bought my mom an Asus, which she thinks is cute and is having just a bit of trouble with even though she's a bit of a technophobe. What they're really saying is that it's the computer for idiots. I agree. Idiots with $500 burning a hole in their pocket. Like me. I'll almost certainly buy one. But unless I'm missing something, I'll still travel with the Asus that I'm typing this review on.
			- Now I was wrong about the iPhone, I bought one and used it for two years, saying goodbye to my Blackberry. But I ended up saying goodbye to the iPhone for the reasons I thought I would at its roll out. It should have been a Mac. Same with the iPad. They should have come out with a netbook-style product, price and feature-comparable to the Asus products but running the Mac OS and Mac apps. Because huff and puff all you want, this baby is going to have to look good compared to the netbooks, and now it looks like testimony to hubris. Finally, Apple went too far, and the emperor is totally naked for all of us to see. Ridiculous product. Absolutely completely ridiculous.
			- Apple hasn't added anything new to my repetoire of computer toys in a very long time. I bought a 13 inch MacBook Pro, but it's a battery hog running the same apps as my Asus, and unreliable. It stays home when I travel. I will probably move it to NY to be my main computer here. The iPhone also stayed home. My workhorse is the Droid, and I carry the Nexus One as the admiration platform. It has the SIM that used to be in the iPhone. Fred Wilson and I agreed (we had breakfast yesterday) that it's like carrying a girlfriend in your pocket. What could be better. This is an important point. Finally Google is presenting them with a serious competitor in the lust category. No, they aren't all the way there yet, but they don't have the prison mentality for users and developers. Continuing the girlfriend analogy, who wants an uptight control freak GF when you can have a.. okay I think you probably get the idea. ";->"
			- Also I don't care about the <a href="http://embracingtheabsurd.blogspot.com/2010/01/ipad.html">name</a>. We get used to bad names. No one snickers anymore when you say Microsoft, but I remember when they did. I don't care that the name is a big gaffe. But I think the product itself is a gaffe, and <i>that</i> matters. 
			- Finally, <a href="http://www.scripting.com/stories/2010/01/26/readingTeaLeavesInAdvanceO.html">my prognostication piece</a> missed wildly. I was way too ambitious on Apple's behalf. I figured it's been so long since they shipped something wonderful that they must really have something incredible and far-reaching in the lab, and here it comes. About the only thing I got right was #9. Steve still loves to delete ports. It would have been sort of cute if he had delivered on some of the potential in this category. But given the lack of imagination and execution in this product, it's a cruel joke that illustrates that all that remains of Apple's brilliance is Apple's arrogance. The art has to be there, following <a href="http://www.scripting.com/davenet/stories/DocSearlsonSteveJobs.html">Doc Searls' famous 1997 analysis</a>. This is just a jumbo Oreo cookie. The original classic model made sense. This bloated mess is just a bloated mess.
			- 
	- January 27
		- Getting NYized
			- Well, I'm very close to getting my apartment in NYC -- in the West Village.
			- I've also noted that a bunch of people don't know that I'm becoming bi-coastal, splitting my time between Berkeley and NY for the next year.
			- I also have recently been <a href="http://www.scripting.com/stories/2010/01/14/yearZeroForJournalism.html">appointed</a> a Visiting Scholar at the Arthur L. Carter Institute of Journalism at NYU. I've updated my bio on the home page of scripting.com to indicate this.
			- I'm also walking a ton and loving it. This city is built for walking, even in cold weather, there's tons of eye candy, and places to stop and gawk. 
			- And I keep thinking of people to connect with here. 
			- It's the Big City, and I already feel right at home. ";->"
	- January 26
		- Reading tea leaves in advance of Apple's announcements
			- Tomorrow's Apple announcements:
			- 0. This is 100 percent speculation, not in any way based on actual information.
			- 1. Of course like everyone else I assume Apple is unveiling their tablet.
			- 2. AT&T will either lose exclusivity or will be dropped altogether by Apple. 
			- 3. The biggest innovation will be the touch interface. They will have a virtual keyboard that works amazingly well, and it will have other amazingly intuitive gestures that it understands. The touch interface will work on both sides of the device so you can wrap your hands around it and make stuff happen that way. 
			- 4. Apple will unveil a new cloud that connects all its devices together. The tablet will only cache your information locally, all data and content is stored permanently on Apple's servers. (Apple must learn to be Google and Google must learn to be Apple, though neither ever will.)
			- 5. There will be a radically new iPhone and iPod using the same software as the tablet.
			- 6. The new iTouch software will not only run on all the newer devices, but will also run on the Mac. They will demonstrate their app store running on Mac hardware inside the same environment that runs on all the other devices. There will be subtle hints that the old Mac programming model is "legacy" -- where they began -- will always be loved by Steve, but eventually will be deprecated. 
			- 7. Google will be on stage for the announcement proclaiming their support for the new device. Steve will say Google is a valued partner of Apple's. The body language will indicate otherwise.
			- 8. Ditto for leading <a href="http://www.macrumors.com/2010/01/26/mcgraw-hill-ceo-confirms-apple-tablet-iphone-os-based-going-to-be-terrific/">publishers</a>.
			- 9. Some ports will be missing on the new Macs. Maybe USB? Steve loves to delete ports.
			- That's about it for now in the tea leaves department. I might think of some other things. It's always good to get your stake in the ground to see how you do. ";->"
		- NY Public Library
			- I made a stop at the main <a href="http://maps.google.com/maps?hl=en&safe=off&client=firefox-a&q=5th+ave+and+42nd+st,+nyc&ie=UTF8&hq=&hnear=5th+Ave+%26+W+42nd+St,+New+York&gl=us&ei=T1NfS6ufLczS8Abg35mFDA&ved=0CAkQ8gEwAA&ll=40.755417,-73.980882&spn=0.0046,0.013626&z=16&iwloc=poi1">NY Public Library</a> on 5th Ave and 42nd St.
			- <a href="http://www.flickr.com/photos/scriptingnews/4307505148/" title="Main reading room NYPL by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2753/4307505148_0f0526ee93_m.jpg" border="0" width="240" height="135" alt="Main reading room NYPL" /></a>
			- Three notable things. 
			- 1. Free wireless Internet. <a href="http://www.speedtest.net/result/695689261.png">3.13Mb/s down, 9.24Mb/s up</a>. (Not a typo, it's asymetric, not the usual way. Probably because there are hundreds of people using the free Internet and most of them are downloading, not uploading.)
			- 2. Everyone in the <a href="http://www.flickr.com/photos/scriptingnews/4307505148/">main reading room</a> has a laptop. There's power at every desk.
			- 3. They have <a href="http://www.nypl.org/node/66196">free blogging classes</a> every Tuesday night.
		- Random NY notes
			- I'm in NYC looking for an apartment again.
			- Did a <a href="http://rebootnews.com/2010/01/25/rebooting-the-news-38/">Rebooting The News</a> with Jay last night. It was done in a studio at NYU, which has advantages (you can hear us well) but also disadvantatges. I hear the podcast ends at exactly 45 minutes, cutting me off in the middle of a sentence. That really sucks because the last few sentences were the best. (Just kidding, but we seriously have to get this under control, we run a loose ship and intend to keep it that way.) It's been worse, once I lost an entire podcast due to a technical mistake. So shit happens. It'll be interesting to do it next week when I'm back in Calif.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/26/typewriter.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named typewriter.jpg">There's a certain amount of <a href="http://www.nytimes.com/2010/01/26/technology/26apple.html?partner=rss&emc=rss">giddy in the media</a> about the expected tablet announcement from Apple tomorrow. There's this idea that Steve will save the free and professional press, because he values a free and professional press. <a href="http://www.rexblog.com/2010/01/25/20291">Uncle Rex Hammock</a> spills cold water on the idea. Remember what Doc Searls said about software developers when Steve returned to Apple <a href="http://www.scripting.com/davenet/stories/DocSearlsonSteveJobs.html">in 1997</a>. Can you imagine how the free and professional press feels when Uncle Steve and his minions fail to approve their writing because it isn't sufficiently flattering to Apple? Somehow this is a loop back to the lesson of this week's RBTN. Perhaps it's better to accept low fidelity in return for the ability to finish a sentence -- the way you want to finish it. Or at least let the mistakes you make be your own.
			- Meantime, <a href="http://www.nytimes.com/2010/01/26/us/politics/26budget.html?partner=rss&emc=rss">Uncle Barack Obama</a> is making those of us who supported him really sorry for having done so. Freeze budgets? <a href="http://www.salon.com/opinion/feature/2010/01/25/obama_panicking?source=newsletter">Robert Reich</a> says that could be bad for the economy. <a href="http://krugman.blogs.nytimes.com/2010/01/26/obama-liquidates-himself/">Paul Krugman</a> isn't so reserved. <a href="http://delong.typepad.com/sdj/2010/01/barack-herbert-hoover-obama.html">Brad DeLong</a> says his middle name should be "Herbert Hoover." My guess is that it's a lie, he doesn't plan to freeze the budget, any more than Uncle George W Bush meant to get us out of Iraq. He just wants to take the high ground from the Repooobs next election cycle, to deprive them of what he feels might be a very potent soundbite. Either way, pity us. I can't imagine we'd ever elect a president that we'd have higher hopes for than Obama. If he betrays us, well, who won't?
			- People ask what I think of Google's new <a href="http://googlereader.blogspot.com/2010/01/new-year-new-mobile-features-and-more.html">synthetic feeds</a>. Great idea, I'll subscribe in my own <a href="http://newsriver.org/river2.html">aggregator</a>. Oh you say I have to use Google Reader? Not my cup of tea. 
	- January 24
		- On Twitter doing business with developers
			- In a <a href="http://www.scripting.com/stories/2010/01/22/twitterRevampsTheSulAddsAT.html#comment-30896616">comment</a> the other day...
			- What Microsoft used to do in situations like that was bundle a developer's product while they got the feature ready for their product.
			- We did a deal like that with them in 1985 with our Ready product, they ended up paying us a lot of money (several million) while they got the outliner feature ready for Word. We were able to use the money to develop our next product which put us over the top. A total win-win.
			- You guys should be tapping into the power of the community. While you're struggling to keep up, they're struggling to make businesses out of their projects.
	- January 23
		- Leslie Harpold's archive
			- <a href="http://workbench.cadenhead.org/news/3579/why-leslie-harpolds-sites-disappeared">I read a post</a> over on the Workbench blog asking about the writing of Leslie Harpold, an early blogger who died in 2006. Her family has let her domains expire.
			- I'm not glad, of course, that her web presence has gone away, but I am glad that the topic is starting to get wider attention. It's a huge gap in our attention, as blogging has grown. 
			- I've been getting emails from people wanting my help in getting their sites converted from Manila to some other format. It's totally predictable this would happen, but this is the <i>wrong time</i> to ask that question. There's nothing that I, one person, can do to help. The time to ask is when you're creating your web archive. That's when you should be concerned about what could happen to it if.. And there are lots of ifs.
			- Fact is, most of the writing we're doing now, no matter what tools we use, will disappear, probably a lot sooner than you think.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/23/ohRudyIsntThisAFunPlace.jpg" width="107" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named ohRudyIsntThisAFunPlace.jpg">I'm a very technical person, and I've been aware of this issue starting from the first day I wrote an essay that was published on the web. I've been doing things to protect my writing. Yet, if I were to for whatever reason, stop tending my web presence, the whole thing would disappear within 30 to 60 days. One or two billing cycles before the hosting services cut off service. And then no more than a year before the domains expire and become porn sites or whatever.
			- This is a terrible situation.
			- And a business opportunity.
			- Harpold's writing may be gone. Whether it comes back is entirely up to her family and volunteers. But there are millions of others whose work will not get this kind of attention, and if they want to do something to future-safe their work, right now, there is nothing they can do.
			- What's needed is an endowment, a foundation with a long-term charter, that can take over the administration of a web presence as a trust -- <i>before the author dies.</i> This is something you can and should be able to ake care of yourself. 
			- My father, who died in October, did a fantastic job of preparing his estate so that it would require the minimum work of his successors. But there was nothing he could do for his web site, and as far as I know he didn't. I don't control his domain, even though I host his site. Luckily I'm technical enough to know how to do a permanent redirect, and I'm fairly confident that even if I can't gain control of the domain, we can preserve his writing. I'm also going to statically render it, so it doesn't require any special software. But even then, even if I host it as a sub-domain of scripting.com, what happens when I die?
			- We need to focus as much attention on preserving the record as we did in creating easy to use web content tools. We've created a problem of monumental proportions, the hole gets deeper every day, and people are just beginning to come to grips with its scope.
	- January 22
		- First blogger at Davos
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/01/04/harder.gif"><img src="http://images.scripting.com/archiveScriptingCom/2010/01/22/harder.gif" width="125" height="182" border="0" align="right" hspace="15" vspace="5" alt="A picture named harder.gif"></a>The World Economic Forum, the organization that puts on the annual conference at Davos, has <a href="http://www.weforum.org/pdf/40years.pdf">published</a> a 40-year history of the event. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2010/01/22/socialMediaAtTheForum.gif">On page 200</a>, under <i>Social Media at the Forum,</i> my longtime friend Lance Knobel is credited with establishing the first WEF blog, in 1999, <a href="http://web.archive.org/web/20000620041534/http://www.davosnewbies.com/">Davos Newbies</a>. 
			- Just after that it says, in "2000, Dave Winer, founder and CEO, UserLand Software Inc, became the first blogger invited to attend the Annual Meeting." 
			- Of course that's not quite accurate -- Lance was also there that year, so it's a distinction we share.
			- Here's a <a href="http://www.google.com/search?q=site%3Ascripting.com+davos">Google query</a> that returns my reports before, during and after Davos. 
			- <a href="http://essaysfromexodus.scripting.com/pictures/viewer$303">My favorite picture</a>, and there were many good ones, was of the lunch on the last day, halfway up one of the mountains that surround the <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=davos,+switzerland&sll=37.891853,-122.274908&sspn=0.013174,0.017467&ie=UTF8&hq=&hnear=Davos,+Pr%C3%A4ttigau-Davos,+Graub%C3%BCnden,+Switzerland&t=p&z=12">town</a> of Davos. And yes, I am wearing a jacket and tie! No kidding. 
			- Bottom-line: It's nice to be remembered! <i>Thanks!</i> ";->"
		- Request to be removed from the SUL
			- <i>I just sent this via email to a Twitter board member.</i>
			- Thanks for including me on the new Suggested Users List, but I have to ask to be taken off it, for the reasons outlined in this piece.
			- <a href="http://www.scripting.com/stories/2010/01/22/twitterRevampsTheSulAddsAT.html">http://www.scripting.com/stories/2010/01/22/twitterRevampsTheSulAddsAT.html</a> 
			- People might think that I held back criticism for Twitter if I got this boost from the company providing the communication platform.
			- I know this because I've already felt inclined to withhold criticism because getting the approval feels nice.
			- I imagine it feels good from the other side, to be able to control who gets approval and not. This is why I feel very strongly that you should immediately, as an urgent priority, get a new system in place that returns your company to being a service provider with absolutely zero interest in how your system is used by individuals.
			- Dave
		- Twitter revamps the SUL, adds a twist
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/22/portrait.gif" width="118" height="250" border="0" align="right" hspace="15" vspace="5" alt="A picture named portrait.gif">First a few necessary recitals.
			- 1. I've written about the <a href="http://www.google.com/search?q=site%3Ascripting.com+sul">Suggested Users List</a> many times. 
			- 2. It was a terrible idea and poorly implemented, because...
			- 3. It created two levels of users, insiders and outsiders, illustrating and propogating the bad attitude of Silicon Valley tech companies relative to their users.
			- 4. It screwed with the integrity of every person and organization that was on the list, or who hoped to be on it. Would they be more likely to praise Twitter, and less likely to criticize them, if they're on it or want to be on it? I think it was pretty obvious at times that they used it as a tool to control the press.
			- 5. It destroyed the value of the one potential metric for authority, follower count. For people on the list, the number became meaningless. The argument that no one pays attention to follower counts is easily disproved by countless press reports where number of followers is cited as evidence of popularity and authority.
			- 6. It also screwed with the integrity of people who aren't on the list. Tim O'Reilly accused both Scoble and myself of criticizing the list because we weren't on it.  So cynical! (And wrong.) He had lots of company in making that accusation, btw.
			- 7. Further, recommendation engines are not and never have been rocket science. There are a number of developers, without access to all the information that twitter.com has, who've done a much better job than the SUL or its new incarnation (more on that in a bit).
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/22/duby.gif" width="82" height="247" border="0" align="left" hspace="20" vspace="5" alt="A picture named duby.gif">8. Facebook has a recommendation engine which is eerily good at predicting who I'll be interested in hooking up with. It tends to spot people who I've decided deliberately not to befriend. Annoying, but proves the point that this is one thing that algorithms do better than humans.
			- 9. Probably the worst thing about the SUL is that it rubs our nose in the fact that we're slaves to <a href="http://www.scripting.com/stories/2010/01/17/corporateMediaIsTheProblem.html">corporate media</a>, that our presence here is owned and controlled by a company that hasn't established any boundaries of what it will and won't do, no matter what effect that might have on editorial content. People who assume that Twitter won't do something because it's unfair, unwise, or hurts the integrity of the users or the platform, are making a baseless assumption. They've proven otherwise, through the horrific example of the Suggested User List.
			- Okay, so yesterday they released a <a href="http://blog.twitter.com/2010/01/power-of-suggestions.html">new version</a> of the SUL, and it's missing one of the most disturbing things about the SUL -- that it created a random list of 20 elite Twitterers for each new user to follow. How new users find followers now is again a mystery -- but none of my business. I totally don't care about that. That really is between Twitter and the new users. But the damage is done. Follower-count is a meaningless metric. There are two levels of users. Maybe the integrity issue is gone, but who knows what the next iteration of the SUL will look like. They haven't said. 
			- Now, the twist. They put me on the new list. Since I found out I was there, I haven't posted anything on my Twitter account, because that's a terrible place to discuss something like this, and until I decide what to do I want to be very clear about whether I've gained from being on the new list. I can't benefit from it if I don't post. Also there are still too many <a href="http://twitter.com/bullmancuso/status/8058316837">unknowns</a> about the new setup. There's been no communication from an officer of the company about what this means and what the future holds. 
			- I'm going to stop right there for now. If you have any thoughts please post them here. As usual, personal comments will be moderated. You can use your own blog for that. Stick to the topics in this post, and no name-calling. Thanks.
			- Update: <a href="http://twittercism.com/suggestions/">Twittercism</a> calls it the "Same old SUL with a different coat of paint."
			- Update: I asked to be <a href="http://www.scripting.com/stories/2010/01/22/requestToBeRemovedFromTheS.html">removed from the list</a>.
	- January 21
		- A new Rebooting The News essay
			- The Times has something very valuable that it isn't selling, that it's in the business of selling. There is a very simple idea that, if done right, could solve all their money needs and get with the flow of the web, instead of walling themselves off from it.
			- Rebooting The News: <a href="http://rebootnews.com/2010/01/20/a-breakthrough-for-the-times-possibly/">A breakthrough for the Times?</a>
			- Clear your desk and your mind. Sit down and spend five minutes reading and thinking before commenting. <i>Thanks!</i>
	- January 20
		- Twitter is SMS 2.0
			- <a href="http://www.scripting.com/stories/2010/01/10/sms20.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/01/10/nexusShotSmall.jpg" width="137" height="242" border="0" align="right" hspace="15" vspace="5" alt="A picture named nexusShotSmall.jpg"></a>I wrote a too-short and too-cryptic <a href="http://www.scripting.com/stories/2010/01/10/sms20.html">piece</a> last week that begs a more to-the-point treatment.
			- There was the web and then there was Web 2.0. The difference is dimension. The first version of the web, though it was never the intention of the <a href="http://www.w3.org/1998/02/Potential.html">designer</a>, was one-way. Publishing was hard, very few people did it. Lots of reading, not much writing. Blogging changed all that, writing got very easy, then richer, to the point where lots of professional publications now use blogging software. <a href="http://thetwowayweb.com/about.html">Mission</a> accomplished.
			- Texting was always a read-write medium, and very simple, but like 1.0 of the web, was one-dimensional. Texts were limited in how they could be combined and routed. Enter Twitter, a puzzle -- what the frack is it? We spent three-plus years puzzling it out, in the end it has a rather simple explanation -- it's the next version of SMS. You can do everything in Twitter you can do in SMS, and so much more. But essentially it feels very much like SMS, the same way blogging is very much like the web (so much so that that statement seems ludicrous).
			- If this is true, what can be done with this observation? I think a lot. 
			- All of today's great handheld computers, the iPhones and Droids and Pres etc can do SMS as a very basic function. But what about a phone that's designed to do SMS 2.0 out of the box? How would that be different from the phones we're using today? A thought exercise, perhaps an opportunity for <a href="http://www.scripting.com/davenet/2000/08/26/mindBombsForY2k.html">brain explosions</a>. ";->"
		- The (safe) future of Radio and Manila
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/20/frontierBox2.gif" width="169" height="188" border="0" align="right" hspace="15" vspace="5" alt="A picture named frontierBox2.gif">If you've been reading this site you know I'm interested in future-safe archives.
			- In a comment on a recent piece, <a href="http://unberkeley.com/2010/01/13/static-hosting-should-be-cheap-and-easy/#comment-361">some guy named Mike offers</a> that in the good old days when someone died, their relatives picked up a photo album or scrapbook, which then was left in a leaky garage or left outside, or left behind in a move. I certainly know what that's like. We've lost a lot of loved ones in my family over the years, and I've ended up with a fair amount of their stuff. 
			- But... There's a difference between a photo album and a collection of some of the first weblogs on the Internet. Someday a historian may want to know how blogging got started. For that reason I care whether this stuff survives.
			- When I saw that UserLand was shutting down radio.weblogs.com at the end of the 2009, I sent a private email to the company and asked if they would mind if I found a place to archive it permanently, and they said it was okay. So I contacted Matt Mullenweg at Automattic, and asked if he would be interested in helping preserve the archive of the Radio weblogs. He said yes. 
			- But then late last year userland.com went off the air. Like a lot of other people, I was pretty concerned that a big chunk of history had gone. As we approached the end of the year, and the theoretical shutoff date of the Radio weblogs, there didn't seem to be anyone there. My emails to the company went unanswered.
			- Then came an incredible email to UserLand customers from Jake Savin, who used to be part of our small dev team. Jake left to go to Microsoft a few years ago, where he's now a program manager. He's also a husband and a daddy. Even though every minute of his life is spoken for, he gave a huge amount of his time, unknown to most people, to keep the archive alive. 
			- And he did a good job. The sites have been back on the air, temporarily, while we figure out how to make them safe for the future. In the rest of this piece, I'll outline what we plan to do.
			- 1. Sometime before the end of this week, we'll switch over the DNS for radio.weblogs.com to the copy of the archive that's already stored on Automattic's servers. However we will permanently redirect to a new domain, <a href="http://radio-weblogs.com/">radio-weblogs.com</a>, so we don't depend on VeriSign to keep pointing to the site. At some point that seems likely to break. They've been very good at preserving the link, but we don't want to be dependent on them indefinitely. So, if you created a Radio weblog, as I did, it will now be stored, for the forseeable future, on Automattic's server. For example, here's my old Radio site in its <a href="http://radio-weblogs.com/0001015/">new location</a>. Since the URLs will be redirected, search engines will pick up the change and re-index the sites in their new location. 
			- Important point: The sites are only being archived. They cannot be edited or updated.
			- 2. Jake and I and anyone else who wants to help will statically render the sites at userland.com that document the functionality and history of Frontier, Radio, Manila and related projects. In that archive, which goes back to the early-mid 90s, is a fair amount of the history of the early blogging world. We will make this content available for free download. I will host a version of the content on my servers. Anyone else will be free to do so. 
			- 3. The remaining UserLand technology that hasn't already been released under the GPL as open source, will be released. The biggest piece of this is manila.root. I've been spending time in the last few days <a href="http://frontiernews.org/2010/01/19/converting-a-dynamic-manila-site-into-a-static-site/">verifying</a> that it works inside the OPML Editor. I have a dynamic site running, <a href="http://manila.thetwowayweb.com/">manila.thetwowayweb.com</a>, and a <a href="http://thetwowayweb.com/">static rendering</a> of that site. It all looks good. We're using a snapshot of manila.root taken in June 2005. 
			- At some point the userland.com servers will shut down. I don't know what will be done with the domain. What I care about are the items above. If anyone has an opinion about the other stuff, I don't know who you would call. I expect to refer to this paragraph many times in the coming weeks and months. ";->"
			- It's been a very long ride, but I think finally it's coming to an end. UserLand Software was founded 22 years ago, with the goal of opening up applications to be programmed by users. We didn't fully achieve that goal, but like many other things in life, the goal we did achieve was <i>even more</i> interesting. UserLand was where a lot of things happened for the first time. I'm glad we will finally able to close the book. At some point soon the motto of UserLand will no longer be "still diggin."
			- However, of course -- the open source project is a totally other story! ";->"
	- January 19
		- Math and the new journalism
			- Last week I wrote a piece called <a href="http://www.scripting.com/stories/2010/01/14/yearZeroForJournalism.html">Year Zero for Journalism</a>.
			- <a href="http://blogs.law.harvard.edu/doc/">Doc Searls</a>, ever the phrase-turner, called it Journalism 0.0.
			- Jay and I call our <a href="http://rebootnews.com/">podcast</a> Rebooting The News.
			- Year Zero. 0.0. Rebooting.
			- Thinking of the new in terms of the old is not productive. 
			- Wondering how we will continue to do what-we-always-have-done is not going to get us closer to the future way of journalism.
			- So.. What does this new journalism look like?
			- Let's figure it out!
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/19/robot.jpg" align="right" hspace="15" vspace="15" alt="robot">I was a math major, so I spent a few years in my early adulthood learning how to find true things about conceptual spaces. As you advance through math the world your thoughts occupy gets stranger and more and more unlike the space our bodies occupy. Turns out that was good training for a mind that has to grasp things like journalism with a completely different set of rules.
			- I remember taking a class in <a href="http://www.math.tulane.edu/courses/400_level.html">summer school</a> in a subject called Real Analysis, that's on the road to Topology. It was one of the hardest classes I took, and I got a good grade, at least for me (I was far from one of the best students in my class). The moment of truth was during an exam when I had to prove a theorem and I had no idea how to do it. So I just started out with something I thought was true, that seemed to be on the path, and proved that. Then I proved another thing, and another, and finally I could see how the pieces fit together and was able to prove the theorem. It was a shining moment for me, because I was the only student in the class who solved the problem. So of course I never forgot how I did it.
			- So let's try the same approach to figure out what the first instance of Journalism 0.0 looks like. Let's start with something we know to be true. 
			- 1. There are fewer paid reporters in Journalism 0.0 than there were in the past.
			- I think any <a href="http://blog.guterman.com/2010/01/19/ive-been-laid-off/">reporter</a> who has been laid off in the last couple of years, and there are a lot of them, many of whom are very smart people, can see that, pretty clearly. Today there are a lot fewer people working in newsrooms than there were in the past.
			- Now does that mean there will be fewer people doing journalism?
			- I hope not!
			- Why? Because we have an ever-increasing appetite for new information, i.e. news.
			- Do you think that appetite will go un-filled? (I don't.)
			- So if Postulate #1 is true, and there will be fewer paid reporters in the new journalism, where will the new reporters come from? 
			- That's the question that's been on my mind for the last decade, since I wrote <a href="http://www.scripting.com/davenet/2000/02/04/howToMakeMoneyOnTheInterne.html">How To Make Money On The Internet</a>. That was almost exactly ten years ago. Where will they come from? Where?
			- Stay tuned for the next installment. ";->"
	- January 17
		- Where can I get some no-frills hosting?
			- So the next question in the hunt for simple and easy static hosting is -- <i>Where can I get some?</i>
			- Here's what I want. 
			- 1. FTP access configured through a web interface. I don't want to do shell scripting. All setup and management is done in the browser.
			- 2. One static IP address. 
			- 3. I register domains elsewhere, say GoDaddy, and I point hosts at the IP address.
			- 4. I don't want to edit Apache config files. Instead, through the web interface I associate hosts with folders in my FTP space. Behind the scenes the service probably regenerates the config files and reboots the server when I submit my changes.
			- 5. Completely static hosting. No PHP no SQL, nothing fancy. "No frills."
			- 6. I don't care if you make a profit. Charge $10/month for the service.
			- 7. Don't hype me. All the services I see advertised on the web are long on hype and closing the deal, but I usually can't tell what they're offering. Ridiculous.
			- 8. Don't tell me you offer <a href="http://images.scripting.com/archiveScriptingCom/2010/01/17/bullshit.gif">unlimited</a> space and bandwidth. I don't believe you. Tell me up front what the limits are.
			- If you comment, please don't tell us about a service you love but doesn't do one of the things on this list. I don't see anything here that's negotiable. 
		- Corporate media is the problem
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/17/cabinetBowler.jpg" width="156" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named cabinetBowler.jpg">I heard Jaron Lanier <a href="http://www.onpointradio.org/2010/01/where-the-web-went-wrong">interviewed</a> on the NPR show OnPoint this week. 
			- He was promoting his new book <a href="http://www.amazon.com/You-Are-Not-Gadget-Manifesto/dp/0307269647">You Are Not A Gadget</a>, which I haven't read, but I recognized the main theme as something I was getting ready to write about myself. So first, let me say it this way -- I agree with Lanier's concerns. And I think we should do something about it.
			- The Internet is the most powerful communication medium ever, but we've chosen to give up some of that power to get it for free. It's still the most powerful medium, even with the power reduced, but (this is very important) eventually we'll use it up, and be stuck without the ability to communicate at all, if we don't change. And further, we won't know how we got there, because the record won't survive.
			- I recognize the marketing in Lanier's message is designed to appeal to mainstream media, much the way <a href="http://www.amazon.com/Cult-Amateur-user-generated-destroying-ebook/dp/B000RG1NVW/ref=tmm_kin_title_0?ie=UTF8&m=AG56TWVU5XWC2">Andrew Keen's</a> is, but before the MSM people congratulate themselves too much, they're helping lead us down the blind alley, by constantly promoting the new kind of corporate media that's no better than the corporate media that employ them. When they tell us to find them on Twitter or Facebook, they're selling themselves and us out.
			- Before going any further, let me explain what I mean by "do something about it."
			- 1. You should pay for your own hosting. 
			- 2. You should write your own biography, not delegate it to invisible masses on Wikipedia.
			- 3. You should write other people's biographies, from your point of view. Or at least tell true stories about them, which can be assembled by others into alternate views.
			- 4. Sign your name to all your writing. Use your real name, the one on your driver's license, tax returns, passport, draft card.
			- 5. If you care about a subject, write a definitive piece on it that reflects your point of view,. Don't settle for a compromise, group-think sanitized version in the form of a Wikipedia page.
			- 6. You should own your own domain, or set of domains, and pay the registration fees yourself.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/17/hotdog.jpg" width="95" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named hotdog.jpg">We need diversity of opinion, not a mass of <a href="http://en.wikipedia.org/wiki/Meat_slurry">slurry</a> that's <a href="http://en.wikipedia.org/wiki/Hot_dog">formed</a> into corporate frankfurter meat. As good as Wikipedia is, and it's usually pretty good, it's taking us to the wrong place -- a place where dissenting views are given no voice. A place where facts are created and sustained that aren't factual. I've seen it happen myself, with events I know about personally. The Wikipedia record is incorrect, and can't be corrected. If you try making the correction (if you're allowed to by the ethical guidelines, that seem to prohibit people with first-hand knowledge from contributing) it quickly gets reverted. That's been my experience. Very quickly you give up, understanding that the power to control the record belongs to people who play by rules you don't understand. Sounds an awful like the centralized corporate media of the past, doesn't it? ";->"
			- <a href="http://www.scripting.com/2006/08/03.html#makingMoneyWithAdsNotMuchLonger">August 2006</a>: "In all that content, which today's companies view as frankfurter meat, undifferentiated slurry, a medium for unwanted hitch-hikers, is the idea for the next iPod, or the formula for peace in the Middle East, the campaign platform for the President we'll elect in 2012, perhaps even a solution for global warming."
			- In order for your point of view to have lasting value you should have a customer relationship with the service that hosts it. If you don't like the service you're getting it should be easy to move your Internet presence to another location. You should be able to pay for this hosting in advance so your work survives you. 
			- And if you think you can easily have your independence, trust me, you can't. Your Internet presence is owned by corporate media as much as the newscaster on NBC Nightly News, or a reporter on All Things Considered, or the Public Editor of the NY Times. We are all slaves to corporate media. Except these days the bosses are the people who own the social networks, their names are Zuckerberg, Jobs, Williams, Stone, Brin, Page and Schmidt. If you want to know how much they respect your <a href="http://caselaw.lp.findlaw.com/data/constitution/amendment01/">First Amendment</a> rights, the answer is not very much. They're business people, they don't care about you, they care about making money and being more competitive. If you're thinking the Internet is about free expression and you're depending on one of their companies to host your content, you're buying into a lie. It's not their fault, it's yours, for not going to the trouble to find out.
			- The most ridiculous thing is that corporate news organizations are trusting the new media companies to host their content. So the reporters there are subject to the whims of <i>two</i> layers of corporate media! Talk about dilution. 
			- If you want to break out, your content is going to live in a little boat and will float in a harbor filled with battleships, aircraft carriers, nuclear powered submarines and pirate ships. They either won't care if you stay afloat, or worse, they will try to sink you. I'm not kidding. Keeping a website afloat these days, unlike the early days of the Internet, is not for the faint of heart or the technologically naive. 
			- If the Internet is going to achieve its potential, and these days the prospects for that look dim, we're going to have to create a service that doesn't exist. I described it in a piece I wrote last week:
			- Jan 13: <a href="http://unberkeley.com/2010/01/13/static-hosting-should-be-cheap-and-easy/">Static hosting should be cheap and easy</a>.
			- We could have a good discussion about this, but I don't know where. The industry conferences won't discuss your independence because they get their funding from companies that get the value from your dependence. 
			- Lanier is right, we probably have gone too far out on a limb to get back on track. Or perhaps some of us can figure this out, but our writing will be the only stuff that survives. It's time to have this discussion, maybe past time.
	- January 14
		- Learning doesn't stop at 22
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/14/bed.jpg" width="155" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named bed.jpg">At least some young people have a blind spot, and it's easy to find if you try a little experiment. I stumbled across this at a workshop a number of years ago, when I was 44. You might wonder how I remember my age so specifically. It's part of the puzzle.
			- Picture this. A group of about 20 people seated on the floor in a circle. A young man, opposite me, says directly to me, "I know as much as you do." It's part of a discussion about the differences between people of varying ages. According to the younger folk, they have everything we have, and of course their bodies are younger, and stronger. We older folk are nothing but older. This was the point the young man was trying to make. 
			- I wondered for a moment if it was true, but then I thought back to what I did and didn't understand when I was 22. I was tall and slim and beautiful. I had a 19-year-old girlfriend who was cute as a button and had a body made of elastic. The sex was fantastic. Life was great. But I didn't know very much about life beyond going to school and concerts and eating, having sex, taking drugs, drinking beer, hiking, reading, going to the movies. I knew I didn't want to go into the army. I loved writing software. But I didn't understand much about the life in front of me. I was scared of a lot of things that now I think it was silly to be afraid of. If I had to visualize myself at age 40 or 50 I would have been completely at a loss. I dealt with it by assuming I wouldn't live to be 40 or 50. It was my way of shutting my eyes to the unknown. It really was unknown.
			- Back to the 22-year-old in front of me. 
			- I asked him a question.
			- "Do you know more now than when you were 12?" (I picked an age before puberty, when he lived with his parents. Before he had a beard. Back when college would seem as vague as high school, when he would have had no sense of his future life independent of his family.)
			- "No comparison! I didn't know shit when I was 12."
			- "Do you think learning stops at 22?"
			- It's as if he didn't hear me. He didn't extrapolate. Had I pressed it (I didn't) I imagine he would have admitted that learning probably didn't stop at 22, but nonetheless he knew just as much as I did, even though I had 22 more years of learning than he did. 
			- Over the last couple of days I've had younger people tell me I'm ageist when I say I know more than they do because I've lived longer. Of course I don't agree. Would it be ageist to say they can run faster than I can? Or heal from injuries faster? That their blood pressure is lower or their metabolism more efficient? What if I said they could please a woman in some ways I couldn't? But what if I said I could please a woman in ways they don't even know exist? Heh.
			- One of the things you learn as you go through this journey is that every age has its advantages. I love myself now <i>much</i> more today than I did when I was 22. Back then I didn't even get that you <i>could</i> love yourself. I tolerate my limits much better, even though I had limits then as I have them now. I wouldn't even know how to describe it to a younger person, it's as if we were different species in some ways. But you'll never get me to say there aren't big differences betw being 54 and 22, even 54 and 44. But I think I could have a more interesting conversation about it with someone who is 44. Because one of the things that happens as you get older is that you learn to listen better. And I can have an interesting conversation with a 70 or 80 year old, one that's more balanced than I could have had 32 years ago when I was 22.
			- The thing that we shouldn't do is limit what someone can do based on their age. Age itself already imposes enough limits. If a younger person wants to hazard a guess as to what it's like to be our age, let them have fun and don't laugh. And if an older person says they understand electronics and blogging and texting, likewise, humor them. You never know what you might learn. People of all ages should keep their minds open. It might suprise some young people to learn that this advice applies to them as much as it does to older people. 
		- Year Zero for Journalism
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/14/bignews.gif" width="145" height="177" border="0" align="right" hspace="15" vspace="5" alt="A picture named bignews.gif">First, an announcement. I've accepted a position at NYU as a Visiting Scholar. It's a great school, great people, a perfect fit. Jay Rosen, who I will be working for, <a href="http://rebootnews.com/2010/01/14/dave-winer-welcome-to-nyu-visiting-scholar-technical-adviser/">wrote a post</a> on our Rebooting The News website that explains the position, and provides context. 
			- From my point of view, this is why I'm doing it.
			- 1. It pulls me back into <a href="http://journalism.nyu.edu/">academia</a>. A good university provides a cauldron where some pretty great stuff can happen quickly. When I was at <a href="http://cyber.law.harvard.edu/">Berkman</a>, were able to bootstrap <a href="http://www.scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">podcasting</a>, <a href="http://scripting.wordpress.com/2006/03/05/what-is-an-unconference/">unconferences</a>, and take blogging out of the tech world and onto campuses and <a href="http://www.bloggercon.org/day2/grid">into</a> <a href="http://www.bloggercon.org/day1/grid">politics</a>, all in a two-year fellowship. But more important is the opportunity to reconnect with young minds. Harvard in 2003 was a hotbed of interesting thought. Remember it was in that period that Facebook was born, right there in Cambridge. I have a very strong feeling that NYU in 2010, esp in journalism, is attracting the same kind of excitement. The only way to find out is to be there.
			- 2. NYU and Manhattan are going to be very interesting places in the coming months and years, in exactly the areas I'm interested in. There are projects getting underway that I can't talk about yet, but when you hear about them you'll probably understand why I had to go. ";->"
			- 3. I have the same feeling about journalism today that I had about computer science in the 1970s. Sure, we had textbooks and teachers, and projects and grades, but there was also an opportunity to invent it as we were going along. Computer science felt like the greatest place to be because there were no older people entrenched with gates erected to keep out bright ambitious young people. That's one reason I gravitated there. I felt equally excited about media, as a grad student, but I didn't go in that direction because intuitively I felt that I'd spend my career climbing a ladder, and as I approached the top, the ladder would be disintegrating. A better way to matter in media, I felt, was through computer science. That intuition proved correct. Today, 2010, is Year Zero for journalism the way 1970 was the dawn of modern computer science.
			- Over the last few years I've looked at a number of journalism programs, and of all the people out there Jay is closest to where I want to be. Last week, Columbia, our uptown rival (that feels pretty weird, btw) announced they had raised $15 million to study the new journalism. My immediate reaction, which of course I tweeted, was that it was way too early to study it -- first we have to <i>do</i> it.  
			- A few years ago Berkman had the baton, we were pushing what was possible by doing. Now they're focusing more on studying, which is fine, that's what academics usually do. But the young people whose lives we're helping to launch must view it differently. They, we hope, are the ones who will provide the information and perspectives to help us make better decisions, to be inspired to greatness, to solve the hard problems we face.  Now is not the time to study, imho, as much as it's the time to do.
			- I'm keeping the house in Berkeley, and will spend approximately half my time in both places through the next year. What happens after that, I don't know. I just heard that one of my Berkman colleagues, Rebecca Mackinnon, who along with Ethan Zuckerman founded Global Voices, has accepted a position at Princeton. I hope New York and NYU don't mind, but it looks like we're getting ready to have some fun over on the other coast. ";->"
	- January 12
		- RSS is the universal language of realtime
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/12/rss.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named rss.jpg">Every so often I get a question -- do I "still" use RSS. Yes I do. Very much so. 
			- Today I watched myself very quickly use RSS to glue a new web app into my flow, and be the first to catch the links about a hot news story through a <a href="http://realtimerss.org/">realtime RSS</a> feed. Yeah I still use it, and I love what it does for me. 
			- Earlier today I was talking with <a href="http://scobleizer.com/">Scoble</a>, he was raving about <a href="http://plancast.com/">Plancast</a>. The conversation ended when he discovered the Google-China story. In the next hour RSS played a huge role in me getting informed on the <a href="http://googleblog.blogspot.com/2010/01/new-approach-to-china.html">Google story</a>, and <a href="http://twitter.com/davewiner/status/7689771413">sharing</a> what I learned with all my Twitter followers. That was the realtime part of what RSS did for me (I use a hacked-up version of the fastest NYT feed, more on that later). 
			- But I was also able to add Plancast to my workflow without knowing in advance how much I would be using it. Because they provide an RSS feed of the updates for the people I follow on Plancast. And because it's the standard format for flowing updates, I could hook it into <a href="http://newsriver.org/river2.html">River2</a>, and it "just worked." This way I get a chance to have its updates flow by me even if I don't remember to regularly visit the site. (In a followup one of the developers told me the API is one of the next things on their list, and they're planning on being compatible with the Twitter API. Good move. I also suggested they could add more data to the RSS feed. That might mean more to their success, in the short term, than a full API.)
			- Anyway -- I get news faster than anyone else. I share it on Twitter of course. So guess where they're getting the news from? It's RSS, dummy. (Might have been a good title for the piece, but I decided to be more serious.)
			- How did I hack up the realtime feed for the NYT? 
			- Well, the Times is slow and bureaucratic. They don't want to take the risk to go realtime. Not enough of an installed base. But I desperately wanted a realtime RSS feed, so I went ahead and hacked it. It's really brute force and ugly, but it works. Those, of course, are the <a href="http://www.google.com/search?q=define+egregious">best kind</a> of hacks. ";->"
			- They have a great feed, it's all the newest stuff from the Times, all sections, in reverse-chronologic order. It's a gold mine of news. I have a script running on one of my servers that reads it every minute. If the feed updates, the script reads the feed, <a href="http://images.scripting.com/archiveScriptingCom/2010/01/12/wheresTheCloud.gif">hacks</a> in a &lt;cloud> <a href="http://cyber.law.harvard.edu/rss/rss.html#ltcloudgtSubelementOfLtchannelgt">element</a> with string substitution, and writes it out another of my servers. That's the feed I follow in River2. The back-end that relays the updates is running on another of my servers. If you have a realtime RSS reader, you're welcome to follow it too:
			- <a href="http://static.newsriver.org/nyt/HomePage.xml">http://static.newsriver.org/nyt/HomePage.xml</a>  
			- <i>Point is, RSS is the universal language of realtime updates. The Plancast guys know it, they do UI and systems. The Times guys know it too -- they do news content, the other side of the equation. And everyone in both their industries knows it too. When you have something that's working so incredibly well you celebrate the fact that while no one was looking everyone was compatible. It's a fracking miracle.</i>
			- End of rant. ";->"
			- PS: I'm <a href="http://plancast.com/davew">davew</a> on Plancast. And it looks like a very promising service. 
	- January 11
		- Ageism is becoming an issue for me
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/11/chair.jpg" width="145" height="196" border="0" align="right" hspace="15" vspace="5" alt="A picture named chair.jpg">I've been seeing a lot more ageism lately. 
			- By ageism, I mean people saying that my age makes me less intelligent, informed, clued, aware, whatever. It's never rational, not part of an intelligent discussion. I can't probe the people to find out what they mean. I assume they're expressing some frustration and projecting it on me.
			- It happens almost every day. I'm not talking about things happening in my imagination. It's very real and I find it as disturbing as racism, sexism, etc. Only this is one thing that eventually gets everyone, so it's different. 
			- Switch gears to the flap over Harry Reid and his comments about President Obama's race. Everyone is entitled to their own opinion of what it means. Mine is that Reid is inarticulate, a bumbler, he screws up this way a lot. I have no idea how a person likes this ends up in his position as Senate Majority Leader, but there you have it. I think Reid was this inarticulate at every age. 
			- Earlier today I was listening to Talk of the Nation on NPR and heard an <a href="http://www.npr.org/templates/story/story.php?storyId=122450102">interview</a> with Keli Goff from the Huffington Post. The interview started with an explanation that linked Reid's embarassing words to his age. She went out on a limb, way too far, although later in the interview she walked it back a bit. 
			- This led to an afternoon of heated exchanges on Twitter. Lots of nasty stuff was said about people of my age, most of them untrue. What troubles me is that there is no general acceptance for insults based on race, religion or gender, but age-based insults have no taboo.
			- Bring up ageism and out comes it comes -- it's the one insult that's considered socially acceptable. It's like watching an old movie where women, blacks, Native Americans or Chinese were assumed inferior. Only it's here and now, in 2010.
			- Inside I think of myself as young. At age 54, it's ridiculous that I have to defend against ageism, but there you have it. It's here, so we'll deal with it. 
			- You know everyone has only so much time on this planet. If you're trying to do good with your life, that's all you should have to know about someone. From there, our struggles or birthmarks are not issues for others to use against them. Barack Obama was born half-black and half-white. I was born Jewish and white. 
			- I care about your ideas, your deeds, your sense of humor. I love that Goff was so generous in defense of Reid, asking where was the racism. It was a shame she couldn't see her own ageism.
			- <a href="http://mp3.morningcoffeenotes.com/totn10jan11.mp3">Here's an MP3</a> of the segment.
		- Why newspapers should host blogs
			- John Robinson of the News-Record in Greensboro, NC wrote a <a href="http://www.news-record.com/blog/56184/entry/79827">piece</a> this morning about a meetup we had at his paper in <a href="http://archive.scripting.com/2005/02/10#greensboroInAPodcast">February 2005</a>. Back then I was pushing the idea that news organizations should host blogs for their community. I'm still pushing the idea, and still getting the question back from the people in the news orgs wondering why they would do that.
			- I didn't answer the question then probably because I didn't want to have an argument with a roomful of reporters, editors and their managers. Been there, done that. I put the idea out there on the chance that there was a kindred spirit in the room. You never know when you'll find one.
			- I pitched the same idea at the NY Times in December at a roundtable meetup with a variety of editorial and technical people. This time I did try to answer the questions when they came up, and predictably, an argument ensued. 
			- I'll explain why news orgs should host blogs in a few paragraphs, but first a couple of stories. 
			- I spent last week apartment shopping in Manhattan. I learned a lot but returned to Berkeley without success. I wish the Times or some other NY newspaper had a current how-to guide for Manhattan newbies. There's so much information you need to even begin the search. Manhattan is a huge, complex and very strange place for renters. I found a dozen apartments I could easily afford that I loved, but I came home without a lease. How weird is that! 
			- There are a million other locality-based information projects that don't get done because news organizations have a narrow view of what they do. If I were helping them be creative, I'd ask them to branch out. Think of services they could provide for their community that aren't being provided. 
			- An example. The Times champions causes like <a href="http://topics.nytimes.com/top/news/newyorkandregion/neediestcases/index.html">The Neediest</a>. This is a good thing we all agree, I think. Amidst the wealth of NYC there are a lot of poor people who aren't making it. Help them out, says the Times. We'll use our channel to help you understand the problem, you give to help the people once you understand.
			- Okay. In a week in Manhattan I learned that Internet connectivity in the biggest city in the US sucks. It's much better in the boroughs and the suburbs, because of the economics of high rise apartment buildings. It would take a few paragraphs to explain why it is that way, but basically you're lucky to get really great FIOS-level broadband in Manhattan. There's no easy way to find out which neighborhoods have it. And Time-Warner seems to install high bandwidth cable in areas where FIOS is available. Is there a resource in the city that keeps current? If there were, I bet the connectivity of Manhattan would jump many times in a very short period of time. Sunlight, they say, is a great disinfectant.
			- Well, this kind of news isn't the stuff of high-level reporters, who are covering the meaning of the latest tea leaves from DC or where ever, not to say that stuff isn't interesting, but lots of people do it, and it's hard to find great money-making ads to put on that kind of copy, so the Times is struggling to find a new business model.
			- But! A web resource devoted to boosting Internet connectivity in Manhattan, now that would attract some serious money. I met with <a href="http://www.buzzmachine.com/">Jeff Jarvis</a> on this trip and he asked me to think about ways for news orgs to make money. This is how you do it. Understand your community and the needs of its economy, where money is flowing, and where it's being held back due to a lack of information, and pour resources into that area. You <i>will</i> find a way to draw money from the activity you're covering. 
			- Now, back to John Robinson's query. Why should news orgs host blogs for members of their community? Because the business of news organizations is information. Gather it up, sort it, organize it, keep it current and do it again. People have a huge thirst for new information, more these days than ever and increasing all the time. It's ridiculous that information-gathering orgs should be shrinking in a time where what they do is in such high demand. We're constantly checking our Droids and Nexus One's for new stuff to interest our short attention span. 
			- Let the people in so you can find the wells that need digging. We can poke around the surface, but we have lives and jobs -- other missions. Watch where we go, and help us achieve. The rewards will be our trust and the money of businesses that want to learn from and educate through that flow. Same way Twitter, Facebook and Google are expanding now, that should be happening in the news business. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/01/11/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">Back in 2004, and even before, I saw the erosion of the business model that's playing out now. If the road you're on is being eroded, you should start building a new road asap. If you wait for the road to wash out then you have to live without a road while the new one is being built. Back then I was thinking about the Rest of Us. If the newspapers are stuck in a loop of self-pity and aren't doing anything to change with the times, we can do two things: 1. Help them see the logic in changing and 2. Implement the change without them. That's what I was doing then, and continue to do.
	- January 10
		- SMS 2.0
			- <a href="http://images.scripting.com/archiveScriptingCom/2010/01/10/nexusShot.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2010/01/10/nexusShotSmall.jpg" width="137" height="242" border="0" align="right" hspace="15" vspace="5" alt="A picture named nexusShotSmall.jpg"></a>The Twitter guys use SMS as an excuse for a lot of the inadequacies of Twitter. Why do we have  shortened URLS? SMS's fault. Why no enclosures? SMS. Even if it doesn't make sense, it's SMS that's the reason everything sucks on Twitter.
			- I'm taking the guys at face value, they really mean this, but I think they got the relationship between Twitter and SMS wrong. Twitter isn't an application of SMS, it's what SMS is growing up to become -- an n-way publishing medium. It's SMS 2.0. Forget about bridging to SMS. It's already there. It's like pondering life in the universe without thinking about life on Earth, which is of course part of the universe.
			- Blogging was Web 2.0, really was. We said web publishing should be one to many, and many to many, even one to one. You should publish any which way you want. In that sense, what was interesting about SMS before Twitter is an order of magnitude greater in Twitter. It makes SMS type messages flow in a million ways where the old kind just went one way.
			- PS: My Droid can send multimedia SMS, no short URLs anywhere in sight. Why can't Twitter do that?
		- Renewed appeal for clip art
			- Companies with products to promote --> <i>Please</i> provide clean white-background clipart of your product for us to include in blog posts. I love putting your product in the margins of stories I write about them. For example, i just went <a href="http://images.google.com/images?q=nexus one">looking</a> for a nice 150-character wide image of a Nexus One. Must be on a white background so it looks good in the margin of a blog post. Get hip. Make it easy for bloggers to push your goods. ";->"
			- I eventually found one on CNET. I bet they did a screen capture of the Flash movie on the home page for the Nexus site. The same gray background at the bottom. My screen grab will be a little neater. 
	- January 6
		- I have a Nexus One
			- Got one via Fedex at my NYC hotel yesterday.
			- Put my iPhone SIM into it and off we go.
			- <a href="http://droidie.com/2010/01/05/playing-with-my-nexus-one-2/">It's a lovely little thing</a>, a nicer Droid except for one thing. Verizon is a tank. AT&T is a sailboat. Verizon motors through, and AT&T flutters around. 
			- When it comes to connectivity you want what Verizon's got.
	- January 2
		- The mother of all business models
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/24/goose.jpg" align="right" hspace="15" vspace="5" alt="goose">I'm sitting <a href="http://www.flickr.com/photos/scriptingnews/4237535399/">on the BART</a> going to SFO listening to <a href="http://www.last.fm/music/Traffic/_/Empty+Pages">Empty Pages</a> on my Droid, and every few seconds the song pauses and my Droid says its name in a machine-like voice. This means a message has arrived for me, probably from someone very dear to me, or possibly from a PR person pitching me a product. Either way it's kind of nice. 
			- I switch over to the Maps app when I get a GPS signal so I can see where I am. For the first time I get an idea of the route the BART takes through SF. When I'm home I have other things on my mind but when I'm on the subway it's interesting to me.
			- While I'm looking at the map, a <a href="http://twitter.com/davewiner/status/7308042540">signpost appears</a> with the name of a nearby business. Presumably they paid Google to get some mindshare. Was it specifically for me? Certainly not. But some day they will probably sell my attention. Want to get  a message to Dave while he's on the BART riding under SF? $5. Want to get a message to him while he's walking the tradeshow at CES? That costs more. 
			- If you're important enough you shouldn't even pay to use the mobile device. They're going to make so much money from your attention. If you're really important, thinking Warren Buffet, Bill Gates, Mike Arrington, they should pay you -- a LOT -- to use their device. Wow. 
			- That got me excited. That's what they have to be thinking at Google. And why not Twitter. Trying to think of a title for this post, I came up with The Mother of All Business Models. This is as far as I can see. A new economy. Nobodies pay, but important people are paid to use your brand cell phone/mobile device. I'm sure that's the future. Might be horrible but we're already almost there. 
			- Namaste y'all!
		- An early DaveNet reduced to 138
			- One of my earliest bits of Internet writing, and one that got a huge reaction was <a href="http://www.scripting.com/davenet/1994/10/29/platformischinesehousehold.html">Platform is Chinese Household</a>, October 1994. This morning in the midst of explaining the michegas with <a href="http://www.scripting.com/stories/2010/01/01/oauthIsBecomingACautionary.html">OAuth politics</a>, I came up with a 138-character version of the <i>Chinese Household</i> piece.
			- <a href="http://twitter.com/davewiner/status/7298593494">http://twitter.com/davewiner/status/7298593494</a> 
			- "It's all sexual. Developers are the homemakers, platform vendors the alpha males. Homemakers decide who gets to reproduce. Sorry guys. :-)"
			- I like it. ";->"
			- I was on a roll this morning.
			- <a href="http://twitter.com/davewiner/status/7302853536">Another one</a>, why reporters generally get the quote wrong.
			- "problem is reporters quote their understanding of what you said not what you said. and they didn't understand what you said."
	- January 1
		- OAuth is becoming a cautionary tale
			- If you want to get smart about open standards, you have to watch how these things play out in another open thing -- the market. Because it's the market that just as often shapes a standard as it is a standard that shapes the market.
			- And to understand it, you have to understand the often-submerged <a href="http://www.scripting.com/stories/2007/11/02/whatIsItLikeToWorkAtGoogle.html">motives</a> of tech people who work at big companies.
			- For example, why are there so many iconic representations for a feed? Is it because we didn't anticipate in advance that there would be a need for one? Hardly. It's because the big companies, when they came in, ignored prior art and created their own way to do it. Once there were two, why not have twenty-two? Of course that's exactly what happened.
			- Last year (the one that just ended) it seemed that OAuth had finally gotten to a point where it was frozen. It was deploying in Twitter, and they were making sounds as if they would at sometime not too far down the road turn off the username-password way of authenticating users. So I rolled up my sleeves and implemented OAuth in the OPML Editor so my apps could use it. Turns out I was mistaken in believing that it was frozen, because, due to a security issue, they had to change OAuth, and I haven't revisited my code yet to adopt the change, so it doesn't work with the Twitter implementation of OAuth, which honestly, is the only one I care about. 
			- <a href="http://en.wikipedia.org/wiki/Ouija"><img src="http://images.scripting.com/archiveScriptingCom/2010/01/01/ouija1.gif" width="125" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named ouija1.gif"></a>But wait -- it's even worse than it appears (one of my favorite <a href="http://essaysfromexodus.scripting.com/whatIsScriptingNews#previousMottos">mottos</a>, a persistent disclaimer for all things technical, an adjunct to Murphy's Law). Turns out the creators of OAuth have changed their mind and think it should be stripped to the metal and rebuilt around HTTPS. So not only do I have to throw out all the work I've done, but so does Twitter, and even <s>better</s> worse, my environment doesn't have glue for HTTPS so I'll have to get that together. When will all <a href="http://groups.google.com/group/oauth-wrap-wg">this</a> happen? Heh. That's the rub. My guess is that, based on past experience with the tech biz, it'll never happen. The people pushing this stuff are young, they haven't been around the loop before. Doesn't matter. Big companies are like <a href="http://en.wikipedia.org/wiki/Ouija">Ouija</a> boards. The people don't control them, the psychology does. In the BigCo mindset it's always Day Zero, and the value of all the implementations so far is $0. 
			- The entrepreneurs and the developing platforms are left with nothing to do. The old way of doing things is "deprecated" and the new way is a moving target, never finished, always subject to second-guessing. No one wins this game, but eventually a new thing comes along, and the problems of the last generation seem old. 
			- If OAuth is to have a chance at being a foundation to build on, it would need founders who  <a href="http://hueniverse.com/2009/11/wrap-and-the-demise-of-the-oauth-community/">say</a> to those who want to completely redefine it that they should do it in a new playground, and let OAuth develop without interference. That, unfortunately for OAuth, and the people who have already invested, is not happening.
			- PS: The argument that OAuth is too hard to implement is moot. Imho, everyone who had to implement it had already implemented it. If I could get it <a href="http://www.scripting.com/stories/2009/02/17/oauthisworkinghere.html">working</a> in a month in the OPML Editor, even though it was a grueling month, it may be hard, but it's not <i>too</i> hard. Moot. An excuse to rip up the pavement and delay deployment, it seems to me.
			- Update: After writing this post I decided to look into what it would take to unbreak the OPML Editor's support for Twitter's OAuth implementation, and was able to fix it in about 45 minutes. I released the parts and documented it on the <a href="http://frontiernews.org/2010/01/01/updated-oauth-support-to-work-with-twitter/">Frontier news website</a>.
