- April 2010
	- April 30
		- First look at Twitter for Android
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/30/robot.gif" width="125" height="243" border="0" align="right" hspace="15" vspace="5" alt="A picture named robot.gif">I've installed the <a href="http://blog.twitter.com/2010/04/twitter-for-android-robots-like-to.html">new Twitter app</a> on my Droid.
			- Screen shots and a <a href="http://www.flickr.com/photos/scriptingnews/4566884744/">movie</a> that illustrates animation.
			- <a href="http://www.flickr.com/photos/scriptingnews/4566255033/">Do you want</a> to synch with contacts? Not sure what this means but I said no.
			- <a href="http://www.flickr.com/photos/scriptingnews/4566885524/">This is what</a> your tweetstream looks like.
			- <a href="http://www.flickr.com/photos/scriptingnews/4566255551/">The desktop</a>. Note the animations. There's a setting to turn them off. ";->"
			- <a href="http://www.flickr.com/photos/scriptingnews/4566255809/">My lists</a>.
			- <a href="http://www.flickr.com/photos/scriptingnews/4566886178/">Sorry Twidroid</a>, I've replaced you on my desktop.
			- <a href="http://www.flickr.com/photos/scriptingnews/4566256301/">My first tweet</a>. "Hello from the Twitter app on the Droid." <i>Profound!</i>
			- Just reviewed the settings, wish they'd let me specify my own URL-shortener, I have one, as do quite a few people these days. Same with pictures.
		- How Twitter can save itself from Doom
			- <a href="http://en.wikipedia.org/wiki/It_ain%27t_over_%27til_the_fat_lady_sings"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/30/fatLady.jpg" width="163" height="257" border="0" align="right" hspace="15" vspace="5" alt="A picture named fatLady.jpg"></a>I wrote <a href="http://www.scripting.com/stories/2010/04/29/whatsMissingInRealtime.html">yesterday's piece</a> about Twitter very quickly, too quickly -- because I came up with a shitty title that didn't reflect how I was thinking about it.
			- We're in the phase of the tech loop where what matters is how impressive your latest press event was. To illustrate the effect of a great press event, look at this <a href="http://scobleizer.com/2010/04/30/why-it-is-too-late-to-regulate-facebook/">post</a> by Scoble where he basically says Game Over, point-set-match to Facebook, checkmate, everyone go home, the <a href="http://en.wikipedia.org/wiki/It_ain%27t_over_%27til_the_fat_lady_sings">fat lady</a> has sung, etc etc.
			- The problem is that Scoble (who I love as a dear friend) will write the same freaking piece on May 20, when Google has had their press event, has shown all the great press releases they've written, and rolls out on stage a few tech rockstars, and probably one or two real rockstars, after all they go to Davos every year, just like Zuck. Google can hire the best PR consultants and Hollywood staging people just like anyone else. And guys like Scoble and Arrington and Steve Gillmor eat this shit up. They even have a name for this kind of vaporware -- Vendor Sports. God bless em. ";->"
			- The problem for Twitter is that they didn't have a great press event. <a href="http://techcrunch.com/2010/04/14/live-twitter-ceo-ev-williamss-chirp-keynote/">Ev</a> isn't very good with an audience, and they hired an academic guy to <a href="http://news.cnet.com/8301-13772_3-20000486-52.html">interview</a> him, someone no one knew, and he apparently wasn't very good, so everyone came away totally unimpressed with Twitter's theatrics. What's needed is some good earth-shaking from or about Twitter. 
			- It could be about Twitter. That's why I thought for a moment that Google might make an offer that Twitter can't refuse somewhere around May 10. The rumors start trickling out on May 11 or 12, and by May 19, every insider in Silicon Valley is sure that Biz and Ev are going to show up part of the Google team again and about $2 billion richer. Sure couldn't blame them for taking the money, just when the excitement about Twitter is waning.
			- There's one other thing Twitter could do, that would make a much better press release, because it would be the kind of press release that unlike Facebook's and unlike the one that Google is sure to run, has substance. That's what I wrote about yesterday.
			- <i>They could provide a way for anyone to run their own Twitter. </i>
			- That's a big idea. You can't argue that Facebook can't and won't match that. Can you imagine Zuck getting up on stage and saying "We decided to let you run your own Facebook on your server." I can't imagine it, anymore than I can imagine Bill Gates open sourcing Windows in 1992, at the peak of his power. Or Apple open sourcing the code that runs the iPad. Trusting the universe is something a disrupter does. It's why Android has a shot vs the iPhone. And it's why Twitter would do a lot to save itself from impending doom if they decided they didn't need to be exclusive with their users. 
			- For the rest of us, this would be cool. We need Twitter itself do something to facilitate federation, otherwise it will be hard to prove that anything happened. (And yes, I know that most people won't want to run their own Twitter, we don't need a billion Twitters, but we do need more than one.)
			- I'm not saying they will actually do anything like this, there's almost no historic precedent for it. The only time I ever saw it work, and I didn't think it would work when it happened, is when Netscape open sourced Mozilla. But it <i>did</i> work. I'm using Firefox now, and so are a very significant number of other people. Chrome is open source and has a shot at the market largely because of what Netscape did. Their move took a while to be felt in the market, but it <i>was</i> felt.
			- Will Twitter do it? I don't think the founders are such daring thinkers as Marc Andreessen was back then. But there's always a chance. Even if they don't it's one of the things I enjoy, like playing chess, I suppose. Being an armchair general, hypothesizing about what I would do if I had the reigns of power, and wondering how they would work out.
			- I also wondered why Matt Mullenweg isn't under as much pressure as Twitter Corp is.
			- One reason is that Matt had a revenue model from Day One, and it's a model that has been proven over and over to work, and to be fair, and the users like it.
			- And the other reason is that Matt doesn't insist on exclusivity. You can compete with him using his software. How has that worked out? Pretty incredibly well.
			- I'd like to see Twitter trust the universe. Their business model would be as solid as Verisign's or WordPress's, plus they can run one of the instances, the largest one to start, and if they do it right, it will always be the largest. But the lack of competition in this space is what's keeping Twitter small, and staying small isn't going to work for them very much longer, imho.
	- April 29
		- What's missing in realtime
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/29/mangoMaiTai.jpg" width="156" height="293" border="0" align="right" hspace="15" vspace="5" alt="A picture named mangoMaiTai.jpg">I was at breakfast this morning with a friend from the tech industry, and the subject got around to Facebook vs Google, and the way Twitter is kind of in the middle of the two giants. 
			- I've felt for a long time that Twitter should have welcomed federation early-on, when the competition wasn't so fierce. While it wasn't a slam-dunk, I thought there was a decent chance our Twitter log-ins could be the default username for many other sites on the net. Now Facebook is making a strong bid to be that, and if Twitter were to try that now it would likely be seen as too-little-too-late.
			- Then my friend, who asked not to be named, wondered why WordPress isn't in the same place as Twitter. I answered with an analogy -- Twitter is riding a bicycle on <a href="http://en.wikipedia.org/wiki/Interstate_95">Interstate 95</a>, and Facebook and Google are two semis about to have a head-on collision. Twitter may not be directly competing with either of them, and Google probably doesn't care much about Twitter one way or another, but the collision is going to do some serious damage to all who are in the vicinity. WordPress isn't riding a bike and they are nowhere near the freeway. Picture <a href="http://en.wikipedia.org/wiki/Matt_Mullenweg">Matt</a> sitting on the beach sipping a <a href="http://en.wikipedia.org/wiki/Mai_Tai">Mai Tai</a>.
			- It sure feels this way but then I wondered -- <i>why? </i>
			- And if WordPress is on the beach sipping drinks with little <a href="http://en.wikipedia.org/wiki/Cocktail_umbrella">umbrellas</a>, how can <a href="http://www.google.com/search?q=ev+and+biz">Ev and Biz</a> get some of that action? Then I figured it out.
			- Two bits (and they may be very hard for Twitter to do):
			- 1. I don't mind hosting sites on wordpress.com because I know if I ever want to get them off I can run them on my own server. I need to be able to do that with Twitter (or Tumblr for that matter). In other words, there must be an open source, easily installable Twitter that's the same thing that twitter.com is running, so I can just move my presence there and not skip a beat. People are going to say I can do that with Identi.ca, but I can't -- when I move my WordPress blog my domain points to the new location and all my links still work. To really trust Twitter, they have to enable competition at this level.
			- 2. I must be able to completely control the look and feel of my presence. This is something <a href="http://automattic.com/">Matt & Company</a> could do much better too, but Twitter hardly does it at all. This is something Ev should understand, as one of the early blogging tool vendors, he should remember how important a role designers played in the evolution of blogging. Given that Twitter and the other services in this space (e.g. Facebook) don't allow the user <i>any</i> control over the HTML of their presence, it should be easy to improve this. But I want power over everything. More important, I want designers to have power over everything so I can use the product of their work.
			- So in summary: I need to be able to isntall my own Twitter and move my presence to my own server, easily. And I need control over the look and feel of my site. Those two things would do enough to shake up the market and give Twitter a new way forward and make what Facebook and Google do in their battle-of-the-titans-to-death mostly irrlevant to them. 
	- April 28
		- A podcast about loops
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/28/ball.gif" width="45" height="62" border="0" align="right" hspace="15" vspace="5" alt="A picture named ball.gif">Every once in a while a podcast comes together in a way you couldn't have scripted. 
			- That happened on Monday in the <a href="http://rebootnews.com/2010/04/26/rebooting-the-news-49/">49th episode</a> of Rebooting the News. 
			- If you have 45 minutes, it's worth a <a href="http://mp3.morningcoffeenotes.com/reboot10Apr26.mp3">listen</a>, from beginning to end (it's important to hear how it ends). 
	- April 27
		- What it means to be a blogger
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/27/football.gif" width="155" height="212" border="0" align="right" hspace="15" vspace="5" alt="A picture named football.gif">I think it's time to write this piece, after many many years of doing this.
			- People debate my "review" of netbooks as <a href="http://www.scripting.com/stories/2010/04/27/netbooksAreStillAGreatDeal.html">compared</a> to Apple's iPad. Who is the iPad for? I should know it's not for me (even though Apple was happy to take my money). I should evaluate it based on its intended "audience." I should think about them before I write my blog post. I should write the post they would write. I should forget about what I see with my own two eyes.
			- That's nonsense. It's ridiculous.
			- I am a blogger, not a reviewer. I'm telling a story from my point of view. There's a totally implicit YMMV on everything that appears on this blog. You have a different experience? Great! Blog it. And stop trying to tell me what to say.
			- Further, there's a myth that reviewers are omniscient and  have infinite resources and know what everything's intended purpose is. That's also nonsense. The people who review these things for the newspapers and magazines would do better to just tell us what their experience is and who they are and let us sort it all out. In other words, imho, we could use more honest bloggers and less reviewers.
			- Anyway what I said happened really did happen. I had some pictures in my camera and if I had had my netbook they really would have gone to Flickr and because I had my iPad they didn't. Really. It really happened.  Not the end of the world, or even particularly important, but I didn't say it was. There's no point arguing because unless you were one of the two other people there you couldn't possibly know.
			- I don't claim there's any global significance to what I write here. I claim these are my own experiences, related as clearly as I know how to relate them. That's all. Nothing more.
			- Blogging has been going on for a long time. There really is no excuse for not knowing the difference between a blog post and a review. Think about it. 
		- Netbooks are still a great deal
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/08/06/culturalrevlution.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/27/mao.gif" width="122" height="142" border="0" align="right" hspace="15" vspace="5" alt="A picture named mao.gif"></a>I have both an iPad and a <a href="http://www.amazon.com/gp/product/B002DYIXMS/ref=pd_lpo_k2_dp_sr_2?pf_rd_p=486539851&pf_rd_s=lpo-top-stripe-1&pf_rd_t=201&pf_rd_i=B002DYIXMI&pf_rd_m=ATVPDKIKX0DER&pf_rd_r=0ZSD0GAT50EEH2XW13TW">netbook</a>, and the netbook is strictly more useful than the iPad. If I go out with the iPad invariably I hit a wall. No SD card slot. No USB. The keyboard is hunt-and-peck. 
			- The iPad doesn't remember my Facebook password, so when I want to check Facebook I must reach for the netbook. A small thing you say -- but operating systems are collections of hundreds of small things, and new operating systems like the one in the iPad don't have them and old ones like XP do. 
			- I had pictures in my camera the other day. No way to get them up to Flickr through the iPad. If I had had the netbook with me, no problem. (I <a href="http://www.flickr.com/photos/scriptingnews/4551557852/">used</a> my Droid instead.)
			- The netbook has a real keyboard. I'm writing this blog post on it. It's taken a couple of minutes so far. I'd still be on paragraph 2 if I had used the iPad. And I'd be entering it on one of my WordPress blogs because my customized content tools don't and will never run on Apple's new platform. (Unless they change their mind.)
			- There's an awful glitch in the way the clipboard works on the iPad. Try to put the cursor on a mis-spelling. It always selects the whole word. I've gotten in the habit of retyping the word when there's a one character spelling error. These little things are of course little, but they mount up. 
			- I hate the font they chose for Safari. How do I change it? There does not appear to be a way to do that. That was a new feature in Windows in 1995. Or was it 1994? ";->"
			- I think the tech industry should give up the <a href="http://twitter.com/davewiner/status/12940349994">belief</a> that netbooks are a temporary thing and fully embrace them and make the work better and better. Ultimately the user is always right, and ultimately always gets what they want.
			- Apple has a long way to go before the iPad is a useful tool. Lots of little things to fix and tweak, and a philosophy that's going to keep the really innovative stuff flowing elsewhere (where -- not determined yet).
			- I hear Asus is coming out with an Android netbook-style tablet in June. Sign me up. I bet it's a nice computer. Android of course is just as immature as the iPad. I'd really like to see a Windows XP tablet made by Asus. That would sell pretty well, imho.
		- When it should be easy to speak to a human
			- Twice in the last few days I've had this experience.
			- 1. Bought something on a website.
			- 2. The goods weren't delivered.
			- 3. There was no way to get help from the organization. 
			- They had my money, I didn't have what I had bought, and there was no way to get help from a human being. The FAQs on both sites were of no help, they didn't anticipate the situation where someone had paid their money and had not received the product. 
			- Now, I can understand why a company who is providing a free service tries to hide the contact information. After all, you didn't pay anything, and a human being to answer your questions costs serious out-of-pocket cash. But if you paid, that excuse no longer works. 
			- In fact, it feels like fraud to take money online without a way to correct mistakes, which are sure to happen. 
			- I'm not saying which organizations, because I don't want to make this about them. Eventually both made good, but in neither case was the experience satisfactory.
	- April 26
		- The toxic coral reef
			- The last few days have belonged to Facebook and their new developer program. 
			- Stuff that's coming (as <a href="http://www.jerrypournelle.com/progress.html">Jerry Pournelle</a> would say) Real Soon Now. It's a familiar tactic, it draws developer attention away from other places, but doesn't do anything with it. It's generally a bad thing to do, not just for everyone else, but also for the platform vendor. All the major tech companies at one time or another have been caught in the misery of vaporware. Apple used to do it regularly. Execs with nothing to announce at a major press event go hunting around the labs for a half-baked project to make a big deal about. The press loves big deals, and years later the market and developer community are still waiting, all new stuff on hold waiting for the pronouncement to become reality, <a href="http://en.wikipedia.org/wiki/Cairo_%28operating_system%29">if</a> <a href="http://www.scripting.com/davenet/2001/03/26/whatIsHailstorm.html">it</a> <a href="http://en.wikipedia.org/wiki/Taligent">ever</a> <a href="http://en.wikipedia.org/wiki/Copland_%28operating_system%29">does</a>.
			- But I'm not a Facebook developer, so honestly I really don't care what they do, unless they manage to take over the world, which no one really believes they will do. They may say they do, and maybe <a href="http://techcrunch.com/2010/04/25/the-age-of-facebook/">right now</a> they're being honest. But in a week or two the reality of the announcements will sink in, and they'll realize that the easy part was the announcements. It's much harder to actually make the ocean boil and the "web" is <i>that</i> big. 
			- <a href="http://doc-weblogs.com/2001/03/19">As Doc says</a> so well, a big developer might be able to change the weather for a few moments, but we're talking geology. All the bluster and big pronouncements and cute giggles from the Captain of Facebook amount to bupkis when it comes to plate tectonics. This is the domain of God not mere mortals. 
			- That's not to say the pronouncements don't mean anything, quite the contrary. They mean a lot to their developers and their competitors. All corporate platform vendors own their developers. That's just a fact. You exist at their pleasure. Apple owns their developers, when they change an API all developers must adjust or their software breaks. When they ban a product from the store its sales go to zero immediately. Microsoft used to have a saying -- "DOS isn't done until Lotus doesn't run." Or something like that. They used to wear t-shirts that said "Delete Philippe." These weren't idle threats. (And given what Philippe was doing back then, deleting him was a very reasonable thing for Microsoft to want to do, imho.)
			- <a href="http://en.wikipedia.org/wiki/Nausica%C3%A4_of_the_Valley_of_the_Wind_%28film%29"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/26/nausicaaPoster.gif" width="145" height="202" border="0" align="right" hspace="15" vspace="5" alt="A picture named nausicaaPoster.gif"></a>Usually the corporate platform guys don't want to hurt most of the developers. But they also don't care very much whether they do or don't. But they very much want to hurt their competitors. Esp the young guys like Zuck. So a lot of what was announced last week was smoke, blown in the faces of their competitors. Who would that be? Certainly Google, but probably to a lesser extent Twitter, not because they're such a huge force with users, but mostly because they're so beloved by the press. That's gotta bother Zuck.
			- And boy did the Twitter guys get it. Last week they came up with a new term that is so freakishly stupid and self-destructive, it's a form of corporate <a href="http://en.wikipedia.org/wiki/Russian_roulette">insanity</a> of the scale I've never seen in my long career. The term is <a href="http://www.google.com/search?q=oauthcalypse">OAuthcalypse</a>. It's the day in June when all the Twitter apps break. All of them. None will make it through this transition without being reconceived. 
			- And they're <a href="http://mehack.com/map-of-a-twitter-status-object">considering</a> another change that would be even more dramatic, as if that were imaginable. 
			- Running hard just to stay in place.
			- I used to <a href="http://www.google.com/search?q=twitter+coral+reef+site%3Ascripting.com">talk</a> about Twitter being a coral reef. This will be the end of that. In fact the threat of doing it is itself the end. 
			- I'm familiar with this point in the life of a corporate platform. Very few of the changes have any meaning in terms of apps you can create. The changes just move sand from one bucket to another. 
			- When Twitter breaks all the apps in the OAuthcalypse, they will break all of mine, and I have no intention of fixing them. I don't expect anyone to care. But what you should think about is how many of the Twitter apps that you <i>do</i> care about will break and how many of them will say the hell with it? And how many of them will be around for the next time Twitter breaks everything, because that's certainly coming unless Twitter develops some kind of philosophy about itself as a developer platform. (And even if they do, the promises will be forgotten in the next corporate reorg or the next time Zuck makes a huge press-quake.)
			- This is why the only platform to bet on is a platform with no platform vendor. Then there's no one who can rip up the pavement and break all the apps in one swoop. This way of working just doesn't work. Twitter is responding more to Facebook than they are to the market. It's time to stop thinking of Twitter as a coral reef, it's just another web site. If we want to have a nice coral reef we must boot one up that has no one at the center.
			- That's why <a href="http://cyber.law.harvard.edu/rss/rss.html#roadmap">RSS is frozen</a>. No developer should (or can) code against a moving target. RSS has been in the same place for a long time and look at all that has developed around it. If we kept changing our minds about how it worked, eventually it would have amounted to nothing. But no one had the power to make those changes, despite how much people complained -- so it stayed put. This is what works.
			- PS: You can say a lot of bad things about Microsoft, but one thing they get is continuity. ThinkTank for the IBM PC, last released in <i>1987</i> -- runs in VMWare on my iMac. I just <a href="http://www.outliners.com/thinkTank2Pc">downloaded</a> a copy from outliners.com and installed it. Here's a <a href="http://images.scripting.com/archiveScriptingCom/2010/04/26/thinkTank.gif">screen shot</a>. That's what you call commitment to continuity. Amazing.
		- Bill Jordan
			- The business angel of my first company, Living Videotext, was a man named Bill Jordan. When he came calling I had given up on getting outside capital for the company, but he insisted on meeting, so I told David Greene, who was working with me, that he could meet with him if he wanted, but I was going to stick to writing software. I was tired of wasting my time with tire-kickers. 
			- Bill came over, went into the back room. I kept working. After a while Greene came out with a check made out to Living Videotext, Inc for $50,000. Okay, I met with him, and together we raised several million, launched a company, etc etc.
			- Bill used to have fun calling me The Captain of Industry. He thought it was funny the way people in the software business are always announcing things as if they mattered. What was really funny was how the press thought we were so important. I know he did it with a lot of love, that's why I laughed along with him. It was fun to be around him, for a lot of reasons. Mostly because our relationship got off on the right foot. 
			- I don't mention this for any particular reason other than I was thinking about him this morning.
	- April 25
		- I, Standards Body
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/25/robot.gif" width="125" height="243" border="0" align="right" hspace="15" vspace="5" alt="A picture named robot.gif">On my drive east earlier this month I read a bunch of audio books, including Isaac Asimov's <a href="http://www.amazon.com/I-Robot-Isaac-Asimov/dp/055338256X/ref=sr_1_3?ie=UTF8&s=books&qid=1272223935&sr=8-3">I, Robot</a>. It's basically a collection of short stories built around the assumption that we create robots that obey <a href="http://en.wikipedia.org/wiki/Three_Laws_of_Robotics">three laws</a> at their core. 
			- The stories are mostly about the laws. How they mold the relationship between humans and the robots, unforseen consequences of the laws, and what happens when we create robots with slightly different versions of the three laws. 
			- The three laws:
			- 1. A robot may not injure a human being or, through inaction, allow a human being to come to harm.
			- 2. A robot must obey any orders given to it by human beings, except where such orders would conflict with the First Law.
			- 3. A robot must protect its own existence as long as such protection does not conflict with the First or Second Law.
			- It struck me, thinking about how the W3C and IETF are controlled by the big tech companies, and how they serve their interests, often in conflict with the interests of users, that perhaps a new kind of standards body is needed. One which never takes money from tech companies, and has its own version of the three laws.
			- The restated laws:
			- 1. A standard may not injure users or, through inaction, allow users to come to harm.
			- 2. Standard-compliant software must obey any orders given to it by users, except where such orders would conflict with the First Law.
			- 3. A standard must protect its own existence as long as such protection does not conflict with the First or Second Law.
			- Okay I know this is a little crude. But the point is this: Users are supreme. Tech companies are not even part of the charter of a human-serving standards body. They may use the standards, but we don't care one way or the other if they continue to profit, or even exist. 
			- <a href="http://www.flickr.com/photos/scriptingnews/4551684601/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/25/lifeIsTweet.jpg" width="145" height="117" border="0" align="right" hspace="15" vspace="5" alt="A picture named lifeIsTweet.jpg"></a>Standards exist to protect the interests of users first. As a second priority standards do what users want them to do. And as a third priority, only after the first two are considered, does the standard perpetuate its own existence. 
			- I think after all the years going round and round this loop I've finally figured out what the bug is. We let corporations push us around. They've made it so we serve them. That's what's wrong with the way technology has been evolving. Every so often we get back on track, just to have a fresh set of corporations come along and take us off track again. 
	- April 24
		- How BigTechCo's work inside
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/24/chairs.gif" width="170" height="145" border="0" align="right" hspace="15" vspace="5" alt="A picture named chairs.gif">All big tech companies are basically the same inside. They all have too many people, they must, because they expend a lot of energy fighting with each other over who has the right to do this or that. There's always someone looking over your shoulder for a sign that you're blowing it, so they can tell someone at a higher level in management about your failure, so they can snatch the project for themselves.
			- When an independent developer is introduced to this mess, it's usually by someone very high up the structure of the company because we tend to be visible to the outside world, relative to the typical grunt inside the BigCo. Our visibility and our introduction by the TopGuy immediately breeds resentment -- before they even meet you they don't like you, or worse, are committed to your failure. And while there may be penalties for killing someone <i>inside</i> the corporate hierarchy, there's no penalty for offing the outsider. 
			- Another way of looking at it -- Inside the company they're playing a big game of <a href="http://en.wikipedia.org/wiki/Musical_chairs">musical chairs</a>, but we outsiders can't play -- there's no mechanism whereby we get a chair
			- No one lays it out for you this clearly, like I just did. It takes years of trying to work with the BigCo's to figure out that while the TopGuy smiles and shakes your hand at conferences, and maybe even says kind things about you in a press release, there is <i>zero chance</i> that the people who actually make the decisions, the Ouija board of all the engineers and their managers, will work with you. Eventually there comes a day when you're standing there holding an empty bag wondering WTF just happened.
			- I should say <i>almost</i> zero instead of zero. I've had two examples of times when BigTechCo's said they were working with me, and really did do the work, and several examples outside the tech industry, in publishing. In one case, with XML-RPC in 1998, it was because a handful of engineers who were mavericks (unlike John McCain who just throws spitballs from the back of the room) and believed in something, and were respected enough inside Microsoft to cut through the corporate bullshit, but only for a very short period of time (really just two or three weeks). The machine eventually clamped down and turned it into a mess, owned by the W3C and IBM, Sun, and 18,000 other BigCos and BigCo-wannabes.
			- The other example was RSS, which only worked because the company I was working with, Netscape, evaporated into thin air in the middle of the project! So, if after getting a TopGuy to go for it, somehow you're lucky enough that the company self-destructs, you actually can get something done with a BigCo.
			- PS: This is a rewrite of a piece originally written in 2008 as <a href="http://www.scripting.com/stories/2008/10/07/adviceForChrisMessina.html">advice</a> to an independent developer who now works at Google, which of course is the biggest of BigTechCo's. ";->"
	- April 23
		- Does this loop ever end?
			- <i>This post began as a <a href="http://www.avc.com/a_vc/2010/04/one-graph-to-rule-them-all.html#comment-46235061">comment</a> on Fred Wilson's blog.</i>
			- I find it ironic that Fred finds fault with Facebook's strategy which does to the web what Twitter is doing to the web. We could have a long argument about the subtleties, but they'll all be hair-splits. Fact is we're repeating a loop the tech industry has been caught up in for a few generations. We're about to enter a phase when one vendor tries to break out from the rest, the way <a href="http://en.wikipedia.org/wiki/Digital_Equipment_Corporation">DEC</a> did in the age of mini-computers, the way IBM did with the PC, the way Microsoft did in graphic operating systems, and the way Google did in what we may come to refer to as the web. We're now headed into new territory, and Facebook is making a bold bid, maybe the boldest one ever, to dominate. But it won't work, it can't, they're up against forces that are inexorable. Every time through the loop the bidder gets a little further, only to fall to earth once again.
			- My gut says the winning strategy will be this -- a company gets within striking distance of taking it all chooses, instead of betting the company on the unlikely event that they'll win, bets on the jungle. Sees itself more as an investment banker than a hotbed of innovation.
			- I urged Microsoft to do this, before they bet the farm on Vista. I said the investment they were making of billions of dollars per year on programmers was a bad bet. Of course they didn't hear it, kept on going, and now they're right back where they were before Vista. They never figured out where you want to go today (bad joke).
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/23/vacuum.jpg" width="150" height="246" border="0" align="right" hspace="15" vspace="5" alt="A picture named vacuum.jpg">Some of the stuff in Facebook's proposal is good and worth supporting. Starting with the page-level metadata, that's totally harmless, and if it's widely implemented represents an upgrade to the web that everyone can take advantage of, including their competitors. We need to see more stuff like this.
			- The next level isn't quite so harmless -- their implementation of the graph -- because all the data resides on their servers, and as with Apple and their iPhone/iPad apps, they could shut anyone off at will. This is not acceptable. (BTW, quietly Twitter has acquired the same power.) Even so, the API is admirably simple, and worth using -- but it should also be available in XML. There's lots of XML code out there, tap into it. Facebook not saving any money by not offering it and they're showing they're picky about who develops for them -- not good for trust. And regardless, their offer is unacceptable. It must be federated, the data must live in lots of places. Show us they get that by integrating the other way, have Facebook feed off graph.scripting.com, graph.us.gov or graph.twitter.com. We could all relax a bit then, knowing they're still thinking web, not <a href="http://blog.newsweek.com/blogs/techtonicshifts/archive/2010/04/22/facebook-f8-internet-open-social-graph-semantic-web-twitter.aspx?print=true">vacuum cleaner</a>.
			- Any other approach is doomed. Facebook is hot now, but history has shown that being a hotbed doesn't scale. That eventually these companies have to tap into the general talent pool and they end up achieving the same level of mediocrity as the previous dominant one. It happened to IBM, the minicomputer companies, IBM again, Microsoft, now it's Google's turn, and soon it will be Facebook's.
			- Zuckerberg is riding a rocket, and no doubt he's brilliant, but he won't make it. What he'll do is wake up his competitors, and one or more of them will get a little bit of their shit together, and will break out of complacency. Who knows it might be Twitter. If you see Google give up their religion and start to say no to their programming gods, and start doing things to win markets instead of glorify their genius, that'll be all it will take to put up a big brick wall that Zuck won't be able to get around. Microsoft and Oracle are still out there and either of them could create a pool of hundreds of millions of dollars to finance an open alternative to Twitter or Facebook. Even IBM is large enough to make a difference.
			- At least Twitter has some ears out there. Fred and Bijan go to their board meetings. Hopefully at the next one they'll consider hitting reset on the go-it-alone strategy they outlined at their conference. A lot of the advice I gave Microsoft <a href="http://www.scripting.com/davenet/index.html#y1996">15 years ago</a> would play well for Twitter today, as well as Google, or for that matter, Microsoft.
		- Does your computer have an on/off switch?
			- First let me explain what I mean.
			- This is an on-off switch:
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/23/onoff.gif" width="100" height="125" border="0" alt="A picture named onoff.gif">
			- If you press the top part, whatever it's connected to turns on.
			- If you press the bottom part, it turns off.
			- On, off, on, off, etc etc.
			- If you forget which part does what, they are conveniently labeled to remind you of their function.
			- Anyway, looking around my desk I see lots of things that have switches that work exactly this way. 1. Printer. 2. Lamp. 3. Power strips. 
			- But lots of things don't. 1. Scanner. 2. Router. 3. Modem. 4. iMac.
			- I seem to remember that my first Apple II had a simple on-off switch. Did the IBM PC? Not sure. The Apple III? Not sure. Pretty sure the first Mac did not have an on-off switch. 
			- Let's compare notes. Does your computer give you a clear and simple way to turn it off? If not, should it?
		- How to turn off a Mac screen, day 2
			- <a href="http://www.scripting.com/stories/2010/04/22/howToReallyTurnOffMacScree.html">Well, this one</a> has a happy ending.
			- The solution was very simple.
			- I have a Bluetooth mouse and a Bluetooth keyboard.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/23/mouse.jpg" width="145" height="123" border="0" align="right" hspace="15" vspace="5" alt="A picture named mouse.jpg">If I turn off the Bluetooth mouse before going to sleep, I can leave the computer on all night and the screen saver will kick in, and then the Energy Saver setting for the monitor takes effect, and in the morning the screen is off. Pretty sure it stayed off all night (evidence -- not being woken up by it).
			- There is a <a href="http://images.scripting.com/archiveScriptingCom/2010/04/23/bluetoothPrefs.gif">setting</a> that tells the Mac to not be activated by Bluetooth devices, but I'd rather not have to attach a non-Bluetooth mouse to the computer to activate the screen in the morning.  
			- So if you're finding that you can't turn off the screen of the Mac, and have it stay off, try turning off your Bluetooth mouse if you have one. 
			- And maybe Bluetooth mice should go to sleep and stay asleep if no one is moving them.
		- Exploring iGoogle and pictures
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/23/huey.gif" width="150" height="258" border="0" align="right" hspace="15" vspace="5" alt="A picture named huey.gif">Got an email from Don Loeb this morning with <a href="http://igoogledeveloper.blogspot.com/2010/04/sometimes-blue-text-just-isnt-enough.html">news</a> that <a href="http://www.google.com/ig">iGoogle</a> now supports pictures in RSS feeds. So I thought I should check it out.
			- I wanted to add a photo feed. Went looking for a way to just enter the address of the feed, but instead found a <a href="http://www.google.com/webmasters/add.html">page</a> where I could create a gadget from a feed. 
			- <a href="http://fusion.google.com/add?source=atgs&feedurl=http%3A//static.newsriver.org/afp/rss.xml"><img src="http://gmodules.com/ig/images/plus_google.gif" border="0" alt="Add to Google"></a>
			- I tried clicking on it.
			- It worked but it didn't do anything special with the pictures. 
			- Changed the presentation style to Slideshow, with a very <a href="http://images.scripting.com/archiveScriptingCom/2010/04/23/slideshow.jpg">nice result</a>.
			- BTW, here's an iGoogle button for Scripting News.
			- <a href="http://fusion.google.com/add?source=atgs&feedurl=http%3A//scripting.com/rss.xml"><img src="http://gmodules.com/ig/images/plus_google.gif" border="0" alt="Add to Google"></a>
			- Nice! ";->"
			- PS: It would be great if Google supported <a href="http://realtimerss.org/post/307312057/why-its-smart-to-publish-realtime-rss-now">Realtime RSS</a>. I updated my <a href="http://scripting.com/rss.xml">feed</a> 45 minutes ago but the change still hasn't been reflected in iGoogle. (I know, they want me to support their proprietary way of doing notification, I want them to do it the open way. You'll know that Google has become a serious competitor when they take advantage of every open format and protocol in the interest of making their product work better.)
	- April 22
		- Compromising with Facebook
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/22/wimpy.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named wimpy.gif">I love flow, so there's a temptation to put a Facebook "Like" button on every Scripting News story, but I'm resisting the temptation for the same reason I never used Feedburner to host my RSS feeds. They were offering a benefit, but I didn't want to cede all that power to them or trust them not to sell out to a big company that I don't trust. Or (as with Facebook and Google) <i>be</i> a company that I don't trust. 
			- So perhaps there's a compromise? Let me implement my own Like feature and have it connect up to Facebook through a feed. And let it connect up to Facebook's competitors just as easily. I'm sure the smart guys at Facebook could figure out how to do this, perhaps they already have? I'm willing to do a little extra work to keep the web independent of any one company.
			- Update: Facebook is trying to be more than the identity system for the web. They are trying to be the identity system for everything. There's no limit because they've (correctly) understood that the web can and in many ways does model our reality. Yelp has pages that represent restaurants. IMDB pages rep movies. None of these things had identity until now. Which leads to the second update.
			- Update: You gotta wonder if this is enough to shake both Google and Twitter from <i>their</i> megalomania. In retrospect, what a mistake it was for Twitter to get so aggressive with developers last week. Had they realized how cornered they were, they would have gone the other way, surrendered to the developers, completely and unconditionally, even begged for terms. "How can we all work together to keep what we need to be open, open?" I haven't heard anything from Google in the last few years that wasn't utterly menacing. Let's see if they can <i><b>quickly</b></i> learn how to get along with creative people who don't work at big tech companies. 
		- How to (really) turn off Mac screen?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/22/imac.gif" width="145" height="145" border="0" align="right" hspace="15" vspace="5" alt="A picture named imac.gif">Pretty sure there's no way to really turn off the Mac screen.
			- I now live in a small one-bedroom apartment. My desk, and main computer, are in the bedroom. So the fact that the computer turns the screen back on at apparently random times is not only a waste of energy, it's a wake-up call.
			- I have the <a href="http://images.scripting.com/archiveScriptingCom/2010/04/22/energySaverPrefs.gif">Energy Saver preference</a> set to turn the screen off after 15 minutes of no use. That does happen, but the screen just comes back on. I've tried quitting all the apps, thinking it might be one of them that is asking for the screen to be re-lit, but it makes no difference.
			- Okay, so I thought -- let's just put the computer to sleep using the Sleep command in the Apple menu. It doesn't help. It just wakes up, on its own. When it wakes up, the monitor turns on, full brightness.
			- I've tried running the <a href="http://www.splasm.com/products/productbrightness.html">Brightness Control</a> app. The computer ignores the fact that the monitor is turned down. When it wakes up it turns the monitor up to full brightness.
			- <a href="http://www.google.com/search?q=imac+turn+display+off">I did a search</a> and read various threads with comments from Mac users with the same problem. 
			- In the old days the monitor had an on-off switch. When you turned it off, it stayed off until you turned it back on. 
			- So when people say Macs "just work" -- you gotta wonder.
	- April 21
		- To Facebook the answer must be no
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/21/chalmers.gif" width="105" height="233" border="0" align="right" hspace="15" vspace="5" alt="A picture named chalmers.gif">I am very familiar with the Friendfeed API, so when I saw the <a href="http://bits.blogs.nytimes.com/2010/04/21/facebook-spreads-itself-across-the-web/?partner=rss&emc=rss">presentation</a> today by <a href="http://developers.facebook.com/blog/post/377">Bret Taylor</a>, who is now one of the leading guys at Facebook, it felt very familiar. They design clean and simple APIs. This one is no exception.
			- I would be playing with it right now except for two things:
			- 1. My programming environment doesn't have a JSON serializer or deserializer. I could write one, but I'm not going to, at least not this week. And next week we'll be looking at something else. I wish they had provided an XML serialization for their data, if they had, I would have spent the rest of the week poking around so I could provide details here on Scripting News. Would have been an interesting report. 
			- 2. They are part of the push to reinvent OAuth. They say it's simpler, but nothing could be simpler than the previous version, which I have already implemented.
			- This is the problem with corporate platforms and the standard bodies that help them achieve their goals. They throw out our investment with idea they're making things easier. They're smart people so I think they must know they're not actually doing that. The developer base gets winnowed, which must be what they actually want.
			- Anyway, once you get past the political stuff, Bret and his guys implement a nice API. And Zuckerberg -- what a character! I had never seen him speak before today. He's honest, open, bares his soul in amazing ways. He's like a young Bill Gates, who I knew when he was "Zuck's" age -- but without the guile. He lays it all out there. 
			- Watching his presentation I was struck with an idea. Ballmer and Ozzie should find a way to get Zuck to buy Microsoft and they should reboot the company with Zuck as the leader. I know FB would never go for it, why should they, but what an interesting chemistry experiment that would be. Could Microsoft reboot with a BG workalike at the helm? It would make for a fascinating science fiction story. But I digress.
			- The actual Bill Gates figures in this story. In 1997, I had a phone talk with Bill G, about the subject that Mark Z addressed in today's presentation. Bill had realized that the big thing missing from the web was an idea of identity. He wanted my help to figure this out and then make a presentation to the industry, but only after we did a lot of thinking. I remember meeting with one of his lieutennants in New Orleans later that year, but nothing came of the proposed collaboration, probably because I didn't have any ideas about how to get everyone to line up behind Microsoft (mostly because I didn't think it was a good idea). 
			- So now we know what Zuckerberg's megalomania is, and he's brilliant, and hired the right guys (the FF team) to make it happen. But think about the role he's cast himself in for a minute. Facebook is to be the identity system for the web. A company? That just can't work. I can't believe he doesn't know that. Even Bill Gates didn't have the audacity to propose that! ";->"
			- I'm sure their software will scale. It certainly is well-designed. But Facebook is a company and we just can't go there. That's about all I have to say right now. Probably will have more to say later.
			- PS: The OPML Editor is a distro of Frontier, which has been GPL'd for 5 years. I think it sucks that it has no JSON support. But it works for me, there's no other environment that's even remotely as rich, so I'm not switching. If you want to avoid missed opportunities like this in the future, get on board, fill in the gaps. We need JSON support, one of many things that are needed. If you can make it happen, you will be an official good person.
			- PPS: According to <a href="http://twitter.com/abrahamvegh/status/12603277662">Abraham Vegh</a> the Twitter API will shortly be JSON-only. I didn't know that. Well, that'll be the end of my code working with their code. Even if we had JSON support in Frontier, I am under no circumstances going to re-code all my glue code. What a freaking waste of time that would be. ";->"
		- Vector-awareness, day 2
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/21/drum.jpg" width="145" height="146" border="0" align="right" hspace="15" vspace="5" alt="A picture named drum.jpg">I'm kind of disappointed that there wasn't much uptake on other blogs re <a href="http://www.scripting.com/stories/2010/04/20/whatComesAfterLocation.html">what comes after location</a> -- but not really surprised. There's an almost unconscious presumption that anything innovative will come with an earth-shaking Steve Jobs-like announcement, not with a short and simple blog post. Regardless I think it's an important idea, one worth beating the drum about.
			- Kris Cobbaert <a href="http://www.scripting.com/stories/2010/04/20/whatComesAfterLocation.html#comment-45792253">voices</a> a frequent concern -- how could my Droid know what my intentions are? How could it know which direction I'm going in? It's a good question, but I wouldn't have suggested this if I hadn't already very clearly told it where I am going, in at least two ways:
			- 1. The Droid has a very nice Maps app that's obviously a Droidization of their <a href="http://maps.google.com/">Maps website</a>. On each segment of my trip, usually at the beginning of the day, I program it with my goal for the day. That way I can instantly <a href="http://www.flickr.com/photos/scriptingnews/4540410294/">see how I'm doing</a> by simply turning the Droid on, visiting the Maps app and refreshing. 
			- 2. Even if I haven't used the Maps app to plan my day, there's always GPS. It can plot out a series of samplings, and unless I'm traveling in circles (happened <a href="http://www.flickr.com/photos/scriptingnews/4539129215/sizes/l/in/photostream/">yesterday</a> in Central Park), it should be pretty obvious whether my goal is east or west of where I am. At least it could skew the recommendations in what is my <i>likely</i> direction, based on GPS data. 
			- An aside, ever had the experience in an airport as you walk past a door that automatically opens when someone approaches it? The same algorithm that the Droid uses could be used here to keep the door closed if you're walking by the door and not into it. 
			- A valid point was raised several times -- if you're using the Droid to locate an emergency service, like a hospital, you want the maps app to ignore your vector and just tell you where the closest emergency room is. No doubt there's a difference between a life-saving doctor and a mood-saving Starbucks.
			- Proximity is too crude a measure sometimes, sometimes we want our algorithms to be aware of where we're going. That is, to be vector-aware.
	- April 20
		- Hitler in the news
			- <a href="http://mingramjr.com/hitler-shows-his-frustration-for-the-lost-iph"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/20/heWontKillThem.jpg" width="200" height="127" border="0" align="right" hspace="15" vspace="5" alt="A picture named heWontKillThem.jpg"></a>One of the most consistently funny memes in Internet humor are the adaptations of the final dramatic scene in the classic movie <a href="http://en.wikipedia.org/wiki/Downfall_%28film%29">Downfall</a>, where Hitler learns that his situation is hopeless. Because the dialog is German with English sub-titles, it has been easily adapted by comic writers to current events with hilarious results. 
			- Now, of course Hitler was a monster -- and who knows if it's good or bad that he is turning into a joke. I'll leave that for greater beings to decide. But it's all very funny and it seems to me as if it's not only completely fair use, but a fantastic promotion for the movie. Regardless, the copyright holders have filed a takedown notice, apparently, and all the Hitler humor is now gone from YouTube. <i>Oy!</i>
			- Open Video Alliance: <a href="http://openvideoalliance.org/2010/04/hitler-downfall-meme-gets-dmcad/?l=en">Hitler "Downfall Meme" gets taken down</a>.
			- No doubt there will be a great Hitler video reacting to this event. Can't wait. ";->"
			- In the meantime, <a href="http://mingramjr.com/hitler-shows-his-frustration-for-the-lost-iph">enjoy this video</a> of Hitler learning that Gizmodo has the new secret iPhone. 
		- What comes after location?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/20/goose.jpg" width="115" height="121" border="0" align="right" hspace="15" vspace="5" alt="A picture named goose.jpg">This kept happening on my road trip. I would ask about nearby Starbucks so I could get online and my Droid would tell me about locations that were either off my path or where I had come from.
			- So it's not just a matter of where I am, it's where I'm going. 
			- Location-awareness leads to vector-awareness.
			- I know where you are <i>and</i> I know where you're going. 
			- Don't tell me about Starbucks that are west of here if I'm headed east. 
		- Vonnegut's memoir
			- <a href="http://www.amazon.com/Man-Without-Country-Kurt-Vonnegut/dp/081297736X/ref=sr_1_1?ie=UTF8&s=books&qid=1271754572&sr=8-1"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/20/vonnegut.gif" width="95" height="144" border="0" align="right" hspace="15" vspace="5" alt="A picture named vonnegut.gif"></a>On my cross-country drive I listened to several audio books. The best was also the shortest -- Kurt Vonnegut's <a href="http://www.amazon.com/Man-Without-Country-Kurt-Vonnegut/dp/081297736X/ref=sr_1_1?ie=UTF8&s=books&qid=1271754572&sr=8-1">Man Without a Country</a>. 
			- He writes with such economy and so much about himself and it's such simple stuff. Made me think Vonnegut would have been an excellent blogger.
			- He was 82 when he wrote it. When a young person blames him for the horrible shape of the world he says "But I just got here!" He has a way of expressing complex ideas so simply and he touches exactly the spot that needs touching. What a nice way of saying life is too short.
			- At birth, he'd offer: "Hello, babies. Welcome to Earth. It's hot in the summer and cold in the winter. It's round and wet and crowded. At the outside, babies, you've got about a hundred years here. There's only one rule that I know of, babies -- God damn it, you've got to be kind."
			- His book was short enough to be listened to in a couple of hours driving from Buffalo to Binghamton. 
	- April 19
		- Hello New York!
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/19/dropdead.gif" width="125" height="178" border="0" align="right" hspace="15" vspace="5" alt="A picture named dropdead.gif"><i>This is a draft of the talk I'll give at the <a href="http://nyc2010.140conf.com/schedule">140conf</a> tomorrow at 9AM.</i>
			- My little story begins in Silicon Valley -- in 1979 -- 31 years ago.
			- I went there with an idea and some software. The idea was that computers could be used by normal people as a creative tool. And that creating software was itself a creative act. Both of these ideas were considered way out there at the time, but I wasn't the only one who believed this. The other people who did were clustered in an area of California with romantic names like Sunnyvale, Mountain View and Los Gatos.
			- I had visions of small communities in an idyllic climate with people who all knew and helped each other. I was young and idealistic! When I got there, I quickly found my place. I pitched my product at Apple, then a company with about 100 people, and they sent me down the street to a <a href="http://en.wikipedia.org/wiki/Personal_Software">company</a> in Sunnyvale that was publishing the <a href="http://en.wikipedia.org/wiki/VisiCalc">first spreadsheet</a>. Later I started my own <a href="http://davewiner.userland.com/outlinersProgramming">company</a> to publish the outlining <a href="http://www.outliners.com/thinkTank2Pc">software</a> I was working on and we became rich and famous in the first boom of the Macintosh when we had one of the most successful creative tools on the platform. The vision I came to Silicon Valley with had become reality! The Macintosh and our idea processing software were the ultimate tools for creative thinkers. This happened in the space of a few short years. 
			- I started another company, but this one got mired in the land of big tech companies. Eventually another opportunity came up, <a href="http://twitter.com/timberners_lee">another</a> <a href="http://en.wikipedia.org/wiki/World_Wide_Web">great vision</a> -- and we were able to restart the company and out of that came ideas that led to this conference we're at here: <a href="http://davenet.scripting.com/1999/05/24/editThisPage">blogging</a>, <a href="http://www.scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">podcasting</a>, <a href="http://www.reallysimplesyndication.com/riverOfNews">RSS</a> -- and that's why I have the honor of speaking to you this morning. 
			- Now 31 years later, I've moved, from the <a href="http://maps.google.com/maps?q=berkeley+hills,+berkeley">hills</a> outside San Francisco, to the West Village. I am working with <a href="http://journalism.nyu.edu/pubzone/weblogs/pressthink/">Jay Rosen</a>, the next speaker, at NYU. I am now a New Yorker. Again.
			- I was born in Brooklyn, many years ago. I was raised in <a href="http://en.wikipedia.org/wiki/Flushing,_Queens">Flushing</a>, spent my formative years playing baseball and going to Shea Stadium. I <a href="http://www.youtube.com/watch?v=wZpaNJqF4po">went</a> to <a href="http://www.bxscience.edu/">Bronx Science</a> before leaving New York to go to college in 1973. I am, in my blood, a New Yorker. Always have been and I guess I always will be. 
			- I came back in 2010 because, now, it's the right place for me to be. 
			- I bring with me all that I've learned about technology and publishing, and lots of experience in the tech industry, and after saying Hello to my native city (Hello!) I have something else I want to say.
			- <a href="http://www.flickr.com/photos/scriptingnews/3752868478/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/19/lunch.jpg" width="175" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named lunch.jpg"></a>There's work to do here, and it's not the same work that Silicon Valley has to do. 
			- New York is, among other things, the center of the media industry. I think it will be that for a long time to come. And that industry must make the transition to the new communication technology. And it must do so with abandon -- without knowing in advance what the business models are. 
			- Ten years ago I gave a talk at a conference in Switzerland where I told the publishing industry that it must jump out of the airplane, without a parachute. I'm here in NY, ten years later, saying the same thing. 
			- On the way down, with the ground rushing up to meet you, you're going to have to learn how to fly. Or else suffer the consequences. ";->"
			- The media industry must embrace the change the way a Silicon Valley startup with nothing to lose embraces change. 
			- It must embrace change the way a European vintner embraced change when Napa Valley came along. Like gaslight makers at the advent of electricity. There's a new way to distribute information. Media is all about distributing information. Be media mavens, follow your love for news, and build the best news systems you can make, now, without fear. 
			- There's a simple reason for this -- you can't understand how a new system works until you use it, until you <i>immerse</i> yourself in it. And you can't use it until it exists. So the first thing you must do is create the news system of the future. Then you must depend on the universe being fair, and the users' greed for the latest stuff. We can find a way to make it pay. But only when we understand it. And understanding comes with experience. And there is no experience until you can use it.
			- That's why the startups of New York are so precious. Tumblr, Foursquare, bit.ly, gdgt, drop.io, Gawker, Boxee, Blogtalkradio, Etsy, Hot Potato, Bug Labs, Hunch, Kickstarter. These companies are not only incubating ideas that may turn into businesses, they are also developing New York-based human capital. Experience has shown that the next generation of startups will be born in the previous-generation startups. So by concentrating inteligence here, the network can develop and new ideas can develop, around the realities of a changing media business, which is a very different perspective from that of Silicon Valley.
			- That's why it's important that New York not think of itself as an outpost of the tech industry. It is something unto itself. The goal of the new media industry is to create the news system of the future. Not to exist as an appendage to Silicon Valley's vision of that.
			- I have chosen to move back to New York because this is where I want to be. The people I want to work with are here. The mission of New York is closer to my mission than Silicon Valley's. 
			- So all I wanted to say is <i>Hello</i> and it's great to be back!
			- Update: The conference is being <a href="http://www.ustream.tv/nyc140conf">webcast</a> on Ustream.
	- April 18
		- Wire messes
			- I'm setting up my computers "for real" at the apartment in NY now, no longer just using a laptop. Along with real computers come "wire messes." I hate them. I wish there was some way for all these things to "just work" without all the messy wires.
			- Anyway, here's the <a href="http://www.flickr.com/photos/scriptingnews/4532492424/">wire mess</a> behind my iMac.
			- <a href="http://www.flickr.com/photos/scriptingnews/4532492424/" title="The wire mess behind my iMac by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2731/4532492424_d4f82fc02f_m.jpg" width="179" height="240" border="0" alt="The wire mess behind my iMac" /></a>
			- And here's the <a href="http://www.flickr.com/photos/scriptingnews/4531863667/">wire mess</a> behind my TV.
			- <a href="http://www.flickr.com/photos/scriptingnews/4531863667/" title="The wire mess behind my TV by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2745/4531863667_3f93325bf7_m.jpg" width="179" height="240" border="0" alt="The wire mess behind my TV" /></a>
			- More wire messes to come for sure. :-(
			- Update: <a href="http://evespeeves.wordpress.com/2010/04/18/the-wired-generation/">My mom blogs</a> about her wire messes.
		- The route I took
			- <a href="http://search.barnesandnoble.com/booksearch/isbnInquiry.asp?r=1&ISBN=9780195220445&ourl=Atlas-of-the-United-States%2FHarm-J-de-Blij&cm_mmc=Google%20Product%20Search-_-Q000000630-_-Atlas%20of%20the%20United%20States-_-9780195220445"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/18/atlas.gif" width="150" height="198" border="0" align="right" hspace="15" vspace="5" alt="A picture named atlas.gif"></a><a href="http://maps.google.com/maps?f=d&source=s_d&saddr=Berkeley,+CA&daddr=I-29+N%2FI-680+E+to:41.446844,-90.574036+to:I-94+E+to:I-69+E+to:Niagara+St%2FNY-384+S+to:New+York,+NY&hl=en&geocode=FenfQQIdFUS2-CnTSYU6NnmFgDGT6XWmlRXqlA%3BFY6cdwId2rBI-g%3B%3BFa5_hAId7kDl-g%3BFZq6jwIdPjYT-w%3BFVJ5kQIdAKdJ-w%3BFR1AbQIdK8KW-yk7CD_TpU_CiTFi_nfhBo8LyA&mra=dpe&mrcr=0&mrsp=2&sz=10&via=1,2,3,4,5&sll=41.550728,-90.574036&sspn=0.81498,1.098633&ie=UTF8&ll=41.508577,-90.527344&spn=98.06328,140.625&z=3">Here's the route</a> I took from Berkeley to NY on my cross-country road trip.
			- I got creative in Omaha, and went around the center of the city on 680 at the recommendation of a reader. This was a very good idea. 
			- There was a detour around the Davenport crossing of the Mississippi River, the bridge on I-80 is out. 
			- Then after Chicago I headed northing on I-94 through Flint and Port Huron through Ontario to Niagara Falls. This is a bit out of the way, but I avoided some heavy traffic on the Ohio and Pennsylvania turnpikes, a route I am all-too familiar with having traveled many times back and forth between Madison and NYC. Got to see the falls from the Canadian side, and went through customs twice, always a fun time.
			- I stopped in Elko, Laramie, West Des Moines, Kalamazoo and Niagara Falls.
			- McDonald's has the best coffee and they all had free wifi. Still, I prefer to log on at Starbucks. No kids, and they're nicer places to get caught up on what's going on in the world. However, there's no comparison between on-the-road connectivity today and a few years ago. You can get online almost everywhere.
			- The Droid has a nice feature. If you type "starbucks" into the main screen and click the search icon, it shows you the closest Starbucks. An obvious feature, but it was obvious a few years ago too -- now it's here and it works. (The <a href="http://www.flickr.com/photos/scriptingnews/4532567110/">iPhone has</a> it too.)
			- The trip took six days. A little snow crossing the Sierra, but nothing too bad, otherwise the weather was good. It was cloudy and cool the whole way. Only rain was on the last day driving through Syracuse and Pennsyvania. As always driving in New Jersey headed into NY is the sucks! ";->"
		- Postscript on the scripting.com outage
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/18/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">Two weeks ago, when I was in Calif, preparing my house to go on the market, and moving almost 40 years of possessions, or giving them away, or selling them, and preparing to drive cross-country -- while all that was going on -- scripting.com stopped working.
			- It appeared the problem might be with the host, the server was running on Amazon, and the people at Amazon went above and beyond the call of duty to try to find a problem on their end, to no avail. I left town with the server turned off, and most of the content and apps <a href="http://www.scripting.com/stories/2010/04/11/isThisThingOn.html">ported</a> to run on an older server hosted elsewhere. 
			- On the drive, with time to think, I had an idea I knew what the problem was, and managed a way to get a look at the server (that was a big part of the problem, I couldn't get through to the server from Remote Desktop Connection). Turns out one of Apache's log files had grown to over a gigabyte in size. It doesn't run at all with such a large log file.
			- Performance degraded over time until finally it no longer took hits and maintaining the bloated log file consumed all the CPU cycles.
			- I deleted the log file, reattached the EBS volume, restarted the server, and it's been  working perfectly for 72 hours. I'd say with a high degree of confidence that the problem is solved.
			- Bottom-line: The outage was my fault. 
		- Question about Apache/Windows
			- A basic question about Apache for Windows.
			- Is there a way to send it a message from the local machine, that temporarily turns the server off. And then another to turn it off.
			- I need to be able to do this from a script running in another process.
			- Why: I want to archive then delete the log files once a day so they <a href="http://www.scripting.com/stories/2010/04/18/postscriptOnTheScriptingco.html#p3">don't grow</a> to be a gigabyte in size.
		- An idea for Rackspace
			- Not sure why this seems right for Rackspace, but it does.
			- First, if you haven't been using <a href="http://www.dropbox.com/">Dropbox</a>, give it a try. It's easy to set up, very reasonable, and useful and fun.
			- What's great is that it's easy to build a network of cooperating machines, and even use Dropbox for a very simple form of queue management, and while you're at it, why not use it as part of a publishing system? Indeed.
			- What would be incredibly cool is if there were a way to:
			- 1. Create a hosting account and give it my Dropbox credentials and a path into my dropbox folder. 
			- 2. And have that sub-folder (only!) be served over HTTP at a domain address I provide (something like mystuff.scripting.com). I take care of mapping the domain to the IP address you tell me to map it to.
			- 3. There's some bandwidth limit of say 1 terabyte a month, or less or more -- I don't know the economics -- make it competitive. But that's the only UI for the account.
			- I know that Dropbox will allow HTTP access to my public folder, but there are serious (and very reasonable) bandwidth limits, and I want to use my own domain for hosting so I'm not locked in.
			- Hey, this could even be a service Dropbox offers.
	- April 17
		- I arrived in NYC
			- Not much more to say now, I'm fairly exhausted after the cross-country drive.
			- Plan to sleep then see what's up! ";->"
	- April 16
		- Niagara Falls
			- Last time I came through Niagara Falls was at the beginning of an east-to-west cross-country drive in <a href="http://archive.scripting.com/2005/08/01">2005</a>. I only saw the falls from the American side.
			- This time everything's flipped around. I'm seeing the falls from the Canadian side at the <i>end</i> of a west-to-east cross-country drive.
			- Last time I saw there were these huge <a href="http://www.facebook.com/photo.php?pid=4426370&l=082d34bfbb&id=500857454">towering hotels</a> on the Canadian side. I said "Someday I'm going to see the falls from the top of one of those hotels. That's exactly where I'm sitting as I write this blog post. 
			- Pretty freaking <a href="http://www.flickr.com/photos/scriptingnews/4526917402/">spectacular</a>.
			- <a href="http://www.flickr.com/photos/scriptingnews/4526917402/" title="American Falls by scriptingnews, on Flickr"><img src="http://farm5.static.flickr.com/4030/4526917402_ab601c4eb3_m.jpg" width="240" height="135" border="0" alt="American Falls" /></a>
			- If you saw what I'm seeing in Africa or Asia you'd think it was pretty exotic. 
			- I'll be in NYC tomorrow for sure, Murphy-willing. ";->"
	- April 15
		- Greetings from Des Moines!
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/06/chaplin.jpg" width="167" height="471" border="0" align="right" hspace="15" vspace="5" alt="A picture named chaplin.jpg"><a href="http://www.youtube.com/watch?v=T6QDGOR4NIA">Song of the day</a>: "I've been across this country, from Denver to the ocean. And I never met girls who could sing so sweet as the angels that live in Houston."
			- To me there's nothing better than driving across the Great Plains of the United States. 
			- It's like a <a href="http://www.flickr.com/photos/scriptingnews/4516839120/">meditation</a>. What's left of the Rockies at one end, rolling hills and farmland in the east. 
			- While I was driving yesterday, Twitter announced two new APIs that I haven't had a look at yet, but am excited to when this eastward movement draws to an abrupt close when I hit the Atlantic Ocean. Which seems will happen on Saturday.
			- The first new API gives us the Payloads I've been <a href="http://www.scripting.com/stories/2009/10/20/innovatingOutsideThe140.html">asking for</a> since 2007. Awesome!
			- I was pretty sure it was coming this week when I wrote <a href="http://www.scripting.com/stories/2010/04/09/howTwitterCanKillTheTwitte.html">this piece</a> last Friday.
			- Basically all the features of RSS attached to a tweet, with the same ability for ad hoc expansion. Very interesting computer science with, imho and if there are no brick walls, and if it performs reasonably well, infinite possibility for new apps. Once again, something worth getting excited about in TwitterLand. First time in a long time.
			- That's the good news. The bad news is that it <a href="http://groups.google.com/group/twitter-development-talk/browse_thread/thread/fde2ea535569d55a/598ad15c41e8d34a?show_docid=598ad15c41e8d34a">doesn't exist yet</a>. They haven't even released preliminary docs. Oy.  
			- <a href="http://www.scripting.com/stories/2010/04/10/twitterWeekForClientDevelo.html#p8">I was afraid of this</a>. "The scary part is if Twitter announces the metadata capability but doesn't ship it. And you know what -- I bet they do that too. There's zero cost to them to announce it if they don't have to ship it immediately. In fact, they never have to ship it. But it has the effect of forestalling a similar effort by client developers, which I would get ready to do, no matter what Twitter does this week."
			- The second new feature is a stream-oriented API. I haven't had a look yet -- but this is the feature that made the FriendFeed API so nice. Let's hope the Twitter guys did it as simply.
			- Anyway, I have mixed feelings about announcing the payloads API without a hint of specification. If it's good there will be lots of fertile ground for meedia hackers like myself. Announcements like this, in the tech business, tend to take a long time to come to fruition, if they ever do. Let's hope this is for real. 
			- Something to talk about at the <a href="http://nyc2010.140conf.com/schedule">140conf next Tues</a> in NYC.
			- Gotta hit the road. I'm headed toward Ann Arbor, Michigan tonight. In the Eastern Time Zone! ";->"
	- April 14
		- Road thinking
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/02/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif">I'm listening to podcasts on this trip, and of course doing the kind of thinking you can only do with hundreds of miles to drive every day, and the day after, and the day after that.
			- My friend Evan Paull, who I spoke with a couple of days before leaving, said he didn't understand how I could do this cross-country drive. He doesn't even like driving to L.A. or Santa Cruz. Me neither. But those drives are different. Every few miles another town. Traffic getting on and off. Stop and go. Your mind has to be engaged fully in the driving. Not like driving across Wyoming (yesterday) or Nevada (the day before) or Nebraska (tomorrow). Just endless miles of straight road. A mountain range 60 to 90 miles in the future, a pass, a downgrade, a big valley, and you do it again. In the Great Plains there aren't even the mountain ranges! ";->"
			- So I figure stuff out.
			- Like the iPad. I was listening to the <a href="http://www.slate.com/id/2250055/">Slate podcast</a> about the iPad. They had allocated a whole half-hour to unboxing and using it. First impressions. I snickered cause I knew what was coming. I won't spoil the surprise, but let's say it wasn't the initial (amazing) out of the box experience they were hoping for. They spent the whole half-hour talking about how they didn't get what the thing was saying to them. They got stuck where we all get stuck but don't want to admit it. Click on the <a href="http://www.scripting.com/stories/2010/04/03/verdictAfterOneDay.html#p6">link</a> if you want to spoil the surprise. ";->"
			- Their complaints about the product echo mine, but after reading <a href="http://www.mondaynote.com/2010/04/11/the-adobe-apple-flame-war/">JLG's excellent piece</a>, and thinking about it, I realize they didn't get what Apple is doing, and neither did I. I mean I did get it in a certain way, it's a start-over. Let's try to recreate the Mac, but do it based on what we have learned since 1984. Gassee explains why Jobs doesn't want Flash. No least-common-denominator software here, says Steve. We are not part of a cross-platform strategy. Okay, I thought about it, not sure I'd play it that way, but I understand why they are. 
			- To be clear -- the future iPad has a keyboard and word processing software. They're going to roll out all the features of the Mac, one step at a time, bud this time they're going to avoid the pitfalls. Their ace in the hole -- if they don't like how something is going, they have the power to nuke it. Adobe is the first BigCo to get the message. Everyone who follows will get the same message. 
			- Another thing that shook up my assumption is that they approved Opera for the iPhone. Hmmm. Maybe they aren't trying to kill the web after all. But.. I wouldn't put all that work into developing an app, I couldn't, realizing they could cancel it any time, at will. And throw my investment in the trash. I'll take the judgement of the market, but if Steve changes his mind, or if I'm not reading the tea leaves correctly, that's not a reason for a product to die. 
			- You gotta wonder why Steve didn't say what JLG said. That introduces doubt.
			- But then again, maybe they wouldn't reject a programming environment that didn't have any UI tools in it? One that just allowed me to write custom workflows that involved a tablet that communicates over wifi. After all their excuse for not allowing user programming of AT&T's cell network doesn't work if my iPad is wifi-only. See that's the part of the Jobs "I am sincere" pitch that does not compute. He lies boldly. Now tell us again why we can't write our own tools for the thing? I can't believe the Unix gearheads inside Apple don't want to. Sheez, I can't believe they don't share scripts among themselves that run on the iPad. 
			- We need an open source tablet that comes as close to the iPad as possible.
			- Switching gears...
			- We also need an open source Twitter client, so we can build it out the way we want it to go, not subject to the fears of app developers trying to be nice to Twitter Corp. As Barack Obama said in his acceptance speech at the DNC in 2008 -- "Enough!" 
			- Twitter's newly-announced business model was not worth the wait. I have big plans for the realtime news system. I can't believe all that is on hold so Twitter could put freaking ads into search query output? Yeah things look a little different when you're inbetween the coasts driving slowly across the country.
			- More later. 
			- From Laramie, Wyoming..
			- Your correspondent..
			- DW
	- April 13
		- Greetings from Park City
			- I've already done <a href="http://maps.google.com/maps?f=d&source=s_d&hl=en&geocode=FaUNbwIdTZgZ-SkNjwwZtQSmgDGJ9gXE6bFV2A%3BFa41bAIdC61a-Sn9A2MsYw9ShzGUVzcl38Rx2A&saddr=Elko,NV&daddr=Park+City,UT&sll=40.733373,-74.004711&sspn=0.004601,0.012896&ie=UTF8&z=7">260 miles</a> today.
			- Going to try to get to Cheyenne, which is another <a href="http://maps.google.com/maps?f=d&source=s_d&saddr=Park+City,UT&daddr=Cheyenne,WY&hl=en&geocode=Fa41bAIdC61a-Sn9A2MsYw9ShzGUVzcl38Rx2A%3BFQ2_cwId6pHA-SmT73MudjhvhzErLZePQTAKsQ&mra=ls&sll=40.879595,-113.63062&sspn=2.350558,6.602783&ie=UTF8&z=6">419 miles</a>, but it doesn't seem likely I'll get there, esp because I lost an hour due to time zone change. I also mailed my tax returns in Wendover, UT and otherwise dawdled (and got a late start).
			- Park City is cool because it has a <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=starbucks+in+park+city,+ut&sll=41.21768,-108.16292&sspn=4.676981,13.205566&ie=UTF8&hq=starbucks&hnear=Park+City,+UT&z=11">Starbucks</a> where I can get a reasonably high-speed connection so I can add the metadata to our Rebooting The News podcast and re-upload. It's a good one. I want to get it out there before Twitter makes their announcements.
			- Update: Here's the <a href="http://mp3.morningcoffeenotes.com/reboot10Apr12.mp3">MP3 of the podcast</a>.
			- I'm listening to a lot of podcasts on this trip. If you have a favorite episode of a favorite show could you do me a favor and paste the URL of an MP3 as a comment to the post. I'll download it tonight and give a listen tomorrow. I'll be doing another 800 miles each day or so for the next few days. That means a lot of listening time.
			- The best one I've listened to so far is <a href="http://www.radioopensource.org/michael-lewis-big-short-and-our-appetite-for-apocalypse/">Chris Lydon's interview with Michael Lewis</a> about people who predicted the financial collapse. 
			- Second-fave: per <a href="http://twitter.com/jayrosen_nyu/status/12104029141">Jay's recommendation</a>, the This American Life episode on the same topic.
			- I'm also getting a lot of great baseball stuff, with the beginning of the season.
			- Driving in the west is easy. The best part of the trip.
			- PS: Bonus, there's a Whole Foods here. I'll be eating fresh fruit the rest of the trip and nuts and granola. Hola. Getting tired of Egg McMuffins.
			- Update: I made it as far as Laramie. <a href="http://maps.google.com/maps?f=d&source=s_d&hl=en&geocode=FaUNbwIdTZgZ-SkNjwwZtQSmgDGJ9gXE6bFV2A%3BFYdcdgIdw860-Sl5m9qO94RohzGT5cSh98GJjg&saddr=Elko,NV&daddr=Laramie,WY&sll=41.225695,-110.676815&sspn=10.605746,16.281738&ie=UTF8&z=6">618 miles</a>. If I cover the same distance tomorrow I'll make it to <a href="http://maps.google.com/maps?f=d&source=s_d&saddr=Laramie,WY+&daddr=Des+Moines,IA&hl=en&geocode=&mra=ls&sll=41.228249,-110.67627&sspn=10.605746,16.281738&ie=UTF8&ll=41.129021,-99.602051&spn=10.621734,16.281738&z=6">Des Moines</a>.
		- Greetings from Elko
			- <img src="http://images.scripting.com/archiveScriptingCom/2004/12/23/nevada.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named nevada.gif">I made <a href="http://maps.google.com/maps?f=d&source=s_d&saddr=Berkeley,+CA&daddr=elko,nv&hl=en&geocode=&mra=ls&sll=40.733373,-74.004711&sspn=0.0113,0.020556&ie=UTF8&z=7">500 miles</a> yesterday -- not bad considering the weather on the drive through the Sierra was pretty bad, and I stopped for a 1-hour podcast in Auburn on the way up the hill. Usually on my first day out of SF, I make it as far as Winnemucca. Elko is 130 miles further east, and a much nicer town to stay in. 
			- I remember Elko as <a href="https://files.nyu.edu/ar126/public/Dave47.mp3">one</a> of the big rallies for Obama at the end of the 2008 campaign. I mentioned this when checking in at the front desk, and the clerk said the really big deal was when Bush II came here on Air Force One. She said the plane damaged the runway at this very small town's airport. 
			- Overnight Twitter <a href="http://blog.twitter.com/2010/04/hello-world.html">announced</a> their initial revenue model. Adds on the search page. I figured this was it, that's why I was puzzled when Twitter COO Costolo said we were going to love it when we heard about it. I feel it's a no-op -- I never use search for Twitter. I think search on Twitter is meaningless. If they want to make search useful they're going to have to increase the size of the tweets. Or start indexing the pages people point to in their tweets. 
			- The podcast we recorded was a really good one. Hope to get it up for download sometime today (on a driving break). 
			- PS: While driving I decided on the title for my <a href="http://nyc2010.140conf.com/schedule">140conf</a> talk on the 20th -- <i>Hello New York.</i> I have ten minutes, and plan to use them to say hello to the city I now live in, again. ";->"
	- April 12
		- Good morning sports fans!
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/12/vendor.gif" width="145" height="578" border="0" align="right" hspace="15" vspace="5" alt="A picture named vendor.gif">I'm ready to <i>zoooom</i> out of here, driving from Calif to <a href="http://www.fivethirtyeight.com/2010/04/do-manhattanites-get-their-moneys-worth.html">NYC</a>. But rain in the Bay Area means <a href="http://www.dot.ca.gov/dist3/departments/mtce/controlmp.htm">snow</a> in the Sierra, even in April. Hoping it slows down before sunrise, then I hit the road.
			- The NY Times has a <a href="http://www.nytimes.com/2010/04/12/technology/12twitter.html">piece</a> about Twitter's acquisition of Tweetie. For once, an article about Twitter that isn't all gee-whiz. There's a lot of reality in this space that has yet to appear in the news. 
			- I have two pieces on this topic, <a href="http://www.scripting.com/stories/2010/04/09/howTwitterCanKillTheTwitte.html">one written</a> from Twitter's point of view, and the <a href="http://www.scripting.com/stories/2010/04/10/twitterWeekForClientDevelo.html">other</a> from a developer's. Twitter has to compete with Google and Facebook, that explains why they're moving the way they are. But the app developers are doing the best they can with the APIs that Twitter has given them. The criticism they've received is undue. If Twitter were more aggressive with the APIs, there would be more interesting apps. Really. (There's a reason I stopped developing on their platform a year or so ago. I couldn't do anything more interesting within its limits.)
			- Once more it's clear that we need an ecosystem built on a platform that no one owns. Corporate ownership of platforms is a slippery slope that leads to a swamp. If the client developers were courageous we could have it right now. So far they have not been, and there's little reason to believe they will grow new courage in the future.
			- I think <a href="http://scripting.com/">scripting.com</a> is finally put back together. Knock wood. The benefit of the rain is that I've had a bit of time to move stuff to an older, more reliable server. I'm using new tools, including Dropbox, to make things work better.
			- Also have an idea how service providers can hook into Dropbox. I'd love to designate a folder in my dropbox that's meant to be served over HTTP. Not the limited version that the Dropbox company provides.
			- I love the product. I hope the company stays independent. I don't think I'd be as enthusiastic if it was tied to the strategies of a big tech company. I like it just the way it is. 
			- BTW, I like it so much I paid them the $99 for a year of service, even though I don't need more space (and it's not clear how I could use it since I want my netbook to participate, and it's often connected over a relatively low speed line).
			- Anyway with any luck the next post should be from the road. ";->"
	- April 11
		- Is this thing on?
			- All our cards were tossed in the air in the longest <a href="http://scripting.com/">scripting.com</a> outage in over 10 years. 
			- If you're reading this it's almost all back on the air. Fingers crossed. ";->"
	- April 10
		- Twitter Week for client developers
			- <a href="http://www.scripting.com/stories/2010/04/07/platformVendorsInLove.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/10/vendor.gif" width="145" height="578" border="0" align="right" hspace="15" vspace="5" alt="A picture named vendor.gif"></a>The last couple of weeks have been Apple's. 
			- Next week, barring some unforseeable disruption, belongs to Twitter. 
			- And it's already started. First, Fred Wilson <a href="http://www.avc.com/a_vc/2010/04/the-twitter-platform.html">telegraphs</a> that there are changes coming in the relationship between developers and the platform vendor. Then, yesterday -- late Friday afternoon (the deadest time of the work week in the tech blogosphere) Twitter announces they are <a href="http://blog.twitter.com/2010/04/twitter-for-iphone.html">acquiring</a> the leading Twitter client on the iPhone, Tweetie.
			- So what does this mean for Twitter client developers?
			- First, there are other platforms that have excellent Twitter clients. And there are different types of clients, aimed at different kinds of users. Tweetie is unusual in that it aims for simplicity and elegance, where most of the others are designed for people who push Twitter to its limits. It could be that Twitter will acquire clients on other platforms, or designed for different users, but I don't actually think they will. I think Tweetie will be it in the client area, at least for a while. Instead of acquiring products on other platforms, I'd bet they'll hire expertise, and port the Tweetie code base to Android, Macintosh, iPad, Windows, maybe even Flash (I hope so, someone has to challenge Apple). The reason -- maintainability and cost. It's a lot easier and cheaper to upgrade one cross-platform codebase than it is to synchronize upgrades across multiple codebases. 
			- So now there's Tweetdeck, Twitterific, Twitroid, Brizzly, etc. Would you, if you were them, just roll it up and send flowers to the Tweetie guys and go back to consulting or working at Starbucks? Or would you try to make a go of it in an environment where you compete with the platform vendor? I hope at least some of them try to make a go of it. And the reality is that they were <i>always</i> competing with the platform vendor whether or not they chose to recognize it. Nothing new there other than awareness.
			- I'd wait to see what else Twitter announces this week. If they announce the metadata-rich platform that I outlined in <a href="http://www.scripting.com/stories/2010/04/09/howTwitterCanKillTheTwitte.html">yesterday's post</a>, and I expect they <i>will</i> do this (my post was not a complete shot in the dark), then you have a chance of producing a more specialized product aimed at a narrower niche, using the new status properties to tag messages invisibly with information about their origin (following the example of the dog-who-tweets outlined in that piece). 
			- The scary part is if Twitter announces the metadata capability <i>but doesn't ship it.</i> And you know what -- I bet they do that too. There's zero cost to them to announce it if they don't have to ship it immediately. In fact, they never have to ship it. But it has the effect of forestalling a similar effort by client developers, which I would get ready to do, no matter what Twitter does this week.
			- The way you start is by offering an option to save your users' tweets to a public server in RSS 2.0. You're not exposing any data that isn't already public in their tweetstream. And you're providing a backup. You're also providing a way for other Twitter clients to find your users' stream without going through Twitter. This means you can upgrade the stream on your own schedule, without having to wait for Twitter. All this requires is that you cooperate with your competitors, the ones who, like you, did not get bought by Twitter. This has always been a tall order, but it's what you will have to do to chart the new waters. (And if you go first you don't have to cooperate, unless a big competitor decides later to be incompatible, in which case I recommend you capitulate and go with their way.)
			- I advised doing this, privately, to various client vendors over the last couple of years, but all of them held out hope that they would be the one that Twitter would buy. They may still hope for that, but everyone should admit that the chances are much slimmer now. Whatever you do will be answered by Twitter, so you have to make your stuff work better, and offer features they aren't offering, and independence to your users that they don't offer. You want to segment the market, as <i>Fred even encourages you to do</i> in his post, yet retain compatibility. It's hard but it's possible.
			- Why do I know so much about this? Because this exact advice would have served the Macintosh app developers in the early 90s before the web swept up our whole world and (thankfully) turned it upside-down. We were stuck in an unworkable relationship, all of us, with the platform vendor. If the developers had discounted the chances of being the favorite of the platform vendor and emphasized working with each other as equals, we might have had a chance. But as long as each of us was betting that we could be the Number One Wife, we had no chance. Same thing here, but now Twitter has made a choice, and that makes moving on easy, where it wasn't before. 
			- PS: Another <a href="http://www.scripting.com/stories/2010/04/10/microsoftRejectionLetter19.html">example</a>, Microsoft went with PowerPoint instead of my product in 1987.
		- Microsoft rejection letter, 1987
			- As I pack up my Berkeley house, my posessions are going one of three ways:
			- 1. Moved to the NYC apartment.
			- 2. Moved to storage in Calif. 
			- 3. Sold or given away.
			- The vast majority of the stuff is in category 3.
			- Most of the stuff in category 3 was stuff that went into storage after my last move, from Woodside to Cambridge in 2003. This was the stuff I thought was indispensible, yet it all stayed in boxes in my Berkeley garage until this move.
			- I'm taking <a href="http://www.scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">Bruce Sterling's excellent advice</a>, which I heard in a speech he gave at Reboot in Copenhagen last summer. I'm taking photographs of things I can't part with but haven't looked at in 20 years. And scanning a lot of documents and publishing the interesting stuff that I can publish without hurting anyone who's alive (and most of the people are alive). I haven't found a way to scan disks in formats that I don't have hardware to read, so that stuff is going into storage. That, and stuff my grandparents left me and quilts my mother made for me. Stuff like that, that should be passed down through generations, if we get that far. ";->"
			- One of the letters I came across is relevant to the <a href="http://www.scripting.com/stories/2010/04/10/twitterWeekForClientDevelo.html">discussion</a> about developers and Apple and Twitter, so I decided to put it up <a href="http://www.flickr.com/photos/scriptingnews/4507258723/sizes/l/">on Flickr</a> and write it up here.
			- <a href="http://www.flickr.com/photos/scriptingnews/4507258723/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/10/msletter.jpg" width="186" height="240" border="0" alt="A picture named msletter.jpg"></a>
			- In 1987, my company, Living Videotext, had a hit product -- MORE. It was one of very few products selling on the Mac platform, having shipped in the prior year. It led a new category we called Desktop Presentations. The other product in the category was PowerPoint, produced by a company named Forethought.
			- I had a meeting with Bill Gates at Esther Dyson's conference in 1987, and he popped the question every developer wants to hear -- Can we buy you? I said of course. So we started negotiation, agreed on a price and due diligence began. Then I got a letter from Frank Gaudette, the CFO of the company, and a phone call from Gates, saying they decided not to do the deal. They were buying our competitor, PowerPoint. 
			- I totally wanted the deal. In 1987 Microsoft was freshly IPO'd. The deal was for stock, and its value had doubled while they deliberated. So I sent a letter basically begging them to do the deal, but I got back the rejection above. PowerPoint became a household name, and MORE did well, but I probably would have had more fun at Microsoft, and certainly would have made more money. ";->"
	- April 9
		- How Twitter can kill the Twitter-killers
			- <a href="http://www.scripting.com/stories/2010/02/08/musthaveFeaturesForTwitter.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/09/mardigras.gif" width="175" height="187" border="0" align="right" hspace="15" vspace="5" alt="A picture named mardigras.gif"></a>Hopefully I'll be driving cross-country next week when Twitter announces its new features at their Chirp conference in San Francisco.
			- The cross-country drive has become a ritual for me, it signals a major shift in my life, usually for the better. ";->"
			- Anyway, thinking about what Twitter may announce next week, I recalled that when the Google was getting ready to announce what everyone thought was their Twitter-killer, I wrote a <a href="http://www.scripting.com/stories/2010/02/08/musthaveFeaturesForTwitter.html">piece</a> outlining the product that I thought would be a good answer to Twitter. Instead Google shipped the disappointing in-so-many-ways Buzz. 
			- Now, let's try that experiment in reverse. Suppose Twitter wants to make their offering much more competitive and at the same time much more attractive to developers. Sure, as <a href="http://www.avc.com/a_vc/2010/04/the-twitter-platform.html">Fred Wilson telegraphed</a>, some developers are going to get rolled over, esp those who camped out on the natural evolutionary path of the platform vendor. But there are lots of things Twitter Corp can do to create more opportunities for developers, ones that expand the scope of the platform and make it possible for a thousand flowers to bloom, a thousand valuable non-trivial flowers.
			- The largest single thing Twitter could do is open tweet-level metadata. If I want to write an app for dogs who tweet, let me add a "field" to a tweet called isDog, a boolean, that tells me that the author of the tweet is a dog. That way the dog food company who has a Twitter presence can learn that the tweet is from a dog, from the guy who's developing a special Twitter client just for dogs, even though Twitter itself has no knowledge of the special needs of dogs. We can also add a field for breed and age (in dog years of course). Coat type. Toy preference. A link to his or her owner. Are there children in the household?
			- There's plenty of prior art. Two examples I can think of are Apple's Resource Manager and Amazon's SimpleDB. There are probably many others. (I should mention that Frontier's object database, the core structure around which it's built is also prior art. It's also open source. Feel free to use the ideas.)
			- There are some nice things that fall out of this architecture, if Twitter should choose to do it. 
			- 1. No more need for URL-shortening. The URL becomes just another piece of metadata attached to a tweet. If you need to shorten it on its way out through an SMS gateway, go for it. (Even though I've said it explicitly, I'm sure I'll have it "explained" to me that because of SMS, the URLs must be shortened for everyone, even if we don't use SMS. Pure nonsense. These guys should take an introductory course in Computer Science.)
			- 2. You can attach a picture to every tweet, and still link to an article. Just make "thumb" or something like that a default bit of metadata. (An aside, why not use the conventions of XML to define the metadata. All the elements of the core namespace are reserved for Twitter. If you want to extend it, create a namespace and have a party. Please no meta-meta-language though, just let a little chaos reign. It must at some level.)
			- 3. You can also support long and short-form tweets. The 140 characters can act as a synopsis for the longer text that's included in the tweet. This would give people the feature they're always asking for in RSS feeds -- full text.
			- 4. A developer like Disqus could implement a full threaded discussion system for every tweet, and thereby give Twitter a way to compete with Facebook and if Google ever gets its act together, Buzz. 
			- Now of course all the developer opportunities created by open metadata just open the door for more tears in 2014 when Twitter forecloses on the developers who figured out where the gold was in those APIs. But my friends the developers, that's <a href="http://www.google.com/search?q=platform+is+chinese+household+site%3Ascripting.com&aq=f&aqi=&aql=&oq=&gs_rfai=">how it always is</a> when you develop for a corporate-owned platform. You have to make peace with that reality before you write your first line of code.
			- PS: The iMac that I usually write on is all packed up, I'm writing this at the kitchen table amid all kinds of boxes with my Asus 1005HA netbook. It's pretty good, but it's not as comfortable as my desktop. Please allow for that in your critique of this story. Thanks! ";->"
			- Update at 7PM Pacific: <a href="http://blog.twitter.com/2010/04/twitter-for-iphone.html">Twitter announces</a> they've acquired iPhone Twitter client Tweetie. This is a huge deal of course. 
		- My move to NY
			- I'm following Bruce Sterling's excellent advice to make the changes you've been wanting to make when circumstances permit. Usually it's the end of a marriage, the last child leaving home, a parent dying. It's a long story how I decided to become a former home-owner, yet again (second time). But then again it was not such a long story. 
			- Reminds me of one a neighbor told me when she called my house in Woodside many years ago. She said hello and then said she was calling all the neighbors to say she was getting some baby goats (might have been sheep my memory is bad) and that they'd be crying for the first few nights because they had just been separated from their mother. It was nothing to worry about and it would stop and they'd be happy soon.
			- I couldn't think of anything to say but "Why get goats?" She said it was because she always wanted them. 
			- Same thing for me. I always wanted to live in Manhattan. It's been a dream since I was a little boy growing up in Queens. Now I've done it, so it's time to fully implement it. Will I be in NY for the rest of my life? Who knows. Life is an adventure. Here we go! ";->"
	- April 8
		- House-cleaning in Berkeley
			- I'm in Berkeley preparing either to rent or sell my house. Either way, I'm going through lots of boxes and closets. Lots of stuff that hasn't been looked at since the last move. Some stuff that hasn't been looked at for <i>30 years.</i>
			- I'm moving from a large house to a one-bedroom NY apartment. The apartment is already furnished, and while it isn't cluttered yet, it will be soon. I won't be bringing very much from this house into the new one. 
			- Now I have a similar problem to the one we had with <a href="http://www.scripting.com/stories/2009/12/11/uncleArnosBooksFoundAHome.html">Uncle Arno's books</a>. I have notes and floppy disks, Syquest drives, products -- physical manifestations of a career's worth of work, a career that is still going on. I'm probably going to find a small storage space here in Calif, closet-sized, to hold this stuff. I have no place to move it to in NY. 
			- But even better would be to donate it to a university that is interested in this stuff. Not sure anyone is. But I put that out to the universe to see what might come back. I've got the boxes, they're not all in great shape, but they need to be somewhere. 
	- April 7
		- Platform vendors in love
			- <a href="http://www.flickr.com/photos/scriptingnews/4501372148/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/07/vendor.gif" width="145" height="578" border="0" align="right" hspace="15" vspace="5" alt="A picture named vendor.gif"></a>Jackson Browne wrote <a href="http://www.youtube.com/watch?v=vI6hIc7R2i8">Lawyers In Love</a>, a prophetic song.
			- Corporations and love don't mix. But platforms are all about love, you can see it in <a href="http://www.marco.org/500743718">Marco Arment's plea</a> for fairness from Apple, the platform vendor behind the iPad. Marco's act of iPad love, Instapaper, is wonderful, a gift for Apple. 
			- In the analogy of platform vendors and developers, <a href="http://www.instapaper.com/">Instapaper</a> is a healthy baby. But Apple, the father of the platform, is confused, it can't decide if it's really not a mother. This is the confusion that comes when platforms have vendors who are corporations. 
			- Much better if the platform vendor is a void. If you look for control and find none. The Internet is the only such platform in the tech world. And it's the only platform that works. Finding a platform with a platform vendor that works long-term is as impossible as finding Jackson Browne's lawyer-in-love. We all want to find one, <a href="http://www.imdb.com/title/tt0119822/quotes">dear</a>, but they just don't exist. 
			- You see Fred Wilson, who is a board member of Twitter, <a href="http://www.avc.com/a_vc/2010/04/the-twitter-platform.html">telegraph their intention</a> to <a href="http://www.businessinsider.com/holy-cow-did-fred-wilson-drop-a-bombshell-on-twitter-app-makers-today-2010-4">assume</a> the markets of several of their developers. In this case it was a mistake for Twitter to ever see their product as a platform. It's a mistake they will withdraw from, gradually, having <i>already</i> kept for itself the <a href="http://www.google.com/search?q=twitter+firehose">juiciest APIs</a>. This is the same problem Marco is having with Apple. And the same problem twitpic and bit.ly, and probably a few others, will soon have with Twitter.
			- I've spent most of my career studying the relationship between developers and platform vendors, on all sides -- as a user, as a vendor and as a developer. There's no way around these problems, other than to do away with the vendors. That works, but the vendors won't go for it, of course. ";->"
		- In 1970 I started a newspaper
			- I was going through some stuff in the garage today, here in Berkeley, and came across a scrapbook my mother put together for me when I was 39. After spending a few hours sorting through stuff to give to Goodwill and other charities, I decided to scan the pictures and some of the articles. 
			- One of the things she included was a 12-page copy of a newspaper I started with two Bronx Science <a href="http://www.flickr.com/photos/scriptingnews/4501372568/sizes/l/in/photostream/">friends</a>, Mark Hayes and Jordan Plitteris. I haven't seen either of them in a long time, although I did email with Mark a few years ago.
			- <a href="http://www.flickr.com/photos/scriptingnews/4500738723/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/07/planet.jpg" width="325" height="460" border="0" alt="A picture named planet.jpg"></a>
			- I think it's kind of cool to link up that early effort with this <a href="http://scripting.com/">blog</a>. 
		- iPad as a one-to-one presenter
			- <a href="http://friendfeed.com/akiva/c9ccef95/happy-baby-is"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/07/happyBaby.jpg" width="165" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named happyBaby.jpg"></a>There were a huge number of comments on <a href="http://www.scripting.com/stories/2010/04/06/isIpadAGamechanger.html">yesterday's iPad piece</a>, including a lot that said "You don't get it" or "You're too old to get it" or "It wasn't designed for you" or "It wasn't designed for what you do." 
			- This is all nonsense, of course -- I'm merely sharing my observations, so there's nothing to "get" or not get. Apple hasn't said who they designed the iPad for, or what it was designed to do. This is smart of Apple because my guess is they don't have any idea who it was designed for, or what it was designed to do. I think they've been planning a larger form-factor iPod/iPhone for a long time (the one we all have now is the iPod) and that's all they know. They arrived at this product by following the technology, not by anticipating what it would be used for. They hope and expect we will all figure that out.
			- One of yesterday's <a href="http://www.scripting.com/stories/2010/04/06/isIpadAGamechanger.html#comment-43477952">comments</a> was very insightful and led me to try something at a restaurant over lunch with a longtime friend <a href="http://unberkeley.com/2010/01/11/yvonne-burgess/">Yvonne Burgess</a>. She's a bit younger than me, a professional IT consultant, so she's quite technically aware. She has an iPhone. She also loves music, as I do. 
			- I had been trying to think of a song by Simon and Garfunkle. I started to hum what I remembered of the tune and little snippets of the lyrics. "I hear words I've never heard in the Bible," and "try to keep the customer satisfied." 
			- I whipped out my iPad and entered "keep the customer satisfied" into the search box on the browser and <a href="http://www.google.com/search?q=keep+the+customer+satisfied">scored</a> a direct hit. That's the name of the song! So I brought it up on <a href="http://www.youtube.com/watch?v=qx6_0Do0qGQ">YouTube</a> and in a few seconds we were listening to it right there in the restaurant. (If you clicked on the link you're listening to it too!)
			- We could have done that with my Droid or her iPhone, but it wouldn't have been as much fun, because we both could see what I was doing. (An aside, we wanted to find out when the song came out and that was not so easy. We both searched, she found it first on her iPhone.)
			- I marvel at how these days we carry around all the world's information in our pockets. <a href="http://crimson1.scripting.com/kenKiesler">My uncle</a>, who always had an Almanac nearby, would have loved this. I wish he had lived to see it. But I love it on his behalf. (Ken I miss you!)
			- Anyway, that's a unique thing the iPad can do, one-on-one presentations. And it's a business application too. If you're in a tech role at a corporation that has a sales function, get busy. You're going to be using a lot of tablet computers, whether they're from Apple, HP, Google or whoever. One person telling a story to another person, that's going to be a big use of tablets.
			- PS: Very young children love iPhones and iPads. If you've got a toddler around, check it out. They have a lot of fun with the pictures and how they move and the sounds it makes. (Some people take this as demeaning of the products, but I don't intend it that way.)
			- PPS: While we're at it, a lot of people seem to think you have to be either for or against something like the iPad. This is very wrong thinking. People should find out what they think by having experiences, and then reflect on them and try new things out, always feeling you have the right to change your mind. Like a lot of people I was brought up by a father who thought it was a sign of weakness to change your mind. As a result I have a very strong will about that and welcome any new idea that might shift my perspective. I wish more people did. I'm neither a Republican or Democrat, not right or left. I am Jewish but I wasn't bar mitzvah'd. Like you, I am my own person with my own mind. As <s>LBJ</s> God <a href="http://bible.cc/isaiah/1-18.htm">said</a>, "Let us reason together." As Jerry <a href="http://essaysfromexodus.scripting.com/whatIsScriptingNews#previousMottos">said</a>: "It's even worse than it appears." ";->"
			- PPPS: Lost last night was great! I couldn't help thinking "These guys dig <i>The Matrix</i> like I do."
	- April 6
		- Is iPad a game-changer?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/06/chaplin.jpg" width="167" height="471" border="0" align="right" hspace="15" vspace="5" alt="A picture named chaplin.jpg">If you're old enough to remember the vice-presidential debate between <a href="http://en.wikipedia.org/wiki/Lloyd_Bentsen">Lloyd Bentsen</a> and <a href="http://en.wikipedia.org/wiki/Dan_Quayle">Dan Quayle</a>, you're also old enough to remember the PC jr. 
			- Quayle, a fit young man, probably chosen as a running mate because of his fitness, was likely told by his handlers to compare himself to the fit young John F. Kennedy. When he did, Bentsen, who was many years his senior, and was probably briefed to expect this,  <a href="http://www.youtube.com/watch?v=O-7gpgXNWYI">said</a>: "Senator, I served with Jack Kennedy. I knew Jack Kennedy. Jack Kennedy was a friend of mine. Senator, you're no Jack Kennedy."
			- Entrepreneuers make the same mistake Quayle made, they always compare themselves to the winners, never considering that losers outnumber winners by a huge margin. Most of the teams in the NCAA championship are not Duke. Most of the major league baseball teams did not win the World Series, and most football teams did not win the SuperBowl. And most new tech products, no matter how daring, well-executed, fun to play with and just plain sexy they are, don't turn out to be game-changers. Those are few and far-between.
			- And when companies set out to create a game-changer, they're even less likely to create one. IBM didn't try to turn the world upside-down with the PC in 1981, however, in 1984, they did, with the PC jr, and <a href="http://en.wikipedia.org/wiki/IBM_PCjr#Failure_in_the_marketplace">failed</a>. And in 1987 with a new architecture, and <a href="http://www.scripting.com/Davenet/2001/07/06/theMicroChannelArchitectur.html">failed</a>. In this industry, expectations usually kill the game-changing quality of products. Actual game-changers are not often hailed by victory parades on Day One.
			- <a href="http://en.wikipedia.org/wiki/David_Bowie">David Bowie</a> plays inventor <a href="http://en.wikipedia.org/wiki/Nikola_Tesla">Nikola Tesla</a> in <a href="http://en.wikipedia.org/wiki/The_Prestige_%28film%29">The Prestige</a> (2006) which I watched yesterday on a flight from NY to SF. Of course I watched it on the iPad, and the experience was very nice. I was not the only person on the plane with an iPad, there was at least one other person who had one, a man sitting in the last row of <a href="http://www.scripting.com/stories/2010/04/04/businessClassSeatFollowup.html">business class</a> (I was in the first row). He had his iPad on a stand, sitting on his tray. I watched mine reclined, holding it up with my left arm. When it fell asleep, I switched to my right arm.
			- Back to Bowie, who has a <a href="http://en.wikiquote.org/wiki/The_Prestige#Nikola_Tesla">great line</a> in The Prestige about innovations. "The first time I changed the world," he says, "I was hailed as a visionary. The second time I was asked politely to retire." That's why he was creating his new products for magicians. Funny that Steve Jobs calls the iPad magic. ";->"
			- On the airplane there were lots of people who were curious about the iPad. Most asked the same question -- when did it come out? (Saturday.) Is it like the iPod Touch? (I don't know.)
			- Like everyone else who got one, I am trying to figure out how to make it my own. I keep hitting frustrating limits. I want to use it to write. Impossible, I've discovered. None of my writing tools are there. Not just the ones I use to enter keystrokes into the computer, and edit and revise them, but also the tools I use for finding information I want to reference in my stories. For example, when I wrote this piece, I paraphrased the quote from Bowie, expecting that later, when I'm revising it, I'll be able to get the exact words either by looking it up on the web, or by playing the movie on my computer and transcribing the words. Both are of course <i>possible</i> on the iPad, assuming the movie is already on board, but the looking-things-up part can be really awkward, at least for me, now. Maybe I'll learn the elegant way to do it.
			- But learning how the iPad works is in itself trouble. When I got off the plane in SFO, I wanted to find out if I had time to eat a late lunch before the one hour train trip to Berkeley. For that I had to use my Droid. The iPad was already stowed in my luggage, and the Droid can communicate on its own. But it has different user interface conventions. This is no accident of course. Software-makers always make it difficult to use their product with a competitor's product. It's simpler to make a choice, either be all-Apple or all-Google.
			- It's definitely not a writing tool. Out of the question. This concerns <a href="http://thefastertimes.com/mediaandtech/2010/04/04/the-ipad-an-unhappy-return-to-the-past/">Jeff Jarvis</a>, rightly so. This is something <a href="http://evespeeves.wordpress.com/2010/04/05/the-ipad/">my mother</a> observed when I demoed it to her on Saturday. <a href="http://editor.blogspot.com/2010/03/yes-most-of-us-are-still-media.html">Howard Weaver</a> writes that not everyone is a writer. True enough, and not everyone is a voter, but we have an interest in making it easy for people to vote. And not everyone does jury duty, but easy or not, we require it. Writing is important, you never know where creative lightning will strike. And pragmatically, experience has shown that the winning computer platforms are the ones you can develop for on the computer itself, and the ones that require other, more expensive hardware and software, don't become platforms. There are exceptions but it's remarkable how often it works this way. (And to Weaver, there's a reason why no one evaluates Amazon products this way, the concern that the Mac, an open platform we depend on, will receive the same treatment.)
			- Most of this is negative, and it reflects my feeling about the iPad, which is generally negative, even though I have a lot of fun discovering the <a href="http://dvice.com/archives/2010/04/20-biggest-grip.php">problems</a> with the device. It feels so nice to use. It's so pretty and the touches are so incredibly thoughtful and theatric. I feel like it's a great Hollywood movie that I control. That's coool. I like using it the way I like driving my BMW. 
			- And the battery performance is astounding. Apple, who seemed never to understand how important batteries are to the untethered creative person, has apparently attained that understanding. My iPad still has 44% of its battery left after flying  across the country, in use the whole time, and on train trips to and from airports, and reading the news this morning at breakfast. That's remarkable, not just for Apple, but in comparison to the netbook that I admire for its battery life. 
			- Further, in the iPad's favor -- the screen is uncluttered with the 30-year history of personal computer development, and my netbook screen is. As a result, even though the netbook has a slightly larger screen, the iPad actually feels larger, and effectively <i>is</i> larger. That's why the <a href="http://www.scripting.com/stories/2010/04/03/verdictAfterOneDay.html#p4">map application</a> feels so much bigger and more useful, because it has more screen real estate to play with. But this comes at  a substantial cost. There is lots of missing important functionality. And even where the functionality is present, it's hard to find, and because it works differently makes it hard to use both the netbook and the iPad. And I believe that, for me, the open platform will win, for a variety of reasons. 
			- Some of the clutter on the netbook is necessary. The biggest missing piece for the iPad is <a href="http://www.xmarks.com/">Xmarks</a>, the bookmark synchronizer I use. I have two computers in NY and several in Berkeley. I have a netbook and a MacBook that travel, and now the iPad. And a Droid. It would be nice if the Droid supported Xmarks (feature suggestion). But it's <i>necessary</i> that the iPad support it, or long-term I just can't use it.
			- In an earlier <a href="http://www.scripting.com/stories/2010/04/03/verdictAfterOneDay.html#p6">piece</a>, I said it was terrible that all data had to flow onto the iPad through iTunes. Later that day I discovered that this is totally not true, if you use <a href="http://www.dropbox.com/iphoneapp">Dropbox</a>, as a I do. I installed it on the iPad and within a minute was watching a movie that I had in a sub-folder of my dropbox folder on my Mac. I have to dig into this some more, because it needs the ability to only share a subset of my Dropbox. I don't want all my data on the iPad. It has limited storage, and I worry more about losing it than I do my other computers.
			- As I continue to struggle to find an iPad workflow that makes sense, I wonder if I should be doing more stuff using its web browser, or in the apps. It's confusing because there are two almost identical desktops on the iPad. There's the <a href="http://www.flickr.com/photos/scriptingnews/4496815736/">array of icons</a> that is the actual desktop, and there's the <a href="http://www.flickr.com/photos/scriptingnews/4496816386/">array of browser windows</a>. And some apps forget where you were between invocations. But the dual competing desktops is a real head-scratcher.
			- Finally, to the question of whether the iPad is a game-changer, consider what <a href="http://twitter.com/Sheamus">Shea Bennett</a> wrote on <a href="http://twittercism.com/the-3-point-oh-you/">Twittercism</a>. No matter how great a new computer is, as long as you're still you, the experience doesn't change. It's fun to play with new toys, I do lots of that and it's important to me. No sarcasm. But reading a book that changes my perspective, or meeting someone who opens a door for me, that really <i>does</i> change the game -- much more than using a new device. If you're looking for game-changers look into yourself, that's where change comes from.
	- April 5
		- I'm back in Berkeley
			- A few quick observations.
			- It's so quiet!
			- People are so polite.
			- They smile a lot in an embarassed sort of way.
			- They walk so slowly.
			- There are birds chirping. (Wish they'd hush up. That infernal racket is giving me a headache.) 
			- Where are the crazy drunks screaming at everyone?
			- Where are the outrageous trannies with their boyfriends?
			- How come I can walk down the street and no cab tries to run me over?
			- I'm sorry but I miss the big city. 
			- <a href="http://static.userland.com/userLandDiscussArchive/msg017701.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/05/cheesecake.jpg" width="50" height="45" border="0" alt="A picture named cheesecake.jpg"></a>
	- April 4
		- Glorious spring NYC
			- Amid all the hububbling and kerfuffling about the <a href="http://www.google.com/search?q=site%3Ascripting.com+iPad">iPad</a>, it's full-on springtime in NYC (and probably a few other places). 
			- Here's a view down <a href="http://maps.google.com/maps/ms?ie=UTF8&hl=en&msa=0&msid=100417343539122468648.0004837120a0ed514cfe6&ll=40.737836,-74.001701&spn=0.001626,0.003262&z=18&iwloc=000483712573be4ec1b6b">Bank St</a> near 7th Ave:
			- <a href="http://www.flickr.com/photos/scriptingnews/4490808658/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/04/springNYC.jpg" width="400" height="225" border="0" alt="A picture named springNYC.jpg"></a>
			- Click-through for a <a href="http://www.flickr.com/photos/scriptingnews/4490808658/sizes/l/">larger version</a>.
			- And a slice of the goings-on in at Washington Square Park:
			- <a href="http://www.flickr.com/photos/scriptingnews/4487232569/sizes/o/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2010/04/04/sandDrawing.jpg" width="400" height="300" border="0" alt="A picture named sandDrawing.jpg"></a>
			- That picture is made of brightly colored <i>sand.</i>
		- Business class seat followup
			- <a href="http://www.scripting.com/stories/2010/04/01/whichBusinessClassSeatToGr.html">On Thursday</a> I showed the seating diagram for business class on an American Airlines flight from JFK to SFO I'll be on tomorrow. 
			- Here's what it looks like this morning.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/04/businessClass.gif" width="379" height="246" border="0" alt="A picture named businessClass.gif">
			- Well, my hope to have an empty window seat next to my aisle seat didn't work out. Now it looks like it will be a full flight. The question is, should I switch to a middle seat in the first row?
	- April 3
		- Verdict after one day
			- After an intense day of play and exploration and question-asking, some conclusions on the iPad I bought: 
			- 1. I will carry it with me on the trip I'm about to take to California. 
			- 2. I will also bring my netbook. When I watch movies on the airplane, it'll be on the netbook. I'm right now working my way through an excellent <a href="http://en.wikipedia.org/wiki/The_World_at_War">series</a> about World War II, produced in 1974. I have AVI files. It isn't worth the trouble to re-process the files so I can watch them on the iPad. (I may buy a movie in the iTunes store to see what it's like. Thinking of getting <a href="http://en.wikipedia.org/wiki/Fantastic_Mr._Fox_%28film%29">Fantastic Mr. Fox</a>, which I saw in theaters, three times. It's one of those movies, like Fargo and The Big Lebowski that gets better as you watch it more times.)
			- 3. I love the way maps work on the iPad. Much better than on the iPhone. In some ways not as good as on the Droid (after all that's a Google product and the maps are from Google). 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/03/espresso.jpg" width="145" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named espresso.jpg">3a. I could have loved the way news works on this thing, if the NY Times and been willing to ship a beautiful reverse-chronologic view of their whole news stream. They chickened out with a little mini-dip-into the stream. It's like sipping the news from an espresso cup when I want to be inundated by Niagara Falls. (I said to Derek Gottfried this evening that the motto of the Times is "All the news..." not "A teentsy taste of news..." A company whose mission was news and who was clear on that mission could never have shipped so little news. But then Apple is supposed to be a company that loves computers. See the next section on iTunes.)
			- 4. iTunes is a crazy way to connect something as powerful as this device to local resources. A nightmare. Whoever thought up this way of doing things hates users. It's as mean as anything Microsoft ever foisted on its customers.
			- 5. As explained in the excellent <a href="http://www.engadget.com/2010/04/03/apple-ipad-review/">Engadget review</a>, I am one of those people who use a few apps in my work. They all run on my <a href="http://www.amazon.com/gp/product/B002DYIXMI/ref=ox_ya_os_product">Asus</a>, most of them <i>don't</i> run on the iPad. And even if they did, they can't run at the same time on the iPad, so for my work, the machine isn't a fit. The usual fanboy rebuttal is that it is not designed for what I do. Absolutely correct. 
			- 6. However, I have a mind and a lot of experience using computers, and designing software for them, and helping people use them. I also work with people who are not very deeply skilled in computer technology, exactly the kind of people this product is supposedly for. It won't work for them, because they need to multi-task too. We learned a long time ago that inexpert users don't use less resources, they just use them differently. The argument that the Mac wasn't a serious computer was nonsense. I was there when all these arguments were fresh. This is <i>not</i> a replay. Keep dreaming if you want, but if you give the iPad to your mother expect the light to go on for you. At that exact moment you will realize how poorly prepared it is for that.
			- 7. I'm going to demo it for my mother tomorrow. I expect to wow her with the map application. But in so many ways it could not replace her Mac, although her Mac is terribly inadequate and confusing, with so many layers of contradictions. Too bad this product is so far from being able to replace it for her. I am, however, going to keep trying to get her to try an iPhone. 
			- 8. I promised a verdict, so here it is. With the caveat that it's after one day and I reserve the right to change it at any time: Today's iPad, the one that I just bought, is just a demo of something that could be very nice and useful at some point in the future. Today it's something to play with, not something to use. That's the kind way to say it. The direct way: It's a toy.
		- My iPad is here
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/03/ipad.gif" width="163" height="198" border="0" align="right" hspace="15" vspace="5" alt="A picture named ipad.gif"><a href="http://www.flickr.com/photos/scriptingnews/4486367819/">Unboxing</a> it now.
			- The first thing you have to do after turning it on is connect it to iTunes. Here we go with the synching, the part of iPhones that I totally hate. It's why I use a Sony Walkman and a Droid. Ugh.
			- Hmm. I thought I downloaded iTunes 9.1 last night. Quitting and relaunching. No good. Going to itunes.com.
			- Meantime I'm wondering what'll happen when I connect up the iPad to my desktop Mac in Berkeley (where I'm going on Monday). I'll do what I do with my iPhone, I won't change anything till I get back to NY.
			- First glitch, it <a href="http://images.scripting.com/archiveScriptingCom/2010/04/03/anIpadPreviously.gif">says</a> an iPad has already been synched to this copy of iTunes in May 2009. Hmm. Good trick! ";->"
			- Okay so the iPad has a problem that lots of software has, when you finish the basic setup -- now what? There are no movies, newspapers or books on the device, and no clue as to how to get them on there. Those are the first things I want to do, see how it plays stuff. Maybe I'm wrong about that. I should disconnect and see what I get. 
			- Okay, so the first thing I did was bring up the maps. Yes, this is the way the maps app should work. Lots of room, more room than I have on my laptop. And lots more room than I have on my phone. Now you gotta wonder -- when you're looking for something as you're walking around, which will you pull out -- the phone or the pad? What do you think?
			- First conclusion: I love the way the Maps app works. Love is not too strong a word. You know I'm very circumspect, and I think Apple is just too precious. But this is how maps should work. 
			- I just checked out the web browser, and set up email. I don't remember how to synch contacts with Google, I have to do that. 
			- <a href="http://twitter.com/davewiner/status/11540183243">My review</a> in one tweet.
			- Next I want to upload some pictures to the device, and Fargo (although I'm not sure which version, probably the big one). Maybe instead this time I'll go for The Big Lebowski (just for a small change of pace, always go with a Coen Brothers movie, cause you can watch them a million times without getting bored).
			- Where can I get a book to try out for $0?
			- I also have to get Netflix. And the NY Times. What else?
			- Okay I want to copy bigLebowski.avi onto the iPad. How? (I'm going to try copying it into the folder I'm synching pictures from.)
			- Well I couldn't figure out how to play the movie, but I did get it to play via Netflix, but that isn't going to work on the airplane.
			- Time to upload some pictures and get on with my day.
			- I figured out how to upload movies. It's not in the Movies tab at the top (and these guys have the gall to lecture on UI design) it's in the Movies section in the sidebar. No matter, it won't take an AVI file, saying you can't play it on this device. So much for the idiots who told me it would play the movies in my collection (<a href="http://www.scripting.com/stories/2010/03/12/meAndIpadNotNow.html#p5">when I said</a> I was pretty sure it wouldn't -- guess I win that bet, eh). My guess is that the movies must be MP4s. 
			- BTW, I thought I should mention that my netbook has no trouble with AVI files. It runs VLC, an open source app that plays anything as long as it isn't DRM'd (and some stuff that is DRM'd).
			- So far, the only thing the iPad does better than my netbook is maps. There probably are other things. I don't read books on the Asus, or on my Kindle, so maybe the iPad works better. I hear the Scrabble game is great, but I hate Scrabble (love crosswords though).
			- PS: They do give you a book to get started with -- Winnie The Pooh. Wish they had thought of something a bit more adult. 
	- April 2
		- Liveblogging from the Hackathon
			- Each of the companies is explaining what you can do with their APIs.
			- First presenter is from Foursquare.
			- I'm using my MacBook to do this with the screen turned way down. I'm not plugged into power, so we'll see how long my battery charge lasts.
			- The Foursquare guy clearly did not rehearse his demo. (It started off badly but got better as he went through it.)
			- Here's a <a href="http://www.flickr.com/photos/scriptingnews/sets/72157623757404170/">Flickr set</a> with some pictures.
			- Next company is <a href="http://www.flatworldknowledge.com/">Flatworld Knowledge</a>. They publish textbooks and give them away online and you can pay $30 to get a printed copy. All books are licensed under Creative Commons. 17 books in their <a href="http://www.flatworldknowledge.com/catalog">catalog</a>. They just got $6 million second round funding. No API. They brought all the XML for their content. 
			- <a href="http://drop.io/">drop.io</a> is next. I'm listening to the presentation but I don't know what this app does. Seems like it's a free version of Amazon S3, but they say they <i>use</i> S3. I don't get it. (I used to understand it, but that was a long time ago, and I think it's changed.)
			- Now there are some people from the NY Times. "We have a newspaper and a website, check it out." Hehe. Derek Gottfried is doing the presentation being very humorous. Someone is "no longer with us." How did he die? He moved on. 
			- <a href="http://www.snooth.com/">Snooth</a> is a wine database. It has an API at <a href="http://api.snooth.com/">api.snooth.com</a>.
			- <a href="http://votereports.org/">VoteReports</a> is up. "Rational Ignorance." Politician report cards. 
			- <a href="http://www.learnbat.com/">learnbat</a> is an online tutoring platform. 
			- <a href="http://hunch.com/">Hunch</a>. Ben says we're awesome. He's really excited. He's awesome too. They do recommendations. Like Netflix or Amazon but for everything. They have a cool <a href="http://hunch.com/twitter/">Twitter predictor app</a>. 
			- <a href="http://www.knewton.com/">Knewton</a>.
			- <a href="http://try.mongodb.org/">http://try.mongodb.org/</a>
		- Quick bit about Gruber and Doctorow
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/02/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif">I think <a href="http://daringfireball.net/2010/04/kids_are_all_right">Gruber</a> is wrong and <a href="http://www.boingboing.net/2010/04/02/why-i-wont-buy-an-ipad-and-think-you-shouldnt-either.html">Doctorow</a> is right. 
			- Apple is eating our <a href="http://www.google.com/search?hl=en&safe=off&client=firefox-a&hs=yp&rls=org.mozilla:en-US:official&defl=en&q=define:seed+corn&ei=_3K2S9yyM4eglAfB8b1x&sa=X&oi=glossary_definition&ct=title&ved=0CAgQkAE">seed corn</a>. That's why you should buy one Eee PC for every iPad you buy. Buy something that you can pervert in any way you want. Something you can plug anything into. Buy something you can copy all your data out of. If you must have an iPad, then buy (and use) something open to balance things out. Buy a Mac if you like. Or something that runs Linux. It doesn't have to be open source. It just has to be an open box. 
			- If we don't have open boxes lying around we'll wake up 20 years from now and wonder why there are no more hippie programmers, like Woz. Sheez, like Jobs was when he was a kid. 
			- We also need some VCs to compete with Twitter and FourSquare. There are more ideas out there than <a href="http://www.avc.com/a_vc/about.html">Fred</a> and <a href="http://bijansabet.com/">Bijan</a> can finance. We need more user-VCs.
			- Gotta run to the <a href="http://www.scripting.com/stories/2010/03/31/nycHackathonAtNyuApr23.html">NYC Hackathon</a> now. I'll expand on this some more later if there's interest.
			- Update: <a href="http://www.flickr.com/photos/scriptingnews/sets/72157623757404170/">Pictures</a> from the Hackathon start here.
		- I wonder about the Kindle
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/02/kindle.jpg" width="145" height="336" border="0" align="right" hspace="15" vspace="5" alt="A picture named kindle.jpg">In the background of all the hype about the iPad is the question about the future of <a href="http://amazon.com/kindle">Amazon's Kindle</a>. But I wonder how much Amazon really cares about it. 
			- A few thoughts.
			- 1. I own a Kindle, but I have no idea where it is. I've read a few books on it, marveled at my ability to carry a small library with me as I traveled, and then reverted to carrying a book. But I expect at some point someone will make a device that works better and I will stop carrying physical books. Maybe. But I still go to the movies, even though I can watch movies on my netbook. Who knows. Regardless, sorry, but I don't like the Kindle enough to travel with it.
			- 2. Isn't Amazon making their money selling books? The Kindle sure looks like a loss-leader to me.
			- 3. Doesn't Amazon's software run on the iPhone? Doesn't it seem likely that they will port it to the iPad? I don't doubt that Amazon would choose to <i>not</i> sacrifice their healthy business selling books to protect their healthy business selling hardware, but what about Apple? Given that Apple has <a href="http://almerica.blogspot.com/2008/09/podcaster-rejeceted-because-it.html">rejected podcatchers</a> because they conflict with functionality built into the iPhone -- maybe Apple won't be so open-minded about Amazon porting their software to iPad? Maybe they want to be the exclusive distributor of books for the iPad?
			- 4. Amazon is a funny company too -- their EC2 and S3 businesses must generate a lot of money and don't seem to have anything with being a store. So maybe Amazon has a reason to want to be in the Kindle business? With Amazon there's always a bit of mystery as to why they're doing what they do.
			- It's just not as simple as some of the analysts seem to think.
			- But I wouldn't bet against Amazon coming up with a new Kindle that's competitive with Apple's iPad. And I wouldn't bet against Apple being a major bottleneck and trying to keep competitors like Amazon off their platform.
			- PS: I continue to hold Apple stock, the only tech company I am currently invested in. As I hope you can see, it does not in any way color my analysis. Probably should buy some Amazon too. I think both companies are great investments, even if I don't always like what they do to the ecosystem. ";->"
			- Update: See <a href="http://www.pcworld.com/article/193242/apple_ipads_ibooks_vs_amazons_kindle.html">PC World's comparison</a> of books on iPad vs Kindle.
	- April 1
		- Which Business Class seat to grab?
			- Here's a seating chart for Business Class on a weekday flight on American Airlines from <a href="http://maps.google.com/maps?f=d&source=s_d&saddr=jfk&daddr=sfo&hl=en&geocode=FTwvbAIdJyqa-yllVw8rV2bCiTHwEZ9IE7JP7A%3BFXf2PQIdJXq0-Ck3GKw4mnePgDGee2hbplg0zQ&mra=ls&dirflg=b&sll=39.75972,-98.094195&sspn=29.07775,64.160156&ie=UTF8&ll=40.178873,-98.085937&spn=28.913516,64.160156&z=4&lci=bike">JFK to SFO</a>.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/04/01/seats.gif" width="364" height="237" border="0" alt="A picture named seats.gif">
			- Note that I've grabbed an aisle seat. The seat next to me is open. I'm hoping it stays that way. ";->"
			- Also note that all the middle seats are taken, except for in the <a href="http://en.wikipedia.org/wiki/Bulkhead_%28partition%29">first row</a>. These people are smart, assuming they don't want to look out the window. They can get up at any time without having to step over the other guy. And the other guy doesn't have to step over them. Very rational way to travel. 
			- Me, I'm angling for the window seat, without anyone next to me, so I can spread out. However if I have to choose betw a window and aisle seat, assuming both are taken, I'll go for the aisle seat. I like to come and go as I please. I get restless and like to walk around esp on a 5-plus hour flight (and it's raining and windy in the Bay Area so it's likely there will be some delays).
