- 12/1/2016
	- Underground railroad for ideas
		- We need an "underground railroad" for facts and ideas.
		- Maybe a new editorial product from the Washington Post or NY Times?
		- If we could crack that nut, we could create a union of people who want accurate information that isn't Republican or Democratic or in a red state or blue.
		- We may disagree on policy but we agree on basing our thinking on facts and intelligence. The scientific method. There still are plenty of us. And we have the tools to do it.&nbsp;<h4>Update -- libraries?</h4>
		- Maybe this is something librarians can help with? They're distributed all around the country, and they certainly believe in these principles.
		- The more I think about it, the better I like libraries being the focal point for a people's news system. Even better, have students staff it. Keep an eye on what's going on in your community, and let us know what you see. I started a student newspaper when I was in high school (many many years ago!) and I remember it can be done, and it's a lot of fun. And you certainly learn a lot.&nbsp;
	- Trump knows what he's doing
		- Oh there he goes again with the lying and weak ego etc, only sometimes it's strategic, and you have to pay attention to all of it to see if you can figure out how it furthers the Republican cause.<h4>Let's play Jeopardy!</h4>
		- So when <a href="https://twitter.com/realDonaldTrump/status/802972944532209664">Trump talks</a> about millions of illegal votes, let's play Jeopardy.&nbsp;
		- <i>Trump Paranoia</i> for $1000, Alex.
		- "It's the idea behind millions of forged ballots."
		- What is massive new voter suppression?
		- Correct! We also would have accepted the destruction of the <a href="https://en.wikipedia.org/wiki/Voting_Rights_Act_of_1965">Voting Rights Act</a> of 1965.&nbsp;<h4>It's the disenfranchisement dummy!</h4>
		- Winning the White House and both houses of Congress give the Republicans a lot of new ways to disenfranchise voters. They don't even have to convince anyone that there was massive voter fraud, but if you have the chance, why not. It makes the voter suppression go down easier, for the people whose votes are not being suppressed (i.e. reliable Republican votes).&nbsp;
		- And no, they're not going to try to keep people in California from voting. This is strictly for pivotal purple and purpleish states like Arizona, Georgia, North Carolina, Virginia, Florida, Ohio. Michigan, Pennsylvania, Wisconsin, Iowa, that are sometimes red and sometimes blue. The goal is to make them permanently red, and give the Repubs control of the White House basically forever, the same way they gerrymandered their way into control of the House.
		- It's the opposite of the <a href="https://en.wikipedia.org/wiki/Hanlon's_razor">Hanlon's razor</a> rule that says "Never attribute to malice that which is adequately explained by stupidity." With the Repubs, you should always look for the malice. It's there, and it's usually not very hard to find. In this case, they're setting us up for massive disenfranchisement and a Republican lock on the White House.<h4>Trump is not stupid</h4>
		- People used to say George W. Bush is stupid, but I always thought he was smart. Same thing with Trump. No way someone gets to where he is and is stupid. He's plotting and scheming, and has lots of experience and has a sense of which bets are worth taking. So when he says something that appears random, it's safer to assume that it's not.&nbsp;<h4>Don't take my word for it...</h4>
		- For background I recommend this <a href="http://podcatch.com/pages/11311.html">episode</a> of the Slate daily podcast. It's an interview with <a href="https://en.wikipedia.org/wiki/Bruce_Ackerman">Bruce Ackerman</a>, a professor of constitutional law at Yale. It's depressing for sure, but you should hear what he thinks is happening.&nbsp;
		- Also enlightening is this <a href="http://www.npr.org/2015/08/10/431238980/block-the-vote-a-journalist-discusses-voting-rights-and-restrictions">Fresh Air podcast</a> from last summer laying out how the Repubs were suppressing the vote for the Nov 8 election. This clearly played a role in the Trump win.&nbsp;
- 12/2/2016
	- What went wrong with journalism?
		- I see so many people discussing what went wrong for the Dems in 2016. But most are written by journalists, so they miss (imho) their own role in what went wrong.&nbsp;
		- Imagine you're watching an NBA basketball game, and one team is being called for every infraction, but it turns out that most of the calls end up inconclusive, it just appears that they might have been thinking of doing something that could be seen as inappropriate, but probably not illegal, or even dishonest.
		- On the other hand, the other team is not only fouling a lot, several times on every play, they're also getting hauled into court for committing <i>crimes</i> on the court, not &nbsp;crimes of the sport, but actual legal crimes. And when they explain what they're doing, they commit technical fouls, back in the game.
		- And in the crucial final minute of the game, they call the first team for a huge blatant foul, but then the call is reversed, but after the game is lost. Oh well. Shit happens.
		- I think that's a pretty good telling of the role the press played in the 2016 election. They could have run Trump University ads showing the candidate selling snake oil. Caught red-handed. And then explain the devastation he brought to Atlantic City. Show how his employees and customers feel about him as a businessperson, since that's how he's presenting himself. Very germane to voters. They probably would have helped us understand what it would be like to be governed by him. Give us some idea how to view what he was saying in his stump speeches.
		- That's the story journalism missed. Show us what a Trump presidency would be like. Be the Consumer Reports of the executive branch of government.&nbsp;
		- Will I lose Medicare or ObamaCare? Will my kids have to fight in a war? Will banks be free to suck all the value out of our property, so they can buy themselves bigger estates and yachts? We have to figure this out, it's important, and that means if you're doing your jobs, you have to help us do that.&nbsp;
		- I'm not saying the journalists are bad people, or if I would have done better in their shoes. The NBA has never seen a team like Trump/Pence in 2016. But it's good to really look at things dispassionately, to see how you all can do better in the future. And for that imho you have to listen to how your work was viewed by others, not just by asking other journalists.&nbsp;
		- PS: I have to call out the New Yorker for doing an <a href="http://www.newyorker.com/magazine/2016/09/26/president-trumps-first-term">outstanding piece</a> of journalism that tried to give us a sense of what a Trump presidency would be like. I think it is the single most valuable bit of writing in 2016 politics.&nbsp;
		- PPS: It's hard to analyze a story in which you are a central character. You're likely to miss your own role. See <a href="http://scripting.com/davenet/1997/05/05/DoyouhaveaHead.html">Do you have a Head?</a> for a kids game that illustrates.&nbsp;
- 12/4/2016
	- The Apprentice President
		- Idea for new cable news show.
		- President Trump's daily brief.
		- Based on public info only.
		- We all get to tune in on the info a president-elect would get if he were listening.
		- Why? Well we know the PE likes to watch TV. Perhaps if he knew we all were getting the briefs, esp if his name came up a lot, he might watch.
		- We all have a lot at stake in him being as well-informed as possible. 
		- Maybe we could even have the viewers take a test, so he could get the highest grade. Then he'd really watch. :sunglasses:
- 12/5/2016
	- "The Left" has become a dog whistle
		- A longtime friend posted a link to an article on Facebook that explained at great length how "the left" is even more hostile to science than "the right."
		- I started to to read it, it took a long time to get to the point, if it ever did. I started skimming very early in the piece. It seemed he knew what "the left" means but I do not. I need to see a definition to begin to understand what he's actually saying.
		- I've listened to Limbaugh and watched Fox News. My sense that <i>The Left</i> is sort of a catch-all phrase for weak, effete, effeminate men, do-gooders, feminists (RL calls them <a href="https://en.wikipedia.org/wiki/Feminazi">feminazis</a>), who think they're better than hard working salt of the earth types who really understand what's going on.&nbsp;
		- If <i>The Left</i> would stop interfering we'd fix the world, but they control the media and schools. They give my money to lazy "other" people who live in the inner city, Muslims (terrorists), blacks (welfare queens, drug users), Mexicans (rapists) and they're often Jews, you know the people with hooked noses who really run the world, like George Soros.&nbsp;
		- The Left is such a poisoned term, that if you're trying to say something that will be heard generally, you should find another way to express it.
		- <span>I have, BTW, voted Repub many times, but this Republican Party is one I can't imagine ever voting for.</span>
	- Let me help with that conundrum
		- When Trump lies...
		- The story should be that.
		- Trump lies. 
		- Because that is the story.
		- Don't give weight to deliberate lies. 
		- Be better.
	- Easing up on Medium, for now
		- The last few days as important articles have appeared on Medium, I've been posting pointers to them without gritting my teeth. As much.
		- Right now we have bigger fish to fry than whether or not the blogging world is getting overly and unwisely centralized.&nbsp;
		- On the other hand if they would open their server to update pings, we could have a real network, and allay the fears that free writing is a little too easy to shut down.
		- PS: I <a href="http://scripting.com/2016/09/04/endingAnExperiment.html">wrote up</a> the problem when I turned off my feed to Medium.&nbsp;
- 12/6/2016
	- Is Trump the new Jimmy Carter?
		- President <a href="https://en.wikipedia.org/wiki/Jimmy_Carter">Jimmy Carter</a> was swept into Washington in 1977, in the aftermath of Nixon, Watergate, Ford and The Pardon, with a sweeping mandate to change. The nation hated itself for Nixon. Carter was the bitter pill we decided to swallow, for punishment.
		- So when he arrived, he brought with him a staff of outsiders from Georgia, smart people who knew nothing about Washington and they crashed into the legislature and lobbyists. No honeymoon. He got nothing done, and we switched when <a href="https://www.youtube.com/watch?v=fa8Qupc4PnQ">Sunny Mr Reagan</a> promised us <a href="https://www.youtube.com/watch?v=c32G868tor0">something</a> on a hill that had sunlight on it. Carter was gloom. A guy who wore sweaters and told us we'd have to do without. A national <a href="http://www.npr.org/templates/story/story.php?storyId=106508243">malaise</a>. Okay we suffered enough.&nbsp;
		- Trump is using up goodwill on stupid mistakes and scaring the bejesus out of not just you and me, but also the 1%. At some point the stock market is going to reflect the fear.&nbsp;
		- He's staffing up with people who <a href="https://www.youtube.com/watch?v=M_w_n-8w3IQ">could</a> be <a href="https://www.youtube.com/watch?v=aI0euMFAWF8">characters</a> on The Simpsons. Can anything coherent come out of this group? I try to keep an open (and worried) mind, but you have to wonder.&nbsp;
		- Where will the scale come from? Trump is criticizing <a href="http://www.politico.com/story/2016/12/trump-boeing-air-force-one-232243">Boeing</a> today for a $4 billion project spread over eight years. Has he looked at the <a href="http://federal-budget.insidegov.com/l/119/2016-Estimate">budget</a> yet? Does he understand how big the <a href="https://en.wikipedia.org/wiki/Economy_of_the_United_States#GDP">US economy</a> is?&nbsp;
		- The Carrier thing may impress voters, but he doesn't need the voters right now. They have voted. Now the establishment in DC has to bet on whether his charm will last. I don't know how they think. But in 1977 they took a look at who Jimmy Carter brought with him and decided not to work with him. And that was that.
		- BTW, not to dis Carter as a person. He is a good man who was not an effective president. And Trump and his family will do very well if he goes down the path Carter did. But he may not be the demagogue we fear he will be. He still has to get the government to work for him.
- 12/7/2016
	- Fake/real news math
		- Most people who read fake news only read the headline.
		- It's well known that the headlines on many "real news" articles are misleading, written to get maximum clicks/shares.
		- Most people only read the headlines in those pieces too.
		- So in a practical sense there is little difference between real and fake news.
	- The NSA loved RSS in 2004
		- In the latest release of Snowden materials from the Intercept, is a gem, an <a href="https://theintercept.com/snowden-sidtoday/3233010-really-simple-syndication-the-future-of-the-web/">internal NSA memo</a> from 2/18/2004, where someone (whose name is blacked out) at the NSA is spreading the gospel of <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> to the NSOC Operations Support Staff. &nbsp;She or he says:&nbsp;<blockquote>On the Internet, data sources as varied as Dilbert, ESPN Sports news, <a href="http://bankrate.com"><span data-auto-link="true" data-href="http://bankrate.com">bankrate.com</span></a>&nbsp;mortgage news, and Microsoft security updates are all available via RSS. At last count there were over one million RSS feeds available on the web, with more being added every hour. RSS has the potential to revolutionize the way we view the web, both at home and here at work.</blockquote>
		- It's easy to forget how exciting everything was in 2004.&nbsp;
		- If you're a regular reader of this blog you probably remember.
		- And it's a reminder that techies everywhere love to cobble together networks using pieces that weren't designed specifically to work together, but because of interop, when you get the idea to join them (and here's the famous phrase that gets all geek hearts beating faster) "it just works."
		- That was the thing about networks built out of <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> in 2004. It was a miracle how well things just worked.&nbsp;
		- Geeks everywhere, including at the NSA, love this stuff. ;-)
		- Ryan Tate at The Intercept <a href="https://twitter.com/davewiner/status/806608779865444352">asked</a> how I felt about this. I said it's awesome.&nbsp;
		- And thanks to <a href="https://twitter.com/Snowden">Edward Snowden</a> for helping to make this connection.
		- PS: Here's the <a href="http://scripting.com/2004/02/18.html">archive page</a> on <a href="http://scripting.com/">Scripting News</a> for that day.&nbsp;
- 12/8/2016
	- Silent vigils in the cities
		- I just saw a <a href="https://www.facebook.com/dave.winer.12/posts/513221595551917">great video</a> on Facebook, from a descendant of Alexander Hamilton, saying exactly&nbsp;what I've been <a href="http://scripting.com/2016/11/16/december19IsABigDay.html">saying</a> to anyone who will listen.&nbsp;<span>It's time to show support for the country, and for the electors.&nbsp;</span><span>Not a protest, demonstration or march.&nbsp;</span><span>A silent (or at least quiet) presence at government buildings all around the country, every night until December 19. Maybe even after that.</span>
		- There's a lot of pressure on the electors. Let's show them we are behind them. For that we have to be there, physically.&nbsp;<span>You can't "stand" for the country by signing a petition or sending email. You personally have to be there. In the cold and dark with a candle you bring, to provide the light.&nbsp;</span>
		- <span>Here's what I want to do. I want to start a Facebook group that's just for organizing the silent candlelight vigils around the country.&nbsp;</span>
		- <span>So for example, there would be a place in San Francisco, probably Market Street by the Ferry Building. In New York, Columbus Circle and Union Square in Manhattan. Some place central in each of the boroughs. Every city and town would organize something.&nbsp;</span>
		- <span>The vigils start at sunset every night and go through say 10PM or so. These are not "occupy" events. They are coordinated with law enforcement. We are quiet and still. No marching, no chants. Just people standing in observation, just standing up for America.&nbsp;</span>
		- <span>Everything else is forgiven. We can fight about it later when our democracy is safe.</span>
	- Trump's cabinet is a horror show
		- Joan Walsh's <a href="https://www.thenation.com/article/democrats-should-fight-all-of-trumps-nominees-yes-all-of-them/">latest piece</a>&nbsp;about Trump's staffing choices is inspiring .&nbsp;<blockquote>He’s betrayed his working-class supporters by naming a cabinet of millionaire and billionaire insiders.</blockquote>
		- <span>The Dems aren't going to tell the story. They're too confused and disorganized. No leadership.</span>
		- <span>All the bullet points in her story need to be ads that run on CNN, Fox and MSNBC, starting now, before the confirmations start. Get the people involved.&nbsp;</span>
		- There are many thousands of people who would chip in to fund those ads. Can't count on the press (they're trying to be friends with the new administration) or the Dems (who knows what they're thinking).&nbsp;
		- Ads, like the ones Hillary ran, but not based on what <i>could</i> happen, on what is happening.
- 12/9/2016
	- Kleptocracy futures
		- Seeing all the Goldman Sachs <a href="https://www.google.com/search?q=trump+goldman+sachs+appointees">people</a> appointed to high positions in the new administration makes me think the next bubble will be derivatives created from the assets of the US government. Why be content with loaning money to the US for mere interest, when you can actually buy&nbsp;the country itself?
		- This is innovation in America in 2016. The <a href="https://www.washingtonpost.com/world/national-security/obama-orders-review-of-russian-hacking-during-presidential-campaign/2016/12/09/31d6b300-be2a-11e6-94ac-3d324840106c_story.html?utm_term=.d8e763a6c264">Russians</a> perfected the <a href="http://www.npr.org/2014/12/13/370612995/how-putins-kleptocracy-made-his-friends-rich">idea</a> of looting the government for the enrichment of the friends of the government. In the United States, we're more democratic and inclusive -- we offer the same opportunity to everyone from everywhere. Goldman Sachs is running the IPO. What are they selling? You and me. Everything you own that isn't nailed down. Your Medicare, Social Security, your kids' education, the roads and bridges, the Internet, you name <a href="http://climate.nasa.gov/">it</a>, it's in there.&nbsp;
		- The only concern is when the bubble bursts this time we won't have anything left to bail them out with. Sad.
- 12/10/2016
	- Perspective is everything
		- It's all about point of view.
		- I listened to a <a href="http://podcatch.com/pages/11518.html">podcast</a> yesterday at the recommendation of a friend.&nbsp;<span>It's the story of a woman reporter for NPR talking about her experiences covering the presidential campaign, "as a Muslim."&nbsp;</span>
		- That's one perspective.&nbsp;<span>Another would be from the people she encountered, people who thought the United States was a country of white people, and were willing to say it to her. (She wears a <a href="https://en.wikipedia.org/wiki/Hijab">hijab</a>, but from the podcast she says she's not dark-skinned.)</span>
		- If you want the perspective from their point of view, watch this <a href="http://fusion.net/story/360932/trumpland-documentary-voters/">video</a> of interviews with Trump voters before the election. You see where they live, how they relate to each other. It's remarkable how much of what they say are straight recitals of Trump talking points. This is one of the best things I've seen, heard or read about the election. A real eye-opener.
		- It helped me understand how broken we are, as a country. Because it's not true that the country is for white people. That's just something people say. The NPR reporter was born in Indiana, speaks like all of us, she's American. But if Trump could so easily convince white people to fear Muslims, he could do it for any other race or ethnicity.&nbsp;
		- <span>Anyway, that's not exactly the point of this piece. First I wanted to establish that point of view is integral to what your truth is. If you're a Muslim reporter for NPR you see it from one point of view, and if you are a white person in Des Moines you see it a different way.&nbsp;</span>
		- <span style="color: inherit; font-family: inherit; font-size: 17.5px; font-weight: bold; line-height: 20px;">A tip for journalism</span>
		- <span>Look at this </span><a href="http://scripting.com/2016/12/10/memorandumSocialSecurity.png">screen shot</a><span> of current </span><a href="http://www.memeorandum.com/161209/p120#a161209p120">stories</a><span> about the changes that Repubs want to make, right now, to Social Security. They're all from the point of view of who? Reporters, Washington insiders, and unfiltered Republican misdirection.&nbsp;</span>
		- <i>Not</i> represented is the point of view of a retired person in the Bronx or Sarasota or West Des Moines, who has paid into Social Security all their life and is now depending on the payments, and is going to lose them.&nbsp;
		- For them the headline would be "Repubs want to take your Social Security."&nbsp;
		- I think there's a good argument for changing <i>take</i> to <i>steal. </i>Maybe that's too much for a reporter to say. But it's not too much to put the cost to the reader/viewer up front. Imho that's where I believe it should be, must be, if you're doing your job.
		- And the article should clearly explain how you can register your displeasure immediately and clearly.&nbsp;
		- It's funny because I heard Megyn Kelly, also in a <a href="http://podcatch.com/pages/11517.html">recent podcast</a>, say that she reps the interests of her viewers. She sounded like she meant it. I like Megyn Kelly. I think she's sharp and she has courage. But I'm pretty sure Fox News isn't presenting the news from the viewer's perspective. They're probably running with the Republican myth that they're "saving" Social Security. In a sane world, reporters should be exposing the lie fully to their constituents and helping them act. And if it means cutting off a Republican spinmaster, all the better.&nbsp;
		- This is a missing component of today's journalism, the point of view of the reader. If you all could focus more on that, the readers would take more interest in your product.&nbsp;
- 12/12/2016
	- How to make news for the people
		- If journalism wants to care about the working class, start publishing stories written by the working class. 
		- Locate one of your studios in the middle of the country. Give Michael Moore an hour every weeknight for a show emanating from Flint. Find the Michael Moore of Phoenix. And Dallas. 
		- Put the news people where the people live, and not concentrated in New York and Washington. That would be an instant shakeup and guarantee that the perspective on the stories changes.
		- Give the rest of the country a chance to write the news. 
		- And when the reps in Washington vote to kill Social Security, Medicare and the Affordable Care Act, report on that from the point of view of a retired person living on Social Security, or a person who, without the ACA would be uninsured. 
		- It's simple, act decisively to remember the people you've been forgetting.&nbsp;
	- Was Trump born in Russia?
		- Some people say he was born in the US, or not. I don't know. But you should check it out. Have you seen the birth certificate? I haven't seen it. In fact I don't know anyone who has. Hmm.
		- You know how when someone accuses you of something out of the blue, it's pretty likely that they're doing the thing they're accusing you of? Like your wife says you're cheating, but you're not. That means she is. This happens all the time.
		- So when Trump said Obama was born in Uruguay or Egypt or wherever, and that meant he wasn't qualified to be president, that means that Trump was born in Germany or Russia. He was saying he is a "Manchurian Candidate."
		- I think we now understand exactly what's going on.
- 12/13/2016
	- Chris Hayes in TrumpLand
		- So with one <a href="http://thehill.com/policy/cybersecurity/310005-former-cia-chief-russias-hacking-political-equivalent-of-9-11">tainted election</a> behind us, and the tainted candidate getting ready to take office, what are the chances of the US ever having a non-tainted election in the future? Virtually non-existent, imho.
		- A few weeks before the election, before the <a href="https://www.google.com/search?q=comey+letter">Comey</a> catastrophe, I thought our biggest challenges were climate change and the ineffectiveness of antibiotics. But all that was on a slow track. Now the challenge is right here, right now.&nbsp;
		- I watched a <a href="http://www.mediaite.com/tv/chris-hayes-and-bernie-sanders-hold-town-hall-with-trump-voters-in-wisconsin/">town hall meeting</a> on MSNBC last night, hosted by <a href="https://en.wikipedia.org/wiki/Chris_Hayes_(journalist)">Chris Hayes</a>, with Bernie Sanders as the guest, but the real stars were the voters of <a href="https://en.wikipedia.org/wiki/Kenosha,_Wisconsin">Kenosha</a>. It was an eye-opener. Maybe Hayes should do his show from Kenosha for the next month, with guests from the community. There were a lot of juicy threads that were not followed-through on.&nbsp;
		- It seemed as if many of them had not met each other before. That was interesting.
		- The Trump voters, and there were quite a few, said some things that I think they are going to learn are wrong, and that will happen soon, especially if somehow there can be cross-pollination of news from MSNBC-land to and from Wisconsin-land, they might hear about the disasters-in-the-making before they are actually complete.&nbsp;
		- A Trump voter said, with no dissension, that the racist stuff that Trump campaigned on wasn't real. But it <i>is</i> real. A Muslim woman there, born in Wisconsin, she spoke with a Wisconsin <a href="https://en.wikipedia.org/wiki/North-Central_American_English">accent</a>, wore a <a href="https://en.wikipedia.org/wiki/Hijab">hijab</a>, said she was scared for herself and her family. There's talk in TrumpLand (the <a href="https://en.wikipedia.org/wiki/Trump_Tower">one</a> on Fifth Ave in NYC) of requiring Muslims to register, <i>even Muslims who are American citizens. </i>So there it is. The racism is real. Registering comes first. Then armbands, then...&nbsp;
		- Do the Trump voters know that Congress, of the same party as the incoming president, is organizing to turn Social Security, Medicare and the ACA into a huge tax cut for the super wealthy? That's your future. No retirement, even though you already paid for it, and you can buy health insurance with money you don't have from an insurance industry that won't sell it to you.&nbsp;
		- They seemed confident that there would be time to vote Trump out in four years. A big misunderstanding about how long it takes to undo social programs if you don't care about the people who depend on them.&nbsp;
		- I doubt if the Repubs care one bit about how Mr Trump Voter from Kenosha plans to vote in 2020. Their goal is to loot their future right now. Cleaning up the human mess? Well if there are real elections (see above) and they lose, the Democrats can clean it up, like they did last time. That didn't get your auto plant to come back did it? And it won't get your Medicare back next time. By then your Social Security money will be in the bank accounts of already-rich Repub backers.
		- I know I'm talking to no one. Nothing can prevent the fall into the abyss. We're not in there yet, but we're going down. Not much more to say.
	- Trump is a constitutional crisis
		- A few weeks ago I wrote a <a href="http://scripting.com/2016/11/14/dontWorryAboutDrowning.html">post</a> that began with a <a href="https://www.youtube.com/watch?v=DG0ch202prY">clip</a> from The West Wing.
		- Josh finds CJ outside the White House and says Leo is worried how it will look that they polled to find out what people thought of the president's MS which he had been hiding. CJ laughs. You guys are like <a href="https://www.youtube.com/watch?v=1IbStIb9XXw">Robert Redford</a> worrying about jumping off the cliff, because he can't swim. Paul Newman laughs "Don't worry, the fall will probably kill you."
		- People worry about the constitutional crisis if the Electoral College doesn't ratify Trump's election. Hah either way we're in a nonstop constitutional crisis for the foreseeable future. We probably will never come out of it. That's how dire things actually are, as opposed to the <a href="https://en.wikipedia.org/wiki/Neverland">Neverland</a> a lot of people are still living in.&nbsp;
		- Donald Trump is, in every way, a walking constitutional crisis. You don't need me to list the ways. If you've been paying attention you know full well. For one, there's no divestiture possible that could keep him from being guilty under the <a href="https://www.propublica.org/article/trump-would-be-violating-constitution-if-he-continues-to-own-his-businesses">Emoluments Clause</a>. And that's just the beginning.&nbsp;
		- The instant he takes the oath of office we're in constitutional crisis.&nbsp;
		- But don't worry, the fall will kill you. ;-)
- 12/14/2016
	- Two must-reads
		- Two must-reads for today.&nbsp;
		- Seriously, make the time, asap to <a href="http://www.nytimes.com/2016/12/14/opinion/buck-up-democrats-and-fight-like-republicans.html?smid=fb-share">read this</a> and <a href="http://www.wnyc.org/story/george-lakoff/?hootPostID=7703f8ecd6174906d4a2eb2b7e842b92">listen to</a> this.
		- Now for some comments..<h4>Missing leadership</h4>
		- Dahlia Lithwick and David Cohen ask in a <a href="http://www.nytimes.com/2016/12/14/opinion/buck-up-democrats-and-fight-like-republicans.html?smid=fb-share">NYT op-ed</a> -- where is the Democratic Party leadership? The US is a car that's not in a ditch this time, it's flying off the edge of a cliff and about to fall into the abyss. And the Democrats seem too scared of being insulted by the Repubs to fight it.<blockquote>Impassioned citizens have been pleading with electors to vote against Mr. Trump; law professors have argued that winner-take-all laws for electoral votes are unconstitutional; a small group, the Hamilton Electors, is attempting to free electors to vote their consciences; and a new theory has arisen that there is legal precedent for courts to give the election to Mrs. Clinton based on Russian interference. All of these efforts, along with the grass-roots protests, boycotts and petitions, have been happening without the Democratic Party.&nbsp;</blockquote>
		- Three people have been outstanding in their leadership. <a href="http://www.memeorandum.com/161214/p7#a161214p7">Larry Lessig</a>, <a href="https://twitter.com/MMFlint">Michael Moore</a> and <a href="https://twitter.com/maddow">Rachel Maddow</a>.&nbsp;
		- As a developer, I am ready to work with any leadership that shows up to build social networks that empower us to organize.
		- The tools we're using primarily to organize are well-understood and mature. For the next round we're going to need to try new ideas. I stand ready to work with anyone who stands up to lead.<h4>Lakoff</h4>
		- I've written about Lakoff a number of times, I even did a podcast interview with him in 2006. The recording I pointed to is an interview on NPR's On The Media. If you want to understand the language of politics, and how we must use it better, it's 10 minutes well-spent.&nbsp;
	- The spirit of feedback
		- I was a math major in college and one thing math majors like to do is show other math people how we proved something and let them find problems with our work.&nbsp;
		- I then became a programmer, and designed software for people to use, and believe me, you become a <i>sponge</i> for feedback if you want to do this well. You get good at soliciting feedback, and listening to it, understanding what people are really saying (they often don't know the vocabulary) and asking for more info.&nbsp;
		- Good software is made out of, in addition to programming, lots of listening.
		- It's in that spirit that I offer feedback to journalism and political leaders.
		- We need to do better. &nbsp;
- 12/15/2016
	- Demo of pngWriter
		- <span>I'm getting pretty close with pngWriter, the kinder, gentler way to do tweetstorms. I did a video demo of the software last week. Have a look.&nbsp;</span>
		- <a href="http://scripting.com/2016/12/08/pngWriterDemo.m4v"><span data-auto-link="true" data-href="http://scripting.com/2016/12/08/pngWriterDemo.m4v">http://scripting.com/2016/12/08/pngWriterDemo.m4v</span></a>
		- It's rough, there was no script, but if you watch it you'll see the software in action and can't fail to get the idea, imho.&nbsp;
		- Hope you like! :-)
		- PS: It's pronounced as if there was an I between the P and the N.
		- PPS: Here's an <a href="https://twitter.com/davewiner/status/809518740006117377">example</a> of a post I wrote with pngWriter.&nbsp;
		- PPPS: And my pngWriter <a href="http://pngwriter.com/users/davewiner/rss.xml">RSS feed</a>.
	- The Altered States of America!
		- <i>I watched Jerry Brown give a kickass <a href="http://blogs.agu.org/geoedtrek/2016/12/14/jerry-brown/">speech</a> today. I was inspired! Watch it and you will be too. Then come back here. This began as a sequence of <a href="https://twitter.com/davewiner/status/809556971925991424">tweets</a>. I didn't edit it much.&nbsp;</i>
		- Jerry Brown is going to be President of the Alt-States of America.
		- Or maybe that's the Altered States of America?
		- No reason we can't bootstrap the successor to the USA in the USA itself. Kind of like how Mac OS X is also Unix underneath the GUI.
		- The President of the Altered States of America would always have a title, like the pope.&nbsp;<span>Obviously our founder would be President Moonbeam I.</span>
		- Obviously marijuana is legal in the Altered States of America.
		- Our national anthem would be <a href="https://www.youtube.com/watch?v=n4AgZST_TG8">Proud to be an Okie from Muskogee</a>. Or maybe <a href="https://www.youtube.com/watch?v=tuMDG5RvdXs">this</a> one. Or <a href="https://www.youtube.com/watch?v=-tJXjt5D4zY">this</a>!
		- <span>And this is how we factor out the Republiscam Parody.  Your state can't join the Altered States until you get a Democratic governor and legislature. And agree to support ObamaCare exactly as it was legislated and ratified by the Supreme Court of the Legacy Government.</span>
		- You also have to agree to fight climate change.&nbsp;
- 12/16/2016
	- Jerry Brown got me thinking
		- <i>Another <a href="https://twitter.com/davewiner/status/809538083431546884">pngWriter-originated post</a> that should be here on Scripting News.</i>
		- <span>I was reading a story about how Jerry Brown says fuck you Trump if you take down the climate change satellites, we'll just launch our own.</span>
		- I thought wow that's ballsy. I like it. I wonder if New York State could get in on some of that action. I'd offer to pay extra taxes for that. Why not.
		- Then I thought great, let's start an association of states with Democratic governors. We'd do cool things like provide health care for our citizens and give them free college. Yeah the taxes might be higher, but who wants to live in a state with a lot of sick uneducated people.
		- Then I realized the best part of it -- it would give people an incentive to elect a Democratic governor so they could get in on all this great stuff.
		- Why can't politics be that results-oriented? It's simple. You do something for me, and I support you. Everyone makes it so complicated. But that's what it comes down to. I like breathing clean air. I want government to work. I'm tired of super-rich people fucking over everyone else. If you agree, just elect Democratic state government, and we can go from there.
	- pngWriter as idea processor
		- My first commercial software product was ThinkTank.
		- We called it an <a href="http://scripting.com/images/firstIdeaProcessor.jpg">idea processor</a> -- to differentiate it from the production tools of the day -- word processors, spreadsheets, databases. Places where you did your work. ThinkTank was for your ideas.
		- It really worked. I use a descendent of ThinkTank to this day to organize. I couldn't do anything very complex without it.
		- I've just been using <a href="http://scripting.com/2016/12/15/demoOfPngwriter.html">pngWriter</a> on my main Twitter account for a couple of days. I'm no longer using it to test the functionality. It works. I'm using it to test utility. That is, is it useful, and if so, how?
		- It's turning Twitter into an idea processor for me. A very different kind of idea processor from ThinkTank. This is not an outline. I don't even worry about holding on to posts. Because they're like Twitter things. Quick, stream of consciousness. Not much if any editing. That's a lot like the initial mode of outlining. Just get your ideas down, don't worry about how they relate. That comes later.
		- What's different about Twitter is <b>all the other people</b>.
		- If they get turned on by an idea you get feedback right away. And because I get a chance to fully express an idea where 140 chars would never have been enough, their feedback actually means something other than the usual grunts and snorts. It'll be interesting to see what happens when some of them have pngWriter too.
		- BTW, you can only use pngWriter for original posts, not replies. I wonder if that's a feature or a bug. :cat:
		- PS: This post began as a <a href="https://twitter.com/davewiner/status/809785958711304197">pngWriter post</a>.&nbsp;
- 12/17/2016
	- Ignore Trump as much as you can
		- Should you pay attention to Trump's tweets? No.
		- First, my guess is that Trump made a deal with Pence similar to the one he <a href="http://www.nytimes.com/2016/07/20/magazine/how-donald-trump-picked-his-running-mate.html">offered to Kasich</a>. Pence really runs the country and foreign policy while Trump "makes America great again."
		- Pence is getting the daily briefings, and he will be in the <a href="https://en.wikipedia.org/wiki/White_House_Situation_Room">Situation Room</a> when there's a crisis. And he is forming the government. All those meetings and dinners Trump has don't mean a thing. He's not making the decisions.&nbsp;
		- The deal they made is that Trump gets to be the frontman, he can talk to other world leaders so it looks to them like he's running things, but it's really the extreme Christian part of the Repub Party that's running things. (And the other world leaders get signals about what's really going on, so they know not to blow up the world because he said something idiotic.)
		- Trump is the outrageous&nbsp;<a href="http://www.bostonglobe.com/opinion/2016/12/16/trump-raises-specter-treason/zdwgXRuJBMChEXmX5kchhP/story.html">distraction</a>&nbsp;that draws your attention while the magician is doing his magic.&nbsp;
		- <span>Here's what you should be paying attention to: The way the US is going to be looted by the Repubs this time. They'll try to finish the job the Repubs did last time, and to the extent they can, we'll be left with as big a wreck to dig out of when they're finished.</span><h4><span>Tax cuts, war and a bubble&nbsp;</span></h4>
		- Tax cuts -- they will cut taxes drastically, and pay for it by completing the absorption of "entitlements" like ObamaCare, Medicare and Social Security into the treasury. There's a lot of money sitting there waiting for them to grab. And they do the transfer by cutting taxes.
		- War -- They'll start another war. This transfers government wealth to defense contractors, all Repubs.&nbsp;
		- Bubble -- There will be another bubble, made possible by the repeal of banking regulations. All kinds of scams will be legal.&nbsp;
		- That's it. We've seen this before. They can do it all right now because they control Congress and the White House. They will try to do it all very quickly because in two years, they might lose Congress, even with all the gerrymandering and voter suppression they now depend on. This is what you should pay attention to, not whether or not the <a href="https://twitter.com/kmazz/status/810165584847454213">person</a> who's standing in for Trump on Twitter can spell a particular word.&nbsp;
- 12/18/2016
	- Press freedom is not my freedom
		- Brian Stelter in a <a href="https://twitter.com/brianstelter/status/810534901220929536">short video</a> from CNN says "press freedom is your freedom."
		- I don't buy it. Stelter is one of the more outgoing and accessible of the political reporters, but that's not saying a lot. I don't think he or the people who appear on his show have anything to do with our freedom, and I'm not in the mood to hear this kind of pitch after they <a href="http://www.politico.com/blogs/on-media/2016/02/les-moonves-trump-cbs-220001">sold us out</a> in this election.&nbsp;
		- They're in the <a href="http://scripting.com/2013/11/09/accessJournalismTakenToItsLimit">access</a> business. And they all know it, and even the little people, like me, know it. So it's a total smh moment when Stelter gets all preachy like this.
		- Most of what you hear on the news shows are total lies. They're reduced to reporting on narratives, perceptions, optics, these are the actual words they use, but not the truth and certainly not the interests of the people they report for. A lot of people end up believing the lies, they vote based on the lies, or they go elsewhere to get <a href="https://www.washingtonpost.com/news/monkey-cage/wp/2016/12/18/a-new-poll-shows-an-astonishing-52-of-republicans-think-trump-won-the-popular-vote/?utm_term=.dac9d5273ddb">other lies</a>.&nbsp;
		- When they report on plans to kill Social Security, why isn't the headline about how it will affect the people? It's more about the horse race, and one party's chances to control the Senate in 2018. (Which is incredibly pathetic given that all the horse race coverage in 2016 was in the end totally worthless.) Millions of Americans, your readers, are going to lose their retirement savings.&nbsp;<span>Why is it so hard to adopt that point of view?</span>
		- It's totally apparent that we have to re-form journalism around the needs of voters, and ignore the charade. It's just acting-for-advertising, that's all that's going on here.&nbsp;
		- In 2004, when I lived in Boston, I heard a commercial on the local <a href="https://en.wikipedia.org/wiki/WBUR-FM">NPR station</a>, a pledge drive in which the president of the station said "you are the owner of the station." The <i>you</i> in that sentence referred to the listener who in this case was me, Dave Winer. I was an academic and curious if that could be chased down, so I called her, got routed to a PR person who sent me their annual report, a glossy brochure and a letter asking me to contribute money. At no point was there a discussion of how I wanted my station to cover the news, or a suggestion of an idea that I might contribute content or even technology to the station that after all I was the owner of. (I wanted to tell them about the then-nascent <a href="http://scripting.com/2015/09/30/aPodcastAboutPodcasting.html">podcasting</a>, btw.)
		- Part of not normalizing our political situation is to not accept the way American journalism has evolved up to 2016. It doesn't work because it is centered on the perspective of a small number of people in New York and Washington. There is a solid impenetrable wall around it. It can't get better until it emerges outside the wall. A reboot has yet to happen and until it does I think the exact opposite of what Stelter says.&nbsp;
		- Their idea of "freedom" is killing our country.
		- PS: The fundamental mistake of journalism in the 2016 election is <a href="https://twitter.com/davewiner/status/796179720534626305">summarized</a> thus: "So many people let this be about Hillary vs insanity when it was really all of us vs insanity."
		- PPS:&nbsp;I had another experience like the one with <a href="https://en.wikipedia.org/wiki/WBUR-FM">WBUR</a>, about 25 years earlier. I realized when I was a comp sci grad student that encyclopedias, which came as huge sets of books, would work better if they were digitized. I wanted to start to work on this. So I contacted <a href="https://en.wikipedia.org/wiki/Encyclop%C3%A6dia_Britannica">Encyclopedia Britannica</a>, which was then the #1 encyclopedia, to open a discussion. Instead they sent a salesman to my apartment in Madison. He kept coming. I was a single grad student, no kids, with access to an incredible library at the university, and not much money. I was not in any way a customer for his product. But he kept coming. Every visit a reminder of how deaf his employer is. (Yes I do see the irony of pointing to the Wikipedia page for Britannica.)
	- No equal time for disinformation
		- I haven't watched any news shows this weekend, but I do see in my Twitter feed that the Repubs are trying to make the Russian hacking story into one about Hillary's email server.&nbsp;
		- They are unrelated. The Russians got access to the DNC's email through <a href="http://www.politico.com/live-blog-updates/2016/10/john-podesta-hillary-clinton-emails-wikileaks-000011">phishing</a>, not by breaking security on a server. It had nothing to do with any server and certainly not Hillary's.
		- <span>I don't think at this point, knowing what we know, that they should get equal time on this matter. All they're going to do is to try to obfuscate and use your channel to communicate disinformation.</span>
		- Please, put a stop to this, journalism. You do not have to give them equal time.&nbsp;
- 12/19/2016
	- Call for testers
		- Good morning!
		- I could use a few testers for the new pngWriter product I'm using.
		- To participate, post a comment here, with your Twitter handle.<h4>How to test&nbsp;</h4>
		- All you have to do is go to pngwriter.com, log in, enter a post, click the POST button and confirm that what you posted got through to Twitter.&nbsp;
		- Check your RSS feed to make sure the item is in the feed.&nbsp;
		- Repeat as often as you like.&nbsp;<h4>Report success or failure</h4>
		- Most important: Report success or failure here in a comment.&nbsp;
		- If you're reporting a problem, remember I am not there with you and did not see what happened. Say what you did, what you expected to happen and what actually happened. Sometimes the product is working as it should, it just isn't doing what you expected. That's important to know too.
		- Please be gentle, kind and understanding. ;-)<h4>There are docs</h4>
		- Please read <a href="http://pngwriter.com/about/">the FAQ</a>. There's a link to it at the top of the Docs menu in the product.<h4>Caveat</h4>
		- No guarantee that everyone who requests will get to be a tester.
	- Blogger of the year
		- Every <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=site%3Ascripting.com%20blogger%20of%20the%20year">year</a> around this time I write a post, like this one, in which I tell the story of one blogger who most influenced me, or most exemplified what blogging is about, in the past year.&nbsp;
		- <span>This year, I'm going to name two, one who broke through, taking us to new heights, and another who continues a tradition of fine blogging.&nbsp;</span><h4>Trump</h4>
		- <span>The first is the one who made the biggest difference, who drove blogging to new heights, and that's the president-elect, </span><a href="https://en.wikipedia.org/wiki/Donald_Trump">Donald Trump</a><span>.&nbsp;</span>
		- There was a time when I thought it was a stretch to say that most members of the US House would be bloggers, and by that I meant someone who goes direct to constituents, without going through the press. This is the&nbsp;<a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">sources go direct</a> idea that is so central to blogging. I also thought money in politics was not as central as people thought it was. More important was an innate ability to communicate. The new tools would become that powerful, I believed.
		- Now Trump of course, in addition to being an instinctively gifted blogger, is also a super salesman, in person and in front of a crowd. I'd love to hear <a href="https://en.wikipedia.org/wiki/Walt_Frazier">Walt Frazier</a> do the play by play for a Trump interview. Dishing and swishing. Feline quickness. All of the words that would describe an agile NBA point guard apply to our president-elect. Now these are not great talents for a leader, commander in chief, or statesman. But it got him elected, that's for sure.
		- You can read the archive of <a href="http://scripting.com/">my blog</a> to see what I think of our prospects under the upcoming Trump presidency. I am not a happy camper. But as far as his ability to communicate directly through the tools of blogging, we've never seen anything like Trump with a smartphone and his Twitter account.<h4>Why?</h4>
		- Why did I choose Trump? Well,&nbsp;<span>I think </span><a href="https://en.wikipedia.org/wiki/Pete_Rose">Pete Rose</a><span> should be in the baseball Hall of Fame. He has the most hits of any player of all time. I think acceptance should at least partially recognize the enormity of a person's accomplishment. Is Trump how I wanted blogging to triumph? Of course not. But there is no denying the enormity of the accomplishment.&nbsp;</span><h4><span>Marshall</span></h4>
		- There were many excellent political writers who I turned to for unique ideas in this election cycle. A few were outstanding, Nate Silver, Matt Yglesias and the person I'd like to honor, <a href="https://en.wikipedia.org/wiki/Josh_Marshall">Josh Marshall</a> at <a href="http://talkingpointsmemo.com/">TPM</a>.&nbsp;
		- Of all of them his <a href="http://talkingpointsmemo.com/edblog">editor's column</a> is most like a blog. He often writes in the first person. He spends a lot of time thinking, but more than anything, he's a timely writer. When something happens, he quickly goes into motion. I find I can depend on him for instant valuable perspective in real time.&nbsp;
		- He has embraced the role of blogger as news transmitter. What he does there is not journalism, he is himself a source when he's writing on his blog. I read with great appreciation as he helped us through this incredibly turbulent and confusing year. BOTY-level work.&nbsp;
	- My pngWriter feed
		- I've been using <a href="http://scripting.com/2016/12/15/demoOfPngwriter.html">pngWriter</a> more every day to write blog-post-length tweets. Some good stuff that isn't on Scripting News.
		- So if you're subscribed to the <a href="http://scripting.com/rss.xml">feed</a> for my blog, you probably should also subscribe to this one.
		- <a href="http://pngwriter.com/users/davewiner/rss.xml"><span data-auto-link="true" data-href="http://pngwriter.com/users/davewiner/rss.xml">http://pngwriter.com/users/davewiner/rss.xml</span></a>
		- That's all! ;-)
- 12/20/2016
	- Why #pngWriter isn't available yet...
		- I've almost pulled the trigger a few time on a public release of <a href="http://scripting.com/2016/12/15/demoOfPngwriter.html">pngWriter</a>, only to change my mind and be glad I did. &nbsp; &nbsp;
		- I often release software too early. Later, when I realize that I need to change the software, after the initial release, there can be three big problems. 
		- <ol><li><span>It might mean renaming, redesigning or removing a feature. Users are usually very unhappy about any of that. If I wait, I get to tweak the feature set and there are no users around to give me grief. And knowing that they're going to be unhappy makes me conservative, and ultimately hurts the product. And it stops being fun for me.</span></li><li><span>I might have to change the product in a way that makes the new version incompatible with previous versions. That means migrating the users, and these days that means doing it so they don't even know it's happening. Those "corner turns" can be complex, and require a lot of thought and work, and it's precarious. If there's a bug in the transition code, it shows up in awful ways. If there are no users, no migrations!</span></li><li><span>Also, if I limit the initial user base to people I know will report problems if they see them, I get something back from having users. It's been really disappointing for me providing software for net users the last few years. You never hear from them except to tell you that you fucked up, even when they treated the software disrespectfully, sometimes <i>incredibly</i> disrespectfully. People these days are often selfish, uncaring, rude, and demanding when it comes to software. Sometimes it's hard to see why I should ever release it, actually.</span></li></ol>
		- 
		- Just being honest with you. Software developers are people too. I know it's hard to believe. :smile:
		- Now there could be a downside to waiting too long. A competitor might come along and make an even better product. That's a real risk. I've never gotten bitten by it, but there's always the first time. That's one of the reasons I've made my pngWriter RSS feed <a href="http://scripting.com/2016/12/19/myPngwriterFeed.html">public</a>, so at least a hidden competitor can see how to be compatible, if they don't want to hold their users hostage.&nbsp;
		- I think ultimately if pngWriter works two things will happen:
		- <ol><li><span>A market will develop and that market will not lock users in.&nbsp;</span></li><li>Twitter will see that their online community benefits from having people be able to express full thoughts, and the "png" part of pngWriter will become <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=define%20vestigial">vestigial</a>. It'll still be a great writing tool for Twitter users, but it won't have to resort to an <a href="http://thesaurus.land/?word=egregious">egregious</a> hack to let people communicate fully.</li></ol>
		- 
	- Martin Luther King Day is Jan 16
		- <a href="https://en.wikipedia.org/wiki/Martin_Luther_King_Jr._Day">Martin Luther King Day</a> is January 16.
		- It's the day we celebrate the life of a great American hero.&nbsp;
		- At this point I bet most Americans believe that MLK is <a href="https://www.google.com/search?q=martin+luther+king+american+hero&amp;oq=martin+luther+king+american+hero&amp;aqs=chrome..69i57j0l2.4575j0j4&amp;sourceid=chrome&amp;ie=UTF-8">that</a>.&nbsp;
		- Maybe next year we won't celebrate this holiday. Maybe Martin Luther King Day will be deemed too <i>politically correct</i> by our government.
		- <span>That's why this time it's so important to make the most of the moment.&nbsp;</span>
		- <span>And when we have to make a choice, ask WWMLKD?&nbsp;</span>
		- <span>What Would Martin Luther King Do?</span>
- 12/21/2016
	- Honoring America on MLK Day 2017
		- On January 16, <a href="https://en.wikipedia.org/wiki/Martin_Luther_King_Jr._Day">Martin Luther King Day</a>, everyone who believes in equal rights will wear a simple button with MLK's likeness. No slogan. Just his face.&nbsp;
		- It says "I believe in everyone's rights."
		- And -- maybe we never take it off.
		- <span>When I say everyone, I mean everyone. Especially white people, especially people who voted for Trump. I'm not kidding about that.&nbsp;</span>
		- <span>There are some who think that if you voted for Trump that means you want to hurt people who aren't white, Christian, or born in the US. We have to say emphatically that this is not so. </span><i>We can't let angry racists speak for half the country.&nbsp;</i>
		- <span>I want to make this so big that people who don't wear the button stand out.</span>
		- Celebrating the heroic Martin Luther King, Jr as an American role model is our way of reasserting our values at a time when many feel they are in danger of getting swept away.
		- I will be wearing a MLK button on January 16.
		- Now I need to get everyone else to do it too. ;-)
	- Happy holidays everyone!
		- <span>It's the longest darkest night of the year.&nbsp;</span>
		- Sometimes it gets to you.&nbsp;
		- Think happy thoughts, about all the other good people in your midst, who are feeling the gloom of this season.&nbsp;
		- Know that <i>I</i> appreciate you! :balloon:
		- I wish there was an emoji for :hug: -- so we'll just have to imagine it.
		- And in the meantime, remember, from this point the days get longer, the nights shorter, and someday soon the sun will shine on us once again!
		- Happy holidays and peace on earth.&nbsp;
		- Love,
		- Dave
- 12/27/2016
	- About the inaugural
		- Jimmy Carter is doing the right thing by <a href="http://www.mypalmbeachpost.com/news/national/jimmy-carter-only-president-commit-trump-inaugural/tB4VeVx9aLaY6IRP0j5ceI/">going to</a> the inaugural.
		- Like it or not, Trump is the next POTUS and commander in chief. I expect to oppose many things the new administration does, as I'm sure Carter does. But we have to begin the new term with a basic respect for ourselves and our form of government. That's independent of who occupies the office.
		- Also, there will come the moment of truth when the new president takes the oath itself. I want to hear him say the words, that he swears to honor and defend the Constitution of the United States. If we're going to hold him to it, we ought to have to courage to hear him say it.
		- I am opposed to any demonstration intended to distract attention from the inaugural. There are many excellent opportunities to state our positions both before and after. A great time to state our aspirations for the future America is four days before, on MLK Day. What an incredible coincidence in timing. We should use it.
		- On January 20, however, we don't inaugurate a president of one party or another, we inaugurate a president of the country.
- 12/28/2016
	- Amazon could be more international
		- <span>I bought a gift card for a friend who lives in the UK, but I bought it on <a href="http://amazon.com">amazon.com</a>,&nbsp;thinking that would be great because they're so international. But it turns out you can't use an&nbsp;</span><span><a href="http://amazon.com"><span data-auto-link="true" data-href="http://amazon.com">amazon.com</span></a></span><span>&nbsp;card on amazon.co.uk.</span>
		- So, that meant she could spend the money in the US, but then the shipping fees would seriously cut into the value of the gift and shipping would take weeks. Not the experience I signed up for. 
		- Luckily my friend, the gift recipient, told me about the trouble (in a FB chat conversation that was instantaneous and cost $0). I got on the phone with Amazon, probably talking with someone in China (even more international) and we figured out the only thing to do was to cancel the gift card, and I'll now have to become a member of <a href="http://amazon.co.uk"><span data-auto-link="true" data-href="http://amazon.co.uk">amazon.co.uk</span></a> so I can give my friend a gift card she can actually use in the country she lives in. 
		- So Amazon, a creature of the net, if there ever was one, can't get their two systems to talk to each other? I should send them a pointer to the XML-RPC <a href="http://xmlrpc.scripting.com/spec.html">spec</a> or <a href="https://www.amazon.com/Programming-Services-XML-RPC-OReilly-Internet/dp/0596001193">book</a>. ;-)
		- S<span>o I went ahead and logged on to </span><a href="http://amazon.co.uk"><span data-auto-link="true" data-href="http://amazon.co.uk">amazon.co.uk</span></a><span> with my American account and it worked. So the rep was wrong, I didn't need to create a new account.</span>
		- I did have to re-enter my credit card, and choose between pounds and dollars. This isn't something I've done before, so I had questions that weren't addressed in the process, like what are the tradeoffs in choosing betw pounds and dollars (I imagine my credit card company charges me a conversion fee if I use pounds, but it's harder on my friend if it's in dollars, so I went with pounds). 
		- Net-net the guy on the phone could have been more helpful, or (it seems) the whole process could have been transparent, if they let my friend use the gift card on amazon.co.uk. Perhaps there's a tax reason for this? Or some regulation? But it took some of the fun out of the present, which isn't a good thing. Hassles are tolerable on my end but on hers? Please this is a gift. Amazon could have been a bit more on my side here.<h4>No first names please</h4>
		- As a by-product of waiting on hold listening to elevator music, I realized why I don't like big company reps using my first name. It's because they are repping a big company and don't have a first name.&nbsp;
		- <span>I'm not talking with a person, I'm talking with a company. When they try to make it person-to-person that's got to be to my disadvantage, as a customer. So I don't like it. (Finally a purpose in being on hold listening to elevator music.)</span>
	- We're becoming a scared country
		- If most Trump voters are not racists, then let's stand together against racism.
		- Fact: Many Americans are scared of what's coming. 
		- The Constitution says that the Bill of Rights applies to everyone.&nbsp;
		- We can't allow it to be bent to traumatize and victimize people because of their gender, race, religion or sexual orientation. 
		- Stand up for equal rights. Then we can really make America great.  Because an America that's only for white Christian males is a scared country, not a great one.&nbsp;
	- Please RT for uncle Ted the Trump voter
		- You know that uncle who voted for Trump who says he's not racist. I have an answer for him (or for your aunt, or niece or nephew or friend or whatever).
		- The answer is this: Great! Now let's stand up against racism, because it's a real problem and getting worse, and people are scared.
		- I never ask anyone to RT something, but this is the exception. Please if you use Twitter, go to this tweet&nbsp;and RT it.&nbsp;
		- <a href="https://twitter.com/davewiner/status/814188114466013184"><span data-auto-link="true" data-href="https://twitter.com/davewiner/status/814188114466013184">https://twitter.com/intent/retweet?tweet_id=814188114466013184</span></a>
		- I want it to reach every Trump voter on Twitter.
		- We need to separate the ones who really don't want racism from the ones who do. It's a <a href="https://en.wikipedia.org/wiki/Wedge_issue">wedge</a> that would be <i>good</i> for America.
- 12/30/2016
	- Learning to respect myself
		- Many many years ago I had a "friend" who I'll call Dick, because that's what he is.
		- I met him when I was 25. I had developed a product, but hadn't gotten anyone to believe in it. I went to trade shows and borrowed booth space from friends, they let me camp out in a corner and meet people there so I could do demos. At one of these shows "Dick" had been given the space next to me. He always talked so loud that the people I talked to couldn't hear me. He took up my space so I had to stand against the wall and look like an idiot. I eventually gave up and walked around the show, pretty dejected.
		- A few years later, after I had made a success of my product, I ran into "Dick" and he was the same guy, only this time he was kissing up to me, but he still talked over me, and the way he told stories he always had it better than I did. I never liked him, but at times I thought of him as a "friend," I guess because I didn't believe in myself enough to think that I deserved real friends who liked me and treated me well. A guy like "Dick' only has "friends" because there are a lot of people like I was, people with a poor self-image. 
		- Anyway, a couple of weeks ago "Dick" showed up again in my life, this time on Facebook. I had forgotten what a jerk he was. This is something I tend to do. I thought it was nice to cross paths with him again. But after our first chat, I found myself feeling upset and didn't like the feeling. Later I figured it out, that's how Dick always made me feel. Because I'm so forgetful, he actually had a chance for a clean fresh start. But people don't change, unless something terrible happens in their life to shake them up. Clearly that had not happened to "Dick."
		- So Dick was coming to NY and wanted to get together for lunch. We set the date for Monday. On Sunday he texts me and asks if we could do it Wednesday instead. I was able to switch, but I kind of saw where this was going. Then on Wednesday morning he asked if we could push the meeting back 1/2 hour, because he had something before that might run over. I said okay. 
		- So I walked to the restaurant and got there exactly on time. He wasn't there of course. I registered with the host, there was a 45 minute wait. This is a very popular restaurant. I didn't know. I waited outside ten minutes in the cold, and under my heavy jacket I'm sweating, because I walked 40 minutes to get there. So, after ten minutes I get a text saying he'll be 15 minutes late (on top of the ten minutes he's already late). So I left. I took the subway home. 45 minutes after when we were supposed to meet, I got another text from him asking where I was. I ignored it. When I got home I unfriended him. 
		- (I think I figured it out. He knew there would be a 45 minute wait, and decided to let me do the waiting. That's what an ass Dick is.)
		- So our first and last experiences were the same. I don't think I'll ever see or talk with this person again. But the moral of the story is we have people in this world who for whatever reason need to have power over other people. I am not one of them, and am thankful for that. It's taken a long time for me to understand how this works. I don't know how people get like that, and I don't really care to know. But I know that I'm worth being treated with respect.&nbsp;
	- To Jack: Seize the day man!
		- Okay so <a href="https://twitter.com/jack/status/814537990366228480">Jack</a> <a href="http://www.recode.net/2016/12/29/14117188/twitters-jack-dorsey-edit-tweet-product-ideas">wants</a> advice.
		- I say think big Jack!
		- Imagine a news system that combines the features of cable news that people find so comforting with the level playing field of social media.
		- Find a way to surface <i>original ideas,</i> not rehashes of the same old stuff. Really you don't get many news ideas from the news most people get.&nbsp;
		- <span>Be audacious. Encourage all your participants to be news reporters and discussers. Add on an assignment desk. A kickstarter-like feature for commissioning investigations. Organize the users into the largest news organization that has ever existed, maybe the largest one that will <i>ever</i> exist.&nbsp;</span>
		- <span>Don't stop here. News is not at equilibrium. And Twitter is news and news is Twitter, if you let it be.</span>
		- <span>Really all that's needed are tools for organizing, which just happens to be exactly what we need in the political life of our country, of the world.&nbsp;</span>
		- Jack, you've got the biggest opportunity in news in a century.
		- Carpe diem man!
		- PS: With Twitter stock so depressed it's hard to imagine shareholders objecting to anything exciting or interesting with a chance of yielding great results. (Note I own a small number of Twitter shares myself.)
		- PPS: I posted two <a href="https://twitter.com/davewiner/status/814545966212804608">specific</a> <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">ideas</a> to the thread Jack started.&nbsp;
	- Wear a MLK button for America
		- I bought 100 buttons for <a href="http://scripting.com/2016/12/21/honoringAmericaOnMlkDay2017.html">MLK Day</a> from imprint.com.
		- The total cost, including shipping, from Texas to NYC was $56.33, which of course comes to $0.57 per button. I ordered them on 12/27 and they arrived today.&nbsp;
		- Here's a <a href="https://imprint.com/shop/custom-pin-buttons/round-buttons/1-1/2-inch-round-custom-buttons?designedBy=customer&amp;id=483388&amp;email=dave.winer@gmail.com">link</a> to the design.&nbsp;
		- <span>Here's a </span><a href="http://scripting.com/2016/12/30/mlkButton2.png">picture</a><span> of a few of the buttons, to give you an idea of what they look like. They look good, seems like a quality product.&nbsp;</span>
		- If you want to help, buy 100 buttons like I did, and hand them out to friends who will wear them. And of course, wear one yourself!
		- Remember January 16 is Martin Luther King Day. This year, a very important holiday.
		- PS: I make nothing on these buttons. I'm helping spread this idea because America needs our help to make sure we keep the Bill of Rights, and protect the most vulnerable among us. That's all and nothing more.&nbsp;
- 12/31/2016
	- Containers for the people
		- Playing with yet another idea for how to do a tweetstorm.
		- Here's a <a href="http://listicle.io/dave/containers/">sequence of ideas</a>&nbsp;presented as a slideshow. Each idea is roughly tweet-length.&nbsp;<span>The Twitter icon in the middle of the top line RTs the current item. The arrows navigate. The Home icon takes you to the first item.&nbsp;</span>
		- This one, unlike pngWriter or Little Card Editor, will probably use an outliner as an authoring tool. Much like the Bullet Chart view that made MORE a hit in 1986.&nbsp;
		- Everything old is new again? Haha who knows.
