- May 2018
	- May 31
		- From the <i>How Far They've Fallen</i> category, if you <a href="https://www.google.com/search?safe=off&source=hp&ei=fFcQW52LMI6d5wLgs77IBQ&q=infinity&oq=infinity&gs_l=psy-ab.3..35i39k1l2j0i20i263k1j0i67k1l2j0j0i20i263i264k1j0i131k1j0j0i67k1.2761.4520.0.5728.10.9.0.0.0.0.110.800.5j3.9.0....0...1.1.64.psy-ab..1.9.976.6..0i131i20i264k1.176.hTKlkvgRICA">search</a> for <i>infinity</i> on Google, you get a <a href="http://scripting.com/images/2018/05/31/googleSearchForInfinity.png">page of ads</a> for a car named Infiniti. <s>Even more interesting, if you <a href="https://www.google.com/search?q=define+google&rlz=1C5CHFA_enUS743US747&oq=define+google&aqs=chrome..69i57j0l5.1927j0j3&sourceid=chrome&ie=UTF-8">search</a> for <i>define Google</i> on Google, you don't get the mathematical definition either. In this case, they are probably correct, the name of their company has usurped the <a href="https://whatis.techtarget.com/definition/googol-and-googolplex">mathematical</a> definition.</s>
		- Script runtimes should have a parameter supplied by the "supervisor" app (the one that's running the code) that says "only accept constant expressions." Anything involving a name that isn't a constant, like <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/NaN">NaN</a> or <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Infinity">infinity</a> is a fatal error. Having this level of security inside the runtime is essential. 
		- “The best platform vendor is no platform vendor.” Me, on Faceboo.
	- May 30
		- Here's the new <a href="http://scripting.com/code/xmlrpcdebugger/">XML-RPC debugger</a>. May it help get the ball rolling! 
		- <a href="http://this.how/forTheRecordBlogging/">For-the-record blogging</a>. For a few years Medium became the place that people would post essays that were meant to be on the public record. This was not a good idea, because Medium is a venture-backed startup, and was likely to pivot. What's on-the-record today must at least have the stated intention of being accessible tomorrow. That was never true of Medium.  
		- Now that I have my <a href="https://github.com/scripting/xml-rpc">XML-RPC server and client</a> for JavaScript, I've started to look for activity if any, in the RPC world, not just in XML but also JSON. Here's a <a href="https://www.artima.com/weblogs/viewpost.jsp?thread=334124">survey</a> written by Bruce Eckel in 2011. I could very easily add JSON support to my XML-RPC package, because it converts the request to JSON before processing it. Thinking about next steps. 
		- <a href="https://twitter.com/davewiner/status/1001832389746753536">Elitism is obsolete</a>. Yet journalism and tech cling to the concept. 
		- <a href="https://github.com/scripting/Scripting-News/issues/82">Braintrust query</a>: Developer Tools Access it trying to take control of another process. Does my Mac have a virus? How can I get rid of this menacing dialog? Any help much appreciated. 
		- Whataboutism
			- One of the cool things about the advent of Trump and the influence of Russia is that we have a new concept, <a href="https://en.wikipedia.org/wiki/Whataboutism">whataboutism</a>. It's useful because Americans do it too. Here's a conversation that illustrates.
				- Joe: "It hurt when you stepped on my toe. Please don't do it again."
				- Bob: "But you drove my car last week without asking."
			- Whether Joe drove Bob's car last week has nothing to do with the toe stepping. What if instead Bob didn't want to hurt Joe, and appreciates knowing that there's a way to improve their friendship. 
				- Bob: "I'm sorry I hurt you. I will try not to do it again."
	- May 29
		- My new <a href="https://github.com/scripting/xml-rpc">XML-RPC client and server</a> for Node.js is available. If you run XML-RPC in your world, please help <a href="https://github.com/scripting/xml-rpc#please-help-test-for-interop">test for interop</a>. Please post notes about your experiment as an <a href="https://github.com/scripting/xml-rpc/issues">issue</a> in the repository.  
		- The press <a href="https://www.politico.com/story/2018/05/29/roseanne-barr-valerie-jarrett-tweet-610266">sighs</a> "Oh my another distraction, keeping us from reporting real news." That's how I (failed to) quit smoking for a couple of decades. I quit for real, in an instant when a doctor said it would kill me in three years if I didn't stop.
		- Jim Carrey is a star. He's doing something unusual. Taking a stand in favor of our country. So many people I know, elites (for lack of a better term) are protecting their careers and tempering their criticism. It's not time for temperance, not time to play it safe.
	- May 28
		- My test XML-RPC server is up at betty.scripting.com. Same calling conventions as the original betty.<i>userland</i>.com (which is not up at the moment). The idea is to test this server, verify interop, or fix it, iterate, and when it's solid, make this the definitive test server. Here's <a href="https://github.com/scripting/xml-rpc/blob/master/client/code.js">example code</a> in JavaScript that calls this server, but any of the <a href="https://duckduckgo.com/?q=betty.userland.com&t=h_&ia=web">docs</a> for betty.userland.com should work. More tomorrow.
		- Joi Ito <a href="https://joi.ito.com/weblog/2018/05/28/citing-blogs.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+joi-ito/weblog+(Joi+Ito%27s+Weblog">makes</a> the case for citing blogs in academic writing. It doesn’t seem controversial to me. Blogs are where sources write. Same reason journalists cite blogs (and tweets). The record is where it is. For example, I’ve spent the last week rebuilding XML-RPC in JavaScript. The original work was done in 1998, and the process was started with a <a href="http://scripting.com/davenet/1998/02/27/rpcOverHttpViaXml.html">blog post</a>. That post is very much part of the record. Conclusion -- as with journalism, it's a case of apples and oranges. I've never written an academic paper, and don't expect to. But if you were doing research on networking protocols, the source material for at least some of your work, would be on blogs. Which of course, makes it clear why we should be doing more to <a href="https://www.google.com/search?q=future-safe+archives+site%3Ascripting.com&rlz=1C5CHFA_enUS743US747&oq=future-safe+archives+site%3Ascripting.com&aqs=chrome..69i57.6911j0j3&sourceid=chrome&ie=UTF-8">preserve</a> the record. 
		- Life lesson -- if you're going to say something that you know is going to bring up someone else's pain, be sure there's a good reason.
	- May 27
		- I’ll probably be ready to start testing my new "XML-RPC" in JavaScript tomorrow. Interop is everything of course.
		- Have you ever seen <a href="https://twitter.com/mikeseidel/status/1000849216120524802">such</a> a thing?
		- Everyone knows the developing paywall system is unworkable. Eventually there will be distributors between readers and news orgs. If the news world doesn’t work together all their revenue will flow thru tech companies. Not good for business or speech. 
	- May 26
		- <a href="https://om.co/2018/05/26/what-is-age/">Om writes</a> about age. I find age tempers my enthusiasm, because I know the cost of not conforming. Crossing boundaries others don’t want crossed. You have to fight for every inch. With age comes reluctance for yet another struggle.
	- May 25
		- Getting close with my "XML-RPC" client and server for Node. You can hook the server up to anything, easily. Factoring is good. Also a client that runs in browser. It’s like getting a classic car running. This is how I have fun. 
		- Debugging Node apps
			- I got the <a href="https://github.com/scripting/Scripting-News/issues/81#issuecomment-391938121">answer</a> to yesterday's <a href="http://scripting.com/2018/05/24.html#a145021">query</a> about getting at the data in a Node app using the debugger. There's a new way to do it. First you have to install a <a href="https://chrome.google.com/webstore/detail/nodejs-v8-inspector-manag/gnhhdgbaldcilmgcpfddgdbkhjohddkj">Chrome app</a>. Then launch the Node app with a --inspect flag.
				- <code>node --inspect test.js</code>
			- The app launches. It displays a URL to open in Chrome. Copy it, paste it into the browser address bar, and the debugger opens. Your files are in the left margin. Click one. Set a breakpoint. When the app stops there you'll see the data in the right panel, and when you click the wedge, it expands. 
			- One concern, this process requires using Chrome, and I'm expecting to have to stop using it soon because it <a href="http://this.how/googleAndHttp/">breaks</a> all my sites. 
	- May 24
		- Listen. If you have something worth saying that requires more than a single tweet, as a reader I will feel more respected if you write it in a blog post, and refine it so it's easy to figure out what your point is. There still is a cacaphony of people wanting attention, more all the time, and it might be that more people will see your tweets, but I think more people will comprehend your thinking if you write it, as opposed to tweeting it. There is a difference. (Also I'm more inclined to route a blog post through my <a href="http://scripting.com/?tab=links">linkblog</a>. I rarely circulate tweets that way.)
		- Quick <a href="https://youtu.be/NjXz1apuG2o">video</a> that illustrates a problem I'm having with node-debug. Any <a href="https://github.com/scripting/Scripting-News/issues/81">help much appreciated</a>. 
		- What's normal is what's real
			- Josh Marshall wrote a <a href="https://talkingpointsmemo.com/edblog/stop-talking-about-norms">piece</a> yesterday saying it's time for journalism to stop talking about norms. Of course I agree. I've been writing <a href="http://scripting.com/2018/05/23.html">about</a> <a href="http://scripting.com/2018/05/21.html">that</a> a lot lately.  
			- Here's an analogy. Suppose you have a horrible accident and one of your legs is amputated. So you're trying to learn how to live with a single leg. All the while you're screaming at anyone who will listen: This is not normal. This is not normal. 
			- But it <i>is</i> normal. It just isn't what was normal in the past. 
			- There's a word for reporters who behave as if The Trump Totalitarian State, the one that's still emerging, isn't normal. Deluded. Not coping with reality. There are proper ways to respond to a totalitarian state, but saying <i>it's not normal</i> is not a good response.
			- We're in a weird period where (following the analogy) the leg hasn't been fully amputated yet. For example we still have a court system that's willing to <a href="https://arstechnica.com/tech-policy/2018/05/judge-orders-donald-trump-to-stop-blocking-people-on-twitter/">order</a> the president to stop blocking people on Twitter. 
				- An aside, how will that be implemented? Will Twitter disable the block command on his account? Will they unblock all the people he's previously blocked? Surely they're not depending on El Presidentè to personally obey the order? 
			- We still appear to have free speech. The right to assemble. Our votes still seem to work, even though some our votes are suppressed. But there's no question the doctor intends to amputate. So maybe we should be talking about things other than the incorrect idea that this is not normal. It most definitely is. 
	- May 23
		- I couldn't sleep after last night's <a href="https://www.sfgate.com/warriors/amp/Warriors-collapse-in-4th-quarter-as-Rockets-even-12936022.php?__twitter_impression=true">excellent game</a> between the Rockets and Warriors, so I tuned into the midnight re-broadcast of Maddow. She had an ex-CIA guy on as <a href="https://www.msnbc.com/rachel-maddow/watch/james-clapper-on-russia-they-swung-the-election-to-a-trump-win-1239786051725?playlist=associated">the big guest</a>, he has a <a href="https://www.amazon.com/Facts-Fears-Hard-Truths-Intelligence-ebook/dp/B076GPMDTS/ref=sr_1_1?s=books&ie=UTF8&qid=1527082847&sr=1-1&refinements=p_27%3AJames+R.+Clapper">book</a> out. He says he believes, now that he's retired, that the Russians did influence the outcome of the election. Rachel paused, as if some big moment had passed. She seemed to be saying, aha now at last the truth has come out. I thought this is so laughably ridiculous. Of course <i>we all knew</i> that the Russians influenced the outcome of the election. This. Is. Not. News. Stop being so ridiculous Rachel. Let's move beyond what we all know. We all know what happened in 2016. Now let's put up some defenses against what's happening <i>now. </i>
		- What if, instead of only studying the way Trump is crashing our democracy, we devoted equal time to studying <a href="https://en.wikipedia.org/wiki/Political_abuse_of_psychiatry_in_the_Soviet_Union">life</a> in a <a href="https://en.wikipedia.org/wiki/The_Lives_of_Others">totalitarian</a> state, so we can anticipate what's coming next. We still have a long way to go before the Constitution is gone, so the more we know about what's coming next, the more effective we can be at heading it off. In other words, what if we didn't panic and instead learned how to put up the best defense possible. This is especially relevant for tech people, because life in our totalitarian state will be more completely totalitarian than any before, thanks to the incredible spying devices we <a href="https://www.apple.com/iphone/?afid=p238%7Cs6HPNxDZt-dc_mtid_20925d2q39172_pcrid_220885752408&cid=wwa-us-kwgo-iphone-slid--">carry</a> in our pockets and <a href="https://www.amazon.com/gp/product/B0749WVS7J/ref=s9_acsd_al_bw_c_x_2_w?pf_rd_m=ATVPDKIKX0DER&pf_rd_s=merchandised-search-5&pf_rd_r=7SHKS157YHYZVH6K94VH&pf_rd_r=7SHKS157YHYZVH6K94VH&pf_rd_t=101&pf_rd_p=6a747220-e57e-4f0f-8e80-7197dcb56327&pf_rd_p=6a747220-e57e-4f0f-8e80-7197dcb56327&pf_rd_i=9818047011">install</a> in our homes, naïvely assuming they only have benign applications. We create that technology. And already we are <a href="https://www.theguardian.com/commentisfree/2018/may/16/google-business-war-project-maven">refusing</a> to help, and that's a good sign, of course.
		- The oligarchs must know climate change is real
			- I always figured that our oligarchs know full well that climate change is real, they just have a different strategy for dealing with it. 
			- I read this <a href="http://www.antipope.org/charlie/blog-static/2018/05/happy-21st-century.html">piece</a> by Charles Stross yesterday where he outlined what I assumed was their actual plan. Here's the relevant section.
				- Right now climate denialism is a touchstone of the American right, but the evidence is almost impossible to argue against right now and it's increasingly obvious that many of the people who espouse disbelief are faking it—virtue signalling on the hard right. Sooner or later they'll flip. When they do so, they will inevitably come to the sincere, deeply held belief that culling the bottom 50% to 90% of the planetary population will give them a shot at survival in the post-greenhouse world. 
			- I have told this story myself, once at full volume in a crowded NYC subway car (inadvertently, I tend to speak loudly) and was rewarded with agreement from fellow subway riders. 
	- May 22
		- Idea processing. In your brain a complex project in all its facets is just there. To implement the project, you must serialize it and communicate it, so that the same blob appears in the individual minds of the team. If they understand how their work relates to others, it triggers their instinctive sense of teamwork. We’re a social species, we’re more functional if we understand where we fit in. This is why software that lets you visualize, organize, and communicate your understanding of a project makes you a more effective leader.
		- There's a disconnect in developerland. Thinking about the cost of a change, the advocate only contemplates how much it costs for new development, not the cost to transition existing applications, or in the case of the web, websites or domains. The longer the technology has been deployed, the larger the cost, and the more widely deployed the larger the cost. HTTP, the protocol of the web, has been constant for 25 years, and is probably the most widely deployed protocol in existence. The cost to do a major transformation of HTTP is huge. Yet when we discuss it, advocates generally speak in terms of how much it would cost to put up a new website. 
		- Sometimes the advocates are aware that there is an installed base. They give it a <a href="https://en.wikipedia.org/wiki/Legacy_system">disparaging name</a> that makes it seem okay to ignore it. Or they say that the new protocol will be so much better that any sane person will want to switch right away. Or the new protocol is so compelling the installed base will swamp the base of the old klunky one. What happens is the new way is over-done and too complex and gets very slow adoption even from new applications. And if the proponent is a bigco, like Apple or Google, the market ends up with a hairball. Too many hairballs and the market fades away. Never actually disappears, but people lose interest. (This is what happened with SOAP and all the WS-xxx protocols.)
		- I have a question. Why don't they use Walt Frazier as a commentator on TNT instead of the Stan Van Gundy and Mark Jackson. They are so awful and Frazier is so good.
	- May 21
		- <a href="https://twitter.com/davewiner/status/998769405390712837">Poll</a>: Which teams will be in the NBA Finals?
		- A 15-minute <a href="http://scripting.com/2018/05/21/weAreThePower.m4a">podcast</a> explains why I'm finished waiting for journalism or the Democrats to lead us out of the abyss. We don't have to be riveted on the stream of minutiae coming out of journalism. Instead we have to organize and get the focus where it belongs, on the people. We're considered spectators, part of a wave that might or might not exist. The only way out of this for the people to organize. And that means <i>doing things, </i>not just watching.
		- I have an <a href="https://electronjs.org/">Electron</a> app that's developing into a "Frontier"-like thing, but there are still many things Frontier does better or easier. Then I had a flash, why not call Frontier from the Electron app. How? Using <a href="http://xmlrpc.scripting.com/">XML-RPC</a> of course. So I wrote an XML-RPC client in JavaScript. Doesn't yet support all the types. It works! I was able to call <a href="https://books.google.com/books?id=cZ7RAQAAQBAJ&pg=PA97&lpg=PA97&dq=examples.getStateName&source=bl&ots=0d1hw6T5tq&sig=UxqJEDleugSOvKoSIfKLxjH3QC8&hl=en&sa=X&ved=2ahUKEwjCm_Xv85bbAhVyuVkKHZGYD70Q6AEwB3oECAEQTg#v=onepage&q=examples.getStateName&f=false">examples.getStateName (23)</a> and sure enough it returns Minnesota. This might be very interesting. 
		- Last month, XML-RPC was 20 years old. Here's a <a href="http://scripting.com/davenet/2002/04/04/fourYearsOfXmlrpc.html">piece</a> written on its fourth anniversary in 2002. Thanks once again to Bob, Mohsen and Don for the best collaboration of my career.
		- O'Reilly XML-RPC <a href="https://www.amazon.com/Programming-Services-XML-RPC-OReilly-Internet/dp/0596001193">book</a>. They have the <a href="https://books.google.com/books?id=l40nvlrjWL0C&printsec=frontcover&dq=xml-rpc+o%27reilly+book&hl=en&sa=X&ved=0ahUKEwirp9SJr5jbAhWHtlkKHWeyBqIQ6AEIKTAA#v=onepage&q=xml-rpc%20o'reilly%20book&f=false">full text</a> on Google Books.
		- We're cleaning out the family home before selling it. My mom had a picture of me from the 1980s on the fireplace mantle. It's a publicity shot from Living Videotext that appeared in a fair number of press stories about our company. A good picture, but it had a lot of exposure to the sun over the years. That's what the white spots are from. :boom:
	- May 20
		- I’m skipping the Sunday news shows, first time in many months. I broke the habit. Why? The news just tells us how sick we are. I understand. Let me know when the news starts helping us dig out.
		- We need to be organized
			- Once you give up on the idea that the solution to our problems will ever show up in the news, it leads to new observations. 
			- Like this. The opposition, basically American <a href="https://en.wikipedia.org/wiki/Oligarchy">oligarchs</a>, who thanks to Citizens United have been able to buy enough of the government to dismantle our democracy, is somewhat organized. The rest of us, who, combined, have huge economic power if we could just organize ourselves, are without leadership. Waiting for something unspecified to happen. 
			- The best the Democrats can do is <a href="https://en.wikipedia.org/wiki/Tom_Perez">Tom Perez</a>. He has zero charisma, no ideas, not even slightly bold. I listen to him, but it's painful.
			- Our problem isn't knowing <a href="http://scripting.com/2018/05/08/194430.html">what we stand for</a>, we know. We need to organize our power to balance that of the oligarchs. The fact that we can't get organized is not an accident. The owners of the media are oligarchs too.
			- Start by looking to people who have done amazing jobs of organizing in the past. I would start with civil rights leaders. Union leaders. The Parkland kids. Teachers. Find people who can speak and write passionately. 
			- It's not enough to win elections, we have to elect powerful leadership to oppose the already organized and powerful leadership on the other side. 
		- Mysterious AWS problem
			- <i>Important: This is not a request for support from Amazon.</i>
			- I had an issue on one of my EC2 servers starting last night. A few of the apps running on it were not accessible over the net.
			- I figured one of my code updates had broken something, but I couldn't find a common thread between the apps. They were <a href="http://xmlviewer.scripting.com/?url=http://rss.art19.com/the-daily">xmlviewer</a>, <a href="http://river5.scripting.com/">river5</a> and <a href="http://json.chat/">jsonchat</a>. 
			- xmlviewer is the simplest so I started with that. 
				- Ran it locally. Works fine. 
				- Checked if the request was making it to the server. It wasn't. 
				- Checked if DNS was properly mapped. It was. 
				- Then I checked if the port was open in the EC2 firewall. It wasn't. There was the problem. I opened the three ports for the three apps and voila, they are working again.
			- Which leaves me with a mystery. I can't imagine I woke up in the middle of the night, in a dream, opened the EC2 console and deleted the entries for the three ports. But they weren't there.
			- What happened? I may never know! :rocket:
	- May 19
		- I noticed this feature on <a href="https://talkingpointsmemo.com/news/aaron-schlossberg-is-our-duke-of-the-week">TPM</a>, a little control that increases and decreases the text size. I <i>reallllly</i> appreciate this, even though their story text is already quite readable. I decided to add it to my <a href="http://scripting.com/2018/05/10/133513.html">story pages</a> and <a href="http://scripting.com/2018/05/19.html">day archive</a> pages. A nice little addition. Doesn't clutter things up, and its purpose is fairly obvious, I hope. :boom:
		- I watched the American Experience <a href="https://www.youtube.com/watch?v=F1KdhWwSckY">biography</a> of Nikola Tesla. Great story. He invented alternating current, designed the motor that used it. Also invented radio, though Marconi claimed credit. Tesla ultimately won, posthumously. 
		- Fiddling while earth burns
			- I'm going to Trieste to speak at the <a href="http://sotn.it/">State of the Net</a> conference on June 15. My second time.   
			- I really appreciate the opportunity, going to Italy in June is nice. Great food, wine and spirited discussion.  
			- I want to talk about breaking down the walls of journalism to get the people involved. I believe that's still where we're going, and the urgency is all the more severe given the way journalism has been shrinking and drifting. 
			- Journalism got us Trump. 
			- If the press were more of the people we'd have had a chance to have a serious talk among ourselves and ask if we really want to go this route. The core problem is the lack of respect we, the people, have for each other, and the extent to which we let politics and journalism herd us. They do it so well, optimized to make us succumb to advertisements, same as the giants of tech. And get us to accept, even desire!, inadequate health care and education, or even safe water and disaster relief. 
			- Meanwhile the climate keeps warming, and the earth becomes less habitable. 
		- Side-stepping Google
			- <a href="https://en.wikiquote.org/wiki/John_Gilmore">John Gilmore</a>: "The Net interprets censorship as damage and routes around it."
			- For the latest on Google's plans to turn the open web into Disneyland, read their May 17 <a href="https://blog.chromium.org/2018/05/evolving-chromes-security-indicators.html">announcement</a>. I've written a <a href="http://this.how/googleAndHttp/">backgrounder</a> on the issue of Google and HTTP. Before jumping to any conclusions about what I think, please read it. 
			- Anyway, I had an <a href="https://github.com/scripting/Scripting-News/issues/80">idea</a> that there might be a route-around. Suppose there was a site that was a container for the web. It has an address bar at the top where you enter the address of a site. It then displays the contents of the site below. It accepts HTTP or HTTPS. But the container site is accessible via HTTPS.
			- Problem solved? It seems we've restored access to the sites Google doesn't like. Yes you have to access us in a compatibility box, and that's hopefully just a temporary fix until one of Google's competitors decides to try a more cooperative approach to whatever it is Google is trying to do (and I don't believe it has anything to do with our security, it's their ad revenue they're worried about).
			- PS: Here's a <a href="https://github.com/scripting/Scripting-News/issues/80">place</a> to comment on the <i>technical</i> merits of this idea. If you have a political statement please post it on your blog. Thanks. 
	- May 18
		- <a href="https://github.com/scripting/Scripting-News/issues/79">Braintrust query</a>: I'm trying to repair the images in a static-generated Manila site from the early 2000s. The server that held them, redjupiter.com, is gone. Happy to host the images on a static site here. 
		- BTW, the site is my father's <a href="http://mbatoolbox.org/">mbatoolbox.org</a>. It's running again, and looking pretty good for such an old site. :boom:
		- What happens when people on the net run a campaign <a href="https://nypost.com/2018/05/17/racist-lawyer-kicked-out-of-his-office-space/amp/?__twitter_impression=true">like this</a> against someone because of their race, religion, where they’re from. The <a href="http://scripting.com/2018/05/17/182136.html">angry lawyer</a> is nowhere near as scary as the mob pursuing him.
	- May 17
		- This <a href="https://www.nytimes.com/2018/05/16/podcasts/the-daily/facebook-sri-lanka-violence.html">podcast</a> tells how a fake story on Facebook started a religious war in Sri Lanka. When I listened to it I realized this is the way the net will end. Sooner than I thought. You should listen to this. 
		- Google didn’t prepare for the <a href="https://www.vanityfair.com/news/2018/05/uh-did-google-fake-its-big-ai-demo">obvious</a> <a href="https://www.axios.com/google-ai-demo-questions-9a57afad-9854-41da-b6e2-5e55b619283e.html">questions</a> because the tech press never asks any. The kinds of questions they get are like “How great are you?” Keep going. There are lots of unreported stories. Big ones.
		- When they <a href="https://en.wikipedia.org/wiki/The_Mother_of_All_Demos">write</a> about <a href="https://en.wikipedia.org/wiki/Douglas_Engelbart">Engelbart’s</a> accomplishments they leave out the one he thought was most significant — outlines. Computers are great for augmenting human intellect. Of all the things I've developed, the one with the greatest value is outline software. Idea processors. Incredibly useful tools. The intersection of machine and brain architecture. Engelbart, a brilliant explorer of technology, found his way to this place. I did too, independently, a few years later. We were introduced by <a href="https://en.wikipedia.org/wiki/Ted_Nelson">Ted Nelson</a>. When they write the history of this period of tech development, I'm pretty sure it'll be the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+outline&t=hb&ia=web">outliners</a> they will be writing about. 
		- Five minute <a href="http://scripting.com/2018/05/17/laurelYanny.m4a">podcast</a> about Laurel and Yanny, obsessing about the <a href="https://www.nytimes.com/interactive/2018/05/16/upshot/audio-clip-yanny-laurel-debate.html">NYT page</a> that lets you tweek it endlessly back and forth between the two. What does it all mean? Something. Nothing. Drives me crazy. 😜
		- When people are enjoying a BBQ in the park, and the cops are <a href="https://www.snopes.com/news/2018/05/11/oakland-woman-calls-police-black-people-grilling-illegally-public-park/">called</a> because of their skin color, let's flood the park with BBQ-loving people of all colors. Stand with our fellow Americans.
		- <a href="https://github.com/scripting/Scripting-News/issues/78#issuecomment-389729751">Darius Kazemi</a>, re changes to Twitter API: "The real losers here are apps that need to real-time monitor a feed of Tweets, mostly 3rd-party Twitter clients."
		- <a href="https://en.wikipedia.org/wiki/Multi-factor_authentication">Two-factor authentication</a> is based on the assumption that you control your phone. But phones are easy to <a href="https://www.nbcnews.com/business/consumer/how-hackers-are-hijacking-your-cell-phone-account-n859986">hijack</a>.  
		- About the angry lawyer
			- <i>This is a lightly edited version of a <a href="https://twitter.com/davewiner/status/997152468084641792">Twitter thread</a> I posted earlier. </i>
			- My grandparents, all citizens of the US, and taxpayers, spoke English and their native languages. My paternal grandparents spoke Russian. On my mother's side, they spoke German, Polish, Yiddish, probably some Russian too. To get by they had to speak lots of languages.
			- The <a href="https://forward.com/fast-forward/401320/pro-trump-jewish-lawyer-caught-ranting-spanish-new-york-deli/">lawyer</a> who got so angry has a Jewish last name, and if he's like a lot of second or third generation Jews in the US, has recent ancestors, that he may have known, who spoke English with an accent and it wasn't their only language.
			- And I bet he was embarrassed by his grandparents. I know I was. And now, as an adult, I regret this. They had hard lives. They got swept up in the Holocaust. That fucked up our family in many ways. And I bet the lawyer got some of that too.
			- So even though we got screwed, we lived. That's huge. I wouldn't exist if it weren't for their perseverance and courage. Determination. That's why the immigrants who actually make it here are such intelligent and capable people. They had to be, or they wouldn't have made it.
			- As always people focus on the number of people killed. Six million. But many more people survived, but were damaged by the experience. We live with them. We are them. And that's just us. What about African-Americans. They rose from slavery! Can you imagine.
	- May 16
		- I checked in on the <a href="http://newriver5.glitch.me/">River5 instance</a> we set up on Glitch in <a href="http://scripting.com/2018/04/24/124932.html">April</a>, and it's still running. Quite nicely, actually. Good work! :boom: 
		- A Guardian <a href="https://web.archive.org/web/20040628084531/http://www.guardian.co.uk/online/story/0,3605,989783,00.html">piece</a> about blogging at Harvard in 2003. I was pretty radical back then. But you see Twitter as an extension of blogging, pretty much everything I said actually happened. I thought there was a chance of journalism getting on board, that seems so naive today. I've become a lot more cynical, for good cause. 
		- Another idea for a new social media app/feature. A club of peers, people with the same number of followers, a similar kind of following, similar background, similar influence with others. Let an algorithm decide all this. Say 40 peers per group. You get one coupon for each, and with that coupon you can send a message to an individual. It's labeled as such. The one shot you have to influence another person. No second chances, no discussion, just a simple pitch. You can use as much text as you like, but beware the recipient is under no obligation to read any of it. You can use links, simple styling, paragraphs.
		- <a href="https://github.com/scripting/Scripting-News/issues/78">Braintrust query</a>: I'm confused by what Twitter is doing with their API. 
		- NBA playoff report
			- I love the NBA because without much effort anyone can see what's going on. It's a very accessible sport. 
			- And this time of year, the second-to-last round of the playoffs, is when it gets most dramatic. The teams with the most to lose are in a contest where all but one will lose. The trick is to figure out who, and why. 
			- And then there's hope. Who do you <i>want</i> to win? For me it's totally predictable, unless the Knicks are involved, I always root for the talented underdog. The one everyone assumes will not win. Especially if earlier I thought myself that they would not win. Right now that team is, of course, the Celtics. 
			- I like them because like the Warriors, they can win in a variety of ways, where the other two teams, the Rockets and the Cavs have basically one way to win, an isolation play with a star player who can drive to the basket and also has a good jump shot. The Rockets have two of these guys, James Harden and Chris Paul, and the Cavs have LeBron James. It's easy to defend against a team with one or two ways to win, just concentrate the defense on the strong player, and force the ball to come out through one of the others. Last night at first James looked like he might carry the Cavs, but it turns out he is human, he clearly got tired and hurt as the game went on. The shots that were going down like daggers in the first quarter were missing the mark in the third and fourth. HIs defense was porous. For the last two nights, against the Celtics, he couldn't carry the team. 
			- The Celtics on the other hand, move the ball around on offense until they find a play. This means you can't double-team anyone, everyone is a threat. You really can't defend against that. They're pretty much always going to get off a shot. And people get to rest, so they don't play exhausted as LeBron was.
			- Of course the Warriors are even better at the distributed multi-threat offense than the Celtics, but they're also worn out by so much winning. Their tiredness comes from boredom. Who cares if they win another championship. I imagine even Bay Area fans are looking for something more interesting and less predictable to watch. The players still have to show up. But they can't be even slightly hungry for a win. 
			- On the other hand this Celtics team has everything to prove. Not only are they very young, they are playing without their two biggest stars who are injured. You have to wonder, no matter what the outcome this year, what they're going to be like next year if <a href="https://en.wikipedia.org/wiki/Kyrie_Irving">Kyrie Irving</a> and <a href="https://en.wikipedia.org/wiki/Gordon_Hayward">Gordon Hayward</a> are healthy. 
			- So I'm hoping for Celtics vs Golden State in the finals. That could be an epic contest. Multiple threats, who knows where the ball is going to go at any moment, and a sharp contrast in perspective, youth vs royalty.
		- Another little feature for this blog
			- Previously I could put numbers in front of items in a list by adding an a flNuberedSubs attribute on the parent with the value true. Like this: 
				- One
				- Two
				- Three
			- Yesterday, when I was digging around in Old School to add collapsible headlines, I realized I could easily add bulleted items, for when numbers aren't right. The attribute is flBulletedSubs. Here's a demo.
				- This is a bulleted item.
				- As is this.
				- And so is this.
			- Let's see if it works! 
				- Yes, it does.
		- A refinement of the new feature
			- Liudvikas Bukys, in a comment <a href="http://scripting.com/?tab=discuss">here</a>, suggested that items with flNumberedSubs set true be rendered as ordered lists in the RSS feed. Good idea. It was pretty easy to implement. If it works, this list should appear in your RSS reader as a numbered list, not a bulleted list.   
				- George Washington
				- John Adams
				- Thomas Jefferson
				- James Madison
				- James Monroe
				- John Quincy Adams
				- Andrew Jackson
				- Martin Van Buren
			- And to be sure that bulleted lists still work...
				- New Jersey
				- Florida
				- Mississippi
				- Alabama
			- Update: Here's a <a href="http://scripting.com/images/2018/05/16/feedlyScreen.png">screen shot</a> of what this post looks like in Feedly. 
	- May 15
		- The problem with <a href="https://www.nytimes.com/2018/05/15/sports/warriors-rockets-finals-west.html">juggernauts</a> like the Golden State Warriors is that they become boring. It's the same act as last year. They're bored, and I can tell I will be bored too, soon. And next year? Not again, please. This happened with the Miami Heat. Once you win three championships in say five years, the team should be required to reset. Otherwise the NBA itself is doomed to be boring. 
		- Yes, Michael Avenatti is <a href="http://oliverwillis.com/2018/05/15/how-the-porn-star-lawyer-is-making-the-white-house-beat-look-sad/">showing</a> what the press could do if it didn't care about access or what other journalists think. He's showing us what's out there for journalists to discover. Inevitably they'll rise to the challenge. He and <a href="https://idahostatejournal.com/opinion/columns/michelle-wolf-stole-her-jokes-from-donald-trump/article_ff41c598-b5e9-546d-936b-6533f12ba1c4.html">Michelle Wolf</a> are taking advantage of the <a href="https://twitter.com/davewiner/status/996423337508245504">lameness</a> of journalism in 2018. <i>Good!</i>
		- I've been thinking about how we were told not to accept <a href="https://twitter.com/davewiner/status/996393521178447873">this stuff</a> as normal, but people are misinterpreting that as "do not accept it." That's a bug. Because until we accept that we have a royal family, we won't be able to mobilize to oust it. We're lucky because we still have a legal system that's designed to overthrow monarchs. 
		- One could argue reasonably that the <a href="https://en.wikipedia.org/wiki/Citizens_United_v._FEC">Citizens United decision</a> made an American monarchy inevitable.
		- <a href="https://signal.org/download/">Signal</a> which I started using a few weeks ago and am encouraging others to use is open source. The desktop version is an <a href="https://github.com/signalapp/Signal-Desktop">Electron app</a>. 
		- Collapsible post text 
			- Back in the old days of "Scripting News" I had a feature that let me collapse the text under a given headline. An in-place footnote. Parenthetical text that doesn't disrupt the flow of a story. 
				- This is an example of such text. 
				- Think of it as another form of linking.
				- Not off-site and not as far away as a standard link.
			- The way the feature works is you put an attribute on the headline named <i>collapse</i> and set its value to true. When the page is displayed the subordinate text is hidden (display: none in CSS) with a gray wedge to its left. If you click the wedge it expands, as you would expect. 
			- I have the feature in Old School for videos and tweets. For example, this line references a tweet. It has an attribute named urltweet whose value is (doh) the <a href="https://twitter.com/davewiner/status/996395982161137665">url</a> of the tweet. :boom:
			- And as of this morning, it's in the current version of Old School, so you will be seeing me use this feature on Scripting News. 
			- PS: Here's a <a href="http://scripting.com/2018/05/15/blog.opml">snapshot</a> of the OPML file for the blog that shows how the collapse attribute is represented. It's pretty simple.
		- More rigorous test of collapsible text
			- This is a collapsible headline
				- sub 1
				- sub 2 -- also collapsible
					- Orange
					- Blue
					- Silver
				- sub 3
		- Another collapsible text test
			- one
			- two
				- nevada
				- south dakota
					- orange
					- blue
					- pink
				- massachusetts
			- three
	- May 14
		- It seems fair if a news org can keep us from reading their articles that we should be able to tell Twitter or Facebook not to show us their links. 
		- <a href="http://scripting.com/2018/05/10/133513.html#a133918">Medium</a>, the blogging site, is gradually <a href="http://scripting.com/images/2018/05/14/schumerOnMedium.png">closing</a> itself off to the world. People used it for years as the place-of-record.
		- In Facebook, AirBnB shows me a place they think I might like. I click on it. I get the generic home page for AirBnB. I think they're wasting their ad money.
		- Last night's <a href="https://www.vox.com/culture/2018/5/13/17340378/westworld-season-2-episode-4-riddle-of-the-sphinx-winners-losers">Westworld</a> was the best. I was thinking the show was turning into <a href="https://en.wikipedia.org/wiki/Lost_(TV_series)">Lost</a> when all of a sudden there was a <i>huge</i> plot reveal, and I saw oh shit it makes sense now.
	- May 12
		- Universities can help preserve the web
			- I've asked this question for years. It's a question that should be on the mind of everyone who has personally created a website with its own domain name. The question: What happens when I die?  
			- It's not hypothetical. I am holding on to sites for two relatives who have passed on. My mother's blog was (and is) hosted on wordpress.com, so that's pretty well taken-care-of, I hope. But my father and uncle had their own domains.
			- Then there's a matter of <a href="http://scripting.com/">scripting.com</a> and all the other domains I've started over the years. In those sites are notes about early web technologies, and how they came to be. These will be interesting to future scholars. I know because I'm interested in how, for example, the subways were started in the United States (Boston was <a href="https://en.wikipedia.org/wiki/History_of_the_MBTA">first</a>, not New York, and a <a href="https://en.wikipedia.org/wiki/Frank_J._Sprague">key invention</a> made it <a href="https://www.youtube.com/watch?v=Ptj004XFH0c">possible</a>). I'm glad historians have the records to refer to. I want to be sure that future historians have access to what I've written about the early development of the web, and the links I've kept in my blog. (In general, I am interested in how all technologies boot up, the older the better.)
			- Yes, I know about <a href="https://web.archive.org/web/*/scripting.com">archive.org</a>, but that's a backup. A very important piece! I'd like to keep the actual sites around. I'd like to put down some money now to reserve the name and protect the contents of the site, for perpetuity, or as long as possible. :rocket:
			- It struck me that this is a service that the alumni associations of the two universities I attended could provide, for a fee of course. Universities tend to be long-lived, and they are places where historians work, so they can hopefully be trusted not to modify the contents of the sites.
			- As far as I know, no university does this. 
			- And it need not be limited to the schools you have attended. If another university offered the service, I'd give them the money. 
			- The service, to be clear has two parts:
				- Keep the name scripting.com registered for perpetuity. In other words, pay the $10 registration fee every year.
				- Keep the static content accessible over HTTP. 
			- For that, you'd be entitled to $1000, say. Or even more, possibly. It should be hugely profitable. And why wait until I die. Let's start hosting the static sites there asap. :boom:
			- PS: This is a service they'd provide for free to faculty. Many universities probably already do, but not the domain name part.
	- May 11
		- 20-minute <a href="http://scripting.com/2018/05/11/occamNews.m4a">podcast</a>. <i>Some things are true even if you can't prove them. </i><a href="https://twitter.com/davewiner/status/994964282721865729">This</a> is the bug in news that, if you <a href="http://scripting.com/2018/01/12/150547.html">account</a> for <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">it</a>, news becomes a lot more useful to us. Utility in news is a foreign idea to journalism, but it should not be. I talk about the <a href="https://en.wikipedia.org/wiki/Four_color_theorem">four-color theorem</a> in the podcast. Also <a href="https://en.wikipedia.org/wiki/Michael_Avenatti">Michael Avenatti</a>. Here's the <a href="https://twitter.com/davewiner/status/994607760552681472">picture</a> of <a href="https://en.wikipedia.org/wiki/Sergey_Lavrov">Lavrov</a>, Trump and <a href="https://en.wikipedia.org/wiki/Sergey_Kislyak">Kislyak</a>, with the <a href="https://twitter.com/davewiner/status/994608762198659072">poll</a> about who is the alpha. And oil prices <a href="https://www.haaretz.com/us-news/after-trump-s-u-s-iran-deal-withdrawal-oil-prices-spike-1.6073492">have risen</a> substantially since Trump withdrew from Iran deal. A <a href="https://en.wikipedia.org/wiki/Lap_dog">lapdog</a> is "a dog that lies comfortably on a person's lap." 
		- Nixon was never proven guilty of anything, but we still know he did some terrible criminal things. That's Occam's News in action.  
		- "You can't be forever blessed."
		- One thing I am doing over time, is mapping sites to sub-domains of scripting.com. For example, the <a href="http://xmlrpc.com/">XML-RPC</a> and <a href="http://bloggercon.org/">BloggerCon</a> sites both do this. I'm concentrating my meager efforts to preserve my work, and they really are inadequate, on scripting.com. I should probably use a permanent redirect, but I am chicken, permanent redirects really are permanent these days. :boom:
		- Lesson learned on <a href="http://scripting.com/2018/05/10/204408.html">radio.weblogs.com</a>. We should have mapped to one of my servers, where I did a permanent redirect to radio-weblogs.com, which points to the archive on Automattic. If you are left with the task of preserving a community of static sites, as I was, don't just point a CNAME at the site, have it pass through a redirect. That gives you the flexibility to, after a certain amount of time, make the mapping permanent. I didn't understand this when we originally did the mapping when I sold weblogs.com.
		- Yesterday's <a href="http://scripting.com/2018/05/10/133513.html">piece</a> about how the Internet is going in the wrong direction started as a set of notes for an interview I was doing with German public radio about the Angry Founders of the Internet <a href="http://scripting.com/2018/05/06/183651.html">post</a>. They got a kick out of it. It was meant to be funny, like <a href="https://www.angrybirds.com/">Angry Birds</a>. But what came out was one of the best summaries of <a href="http://scripting.com/2018/05/10/133513.html">what the Internet is</a>, what makes it important, and what needs to be preserved. In a way, a 2018 followup to JPB's <a href="https://www.eff.org/cyberspace-independence">declaration</a>. Main point: companies <i>must not</i> take on the role of governments. When they do, disaster results. A thoughtful company would realize this. All the companies say they are thoughtful. Perhaps they should think a bit more and take a step back. Apple must stop trying to hijack web links. Google must live with the flaws in HTTP. Facebook must care about preserving what's good about the web (links, styles, titles, podcasts). And Medium must take steps to preserve their user's writing outside a paywall. All of them would do better, long-term, if they didn't consume what's great about the web, rather invested in making it even better at doing what it does so miraculously well.
	- May 10
		- I don't know why I waited so long to find the <a href="http://scripting.com/2004/09/24.html#When:1:51:29PM">day</a> that I first used the term <i>podcast</i> to describe <a href="http://secrets.scripting.com/whatIsPodcasting">what</a> we were doing with audio and RSS. That was one of the reasons I kept a blog (still is) -- to have a chronological record of how ideas develop.  
		- Doc Searls an old radio guy <a href="https://web.archive.org/web/20041001072412/http://garage.docsearls.com/node/view/462">wrote about podcasting</a> in the same month of September 2004. He followed this with <a href="https://web.archive.org/web/20041105123652/http://garage.docsearls.com/node/view/469">another piece</a> in October, explaining that podcasting is not radio. October was an <a href="http://scripting.com/2004/10.html">incredible month</a>, lots of adoption, new aggregators, tools, an audio version of weblogs.com, and signs of the grief that was about to happen, starting to happen. 
		- Bad news re radio.weblogs.com, etc
			- I got the response from Lexis/Nexis re the <a href="https://github.com/scripting/Scripting-News/issues/77">mapping</a> of radio.weblogs.com, doc.weblogs.com and scoble.weblogs.com. Here's what they <a href="http://scripting.com/images/2018/05/10/lexisNexisWeblogsCom.png">said</a>.
				- <img src="http://scripting.com/images/2018/05/10/lexisNexisWeblogsCom.png">
				- "During a recent security audit related to the GDPR, we removed the DNS entries for doc.weblogs.com, radio.weblogs.com , and scoble.weblogs.com . We had concerns about cross-domain issues such as cookie sharing, along with general concerns about having subdomains that were not under our control. At this point, the only suggestion we can make is for you to update the links on scripting.com  to point to the newer domain names that are under your control."
			- Of course it's not just links from scripting.com that are broken. <a href="https://en.wikipedia.org/wiki/Radio_UserLand">Radio UserLand</a> was a large early blogging community. Links into the archive of these weblogs are also broken.
			- The sites are still on the web, but at this address:
				- <a href="http://radio-weblogs.com/">http://radio-weblogs.com/</a>
			- That isn't going to change in the immediate future.  
			- Also thanks to Automattic for hosting the archive of the Radio UserLand sites.
			- We will have to do something special for doc.weblogs.com.
			- And you can access Scoble's Radio blog at <a href="http://scoble.scripting.com/">scoble.scripting.com</a>. That's a completely new name, there are no links to it anywhere on the net (except here of course).
			- Earlier today I <a href="http://scripting.com/2018/05/10/133513.html#a134034">wrote</a> about making the web more long-lived. This is how the web's history disappears. A cut here another one there, sooner or later, it'll all be gone. 
		- The Internet is going the wrong way
			- <b>Evidence </b>
				- Facebook is taking the place of blogs, but doesn't permit linking, styles. Posts can't have titles or include podcasts. As a result these essential features are falling into disuse. We're returning to <a href="https://en.wikipedia.org/wiki/AOL">AOL</a>. Linking, especially is <a href="http://scripting.com/scripting/manila/bloggerCon/ruleoflinks.html">essential</a>. 
				- Click a link in a web browser, it should open a web page, not try to open an app which you may not have installed. This is what Apple does with podcasts and now news.
				- Google is forcing websites to change to support HTTPS. Sounds innocuous until you realize how many millions of historic domains won't make the switch. It's as if a library decided to burn all books written before 2000, say. The web has been used as an archival medium, it isn't up to <a href="http://this.how/googleAndHttp/">a company</a> to decide to change that, after the fact. 
				- Medium, a blogging site, is gradually closing itself off to the world. People used it for years as the place-of-record. I objected when I saw them do this, because it was easy to foresee Medium <a href="https://www.google.com/search?q=medium+pivot+williams&rlz=1C5CHFA_enUS743US747&oq=medium+pivot+williams&aqs=chrome..69i57j69i64.30700j0j4&sourceid=chrome&ie=UTF-8">pivoting</a>, and they will pivot again. The final pivot will be when they go off the air entirely, as commercial blogging systems often do. 
			- <b>Instead</b>
				- We should preserve the past on the web, and learn to make sites even more future-safe. The web is where human knowlege accumulates. 
				- It's time for tech people to have values, as journalism, medicine and law do. Deliberately taking features out of the web, claiming pieces of the web as corporate property, forcing the history offline, all are terrible abuses of what make the Internet great. An ethical technologist would refuse to do this work.
				- When we teach people to create technology, they should learn to respect and enhance the things that make the Internet great, not help modern day <a href="https://en.wikipedia.org/wiki/Robber_baron_(industrialist)">robber barons</a> appropriate them. 
				- The Internet is a place for the people, like parks, libraries, museums, historic places. It's okay if corporations want to exploit the net, like DisneyLand or cruise lines, but not at the expense of the natural features of the net. 
	- May 9
		- Journalism has to consider, at some point soon, the possibility that assuming Trump is not compromised is making their reporting wildly inaccurate. 
		- I listened to <a href="http://podcatch.com/archive/2018/05/09/206968.html">today's Daily</a> podcast on Trump pulling out of the Iran deal. I guess because they can't prove that Trump is owned by Russia they can't consider that his actions have to be viewed in those terms. If they could, then the explanation is clear. Trump is trying to dismantle American influence in the Middle East and create a vacuum for Russia to move into. This is the Occam's Razor answer.
		- If you were going to make a product that helped people write Twitter threads, how would you like it to work? I'm thinking of taking a stab at this.
		- Elsewhere the NYT <a href="https://www.nytimes.com/2018/05/09/business/ev-williams-twitter-medium.html?partner=rss&emc=rss">says</a> Evan Williams plans to save the Internet. 
		- With tech billionaires so visible in the news these days we can all see the conundrum clearly. There really is nothing good you can do with the billions. You still are a person, you still are the person you were before you had the billions. There's no escaping yourself, I know I've tried, it doesn't work. There is no <i>better</i> when it comes to people. We're all slightly different variants of the same theme. 
		- The NYT Daily podcast is spawning a <a href="https://www.nytimes.com/2018/05/09/business/media/new-york-times-daily-podcast-tv.html?partner=rss&emc=rss">weekly show</a> on FX. It will not be hosted by <a href="https://twitter.com/mikiebarb">Michael Barbaro.</a> I think this is a mistake. The thing that makes the Daily good is not that they're NYT reporters, though that is of course important, it's that Barbaro is an inquisitive and empathetic interviewer. There are lots of NYT reporters, but I've never seen an interviewer so capable of bringing out an unusual point of view as Barbaro. 
		- We could divide the world <a href="https://twitter.com/davewiner/status/994238741207310337">in two</a>, those who think H stands for Humble and those who think it's Honest. Because they are two distinct viewpoints. The former says "I could be wrong" and the latter doesn't admit that. I am solidly in the first camp.
	- May 8
		- <a href="https://twitter.com/davewiner/status/993698247783874560">Survey</a>: Do you want Trump at your funeral?   
		- Contract with America 2.0
			- Democrats say: Let us remind you what we stand for. You should believe we'll do it, because it's what we always do when we're in power. Think about this America, is this what you want? Then you should vote us in. We'll do it. It's a contract.  
				- Tax reform
				- Universal health care
				- Climate change is real
				- Peace with Iran
				- Free training for American workers
				- Jobs
				- Black lives matter
				- Equal protection 
				- Prison reform
				- Choice
				- Campaign finance reform
				- Legal Cannabis
				- Assault weapon ban, background checks
				- All candidates must make tax returns public
				- Equal pay for equal work
				- Clean water for Flint
				- Relief for Puerto Rico
	- May 7
		- Ultimately journalism will have to choose sides. And it's not Repubs vs Dems. It's the ruling class vs the people. Today's journalism sides with and is immersed in the ruling class. When journalism says it wants subsidies from the government or from rich tech companies, that just pushes them further over the edge. If they ever get them, they will be in freefall. 
		- <a href="http://scripting.com/2015/07/15/ohWhenMaterialismWasFun.html">2015</a>: "To come so far, when all my material dreams of childhood could be realized with a single click, to realize that what I had then is what I most desire now."
		- BTW, magically sometime in the last few weeks I aged another year. I am now 63. One more year before I get to sing the <a href="https://www.youtube.com/watch?v=5PlCXLZHbuA">Beatles song</a>. I don't believe in celebrating birthdays on the net. I know other people like it. No judgment. I had to edit my <a href="http://davewiner.com/">personal page</a> just now, so I thought I should mention it here. 
	- May 6
		- <a href="https://github.com/scripting/Scripting-News/issues/77">Braintrust query</a>: I'm looking to connect to the people at Lexis/Nexis who are running weblogs.com. There's a new configuration problem.
		- A <a href="http://scripting.com/images/2018/05/06/skyscraper.png">building</a> going up in my neighborhood. I usually view it from way up in the air. It's more impressive viewed from the ground.  
		- With <a href="http://scripting.com/images/2018/05/06/rudy.png">Rudy</a> it's all about the eyes. 
		- <a href="http://podcatch.com/archive/2018/05/06/182805.html">On podcatch.com</a>, I have removed Facebook comments and replaced them with Disqus comments.
		- I don't know how to report a bug re the Washington Post website, so I'll try <a href="https://github.com/scripting/Scripting-News/issues/76">posting it here</a>. 
		- There were two incredible basketball <a href="https://www.sbnation.com/2018/5/6/17323718/celtics-sixers-game-3-nba-playoffs-brad-stevens-al-horford-ben-simmons-boston-philadelphia">games</a> yesterday, both with <a href="https://www.youtube.com/watch?v=XIG_WeDdSJw">exciting</a> <a href="https://finance.yahoo.com/news/watch-lebron-james-hits-game-winning-buzzer-beater-cavaliers-take-3-0-series-lead-toronto-034252231.html">scores</a>.
		- The Angry Founders of the Internet
			- We should start an "Angry Founders of the Internet" social club to discuss what the fuck happened and how can we tell people about the magic that underlies the crapware that the bigco's are shoveling at us. It really is beautiful and amazing in there. 
			- Think of it this way. It's easier to take the Interstate highway everywhere, but if you do that, you miss the charming B&Bs, the dramatic beaches, restaurants, jazz clubs. The thrill of riding a bike, hiking the Appalachian Trail, skiing. All that intellectually unperpins this.
		- Instant outlining in LO2
			- To test this <a href="https://www.xml.com/pub/a/ws/2002/04/01/outlining.html">feature</a>, open <a href="http://littleoutliner.com/">LO2</a> in two different browsers.
			- They could be on the same machine or different machines. I am using Safari and Chrome on my desktop Mac.
			- Arrange the windows so you can see both at the same time.
			- In one of the copies of LO2:
				- Create a new outline -- File/New.
				- Make it public -- File/Get public link
				- Copy the URL in the dialog to the clipboard.
			- In the other copy of LO2:
				- Subscribe -- File/Subscribe to outline 
				- Paste the URL from above.
			- Back in the first copy
				- Start typing. Note that what you type appears in the other copy of LO2.
				- It waits for you to let up on the typing for a couple of seconds before sending.
				- Then the update happens instantaneously through the magic of WebSockets!
		- I ❤️ Michelle Wolf
			- A few comments on Michelle Wolf's correspondent dinner routine. 
				- Please listen to her podcast <a href="http://podcatch.com/archive/2018/05/01/143479.html">interview</a> with Terry Gross on Fresh Air. 
				- I think one of the reasons people might have thought she was body-shaming Sarah Huckabee Sanders is when she said <i>she burns facts</i> it sounded at first like she said <i>she burns fat. </i>That's what I thought she said at first. If she had said that it would have been body-shaming, but since she didn't, it wasn't.
				- She points out that no one has complained about the actual body-shaming she did. She made fun of Mitch McConnell's neck and Chris Christie's obesity. McConnell wasn't there, but Christie was. The camera showed him eating and laughing. Why exactly is it more terrible to body-shame women than men? (Answer: It's not. We're hypocrites when we denounce one and not the other.) 
				- She does make fun of her own body, and her voice. Especially with the voice she uses it to make a bigger point about how people treated Hillary Clinton as a candidate. 
				- She talks about why she doesn't want to have kids or to marry. I love her more for that. She even has good jokes about how "having it all" isn't that great. I won't spoil the jokes here, you should listen to the podcast. :rocket:
				- She is a gift, a gift of truth, intelligence and guts. She is exactly what we need now. I'm very happy she <a href="https://www.youtube.com/watch?v=OP5UiXEbgJk">has</a> a <a href="https://www.netflix.com/title/80239459">Netflix show</a> premiering at the end of May. I expect to be a regular viewer. 
	- May 5
		- If we <i>really</i> wanted the Repubs to act as a check against Trump, we could make them. Legally. By putting human voting American bodies in their way everywhere they go, all the time 24 by 7. 
		- <a href="https://www.goodreads.com/quotes/1889-hello-babies-welcome-to-earth-it-s-hot-in-the-summer">Kurt Vonnegut</a>: “Hello babies. Welcome to Earth. It's hot in the summer and cold in the winter. It's round and wet and crowded. On the outside, babies, you've got a hundred years here. There's only one rule that I know of, babies - God damn it, you've got to be kind.” 
		- What should journalism do?
			- I listened to Jay Rosen on this very <a href="https://www.wnycstudios.org/story/how-journalists-hurt-journalism-age-trump">brief podcast</a>. At the end they ask what should a conscientious journalist do re Trump. I happen to have an answer. And of course, me being me, it's pretty radical. 
				- Journalism has to be with the people. Ask yourself what would the people do, and do that. 
				- As journalism is with the government, it forces a route-around. Journalism will have to reboot, in the cause of the people. With or without you. 
				- As politics attacks journalism, it's journalism's job to balance it. The more radical the government, the more radical the journalism.
				- Journalism is already taking the hit, Trump says you all are the enemy of the people and <a href="https://www.independent.co.uk/news/world/americas/us-politics/americans-media-poll-trust-trump-fake-news-attacks-a8091991.html">1/3 of them agree</a>. I am one of them, btw. By trying to collaborate with a government that is so anti-the-people, you have become our enemy.
				- It's like everything in the rise of Trump, we tend to wake up to what we could have done when it's too late. This happens over and over. When we finally react in a timely fashion it will seem radical. It will <i>be</i> radical, and it will have a chance of working.
				- Stop interviewing elites. They're as bad as journalists at wanting to pretend everything is okay. You all climbed the ladder. Say the ladder is gone, and they'll argue with you. "You're being too dramatic," but no in fact it's not too dramatic. Ladders are gone. The elites went to the ovens along with the Jews and the gypsies. 
				- Journalism wants to go back to the world we were in before Trump. Wishing for it won't make it so. Be stark and direct. <i>We're losing.</i> Say that. Forget about what Trump thinks. He's fucking us. 
				- And btw, Michelle Wolf was just what the doctor ordered. Get her a regular spot. Replace one of the wimps on MSNBC. Which one? Any of them. 
			- PS: You all are eventually going to be glad we kept working on news software for the people. (Also known as blogging.)
	- May 4
		- <a href="https://twitter.com/davewiner/status/992442849626083334">Every time</a> Trump gives a speech (like today at the NRA) either Michelle Wolf or the Parkland kids should speak at a raucous rally, at the same time, competing for cable news coverage. Let's push the president's BS off the air by good, fun and truthful counter-programming. 
		- <a href="https://twitter.com/davewiner/status/992442306165866496">Poll</a>: Do you think Jeffrey Tambor is guilty of sexual harassment and should have been fired from Transparent? 
		- Watched NBA playoffs while flying cross country and <a href="https://twitter.com/davewiner/status/992220338791567360">tweeting</a> about it.
		- I'm watching <a href="https://www.youtube.com/watch?v=hBLS_OM6Puk">Wild Wild Country</a> on Netflix. I'm through the first two episodes. I knew a few people who were at <a href="https://en.wikipedia.org/wiki/Rajneeshpuram">Rajneeshpuram</a> in my massage school days. I wish I had asked them more about what it was like there. It's a really good story so far.  
		- I can't get this <a href="https://www.youtube.com/watch?v=-ZgaMdysMzU">song</a> out of my head. No problem. I <i>love</i> this song! :heart:
		- My <a href="http://www.legacy.com/obituaries/nytimes/obituary.aspx?page=lifestory&pid=188139452">mom</a> was a quilter, so I inherited a bunch of her quilts ones she made over many decades. There is a philosophy to quilting, which I observe as an outsider. The work is done very much with the idea of creating a legacy. I have a friend, Sheila, in Seattle who is a quilter. I wanted her to have one of Eve's quilts, even though they had never met. I thought of this because she posted a <a href="https://www.facebook.com/photo.php?fbid=10216286318295172&set=a.1604799764457.241313.1370027423&type=3&theater">picture</a> of her latest quilt on Faceboo. We hooked up in Seattle this week, talked about parents, and of course quilting. I don't know much about quilting, but I find it fascinating. Anyway, I just rolled over the archive for this blog, saving an <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2018/04.opml">OPML file</a> of the writing I did in April, along with all the <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">other months</a>. In a way my blog archive is like mom's quilt collection. A hope to pass something into the future saying <i>this is who I was.</i>
		- Here's a <a href="http://static.scripting.com/larryKing/images/2014/01/08/quilt1.jpg">quilt</a> Eve did of the ThinkTank logo.
		- In hindsight, I realize we should have done a video walkthrough of mom's house as it was when she left us. Exactly as it was. Now it is staged for sale, all the personal stuff is out. It's a house transitioning to be a new family's house. It was <i>our</i> family house for over 50 years. I didn't think of it because at the time, the way the house was set up was <i>the most normal thing. </i>I never thought that it was an archive of lives that were now over, that it was about to disappear. I mention this so if you end up being the one to close up shop on a family house, take a good video snapshot before you start taking it apart. 
	- May 2
		- I had an idea for a Twitter coop. A group of say 100 people with roughly the same number of followers get together and pool their logins. Every user gets the right to push one message to all our collective followers once a month. So you have to be careful about what you use it for. But that way when you have really great idea that needs to get out there you have a way to do it, without begging. Of course there has to be a way to check against abuse. Perhaps it requires the approval of five of the 100 people in order to actually be sent? It's a variant of an idea that <a href="https://twitter.com/kyleshank?lang=en">Kyle Shank</a> implemented a few years ago which allowed people to donate use of their accounts for a political cause. This would be more democratic, and wouldn't be limited to politics. BTW this is <a href="https://twitter.com/davewiner/status/991450186785304576">the tweet</a> I'd push this month. If you feel inclined, please RT. We might just save the country with this idea.  
		- Also, you'd get a bonus push on your birthday. :boom:
		- A variant on the <a href="http://scripting.com/2018/05/02.html#a175917">above idea</a>: You can will your Twitter account to another coop. The end-of-runway coop. So your online presence can be powerful in your afterlife. 
		- I've been in Seattle the last couple of days. One thing is different from last year when I visited, there are green and yellow bikes all over the place. I just signed up for <a href="https://www.limebike.com/">LimeBike</a> (the green ones) and am going to try a ride on one this afternoon.
	- May 1
		- Here’s what was really positive about <a href="https://www.youtube.com/watch?time_continue=1&v=DDbx1uArVOM">Michelle Wolf</a> at the dinner on Saturday, she knocked Trump off the air. Anything less and we’d be talking about the outrageous shit <i>he</i> said, but who cares? His jokes aren’t as funny as hers, and she said the truth and he lies. 
		- When Trump gives a speech we should arrange for Michelle Wolf to give one too. I'd fly across the country to be in the audience.
		- Michelle Wolf is to Trump what the Parkland high school students are to the NRA.
		- Dependent developers
			- Reading Brent's <a href="http://inessential.com/2018/05/01/godot_framework">piece</a> about Mac development made me think about the ideal, what I really want from being a developer for as long as I've been a developer. The thing that got me started was the independence of it. I could have taken a job at Bell Labs or some big mainframe or minicomputer company, and had a nice career being pushed around by bosses at big companies. But I went for PC development because it was something I controlled. I could do what I wanted. Make my own art. The things I wanted to do were things no company would approve of, they had no way of understanding it. And at first it was lovely. Then the corporate bosses at the PC companies started pushing us around and it turned to shit.
			- I think of <a href="https://en.wikipedia.org/wiki/Alan_Cooper">Alan Cooper</a>, a developer himself who now is a crafts person, building things out of his farm in Marin County, California. Things that are made of wood, glass and metal, not software. I've been reading his stories on <a href="https://twitter.com/MrAlanCooper">Twitter</a>. It's a very different kind of story from the ones Brent and others tell. There are no big companies pushing him around, as far as I know. The tools he uses have existed for decades, if not more, and they aren't going to change in a way that forces him to do anything. That's the ideal.
			- On Twitter, <a href="https://twitter.com/om/status/991369341294624768">Om</a> is wondering if we should trust Zuck? Why is that even a question? Of course we <a href="https://twitter.com/davewiner/status/991373169398235136">shouldn't</a> trust him. Any more than Zuck would trust me (although there are more reasons for him to trust me than vice versa). Where did we get this idea that 30-something young folk should push us all around just because they're <a href="https://twitter.com/MrAlanCooper/status/991388800633847808">rich</a>? What a crazy fucked up world. Repeat after me: Don't. Trust. Zuck.
			- And Google. Just read this TechCrunch <a href="https://techcrunch.com/2018/05/01/google-is-launching-app-domains-the-first-tlds-secured-with-built-in-https-on-may-7/">article</a>. Some people thought I'd be angry at Google. I have no problem with them offering HTTPS support in their TLD. I've often thought Amazon could do a lot more for people, like myself, who use S3, to support HTTPS. After all they know as much about me as any naming authority could. They have my credit card number. They know where I live. They know, if they look at my buying history, a lot of very personal things about me! No what pisses me off is the way TechCrunch perpetuates <a href="http://this.how/googleAndHttp/#1519489336000">Google's lies</a> about HTTP. One after the other. It's a rewritten press release. Something an AI could do. This is what most journalism is like. Rewritten press releases from companies taking things that don't belong to them. Like Google.
			- No conclusion other than we lie to ourselves and each other when we say independent developers are independent. 
