- July 2018
	- July 31
		- <a href="https://twitter.com/davewiner/status/1024447641860628480">Poll</a>: Would you vote for Al Franken?
		- <a href="https://github.com/scripting/Scripting-News/issues/90">Braintrust query</a>: Looking for icons for Hoist and Dehoist. For a refresher on what hoisting is, watch this <a href="https://www.youtube.com/watch?v=AXt1LBABe_k">short video</a>. The range of possible icons is what's in Font-Awesome. Here's the <a href="https://fontawesome.com/cheatsheet">cheatsheet</a>. I started an <a href="https://github.com/scripting/Scripting-News/issues/90">issue</a> on the Scripting News repo, please post any suggestions you have. 
		- Silent movies are great. In this <a href="https://twitter.com/moodvintage/status/1024357836921417728">scene</a> Buster Keaton is rejected by a hat check girl, without a word spoken. 
		- The <a href="https://decentralizedweb.net/">Decentralized Web Summit</a> starts today in San Francisco. Of course I totally support the decentralized web. I do it from NYC. The idea of a summit for something that's decentralized is interesting. Anyway, the web <i>is</i> decentralized. No one entity controls who can post to it or what they build on it. It is in danger of being centralized, always, usually by big tech companies, but sometimes governments. But that doesn't mean the web should run away from its decentralized nature. In fact, I think the "decentralized web" can't be anything other than the web itself. What is the naming protocol for the DCW? That's got to be DNS, the naming system of the web. It works, it scales, isn't without problems, but then whatever anyone comes up with as a replacement will have problems too, and will have to compete with a huge installed base. 
	- July 30
		- So many security schemes are based on the control of phone numbers. But it’s relatively easy to <a href="https://motherboard.vice.com/en_us/article/a3q7mz/hacker-allegedly-stole-millions-bitcoin-sim-swapping">hijack</a> phone numbers. They're also the weak link in most <a href="https://en.wikipedia.org/wiki/Multi-factor_authentication">2FA</a> systems. 
		- I skipped season 5 of Orange Is The New Black. Was that a mistake? Is season 6 any good?? (Apparently so. I'm going to get started on season 5.)
		- Handmaid's Tale, season 2
			- Over the weekend I watched the second season of <a href="https://en.wikipedia.org/wiki/The_Handmaid%27s_Tale_(TV_series)">Handmaid's Tale</a>.
			- Note: A few mild spoilers, nothing imho that would interfere with the full-on HMT experience, until the very end, well labeled, which you should not read until you've watched the show. 
			- It's super dark and depressing. The first few episodes aren't too bad, that gets you hooked, and then you're in for 10 hours of very seriously depressing stuff, with only a few outlets for the rage that builds. A trip to Toronto, for example, reminds you that the rest of the world is still as it was. It's just the US, now called <a href="http://scripting.com/images/2018/07/30/gilead.png">Gilead</a>, that's gone crazy.
			- The season is all about separating children from their mothers. Pretty <a href="https://www.businessinsider.com/zero-tolerance-border-separations-permanent-ice-director-2018-6">timely</a> for the US. It was also timely for me, since my mother died earlier this year. It helped me better understand our relationship from her side. Perhaps. I think they idealize motherhood a bit. I think that's also deeply ingrained in our culture, perhaps because mothers have so much influence over how we perceive reality from the beginning of our lives.
			- It does the job of a good binge-watch. You get pulled into its reality. This last weekend I was in the Handmaid's Tale world. I had no patience for the news in the real world of 2018. All I could think about was the pack of lies they're selling as news. I felt I was getting a better idea of our world by watching the fictional world of HMT. 
			- Now for the spoilers. Don't read if you haven't watched. :boom:
			- Spoilers in the form of questions..
				- Why were Emily and Janine released from the <a href="https://www.bustle.com/p/where-are-the-colonies-in-the-handmaids-tale-this-terrifying-location-is-the-last-place-you-want-to-end-up-8875242">Colonies</a>?
				- Aunt Lydia is a sympathetic character? Hard to parse.
				- <a href="https://en.wikipedia.org/wiki/Bradley_Whitford">Bradley Whitford</a> must be a star in the third season. He still seems like Josh Lyman to me, even though he's now one of the Commanders of Gilead. 
				- WTF is up with June's decision to give up Holly in the last scene of the last episode?
	- July 28
		- <a href="https://www.youtube.com/watch?v=AXt1LBABe_k">Video</a>: I figured <a href="https://twitter.com/davewiner/status/1021792288656314368">something</a> out about outliners a <a href="https://twitter.com/davewiner/status/1021791734366445569">few</a> days ago, and I have it working, and am ready to explain. 1. You only need two levels of hoisting if you have... 2. A <a href="http://scripting.com/images/2018/07/28/crumbtrail.png">crumb trail</a>, like directory websites have. It belongs in outliners (none of mine ever had them). 3. You don't even need a dehoist command if you have the crumb trail. Watch the video to see how it works. It's remarkably simple. :boom:
		- This <a href="http://scripting.com/images/2018/07/28/votermap.png">map</a> shows how voters are distributed in the United States. 
		- Journalism should be imagining <i>new ways</i> the Russians can hack our election, not just replays of 2016. That was a quaint innocent world. Imagine in the next election the outcome is even more in doubt than it was in 2016. Most journalists don't know anything about tech. They studied history in college. They write about Facebook without even being users of Facebook. Not only is there no one home in the Oval Office, but it's even worse in JournalismLand. Remember last time around they were conned into believing that running one's own email server was nefarious. They are novices. (BTW, history is important. Don't want to diminish that.)
		- A widely-used open format is like an <a href="http://www.who.int/news-room/detail/20-09-2017-the-world-is-running-out-of-antibiotics-who-report-confirms">antibiotic</a> in medicine. You don’t take unnecessary risks with losing it. Imagine a doctor undermining a medicine that saves lives. It would be just as wrong for a technologist to undermine an open format.
	- July 27
		- When Twitter bans a user because it's a Russian troll trying to divide the American electorate, it would be useful to see what they were posting.
		- Civilization builds in layers over generations. We leave our innovations to future generations to build on and maintain. In Manhattan we're building 100-plus story apartment houses. The people who build them know how to build them, but don't understand how they work. Same is true of the military, medicine, transport, energy, the arts. The resources of nature remain constant or diminish. Humans have the same basic design. The problems we deal with get bigger every generation, until at some point we will (it seems) reach a problem we can't deal with. When I was young we believed we had already reached the end with nuclear weapons. At some point something has to change, in a big way, or so it seems. 
	- July 26
		- Riding in a crowded elevator in Manhattan today. A woman was talking loudly and obscenely about how she hates where she works. She was so angry, entitled, arrogant. One of her office mates died last week, she said, and they didn't announce it. She said the owner was an asshole. As I was getting off, she described the owner as "left wing," and then I got it. Next year he won't be left wing, he'll be a dirty Jew and she'll be wearing a swastika pin on her lapel. The nasty people are coming out of the closet. We're going to a bad place. 
		- I was going to a dentist for an emergency root canal. While I was lying helpless and in great emotional distress, I wondered why the Nazis don't come fully out of the closet. They must be scared we will kill them. My train of thought went to just how I would like to kill the Nazi woman on the elevator. It helped me deal with the emotional pain of being so helpless while I could hear my tooth being drilled and smelling the fumes coming out of my mouth, sort of a burning tooth BBQ. I have to say there is a reason I am willing to endure so much discomfort to avoid being in the dentist's chair. Why don't they just put you under, or load you up with opiates? 
		- The <a href="https://www.nytimes.com/interactive/2018/upshot/election-2016-voting-precinct-maps.html">big NYT map</a> today was interesting, even if it is a bit dated. I looked up all the places I've lived and they were all blue, except the street I grew up on in Queens. That was red. I thought about all my mom's neighbors and how they must have mostly been Trump voters. In a way I was glad she never found out. Some of the racist things I've heard them say now make sense. The neighborhood is turning, from white and Christian to Asian. I can't imagine they will vote for Trump, but wtf do I know. 
		- <a href="https://twitter.com/davewiner/status/1022656776326598661">Poll</a>: Collusion?
	- July 25
		- There ought to be a social network called Happy Hour. In order to get in you have to take a breathalyzer to prove that you're legally drunk. Obviously nothing you say there counts.
		- I made a small probably insignificant change to the scripting.com RSS feed. If you see any problems, please report them <a href="https://github.com/scripting/Scripting-News/issues/89">here</a>. 
		- This is a test post. I don’t care how you got to the party. Whether you took the subway, walked, came by spaceship or were driven by your chauffeur. What’s important is you’re here. Now let’s party! :rocket:
		- I was reviewing some <a href="http://morningcoffeenotes.com/">old podcasts</a>, and came across one from 2007. I was talking about Google Toolbar and a conversation I had with Marissa Mayer. I didn't remember the controversy, but was able to piece it together from listening to the <a href="http://static2.podcatch.com/blogs/gems/snedit/cnMar1B.mp3">podcast</a> and <a href="http://scripting.com/2006/02/16.html#When:9:37:59AM">reading</a> <a href="http://scripting.com/2005/02.html">old</a> <a href="https://web.archive.org/web/20050225052941/http://www.thetwowayweb.com/2005/02/22">blog</a> <a href="http://scripting.com/2005/02/22.html">posts</a>. It was a really evil thing. They changed links in HTML pages in Firefox (this predates Chrome) to point to Google's sites. It came pre-installed in Firefox. This was Google eleven years ago. Obviously that attempt to hijack the web didn't work. But this time they're coming back with their own browser, and are doing it slowly. But I don't doubt for a minute the idea is to go all the way, to make the web as much Google's as Facebook's world is Facebook's (I know that sounds weird). 
		- A friend sent a pointer to <a href="https://www.assembly.org/summer18/demoscene">Assembly</a>, which is a <a href="https://en.wikipedia.org/wiki/Demoscene">demoscene</a>. I had heard about these, and filed it away as something to be puzzled about. Do I know anyone who is going to this event?
		- Good morning HTTP fans. I still haven't gotten the new version of Chrome here so I don't have to look at their defacement of my blog and other sites, yet. I read in the <a href="https://www.cnet.com/news/chrome-warns-of-not-secure-sites-to-cut-web-surveillance-tampering-faq/">CNET story</a> (warning self-playing video) earlier in the week that Firefox isn't labeling HTTP-standard sites as <a href="https://www.urbandictionary.com/define.php?term=Evil%20Incarnate">evil incarnate</a>. Is this true? Is it something they are perhaps willing to commit to? If so, I will probably switch to Firefox. I have some other ideas, like moving off the web and providing my blog in an <a href="https://electronjs.org/">Electron</a> app, far away from Google's ability to <a href="http://this.how/googleAndHttp/">push</a> me around (hah, Electron is built on Chrome, I wonder how independent it really is). Anyway, If anyone knows what Firefox's plan is, please post a note <a href="https://github.com/scripting/Scripting-News/issues/88">here</a>. Or any other browser that accepts the web as TBL defined it. Warning: I may have to delete the thread because posts like this tend to draw trolls. You know who you are. Restrain yourself! :boom:
		- Ode to a sick tooth
			- I have the worst toothache ever.
			- I've got a bag of ice and a bottle of wine. 
			- And a dentist appointment.
			- Tomorrow at nine.
		- How journalism views Facebook
			- <a href="https://twitter.com/chrislhayes/status/1022118404411588610">Chris Hayes</a>: "Facebook is the equivalent of a massively profitable factory that just dumps all of its waste into the river and never has to pay for the cost to clean it up."
			- <a href="https://twitter.com/nxthompson/status/1022120139146321923">Nicholas Thompson</a>: "I think it's more like a massively profitable company that builds a giant river that everyone both drinks from and pees into. And it doesn't know how to clean it up."
			- <a href="https://twitter.com/davewiner/status/1022134114848309249">Me</a>: "That's not my experience as a FB user. I'd love to see a journalism outfit break out of the pack and take a contrary position, considering that FB has a tough problem and they're smart, and aren't doing a bad job of iterating to an answer."
			- There's a lot I don't like about Facebook, and I've been very <a href="https://duckduckgo.com/?q=site%3Ascripting.com+facebook&t=h_&ia=web">public</a> <a href="http://scripting.com/stories/2007/10/13/whyFacebookSucks.html">about</a> it. But the criticism they're getting from the journalism world now is uniformly negative and not insightful and doesn't stimulate a useful discussion. It's mostly a woe-is-me look at how dumb they are (or corrupt or a horror show). 
			- I'd love to see journalism take a dispassionate and informed look at this, teach us something,  based on an understanding of the problem they're trying to solve. A perspective that a theater critic would have, or an art, movie, food or music critic. Some idea of how we got here. Think a few steps out into the future, add a sense of what's at stake, and what would happen if FB did what they believe they should obviously do (which would be imho about as successful as Trump's trade war). 
			- People who use Facebook seem to like it. The advertisers pay money to be there. If it were as bad as these guys say why would they do that? There's a lot of <a href="https://en.wikipedia.org/wiki/The_Fox_and_the_Grapes">sour grapes</a> here, or the appearance of sour grapes. They have to watch out for that. And it begs the question if Facebook is so wrong, why have none of you ever tried to compete with them? 
	- July 24
		- <a href="https://twitter.com/evanmcmurry/status/1021762858198040576">Jeff Sessions</a>, top law enforcment officer of the land. 
		- A Republican <a href="http://scripting.com/images/2018/07/24/republicanTrifecta.png">trifecta</a>. Spicer is a <a href="https://talkingpointsmemo.com/livewire/sean-spicers-book-is-apparently-littered-with-inaccuracies">mess</a>, Sessions is a little <a href="http://www.nydailynews.com/news/politics/ny-pol-sessions-haley-high-school-lock-her-up-20180724-story.html">trollish Nazi</a> and Hatch isn't <a href="https://www.businessinsider.com/orrin-hatch-tweeted-google-not-dead-2018-7/">dead</a> yet. 
		- How to cut down <a href="http://this.how/trolls/">trolling</a> on Twitter -- give people control over who can reply to them. The more followers you have the more incentive there is to post something inflammatory as a reply. Muting is nice, but it only prevents them from replying to you. Long after you've stopped seeing their trollish droppings, they are still getting flow for their abuse with replies. On some posts, no replies, please. Or replies only visible to me, no one else. Or replies only from people I follow. Or, as Facebook does, let the originator of the post remove trollish comments. 
		- <a href="https://twitter.com/davewiner/status/1021653351833001984">Poll</a>: How do you feel about Twitter polls that don’t offer you a real choice?
		- Getting a late start today after wrestling with hoisting and fighting back a summer cold. Still going bike riding this afternoon. It's so good for my state of well-being. 
		- Hoisting and more hoisting
			- I have been getting <a href="http://scripting.com/2018/07/22.html">hoisting</a> to work in my editing environment for Scripting News. I think I have it working now. If you're reading this, <i>something</i> is working. :boom:
			- Let me just say this. Hoisting is hard. Especially if you're retrofitting it into an existing app. This is good practice for getting it working inside "LO2", which after a short burn-in period is the next thing on my to-do list. Might take a few days to get there. 
			- One more hoisting loose-end tied down, hopefully. :rocket:
	- July 23
		- By now it should be obvious if the news industry had built its own distribution system, they'd be raking in cash like FB and Google, and instead of laying off reporters, they'd be looking for new places to invest the proceeds.
		- Apparently tomorrow is the day Google will start flagging sites that use HTTP, the <a href="http://this.how/googleAndHttp/">standard web protocol</a>, as "not secure." Curious to see how people react. BTW, <a href="https://www.cnet.com/news/chrome-warns-of-not-secure-sites-to-cut-web-surveillance-tampering-faq/">this link</a> has auto-playing video. It may be "secure" but it's also obnoxious. This blog and all my other sites use HTTP. I don't see that changing. I expect this will make writing for the web more of a chore. That's life I guess. I don't want Google to be able to mold the web to its needs. I never signed on to being a <a href="http://scripting.com/2018/06/13/142326.html">Google developer</a>, and never would. Basic rule: Google is a guest on the web, as we all are, and guests don't make the rules. 
		- One thing you can be sure of, when a lot of reporters get laid off, <a href="https://mediagazer.com/180723/p10#a180723p10">you'll hear about it</a>. It's not true of a lot of other things. Big news happens, no coverage. It's not just because we're losing reporters, the ones that we have don't integrate well with the rest of the world.
		- <a href="http://scripting.com/2018/07/22.html">Yesterday</a> I wrote that Frontier does not have hoisting. This is incorrect. It does. I found it in the docs written in <a href="http://scripting.com/frontier/manual/chapter07.html">1996</a> and <a href="http://scripting.com/opmlHowto/dave/editorOpmlOrg/helpMenu.html#commandsInTheOutlinerMenu">2008</a>, and tested it with the two built-in verbs, <a href="http://docserver.userland.com/op/hoist">op.hoist ()</a> and <a href="http://docserver.userland.com/op/deHoist">op.dehoist ()</a>. My memory is imperfect. What I should have said is that I didn't use the feature, even though it was there.  
		- For my friends in journalism -- eventually Facebook, Google and Twitter will have to push the far right off their services, per your <a href="https://qz.com/1329967/facebooks-fight-against-bad-content-is-as-chaotic-as-ever/">wishes</a>. But that won't be the end of the tectonic <a href="https://en.wikipedia.org/wiki/Plate_tectonics">plate shifts</a> in news. The right will form their own services, where your product will be excluded, and will still apply pressure on the public companies to treat your work as suspect, and they will have to give them what they want. At that point you must have control of your own distribution. 
		- Trump's latest tweet is no joke. It's a huge escalation. He blew through all the <a href="https://en.wikipedia.org/wiki/DEFCON">defcons</a>. The issue isn't whether or not to <a href="https://twitter.com/jeffjarvis/status/1021334339399843840">ban him</a> from Twitter rather, where does he go for a rush after this? I <a href="http://this.how/trolls/">wrote</a> this about Trump as a troll in 2016: "Immunity to outrage builds up over time. What pissed people off six months ago will barely show up as a blip today." You can already see that this tweet isn't getting people riled up as it might have a few months ago. They understand how his trolling works. This is a serious problem for him. Without the ability to escalate through tweeting, he might have to resort to flyovers and actual attacks.
		- So it's almost official, <a href="https://www.thedreamshake.com/2018/7/23/17602366/carmelo-anthony-to-reportedly-sign-for-veterans-minimum-with-the-houston-rockets">Melo is going to the Rockets</a> for the veteran's minimum. I predict they won't like it any more than OKC did, unless Melo is willing to lead the second unit. That might work. Otherwise there's one too many on the starting unit that needs the ball. It's great that Harden and Paul have worked it out. Melo is still going to be a catch-and-shoot three point shooting guy. Not many moves to the rim for him.
		- Libraries have a purpose I’ve never seen written up — as sanctuaries for children of troubled households. As a child, there was a safe place I could go at night, when things were crazy at home. A place they cared about kids, as people.
		- When Repubs say they want to vote Democratic, the correct <a href="https://twitter.com/davewiner/status/1021377132629512192">response</a> is to say hey great to have you on the team! Let's really make America great again. I was dismayed when people pissed all over <a href="https://twitter.com/Comey/status/1021132108381683712">James Comey</a> when he said (basically) he want Democrats to win in November. That's <i>good</i> news. He found the right answer. The lights are coming on. People have so much trouble taking <i>yes</i> for an answer.
		- I have a philosophy. I don’t care how you got to the party. Whether you took the subway, walked, came by spaceship or were driven by your chauffeur. What’s important is you’re here. Now let’s party! 🎉
		- Librarians
			- I wanted to say what I said <a href="http://scripting.com/2018/07/23.html#a124343">above</a> about libraries and librarians for many years, but as long as my parents were alive, I didn't want to write about it. I still don't want to write about it in any great detail, because I understand why it was like it was.  
			- Anger, pain and fear are passed down through generations. I knew their parents, and I knew what they all went through to get to America. I came to believe later in life that the responsibility of a parent is to do better than was done to them as a child, and both my parents achieved that. 
			- Back in the 60s, when I was growing up, things were different. Now, I think a kid could walk into a police station and tell the story of his house, and there might be some help. But not then. People stayed out of the internal life of families. 
			- The library really was a sanctuary for me. The librarians at the <a href="https://www.yelp.com/biz/queens-borough-public-library-auburndale-flushing">Auburndale branch</a> of the Queens Borough Public Library knew me, they knew what I was interested in, what books I liked, what stories I liked to hear, and tell. The most important thing was they treated me as a real person. For kids, even today, that's rare.
			- That's why librarians will always be special to me. Their ethos, their role, is so essential to a functional community. They don't get enough credit elsewhere, but with me, they are American heroes.
	- July 22
		- Here's a quick <a href="https://www.youtube.com/watch?v=y6OZBNiOk5A&feature=youtu.be">video demo</a> of hoisting.
		- I've been working on hoisting for the core outliner in "LO2". Just got it working today. Saving while stuff is hoisted was the hardest part. I don't seem to have <a href="https://duckduckgo.com/?q=site%3Ascripting.com+hoisting&t=h_&ia=web">hoisting</a> defined on my blog, probably because the outliner in Frontier didn't have the feature. There are two operations, hoist and dehoist. Put the bar cursor on a headline. If you <i>hoist</i> it, everything that's subordinate to the headline becomes your world. The other stuff is still there, but you can't see it or edit it. You can focus on just this part of the outline. I need it for my blog, when I'm working on a long post and want to quickly scroll to the beginning or end. <i>Dehoist</i> as you might imagine undoes the last hoist. 
		- <a href="https://twitter.com/davewiner/status/1021149464273223682">Poll</a>: When Trump is impeached, will you watch it?
		- If you give a shit, and don’t want to end up in a concentration camp, stop fighting with others who care and close ranks.
		- As I get older I have more confidence in the power of deliberation. Give my mind the time to weigh the alternatives, and I'll come to a better decision in 24 hours than I would in 2, and if it's important, it's worth it. 
		- How to improve Twitter in 2018
			- So Jack Dorsey is looking for ways to improve Twitter. 
			- There are three I can think of:
				- Eliminate the character limit, allow for linking, simple styles, titles and enclosures (for podcasting). The move to 280 chars was so successful, that should be a clue. Remove the barriers to expression and let the whole web in via linking. Handle length the way Facebook does with a <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">see more</a> link. It's good prior art. 
				- Help news orgs create collections of news feeds for people to follow on Twitter and on the open web. I think ultimately that's what news orgs will become. Experts on where to find the people who are saying newsworthy stuff. It's not much of an evolution, it's what they've been doing for as long as I can remember. The web gives us the ability to create new structures for that. Since Twitter is a place people go for news, it's a natural evolution for Twitter. I have a <a href="http://scripting.com/2018/07/13/175214.html">roadmap</a> for how to do this.
				- Make a commitment to developers and make it irreversible. What exactly this means is subject to negotiation. But no one company can do what a medium does. As great a company as Twitter might be, its not something companies were meant to do, imho.
			- Bonus: A new rule. For every original tweet you write you have to RT someone else's.
	- July 21
		- I'm a one-issue voter for 2018 and beyond. Make politics boring again.
		- The business-as-usual approach of <a href="https://www.theblaze.com/news/2018/07/20/alexandria-ocasio-cortez-makes-another-embarrassing-gaffe-and-bernie-sanders-tweets-it-out">Bernie Sanders</a> et al is unsupportable. We need to close ranks. Stop trying to optimize and just focus on getting the Repubs out of our government, asap.
		- I like to write about <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22central+park%22&t=h_&ia=web">Central Park</a> as the analog of the open web, and the city surrounding it as the silos. This <a href="http://scripting.com/images/2018/07/21/fiftyNinthStreetNYC.png">photo</a> shows the analogous interface.
		- It takes courage to write a <a href="https://werd.io/2018/life-on-the-darkest-timeline">blog post</a> like this from Ben Werdmüller. Whenever we write, imho, we're saying something simple. This is what I see. These are my values. This is what it's like to be me. By showing yourself, you become vulnerable, and that has a cost. Better to be safe. But sometimes you have so much to say, the pain is so great, it has to come out. One thing I've discovered in a life of ups and downs -- it's true -- it's darkest just before dawn. :boom: 
		- What Russia has on Trump
			- I think <a href="https://www.gq.com/story/what-putin-has-on-trump">Julia Ioffe</a> got it right. This is what Putin has over Trump.
			- At any time they could leak to news orgs proof that without Russian hacking of the 2016 election Trump would have lost.
			- Anything else is BS, pee tapes, etc. No one, especially Trump, would care.
		- Being a conservative in 2018
			- I'm a conservative. Something former-Republican conservatives can probably relate to. I think the vast majority of Americans who are freaked out about the Trump presidency could legitimately be described as conservative. However I've been voting solid Democratic since 2004.
			- For me, a bridge too far was the Iraq war. By 2004 we knew there were no WMDs, that the government had lied to us. This was huge. On such a serious matter as war or peace, you can't do what they did and keep the support of good Americans. At the moment they're talking about <a href="https://foreignpolicyblogs.com/2017/07/19/dont-want-smoking-gun-mushroom-cloud/">mushroom clouds</a> you need to suck it up and trust the government has seen something unthinkable that you can't see. Not lying out of their ass, as the Bushies were. 
			- It was the realization that <a href="http://scripting.com/images/2018/07/21/colinPowelUn.png">this moment</a> was based on a lie, that meant I would never vote Republican again.
			- Yes, I firmly believe in Choice, am in favor of radical gun control, I have a serious pre-existing condition, so I get how important health insurance is. But you could actually vote Republican before 2000 and still have these positions.
			- Or so I thought. ;-)
			- And voting Democratic is no panacea.
			- Think Snowden.
			- But the United States is what it is. No generation gets to radically change direction. I say that as a baby boomer who marched for peace in the 60s and 70s.
			- This is the lesson of America.
			- Change is continuous. A country that still hasn't shaken off the legacy of slavery isn't going to transform into a European socialist country in a generation. Not after what we've been through in the last 20 years.
			- We made a lot of changes in the last ten years. And our chain has been yanked back. Hopefully that's all it is. But it's a mistake to try to yank it again. It's time to compromise. We need to elect a president we'd all like to have a cup of coffee with. Not someone who wags his finger and talks over us. Who doesn't listen. Who is as much a narcissist as the current asshole in the White House.
			- My slogan, if you've made it this far is this -- Make Politics Boring Again.
			- I felt, once Obama was elected, that that was as good as it was going to get. We are the United States. That means we're fucked up. But at least let's think a bit before we start pushing people around.
			- Toby Ziegler nails it in <a href="https://www.youtube.com/watch?v=S4vU1ygmq-s">this scene</a> in The West Wing. "They'll like us when we win." This could be the motto of America right up there with <a href="https://en.wikipedia.org/wiki/E_pluribus_unum">E Pluribus Unum</a>. :rocket:
		- I think IFTTT supports rssCloud
			- This is why I think that.
			- When I post an item to my <a href="http://scripting.com/?tab=links">linkblog</a>, it also goes to an <a href="http://radio3.io/users/davewiner/rss.xml">RSS feed</a>.
			- I have an <a href="https://ifttt.com/">IFTTT</a> app that <a href="https://ifttt.com/applets/15217689d-if-new-feed-item-from-http-radio3-io-users-davewiner-rss-xml-then-post-a-tweet-to-bullmancuso">watches</a> that feed, and when something new shows up posts it to this <a href="https://twitter.com/bullmancuso">Twitter account</a>.
			- I also ping the <a href="http://scripting.com/opmlHowto/dave/rssCloud/walkthrough.html">rssCloud</a> notifier, the one that's pointed to from the &lt;cloud> <a href="http://scripting.com/images/2018/07/21/cloudElement.png">element</a> in the feed. It tells an app how to be notified immediately of an update.
			- Here's the thing. The Twitter feed gets the update immediately now. Sometime in the last year (?) or so it started being instantaneous. Unless they're polling the feed ridiculously often, they must be hooked in through the &lt;cloud> element. 
			- If they did, I think this is very cool. :boom:
		- Not left or right
			- I don't like "left" and "right" -- because it implies that there are just two answers for everything, and a formula that leads to a correct answer.
			- Every left person thinks this way and every right person thinks the opposite on everything. I doubt if anyone is really like but I am not. 
			- I am neither left or right. I think for myself. I try to understand each issue and form my own position. I do not delegate my thinking to others.
	- July 20
		- Russia has been <i>hacking</i> our political system, not meddling or interfering. Further, Trump isn't embarrassing the United States, he's <i>humiliating</i> it.
		- <a href="https://www.nytimes.com/2018/07/18/arts/television/simpsons-matt-groening-apu.html?action=click&module=MoreInSection&pgtype=Article&region=Footer&contentCollection=Television">Matt Groening</a> still isn't listening. Apu <i>is</i> lovable. The <a href="http://scripting.com/2018/04/10/221756.html">problem</a> is not political correctness, or people being offended, it’s that Apu creates problems for Indian-Americans because there are so few South Asian characters on TV. Apu dominates. I'm sure the Simpsons and Groening didn't intend it, but it's happening just the same. 
		- Bike riding pro tip. If you want to ride faster, be sure your tires are fully inflated.
		- Andrew Sullivan <a href="http://nymag.com/daily/intelligencer/amp/2018/07/andrew-sullivan-why-trump-has-such-a-soft-spot-for-russia.html">explains</a>, convincingly, that the idea of appealing to the conscience of Repubs is misguided. They've made it very clear that to the extent they have such things, they will have no influence on what they do. This piece is required reading, imho. And the business-as-usual approach of Bernie Sanders et al is unsupportable. <i>We need to close ranks.</i> Stop trying to optimize and just focus on getting the Repubs out of our government, asap.
		- <a href="http://myword.io/">MyWord Editor</a> needed to be <a href="http://twitter.myword.io/users/davewiner/essays/056.html">updated</a>. :rocket: 
		- Why Facebook doesn't ban liars
			- I love the <a href="https://www.nytimes.com/column/the-daily">Daily podcast</a>, but it may be because I'm a neophyte in most of what they cover. When they cover Facebook, and other tech industry topics, they are the neophytes, and imho, they once again, imho, have missed the story in <a href="http://podcatch.com/archive/2018/07/20/570056.html">today's podcast</a>. 
			- The story is Facebook's attempts to regulate the virality of lies. They're not trying to eliminate the lies, because as Zuckerberg states, we all make mistakes, and if they banned people or organizations that told lies, they'd be banning a lot of valuable interactions and people. Instead, when a story starts going viral, and if it's a lie, they tell the algorithm to ignore its popularity. To me, someone with some experience managing online communties, though not at the scale of Facebook, that seems to be a clever and wise solution. 
			- The Times reporter wants them to do more. He says Zuckerberg will have to use his power. He has no obligation to be fair, applying the <a href="https://en.wikipedia.org/wiki/First_Amendment_to_the_United_States_Constitution">standards</a> of a western democracy to speech on Facebook. He could do what the NYT would like him to do, ban Infowars, Breitbart and Gateway Pundit, and keep the NYT and Washington Post. But this isn't what Facebook wants.
			- What would happen if Facebook banned Infowars and Breitbart and other lie-spreading make-believe news orgs? They'd start their own Facebook. You might think it's not possible, but Facebook knows how many followers they have, and how hard the technology is. "Facebook is a business," Zuck said. And as a business he has to think about growth, and defending against potential competition.
			- The last thing he wants is to give the right-wing infowarriors an excuse to move their users off Facebook and onto a right-wing-approved social network. I am sure that's coming, btw. I'm sure he's sure as well. And he wants to put that out as far in the future as he can. 
		- Any senator could stop this
			- If a Republican senator wanted to do something brave to call a timeout on the Trump presidency until some basic questions were answered, all they would have to do is this...
			- Announce that they were voting against <a href="https://nypost.com/2018/07/17/kavanaugh-has-least-support-of-any-supreme-court-pick-in-three-decades/">Kavanaugh</a> and make sure everyone understood this is why. Then a few other Republican senators can join in, and then we'd have a bi-partisan discussion of the very minimum loyalty we insist on from a POTUS. 
			- Congress can act as representatives of the people. Never mind what they say to pollsters' questions. Imagine they knew how disloyal the president is. Act as a way of preventing the First Amendment being a <a href="https://en.wikipedia.org/wiki/The_Constitution_is_not_a_suicide_pact">suicide pact</a>. Which is what's actually happening. Fox News has taken control of the political process, more than Trump, imho.
			- Update: Andrew Sullivan <a href="http://nymag.com/daily/intelligencer/amp/2018/07/andrew-sullivan-why-trump-has-such-a-soft-spot-for-russia.html?__twitter_impression=true">explains</a>, persuasively, why this won't happen.
	- July 19
		- Good morning sports fans!
		- <a href="http://scripting.com/misc/blackout/">Yesterday</a>: "Waiting for other people to save us isn't working."
		- Mid-morning yesterday I realized that what I had been writing on this blog and elsewhere for months, if not years, amounted to one simple idea. <i>Waiting for other people to save us isn't working.</i> What could I do to focus on that idea? I decided to use my blog home page for 24 hours to say it. <a href="http://scripting.com/misc/blackout/">That is what</a> appeared on the home page of Scripting News yesterday. 
		- I don't understand why the NYT would <a href="https://www.nytimes.com/2018/07/18/technology/personaltech/tech-reporter-does-not-use-tech.html?smtyp=cur&smid=tw-nytimesbusiness">employ a tech reporter</a> who isn't immersed in tech. The world is. Walk around any city if you doubt me. I haven't read many of his stories, but I would wonder if he's missing something important since he basically is one big blind spot when it comes to tech. I'm hoping the reporter who reported on the reporter was exaggerating, as they sometimes do. :boom:
		- The Democrats have a new campaign <a href="https://www.politico.com/story/2018/07/18/house-democrats-midterms-campaign-slogan-730907">slogan</a> "For the people." It's close. But it betrays an attitude that separates you from us. Better to get down in there. Luckily there is a <a href="https://www.loc.gov/item/48034353/">very American idea</a> that fits. "We the people..." I'd leave the elipses in the expression to let memory remind us that we remember who we are. 
		- BTW, I hope no networks are planning to televise Trump's <a href="http://www.foxnews.com/politics/2018/07/18/military-parade-requested-by-trump-initially-estimated-to-cost-12m-official-says.html">military parade</a>, but I suspect it's a lost cause. More free campaign coverage for Republicans. 
		- A Congressperson’s job isn’t to get re-elected, it’s to run the US government.
		- Trump can't arrest McFaul
			- Re exaggeration to feed our <a href="http://scripting.com/2018/07/19/131456.html">rage addiction</a> -- a classic example. The president is considering whether to accept Putin's proposal to give Mueller access to the twelve <a href="https://en.wikipedia.org/wiki/Main_Intelligence_Directorate">GRU</a> hackers in exchange for being given access to <a href="https://en.wikipedia.org/wiki/Michael_McFaul">Ambassador McFaul</a> and <a href="https://en.wikipedia.org/wiki/Bill_Browder">Bill Browder</a> and a few others. 
			- This was a cause to set our hair on fire? It's a fantasy. It might happen in a few years if Trump is able to establish a dictatorship with no rule of law. No doubt he fantasizes about that, but it isn't happening now.  
			- Yet Maddow and McFaul and a hundred reporters we'd like to respect pretend that Trump could do this! Hah. He's having a meeting about it, says Maddow. The mood is somber. This is gross malpractice. She must know it's no threat, that someone in the meeting would ask Hey boss, how exactly do you plan to get McFaul to show up for this interrogation? That would be the end of the discussion. No judge would sign a subpoena. No cop would arrest him. What would the charge be? We have the rule of law in the US, and thank goodness it's holding. 
			- There is plenty to be upset about, but this is a cheap thrill. The liberal media is being every bit as bad as Fox News. Cut it out. We have minds, we're educated and we know when you're bullshitting. This is bullshit.
		- We're addicted to rage
			- Look at how awful this thing is, and that. And we exaggerate to make things look worse than it is (more on that <a href="http://scripting.com/2018/07/19/132508.html">in a bit</a>). In the meantime, what we were told would happen is happening. We're losing our will to act. We had great demonstrations around the inauguration. But that wasn't enough. Isn't enough. We have to be smart. Learn from the experience of Russia and Ukraine. What would the resistance there do differently if they had a do-over? We have a chance to look at our own future, and change direction. We keep missing chances. We have all the tools we need to make it work. But we have to risk, we have to be willing to sacrifice. Before it's too late. Because every day it's too late for what we could have done yesterday. 
	- July 18
		- <a href="https://twitter.com/davewiner/status/1019653818261430273">Poll</a>: If you're an outliner user, do you know what hoisting is, and if so do you use it?
		- I know this is like pissing in the wind, but here's an idea for a demonstration that might impress the Repubs in Congress. In every one of their home districts, people march to their polling place, next Saturday or the Saturday after that. Carrying signs that say <i>We Know How To Vote,</i> with the name of their congressperson on it. Go out of the way to recruit Republican-looking voters. Make sure the TV cameras are there. 
		- Imagine a guy floating down the <a href="https://en.wikipedia.org/wiki/Niagara_River">Niagara River</a> just before he goes over the falls, thinking "It's probably not too late. There are a bunch of Republicans in the observation area, all they have to do is reach out and grab me and I'll be OK."
	- July 17
		- <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">Occam's News</a> says the reason Trump is so deferential to Putin is that he is deeply in debt to Russian oligarchs. His problem isn't a pee tape, it's that Trump's wealth is Russian wealth. That fact is about to come out publicly, and Trump was afraid it would come out at the press conference, with the whole world watching with the cameras on his face. That's what they talked about privately, and that's why Putin had such a big <a href="https://idioms.thefreedictionary.com/a+grin+like+a+Cheshire+cat">grin</a>. He has Trump's balls in a jar on his desk back in Moscow. 
		- How to put this -- it's nice when a journalist or political figure correctly explains out how technology works. For example, <a href="https://twitter.com/davewiner/status/1019082628341948422">Noah Smith</a>, an opinion writer for Bloomberg, advises a <a href="https://twitter.com/asymmetricinfo/status/1018944985415249924">columnist</a> for the Washington Post that muting on Twitter is not a good idea, that blocking works better. I saw his post because it was RT'd by <a href="https://twitter.com/de1ong">Brad DeLong</a>, an economic <a href="https://en.wikipedia.org/wiki/J._Bradford_DeLong">historian</a> at UC-Berkeley. I chimed in -- "You are right. They are trolling you, [and when you mute them] you just don't know it." And even if you block them, they can and do still go one-on-one with people who engage with you, and there are no tools on Twitter to stop that. But at least when you block them you keep them from broadcasting to everyone who follows you.  Bottom-line: Block trolls, don't mute.
		- We're complicit, part II
			- Earlier this month I wrote a <a href="http://scripting.com/2018/07/08/011714.html">piece</a> about how Americans are like people who worked at Microsoft in the 90s. You can't separate the people from the group. In that sense, no matter whether you voted for Hillary or Jill or Bernie, or whether you marched with a <a href="https://www.pussyhatproject.com/">pussy hat</a>, or write angry tweets, if you're an American, you're complicit. Eventually you will be blamed for what America is doing, and that's fair and just.  
			- Truth is, Americans are lazy. How did we get this way? We let two wars be fought in the 2000s, with no draft, not only no wartime tax increase, but a tax <i>cut. </i>And we let the government get away with not showing the returning flag-draped coffins. We fought two wars in Asia (still are, btw) and you'd never know it at home. That imho is a crime. You shouldn't be able to fight a war without feeling a lot of pain.
			- With that in mind, maybe we should be doing more than being outraged at why the Republicans don't act. Remember Gandhi <a href="https://www.goodreads.com/quotes/24499-be-the-change-that-you-wish-to-see-in-the">said</a> "Be the change that you wish to see in the world." In other words, in more American terms, stop waiting for other people to save your ass, risk some of <i>your</i> security for the greater good. 
			- Off the top of my head I thought of something we can do right now. Stop. Don't go to work for the rest of the week. Don't buy anything. Stay home, or go out and march. Stop the US economy. Make it clear what we want. Trump either resigns or the House impeaches him. There's plenty of time between now and Friday to do that. 
			- If we ground the economy to a stop that would make the world take note. Very likely the big companies would join the protest, and people around the world would join too. We fancy the US is the leader of the free world (obviously our president no longer is). How about a little of that famous leadership, from the people of the United States?
	- July 16
		- <a href="https://twitter.com/davewiner/status/1018913874312089600">Poll</a>: What will the GOP do about Trump?
		- <a href="https://twitter.com/dotMorten/status/1018243235364274176">To use his oven</a>, he has to accept the terms and conditions.  
		- There's a new Uber commercial playing on TV in NYC. First they take you to various neighborhoods, esp Hispanic, black or Asian neighborhoods. Outlying neighborhoods. This is the real NY, they say, or imply (I don't remember which). Try to get a fucking cab to take you to one of these places. Or pick you up. At Uber, we love your stupid neighborhood. So fuck DiBlasio, the fucker, and the cab companies. They're just out to fuck you. But Uber loves you. Uber. Of course they don't say all that, but the message is unmistakable. 
	- July 15
		- <a href="https://twitter.com/davewiner/status/1018618524615536640">Poll</a>: What will we witness tomorrow when Trump and Putin hold their joint press conference?
		- Happy to report that an <a href="https://github.com/scripting/Scripting-News/issues/87">SQLite</a> test app took about ten minutes to write and install. They make it sound like installing the native portion is some huge deal. It's not. I would share what I have so far, but I just followed the instructions on <a href="https://www.npmjs.com/package/electron-sqlite3">this page</a>. They work, and the demo app works. I have an interesting project in mind, but first I have to learn more about SQLite to see if it's feasible. Still diggin. :rocket:
		- If you’re a developer who works inside a news org, <a href="http://scripting.com/2018/07/13/175214.html">here’s a plan</a> for how to create a great set of whitelists of news that’s trying to get it right. This is based on what I learned bootstrapping blogging and podcasting. The same ideas should work for journalism, at least as starting points. We have to <a href="http://scripting.com/2018/06/30/122337.html">work together</a>, and not wait for the tech industry to do it, imho. We can do it. Programmers can save the world. (Not really exaggerating.)
		- <a href="https://twitter.com/silentmoviegifs/status/1018579202272980993">Buster Keaton's philosophy</a>: "I always want the audience to out-guess me, and then I double-cross them."
		- New personal description on Twitter <a href="https://twitter.com/davewiner">profile page</a>. "American software developer, blogger, inventor of new media types." 
	- July 14
		- Have you ever had a thought "Geez this person just needs to read the article," so you say so, and they reply with something like "Thanks. I <i>did</i> need to read it." :boom:
		- Try a new form of protest. Block <a href="https://twitter.com/realDonaldTrump">Trump</a> on Twitter. 
		- <a href="https://github.com/scripting/Scripting-News/issues/87">Braintrust query</a>: I'm thinking about using an SQL database in an Electron app. I want to bake the database software into the app. Looks like <a href="https://www.npmjs.com/package/electron-sqlite3">SQLite</a> is the best option. Any other ideas?
		- <a href="http://thesaurus.land/?word=humiliated">Humiliated</a>. That's the word for how the United States is.
		- It seems to me <a href="https://en.wikipedia.org/wiki/Amazon_Web_Services">AWS</a>, with the combination of <a href="https://docs.aws.amazon.com/AmazonS3/latest/dev/WebsiteHosting.html">S3</a>, <a href="https://en.wikipedia.org/wiki/Amazon_Route_53">Route 53</a> and the fact they have your credit card and shipping address, could turn HTTPS support into a checkbox. 
		- Listening when it's especially hard
			- As I <a href="http://scripting.com/2018/07/10/133458.html">wrote</a> earlier this week, listening is hard. It's even more difficult when someone wants to report a problem. This comes up in all kinds of relationships, it even models software bug reporting.
			- Here's a scenario. A person with a missing leg says "When you push me, I fall over and that hurts." Here's a list of possible responses, from best to worst.
				- If you understand what they're saying, just say that, literally: "I understand what you're saying." If you don't understand, then say that, but only if you really don't understand.
				- Don't defend yourself. For example "I didn't know you only had one leg," or "I didn't know if I push you you'll fall over." The person just wants to know you heard them. You're changing the topic to something about yourself. This leaves the question of whether you understood out there, unanswered.
				- Don't argue. "The leg you say is missing is really just shorter than the other one, it's not actually missing." We're getting very far away from "I understand what you're saying."
				- Even worse. "It never happened" or "I didn't push you over." 
				- Worst. "What about the time you said I was stupid." 
			- I'm sure you see the analogy to software bug reporting. We want to know that something went wrong, so we can fix it, and make the product work properly. Same thing in personal relationships. If you care about the other person, you want to know that something you're doing is trouble for them, so you can stop doing it. There really is no better way to show that you care for them than listening when it's especially hard to. 
			- Finally, why keep the response focused on the problem?
				- It builds trust. 
				- It encourages the other person to report other problems, so the relationship can be further optimized.
				- It makes for a happy family!
	- July 13
		- The hideous <a href="https://twitter.com/JimCarrey/status/1017790212544450560">entity</a> that walks among us as “Paul Manafort” slips on its human skin-suit for a quick mugshot.
		- Follow-up to yesterday's <a href="http://scripting.com/2018/07/12.html#a163521">addition</a>. Here's why it's interesting to put <a href="https://github.com/scripting/Scripting-News/blob/master/blog/rss.xml">the RSS</a> in the GitHub repo. You can <a href="https://github.com/scripting/Scripting-News/commit/240114c407b13fe3468790d2f8b82a451c5708ef#diff-3413fd3f6a62e71ebb8dc6460e14f78f">see what changed</a>. Of course that's what "River5" is for. But it's interesting to see it in GitHub. Like many things on the net, both GitHub and RSS are about "what changed."
		- What we need from news orgs re fake news
			- Here's a timeline.   
				- Each news org should produce a list of news orgs they feel produce news that's not fake. Each should use whatever criteria they feel is right. Publish the list.
				- Evolve the lists over time. This problem is not going to be solved overnight. The process will take years to sort out. In the process we will learn a lot. If it works, it will transform news to make it much more useful because it's online and not print. 
				- Techies, both companies and individuals, will build news products based on the feeds. For example, Facebook might offer a choice of news selected by different news orgs. An open source group could create software that flows Twitter-like news feeds from the lists. 
				- This will become competitive. Some pubs' lists will fall out, others will rise to the top. There will be surprises. 
				- Include blogs in the list, blogs that cover territory that you cover. For example, the NYT would include bloggers who cover neighborhoods. Tech pubs would include tech bloggers.
				- Include your entire news flow in your list. Amazingly some news orgs do not have a comprehensive list of every news article they publish in reverse-chronologic order. 
				- You may choose to make your list a feature of your news site. You may also use other organizations lists as a feature on your news site.  
				- Let's discuss our experiences at a future-of-news conference. After a few months' experience we should be ready to learn from each other. 
				- This is not something tech companies can do for you. People whose work is producing news should come up with ideas for figuring out what is and isn't reliable news.
				- The canonical "fake news" site, Infowars, will of course produce their own list of reliable feeds. Totally valid. People who want to be informed by them may choose to do so. 
		- Notes on xrefs
			- <a href="http://scripting.com/2017/07/13.html">One year ago today</a> I introduced a feature that allowed me to include a post from Scripting News within another post. Here's the <a href="http://scripting.com/2017/07/13.html#a033236">example</a>, and the video <a href="http://scripting.com/2017/07/13.html#a052616">demo</a>. I wondered if I would use the feature. I haven't. But I forgot it was there, and forgot how it works. There's a <a href="http://scripting.com/images/2018/07/13/headlineTooBig.png">CSS problem</a> that's shown up, when I increased the size of the titles on the story pages. I'll fix that now.
			- This is a test. Breakage fixed. I changed the way permalinks to stories work. If an item has subs it's rendered on its own page. The URL will be different, so it has to be parsed differently when setting up the xref node. So this points to a story on its own page, and I'm going to work on the code to detect this and properly compute the location of its corresponding JSON file.  
			- For the test above, the xref value is http://scripting.com/2018/07/09/143533.html
			- The JSON derived from that URL should be http://scripting.com/items/2018/07/09/a143533.json
			- This node is an xref. That means that in the OPML, it has an <i>xref</i> attribute, which is a <a href="http://scripting.com/2018/07/10/133309.html">link</a> to a story on this blog. It's converted to the URL of a JSON file, which is then read, and included under this headline when it's expanded. 
		- Google isn't going to like this
			- After forcing a change to HTTPS, there are going to be other requirements. They'll try to eliminate fake news from the web as Facebook is trying (and failing) to eliminate it from their silo. That's the slippery slope they are starting down. They may not feel they have a lot to lose, but <i>we</i> do. Last year I wrote a <a href="http://scripting.com/2017/07/13.html#a033345">piece</a> about why I like to develop on the open web. If I get an idea for a feature, I can just do it. I could wait forever for Facebook, they don't listen to me (neither does Google) but <i>I</i> listen to me. I can do it without getting the approval of a big company -- that's the magic of an open platform. I will never give that up. I'd rather retire to Italy and make pottery and drink espresso and bubbly water. Grazie! 
	- July 12
		- Brits want to know why Donald Trump is such a.. you should <a href="https://www.youtube.com/watch?v=dbwEqyFgqEQ&list=RDdbwEqyFgqEQ&t=14">listen</a>. 
		- <a href="https://twitter.com/silentmoviegifs">Silent Movie GIFs</a> is great. They show you tiny scenes from a silent movie, and then another and another, spaced out over hours. Here's a <a href="https://twitter.com/silentmoviegifs/status/1017446111571841025">scene</a> from the <a href="https://en.wikipedia.org/wiki/Buster_Keaton">Buster Keaton</a> movie <a href="https://en.wikipedia.org/wiki/One_Week_(1920_film)">One Week</a>.
		- I did a bit more development work <a href="http://scripting.com/2018/07/12.html#a142546">today</a> on a project that stores stuff on GitHub as if it were a long-term place, a place to create a historic record. Of course I question that, I did when they were an independent company. Now that GitHub is owned by Microsoft, I still question it. Not sure if it's more or less likely to survive as-is for the indefinite future. Made me wonder what Microsoft could do to reassure developers, so we'd feel comfortable treating it as a permanent resource. Clearly that's in their interest. Microsoft has embraced open source, now I wonder if they have what it takes to be a leader. 
		- I wonder why more American congresspeople don’t have blogs and podcasts. It seems they would want to communicate regularly with their constituents. Twitter has severe limits, as everyone knows.
		- I'm now archiving the RSS file for Scripting News <a href="https://github.com/scripting/Scripting-News/blob/master/blog/rss.xml">in the GitHub repo</a>, every night, along with the content of the blog for the day (in JSON, OPML and HTML). It'll be interesting to be able to track the changes to the file over (knock wood) long periods of time. Here's the <a href="https://github.com/scripting/oldSchoolNightly/blob/master/oldschoolnightly.js">source</a> of the app that does the uploading. It's proven to be very reliable. :boom:
		- Real ideas yesterday on MSNBC
			- Most of the time I spend watching MSNBC is a waste, but yesterday there were two items that were important. 
				- On MTP Daily, an interview with <a href="https://www.msnbc.com/mtp-daily/watch/rounds-sounds-the-alarm-on-trump-trade-strategy-1275006531827">Senator Mike Rounds, R-SD</a>, carefully explaining how Trump still has the support of his constituents, but they don't like what he's doing with tariffs. I think this is a must-listen, a real milestone, imho.
				- On The Beat, author <a href="http://www.msnbc.com/the-beat-with-ari-melber/watch/trump-baby-blimp-organizer-moral-outrage-doesn-t-work-on-trump-1275099715785">Tony Schwartz</a>, interviewed about the angry Trump baby blimp in London, said it's funny (it is!) but is far from where we should be focused. He says getting non-voters to vote is where our attention should be. Couldn't agree more. I want a system, where voters have buddies, like sponsors in a 12-step program, who they commit to voting, and they engage on Election Day and make sure they do. They escort them to the poll if necessary. We should have drills. What an incredible demonstration that would be. Far more powerful than a march. Think about it.
		- A mutual defense pact against racism
			- A Twitter account called <a href="https://twitter.com/BlkAndPr0ud/status/1016367865400832000">Black and Proud</a> addresses white people: 
				- <i>Please stop saying 'I don't see color.' Instead -- I see you and your struggle, because of your skin color. I will stand with you to end racism. </i>
			- I agree. Race <i>is</i> visible, and the statement that you don't see it is ludicrous. We see it. To say otherwise is to push it aside. I've written about this a few times before, once in an explainer about <a href="http://scripting.com/liveblog/users/davewiner/2016/01/17/0880.html">Black Lives Matter</a>, and what it means, from a white person's perspective. 
			- I want to do more. I feel compelled, not just to make life safer and simpler for people of color, but also to put up a roadblock to racism, to let it know that it will encounter resistance. Some things are better kept under cover. Racism for sure is one of them. 
			- In the past I've <a href="http://scripting.com/2016/12/30/theMlkButtonsArrived.html">proposed</a> that we all wear Martin Luther King buttons. I felt his <a href="http://scripting.com/images/2017/12/09/mlk.png">image</a> was perfect because he's a black man, he preached non-violence, and was active, not passive, in his quest for equality and fairness. A white person wearing a <a href="http://scripting.com/images/2017/12/09/mlk.png">MLK button</a> makes a statement of equivalence. Treat me as you would treat a black person. If a majority of whites wore these buttons it would make a promise to our fellow citizens, that if there's trouble, we're standing with you. <i>When</i> there's trouble. 
			- It would be like Article 5 in NATO. An attack on one of us is an attack on all of us. As a white person I can't become black. But I can make a statement that I stand with people of color. 
	- July 11
		- Development of the "RSS" format didn’t <a href="https://the-digital-reader.com/2018/07/11/do-you-still-rss/">peter out</a>, it was frozen, so there could be as much interop as possible.
		- The problem for <a href="https://twitter.com/MSNBC/status/1017055887037485062">Jim Jordan</a>, as far as I'm concerned, is I saw him <a href="https://www.youtube.com/watch?v=b0Etlf4tc0s">cross-examine Rod Rosenstein</a>. Just a couple of weeks ago. I know how corrupt his mind is. So matter how sincere he sounds I know his word means nothing. There is no honor in that man.
		- Trump is appalling. On behalf of my country, apologies to Canada, China, Germany and whoever he attacks next. Spread the word.
		- Small change to the <a href="http://artshow.scripting.com/">Art Show</a> app. We now only keep the 1000 most recent works of art. The array was starting to get big. 
	- July 10
		- The other day I was <a href="http://scripting.com/2018/07/09/143533.html">looking</a> for the canonical <a href="http://hosting.opml.org/dave/spec/states.opml">states.opml</a> file, the one that I use to test structures of outlines with. I found what appears to be the original copy, dated 12/2/2000. It's now <a href="http://this.how/states/states.opml">accessible</a> through this.how, which is served by PagePark, using its built-in ability to render OPML files. I'm rebooting the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+worldoutline&t=h_&ia=web">worldoutline</a> capabilities but with an open source scalable stack. :rocket:
		- Re winning in November. In 2008, Obama had a social network of voters who met, knocked on doors, arranged a buddy system for people to vote. We should reboot that, only do it better. It's 2018, and the technology and our know-how have improved a lot. 
		- As we get accustomed to a Putin-run American government, where are our Russian counterparts -- the protestors, the democracy advocates, to school us on how to really resist the dawning nightmare. It seems there are voices missing from our conversation
		- Parallels betw Russia and Germany
			- I haven't heard this mentioned elsewhere, but there are parallels to where we're at now and at the beginning of World War II. 
			- Russia, like Germany had been defeated and humiliated. Out of that rose a strongman, who has territorial ambitions in Europe. 
			- As in the 1930s, the US is isolationist. This time we have a <a href="https://en.wikipedia.org/wiki/NATO">defense pact</a>, but it seems like we're going to withdraw from that. 
			- What it means for Europe is that they're heading for government like that in Russia, and without a strong adversary, an unchecked Russia won't stop before it runs over all of Europe. 
			- Here are the relevant dates. 
				- The <a href="https://en.wikipedia.org/wiki/Treaty_of_Versailles">Treaty of Versailles</a> was in 1919 and the first territory grab by Germany was the annexation of <a href="https://en.wikipedia.org/wiki/Anschluss">Austria</a> in 1938. 19 years.
				- The collapse of the <a href="https://en.wikipedia.org/wiki/Dissolution_of_the_Soviet_Union">Soviet Union</a> was in 1991, and the annexation of <a href="https://en.wikipedia.org/wiki/Annexation_of_Crimea_by_the_Russian_Federation">Crimea</a> was in 2014. 23 years.
		- Listening
			- One of the things we learned in massage school, many years ago, was how to listen. There was an exercise I always try to remember when it's time to listen. 
			- The group separates into pairs. Seated on mats on the floor. Spines straight, head straight, not tilted in or out or to a side. One person speaks and the other listens. The speaker just talks, no rules there. Share whatever you want. Anything. The listener says nothing. Your body doesn't move in or out. No hugging, touching, no words. Your eyes stay neutral. No facial expressions. No empathy, no approval or disapproval, just hear what the other person is saying. Understand that they are this person's words. No response is allowed.  
			- These days, when it's time to listen, I allow myself to put a hand across my mouth as a signal to my subconscious that it's time to listen. 
			- What made me think of this today? I listened to the latest <a href="https://www.thisamericanlife.org/">This American Life</a> podcast, the <a href="https://www.thisamericanlife.org/617/fermis-paradox/act-two-2">second segment</a> was a couple's therapy session. One was speaking, the other wasn't listening. If you're in a troubled relationship, I highly recommend the podcast. And if you can find someone who will pair with you on the listening exercise, above, I recommend that as well. You may be surprised how hard it is to stay centered, neutral, just listen, not go in or out.
			- <a href="http://scripting.com/2013/10/27/listeningIsHard">Listening is hard</a>. If more people learned how to do it, we'd be better off. There would more love. People would understand that their friends and partners are real people, not just screens for projecting their movies on. 
		- How to fix the Supreme Court
			- Five easy steps.
				- New Democratic president with majority in Senate.
				- Alito, Thomas, Roberts, Gorsuch die.
				- Replace with liberals.
				- Repubs howl.
				- Ignore.
	- July 9
		- <a href="https://twitter.com/silentmoviegifs/status/1016531734773534725">One</a> of my favorite Twitter feeds to follow.
		- It might just be dawning on Steven Miller that his life will suck after Trump fires him.
		- We need a political party that spans international boundaries. I want to read a blog written by a Brit that explains what's going on. Who is their Lindsey Graham? Nancy Pelosi? Al Sharpton? I want to know who I should be reading from Canada, Germany, Japan, Russia, Italy, etc.
		- For years I was really confused about what blogging is, after Twitter and Facebook. In May last year I decided I <a href="http://scripting.com/2017/05/05/iWantMyOldBlogBack.html">wanted</a> my old blog back, the one I started in 1997. Now, a year later, I realize it really works. The 280 char limit in Twitter helps because I can cross-post shorter posts there. Here's a <a href="http://scripting.com/images/2018/07/09/blogScreenShot.png">screen shot</a>.
		- Just did a little shopping. Went to Whole Foods to pick up fruit, bread, Italian sparkling water (a habit I developed on my recent trip). I used the newly installed Whole Foods app using my Amazon ID to get a discount. I used Apple Pay to pay for it. On my way out the store I used the Starbuck's app to buy an <a href="http://scripting.com/images/2018/07/09/coffeeLabel.png">iced coffee</a> and breakfast sandwich, which was there when I arrived two minutes later. I remarked to the checkout guy at Whole Foods that this is the future. He asked if I was a robot. I thought a bit, smiled, and said yeah almost. :boom:
		- How Twitter displays threads
			- I tried an experiment to see how Twitter displays thread structures. 
			- I entered a <a href="http://scripting.com/images/2018/07/09/statesSubset.png">subset</a> of the standard <a href="http://this.how/states/states.opml">states outline</a>. <a href="https://twitter.com/Twittergram/status/1016328508128288768">United States</a> is at the root. It has one sub, <a href="https://twitter.com/Twittergram/status/1016328530328805377">Far West</a>. And from there I list the six states, and provide detail under <a href="https://twitter.com/Twittergram/status/1016328618899902464">Nevada</a>. 
			- I'm wondering what the algorithm is. Because sometimes it shows nodes at multiple levels, and how they choose them isn't clear.
	- July 8
		- If JavaScript had the equivalent of <a href="http://mirror.informatimago.com/next/developer.apple.com/documentation/mac/Toolbox/Toolbox-51.html">WaitNextEvent</a> from the original <a href="https://en.wikipedia.org/wiki/Carbon_(API)#Event_handling">Mac OS</a>, you could turn it into a decent scripting language. And btw, I love <a href="http://scripting.com/2017/08/30.html#a111904">callback hell</a>. I really do. But sometimes you just need to be synchronous, for everything. Including network requests.
		- One of the things I liked about <a href="https://en.wikipedia.org/wiki/Fleabag">Fleabag</a>, which I just finished, is that all the characters are trying so hard, but the punchline of the six-part series, which I won't spoil, is given to a middle-aged man. So often men are portrayed as childish, clueless and mean. It's nice to see a story, one that centers on women, but lets men have dignity and wisdom while being vulnerable and wanting to be happy. :rocket:
		- We're complicit
			- Back in the 90s, when Microsoft was doing horrible things to the web and hoping to get away with it, I had friends who worked there. I often wondered how they explained it to themselves. They must know that what Microsoft is doing is wrong, and those of us outside of the company don't make a distinction they would probably like us to make. I didn't see a difference between the company and the people who worked there. It was hard to reconcile the affection I felt for them personally with the actions of the company. 
			- I mention this now, long after the events are past, because of an image and a <a href="https://twitter.com/krassenstein/status/1015951386050224130">tweet</a> that showed that thousands of people in Brussels are marching against our president. I thought, that's cool, but soon they will be marching against the United States. They won't and shouldn't make a distinction between the country and our president, for the same reason we didn't make a distinction between <a href="https://en.wikipedia.org/wiki/Bill_Gates">Bill Gates</a> and the people who worked at Microsoft. 
			- When you go to Europe, there isn't a change in attitude that you can perceive. I went there when we invaded Iraq, creating the refugee crisis that is now causing so many problems there. No one seemed to blame me for what our government was doing. Same thing in June when I visited Italy. People seem to understand that Americans who travel outside the United States aren't to blame for Trump. But in fact, <i>we are.</i>
			- We could do more to stop Trump. We're all <a href="https://twitter.com/StephenKing/status/1015987159642394625">hoping</a> to continue with our lives and careers, that somehow we'll get through this without having to give up anything as individuals. That someone else will make the sacrifice. I don't think that's how it works. We're missing chance after chance to stop this. We all have to work for each other, not just for ourselves. This is a change that Americans are not yet ready to make. I hope when and if it happens it isn't too late. 
		- Restoring posts from 2012-13
			- Here's a list of all the deliverables for the restoration.
				- <a href="http://scripting.com/misc/restoration2012/storylist.html">A list of all the stories</a>, on scripting.com.  Hopefully this will get the search engines to index the stories in their new locations.
				- <a href="http://scripting.com/misc/restoration2012/stories.opml">An OPML file</a> containing the newly restored stories. There are a bunch more that weren't restored because they're already present, but we didn't have the OPML for them before. Note, it takes a long time to load, the file is quite large.
				- I also uploaded the OPML file to the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/misc/restoration2012/scripting.opml">GitHub</a> repository. It also has trouble with the size of the file. 
				- I uploaded the <a href="http://scripting.com/misc/restoration2012/renderedPages.zip">folder</a> containing the newly restored pages in HTML.
	- July 7
		- Restoring posts from 2012-13
			- I'm going to take notes here as I do this work. 
				- Finding the OPML source for the stories
					- In doing the restoration of threads2 yesterday I got distracted, because the stories were in a special place not in scripting.com, which is a bucket on Amazon S3.
					- I used a special dynamic server then. Now I want to archive them like all the other posts. Some features are not preserved, such as comments and paragraph-level permalinks. However it is an improvement over what was here previously, i.e. nothing. 
					- First, I wanted to see if I could find the OPML for each of the stories. That took a bit of detective work, because they were in a worldoutline structure, but they were safe, in another S3 bucket, fargo.io. Long story how they came to be there. But I had left a crumb trail, deliberately, so that if someone wanted to find the source, not only would it likely still be there, but it would be relatively easy to find. 
					- Next step is to generate pages for each of the stories in preparation for putting them in a logical place, as HTML and OPML, in the scripting.com bucket.
				- Working on a template and build script
					- I have one working locally, now have to set it up so it iterates over all the stories. Taking a break for a bit. Back soon.
				- Should finish tomorrow
					- It was too nice a day in NYC to spend the day indoors. I did do a bit more work, and here's the outline for what I have left to do, tomorrow.
					- At about 8PM I have all the pages building and have a script that uploads them. Tomorrow I want to generate the redirects from the old threads website, and do some testing. I'll also release the OPML source code through the Scripting-News repository. This post will be linked to from every page that was part of the restoration. 
	- July 6
		- Something changed somewhere and the blogging I was doing in 2012 and 2013 stopped working. Turns out that files without extensions were previously interpreted as text/html even if the returned Content-Type was text/plain. So I added a <a href="https://github.com/scripting/pagePark/blob/master/docs/config.md#setting-the-default-content-type-for-a-domain">feature</a> to "PagePark" that lets you set the default type for a site. That was what was needed. Here's a <a href="http://threads2.scripting.com/2013/march/">list of the posts</a> from March 2013 that now should work properly, again. When you have as much web history as I do, keeping things running is <a href="https://www.youtube.com/watch?v=bvEexTomE1I">a lot of work</a>.
		- I'm reading some of the pieces that have just come back online. For example this one -- <a href="http://threads2.scripting.com/2013/february/goodSoftwareDesignIsAgeless">good software design is ageless</a>. It talks about removing features from software, and how that breaks users. I think I understood why that happens when I wrote the piece, but disclaimed it. It's because the people who do the breaking weren't the ones who fought for the users, who made the product successful. They don't have a feel for how much they had to do to get them to commit. We're having the same argument over and over, when a new generation comes of age and wants to throw out the accomplishments previous generations made. I don't know why software is particularly afflicted by this. I read an <a href="https://www.politico.com/magazine/story/2018/07/06/gateway-tunnel-new-york-city-infrastructure-218839">article</a> today about a pair of 100-plus-year-old <a href="https://en.wikipedia.org/wiki/North_River_Tunnels">tunnels</a> under the Hudson River, and now if they fail it will do severe damage to the country's economy. We have similar technology in software. But we wreck the tunnels, willfully, every generation. This is why progress is so elusive, and also imho why people don't trust tech.
	- July 5
		- <a href="https://twitter.com/GreatDismal/status/1015029011246768129">William Gibson</a>: The GOP senators in Moscow, promised a briefing video, are all shown the pee tape, while being taped watching it, together. Their subsequent silence about this constitutes brutally powerful group kompromat leverage.
		- Sad day. Twitter suspended the <a href="https://twitter.com/nyt">NYT</a> account. I've been running that since long before they were on Twitter. They knew about it. I offered to let them have it, but they said no. I guess someone there must have complained? Who knows. It's a corporate world. 
		- BTW, I forgot to mention that the exact same links are available at <a href="http://nytimesriver.com">nytimesriver.com</a>  -- which is on the open web, so there is (for now at least) no company (like Twitter) that can turn it off. The NYT has to talk to me before it comes down. 
		- <a href="https://twitter.com/nbariver">nbariver</a> is still there.
		- How different things would be if Apple had partnered with <a href="https://arstechnica.com/information-technology/2018/07/the-beos-filesystem/">Be</a> instead of Next. I would have liked it because the <a href="https://en.wikipedia.org/wiki/Jean-Louis_Gass%C3%A9e">CEO</a> of Be was an <a href="http://outliners.com/">outliner</a> guy. Blogging would have found a natural home there. They probably wouldn't have resisted the web as the Jobs version of Apple did.
		- I love it when I find a bug in four-year-old code. Today, the culprit was a routine called <a href="https://github.com/scripting/utils/blob/master/daveutils.js#L564">decodeXml</a> in <a href="https://www.npmjs.com/package/daveutils">daveutils</a>. It was decoding four special strings, &amp;lt; &amp;gt;How different things would be if Apple had partnered with Be instead of Next. I would have liked it because the CEO of Be was an outliner guy. Blogging would have found a natural home there. They probably wouldn't have resisted the web as the Jobs Apple did. &amp;amp; and &amp;quot;. But there's a fifth string it wasn't decoding -- &amp;apos;. This showed in an app called <a href="https://github.com/scripting/riverToTweets">riverToTweets</a>, which routes tweets from rivers to Twitter accounts, such as <a href="https://twitter.com/nyt">nyt</a> and <a href="https://twitter.com/nbariver">nbariver</a>. It would show up with undecoded &amp;apos; strings in tweets. For <a href="https://twitter.com/nbariver/status/1014837759322750976">example</a>. I had seen this for a long time and assumed the problem was deeply buried in a utility I didn't care a lot about, but it turns out it was in code that's included in almost every project I do, including sites such as "Scripting News". It's now fixed and deployed. Not every app has been updated yet to include the fix. These are the best bugs to fix. Ones that have been sitting there for years waiting to cause problems. :boom:
	- July 4
		- And this is the <a href="https://www.youtube.com/watch?v=rdPOAhBp2Ag">song</a> we sing on this day, every year. <i>Red and white blue suede shoes. I'm Uncle Sam, how do you do?</i>
		- You know how developers say don't develop for Twitter because you'll be sorry. Well someday soon you'll be saying that about the open web. And the company? That will be Google. Then you may ask Why didn't anyone warn me? But dear friends, you <i>were</i> <a href="http://this.how/googleAndHttp/">warned</a>. 
		- In the United States, today is <a href="https://en.wikipedia.org/wiki/Independence_Day_(United_States)">Independence Day</a>. In tech the open web is the key to our independence. Don't sell out Thank the open web by supporting it.
		- Yesterday's <a href="https://github.com/scripting/Scripting-News/issues/86">thread</a> about converting WordPress sites has a lot of good practice in it. It's so complete that I'd say that wp.com sets the standard today for blog portability and limited lock-in. If someday you need to leave WordPress, you should be able to do it. Now someone needs to put a Medium-like UI on WordPress and we'll have an answer for people who insist on using for on-the-record writing. WordPress is a much better place to do that, imho.
		- A cool thing about "Art Show" is that when I get my next place I'll know what prints to put on the walls. I've never had a good idea. Now I have <i>lots</i>. 
	- July 3
		- "Art Show" now fades out and back in on picture switches.
		- I love the NBA, and this is by far the best part of the season which is an interesting statement, because the NBA isn't playing basketball right now. They're playing power and money. The money is huge and the power is shifting. The Lakers get LeBron because of Magic, Kobe, Shaq, Kareem, Wilt, Jerry, Phil and Pat et al. And Golden State gets Cousins because  <a href="https://www.sbnation.com/2018/7/3/17529428/demarcus-cousins-signs-warriors-nba-free-agency-reactions">they can</a>. So many interesting conversations to be had. I've heard it said that the East is now a backwater, but wait until a western star realizes they can play a completely different game in the East. Free agency isn't over yet for 2018. And I can't wait to see Philadelphia and Boston compete, and somehow hope the Knicks get into it, but so far, not.  
		- Tech, journalism, politics and the people. They are everything, and the same thing.
		- I asked a couple of questions <a href="https://twitter.com/davewiner/status/1014121937533046784">on Twitter</a> about wordpress.com and Tumblr, two blog hosting sites that seem like they might allow authors freedom to move. What you want is the same freedom you get from an email service -- when its time to move, you can forward all requests to the new service. I've posted the <a href="https://github.com/scripting/Scripting-News/issues/86">same questions</a> in the issues section of the repo for this blog. Turns out it isn't that simple, and while WordPress <a href="https://twitter.com/pmaiorana/status/1014123762441228288">claims</a> to do it, at least <a href="https://twitter.com/thDigitalReader/status/1014125804148658176">one</a> of their users says they don't. This is worth exploring. 
		- Did you know you can download the <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">source</a> for Scripting News in OPML? Every month I refresh the archive in my GitHub repository. I started doing this when I switched to the new blogging <a href="https://github.com/scripting/oldSchoolBlog">software</a> in May 2017. Here's the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2018/06.opml">OPML</a> for last month. 
		- A spontaneous <a href="https://twitter.com/davewiner/status/1013990253395435521">Twitter thread</a>, late at night, Eastern time in North America. They're just waking up now in Europe. I'm tweeting and reading, watching Rachel on the second monitor, also watching "Art Show".
		- We need TBL, and you..
			- I read the recent <a href="https://www.vanityfair.com/news/2018/07/the-man-who-created-the-world-wide-web-has-some-regrets">piece</a> about <a href="https://en.wikipedia.org/wiki/Tim_Berners-Lee">TBL</a> and posted it to my linkblog. I appreciate the invention of the web. It came at just the right time. I had been knocked out of the software game by Apple. The software I made threatened them, so they launched a competitor. I was looking for a platform without a platform vendor, and had no hope of ever finding one, when just the right thing showed up -- the web. You can see my excitement in the <a href="http://scripting.com/davenet/">early posts</a> to DaveNet, my early weblog and email newsletter, in 1994. But where is Tim now that <a href="http://this.how/googleAndHttp/">Google</a> is attempting to corporatize the web platform? He's still talking about writing software that will fix the problem. At this point software won't do it, imho. Way too late for that. 
			- We need <i>him, </i>and we need everyone else who profited from the open web. Why am I the only one <a href="http://this.how/googleAndHttp/">protesting</a>? Could it be that everyone else hopes to get a job from Google? Or a grant? Aren't you aware of how much we depend on the open ecosystem? And how fragile it is? Could it be they don't remember that Google loses interest in projects that we depend on and dumps them? It's one thing when they created the thing they dump, but quite another when it's something that was once a public resource that they took over. 
			- We will be fighting for our freedom for the rest of our lives. But this is an easy battle to win. If enough thought leaders speak out in favor of the open web now, I think Google will back down. Let's get them to the table where we can talk creatively about the problem they see, and find a way to solve it wtihout them taking over the web. 
			- We're all guests here, and guests don't make the rules. 
			- The thing to do is to write a blog post in support of the open web. Send me a link if you like. I will read it. Let's start small and build it up. I shouldn't be the only one speaking out. 
	- July 2
		- <a href="https://twitter.com/davewiner/status/1013842937459900423">Poll</a>: What do you think of "art show"?
		- Have you been following <a href="https://twitter.com/JimCarrey/">Jim Carrey</a> on Twitter? If not, please do. Turns out he's an incredible political cartoonist, and it goes beyond cartooning, it's art, it's very dark and irreverent. Wonderful stuff. I see a connection between this and "Art Show", perhaps. 
	- July 1
		- Five years ago <a href="https://www.google.com/reader/about/">Google Reader</a> shut <a href="https://www.newyorker.com/tech/elements/reading-the-web-alone-together">down</a>. What went wrong? We centralized a decentralizing technology, and of course that eventually broke. Google had no incentive to keep "RSS" afloat because it couldn't be turned into a silo. It's like politics and journalism. We <i>all</i> have to do it if we want it to work. Independent developers should have worked together better. And users could have chosen independent developers over the single big company, which turned out to be the point of failure. If we want the world to work -- journalism, tech and politics, the people have to consider the big picture in our small picture choices. 
		- <a href="https://twitter.com/davewiner/status/1013460720430837761">Poll</a>: Batman or Jesus, who would win?
		- The best defense against <a href="https://www.theatlantic.com/politics/archive/2018/07/the-great-russian-disinformation-campaign/564032/">Putin and Trump</a> is to teach every student the basics of journalism. Not just how to <a href="https://twitter.com/ctonk144/status/1013384894976798721">detect</a> fake news, but how to write a news story. If we do it now, we'll be glad we did in a few years.
		- An art show in the web
			- Dear blog friends -- 
			- Here's an art show in your web browser.
			- <a href="http://artshow.scripting.com/">http://artshow.scripting.com/</a>
			- Leave it open for a bit, every ten seconds there's a new work of art. 
			- I'm grabbing the art from the <a href="https://twitter.com/ArtPicsChannel/media">@artpicschannel</a> Twitter feed. I loved having it on Twitter, I wondered what it would be like on its own. I love it even more. 
			- I have an app running on my server that generates a static JSON file that the browser-based app reads. So you're not calling Twitter from the <a href="http://artshow.scripting.com/">Art Show</a> page, that's why you don't have to log on. It's more efficient this way. 
			- Dave
			- PS: Here's the <a href="http://this.how/artshow/">Art Show Howto</a>.
		- Reclaiming RSS
			- Aral Balkan wrote recently about <a href="https://ar.al/2018/06/29/reclaiming-rss/">reclaiming RSS</a>. He talks about rebooting feed discovery, as the browsers are abandoning it. There is a simple discovery mechanism for RSS feeds, a meta tag you can put into the HTML head section that tells anyone who cares where your feed is.
			- My site has one of these, of course -- this is what it looks like:
			- <span style="font-size: 14px">&lt;link rel="alternate" type="application/rss+xml" href="http://scripting.com/rss.xml"></span>
			- Balkan says (and I agree) it can't hurt to also link in the visible part of your page to your RSS feed, as I do here. I am thinking about doing that for my blog. There are links to my feeds in the About tab, but maybe I should make it more visible. 
			- Actually there is a link to the RSS feed for this blog at the <a href="http://scripting.com/images/2018/07/01/bottomOfPage.png">bottom</a> of every page, along with a link to my Twitter, Facebook, GitHub and LinkedIn accounts. 
