- February 2019
	- February 28
		- <a href="https://twitter.com/rawkstarr/status/1101142809657073665">Michael Calore</a>: "Thanks, but I'll continue with my ad blocker turned on. No I don't want desktop notifications. No I don't want your newsletter. No I don't want to see this video. No I don't want to chat with the bot. <--- the first 10 seconds of every visit to your website."
		- Cohen was such a <a href="https://www.youtube.com/watch?v=mDbQCw3_R-w">compelling witness</a> and had his tragic story so down, you could take a few excerpts of his testimony and turn it into a play. The best part was when he said the Repub inquisitor had no shame and how soon enough he would be in his Cohen's place.
		- Yesterday's <a href="https://github.com/scripting/Scripting-News/issues/110">braintrust query</a> has not yielded an answer. I've never seen such a thing where an HTTP request works over the net but doesn't work locally. This is a problem for an app like <a href="https://github.com/scripting/serverMonitor">serverMonitor</a>. It only seems to happen on Digital Ocean servers, which is where most of my servers are these days. I worked around the problem by putting serverMonitor on its own machine, a $5 per month minimal setup. It's a waste of money, amounting to $60 a year, it shouldn't be needed. But I can't keep my servers running without the serverMonitor app, so I'm paying the price until we figure out what the problem is. 
		- My new <a href="https://cars.usnews.com/cars-trucks/subaru/forester">Subaru</a> has the ability for me to control it remotely. I can start the engine, or make it flash its lights and honk its horn. This is worrisome of course, because if I can do it, so can a hacker. But it's also fun, since it's in a parking garage in Manhattan, I could just start the engine and freak out the people who work there. Not that I would be the first to do that. (Note: I'm not going to do it.)
		- They also offer <a href="http://scripting.com/images/2019/02/28/subaruFamilyFeatures.png">features</a> that allow the owner to set up their own authoritarian state (aka family).
		- Only good news please
			- I remember as a college student in New Orleans I felt lost. I was pretty unhappy. I had a pain in my stomach most of the time. New Orleans was not a great choice for a kid from the northeast in the early 70s. New Orleans, partly an international city and partly the Deep South, was a really strange culture for a Queens kid, a culture that I never really adjusted to.
			- Even so, when I called home every week from a pay phone in the student union, I'd always put on a happy face. I'd tell stories of how great everything was, even though the grades I was getting pretty much proved it wasn't. I was unhappy. Lonely. 
			- But if I ever said anything about not being happy, my parents would explode, maybe they thought I was holding them responsible or something. I never could get them to explain why they reacted so explosively, if I tried to ask that they would really explode. They'd deny any wrong-doing, thinking I was accusing them of something. They'd probably turn it back on me, talk about something I did that was wrong. I learned it was easier to just make everything sound great. And that made my stomach ache even more. 
			- It wasn't just my family. I was visiting a friend in another part of the US a few years ago, on my way through his home town to visit another friend in another town down the road. I was really drifting. I didn't have a job, nothing to do every day. What friends I had were generally pretty busy, and my family, well they were still as I described above, even though by then most of them were gone. So my friend asked me to tell him how was great everything was for me. An invitation to impersonal conversation. I thought for a moment and decided to tell the truth. Everything is kind of nothing, I said. He seemed to have no idea what to do. We're about the same age, in full adulthood, we had both dealt with considerable pain and struggle in our lives. But I broke protocol and told the truth. I'm pretty aimless. Could use some structure in my life. Not sure what I'm doing. No it's not great. 
			- I think we're also dealing with that approach in our political culture. <a href="https://twitter.com/sarahkendzior/status/1099352110272049152">Sarah Kendzior</a> explains it this way. "People have normalcy bias. They thought: 'If Manafort is really such a criminal, clearly someone would do something.' Well guess what? No one did anything and now we have a Russian asset as <span style="font-size: .8em">POTUS</span> backed up by a transnational crime syndicate!"
			- In other words everything must be okay because it's always okay because we wouldn't know what to do if it's not. Not a good way to run a family, or friendships, or the world. Shit is always falling apart. It'd be better if we were truthful about that, imho.
	- February 27
		- <a href="https://github.com/scripting/Scripting-News/issues/110">Braintrust query</a>: I'm having a problem with the Node.js request function. When making a request of a process running on the same server, I get an <span style="font-size: .8em">ECONNREFUSED</span>. This has happened on two servers. The code used to work. Then I tried accessing the server through the CURL command line utility and it also failed. Yet if I access the same address from another computer, it works. I'm at a loss. 
		- Suggestion for AirBnB. Allow renters to bid. If I want to book a house for a week and would like a discount, let me make an offer. The owner can accept, reject or make a counter-offer. [Update: Apparently <a href="https://twitter.com/bikehugger/status/1100824135356243968">you can</a> do it.]
		- The best thing about Cohen's testimony is that finally the source is going direct. The story is much more compelling when told in the first person.
		- Hmmm I wonder what the people of South Korea think about Trump’s idea that Vietnam could serve as a template for North Korea.
		- <img src="http://scripting.com/images/2019/02/27/trumpCheck.png">
	- February 26
		- Idea for people working on new identity services. Let's come up with a common API for them, so you can plug new services into apps that use identity. Sort of like <a href="https://en.wikipedia.org/wiki/JQuery">jQuery</a> but for identity. (Reminder: jQuery was created because browsers had incompatible APIs. jQuery flattened them all out. A very valuable piece of tech.)
		- TFW the <a href="https://en.wikipedia.org/wiki/Ari_Melber">host</a> of a news show likens his panel to people talking about a hurricane on TV days before it makes landfall. The worst <a href="http://scripting.com/images/2019/02/26/idioticGraph.png">part</a> was he was knew it made him look like an idiot. (I switched to <a href="https://en.wikipedia.org/wiki/BoJack_Horseman">Bojack Horseman</a> reruns. At least there I might have forgotten the plot.)
		- The coolest thing ever
			- <a href="https://nypost.com/2019/02/26/alexandria-ocasio-cortez-will-star-as-superhero-in-new-comic-book/"><img src="http://scripting.com/images/2019/02/26/aoc.png"></a>
			- One of the best things about having a blog is that I can put this here and no one gets to complain. :boom:
	- February 25
		- I am a first generation American. 🇺🇸 
		- Rami Malek's Oscar speech was nice, wish he would have mentioned Freddie Mercury, but his (earlier) <a href="https://www.youtube.com/watch?v=Fic9YSk7XyQ">Emmy speech</a> was the best award acceptance speech ever, but it only made sense if you had seen Mr Robot.
		- The best speeches in last night's Oscars were the actors, which should not be a surprise. This is what they do. They're playing a role, they've probably been coached by experts. Look at the boost <a href="https://www.youtube.com/watch?v=iy4GL6RtVOk">Malik</a> and <a href="https://www.youtube.com/watch?v=hy8z_Tq_VHo">Colman</a> got. They go from being small-time stars, to big stars overnight. 
		- With all the high stakes drama in the world the news should at least be <a href="https://en.wikipedia.org/wiki/May_you_live_in_interesting_times">interesting</a>. But it isn't. Another sign something isn't working. 
		- I've come to think of Twitter and YouTube as integral parts of my blog. I am able to include tweets and YT videos as expandable elements under a blog item. If either system were to go down, the posts would still be readable, I try to write them so they'll still make sense. But there's no question at least these two systems have become integral to the web as I see and use it. 
		- News is supposed to <a href="https://twitter.com/davewiner/status/1100046970981367808">save</a> democracy, but news itself is not democratic. The people are relegated to paying to read. Seems like a pretty basic flaw. And they want taxpayer funding. Hmmm. Didn’t we fight a revolution over just that?
		- Idea Walls
			- I cross-posted the <a href="http://scripting.com/2019/02/24.html#a045607">item</a> about 25 years of news development on the web, and its ridiculously sad state. I was able to cross-post it easily on <a href="https://twitter.com/davewiner/status/1099875692207050752">Twitter</a>, <a href="https://www.facebook.com/dave.winer.12/posts/900763590131047">Facebook</a>, <a href="https://medium.com/@davewiner/weve-been-working-on-news-on-the-web-for-25-years-and-given-the-bandwidth-of-the-network-the-d323959a74e9">Medium</a> and <a href="https://wordpress.com/post/unberkeley.wordpress.com/4538">WordPress</a>. 
			- I also would have posted it to the NYT site and the New Yorker and Wired and any other news site that allowed source postings. None do. I believe that if news is to right itself and get on a strong foundation on the web, this will seem like a silly idea in the future.
			- News sites not only had paywalls, they had even bigger walls in the other direction. Think of them as "idea walls."
	- February 24
		- We’ve been working on news on the web for 25 years, and given the bandwidth of the network, the power and capacity of servers, and the incredible devices we carry with us, that news on the net is such a miserable experience. Clearly something is very wrong.
	- February 23
		- <a href="http://scripting.com/2019/02/23/strikingABalance.m4a">Podcast</a>: Coverage of the Democratic candidates for 2020 has to be tempered by this reality: The Republican candidate is not capable of doing the job. If an issue doesn't cripple the Dem candidate to the level the Repub candidate, then don't report it. 12 minutes.
		- Proposed criteria for reporting a scandal in a presidential candidate. If it's something a foreign government could blackmail them for, and thereby take control of the government, then report it. Under this criteria, if "ate salad with a comb" is the worst you could find, keep looking.
		- Behind a paywall, <a href="https://www.washingtonpost.com/opinions/adam-schiff-an-open-letter-to-my-republican-colleagues/2019/02/21/9d411414-3605-11e9-af5b-b51b7ff322e9_story.html?fbclid=IwAR2hDGqqKZ9SEJGtTJd8pdPtMc7isBmjtvBo8O09wD1H1a2Ilzo2Q2LXmRo&utm_term=.91eb5aa2989c">Adam Schiff</a> writes a supposedly “open” letter to his Republican colleagues. This is wrong. As a US government employee, a member of Congress, his writing should be accessible to every American. Putting it behind a paywall is not open. They must stop using private websites to communicate publicly. The US government should provide a well-archived public website for them to post their thoughts on. A place of record. This is not rocket science in 2019. I cc'd this to my friend <a href="http://jeremyzilar.com/">Jeremy Zilar</a> who works for the US at <a href="http://jeremyzilar.com/work/digitalgov/">Digital.gov</a>, which is responsible for these kinds of projects.  
		- I cancelled my NYT subscription
			- <a href="https://www.memeorandum.com/190222/p72#a190222p72">Klobuchar’s comb</a> was a bridge too far. She's going to be asked about the comb in every interview from now on. Every time they talk about her, the analysts on TV will ask if she can overcome the comb factor. When she tries to get past it, they'll say she is uncomfortable or unlikeable. That is, if it goes like other trash scandals the NYT has started. 
			- I was paying them $15 a month. I had been a digital subscriber since 2010.
			- Until now I have chosen to stay with the NYT as a subscriber each time they do something like this, figuring there was still enough value to continue. But this was too much, too deliberate, too unnecessary. She was hungry, so she ate a salad with a comb instead of her fingers, because there was no fork, and then told her assistant to get it cleaned. This is how they open a story about what a shitty boss she is. I don't have to read the rest if this is what they thought was the strongest point. I suspect that's not why they put it up front. Rather it's an image that stays with you, for me because there's another image of a politician putting his comb in his mouth, many years ago. It was horribly embarrassing, it was impossible to shake the image, and it was wrong that the press made that an issue too. 
			- At this point this isn't a news org I care to read, or support. They brought us Hillary's Emails and the Iraq war, and lots of fake scandals. I don't know how people get so depraved, because now our country is in deep trouble and our political system is at the core of it. And the NYT and other supposed high integrity news orgs are at the center of problem in our political system. I won't be reading the NYT, and I won't be passing on links. I'll freeze the NYT river. I guess I will continue to listen to the Daily podcast, it's not behind a paywall. Which is the shame of it, there are still journalists at the NYT doing good work. But they work alongside some irresponsible out of control people. 
			- Also here's a <a href="http://scripting.com/images/2019/02/23/cancelTheAccount.png">screen shot</a> of the transcript I had with their chatbot, who was trying to convince me to stay. I mistakenly entered my name as <i>Cancel my subscription</i> at the beginning of the chat. Heh. That actually makes the transcript more interesting. :boom:
			- Update: I recorded a 12-minute <a href="http://scripting.com/2019/02/23/strikingABalance.m4a">podcast</a> with bigger lesson from where we're at in the 2020 election and not letting the major news orgs make the same mistake they made in 2016. 
	- February 22
		- I don't usually have truly sexy dreams, but last night I did. I know, too much information. I was chasing a woman who stole my heart 20-plus years ago and as then, I got her. It was truly delicious, and the memories are vivid. She's long gone but the <a href="https://www.youtube.com/watch?v=XcATvu5f9vE">dream</a> is still there. 
		- Facebook has a new feature where you can ask questions like what was your first computer. I was about to ask people what their first car was, but then realized this is often a "security" question. And then I thought geez these Facebook people are either stupid or assholes. 
	- February 21
		- <a href="http://scripting.com/2019/02/21/possibleOpeningForIsojTalk.m4a">Podcast</a>: Possible opening for my "ISOJ" talk. If journalism is about democracy, then the role it has for citizens is too limited. Give us money. We have so much more to give. Approx 6 minutes.  
		- We all feel disempowered
			- I <a href="https://twitter.com/davewiner/status/1098591900796403715">responded</a> to a tweet by Sarah Kenzdior re normalcy bias, which was right on, with an observation that we feel disempowered. We don't think we can do anything to change, so we don't do anything.
			- I forwarded this to my file for the "isoj" conference, with a comment.
				- Bottom line -- paying $100 a year to the NYT doesn't do it for me. I have to do more. And the NYT is totally part of the problem. They do actually post a lot of fake news. It's so screwed up that Trump actually is right about this. I'm not saying the Times can or should change, I don't think they can. But I also don't accept that all I can do is sit on the sidelines and watch the world descend deeper into the abyss. These conferences tend to generate their own reality, as does the news industry. Problem is that reality is getting further and further from what's actually happening. 
			- <a href="http://timothysnyder.org/">Timothy Snyder</a> has good advice about this. Invest in local news. And btw, I have a lot more to invest than money. We have to get more going here than us giving money to reporters who don't listen to us. That's basically the answer the news industry has for me. Give us money. Well you have to do better than that. 
		- Feature request for Twitter
			- When a link goes to a paywall site, indicate that clearly on the tweet. Even better, give me a filter so I don’t have to see them. 
			- Then, a couple of interesting observations...
				- David Teicher: "Or, let me pay like $.25 to access that one article directly thru twitter. Split the revenue with the publisher"
					- This is an interesting idea. Not sure I'd go for it. But Twitter might have the Netflix-for-News platform. I honestly had never thought of this. 
				- Dennis Kennedy: "I try not to retweet links to articles that are on paywall or subscription sites, or that I know will run a reader through an ad maze to try to read the article. I, too, wish an automatic marking of these kinds of sites was a feature on Twitter." 
					- I responded: "Interestingly if they were marked, you wouldn't mind passing on the link. I know I would. I post links to NYT stories, knowing I might be costing people some of their free stories. I'd do it more often if readers were properly warned."
	- February 20
		- nightlyRSS problem
			- This has been a puzzle for a while, since I reprovisioned one of my servers on Digital Ocean. It had been on AWS. 
			- One of the <a href="https://github.com/scripting/nightlyRss">apps</a> on the server is set to run at midnight but it was running at 7PM. It had been working properly on the other server.
			- To find out why, I logged on the server in the Terminal app, and ran the <i>date</i> command. It responded that it was 4PM, with the timezone as Z, which stands for Zulu or Greenwich, England. So that appears to be the problem.  
			- I tried <a href="http://scripting.com/2019/01/23.html#a150652">setting the time</a>, but that had no effect. It still thought it was 4PM and the server was in Greenwich. 
			- Then I tried <a href="https://help.ubuntu.com/community/UbuntuTime#Using_the_Command_Line_.28terminal.29">setting the timezone</a> from the command line. Now it says the server is in EST and it's 11AM. So hopefully that will fix the problem and the app will do its thing at midnight instead of 7PM.
	- February 19
		- If I were CEO of the NYT
			- I was recently asked what I would do if I were in charge of a major news org like the NY Times. This is a game I love to play. (I've done it <a href="http://scripting.com/davenet/1996/01/08/gottabearetha.html">before</a>, in 1996, with Apple.)
			- <b>Here's what I would do.</b>  
				- I would start a blog hosting service, with NYT branding, it would be carefully designed so that people knew this was blog space and not editorial space. The Times editorial people do not control what's said here. These are our sources. Maybe the site would be called sources.nytimes.com. 
				- I would offer a blog to every person who was quoted in a NYT story. This would give people an extra reason to work with our reporters. It would also serve as  vetting. If their ideas or experiences are valuable enough to be quoted in our news flow, we want to stay in touch, and this is a great way to do that. 
				- There would be a central place where the posts of all the sources are aggregated. Reverse chronologic. Until it became overwhelming, then you could opt out of the full flow, and subscribe to individual blogs. <i>All this would be under reader control.</i>
				- Of course all the NYT reporters, editors, managers, board members, everyone who gets a paycheck from the NYT, would have a blog here too. However they would not have any special access. It's a level playing field.
				- It's not a silo. Every blog has an RSS feed so it can be subscribed to independently of the others.
				- It's the place of record on the web. We'd partner with several long-lived institutions as backups. archive.org, obviously. Several universities, other news orgs, spread around the world, a hedge against a failure of the American government. 
				- The user interface would be simple and clean. Fast. You should feel as if you already know how to use it. 
				- Behind the scenes we would encourage our editorial people to quote sources directly from the NYT-hosted blogs. Other news orgs of course would also be welcome to quote from them. :smile:
				- Of course as soon as we move, other news orgs will want to do what we do. That's great. We should be compatible with them. None of the tech is proprietary. Lots of room for innovation. People will come to the NYT because we are the NYT. We don't need to own our readers or our sources. 
			- <b>Discussion.</b>
				- This represents a compromise. We're not going directly after Facebook, though I'd certainly think about ways to do that. This is a level playing field within the community we define. Maybe being quoted in the NYT isn't enough, or maybe it's too much. 
				- Make sure the elite aren't over-represented. Let's find future @AOC's out there. And the journalism equiv of AOC. 
				- News will be made on this system. That's good. After all, that's the business we're in -- news. More news? Make my day. :smile:
				- Once it catches on, I'd open a physical space in midtown Manhattan. It would be set up as a newsroom for sources and reporters and a place for press events. The writers don't pay to participate, but the people with messages for them do. This is the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+hypercamp&t=h_&ia=web">Hypercamp</a> idea, that has yet to happen. News can't be all virtual. There's huge power in physical spaces for idea flow. Once the NY one catches on, open one in another major city. They will never be as plentiful as Starbucks, but there could be a lot of them. News is made everywhere, after all.
				- It also helps get some fresh thinking into the NYT, something it desperately needs. Times reporters do not engage with people who they don't see as peers. This sucks for the health of our society and political system. Not only aren't good ideas the exclusive province of the elites, the elites are often too scared to say what they really think, if they haven't already had the creativity beaten out of them. People with nothing to lose (i.e. non-elites) have good ideas too and are more free to express them. 
				- There's not much time to waste. 
	- February 17
		- I watched <a href="https://en.wikipedia.org/wiki/The_Looming_Tower_(miniseries)">Looming Tower</a> on Hulu. Very nice. Alec Baldwin plays <a href="https://en.wikipedia.org/wiki/George_Tenet">George Tenet</a>, head of the CIA. Interesting to see that a good part of his <a href="https://www.youtube.com/watch?v=8vQlhWBvAwY">Donald Trump</a> imitation is actually Alec Baldwin being himself. 
		- I have an Electron app that I use every day. Something I wrote for myself. It runs fine, perfectly fast, the performance monitor doesn't indicate any problems. But if I don't reload the app every morning then it gets really slow. I thought I knew the reason, but then I fixed it and it still needs a reload. So maybe Electron isn't perfect, but it's a very good idea, and very useful. A combination of Chrome and Node. I've invested a lot of time in taming the programming model, so I don't want to hear about how Electron is like Flash. But if you think it's too slow, don't trash it, roll up your sleeves and figure out why and submit a bug report. 
		- Discourse is not Twitter's strength, not because of the thread structure, rather that it’s a write-only community of attention seekers. Most of what passes for discourse is thinly disguised spam.
	- February 16
		- <a href="https://twitter.com/davewiner/status/1096932906193305601">Poll</a>: Do we need Bernie Sanders to run?
		- I have news for Twitter. “News for you” is not for me.
		- <a href="https://twitter.com/davewiner/status/1096819699864743936">A Twitter thread</a> that will become a blog post, about integrated software. I left out the conclusion. The answer imho turned out to be making the apps scriptable, and tying them together via a system scripting language. That's the software we developed at UserLand.  
		- CNN is like an opera. Wolf is the conductor. The performers have memorized their lines. He points his baton at each in turn. They sing. We admire or hate. He points at the next singer. Until we have to break. When we come back the opera will repeat.
		- I love the <a href="http://scripting.com/2019/02/16/starbucksApp.png">Starbucks app</a> cause the coffee is waiting for you when you get there. Now there needs to be an app for all the other places you can get coffee.
	- February 15
		- There's been a lot of discussion Twitter lately about how it can become a better system to conduct an interview, after a hard-to-follow interview between Kara Swisher and Jack Dorsey. Maybe Twitter is a publishing medium and not a chat room. Every product has design choices built in, if you make it a great chat app you end up with something other than what Twitter is. No product is everything to everyone, a lesson learned when integration was a huge push in the software business. A better approach is to use Twitter tech to glue together a variety of apps, each with their focus on one aspect of networked communication and publishing.
		- Future of journalism, part 1
			- <i>Note: I am keynoting the <a href="https://isoj.org/symposia/2019/">ISOJ conference</a> in Austin in April, and am gathering my thoughts in advance in the form of blog posts (of course). Here's the first nugget. </i>
			- Journalism should ask itself this question -- why is Facebook making billions in profit every year and growing at such a huge rate, when journalism is stuck in the mud on the verge of collapse.
			- If this were tech, the CEOs of the journalism companies would be trying to figure out how to grab some of that growth.
			- That's where we start our exploration. :boom:
	- February 14
		- Are any researchers track the growth of blogs?
		- Amazon is ditching Queens
			- Is it bad news that <a href="https://www.techmeme.com/190214/p16#a190214p16">Amazon has decided</a> not to grow in Queens? As someone who was raised in Queens, I think it's <i>not</i> bad news.   
			- There are considerations other than jobs -- primary among them is affordable housing. Manhattan is out of reach for most, and Brooklyn is getting gentrified at a huge rate, and it's now moving into Queens in exactly the <a href="https://en.wikipedia.org/wiki/Long_Island_City">area</a> Amazon wants to build.
			- Having been through the boom in the Bay Area, I can tell you there is definitely a downside to all the high paying jobs. It means people of average means are pushed out of their neighborhoods. And everything that made the neighborhoods special goes with them.
			- Queens is an amazing melting pot. Probably the most ethnically diverse county in the country. If you own real estate in Queens then of course you want Amazon, because it will make the value of your property go up. But if you live there and want to keep living there, and are of modest means, it's not such a great deal for you.
			- The Queens melting pot with immigrant families building new lives in the US is the kind of growth New York has always built on, generation after generation. I don't think importing the kind of growth seen in Seattle or San Francisco is in the city's interest. 
			- PS: I grew up in Queens in the 60s and 70s. My parents were immigrants. Lived in Silicon Valley in the 80s and 90s.
	- February 12
		- Medium is doing something much like what I've been advocating news orgs do, only from the other direction. Medium is a "level playing field" platform where anyone can post and they're <a href="https://techcrunch.com/2019/02/12/medium-acquires-bold-italic/">mixing in</a> professional stuff. 
		- However, Medium hasn't been clear about the professional stuff and they should be. There are cases of paid-for pieces that appear to be free submissions. They're buying endorsements without being clear that's they're paid-for. The writers should insist, it doesn't look good for them either. 
		- <a href="https://twitter.com/davewiner/status/1095408797844148230">Poll</a>: If you work in the news industry, here's a question. In hindsight, would it have been better to ignore Craig's List in the 90s, or should at least some of you competed?
	- February 11
		- I'm reconfiguring my CMS today so there may be some issues on scripting.com. Still diggin after all these years. :boom: 
	- February 10
		- Our <a href="http://scripting.com/images/2019/02/10/anyFunctioningAdult2020.png">campaign poster</a> for 2020.  
		- I recorded a <a href="http://scripting.com/2019/02/10/ifItDoesntHaveAFeedItsNotAPodcast.m4a">6-minute podcast</a> explaining "If it doesn't have a feed it isn't a podcast." Ken Smith, an Indiana English professor raised the question in <a href="https://semaphoreandcairn.com/2019/02/09/if-it-doesnt-have-a-feed/">this post</a>. 
		- Can we agree if Trump shuts down the government <i>again</i> it's time to impeach.
		- I ran a script that fixed all the <a href="http://scripting.com/2018/05/10/204408.html">broken links</a> to radio.weblogs.com on blog pages on scripting.com. I got tired of all the broken images. Here's a <a href="http://this.how/radioWeblogsPages/">list of the pages</a>, and a <a href="http://scripting.com/misc/scriptingOriginalFiles.zip">zip archive</a> of the original versions of the pages, as a backup in case anything went wrong.
		- Klobuchar <a href="https://www.vox.com/policy-and-politics/2019/2/10/18205386/amy-klobuchar-2020-tech-policy-antitrust-minnesota">announces</a> in Minneapolis. Quite an <a href="http://scripting.com/images/2019/02/10/klobucharAnnounces.png">image</a>. 
		- @aoc is like <a href="https://duckduckgo.com/?q=site%3Ascripting.com+napster&t=h_&ia=web">Napster</a>. In 2000, at its peak. People were talking about music in supermarket checkout lines and airports. Music hadn't been that exciting in decades. @AOC is like that.
		- A <a href="http://www.niemanlab.org/2019/02/transparency-diversity-philanthropy-the-knight-commissions-final-recommendations-for-21st-century-journalism/">panel of elites</a> tells journalism their business model for the future is raising money from philanthropy. Worthless advice designed to warm the <a href="http://images.scripting.com/archiveScriptingCom/2008/08/18/hypee.gif">hearts</a> of the tech giants.
		- As you may know I'm shopping for a car. I'm using a number of car-rating sites, including <a href="http://consumerreports.org">Consumer Reports</a> where I am a member. I wanted to use their <a href="https://www.consumerreports.org/cro/car-prices-build-buy-service/index.htm?ep=A37">pricing service</a>, but they ask for a <a href="http://scripting.com/images/2019/02/10/whatsYourPhoneNumber.png">phone number</a> before letting you in. This was a deal-stopper at first, but eventually I relented and entered my number. Immediately I was taken to a screen that said that a dealer would contact me <i>by phone. </i>No opt out. I was not warned this would happen. I assumed that because this was <a href="https://carbuying.consumerreports.org/register/?exteriorColorId=952534&viprMakeId=60&viprMakeName=Subaru&viprModelId=8219&viprStyleId=63359">integrated</a> with Consumer Reports website that it would treat me, the consumer, fairly. I just got a call from the dealer. I didn't take it. A waste of all our time, but most importantly a waste of CR's rep. They took a big hit here with me. Which sucks because trust is central to the service they sell. [Update: It's turning into a spamfest. The dealer, <a href="https://www.berterasubaru.com/">Bertera Subaru</a>, has called twice, sent three text messages and two emails, so far. Another update. When I asked Andrew Luzio of Bertera to stop spamming me, he responded with <a href="http://scripting.com/images/2019/02/10/moreSpamFromBertera.png">more spam</a>.]
	- February 9
		- My blogging is changing back to the way it used to be. I have nothing in the game and nothing to lose. I owe the inspiration to @aoc. If she can speak the truth, no matter what the trolls might say, then I can too. In my drama, Google and their trolls are the Repubs.
		- I just completed a binge-watch of all six Sopranos seasons. One thing to note. The last season was awful. It was a total slog to get through all 21 episodes. I kept putting it down it was so bad compared to the other seasons. But the awfulness of the last season makes me think that the contentious ending of the <a href="https://en.wikipedia.org/wiki/Made_in_America_(The_Sopranos)">last episode</a> might have just been a punt by a writer's room that had clearly run out of gas. They didn't know how to end the series, so they didn't. BTW one of the great things about having a blog is that I can show you <a href="http://scripting.com/stories/2007/06/11/theSopranosAftermath.html">what I thought</a> of the last episode at the time it aired. Basically I wasn't buying it: "The Sopranos was a mess, and it ended in an unsatisfying cop-out."
		- The archive for <a href="http://scripting.com/2007/06.html">June 2007</a> has lots of stuff about the end of the Sopranos.
		- One thing I learned from a week of driving in upstate New York, both Google's and Apple's maps apps go crazy when the phone doesn't have an Internet connection. I had only experienced this kind of insanity once before, when driving in downtown Boston. There the phone doesn't know which level of road you're driving on. The major highways are all underground. This last week the apps kept changing their mind about which direction I should be going on a road. This not only made me miss turns, but it also drove <i>me</i> crazy because I never knew if I could rely on their directions. 
		- Owen Williams' <a href="https://char.gd/blog/2019/google-news-is-broken/amp?__twitter_impression=true">sad tale</a> of Google News reminds me of the scene in The Godfather where the undertaker Bonasera visits Don Corleone on the day of his daughter's wedding. Bonasera's daughter has been raped. He went to the police, they tried the rapist, but he got off with a suspended sentence. Bonasera seeks justice from the Godfather who gives his first great speech in the movie. "We've known each other many years, but this is the first time you ever came to me for counsel or for help. I can't remember the last time that you invited me to your house for a cup of coffee, even though my wife is godmother to your only child. But let's be frank here. You never wanted my friendship. And you were afraid to be in my debt." In Williams' tale of woe, the Godfather is the open web, other news orgs, his readers, and the legal system is Google. We have to work together Owen. The web made all you do possible, you can't go over its head to Google to get what you think you need. And though you disparage RSS in your piece, it, or something exactly like it, will be the glue that routes around Google and Facebook and eventually makes networked news work. BTW, the dialog is on <a href="https://en.wikiquote.org/wiki/The_Godfather#Dialogue">Wikipedia</a> and the video clip is on <a href="https://www.youtube.com/watch?v=XPTAjNVvrYg">Youtube</a>.  
	- February 8
		- There was a point in the development of "RSS", after a few VCs invested in startups, that the consensus among them (the founders and the investors) was that RSS was theirs, and they told me to my face they weren't going to listen, because I was the old way, and they were the new. (Famous last words.) Even some people who thought they were friends did this, perhaps not so bluntly. Okay now fast forward, all the startups are gone, they were so stupid they failed for many other reasons, not just their arrogance and closed minds. Stupid people. Here's a better rule. Listen by default. Tech is filled with idiotic arrogance. It's a kind of narcissism. I am the only one who can think. Bullshit. Look at all you're building on. The people who created that not only had an idea, <i>but they were right. </i>That's a very rare combination. And until you have built something like that, you are <i>not</i> smarter. And once you have, you know other people are smart, because that's what you learn. 
		- New header image -- a <a href="http://scripting.com/images/2019/02/08/driveway.png">snowy driveway</a>. Previous: <a href="http://scripting.com/images/2018/01/14/mlkAtRally.png">MLK</a>.
		- New York should just buy a team, coaches, players, owner -- the whole thing, and move it into the Garden. The <a href="https://twitter.com/TheAthleticNYC/status/1093963720877842432">other city</a> can have all the rookies and draft picks. New York is the greatest city in the US. It should have the greatest NBA team. We can afford it. Failing that, if Bloomberg doesn't run for president, could he just fucking buy the Knicks and manage it in an interesting way? I don't know if he's a basketball fan, but somehow I think he <i>might</i> do better than Dolan. 
	- February 7
		- If it doesn't have a feed it isn't a podcast.
		- When Pelosi kicks butt for America I cheer because the good guys are still here, have guts, and she proves with style and grace that ageism is an idea that losers latch onto out of fear.
		- <a href="https://twitter.com/JordanUhl/status/1093633826616758274?fbclid=IwAR3EEI92bhz8TVWE2zoc6No4gf62EfZJzRXMNpRP47eaCgHDfvE4_N9vXOQ">This</a> applies to journalism and to tech too. We don't have to accept the mediocrity of Facebook and the big news orgs. There's something between that combines the best of both to make a news service that's much much much better than what we have now. We must stop accepting limits. 
		- Brent posted his <a href="http://inessential.com/2019/02/06/netnewswire_roadmap_2019">roadmap</a> for NetNewsWire in 2019.
		- I guess podcasting was doomed when VCs started investing. This <a href="https://techcrunch.com/2018/10/25/whats-next-for-podcasting-subscriptions-and-exclusives/">TechCrunch piece</a> explains how they’re going to destroy the level playing field to line their pockets.
	- February 6
		- Another idea. I'm staying in a rented house with Internet but no cable. I would like to watch a little news. It would be great if there were a web/app-only news channel, that competed with MSNBC, Fox, CNN, that was fully available over the web or Roku (or the like). It's ridiculous in 2019 that I am shut out from cable-style news just because I haven't paid Spectrum. Do we really still need them? (Note: I do pay them at my apartment in Manhattan, it's not like I'm trying to avoid paying them.)
		- An idea for the <a href="https://en.wikipedia.org/wiki/European_Union">EU</a>. Why not offer personal membership in the EU to citizens of countries that withdraw from the EU. Benefits might include, they get to keep their EU passport. They can freely move between EU countries as before. They can vote in EU elections. Might lead to something interesting, like a new political party in the withdrawing country?
	- February 5
		- Journalism should compete with tech. The tech companies were willing to give equal voice to users. They created a level playing field. Journalism still insists that only pros have a voice. They could create their own journalism platforms and mix things up differently.
	- February 4
		- The <a href="https://www.youtube.com/watch?v=ZDjfg8YlKHc">Washington Post ad</a> on the Super Bowl was an ad, and as such only presented one side of the story. Another view might tell of all of the lives ruined or destroyed by <a href="http://scripting.com/images/2018/09/02/butHerEmailsBig.png">incompetence</a> in American journalism.
		- This is not only a function of the narcissism of American journalism, but of the corruption of Americans, all of us, people of color and whites, all sexual persuasions, boomers and milennials, all of us -- we're the Facebook of the world. As much as we despise and villify the current top dog in tech (Microsoft before FB and Google, btw) we are that, for the world. We are the privileged. We have collectively killed so many countries, millions of people, to maintain our control. We think of ourselves as the country we were taught about in school, but that was a bedtime story. We have done some awful shit, and the chickens may be coming home to roost real soon now. 
	- February 3
		- All the news sources are on the net, mostly on Twitter, these days, but Twitter is far from optimal. Any news org that wanted to compete, that actually had a strategy, would find there are openings in the market, big ones.
	- February 2
		- A long-winded 16-minute <a href="http://scripting.com/2019/02/02/cjrBoldStepTrustingBloggers.m4a">podcast</a> about CJR's bold experiment in trusting readers. Are there fewer blogs today than in the early days of blogging? I think there might be many many more. And I think there's more that CJR can do, and this is on the path to finding the journalism that's made possible by open networking. 
		- America got an up close look at the buffoonery of one billionaire, and extrapolated. Maybe the super rich aren’t rich because they’re so smart. Hmm.
		- Idea: If you're selling a house, put it on the market by listing it on AirBnB. People who are interested in buying can stay there for a few days. Might get a better price if the house has features that are only appreciated with time. 
		- I’ve tested the <a href="https://www.subaru.com/vehicles/forester/index.html">Subaru Forester</a> and <a href="http://scripting.com/2018/12/20/134928.html">what they say</a> about how roomy it is is true. I get in and out without having to contort my body. Also the AWD is fantastic in snow. I actually got to test that too.
	- February 1
		- Porzingas
			- Is it worth it being a fan of sports? Yesterday in NYC we learned first that Kristaps Porzingas, our young star, was not convinced that the culture of the Knicks had changed. Then minutes later, rumors of a trade to Dallas, a move that just clears cap space, that doesn't get the Knicks a star that's comparable in any way to the one we're giving up.  A few minutes later the deal is confirmed. 
			- It was a shock. Then after letting it settle in a bit, I realized how much I had looked forward to seeing him blossom as a Knick. That all the young players the team was accumulating and developing were his team to lead, and it wasn't good enough for him. After a few years of him saying how much he loved New York, he goes to Dallas of all places, because they have a player there he'd like to play with. The ones we drafted, for him, weren't good enough, I guess. 
			- The Knicks are not the Mets. I can handle the Mets sucking year after year, because eventually they pull it together and make history, again. There's something to hope for, to root for. But the Knicks are mired, ever since they dealt the whole roster to Denver to get Melo. Ever since then it's been one <a href="http://static.scripting.com/larryKing/images/2014/02/25/meloLin.gif">disappointment</a>, mostly self-inflicted, after another. 
		- I wrote this for a friend
			- In 2015 a friend was going through a tough time. The bottom had dropped out of his tech industry life. It had happened to me. I gave him the advice that worked for me, that helped me go on after my dreams of grandeur had been revealed to be foolish. I posted it <a href="https://www.facebook.com/dave.winer.12/posts/887204091486997?notif_id=1549026273419642&notif_t=feedback_reaction_generic">on Facebook</a> for some reason, which proves I guess that despite what so many say, it has or at least had a purpose. 
				- I have a friend who's going thru a familiar struggle. I have some advice that's imho worth sharing.
				- Go some place natural. Alone. Where no one knows you or who you know. Subtract everything that defines you as a pundit or friend of the rich and famous. No gadgets.
				- Swim. Get massaged. Try being quiet. Talk about your childhood. Find yourself, the person you've been hiding from.
				- Just be another random person, one of seven billion, because that is the truth. That is who you are. Who I am. Who everyone is. When you really feel it a weight comes off. None of this shit matters.
