- October 2019
	- October 31
		- The intro of this <a href="https://techcrunch.com/2019/10/31/how-i-podcast-im-listenings-anita-flores/">TechCrunch piece</a> about podcasting got me to do a <a href="http://scripting.com/2019/10/31/theBeautyOfPodcasting.m4a">podcast</a> myself. "The beauty of podcasting is that anyone can do it. It’s a rare medium that’s nearly as easy to make as it is to consume." Thank you. That was by design.
		- In today's podcast I talk about the 20th anniversary of the idea of podcasting. Not as soon as I thought: October 26, 2020. Having a <a href="http://scripting.com/2000/10/26.html">blog archive</a> is useful. Here's a <a href="http://scripting.com/images/2019/10/31/podcastingCreationDay.png">screen shot</a> of the relevant bit.  
		- <a href="https://www.youtube.com/watch?v=qaHLd8de6nM">Obama</a>: "People who do good really stuff have flaws."
		- If the Repubs don't all work for Putin by now, they should be and probably are thanking the Dems, privately of course, for standing up for the co-equal branches idea at the heart of the Constitution. Without that their jobs would be meaningless. No power at all.
		- Facebook is important. The man who created it deserves respect for that. No one else did it. If anyone would minimize his accomplishment it would be me, but I'm in awe of it. Start there. How can we work together to get the most out of what he built.
		- I assume the NYT thinks that any ad that quotes the NYT is okay. But there are so many lies in the NYT. We need better grounding in truth before we can hold anyone else to only running truthful ads.
		- In tweets today Trump is saying he's doing a good job as president. That's fair, they're half-truths and lies, but it's political speech so it doesn't have to be true. That is an American norm. The op-ed writers appear to not know this. 
		- Trump vs the Constitution
			- I wish journalism would consider that it's not Dems v Trump rather it's Trump v Constitution.
			- The Constitution needs protecting. The Repubs are for some reason willing to let the Democrats carry the ball alone. 
			- But when it gets to the Senate they won't have that luxury.
		- NPR reporting is Republican
			- NPR isn't reporting the news, they're reporting Republican spin.
			- For example this morning they talked for a half hour about the impeachment inquiry as a partisan issue, repeating the Republican claim that it's bad for the inquiry to be private. They said the Democrats in 1998 had the same objection, which wasn't true, because then there was a special prosecutor, Ken Starr, who did his inquiry in private before issuing his public report. As far as I know the Democrats never said this inquiry should be held in public. Even if they had it wouldn't have been. There are rules about the process designed to protect the accused and the process. NPR never presented the other side, how this all looks from the point of view of the Democrats, or more importantly, the Constitution, which is really what Trump has offended. (Could they cover a story without it being totally and inappropriatey partisan?)
			- This is why the hearings have been private. 
				- The DoJ wouldn't appoint a special prosecutor, so the House had to do it themselves.
				- Such inquiries are private to protect the accused because, if there is no indictment, they want to limit damage.
				- They want testimony to be private so the witnesses can't get their stories aligned.
			- The Repubs also complained, through their NPR voice, that the president should have been given a chance to present his evidence. He <i>was</i> given the chance, and chose to try to obstruct the process instead of participating. Makes the Republican complaint seem hollow. 
	- October 30
		- Read this <a href="https://twitter.com/cwarzel/status/1189240745309421574">thrilling comment</a> from <a href="https://twitter.com/cwarzel">Charlie Warzel</a> who according to his profile writes for the NY Times. He says "there's almost no space for writing anymore that's joyful or an attempt to be creative. hardly anyone is playing around with form or even just trying to entertain. so much of the joy has been sucked out of the internet unless its crowdsourced by platforms from ppl who aren't paid."  The last three words in his comment are the point. Writing isn't something you necessarily get paid to do. I used to write advertising, and would have to pay thousands of dollars to have it run. It was still writing. Now I write because I like it. 
		- <a href="https://www.facebook.com/dan.conover.714/posts/10218726118997790">Dan Conover</a>: "Putin is funneling cash through Ukrainian organized crime to support Trump's reelection, fund Republican candidates, undermine US intelligence, and direct US foreign policy in Ukraine. The evidence is in the public domain and can be cited strictly through official documents and reputable news outlets." 
		- Brent Simmons wrote <a href="https://inessential.com/2019/10/28/no_etas">recently</a> about how he can't say when a certain feature will be available with any accuracy so he doesn't try. I agree with what he said, but you can do it, by keeping a backlog of unreleased debugged features. If you use the feature yourself every day and it works well, you can probably estimate when it will ship to users, because you could do it tomorrow if you wanted (or at least start testing it). This is a weird idea in the old way of doing software, where people always release what they have as soon as they have it. A number of years ago I stopped doing that. I have a backlog of debugged usable stuff that only I have used. So if I announced a feature from the backlog I could definitely predict when it would be available. 
		- Yesterday I was <a href="http://scripting.com/2019/10/29.html#a140306">saying</a> how weird it is to see podcasts be so pervasive. Here's another example. The NY Post has a <a href="https://nypost.com/2019/10/29/charles-oakley-sounds-ready-to-re-enter-the-knicks-fold/">Knicks podcast</a>. I will probably listen, from time to time. Today's podcast is with Charles Oakley, a former Knick and fan favorite, who is <a href="https://duckduckgo.com/?q=charles+oakley+james+dolan&t=h_&ia=web">hated</a> by James Dolan, which of course makes him even more popular with Knicks fans. He says the Knicks can prove Kevin Durant wrong. Of course they can. The Nets stars need to learn about <a href="https://duckduckgo.com/?q=managing+expectations&t=h_&ia=web">managing expectations</a>. If the Knicks show up and don't fall apart on the court they will have exceeded the bullshit hype of the Nets stars, both of them great players but probably not in NY after what they've said about the Knicks. 
		- Something I consistently forget, <a href="http://scripting.com/images/2019/10/30/dateComparisonJavaScript.png">date comparison</a> in JavaScript doesn't work. Date objects are alway unequal, even if they represent the same actual date. Convert the objects to numbers and compare those instead: d1.getTime () == d2.getTime (). 
		- Positioning Tulsi
			- Okay Tulsi is going to do a third party run.
			- No one knows who or what she is. 
			- So before she has a chance to position herself, do it for her. That's straight out of the Repub playbook and it's smart.
			- Make it so she takes votes away from Trump not the Demo.
			- Something like this.
			- <i>If you like Trump, vote for Trump. Don't waste your vote on Tulsi. </i>
			- That would do it. 
			- Blast that message everywhere. 
			- $1 million spent today is worth $100 million after she finishes positioning herself.
			- PS: If you haven't read about <a href="https://en.wikipedia.org/wiki/Positioning_(marketing)">positioning</a> you should. It's logical and fun, and explains a lot about how products work in the human mind. It's Marketing 101.
		- Trumpers going under the bus
			- These are <a href="https://twitter.com/davewiner/status/1189546130956324864">the Trumpers</a> who imho are going under the bus.
				- Mike Pence.
				- Mick Mulvaney.
				- Rick Perry.
				- Mitch McConnell (aka <a href="https://twitter.com/hashtag/moscowmitch?src=hashtag_click">#moscowmitch</a>).
				- Rudy Giuliani and all his cohorts.
			- And..?
		- Morning dream notes
			- Dreams are so funny. One of my recurring dreams all through my life is not being able to find my way home. I'd start going there, but realize I wasn't getting anywhere. It would go on and on, and I'd never get there. Well last night I had a weird variant on that. I was still trying to get home. I had parked my car somewhere, and was trying to get there, so I could begin my journey, but first I had to call my mother. I couldn't find the phone feature on my <a href="https://duckduckgo.com/?q=site%3Ascripting.com+iphone&t=h_&ia=web">iPhone</a>. I'd keep navigating through the menus thinking I was on the way to the phone, but I'd get lost and have to start over. It seems my subconscious has completely absorbed the UI of computers as reality. And even though I'm an adult and my mother is gone, I still feel the need to call her. And of course all this is going on inside me even when I'm wide awake. :boom:
			- Also in my dreams last night, since I'm on the topic, <a href="https://en.wikipedia.org/wiki/Craig_Newmark">Craig Newmark</a> was partying. Dancing, telling jokes, introducing people to other people, being <a href="http://thesaurus.land/?word=gregarious">gregarious</a>. I was surprised because this is out of character for him. He's a very nice, considerate person, in real life. But he seems a bit reserved. I find him hard to read. I've known him since the early days of the web in the Bay Area. I defended him when the press took what I felt were unfair <a href="https://duckduckgo.com/?q=%22craigslist+killer%22&t=h_&ia=web">shots</a>, taking advantage of the fact that his product had his name in it, blaming him personally for the demise of print news. Ridiculous. So, I was happy to see Craig let go in my dreams. I sometimes say things that might have offended him, but he's never complained. Once I remarked, riding in the back seat of a car with him next to me that it was like being in a car with <a href="https://en.wikipedia.org/wiki/Aunt_Jemima">Aunt Jemima</a>. I had gotten the idea from <a href="https://en.wikipedia.org/wiki/Peter_Norton">Peter Norton</a>, who like Craig, had personally become a famous brand. He once said he was the Aunt Jemima of software. I thought that was clever. But of course Craig may not see it the same way. I tend to do that, take risks, I probably offend people from time to time, not meaning to, I assure you. I'm nowhere near as rich as Craig. Maybe that's why? :smile:
	- October 29
		- A number of people in the town where I now live have blogs and do podcasts. It feels weird to me, so far from the <a href="https://www.google.com/maps/place/Columbus+Cir,+New+York,+NY/@40.7678762,-74.1215993,11z/data=!4m5!3m4!1s0x89c258f63c9804b5:0xacca5e3d4112d7eb!8m2!3d40.767848!4d-73.9815219">center</a> of civilization, I guess there's a bit of pride, but mostly bewilderment. Like the guy who creates a new computer system in <a href="https://en.wikipedia.org/wiki/The_Soul_of_a_New_Machine">Soul of  a New Machine</a> and sees someone using it and thinks you can't use this stuff. Heh. I don't play much of a role in these things anymore. Not sure I'd want to actually, though I think the software most people use for blogging is nowhere near as good or complete as what we had in the early 00s. Just a little factoring and UI reorg would make things flow much better. Podcasting has become a huge undertaking for people, with seasons and episodes, sponsors.  It should be imho like leaving a voice mail to a few friends. Nice thing is today it can easily scale up to millions of friends. That wasn't true at the beginning. 
		- I had <a href="https://www.yelp.com/biz/sunfrost-farms-woodstock">breakfast</a> last week with a new local <a href="https://twitter.com/markzip">friend</a> who reads this blog. He's a former DJ at <a href="http://www.radiowoodstock.com/">WDST</a>, and from that he <a href="http://www.zipsziggurat.com/">built</a> a business selling music at <a href="http://nyrecordfairs.com/">fairs</a> in the northeast. He was in the business when Napster rolled through. We shared some interesting stories. I told him what I had been hearing about <a href="https://www.dailyfreeman.com/news/local-news/woodstock-site-of-wdst-and-bearsville-theater-sold-to-company/article_24d75aa4-ce5f-11e9-bdd4-db5cb1e71857.html">the</a> <a href="https://hudsonvalleyone.com/2019/09/06/bearsville-complex-has-a-new-owner/">sale</a> and <a href="https://bearsvillecenter.com/">reboot</a> of <a href="https://www.rhino.com/article/new-this-week-todd-rundgren-the-complete-bearsville-albums-collection">Bearsville</a> and Todd Rundgren's old studio and stage. British dude, his sports are rugby and soccer. Not much overlap with this NBA and MLB guy.  
		- I was hoping podcasting would be more spontaneous and casual, sort of like the <a href="https://www.youtube.com/watch?v=O52jAYa4Pm8">Talking Heads song</a> that goes like this: "When I have nothing to say, my lips are sealed. Say something once, why say it again?" Of course I don't live up to that rule on my own blog. :boom:
		- The <a href="https://nypost.com/2019/10/29/kyrie-irvings-volatility-makes-nets-officials-queasy/">reality of Kyrie</a> is sinking in for the Nets. I didn't used to care about the Nets, and I still don't, but I wonder why Kyrie thought we would? Their story is only interesting because of the drama. I would have preferred if they grew slowly. New York is a dysfunctional NBA city, btw, in case it wasn't obvious. 
		- I've been working on an SQL-based RSS <a href="https://duckduckgo.com/?q=site%3Ascripting.com+river6&t=h_&ia=web">aggregator</a> for a while. I just got it working with a <a href="https://www.digitalocean.com/products/managed-databases/">managed database</a> on Digital Ocean. That's a big deal because I don't want to manage databases. Now I don't have to? So far I like it though there were too many hoops to jump through for the setup. A Hello World app for Node with step by step instructions would have helped. Good docs is the thing that sets Digital Ocean apart from AWS. This time I have to say they could be better.
		- It'd be kind of fun to make a <a href="https://www.nytimes.com/2019/10/28/opinion/trump-booed-world-series.html">Lock Him Up</a> hat using exactly the same red hat as he uses. So from a distance you couldn't tell if it was one of his assholes or one of ours.
		- I know this is blasphemy but <a href="https://www.cnn.com/videos/us/2018/10/11/michelle-obama-today-show-orig-acl.cnn">Michelle Obama</a> is wrong. We need rallying cries too, and demonstrations, and slogans. We've bottled up our anger, that's nice, but look where it's gotten us. What Trump's assholes are doing to America, <i>our country,</i> is unacceptable. 
		- <a href="https://twitter.com/bump">Robert Occhialini</a> is restoring his old blog and <a href="https://twitter.com/bump/status/1189179783722217473">reports</a> that one of the only links from November 1997 that still works is the old <a href="http://scripting.com/frontier/olddefault.html">Frontier home page</a>. That was a good page, a lot of love was poured into it. But there was a broken image, I was immediately sure of the cause. The original server, a Mac, had unicase filenames. It's now hosted on S3 which has case-sensitive file names. So what worked when it was originally posted, now is broken, when served through S3. I guess it must be hard or impossible for S3 to offer unicase for HTTP requests. 
		- Wow <a href="https://talkingpointsmemo.com/news/liz-cheney-republicans-criticize-patriotism-shameful">Liz Cheney has</a> a line she won't cross. Who'd a thunk.
		- Today I'm <a href="https://github.com/scripting/Scripting-News/issues/137">working out problems</a> with Digital Ocean's managed MySQL database. Currently trying to turn off ANSI_QUOTES.
	- October 28
		- 'Lock Him Up' is very American
			- One of things I've always admired about Cubs fans is that when an opposing team hits a home run, the <a href="https://en.wikipedia.org/wiki/Wrigley_Field">Wrigley Field</a> protocol demands that the fan who caught the ball throw it back on the field. It's a sign of disrespect. Basically fuck you and your home run. In baseball, that's cool. And it is in politics too, to throw back at a president who crosses the line of propriety every waking moment, to throw back at him one of the most vile and disgusting campaign slogans ever, in any political system, anywhere. 
			- And last night, the crowd at the World Series game in DC did something most of us would love to do if given the chance. With President Trump in attendance, being called out on the scoreboard, they first booed him and then <a href="https://duckduckgo.com/?q=world+series+game+5+lock+him+up+2019&t=h_&ia=news&iar=news">chanted</a> Lock Him Up. 
			- As a Mets fan of course I don't usually have a lot of sympathy for Nationals fans, but this is bigger than baseball. I love what they did.  
			- Lock Him Up should be the chant at every sports event until he is gone.
			- This morning on MSNBC we get a <a href="https://www.msnbc.com/morning-joe/watch/joe-lock-him-up-chants-are-un-american-72161349993">lecture</a> from Morning Joe and Mika saying you shouldn't do that. And then Senator Chris Coons from Delaware, a Democrat, <a href="https://thehill.com/homenews/senate/467698-democratic-senator-criticizes-crowd-booing-trump-the-office-of-the-president">says</a> the same. Respect the office if you don't respect the person. Well fuck you. We've been very civil through this whole process, and we're fed up. If you respect the office so much, Coons, why do you stand by and let him shit all over it?
			- These people have the wrong idea about who we are. We're not children who are misbehaving. We're the electorate of this country, the ones who elected them, and we're saying if you haven't had enough yet, we have. It's time to do what we sent you there to do.  
			- So much damage is being done to our country while pundits and Democrats worry about which side of the plate the napkin goes. When you get him out of <i>our White House, </i>we'll stop calling for him to be locked up. Do your jobs and until you take care of this just shut up. 
			- Now that the pundits and pols are making such a big deal about this, it'll be interesting to see what happens Tuesday night in Houston. 
			- The reaction from pols and pundits reinforces that it would be a good idea to have a <a href="http://scripting.com/2019/10/21/140215.html">permanent citizen's occupation</a> of DC. 100K people, always there, walking up and down the mall chanting <i>Lock Him Up</i> until the Repubs and Dems and members of the Supreme Court get the idea that the people of the United States are fed up not just with him, but with you too. 
	- October 27
		- Very few people use the <a href="http://scripting.com/images/2019/10/27/chatTabScreenShot.png">Chat tab</a>, so I took it out of the list of active tabs. I'm going to keep looking for the best form of interaction for blog readers. Right now, it seems to be Twitter. The software is still running and can be accessed at <a href="http://chat.scripting.com/">chat.scripting.com</a>. 
		- I'm sorry I don't watch NFL games because Kaepernick. It's the least I can do.
		- I'm trying to watch <a href="https://en.wikipedia.org/wiki/The_Spy_(TV_series)">The Spy</a> on Netflix, but I keep expecting <a href="https://www.youtube.com/watch?v=iJZO5Hge2DY">Borat</a> to show <a href="https://www.youtube.com/watch?v=Vb3IMTJjzfo">up</a>. I'm watching for it. Anyway it's not that good. What is good that I found at random is the 1998 movie <a href="https://en.wikipedia.org/wiki/A_Simple_Plan_(film)">A Simple Plan</a>. It got great reviews, but don't watch the trailer, it's a total spoiler. On Amazon.
		- I bet it's going to turn out that Al Baghdadi was working with a famous Democrat to rig the 2016 election. "The server" will turn up in several places along with "the missing emails."
		- All is right with the world. The Knicks are 0-3. Some norms will never be broken, it seems. BTW, they say the last time the Knicks had a winning team was <a href="http://scripting.com/2014/11/13/jeremyLinWasACoralReef.html">2012</a>. Already a long time ago. Here's what happened in a <a href="http://static.scripting.com/larryKing/images/2014/02/25/meloLin.gif">single image</a>.
		- One of the many things wrong with our president is he never wins. He always feels he has to sell. Can you imagine, never a moment to relax, kick back, and savor your accomplishments? What a terrible way to live.
		- Wow some feeds go back years. Feed readers have to allow for this possibility. Here's an <a href="http://river6.scripting.com/feedviewer?url=http://rss.art19.com/the-daily">example</a>, the Daily podcast. It has items going back to Feb 2017. 
		- I find that I can't watch Mike Pence on TV anymore. In my mind I've written him off. It's no longer Mike Pence season. I feel the same way about Mike Pence as I feel about Game of Thrones.
	- October 26
		- The new half-season of <a href="https://en.wikipedia.org/wiki/BoJack_Horseman#Season_6_(Part_One)">BoJack Horseman</a> was of course very good. I gulped it down in two sittings. Can't wait for the final episodes on Jan 31.
		- I had a thought early in the Trump presidency that we should offer him a <a href="https://www.amazon.com/Trump-Art-Deal-Donald-J/dp/0399594493">deal</a>. He could have $25 billion cash if he resigns immediately. That number goes down by a billion every month he stays. So he would have a very clear picture of how much the misery of being president was costing him. It would be good for us because it's a small amount of money, all things considered, and if we ever elect a president who would take the deal, we would <i>want</i> them to take the deal. I would say we could start there right now. Pelosi gets together with Moscow Mitch and visits the White House.
		- I hear some Democrats are getting crazy about the choices we have for president. They're trying to think of someone to come in and save the day. They come up with the usuals, Bloomberg, Kerry, even HRC again. But what about <a href="https://en.wikipedia.org/wiki/Jay_Inslee">Jay Inslee</a>, governor of Washington state? Really smart, thinks well on his feet, confident, has executive experience. Republicans would like him. I don't know about blacks, but he's so much more confidence-inspiring than Biden imho. 
		- Oh Kyrie get over yourself
			- <a href="https://nypost.com/2019/10/25/kyrie-irvings-boldest-knicks-shot-nets-going-to-take-over-the-entire-city/">Kyrie Irving</a> doesn't understand NY sports if he thinks the Nets are going to "take over" the city. He shouldn't say stuff like that if it's really his intention. More likely he'll be traded in two years to Chicago as a backup point guard. People will say, "Remember Kyrie Irving? He had such a promising career. What happened to him?" He should remember how NY chews up players who think they're bigger than the city. :boom: 
			- Let me explain. NY sports fans, except for Yankees fans who they may actually temporarily get a number of because all they care about is winning, suffer for very long periods waiting for their team to rebound. With the Knicks it seems to never happen. But we suffer anyway. We don't want the city to win Kyrie, we want <i>the Knicks</i> to win. We're tired of people rubbing their shit all over the Knicks. If you want to be loved by the city, and that's where we begin, you have to understand this. We aren't a prize to be won, we're loyalty that must be earned. Over generations. I went to Knicks games with my grandfather. Not much chance my loyalty will ever switch, Kyrie, but if you want my respect, you shouldn't say stupid shit like that.
			- One thing you may not appreciate coming from New Jersey is just how huge the city is. One basketball player, no matter how great he is, cannot conquer the city. Even the Mets in 1969 didn't. For a few days everyone was happy, then life went on. And we don't like arrogant assholes. Unfortunately the Knicks are currently owned by one, but we hope that is just a temporary thing. 
	- October 25
		- I wrote <a href="http://scripting.com/stories/2007/04/28/twitterAsCoralReef.html">Twitter as Coral Reef</a> after meeting with <a href="https://twitter.com/jack">Jack Dorsey</a> in 2007 and hearing his vision for Twitter as a platform. It was a good vision. 
		- Over the decades I've spun out a number of individual developers from teams I lead. That started when I sold Living Videotext to Symantec in 1987. I left the company a few months after the deal closed. I wasn't smart or patient enough to try to fit into someone else's company, and I had a <a href="http://frontier.userland.com/">project</a> I really wanted to do. Here's the interesting thing. When I called back the developers I had left behind, and asked if they would collaborate on interop with my new product, they told me how they work for a big company now and can't collaborate with someone like me. Heh. I knew that they were working on a project with Apple called <a href="https://en.wikipedia.org/wiki/Bedrock_(framework)">Bedrock</a>. Anyway, it happens all the time. Once they or I leave the nest, they don't see the value of continuing the collaboration. You'd think, schooled in the power of <a href="http://essaysfromexodus.scripting.com/priorArtDesignMethod">prior art</a> and <a href="https://duckduckgo.com/?q=site%3Ascripting.com+interop&t=h_&ia=web">interop</a>, they'd want to go forth in the world and create more interop, but big companies are a big influence on the people who work there. Even relatively small companies (like Symantec in the 80s) have a lot of inward pull. 
		- I have a <a href="https://www.waterfurnace.com/literature/premier/sp1555.pdf">geothermal</a> heating and cooling <a href="https://www.waterfurnace.com/">system</a> that works well, is supposed to be efficient (I haven't used it enough to verify) but there is one thing that sucks about it. When it turns on there's a huge slamming sound. Like a garage door. You can't sleep through it. It's jarring even when you're awake. I get mixed opinions. Some say the loud sound is just the way it works, and others say it's wrong, they have used geothermal systems that worked just like any other forced air heating or cooling system. Anyway I have the problem solved for now, at least in October. I don't turn the heat on. I use a space heater at night, and keep the bedroom door closed. But we haven't had a frost yet. Then I'll <a href="https://www.redcross.org/get-help/how-to-prepare-for-emergencies/types-of-emergencies/winter-storm/frozen-pipes.html">need</a> another answer. 
		- I think <a href="http://scripting.com/2019/03/17/135334.html#a144043">Trump wants Biden</a> to run against, despite the "optics," because he's the only Democrat who makes Trump seem young. In other words, surprise -- for the #1 narcissist, the reason is vanity. 💥
		- On this day in 1986
			- I watched <a href="https://www.youtube.com/watch?v=7ujwjqIldwU">Game 6</a> of the 1986 World Series at my brother's apartment in Palo Alto, with our father.
			- At the moment the ball went through Buckner's legs, I remember vividly my father rolling around on the floor.
			- It was the one time in a lifetime I saw my father let go.
			- It was wonderful.
	- October 24
		- As I've been <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22bojack+horseman%22&t=h_&ia=web">saying</a> since it started, <a href="https://www.theguardian.com/tv-and-radio/2019/oct/24/how-bojack-horseman-became-a-surprise-heartbreaking-hit">Bojack Horseman</a> is one of the most consequential and riveting shows ever. And totally entertaining. People can't seem to accept that a cartoon could be all that. It can. The first half of the <a href="https://www.newsweek.com/bojack-horseman-season-6-netflix-1467313?fbclid=IwAR1x3_NtlXIgIYewpInO5oFyjjRIArLFQmm5SataD2UZNudvOe32qejxAFo">sixth season</a> is on Netflix tonight. 
		- I feel sorry for <a href="https://en.wikipedia.org/wiki/Richard_Engel">Richard Engel</a> on MSNBC. His <a href="https://www.msnbc.com/11th-hour/watch/trump-withdrawal-of-u-s-troops-makes-putin-the-kingmaker-in-syria-71871557542">reporting from Syria</a> raises a question that his colleagues in the US don't want to discuss. Russia moving in to take over from the US is no accident, it was the plan. In America for some reason they don't want to incorporate the obvious fact that Trump works for Russia, not for the United States. Over and over, for years, they pretend they don't know this. Why?
		- I'd like to put down a bet. Another scandal will come out that has a cash quid pro quo. 
		- Reporting on the demonstration put on by Republican House members yesterday, CNN repeated the claim that Repubs were being denied entry to the Shiff hearings. This is why the Repubs do these stunts, because journalism doesn't report the news in a realistic way. The technically correct lead-in would be: <i>Repubs put on a dishonest demo, trying to attract naive press coverage.</i> Now would be a good time to change the game with Repubs, because they don't have a choice but to accept reasonable rules re lies.
		- On Facebook I <a href="http://scripting.com/images/2019/10/24/dearLeaderOrDrugDealer.png">saw Trump</a> referred to as <i>dear leader</i> and my mind read <i>drug dealer. </i>It really happened, I'm not making this up. :banana:
		- I hear they're doing a sequel to <a href="https://en.wikipedia.org/wiki/The_Matrix_(franchise)">The Matrix</a>. May I suggest Matt Gaetz as <a href="https://en.wikipedia.org/wiki/Agent_Smith">Agent Smith</a>. Adam Schiff as <a href="https://en.wikipedia.org/wiki/Morpheus_(The_Matrix)">Morpheus</a>. AOC as <a href="https://en.wikipedia.org/wiki/Neo_(The_Matrix)">Neo</a>, and Maxine Waters as <a href="https://en.wikipedia.org/wiki/The_Oracle_(The_Matrix)">The Oracle</a>. 
		- I'm glad to hear that <a href="https://twitter.com/amyklobuchar/status/1187374005906542592">Amy Klobuchar</a> has qualified for the next Democratic debate. I want a candidate that everyone can get behind and that includes Republicans and former Obama voters who voted for Trump. We need a president who wins in a landslide, takes both houses, and someone who knows how to get things done in our political system. When we've elected "outsiders" the results have never been good for us. But Klobuchar's <a href="https://twitter.com/amyklobuchar/status/1187478894045257731">confidence</a> isn't there yet. Warren has it, as does Sanders, but neither has the ability to govern with the full support of most Americans. We have to think clearly about how our political system will work after Trump. 
	- October 23
		- We need a Wikipedia for news. A landing page for each story, with a summary, and pointer to coverage of all major news sites. As they all adopt paywalls I find it's hard to pick a good story to point to from pieces on my blog. Also I don't like pointing to news pages that are overloaded with crapware. Two bits of prior art. <a href="https://politicalwire.com/">Political Wire</a> and <a href="https://www.memeorandum.com/">Memeorandum</a>. I like Political Wire's synopses, and Memeorandum's accumulation of links and tweets. Merge those two ideas, and cover more than politics, that's the basic idea. And also use relatively future-safe server tech. 
		- We're having the fight to preserve the Constitution and rule of law, right now, today. It's debatable the extent to which the president is above the law, but certainly no one else is. Or are they? The Repubs are <a href="https://www.cnbc.com/2019/10/23/republicans-crash-secure-room-disrupt-testimony-in-impeachment-probe.html">testing</a> that today.
		- CNN is <a href="https://www.engadget.com/2019/10/23/cnn-newsco-news-aggregator-service/">prepping</a> an online news aggregator to counter tech giants. Every big news site should be an aggregator and compete with Facebook. I was pitching CNN on this in 2004, fifteen years ago.
		- The Ukrainian government has more backbone and honor than the supposedly honest American press, who were happy to <a href="http://scripting.com/images/2019/09/29/butHerEmailsYetAgain.png">throw the election</a> to Trump for a few bucks.
		- This is the best thing I've read on <a href="https://en.wikipedia.org/wiki/Toxic_masculinity">toxic masculinity</a>. Imho it's a disease of the society not of one gender.
		- After reading about <a href="https://www.memeorandum.com/191022/p100#a191022p100">Taylor’s testimony</a> it’s amazing that there are still people as competent, honest and brave in our government, esp one who was appointed by Pompeo. I was of the belief they had all been removed.
		- I may have found a workaround for the problems with Dropbox, but there are still <a href="https://twitter.com/davewiner/status/1186980696667103234">outages at Amazon</a> causing problems elsewhere in Dave's Server Land. As Ringo Starr used to sing, <a href="https://www.youtube.com/watch?v=bvEexTomE1I">It Don't Come Easy</a>. 
	- October 22
		- It looks like there's an <a href="http://scripting.com/images/2019/10/22/awsErrorMessage.png">outage</a> at <a href="https://status.aws.amazon.com/">Amazon</a> web services. 
		- The <a href="http://scripting.com/2019/10/19/173340.html">Dropbox situation</a> has become more dire. I pretty much have to stop everything and reconceive how I work with my servers from my desktop. Something broke. I may have a workaround. The lesson is that when you depend on other people's tech, at some point it will fail, and then what will you do. It's hard to have a plan for this kind of outage. 
		- The Atlantic <a href="https://www.theatlantic.com/politics/archive/2019/10/impeachment-trump-democrats/600448/">says</a> Dems are not sure what to impeach Trump for. I can't read it because of their paywall, but it's an interesting subject. How about this -- negotiate it privately with McConnell. See if there's anything he could support.
	- October 21
		- <a href="http://scripting.com/2019/10/21/uiDesignAndMySubaru.m4a">Short podcast</a>. The battery on my new Subaru Forester died today, resulting in an interesting mystery of user interface design. I got the car going again, btw. All is well. 
		- I think a blog should be like an old <a href="https://en.wikipedia.org/wiki/Herb_Caen">Herb Caen</a> <a href="https://www.sfgate.com/herbcaen/">column</a> in the SF Chronicle. A goings-on-around-town type flow of mostly gossip. Short items not essays. Caen's first columns were literally <a href="https://s.hdnux.com/photos/22/45/75/4874108/3/920x920.jpg">columns</a>.  I wonder if there are online columnists who use this style. Send pointers if you know of any (I assume there are many).
		- One of the best purchases I've ever made -- a <a href="https://www.amazon.com/gp/product/B01FXN3E74/ref=ppx_yo_dt_b_asin_title_o04_s01?ie=UTF8&psc=1">Brita water pitcher</a>. It fits perfectly in the door of a refrigerator. Fill the top with water, put the pitcher in the fridge. It takes a few minutes to filter the water. Next time you want a glass of cold water, just open the fridge and pour a glass. It has no taste. I used to drink bottled <a href="https://www.amazon.com/Poland-Springs-Bottled-16-9oz-Bottles/dp/B000CDHZEY/ref=sr_1_8?gclid=Cj0KCQjwrrXtBRCKARIsAMbU6bFGkQ7WYgMn0iV65rGZv2GbbLPiHjaxOhMqy5N7J0XH5J_RPQw0_TAaAgDNEALw_wcB&hvadid=282644276296&hvdev=c&hvlocphy=1023481&hvnetw=g&hvpos=1t3&hvqmt=e&hvrand=11878723364070780002&hvtargid=kwd-325874732562&hydadcr=4414_9619179&keywords=poland+springs+bottled+water&qid=1571692044&s=grocery&sr=1-8">Poland Springs</a> water, but I prefer this to the bottles. I still keep some bottled water around for guests. 
		- Have you noticed that <a href="https://en.wikipedia.org/wiki/Rachel_Maddow">Rachel Maddow</a> talks about Trump having been impeached, in the past tense. I like it, and I also like that no one challenges her chutzpah. She sometimes says it as part of interviews, in front of guests. 
		- I wish Florida congressperson <a href="https://en.wikipedia.org/wiki/Francis_Rooney">Francis Rooney</a> would run for re-election. He's one of the few politicians of either party who makes sense. He's leaving when we need people like him the most.
		- I wish we had never let Facebook become so powerful, but we did. Eventually there will be a Murdoch version of Facebook, that’s what Zuck is trying to head off. That’s why he’s meeting with the stars of Fox and Breitbart, to assure them Facebook can be their home.
		- Robert Reich has <a href="https://www.theguardian.com/commentisfree/2019/oct/20/elizabeth-warren-bernie-sanders-joe-biden-democratic-debate-donald-trump">decided</a> no one but Biden, Warren or Sanders could be the Democratic nominee, <i>before a single vote has been cast. </i>Whether the pundits like it or not, the voters still decide. Remember what they said about Trump at this stage in 2015.
		- Had a dream last night where it turns out my mother didn't die after all. It was all a big mistake. She was healthy and feisty. Across the street. Of course impossible for me to reach. It was a dream after all. 
		- How to protest
			- A permanent citizen's occupation of DC. 
			- We don't leave until Trump does.
			- You sign up for one full day of your choosing. 
			- There's room for say 100K people. 
			- Once 100K people have committed for a given day, that's it, the day is full. You have to sign up for another day. 
			- You arrange to get yourself to DC and back home. 
			- Carry a sign or wear a button or clothing that says you're there to demand Trump's impeachment and removal. 
			- Go anywhere in the <a href="https://www.google.com/maps/dir/The+White+House,+1600+Pennsylvania+Ave+NW,+Washington,+DC+20500/United+States+Capitol,+First+St+SE,+Washington,+DC+20004/@38.894289,-77.0315506,15z/data=!3m1!4b1!4m14!4m13!1m5!1m1!1s0x89b7b7bcdecbb1df:0x715969d86d0b76bf!2m2!1d-77.0365298!2d38.8976763!1m5!1m1!1s0x89b7b82921a2cf17:0x482a3f7c10cf8c4!2m2!1d-77.0090505!2d38.8899389!3e2">space</a> between the Capitol and the White House.
			- Flood the zone. Rain or shine. 
	- October 20
		- To reporters: Someone should ask Trump how relevant he feels the Constitution is to his job and Congress's job.
		- Too many remotes, still
			- This started out being a review of the new Apple TV but the real story is same as it ever was, the living room networking situation is still a mess. 
			- The reason -- <a href="http://scripting.com/images/2019/10/20/tooManyRemotes.png">too many remotes</a>.
			- This tale started when the Spectrum app for Roku broke, I could no longer access my favorites. That meant every time I wanted to find a program, I had to fish through all the channels. I've learned over the years which channels I need, basically MSNBC, CNN, HBO, Showtime, the stations that have Law & Order, channels that carry the sports teams I follow. I imagine it's pretty similar for other people. After all these years you develop paths, and program the system accordingly. At this point, I'm not willing to use Spectrum without favorites. But I have been, and it's unacceptable.
			- Their support is also ridiculous. They want you to jump through the same set of hoops every time no matter what the problem is. I do what they ask, even though I have a theory about what happened. I'm pretty sure they broke something in an upgrade. I can tell I'm using a new version, they made little UI changes, at the same time Favorites stopped working. That's an Occam's Razor type thing. More evidence -- my Favorites are still there on my iPhone, iPad and in the new Apple TV. 
			- Which brings me to why I was interested in Apple TV in the first place. I thought perhaps I could just use Apple TV to access Spectrum, working around the breakage. $199 is a lot of money to spend to do that, but I had an extra HDMI port open on my TV, and I wanted to see what's new there, so why not. I had an old Apple TV, btw -- but the Spectrum app wasn't available for it. 
			- So I've spent a few days with Apple TV, trying to fit it into my routine. But it's not a good fit for mostly UI reasons. 
				- I have to use their remote. The Roku remote, which to me is the most natural, doesn't work with Apple TV. The Apple remote is innovative. Now I see why they were making a big deal about track pads. But it's slow and error-prone, compared to clicking the arrows on the Roku remote. 
				- But there's the problem now of having two remotes. One of my rules for design is "One way is better than two, no matter how much better the second is." I bet Apple can prove that their remote is better. But on Rokui I think they should just use the Roku remote. I remember when I first shipped Mac software in 1984, I wanted to design my own (better) user interface. After a year or so we gave up on that and just used the Mac standard interface, even though it wasn't good for what we were doing. The pressure not to make people master a second UI was too great. 
				- And there's a third way -- the Mac mouse and keyboard to control Mac Mini, that I've had hooked into my living room TV for 15 years or so. In the old days it was very useful. These days, I prefer to use the streaming services. I use the Mac for demos, and to show videos of my own, though I could use the Apple TV for that. Honestly I don't know why I have a Mac under my TV these days, but I do.
			- The net-net is that the Apple TV will not get a lot of use. It doesn't have anything over Roku, and they make me put down the Roku remote and pick up theirs. The Apple remote is weird, it doesn't work the way I feel it should. I'm sure they think I'm wrong, but I remember that I'm the customer, and there's an adage that goes with that too. 
			- "curly"
	- October 19
		- <a href="https://www.youtube.com/watch?v=tmzEIJBGQfg">Writing</a> on my blog is more like Twitter than WordPress. 
		- I look forward to Dropbox Classic. A web-based way of accessing my Dropbox files without all the corporate groupware they've tried to layer on top of it. The clutter is getting epic. 
		- An algorithm for finding news bots on Twitter. Write a response to a political tweet that's getting a lot of flow. For each snarky one-line response from an account with 24 followers, block. Repeat.
		- Netflix or Blockbuster?
			- I am having a discussion with an old friend.
			- One of us says driving to Blockbuster back and forth to rent a DVD is more energy-efficient than watching the movie on Netflix.
			- Which do you think is more efficient?
			- <a href="https://twitter.com/davewiner/status/1185669897239646213">Here's</a> the Twitter survey.
		- Dropbox not working (for me)
			- Most of the time Dropbox works, but today, sometime just after 11AM Eastern, it got flaky and basically stopped working. Usually it's something I did, so I started checking things out. 
				- I have two accounts, neither is close to out of space. One is using 178.85 GB of 2.1 TB. The other is using 11.68 GB of 2 TB.
				- I thought perhaps my desktop computer wasn't synching. I tried creating a folder, and it took a very long time for it to show up in the dropbox.com file browser, but it did eventually show up. But it does not show up on the server it's intended for.
				- My desktop computer says it's been synching for a couple of hours. That's when I started looking. Maybe it was going on a lot longer. I don't know. 
				- The way I first experienced the outage is that updates to the app I'm working on stopped appearing on the server. Before that I was making changes, and they'd take the usual amount of time, a few seconds, to appear on the server.
				- I checked their <a href="https://status.dropbox.com/">status page</a>, and it says everything is good. I looked at the Dropbox support <a href="https://twitter.com/DropboxSupport">account</a> on Twitter, it says it's closed until Monday.
			- I'm kind of stuck. No idea what the problem is. Is it my problem? How can I tell. It doesn't seem like it, because if it were, all my desktop computers and servers would have to be experiencing the same problem. It could happen. But it doesn't seem likely.
		- Git-based code sync
			- Yesterday I posted a <a href="http://scripting.com/2019/10/18/145319.html">query</a> about using git for code distribution. This was a new idea for me. In the past I've done it lots of different ways.  
				- <a href="http://scripting.com/fatpages/about.html">Fat pages</a>.
				- RSS feeds, <a href="https://duckduckgo.com/?q=site%3Ascripting.com+codecasting&t=h_&ia=web">aka</a> <a href="http://scripting.com/stories/2007/02/16/whatIsCodecasting.html">codecasting</a>.
				- One-way sync with an S3 location.
			- They all work well and scale since they're static. I did one method that wasn't static, using XML-RPC. That method had problems as the installed base of Frontier grew. Static distribution is the way to go. 
			- As I waited for a response to the <a href="http://scripting.com/2019/10/18/145319.html">query</a> about folder-level sync with a git repository, I went ahead with the brute force method, which works as follows.
				- When it's time to sync, first we clone the whole repo into a temp folder. Then compare the destination folder with the sub-folder of the downloaded repo, copy the new or changed files. Then delete the temporary repo.
				- The assumption is that the repo is relatively small. We burn a bit of bandwidth and temporary disk space. And the job gets done. 
			- The overall system I'm working on will also support one-way sync with an S3 location and perhaps RSS-based delivery later. But right now having git-based distribution working, I can proceed. 
		- Breaking Bad finale
			- As with previous installments, this contains spoilers. 
			- I watched the last two episodes of Breaking Bad. 
			- I think I had only watched them once, when they first came out, but I remembered almost all of it. And it's amazing that so much happens in the last episode.
			- First I want to say that my <a href="http://scripting.com/2019/10/18/171521.html">previous report</a> is one of the sloppiest bits of writing and editing I've ever done. It's practically incoherent. Sorry.
			- The point was this, even though I hate Walter White, his humanity comes through, and his broken heart. Even more so in the finale. No one wants his money. His son wants him to die. He admits now he wasn't doing it for his family, he was doing it because he's good at making meth and being a crime boss, and he likes it. 
			- In the end he forgives Jesse. And he spends his last moments in Jesse's meth lab, and he's happy in the only way Walter White, having passed on the family business, ever was happy. 
			- Was it a great show? Yes. No reservations.
			- I got started on this exploration by watching the Breaking Bad movie that just came out. I was wondering if there was anything they could have done with two hours that would be respectful of the show. I haven't figured that out. I'll let you know if I do.
	- October 18
		- <a href="https://en.wikipedia.org/wiki/Nixon_goes_to_China">Nixon going to China</a> is a political story worth studying. Sometimes a moderate can be more progressive. The electorate is weird that way. 
		- I wish there were an Amy Klobuchar <a href="https://duckduckgo.com/?q=klobuchar+action+figure&t=h_&iax=images&ia=images">action figure</a>. It should be a requirement for a serious presidential candidate. BTW, "action figure" is an adult-acceptable term for "doll." I like them because they have white backgrounds and therefore look good in the right margin of my blog. I'd accept a nicely-cropped publicity photo, or a <a href="https://www.google.com/search?safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ACYBGNRAn_hn0qhFy73cHX9vwDBSGIcSmA:1571407618476&q=site:scripting.com+trump+head&tbm=isch&source=univ&sa=X&ved=2ahUKEwjy4ZXH_aXlAhWswFkKHaO6BpAQsAR6BAgJEAE&biw=1139&bih=1119">disembodied head</a> like the ones I use for Trump.
		- Just noticed GitHub has a <a href="http://scripting.com/images/2019/10/18/newGitHubHomePage.png">new</a> home page. A bit motivated by Twitter perhaps. I like where they're going. Can't stop to take a closer look right now, just thought it was worth a mention. 
		- <a href="http://scripting.com/2018/10/18.html">A year ago</a> I went digging around what remains of the <a href="http://bloggercon.scripting.com/">BloggerCon</a> website, <a href="http://this.how/bloggercon/">restoring</a> pieces like the <a href="http://scripting.com/archives/bloggerCon/I/participants/">participant list</a> and the <a href="http://this.how/bloggercon/#1539876200000">grids</a>. The first BloggerCon was 16 years ago, in 2003. It was the where the term <a href="http://bloggercon.scripting.com/iv/format.html">unconference</a> was coined. 
		- Would Brooks vote for Warren?
			- I always wonder why people disclaim that they don't like me before they point to something I've written as being relevant or important. So I won't tell you what I think of David Brooks. :boom: 
			- <a href="https://www.nytimes.com/2019/10/17/opinion/trump-warren-2020.html">His column</a> in today's NYT is worth reading. He asks if it's Trump v Warren, who he, a moderate Republican, will vote for. I'll save you the suspense, it's Warren. Good, Brooks has a soul and isn't an idiot. 
			- Four years of Warren, who imho likely will be as ineffective a president as Jimmy Carter, is way better than four years of the accelerated lunacy of Trump. The United States, seriously, would not survive that. I don't think we'll survive another 1.5 years, which is why impeachment and removal is an urgent matter. 
			- He says "If the party nominated one of those six, you really could see the Democrats gather progressives and moderates into an enduring majority coalition as the Republicans recede into old, white, rural obsolescence. You could see movement on a range of issues where large majorities are already stacked on one side: guns, climate change, reducing income inequality, expanding health coverage." 
			- I agree. A lot of change would be possible with a centrist Democrat in the presidency, they might even be possible with Warren. I like the progressive ideas, and I think our chance of progress is better if we elect a moderate in 2020. 
			- Like <a href="https://en.wikipedia.org/wiki/Nixon_goes_to_China">Nixon going to China</a>, something worth considering, a moderate Democrat could be more effectively progressive than Warren. 
		- Breaking Bad report
			- As with previous <a href="http://scripting.com/2019/10/16/192128.html">installments</a>, this contains spoilers. 
			- I got up to <a href="https://www.hollywoodreporter.com/live-feed/breaking-bad-5-shocking-quotes-629629">the</a> <a href="https://en.wikipedia.org/wiki/Ozymandias_(Breaking_Bad)">episode</a> where Hank dies. A very pivotal scene. Walt loses his money to the Nazis, of course Hank dies as does his friend Gomez. Walter White comes unglued. All logic says, based on previous Walter White choices, that Hank must die. The Nazi, Jack, knows it, Hank knows it. Hank, after hearing Walter offer the Jack $80 million to let Hank live, must have been touched, because his final words were: "You want me to beg? You're the smartest guy I ever met, and you're too stupid to see -- he made up his mind 10 minutes ago." It's a beautiful scene. And of course none of the events taking place wouldn't have happened if Walter weren't so blinded by his obsession with money, and his feelings about Jesse. 
			- I still hate Walter White, I guess I never doubted the depth of his character, he has a heart, and it's breaking now. 
		- Using git for code distribution
			- I'm working on a project using <a href="https://github.com/steveukx/git-js#readme">simple-git</a> in Node, and have what I think should be a simple application, not sure how to do it. 
				- I have a local called myAppFolder containing the source for an application. Various JavaScript files, a package.json, folders for user data and stats. 
				- A location on GitHub, a <a href="https://github.com/scripting/test2">repo</a> called test2 with a <a href="https://github.com/scripting/test2/tree/master/helloworld">folder</a> whose path is helloworld/ that is meant to have the most up to date version of the files from the location on GitHub. 
				- It's a one-way sync, from the server to the local folder. 
			- I have <a href="https://gist.github.com/scripting/397be0cf030bc3709eb73f3deb6f5912">code</a> that clones the repo, but that gets a copy of everything in the repo. 
			- I just need to keep up to date with one folder. 
			- Any help much appreciated.
			- PS: I opened this as an <a href="https://github.com/steveukx/git-js/issues/403">issue</a> on the simple-get repo. 
	- October 17
		- Suggestion: Choose to not be offended, at least once a day.
		- Yesterday was the 50th anniversary of the <a href="https://en.wikipedia.org/wiki/1969_World_Series">1969 Mets World Series</a> win. I was 14. Lived in <a href="https://www.google.com/maps/place/29-31+170th+St,+Flushing,+NY+11358/@40.769637,-73.7970707,17z/data=!3m1!4b1!4m5!3m4!1s0x89c28a80780e9c3b:0xa8668e9b256999a4!8m2!3d40.769637!4d-73.794882">Flushing</a>, mowed the lawns of <a href="https://duckduckgo.com/?q=site%3Ascripting.com+mets&t=h_&ia=web">Mets</a> players. Loved them when they lost, was rewarded for the trust. I’ve believed in miracles my whole life thanks to the example of the 1969 Mets. 
		- In 1995 I wrote a piece entitled <a href="http://scripting.com/davenet/1995/04/24/thebaseballgod.html#3">The Baseball God</a>. It was about two days. 1. The <a href="https://en.wikipedia.org/wiki/1969_World_Series#Game_5">day</a> the Mets won the World Series in 1969. 2. And the day of the <a href="https://en.wikipedia.org/wiki/1989_Loma_Prieta_earthquake">Loma Prieta quake</a>, when the Giants were playing the A's in the World Series in San Francisco. I only realize now, 24 years later, that they were just one day apart, October 17 in 1989, and October 16 in 1969 (I'm writing this on October 17, 2019). Is the Baseball God sending us a message?
		- <a href="https://github.com/scripting/Scripting-News/issues/136">New feature</a>: Infinite scrolling on Scripting News <a href="http://scripting.com/">home page</a>. There's now a <i>More</i> button at the bottom of the page, if you click it, you'll get another page from the Scripting News archive, going back as far as May 2017, when the current CMS came online. You can also vertically scroll past the end and it'll do it without you having to click the button. It's a little tricky because there's so much text at the bottom.
		- <a href="https://twitter.com/joshtpm/status/1184854772463161344">Inspiring Nancy Pelosi speech</a>. All roads lead to Putin. 
		- I gave $25 to Amy Klobuchar today.    
		- I bet there's a <a href="https://www.youtube.com/watch?v=rs6zY-ijaQE">Nancy Pelosi skit</a> on SNL this week.
		- If it ever happens that browsers refuse to browse <a href="http://this.how/googleAndHttp/">HTTP</a> sites, it's going to create a huge outage. Think about <a href="https://www.vice.com/en_us/article/8xwe9p/yahoo-groups-is-winding-down-and-all-content-will-be-permanently-removed">Yahoo Groups shutting</a> down in December and all the history that will go offline as a result. The web is huge, deep and <a href="http://scripting.com/autowebdocs/whatisautoweb_119.html">old</a>. No platform has existed without breakage as long as the web. 
		- The web is like one of the big <a href="https://en.wikipedia.org/wiki/Live_oak">live oak</a> trees in my yard in my old <a href="https://www.google.com/maps/place/425+Manzanita+Way,+Woodside,+CA+94062/@37.419135,-122.2471517,17z/data=!3m1!4b1!4m5!3m4!1s0x808fa438d2e58d87:0x6c0dbc392cc6bf79!8m2!3d37.419135!4d-122.244963">Woodside, CA</a> house. Soaking in the hot tub, I would say to the nearby tree "I own you." It just laughs. If the tree could speak it would say: "I was here long before you, and I'll be here when you're gone." It's true, I sold the house in 2003. The house has been torn down, but the live oak trees are still there. That's the web. It's deep and broad. Try to break it, you might as well try to boil the ocean. 
		- On tech mail lists for standards people with no power debate what they’re going to force millions of people they don’t know to do. For some reason mail lists make otherwise normal people behave like megalomaniacs.
		- Trump is still the guy who led the birther conspiracy, except now he has the power to abandon US allies on a whim. Why are people surprised when a spoiled rich kid whose <a href="https://en.wikipedia.org/wiki/Fred_Trump">dad</a> was KKK is still that.
		- I had a <a href="http://scripting.com/2019/09/25.html#a135230">bike accident</a> a little over 3 weeks ago. Broke a rib, am <a href="https://www.youtube.com/watch?v=EGlo9LzmOME">getting</a> over it. It takes a long time for a rib to heal. This is the second time I've had the rib-breaking kind of bike accident. Last time I broke multiple ribs on both sides. This time it was only one rib but it really broke. I thought for a while I'd have to get surgery to repair it, but it's fixing itself. Makes breathing hard and sleep comes in spurts, I haven't slept through the night since it happened. 
	- October 16
		- I had a theory that <a href="https://twitter.com/axios/status/1184546297191260164">Lindsey Graham</a> was becoming Trump's little buddy so he could be the Goldwater to Trump's Nixon, when the time came. 
		- We keep coming back to <a href="https://www.youtube.com/watch?v=DG0ch202prY">this scene</a> from The West Wing.  "You guys are worried about drowning, it's the fall that's gonna kill you."
		- Here's a radical idea. How about a Democratic presidential candidate who runs as a conservative. That would blow a lot of minds imho. Here's the deal. Restore the American Revolution and the Constitution. Fix bugs in Obamacare, prepare for a national debate on further healthcare reform, to be discussed without a gun to our heads. Repeal the tax cuts passed by Republicans, they were an obvious corrupt act. Have to do something to punish the Repubs for Merrick Garland. Create a new foundation for respectful discourse in America. It's time for some honor and self-respect, America. You've been acting like a spoiled rich kid.
		- I want Obama to run again. <a href="https://twitter.com/davewiner/status/1184481434435801089">This Obama</a>. 
		- President spoiled rich kid
			- As we all know President Trump is a spoiled rich kid.
			- Spoiled in the worst way. 
			- So our government is that of a spoiled rich kid.
			- The previous Repub president was also a spoiled rich kid, only diff is he discovered Christ and corporate graft. 
			- Trump went straight to the mob.
		- Breaking Bad overview
			- <i>Spoiler alert for everything. Sorry. I should really put this piece on <a href="http://spoilers.io/">spoilers.io</a>, if it only existed.</i>
			- I'm on episode 8 of the final season of Breaking Bad, and I can now tell you why I cringe when people say it's the best TV show ever. I couldn't have said exactly why before. 
			- I like all kinds of crime stories. I like Goodfellas and Pulp Fiction. The Godfather is the best movie ever made. The Maltese Falcon. The Departed. I love them all, and they all have one thing in common. The lead character is sympathetic. Tony Soproano is the mob boss who is seeing a shrink and has a neurotic wife whose approval he desperately wants. He's sympathetic. Would Succession be as good if Logan Roy wasn't proud of his son for being so awful? :boom:
			- But Breaking Bad? I absolutely hate Walter White. Every episode provides new reasons to hate him. That's the central idea of the show. How hateable can we make Walter White? I hate that so many sympathetic people die before he goes. Gus Fring was sympathetic. Mike Ehrmentraut. I forget all the characters who die (I'm going to re-discover them now). All his adversaries are sympathetic. But he's an absolute worst piece of shit he could possibly be <i>and the show is all about him. </i>
			- One more thing. I'm a huge fan of Bojack Horseman. And his sidekick, like Gilligan to the Skipper, like Sgt Schultz to Col Klink, is <a href="https://bojackhorseman.fandom.com/wiki/Todd_Chavez">Todd Chavez</a>. Who is played by Aaron Paul who plays Jesse Pinkman on Breaking Bad. And this time around, I hear Todd's voice when Jesse speaks. It's funny! Of course there's more overt satire in Bojack, even though I'm sure the Breaking Bad writers meant it to be funny in a hateful way. 
			- So I admire Breaking Bad. I am in awe of it, everything about it. But I also hate it because I have to focus on a character who I thoroughly despise. 
	- October 15
		- I foresee a day when we'll have writing collectives on the web. Small groups of people striving for excellence in thought and expression, as a collection. I already know two people I'd like to write with. 
		- When the Democrats debate tonight, I hope they remember there are people listening. Try to make us see how things would be different and better if you were president. I really don't care if you can show one of your rivals to be wrong. 
		- <a href="https://github.com/scripting/Scripting-News/issues/134">Braintrust query</a>: Have you used managed databases on Digital Ocean? If so, are you pleased with the results?
		- <a href="http://this.how/littleoutliner/">Little Outliner is</a> an easy to learn, entry-level outliner that runs in a web browser. It's written in JavaScript.
		- I come from a time when there was no advertising in software. Perhaps that's why I think <a href="http://scripting.com/2019/10/14/133802.html">this way</a>?
		- A new <a href="https://hudsonvalleyone.com/2019/10/09/new-11-5-mile-ashokan-rail-trail-promises-great-fall-foliage-views/">11.5 mile rail trail</a> is <a href="https://ulstercountyny.gov/sites/default/files/documents/planning/20161201%20Ashokan%20Rail%20Trail-%20%20Public%20Information%20Meeting%20FINAL%20without%20videos.pdf">opening</a> in the area on Friday. 
		- <a href="https://www.youtube.com/watch?v=56IMsJ_-uIc">Francis Ford Coppola</a> on Ari Melber last night. I'd love to hear FFC talk for hours about whatever he wants to talk about. 
		- Navigating the archive
			- A reader asks how to find posts from previous months. I explained.
				- I've used a lot of different content management systems over the years, so the archives work differently. 
				- For example, this is the archive page for September of 2018.
					- <a href="http://scripting.com/2018/09/">http://scripting.com/2018/09/</a>
				- Some are in this form, for example July 2012.
					- <a href="http://scripting.com/2012/07.html">http://scripting.com/2012/07.html</a>
				- For most months it's one or the other.
	- October 14
		- I figured out why the <a href="http://scripting.com/2019/10/12/122844.html">Breaking Bad movie</a> is so unsatisfying. I watched it, I liked it, but it didn't get me excited and interested like the series did. I decided to re-watch the last season to see what the difference was. There are many great things about the show. The use of music, the weird camera shots that are integrated with the plot. It's artistically ecelectic in so many ways. But it's also <i>slow. </i>Things develop very very slowly. But there's no space in a 2-hour single-episode show to develop the puzzling intrigue of the series. No time to spread out, relax, take your time, go slow. So not much happens, and then it's over. It's not really Breaking Bad, it's a 2-hour movie with the characters of Breaking Bad. That was the same problem with the <a href="https://en.wikipedia.org/wiki/Deadwood:_The_Movie">Deadwood movie</a>. The only thing that could work is another 10-episode season, played out over 10 weeks.  
		- And Succession. It had one of the all-time great season finales last night. No spoilers here, except to point to a <a href="https://www.youtube.com/watch?v=fJ9E1eBLqWc">video</a> that HBO produced that summarizes the deliciousness of the end, do not watch it if you haven't seen the whole season. It really would spoil it.  
		- Customized searching
			- I've been emailing with my old friend <a href="http://scripting.com/davenet/stories/IntroducingDaveCarlick.html">Dave Carlick</a> about customized searching. I've also been <a href="http://scripting.com/2019/10/09/143957.html">writing</a> about it here. I'm not sure I've made my point, but now I have an excellent example that might shed some light. Dave, take note.
				- I just searched Google for <a href="https://www.google.com/search?q=" old+school""="">Old School</a>.
				- It came back with pointers to a 2003 <a href="https://en.wikipedia.org/wiki/Old_School_(film)">movie</a>. A Facebook <a href="https://www.facebook.com/OldSchoolMovie/">group</a>. A <a href="https://www.merriam-webster.com/dictionary/old-school">dictionary</a> definition. The <a href="https://www.urbandictionary.com/define.php?term=old%20school">urban dictionary</a> version. And on and on.
				- But I have a product named <a href="https://github.com/scripting/oldSchoolBlog">Old School</a>. I've written about it on my blog a <a href="https://www.google.com/search?q=site%3Ascripting.com+" old+school""="">bunch</a> of times. If Google knew I was the author of this blog, it would also know that when I search for Old School, I want to see my product first, because in all likelihood that's what I'm looking for. 
			- That's what I mean about associating the searcher with the searcher's blog. Think of it as SEO for a person. 
			- PS: Here's another one. I just searched for Dave Carlick. Google asks if I <a href="http://scripting.com/images/2019/10/14/didIMeanCarlock.png">meant</a> Dave Carlock. That's crazy. I've been friends with Dave Carlick for 30-plus years. If it read my blog it would know that. It's so wrong. In fact, if I type Carlock it should know I meant Carlick. 
			- PPS: Google is so crazy that when I <a href="https://www.google.com/search?q=Dave+Carlick+site%3Ascripting.com&rlz=1C5CHFA_enUS743US747&oq=Dave+Carlick+site%3Ascripting.com&aqs=chrome..69i57j69i64l2.1191j0j4&sourceid=chrome&ie=UTF-8">restict the search</a> to my site, it still asks if I meant Carlock, even though there are references to Carlick <i>on the site I'm searching</i> going back to the <a href="http://scripting.com/davenet/stories/IntroducingDaveCarlick.html">1990s</a>. And the only refs to <a href="https://www.google.com/search?safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ACYBGNTwZ7Hn9FWhmqTjXuOfyD9HmpV29Q:1571062782317&q=Dave+Carlock+site:scripting.com&spell=1&sa=X&ved=0ahUKEwif6Lz4-JvlAhXlmeAKHQcNByEQBQguKAA&biw=1390&bih=1182">Carlock</a> are this post. That is just plain wrong. 
		- Stories on GitHub
			- Over the weekend I tried out an idea. It's a little Node app that runs on the same server as the <a href="https://github.com/scripting/oldSchoolBlog">CMS</a> that builds this blog. Every minute it looks at today's posts, for those that have titles (like the post your'e reading now), it checks if it changed, and if so it renders it as Markdown and uploads it to GitHub in a <a href="https://github.com/scripting/Scripting-News/tree/master/blog/stories/">calendar-based structure</a>, along-side all the other <a href="https://github.com/scripting/Scripting-News/tree/master/blog">parts</a> of the blog I maintain automatically on GitHub.  I like using GitHub this way, I have a feeling it'd make a good shared object database.
			- I've been hand-generating links to the GitHub version to get you all thinking about this idea, like this. 
				- <i>As an experiment this story is archived <a href="https://github.com/scripting/Scripting-News/blob/master/blog/stories/2019/10/14/a130849.md">on GitHub</a>.</i>
			- I did this based on an assumption that I would be able to figure out a way to make it possible for any of my posts to become a sub-project on GitHub. I'm not saying any of them <i>would</i> become projects, only now it would be possible. I thought this might work well with the new <a href="http://scripting.com/email/">email distribution system</a> which has stimulated so much discussion. 
			- I'm not sure how this is going to work, or if it will work, I'm just trying an idea out. :rocket:
	- October 13
		- A very nice <a href="https://www.theguardian.com/commentisfree/2019/oct/12/blogging-twenty-five-years-old-all-grown-up">piece</a> about the 25th anniversary of blogging from John Naughton at the Guardian. 
		- OMG the Succession theme song <a href="https://twitter.com/electrolemon/status/1182047291084959744">has lyrics</a>. Who knew! 
		- Pro tip for podcasters. In your RSS feed, each &lt;item> should set the &lt;link> element to point at the landing page for the episode. Otherwise the only way to share your podcast is with a link to the MP3 which isn't good for you or them. You can see dozens of these items in my <a href="https://twitter.com/podc/">podc</a> account on Twitter. 
		- A lot of other people, including Republicans, have <a href="https://www.washingtonpost.com/politics/warrens-same-sex-marriage-quip-captures-what-some-find-exciting--and-others-distressing--about-her/2019/10/11/f3e15a14-ec34-11e9-85c0-85a098e47b37_story.html?fbclid=IwAR0XG4_2Vt6Oi6JRsYbLTTwo2dQAy2HgtaGu_UN4UYzo4h-VbbJ7qfAxYmk">picked up</a> on Elizabeth Warren's unfortunate <a href="http://scripting.com/2019/10/12.html#a125744">putdown</a> of people who think that marriage is between one woman and one man. We have to have a serious talk about this, because it reveals a side of Warren that is divisive and unacceptable. I'm sick of electing presidents who divide us into evil and not-evil. It's <i>the</i> sickness of our country. Honestly I don't care about marriage, anyone's marriage. I think marriage is an awful institution. It wrecked the family I grew up in. So no one has the high ground here as far as I'm concerned. And while I think Warren is the best candidate we have now, I think she needs to do some soul searching on this. If she is elected, it would be tragic if she does the same kind of BS that the Republicans do, and tries to make some Americans outcasts. After all, the question she was asked was about other people's <i>beliefs, </i>not their actions. And as president, her job would be to safeguard their rights, along with those of people she agrees with. As faculty at Harvard Law School I would think she would be steeped in that understanding, that it would run in her blood. The Constitution isn't just for people we agree with. 
		- A perfect example of what's wrong with everything public. A senator feels a constituent who asks obvious questions is being rude. So he asked the questions again in a <a href="http://scripting.com/images/2019/10/13/fullPageAd.png">full page ad</a> which was published on <a href="https://twitter.com/JCTheResistance/status/1183571457030254600">Twitter</a>. We have the tools to create the political system we want. 
		- I saw a casual comment somewhere (sorry I forgot where) that creating and editing a template in Wordpress still requires PHP skills. I wondered if this was true. Editing a site template should be a matter of editing HTML only. It can and should be easy. (<a href="https://twitter.com/davewiner/status/1183301234045964288">Update</a>: Apparently it <i>is</i> still that hard.)
		- Here's the <a href="http://scripting.com/2019/10/12/yovanovitchStatement.pdf">Yovanovich statement</a>, not behind a paywall, free to download.
		- You know how we worried what would happen when Trump's incompetence resulted in an international disaster. I think we've arrived at that point with the Turks and the Kurds.
		- I had a dream last night I was forming a new tech startup with Eric Schmidt, former CEO of Google. At one point I explained to a government clerk that Schmidt is a billionaire so it seems likely we’ll get funded. She was saying maybe we should recruit a better CEO and CTO.
		- Politics has a long way to go
			- If I put the name of a company in a tweet with a problem with their product, in 2019 there's a pretty good chance a support rep will respond and try to help. The quality of the help varies, but they do try.
			- But in all the years I've been blogging, or tweeting, or whatever, the only response I've gotten from a political campaign was to add me to their donor list.
			- It happened with Obama, Hillary Clinton.  It was really humiliating because in both cases, I passionately wanted them to win, but not just the way Obama did, rather in a way that would lead to effective permanent organization of the electorate using networks. Every emailed request for money reminded me of what they thought of me. Give us money. Give us money. And give us money. 
			- So far Warren has just ignored what I've <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22Elizabeth+Warren%22&t=h_&ia=web">said</a>, even though imho it's been good advice. I think <a href="http://scripting.com/2019/10/13.html#a135827">today's piece</a>, especially, is make-or-break for her campaign. To be doing so well up to this point and have the problem show up this early, is scary. I'm not sure that even if she wins, it'll be any better than Trump. That's how serious it is. 
			- Politics is like public radio. They say they're doing it for the people but in the end what they want is donations. At some point we'll have a campaign that embraces the people, and learns how to use networks to organize us. But it hasn't happened yet. 
			- <i>As an experiment this story is archived <a href="https://github.com/scripting/Scripting-News/blob/master/blog/stories/2019/10/13/a150753.md">on GitHub</a>.</i>
		- It's Trump v the Constitution
			- News reports everything as Democrats vs Republicans. This makes me angry, because some things, like the president ignoring the Constitution, are not partisan issues. Yes, the Democrats are on the right side of this one, but so are honorable Republicans. 
			- I used to call for tech boot camps for reporters, to help them get the basic facts right, and avoiding But Her Emails type tragedies. It seems they need legal boot camps too, so they can understand (and report) better on how our constitutional government works. 
			- <i>As an experiment this story is archived <a href="https://github.com/scripting/Scripting-News/blob/master/blog/stories/2019/10/13/a134309.md">on GitHub</a>. </i>
	- October 12
		- I didn’t like Elizabeth Warren's <a href="https://www.theguardian.com/us-news/2019/oct/11/elizabeth-warren-deadpan-quip-in-lgbt-debate-wins-plaudits">bit about marriage</a>, even though I agree with the idea behind it, I don’t think presidents can put down people like that and not have it blow back on them, and us. Remember Obama’s <a href="https://www.youtube.com/watch?v=k8TwRmX6zs4">roast</a> of Trump. I felt the same way about that. It was both funny and infuriating. And the <a href="https://en.wikipedia.org/wiki/Blowback">blowback</a> has been epic. 
		- New header graphic, <a href="http://scripting.com/images/2019/10/12/autumn.png">autumn</a> in the mountains. Previous was a <a href="http://scripting.com/images/2019/08/21/kingKong.png">scene</a> from King Kong. 
		- Status of State and Justice
			- Not only can Barr and Pompeo be impeached, they can also be indicted, tried, convicted and imprisoned. It has happened before to Nixon's Attorney General, <a href="https://en.wikipedia.org/wiki/John_N._Mitchell#Watergate_scandal">John Mitchell</a>.
			- It's worth noting this because they know it too. 
			- Both are doubling-down on the obstruction. 
			- And they have a lot of power. 
			- However the <a href="https://www.vox.com/policy-and-politics/2019/10/10/20908731/rudy-giuliani-investigation-parnas-fruman">SDNY investigation</a> of Giuliani says Barr isn't in complete control of DoJ yet. 
			- And people from State are giving public testimony.
		- Running Unix apps in background
			- For an application I'm developing I need to run it in the background, yet easily stop and relaunch it. So this is what I do. 
				- At the command line type <i>nohup node app.js &</i> and press Return. 
				- You can see the output of the app by pressing Ctl-C then <i>tail -f nohup.out</i>. It creates this file in the directory the app was run from.  
				- To kill the node process and any other node processes it might have launched, enter <i>killall -i node</i>. The -i flag means that it will confirm before killing each process.  
			- I put these notes in my blog so I can find them again, easily, and don't have to figure it out ever time. Also so people who know more than I do about this topic can tell me better ways to do this. :orange:
			- <i>As an experiment, I'm mirroring this post over <a href="https://github.com/scripting/Scripting-News/blob/master/blog/stories/2019/10/12/a140257.md">on GitHub</a>.</i>
		- El Camino was unnecessary
			- Of course I watched <a href="https://www.metacritic.com/movie/el-camino-a-breaking-bad-movie">El Camino</a>, the new Breaking Bad movie on <a href="https://www.netflix.com/title/81078819">Netflix</a>. It wasn't really a movie or an episode of Breaking Bad. It was more like a few scenes from a Breaking Bad episode with brief appearances by many of the characters from the series, looking much older than they did at the end of the last episode (which aired six years ago).   
			- It was a lot like the <a href="https://www.metacritic.com/tv/deadwood-the-movie">Deadwood movie</a>, a series that was cut short and should have been allowed to finish. The real <a href="https://en.wikipedia.org/wiki/Deadwood,_South_Dakota#19th_century">town</a> of Deadwood had a climax that was never part of the TV series. The movie was basically plotless, it was a series of cameos by the stars of the original series, the actors looking much older, in some cases not recognizable, saying a few things, not to be seen again. For a show that had such gravitas, was so daring and unprecedented, it was a kind of humiliation. Yet it got good reviews. I don't understand why.
			- Spoiler alert -- yes there are spoilers below. 
			- Nothing much happens in El Camino. As we know from the end of the series, the protagonist, Jesse Pinkman, survives and escapes. He hooks up with his old friends, remembers some scenes from the past, has to solve a problem, kills a few people and rides off into the sunset. 
			- Okay it was fun to watch, but I hoped for much more. If you loved Breaking Bad as I did, you should watch it. But all this show does, imho, is set the stage for yet another pointless encore. There's a lot to be said for an edgy show like Breaking Bad leaving you at the edge without telling you what happens next.  
	- October 11
		- We're righteously upset about the Chinese government interfering with the NBA and speech in the US. But what about the NFL? They're here at home, and are punishing <a href="https://en.wikipedia.org/wiki/Colin_Kaepernick">Colin Kaepernick</a>, and his fans, for speech. Football is a luxury, it's optional. Would you give up a week of NFL games to support Kaepernick?
		- Amazon Fire Cube :-1: 
			- I was <a href="http://scripting.com/2019/10/08.html#a135920">excited</a> to get the <a href="https://www.amazon.com/gp/product/B07KGVB6D6/ref=ppx_yo_dt_b_asin_title_o02_s00?ie=UTF8&psc=1">Fire Cube</a>, but after a short installation and exploration, I realized it was nowhere near as good as it has to be to earn a place in my living room. I'm going to return it and instead buy a current Apple TV. I'll report on that later. 
			- Re the Cube, it has to compete with the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+roku&t=h_&ia=web">Roku</a> user interface that's <a href="http://scripting.com/2019/04/17/144031.html">baked into</a> my TCL screen. It clearly has this ambition, when it sets itself up, it remarkably figures out how to turn on and off the TV and my Onkyo receiver. I think this is a combination of better standards and testing. Impressive. 
			- But when their desktop appears, it's a confusing mess, and in every way assumes what you want is Amazon Prime Video, even though it has Netflix and other apps. They clearly are biased. Understandable, but not functional. I come to them from a world where they don't control me, so it's a turnoff. I'm just as likely to watch something on HBO Go or Netflix as on Prime. Their desktop should be more agnostic. It's okay to put your app first in the list, but really that's as far as it should go.
			- I wanted to see if the Spectrum app for Fire worked better than the Roku one, but I couldn't figure out through their app store interface how to search for an app by name. That's ridiculous. They understand the importance of search in other places, but not here? I couldn't figure out which class of app a cable provider would fall under. 
			- Then I tried the Alexa functionality. It's weird that it must have talked to the other two Alexas in my house to figure out how to connect over my wifi. I never had to enter a password. This spooked me. This Alexa works differently and it's hard of hearing! I couldn't figure out how to get it to stop without unplugging it. 
			- I think they must have special problems with an environment where other speakers are present, but they weren't making any sound when I was trying to communicate with it. And the Alexa in the kitchen sometimes heard and responded to my queries, so it's pretty clear that having two Alexas in adjacent rooms isn't going to work. 
			- I then went back to Roku's desktop and breathed a sigh of relief, and decided the Fire Cube sucks. I don't want it. 
		- Blogs are little things
			- I've had a long-term problem with comments on "Scripting News". If I have open comments then I have to moderate them. It helps to have clearly published <a href="http://guidelines.scripting.com/">guidelines</a>, which I do, that eliminates most of the emotional reactions, but some still get through, and people can hold grudges for a long time. I don't like editing other people. I already do more of this kind of work than I want to. My goal is to get rid of all of it. 
			- When I first started out I had a pretty optimal system. The posts went out via email to small groups of subscribers. You could respond, and I would see your response and so would the others in your group. Sometimes interesting discussions would take place. For some reason very little flaming. I lurked. When someone wrote a piece I thought should get on the record, I'd forward it to an email address that was monitored by a script I wrote, which would then add it to the current <a href="http://scripting.com/mail/default.html">mail page</a>. It wouldn't publish until I had a chance to hand-edit the text. It was work, and I remember not liking it, but there were some real classics among the mail page posts, so I did the work, for a couple of years. 
			- I could re-implement the Mail Pages, but it's not something I want to do, and it would be harder today, given the way email worked then and now. It's gotten more complex. I also had a scriptable email app, <a href="https://en.wikipedia.org/wiki/Eudora_(email_client)">Eurdora</a>, so I was able to write the whole thing in "Frontier" which was really good at driving scriptable Mac apps. 
			- Okay so now here we are in 2019, and I have an excellent use-case. I wrote a short <a href="http://scripting.com/2019/10/08.html#a140651">piece</a> about Medicare, asking for input, and have gotten back some wonderful responses. One in particular was beautifully written, long, detailed and obviously based on a lot of experience. As I read such an email I ache a little. "This should be on the web," I think to myself. Finally when I get to the end I respond with praise, and a request that they post it to their blog. I put it that way because 1. maybe they have a blog or 2. maybe this will get them to start one. But the most likely response is a story about how they have a blog, but haven't posted to it in a long time and they feel guilty, so presumably they don't want to go there for some reason? I don't really get it, because I know what a blog is, behind the scenes. It isn't a place. It's just a few files on a server, very small files, and a few database entries perhaps. The reason companies like Automattic and Google host blogs for free is that's how much it costs to host one a blog. It really is of no consequence.
			- You imagine that your blog is lonely and angry that you're not visiting, but that's  purely a figment of your imagination. The blog doesn't exist in any <a href="http://thesaurus.land/?word=corporeal">corporeal</a> sense. It has no thoughts or feelings. I doesn't give a shit if you live or die, because it doesn't have an ego, it doesn't care about <i>anything. </i>
			- Think of creating a blog as you would think of writing on a page in a notepad. Or scribbling on the back of an envelope and handing it to someone. It takes two minutes at most to create a blog at <a href="https://wordpress.com/create-blog/">wordpress.com</a>. And from then on, you have a "place" to post emails you that are post-worthy (I will tell you if they are). Then you can send me a link and I can put it on my linkblog page, and send it to my Twitter followers, and people who read me on RSS, and in the nightly email. It might be more flow than you'd get from posting it on Medium, for example. And if I asked you to post it, that's almost a guarantee that I will circulate the link.
			- I have created lots of one-off blogs and I'd do it again in a heartbeat, esp if it meant we could make the world a better place, or at least more informed. 
	- October 10
		- <a href="http://scripting.com/images/2019/10/10/meNext.png">This</a> is what "America First" really means.
		- Should we think of Twitter as part of the open web for the purpose of linking? I ask because I found that something I pointed to, and embedded in my blog, that I felt was historic, was on an account that Twitter suspended. The tweet was no longer available. I understand why Twitter needs to suspend accounts, but do they have to get rid of all the previous posts? Does Twitter care about the web? Do they want to be part of it?
		- I never liked the term "pioneer" because it doesn't imply an ongoing contribution. I've settled on "founder," the term we use for people like Bill Gates and Mark Zuckerberg. It's a term of greater respect, imho. I'm not finished contributing, that's why I care. :boom: 
		- Former White House national security adviser <a href="https://www.axios.com/hr-mcmaster-trump-ukraine-election-interference-563335a9-070b-497c-b2e0-bc25dafba632.html">H.R. McMaster said</a> it’s not appropriate for Trump to solicit foreign election interference, but that it’s up to the American people to decide whether he did so with Ukraine. That seems fair to me. I vote yes, he did. 
		- I had to do a lot of driving today and listened to two Daily podcasts back to back, which should be listened to together, imho. The first was a <a href="https://www.nytimes.com/2019/10/10/podcasts/the-daily/impeachment-inquiry-democrats-republicans-kavanaugh.html">profile</a> of the Republican strategist who managed the Kavanaugh confirmation and who is now leading the impeachment defense for Repubs. It was infuriating, esp the way the Times reported it. In the second podcast they <a href="https://www.nytimes.com/2019/10/09/podcasts/the-daily/house-democrats-elissa-slotkin.html">followed</a> one of the pivotal Democratic reps, from Michigan, as she met with constituents at two town halls. The hot topic was impeachment. What was so fascinating is that you can hear, quite clearly, the result of the propoganda from the subject of the first podcast that is <s>informing</s> enraging the anti-impeachment voters. The rep was admirable, made me proud to be an American, a contrast to the first, who made me feel there's no hope for our country. 
		- NPR did it again. They repeated Trump's claim that the Kurds didn't help in World War II as if it were news, but it's not true.
		- I'm learning a lot about Medicare, and I'm beginning to realize that like everything that's a product of the US government, it's a corrupt ratfucking motherfucking fucker. :poop:
	- October 9
		- When the Repubs say that impeachment is just a way to undo the 2016 election, they overlook the 2018 election, which was most definitely an attempt, by the voters, to undo the mistake of 2016. The only reason the House can contemplate impeaching Trump is that there is a Democratic majority. That happened in 2018.  
		- Maybe old <a href="https://www.politico.com/news/2019/10/09/syria-backlash-trump-042654">Lindsey Graham</a> was playing a funny game, becoming Trump's little buddy, visibly, so when the time came to kick Trump under the bus he could play the Barry Goldwater role. 
		- I just re-read George Orwell's <a href="https://en.wikipedia.org/wiki/Animal_Farm">Animal Farm</a>. I had read it when I was in grade school. It's worth reading again in the age of Trump, because he's using the propoganda techniques of Animal Farm.
		- <a href="https://twitter.com/cheriechancy/status/1180463878775410693">Tutorial</a> for the latest protest hairstyle in Hong Kong. 
		- I hadn't thought about the <a href="https://twitter.com/TomoNewsUS/status/1181920356920987648">implications</a> of the <a href="https://en.wikipedia.org/wiki/Brooklyn_Nets">Brooklyn Nets</a> being owned by a <a href="https://en.wikipedia.org/wiki/Joseph_Tsai">co-founder</a> of Alibaba who has to get along with the Chinese government more than most NBA owners. I wonder how <a href="https://en.wikipedia.org/wiki/Kevin_Durant">KD</a> and <a href="https://en.wikipedia.org/wiki/Kyrie_Irving">Kyrie</a> will feel about that. 
		- If you love <a href="https://duckduckgo.com/?q=site%3Ascripting.com+sucession&t=h_&ia=web">Succession</a> and are all caught up, I highly recommend going back and watching season 1 again. So much of what happens and what's said went over my head the first time. And there are forward references you couldn't have caught the first time through. Watch it with captioning on, that helps too.  Also it's a comedy with the skeleton of a tragedy. I found myself laughing out loud at times as if it were <a href="https://www.youtube.com/watch?v=4qvXvDfGnh8">Monty Python</a>. :laughing: 
		- Rambling about search
			- I wonder if anyone has Wikipedia as their default search page. It just occurred to me, with Google searches getting more cluttered with garbage all the time, if Wikipedia might not be a better choice. 
			- For example, here's a <a href="https://www.google.com/search?q=Brooklyn+Nets">Google search</a> for Brooklyn Nets, and here's the <a href="https://en.wikipedia.org/wiki/Brooklyn_Nets">Wikipedia page</a>. Which gets you a better set of links to topics related to the team? I guess the problem is there are no <a href="https://www.google.com/search?q=Brooklyn+Nets&safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ACYBGNSE5Kh8llhcwE0qiVXY-kOCFflhgA:1570632411345&source=lnms&tbm=nws&sa=X&ved=0ahUKEwiur83XtY_lAhUFmeAKHQe_CtEQ_AUIEigB&biw=1491&bih=1044">news</a>, <a href="https://www.google.com/search?q=Brooklyn+Nets&safe=off&rlz=1C5CHFA_enUS743US747&tbm=vid&sxsrf=ACYBGNSvPhpiJUug7r-OEOCG7s8v5pJzsw:1570632442181&source=lnms&sa=X&ved=0ahUKEwiPu6fmtY_lAhXNVt8KHQpyDXIQ_AUIDSgE&biw=1491&bih=1044&dpr=2">video</a> or <a href="https://www.google.com/search?q=Brooklyn+Nets&safe=off&rlz=1C5CHFA_enUS743US747&tbm=isch&sxsrf=ACYBGNQaQdHDQ3rbD6fMW6sKZug8sLNgnQ:1570632455181&source=lnms&sa=X&ved=0ahUKEwjO6cDstY_lAhUonuAKHdc5DiwQ_AUICygC&biw=1491&bih=1044&dpr=2">images</a> options on Wikipedia.
			- I probably should just start using <a href="https://duckduckgo.com/?q=Brooklyn+Nets&t=hk&ia=news">DuckDuckGo</a>. It's very similar to Google, but not as insane, and they claim to not share your search habits with any other companies. 
			- You know what would really get me to switch? Customization. If I could tell it where my blog is, so it will default to showing me what I had written about a topic at the top of the search, or offer a tab that allowed me to quickly review my own writing. I could see that changing the nature of everything I do on the web, it would also be an incentive to people to leave the silos. 
			- I'd also like a pref that lets me ask it to always show me the Wikipedia page first. Other people might prefer a Twitter account first, or news about the topic. Google makes all these choices for you. But I'm a sentient user, I was using computers for decades before Google even existed. I know how to program, and yet, I can't use that skill on the most extensive information source ever produced by humans -- the web. 
	- October 8
		- Welcome to the 26th year of Scripting News. 
		- I ordered a new <a href="https://www.amazon.com/gp/product/B07KGVB6D6/ref=ppx_yo_dt_b_asin_title_o02_s00?ie=UTF8&psc=1">Amazon Fire Cube</a>. I have a relatively old Apple TV, and was looking to upgrade because of a problem I'm having with the Roku version of the Spectrum app. I'm 99% sure the problem is with Spectrum, whose support people point the finger at Roku, which I think is BS. I considered buying a new Apple TV, but I've been using Alexa more and  more, and I find I miss it on my TV-watching system in the living room. This tells you something about how Amazon is moving to dominate TV. People think Trump is the new boss, but I'm pretty sure it's Bezos. Imagine if they bought Roku, which is the OS of my TCL television. Imagine if the OS goes down another level and takes Spectrum out of the software-development business (and I assume Verizon et al) which would be a blessing. They really don't do this very well. The wild card, the one company that could redefine news is Twitter, as I wrote <a href="http://scripting.com/2019/10/07/165641.html">yesterday</a>. I wonder if anyone in the future-of-news world has comments? 
		- A long <a href="https://news.ycombinator.com/item?id=21178885#21179244">thread</a> on Hacker News about yesterday's anniversary. One commenter said "I feel bad for Dave. He was so early to the table on so many occasions yet he was left behind and never really made it big monetarily. He is the definition of missing the boat." I replied "Please don't feel bad. I was never trying to make a lot of money from the web. I had lots of opportunities to sell out. I did that once, in the 80s, and that has funded my creative work ever since. Money isn't that useful, I learned, pretty early-on. Here's a <a href="http://scripting.com/2016/05/31/1296.html">piece</a> I wrote about that recently." I'd add that I <i>was</i> disappointed that when the VCs started RSS companies and then podcast companies, they did it with other people, with imho predictably bad results. That was disappointing, but what the hell, no one made any money from those things, and I get to enjoy the podcasts and feeds as much as anyone. And for that I'm grateful. I also wish people like Zuckerberg cared more about the ecosystem, but he and I look at the world differently. 
		- I started "Scripting News" in 1994, which I'm sure if you read this blog, you now know and wish I'd stop mentioning. Heh. One more time. I was 39 years old then, an age that to me now seems impossibly young, but to me at the time, felt really <i>really</i> old. I'm 25 years older now, 64, and in the US a lot of shit happens at 65, most important to me, <a href="https://duckduckgo.com/?q=Medicare&t=hz&ia=web">Medicare</a>. Apparently at that point, the cost of my health insurance will go down dramatically, and the coverage will go up dramatically. Not that I feel I'm wanting any medical care now that I can't get, and I can certainly afford the payments. Anyway this an awkard moment because I have no idea what the fuck Medicare actually is. I go to the websites and they tell me how much I have to learn, but they don't teach it. I am highly motivated to learn, but I'd love to have a user interface that was like GEICO's website for buying auto insurance, or the Digital Ocean page for sizing your applet. I'd like to just check off some boxes, and see the numbers change. If I want to spend $500 per month I could have this coverage, or that, or something else. It seems enough people go through this that it's worth a little investment?
		- Fascinating <a href="https://twitter.com/PitchingNinja/status/1181268716056657925">video</a> overlays a fastball and curveball. You can clearly see why it's so hard to hit a major league pitch.
		- If I ever get it together to write a book, I think <a href="http://scripting.com/2016/05/31/1296.html">this piece</a> will be the preface. Maybe its title will be the title of the book? 
		- Feed-less podcast-like things
			- We need a new name for podcast-like things that have no feeds, are locked behind a paywall, can't be archived, cited or shared, and don't create any kind of record. 
			- Something like "Dead-end-cast."
			- Or "Business-model-cast."
			- Or "VC-friendsly-cast."
	- October 7
		- I started <a href="http://scripting.com/2019/08/06/155950.html">blogging</a> 25 years ago today. I write every day and publish it myself. Today I've done the same. And hopefully encouraged more people to speak for themselves.
		- Here's the <a href="http://scripting.com/code/testing/timesincescriptingstarted/">countdown page</a> where we keep track of how long it has been since <a href="http://scripting.com/">this blog</a> was started. If you keep this page open you can say you were here at the moment it had been running for 25 years! If you think it's just a number (and there's good reason to believe that) you can continue with your life. :apple:
		- I wasn't paying attention when the <a href="http://scripting.com/code/testing/timesincescriptingstarted/">clock</a> struck <a href="http://scripting.com/images/2019/10/07/oopsMissedTheBigMoment.png">25 years</a>.
		- 2015: <a href="http://scripting.com/2015/09/20/whyIveNeverRunAdsOnScriptingNews.html">Why I've never run ads on Scripting News</a>. 
		- Here's a <a href="http://scripting.com/images/2019/10/07/ghtfoot.png">brief editorial</a> on Trump as president. I brought out the big font, btw. Hope that's okay.
		- On the <a href="https://www.wnyc.org/shows/bl">Brian Lehrer Show</a> this morning the question came up of why Trump released the "transcript" of his talk with the Ukranian president. I have a theory about that which I <a href="https://twitter.com/davewiner/status/1181212175513346049">tweeted</a> to the show. It goes like this. Trump approved of its release without reading the transcript, or listening to his advisors. They wanted it released because it prevents Trump from throwing them under the bus. It's the new reality of a president who has the attention span of a gnat. Sometimes that works against him more than it works against us. 
		- Theory why Repubs don't stand up to Trump. After the 2016 election, the Russian <a href="https://en.wikipedia.org/wiki/Active_Measures_(film)">active measures</a> campaign turned to building <a href="https://en.wikipedia.org/wiki/Kompromat">kompromat</a> on every Republican member of Congress. It didn't take long to get each one of them in a position where they had to listen to Russia and Trump. This is one of those "Occam's News" things. Like black holes in space, you can't see them, but you can infer their presence by the way bodies behave around them
		- <a href="https://twitter.com/MSNBC/status/1181249348824379393">Repubs want</a> no politics when it suits them, but will make Supreme Court nominations, tax cuts, debt-limit lunacy, war, immigration, Obama's birth certificate, ie anything they want, political.
		- Dear Jack, installment 2
			- <a href="https://en.wikipedia.org/wiki/Jack_Dorsey">Jack Dorsey</a> subscribes to the email version of this blog, so I've started writing <a href="http://scripting.com/2019/09/30/132753.html">directly to him</a> in an open format. I'd do the same for the CEOs of any other tech firm whose products I use. Free consulting. :-)
			- Anyway, I find myself hooking into <a href="https://twitter.com/PitchingNinja/status/1181268716056657925">videos</a> on Twitter more and more. Like this ridiculous annoying exasperating <a href="https://twitter.com/MSNBC/status/1181249348824379393">interview</a> with a Bush-era Republican, shilling for Trump while trying to sound reasonable. 
			- More and more, news orgs are posting short bits of video to Twitter. It's growing, and that's imho good.  Further, Twitter has a good API and it's relatively stable and liberal. I've thought for a long time that their API is their big advantage. As a developer I'd like to see them do more with it.
			- Twitter is a new kind of TV news looking for the right user interface. I don't think Moments is the answer. I think Checkbox News is. 
			- Here's the idea of <a href="http://scripting.com/stories/2007/04/24/checkboxNews.html">Checkbox News</a> in an <a href="http://scripting.com/images/2019/10/07/checkboxNewsFullSize.png">image</a>. 
			- I did this around the time Boris Yeltsin died and the Virginia Tech massacre. I want to watch the news while I work, or tweet while I watch the news, basically <i>news isn't the only thing I'm doing. </i>I want a bit of control over what flows through the video window. I got it, Yeltsin died. All the reports are starting to sound the same, so I uncheck it. No more news of Yeltsin. 
			- As media has progressed, we've learned that sometimes it's best to turn things on, and in other contexts that's too much work, I want others to do it for me, and then I need the ability to turn things off. TV news is most definitely in the latter category.
			- With the flow that Twitter already has, if trusted news sources (a super important concept that should also be developed, not by Twitter) would add keywords to their video uploads, we could have Checkbox News running pretty quickly, maybe as early as next year. 
		- Introducing myself to Woodstock
			- <i>I just posted this to the private Woodstockers Say Anything group on Facebook. I've been living here since March, but mostly have been posting pictures and questions about what's going on here. This is the first time I've talked about what I do. I thought this was a good day to do it.</i>
			- I haven't really introduced myself to the Woodstock group, today is a good day to do that.
			- I am a software developer and one of the very first bloggers, starting back in 1994, on October 7.
			- 25 years ago today.
			- These days I'm writing at my house in Woodstock.
			- I am lucky that the work I do can be done anywhere there's a net connection. So I've moved around quite a bit in the last 25 years. I started writing on the web in <a href="https://en.wikipedia.org/wiki/Woodside,_California">Silicon Valley</a> in 1994. In 2003 I moved to Cambridge, MA, then tried Seattle and the beach in northeast Florida (I had family there). I spent a few years in Berkeley, and then when my father died in <a href="http://scripting.com/stories/2009/10/03/fathersDay.html">2009</a>, I moved back to NYC (where I was born and raised) to be near my rapidly shrinking family. When my mom passed away in <a href="http://scripting.com/2018/02/11/152545.html">2018</a>, I started looking for the next place, and this is where I landed.
			- I've always felt that my software development was an artistic endeavor. My materials are unusual, they're almost all virtual. But I've built quite a castle out of all that imagination. :-)
			- The next software product I ship will come from Woodstock. And I'm celebrating 25 years of blogging right here in the woods, with the sound of rain and the smell of nature all around me.
			- One of my mottos of blogging is this --
			- Still diggin! ;-)
			- PS: My blog is at http://scripting.com/.
	- October 6
		- <a href="http://this.how/trolls/#1515276571000">How to win with a troll, 2016</a>: "Imagine if he never got any self-generated press ever again? That would be the end of Trump. You can report on polls. You can report on FBI investigations of him. Or his trial with Trump U. Or that HRC calls for him not to get security briefings, all that's fair. But you can't report any Trump-generated news. If it came from him, it's trolling. If it's news about him that he didn't control, it's fair game." That's why the whistleblowers, witnesses and congressional committees are helping us win the battle with Trump. For the first time in a long time, Trump has lost control. We're in new territory. 
		- <a href="https://www.nytimes.com/2019/10/06/arts/music/ginger-baker-dead.html">Ginger Baker</a>, <a href="https://www.rollingstone.com/music/music-features/ginger-baker-essential-songs-cream-blind-faith-fela-kuti-890696/">drummer</a> for Cream, one of rock's seminal bands, died at 80. Here's one of their <a href="https://www.youtube.com/watch?v=zt51rITH3EA">hits</a>, Sunshine of Your Love.  
		- As one of the founders of podcasting, I couldn't <a href="https://twitter.com/Clew_less/status/1180785127506485248">agree more</a>. Podcasting is all about the voice of the individual. 
		- <a href="https://twitter.com/CNN/status/1180887409547984896">Colin Powell hits</a> Repubs up the head with a 2-by-4.
		- What would you do if the power went out in the city you live in, and you were pretty sure it wasn't coming back any time soon?
		- <a href="http://scripting.com/images/2019/10/06/probabilityGraphClintonVsTrump2016.png">This is the graph</a> we were looking at on this day in 2016. It says that HRC had a 75% chance of winning. The black line at the right is Election Day. Most people didn't understand enough about probability to understand what that meant, so presumably weren't motivated to vote. This is a lesson you don't hear reported on much in the press. The election wasn't decided by anti-abortion gun-rights advocates. It was decided by the people who didn't vote. 
		- Our tech house of cards
			- We've built a technological house of cards. Ever taller, no foundation.
			- We're animals. We think we do things for reasons we understand, but we're 99% instinct-driven.
			- We use our technology platform as if we are primates living in trees.
		- How I program
			- <i>I wrote this in a 2014 email to one of my former programming partners, Jake Savin, about how I develop today. I use the same tools five years later. It was a good design. </i>
			- I program in the OPML Editor. I have a suite that makes it one button to deploy all the changed objects in my outline to public spaces on S3, ready to run. It's amazingly fast.
			- I have debugging on the client but not the server. But I am radical about pushing functionality to the edge, and using the server just to make up for deficiencies in other APIs that prevent them from being called from the client. So it hasn't been that much of a problem.
			- This environment is so primitive compared to Frontier, but everyone can use it, so that's why I work here. People think I've been incredibly productive, the truth is I've done all this stuff before, so it goes quickly the third or fourth time.
	- October 5
		- Trump throws <a href="https://www.axios.com/trump-blamed-rick-perry-call-ukraine-zelensky-8178447a-0374-4ac6-b321-a9454b0565d4.html">Rick Perry under the bus</a>. What if Perry's popularity goes up as a result? Think about it.
		- Why are we impeaching the president, big picture. Our system has gone off the rails, we've got a monarch in the White House. This impeachment is the second <a href="https://en.wikipedia.org/wiki/American_Revolution">American Revolution</a> and has the same goal as the first, to depose a king. And again, we have to change the rules so it won't happen again.
		- An idea. If <a href="https://www.frontpagelive.com/2019/10/05/impeachment-or-lost-election-what-if-trump-just-refuses-to-leave/">Trump refuses to leave</a> the White House, change its name to Federal Penitentiary #248, place guards at all doors, no one goes in or out. No Internet access, no food. The constitutional president governs from <a href="https://en.wikipedia.org/wiki/President%27s_Guest_House">Blair House</a>. Trump comes out or dies there. Either way, eventually the White House is torn down, as a symbol of the imperial presidency. From now on the president <i>strictly</i> follows the Constitution, no more undeclared wars, Congress appropriates the money. Impeachment hearings start immediately after the Inauguration, and at the first sign of the breach of the Constitution, the president is impeached and removed. It's not going to be a glamorous job in the future. We're getting rid of our second king, and we must make sure no usurper like Trump can turn the office of President into an authoritarian pulpit. Burning the White House to the ground serves as a symbol of that transition. 
		- My mother taught me that when people resort to name-calling that means they're wrong and they know it. 
	- October 4
		- More whistleblowers please. :pray:
		- Trump isn’t playing multidimensional chess, and neither is Putin. His goal was to reduce the US to chaos. Our elections are now meaningless. Mass killings by people with automatic weapons. No sense of normalcy. The news people are focused on impeachment, but since just after the 2016 election have buried the big story. The US has been defeated. We're occupied. We live in <a href="https://en.wikipedia.org/wiki/Vichy_France">Vichy</a> America. The president is a <a href="https://www.vox.com/2018/7/16/17576956/transcript-putin-trump-russia-helsinki-press-conference">Russian asset</a>. It's all out in the open, but until the whistleblower, no one, not Mueller, not the Repubs in Congress, not the Dems in Congress, nor the Dems running for president, have had the guts to say the truth out loud. We all hope someone else will take the risk. We have to fight to get out of this. It's going to be bloody. But the longer we wait the worse it'll be.
		- This is the <a href="https://www.vox.com/2018/7/16/17576956/transcript-putin-trump-russia-helsinki-press-conference">moment</a> Trump should have been impeached. It was obvious at that point who Trump was/is. 
		- <a href="https://twitter.com/davewiner/status/1180101787409408000">2 years ago today</a>: It's too easy for one person to shoot 600.
		- <a href="https://www.axios.com/ruth-bader-ginsburg-aberration-us-history-polarization-a291fb03-94fd-40fe-88ab-3839dfbef5a1.html">RBG says</a> historians will view today's political climate as an aberration. My two cents. This will be remembered as the time we all waited for someone else to take the risk, not wanting to disturb our lives. The spoiled citizens of a country that fought wars without a draft, that got tax cuts in time of war, inflated our economy as we inflicted chaos on others.
		- There should be a user interface standard for <a href="http://scripting.com/images/2019/10/04/baseballGameStatus.png">this object</a>. There are minor differences in layout, but all have the same info.
		- <a href="https://twitter.com/KamalaHarris/status/1179810620952207362">Kamala Harris</a>, presidential candidate, wants Twitter to suspend Donald Trump's Twitter account. My two cents. This is what’s wrong with today’s net, that it’s up to one unelected unaccountable tech exec to decide if the elected president has a voice. Twitter has too much power. They endow people they like with millions of followers, and delete accounts for friends. No one has to listen to Trump. I’ve had him blocked for years.
	- October 3
		- There's no excuse for congresspeople to use Medium. Here's a <a href="https://www.speaker.gov/newsroom/10319">press release</a> from Speaker Pelosi. Look at the URL. It looks way better than anything on Medium, and it has the advantage that it will remain on the web even if Medium shuts down.   
		- For people who get the nightly email, if you have a comment, just reply to the email. For now what you say is just between us. I'm thinking about ways to re-open the blog to interaction, but have it be as convenient as possible for the reader/contributors. I have powerful content management tools and I want to use them. 
		- Joe talk like a human being
			- Joe you need to simplify your <a href="https://twitter.com/JoeBiden/status/1179845362506448897">response</a>. 
			- "Trump you're a kook, a crook and a traitor to our country."
			- Try that out, it's easier for everyone to understand and it has the proper level of feeling to it. It's also achingly obvious.
			- You're in <a href="https://www.youtube.com/watch?v=DF9gSyku-fc">Mike Dukakis</a> territory man.
		- Lists with a point
			- I hate ageism.
				- I was asked today if I still work or am I retired. 
				- It was a moment.
				- I saw Joe Biden make a speech.
				- Joe is not corrupt
				- But Joe is too old to run.
				- I'm sorry.
			- Hillary on Maddow last night.
				- A half-hour.
				- She said nothing.
				- This is why she was a bad candidate.
				- It's not authenticity.
				- It's a failure to connect.
				- Basic story-telling.
				- Warren has it.
				- Michael Moore has oodles of it. 
				- Hillary? Nada.
	- October 2
		- Circular firing squad time in Trump mob family.
		- President Pelosi. Try that <a href="https://en.wikipedia.org/wiki/United_States_presidential_line_of_succession#Current_order">idea</a> out for a moment.
		- The reporting on Ukraine misses an important point. Not only was Trump putting the squeeze on Ukraine to become part of his mob, he was also selling them out. A small relatively powerless country that depended on our protection, Trump was stepping back and letting Russia roll over them. 
		- Reporters should consider that <a href="https://www.apnews.com/eab21e66d7734867b8620fe9efaeb8a2">Bernie Sanders</a> might not want to continue his campaign.
		- OMG you have to see <a href="https://twitter.com/cmcubfan/status/1179457423762964483">this</a>.
		- I just had a <a href="https://www.youtube.com/watch?v=faeEnoYcT7w">vision</a> of Trump's future. 
		- Michael Moore was a <a href="https://www.youtube.com/watch?v=qWiqycRVkvc">guest on MSNBC</a> last night. It was really refreshing. He provides the perspective of a person. He thinks Biden should be leading the fight against Trump. I agreed with everything he said. Clear thinking. Totally worth watching.
		- <a href="https://twitter.com/davewiner/status/1179392653319954433">Poll</a>: If you're watching Succession, who's your favorite?
		- WIth <a href="http://scripting.com/2019/10/07.html">Big 25</a> coming up, it's great to hear from people who were reading in the early years. For example, David Boroditsky checked in yesterday <a href="https://twitter.com/boroditsky/status/1179081346943078400">on Twitter</a>. He sent a link to an email he sent me, which I <a href="http://scripting.com/frontier/stories/DavidBoroditsky.html">posted</a> to the blog, in Oct 1996, two years after the start. He talks about the non-web features of "Frontier". Sometimes I forget that Frontier and the blog were two sides of the same coin in the early days. All the early blogging and RSS software ran in Frontier. 
	- October 1
		- Because Barr is in such a <a href="https://politicalwire.com/2019/10/01/the-dangerous-position-of-william-barr/">precarious position</a>, and he's smart, he must have factored in the risk before going out on the limb. He's betting that he and Trump et al will be able to toss the Constitution in a trash can, and govern any way they want, without oversight and inconvenient co-equal branches of government. We're at much at risk as he is.
		- Trump is breaking the Constitution. Openly, and it'll never be repaired if he isn't cancelled. We should have fought this "civil war" a long time ago, but all the time we delay the chances of our form of govt surviving goes down.
		- 20-minute <a href="http://scripting.com/2019/10/01/25Years.m4a">podcast</a> about the origins of "Scripting News". The original idea, 25 years ago, was letting go of product ideas that I wouldn't be able to commercialize. It, in turn, generated ideas that would define a huge <a href="https://en.wikipedia.org/wiki/Web_2.0">industry</a>. The big idea of blogging would turn out to be "Sources Go Direct". 
		- In less than a week <a href="http://scripting.com/">my blog</a> will be 25 years old. If it were a person it would be able to rent a car. 
		- In the almost-25 years of blogging on <a href="http://scripting.com/">scripting.com</a>, I did take a few weeks off here and there. In the 90s, mostly to take week-long massage classes, at <a href="https://en.wikipedia.org/wiki/Harbin_Hot_Springs">places</a> where there was no internet access, which was  common back then, believe it or not.
		- My two cents on changing Facebook to keep its power manageable. 1. Its social graph should be a public resource. Spin it out. The APIs should be open like the web APIs are. 2. Facebook should peer with the open web, so it isn't a silo.
		- <a href="https://twitter.com/davewiner/status/1179027922612555776">2017</a>: You can fake caring but you can't fake showing up.  
		- Why is it that the future-of-news conversation is exclusive to people who have a vested interest in the way things are. If we've learned anything about the future -- of everything -- is that it's disruptive to the way things are. 
		- The September posts are archived, <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2019/09.opml">in OPML</a>. 
