- April 2020
	- April 30
		- I rarely quote Trump here. Maybe I never have. But <a href="https://twitter.com/American_Bridge/status/1255975047308759040">this</a> is worth quoting. "Our death totals, our numbers, per million people, are really very, very strong. We're very proud of the job we've done."
		- We'll know it's time to lighten the lockdown when <a href="https://en.wikipedia.org/wiki/Steve_Kornacki">Steve Kornacki</a> can do a weather report on CV outbreaks around the US, with confidence. Science is really good at that these days. Weather reports are amazingly accurate these days. We have to get just as good with tracking virus outbreaks.
		- I did a little checking after posting <a href="http://scripting.com/2020/04/28.html#a220729">this</a>, and it seems <a href="https://www.npmjs.com/package/request">request</a> is <i>not</i> being <a href="https://en.wikipedia.org/wiki/Deprecation">deprecated</a>. Rather, they are <a href="https://github.com/request/request/issues/3142">freezing</a> it. Totally legit. But it's safe to keep using it, which is exactly what I plan to do. If they ever take it out, I'm just going to fork it and add it back. I have enough complications to manage in the <s>messes</s> functionality I've created. 
		- BTW, if you're writing a Node app that needs to read a feed, I recommend <a href="https://www.npmjs.com/package/davefeedread">davefeedread</a>. I wrote it, and I use it. It's stable and pretty well debugged. :boom:
		- Earlier today I went grocery shopping and was surprised at how well-stocked the store was. They actually had <a href="http://scripting.com/images/2020/04/30/handSanitizer.png">hand sanitizer</a> and Lysol cleaning stuff. And I was sure all the meat would have gone, given the problems with meat processing plants, but not so. The <a href="http://scripting.com/images/2020/04/30/checkoutLine.png">checkout line</a> was ridiculously long, but moved quickly. All in all a gratifying experience. PS: I was really scared to do this. 
		- On Twitter it was <a href="https://twitter.com/bloatedlesbian/status/1255697398485180418">suggested</a> that I change the titles of the items in the Cuomo Briefing podcast <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/cuomo/rss.xml">feed</a> so each item has a unique title, that it might start working properly in Apple's podcasts app on my iPhone. Note the items in the feed have <a href="http://scripting.com/images/2020/04/30/feedHasGuidsAsYouCanSee.png">proper guid elements</a>, so there should be no need to use the title as a guid, but it seems that Apple's podcast app does, because when I changed the titles of the five most recent episodes, voila -- they show up in the Apple podcasts app. This was suggested on Twitter by <a href="https://www.dictionary.com/e/slang/og/">OG</a> podcaster <a href="https://twitter.com/bloatedlesbian/status/1255697398485180418">Madge Weinstein</a>. Bottom-line: there appears to be an easy-to-fix bug in Apple's podcasts app on iOS.
		- Cartoon du jour
			- McConnell's one-finger salute to local government. 
	- April 29
		- Problems with the <a href="http://this.how/cuomo/">Cuomo podcast</a> in Apple's podcasts app? I have subscribed to it, of course, but it hasn't updated since the Boris Johnson special. But it keeps floating to the top of the list, and indicates that it has updated, but no new episodes show up. Yesterday I saw a complaint from a user about this. What's going wrong? We go to the trouble of updating <a href="https://podcasts.apple.com/us/podcast/cuomo-podcast/id1506413883">this</a> podcast feed every day with the latest Cuomo briefing, but if people aren't hearing it, what's the point? If you have a comment please post it <a href="https://twitter.com/davewiner/status/1255545583466614784">here</a> on Twitter.
		- <a href="https://twitter.com/sarahcpr/status/1255243240267223047">Sarah Cooper</a>: "Having the Blue Angels fly over the city for healthcare workers is like when I ask my husband for help around the house and he buys me flowers."
		- It's fair to say that the old way of producing video entertainment is now as toxic as nursing homes, airplanes and meat plants, yet there's more demand than ever for video entertaiment. Something's gotta give. Real actors showing up in virtual environments, sort of a flip of GEICO's excellent gecko spokesmodel? I have no idea. But this could be as profound a transition as the switch to sound in the 1930s (also a depression era). More animations with human voices like the incredibly excellent <a href="http://scripting.com/2015/08/30/whyYouMustWatchBojackHorseman.html">Bojack Horseman</a>? 
		- Jay Rosen is <a href="https://pressthink.org/2020/04/a-current-list-of-my-top-problems-in-pressthink-april-2020/">speaking clearly</a> to the journalism industry again. He's gotta stop doing that (just kidding). As a former entrepreneur, I have a bit of advice myself. Listen to your users. This, surprising to me, has been something journalism explains they don't do, presumably because it would taint their objectivity. They're humans like the rest of us and the reason is probably more that it complicates their already-complicated lives. But the answer to their problems imho lie there. Every user of news will tell you that they aren't going to subscribe to every news org they're interested in. There must be some profitable relationship short of total commitment that will get our money into your bank account. Yet that's exactly how the industry has configured itself, as if every pub has a reasonable shot of being funded this way. Listen to users, followed by a negotiation -- that's where the answer lies. Also change your mission now to saving lives. As I've said before if you save my life I'm going to shower you with money. I'm going to <i>drown</i> you with money. And it's never been easier to do that, btw. Changing times call for new ideas. 
		- As Bob Dylan once <a href="https://www.youtube.com/watch?v=G58XWF6B3AA">wrote</a>, "The answer is blowing in the wind."
	- April 28
		- An example <a href="https://gist.github.com/scripting/68984626822359ae2bec1112719f1f2c">Node app</a> that runs a shell script.
		- Last night on @maddow we learned that the CDC is updating their website without announcements.  Maybe we should have some early warning systems on that -- I bet the search engines know when there's a change on the CDC site.   We could solve this problem.
		- Every time I run "npm install," it reminds me that <a href="https://www.npmjs.com/package/request">request has been deprecated</a>. One of the most ridiculous ideas I've heard.   It's as if the word "the" in the English language were deprecated. Anyway, I wonder if someone has submitted a package to NPM that perfectly emulates request. I predict it would be the most popular package ever.
		- We create each other
			- In 1998 I wrote a <a href="http://scripting.com/davenet/1998/01/01/menStaySilent.html">piece</a> about gender and generalizations. 
			- "We create each other and together we create the world we live in." 
			- Today I read that <a href="https://bigthink.com/sex-relationships/dating-a-psychopath.amp.html">men with psychopathic traits</a> are more desirable to women. 
			- Every trait in every man was put there by an adult, and a lot of those adults were women. I can't tell you how my personality was molded and shaped by the adult women in the world I grew up in, I wasn't really conscious when it happened, but I'm sure of it. 
			- I'm a mirror of them, I am what they saw when they looked at me. 
			- I read today, from a <a href="https://www.facebook.com/annamasera/posts/10217478085568290">wise woman</a>, that we will be feeling the reverberations of this period in generations to come. 
			- Another wise woman, <a href="https://twitter.com/mayawiley/status/1254080040767229952">on Twitter</a>, quoted <a href="https://www.goodreads.com/quotes/411502-the-great-force-of-history-comes-from-the-fact-that">James Baldwin</a>. “The great force of history comes from the fact that we carry it within us, are unconsciously controlled by it in many ways, and history is literally present in all that we do.” 
			- Exactly right.
		- I work for Dropbox, cont'd
			- Tuesday morning, still fucking around with Dropbox. These things usually end up costing a week of burnout. One of my servers is a place I leave apps I don't use much, but want to still be able to look at. And one or two that are mainstays. Let's say that server is named Alaska. A long time ago Dropbox stopped working on that machine. That made it hard but not impossible for me to update the apps. I have a utility that helps move files from S3 to folders on Alaska. But the data on Alaska is not backed up. So that's a permanent kind of burnout. There is stuff being generated on this server. It would be bad to lose it. Not being backed up. So now I'm trying to resolve that. 
			- One thing I could use to help factor out Dropbox, for the backup side of things, is a headless <a href="http://this.how/publicFolder/">Public Folder</a>. Putting that on the todo list. 
			- Later: My server karma is low. I can't get Dropbox to install on a fresh Ubuntu server at Digital Ocean. <a href="https://github.com/scripting/Scripting-News/issues/169">Have a look</a> and tell me what to fix. 
			- Even later: I noticed the "Alaska" server (see above) is now updating via Dropbox. One of the million nudges must've worked. Amazing. I have no idea which magic incantation worked. 
		- Uncle Ken and Aunt Dorothy
			- I never really thought of her as an aunt, she and my uncle didn't get married until I was already a teen. I grew up with him, so she was his wife more than an aunt. Ken and Dorothy Kiesler. 
			- We called her Little Dot, she liked it, because my grandfather's wife, after he and my grandmother were divorced, was also named Dorothy Kiesler. She was Big Dot. 
			- However, even more weird, Ken gave himself a name too -- The Great Va Va Voom, professional wrestler. His story was he'd go down to the <a href="https://www.yelp.com/biz/crescent-beach-st-augustine-2">beach</a> near where they lived in Florida and pick up chicks with that line. "Hello ma'am," he'd say, as the story goes, "I am the The Great Va Va Voom, professional wrestler, at your service." Of course nothing like that actually ever happened. :boom:
			- Ken had one of the very first blogs, along with Dan Gillmor at the SJ Mercury. He was living in Jamaica at the time. We even got him his <a href="http://www.greatvavavoom.com/">own domain</a>, which I still maintain for him. 
			- He and Dot were married for about 25 years, and in that time, the were together every day except two weeks every summer when Ken went to NYC. 
			- In this picture, I'd say Ken and Dot look like they're in their 30s or early 40s -- if so this picture would be from the mid-late 70s? All the cars in the picture were Ken's, and the boat. He loved to work on cars. He built the house they lived in, and a windmill, solar heat, pioneered growing <a href="https://www.cannareps.ca/sinsemilla-origins-of-modern-cannabis/">seedless pot</a>, all without being on the electric grid. They had no phone, and this was long before cell phones. 
			- Ken and Dorothy Kiesler at their house in Florida, mid-late 70s.
			- They were hippies, refugees from the East Village, living off the land in northeast Florida. I went there a lot when I was in college at Tulane and later Wisconsin. Ken and I used to hang out a lot, he was definitely family, but he was also a friend. Dot died in the late 80s, and Ken in 2003, both of them way too young.
			- PS: This is roughly <a href="https://www.google.com/maps/place/Crescent+Beach,+FL+32080/@29.7536312,-81.2730914,302m/data=!3m1!1e3!4m5!3m4!1s0x88e69977c882aea5:0xe61a1afbdfe01fae!8m2!3d29.76886!4d-81.2536786">where</a> their house was, but there was only a dirt road going in there back then, and no services. They owned 25 acres, most of it undeveloped. 
	- April 27
		- BTW, the <a href="http://scripting.com/2020/04/26/211718.html?title=dropboxLo2Outage">trouble</a> with Dropbox turned out to be their Linux install requires components that aren't there on a headless Ubuntu installation. When the software tried to update itself it failed, and that was <a href="http://scripting.com/2020/04/24/171231.html?title=dropboxIsKillingItself">the end</a>. I'm guessing not many people use Dropbox on headless Linux?
		- I got a <a href="https://shop.kinsahealth.com/products/kinsa-quickcare?__hstc=189353844.c9aa4b08387ebae2142dbe354583d557.1584992554446.1586723447049.1588000860851.4&__hssc=189353844.2.1588000860851&__hsfp=1613160091">Kinsa thermometer</a> on April 14, almost two weeks ago. I've gotten in the habit of taking my temperature at the beginning and end of every day. I feel like I'm doing my part to support an early warning system. I just noticed they have a way to export your data. I was hoping it would be a nice XML or JSON format, but it's a log file format. Not sorted by anything I can see. I don't have any code that can process this format. But it was there, and that's worth something. I'd give it a B-, but most apps don't give you a way to export your own data, and for that, A+. Also, they should change their store from saying it's <a href="http://scripting.com/images/2020/04/27/kinsaPreOrderNot.png">pre-order</a> -- there's nothing <i>pre</i> about it. You can buy it. It takes a few weeks to get there because the product is so popular. 
		- <a href="https://www.youtube.com/watch?v=gqPCJfKULgs">Cecily Strong</a> for VP. 
		- If Trump will <a href="https://nymag.com/intelligencer/2020/04/trump-to-sideline-fauci-and-birx-in-coming-weeks-report.html">sideline Fauci</a>, Biden should start a <a href="http://scripting.com/2020/04/09/145912.html?title=bidenCanMakeADifferenceNow">nightly briefing</a> with Fauci as the moderator. How about a little competition -- raise the bar on the information the people get. Give the press an option not to cover Trump's misinfo.
		- Awful truth, we need to get to the point where a new Covid infection is a stop-everything event to contain the outbreak. It’s awful because the country has not even begun down that path. We have to have a real government to even begin.
	- April 26
		- <a href="https://www.google.com/search?q=surgeon+action+figure">Doctors</a> in PPE's are a new class of <a href="https://twitter.com/davewiner/status/1254432787441938436">hero</a>. 
		- I recently found out there was a season 3 of <a href="https://en.wikipedia.org/wiki/Narcos_(season_3)">Narcos</a>. Wow. That goes on my list. Also, I thought this season was the last for <a href="https://en.wikipedia.org/wiki/Better_Call_Saul_(season_5)">Better Call Saul</a>. Imagine my surprise when I got to the end, and nothing was resolved. Okay, I'd better survive this virus thing so I can find out what happens to <a href="https://en.wikipedia.org/wiki/Lalo_Salamanca">Lalo</a> and <a href="https://www.digitalspy.com/tv/ustv/a32248797/better-call-saul-stars-why-kim-isnt-in-breaking-bad/">Kim</a>. 
		- On April 14, a <a href="http://scripting.com/images/2020/04/26/handSanitizer.jpg">single bottle</a> of hand sanitizer arrived via USPS at my local post office. Ordered via Amazon on March 14. $11.99. Shipped via <a href="http://yjcx.chinapost.com.cn/qps/english/yjcx">China Post</a>, China's equivalent of the USPS. It arrived in Hawthorne, CA on March 24 on its way to my kitchen in upstate NY. 
		- Dropbox, LO2 outage
			- I had a pretty terrible <a href="http://scripting.com/2020/04/24/171231.html?title=dropboxIsKillingItself">Dropbox outage</a> here since Friday, but with <a href="https://www.dropboxforum.com/t5/Dropbox-installs-integrations/Stuck-on-quot-upgrading-dropbox-quot/m-p/414171/highlight/false#M92358">help</a> from Daniel Bradley, I was able to get most of my servers connected to Dropbox again. 
			- I just noticed that the server for "LO2" got completely trashed in the process. I have no idea how, but I had a backup from yesterday, which I am now restoring. It may take about an hour or so. Any work done between the outage and the restoration will be lost. Sorry. 
			- I'm going to have to stop depending on Dropbox. Obviously the Linux version is not a priority for them, it's breaking a lot these days. I've been a Dropbox user since the beginning. But it's been obvious for a few years that this is no longer a good match. 
			- Update: Well that was pretty good <a href="#a182141">outage</a>-wise. Less than 15 minutes. But data <i>was</i> lost. It seems fortunate this happened after I added the <a href="http://this.how/littleoutliner/versions.opml#1586885920000">backup</a> command. No excuse for not having copies of your files. 
		- My latest fishing expedition
			- Sometimes I write posts to solicit info from my brain trust, the people who read my blog. Yesterday I <a href="http://scripting.com/2020/04/25/163108.html?title=whenWillThereBeAVaccine">wrote</a> about the non-inevitablity of a Covid-19 vaccine, and got two interesting responses. 
			- <b>From correspondent #1</b>.
				- HIV has a very high mutation rate, it's a constantly changing target, very hard to vaccinate. Fortunately this corona virus is highly conserved (stable), there are many stable proteins you can target. We don't see a reason why that <a href="https://www.nejm.org/doi/full/10.1056/NEJMe2012889?query=featured_coronavirus">stability</a> would change as it's already spread around the world. 
			- <b>From correspondent #2</b>.
				- I wanted to offer a few reasons for limited, cautious optimism, and one reason for a little bit of pessimism.
					- Nobody ever "gets better" from HIV on their own. Our immune systems can't beat it. So it's hard to make a vaccine that teaches our immune systems how to beat it.
					- We do get better from the flu on our own. But the problem is that the flu is a "modular" virus that can be recombined, so there's always a new version. So flu vaccines work, but there's a new vaccine every year.
					- Our bodies can beat the SARS-CoV-2 virus that causes COVID-19. People usually get better in a few weeks, if they don't die.
					- Many people who caught the original SARS-CoV virus in 2003 still had antibodies ~10 years later.
					- The SARS viruses are unusually complex, and in order to replicate correctly, they have pretty good proofreading. So they mutate much more slowly than HIV or the flu.
				- But there's also one reason to worry:
					- There are four other coronaviruses that cause about 15% of cases of the common cold. We build immunity to these viruses but it usually doesn't last forever.
				- So as I understand it, the biggest question with SARS-CoV-2 isn't whether we can teach our bodies to beat it. It's how long our immune system will remember. And whether we can find a low-risk vaccine that doesn't cause other problems.
			- As always, "Scripting News" readers are the smartest and best. :rocket:
		- NYC a long time ago
			- A picture rescued from Facebook. <a href="https://en.wikipedia.org/wiki/Tompkins_Square_Park">Tompkins Square Park</a> in NYC.<br>From left to right, my uncle, Ken Kiesler, his friend Sparky, my grandfather "Rudy Kiesler", and me. I'm guessing this is 1989 or 1990.
	- April 25
		- A sound of summer. <a href="http://scripting.com/2020/04/25/frogs.m4a">Frogs</a>. (Yes, and crickets too.)
		- Elizabeth Warren for VP
			- Biden should pick <a href="https://en.wikipedia.org/wiki/Elizabeth_Warren">Elizabeth Warren</a> for VP.   
			- She'd put Repubs on notice. Biden is a nice guy but Warren knows you suck. Good cop bad cop.
			- A black woman? The best candidate, <a href="https://en.wikipedia.org/wiki/Maxine_Waters">Maxine Waters</a>, isn't in contention.
			- Let's win, not just the election but the politcal war that will follow.
			- BTW, I supported Biden over Warren after Klobuchar dropped out. I want a president that is uncontentious, for everyone. A unifier. It's the only way out of the paralysis imho. 
			- But I want everyone to understand the unity has as its foundation care for the American people. That's what Warren is for. No one can misunderstand what that choice means. 
		- When will there be a vaccine?
			- Here's a splash of cold water.
			- We've been sort of assuming that there will be immunity and eventually a vaccine for "Covid-19". 
			- But it may be that neither will happen.  
			- There isn't a <a href="https://www.hiv.gov/hiv-basics/hiv-prevention/potential-future-options/hiv-vaccines">vaccine for HIV</a>, for example. 
			- It first appeared in 1984. 36 years. That would mean there would be no Covid-19 vaccine in 2056.
			- Something to think about and ponder.
			- Also there's another apocalypse lurking in the shadows, other than climate change. <a href="https://www.cdc.gov/antibiotic-use/community/about/antibiotic-resistance-faqs.html">Antibiotic resistance</a>. 
			- Yeah science is a bitch. :boom:
		- The ridiculousness of Trump
			- Take a step back and think about the ridiculousness of Trump. 
			- The world is shut down. Economic and health collapse. 
			- Precarious future. 
			- We hope science is working, trying to dig us out of the mess.
			- But we never get updates on that. 
			- Just more Trump garbage.
			- Eventually we're going to have to get down to business. 
			- We're all stuck in hibernation until we get down to business.
			- And this clown is up there being an idiot. And now everyone is looking. And day after day of idiot lectures and babbles incoherently. 
			- And then he talks about injecting bleach in your veins. 
			- How much more of this could we possibly take. 
			- Finally even <a href="http://scripting.com/2020/04/24/171026.html?title=aMilestoneInAmericanJournalism">the NYT can't see both sides</a>. 
			- Something broke there. 
	- April 24
		- <a href="https://twitter.com/sarahcpr/status/1253474772702429189">This woman</a> speaks just like our president. 
		- Hold on here's <a href="https://twitter.com/MommaUnfiltered/status/1252338851315683329">another woman</a> who speaks like Trump too. 
		- Trump has to keep escalating the outrage to keep your attention. Look at how much outrage it takes now. 50,000 Americans dead. What's next?
		- More men die from Covid than women. Older people and people with other problems like heart disease, diabetes, hypertension make up a large share of the deaths. From that, we conclude that people in these groups are more likely to die than not if they get the virus. But that's not a logical inference. I'd love to hear the numbers expressed the other way. If you have some or all of these conditions, and you get the disease, what's the probability that you will die.
		- Also, are there degrees of herd immunity? Does the rate of infection go down as more people are immune?  
		- Dropbox is killing itself
			- Dropbox on Linux appears to be killing itself. 
			- When I do a "dropbox status" from the command line, it says: "Upgrading Dropbox..."
			- It never stops trying to upgrade itself. 
			- It isn't syncing while supposedly upgrading. 
			- I've <a href="https://duckduckgo.com/?q=%22Upgrading+Dropbox...%22&t=hy&ia=web">searched</a> and on various support boards that this has been happening for years for others.
			- It seems I spend a week every few months nursing Dropbox back to health, usually by lopping off big pieces of my Dropbox archive. It might be time to try something new. 
		- A milestone in American journalism 
			- The NYT isn't punting on whether drinking or injecting poison is bad for a human. 
			- They're <a href="https://twitter.com/nytimes/status/1253719616603541504">taking a stand</a>.  
			- There aren't two sides to that, per the NYT.
			- No he-said-she-said. 
			- Not subject to alternate facts.
			- Let's <i>not</i> agree to disagree. 
			- I am not being sarcastic. This is how bad it has been. They've accepted as reality lies that have cost us dearly. Two sides to ridiculous things that are not two-sided. Finally they have been pushed to the brink of their cowardice by a psychotic president who insists that ingesting random poisons could cure a person of the disease caused by the pandemic that is consuming our country. 
			- The NYT and Trump were in perfect sync on the possibility of this idea being true until now. Let's hope they come to their senses and start showing a bit of the courage and integrity that they take so much credit for having. 
			- The Times takes a stand.
		- Walking on country roads
			- In the country north of NYC where I now live, we're seeing an influx of city folk, staying at their summer homes or using AirBnB's or whatever. And of course they're getting out and walking on our beautiful roads. 
			- But some of them bring their aggressive city walking habits with them, something I'm very familiar with because I also know how to walk <a href="http://scripting.com/2017/11/27.html#a203503">in Manhattan</a>, learned the hard way. 
			- Here are some common-sense rules for walking on country roads.
				- Wear a mask.
				- Walk on the side of the road, not in the middle.
				- Pick a side of the road to walk on and stick with it.
				- If you're in a group of say four people, don't walk four-across. 
				- Leave room for people to pass you.
				- Remember cars and bikes use country roads too. :-)
				- If someone is walking faster, as they approach (assuming you hear them) slow down a little, or stop, to make the passing faster. Stay slow until they are a few yards ahead, so you minimize the breathing their exhaled viruses. 
			- I offer this advice because a few people are walking like there is no pandemic and their breath is free of virus and they're assuming so is everyone else's. 
		- Mark Zuckerberg
			- Zuck gave a video briefing today.
	- April 23
		- Elizabeth Warren's oldest brother <a href="https://twitter.com/ewarren/status/1253332675315724289">died</a> of coronavirus on Tuesday.
		- Working my way through the last season of <a href="https://en.wikipedia.org/wiki/Better_Call_Saul">Better Call Saul</a>. It's great, but the most striking thing are the ads. When the first show aired, on <a href="http://scripting.com/2020/02/23.html">February 23</a>, there was no awareness of the virus in advertising. As the season progressed, at times I forgot I was watching something from nine weeks ago. An ad for a bank that has turned itself into a coffee shop. Whoa that's optimistic, I thought to myself, and then realized this was the old reality. The full series makes a very interesting window into the transition our culture is making. I'm reminded of when my mom died, we didn't do a <a href="http://scripting.com/2018/05/04.html#a070909">video walkthrough</a> of the house we grew up in. Didn't think of it, because it seemed normal to be there, not realizing soon this would all be gone, and in the future it would be anything but normal. Now we're repeating it on a much much larger scale. When this show turns up on Netflix it won't have the ads, and we'll miss the transition, which is in every way as interesting as the show, which as I said is fantastic. 
		- <i>Republican</i> will be one of the most <a href="https://nymag.com/intelligencer/2020/04/mcconnell-calls-general-state-relief-blue-state-bailouts.html">reviled</a> names in human history.
		- Ever notice how I put images in the right margin of posts on "scripting news"? That tradition goes all the way back to the mid-90s. I'm always looking for evocative images that aren't too large, that have empty backgrounds. Imagine how happy I was when I discovered the <a href="https://psddd.co/free-web-font-people-silhouettes/">Wee People font</a>. A collection of silhouettes of people gesturing in easily identified ways. I admit I'm making this post extra long so there's room to put one of the images in the right margin. Please forgive me. Now I wonder which one I should use? Let's see. How about a person of indeterminate gender talking on a phone? 
		- An image for the ages.
	- April 22
		- Media idea: Covid weather report
			- MSNBC and CNN -- start a Covid weather report, nightly.
			- A big <a href="https://en.wikipedia.org/wiki/Weather_map">map</a> of the country with a weatherman style reporter.
			- <a href="https://twitter.com/SteveKornacki">Steve Kornacki</a> would be perfect.
			- Show us where the outbreaks are and how things are changing and what they're doing to slow it down.
			- Tell us how the information-gathering is improving. 
			- Could satellites help?
			- Re-frame the discourse.
		- More science in the news
			- Petitions don't work for politics, but they may work for media. If I started a petition to ask CNN and MSNBC to limit Trump coverage to 1 hour per night, would you sign it? 
			- I think MSNBC and CNN should stop focusing on Trump so much. There's so much news that we need to know. Wouldn't it be better to have <a href="https://twitter.com/Laurie_Garrett">Laurie Garrett</a> and <a href="https://www.nytimes.com/by/donald-g-mcneil-jr">Donald McNeil</a> on every night? 
			- If science and medicine are so important, why not more science and medicine on TV. I've started watching CNN more because they have <a href="https://en.wikipedia.org/wiki/Sanjay_Gupta">Sanjay Gupta</a>. 
			- Yes we know Trump screwed up in the first part of 2020, but he's still screwing up. What should we do now? I know testing, testing, testing, but that's like saying baseball, baseball, baseball. The way we test, what we test for, that's something people should learn about. 
			- Coverage of the outbreaks should be like weather reporting. The more we know, and the more we see progress being made, the more hope can take over from fatalism. 
			- I see journalism as starting to separate from Trump. 
			- I predict that on the day he resigns in disgrace it will not be the #1 story of the day. Probably won't even be #2. That gives an idea of how much we have to change the focus to news that really matters not the latest fake controversy Trump offers us to distract from our future. 
	- April 21
		- Frontline: <a href="https://www.youtube.com/watch?v=4DJtjyB1gvE">Coronavirus Pandemic</a>. 
		- I was going to write a bit about Kobol vs <a href="https://www.zdnet.com/article/wheres-my-check-cobol-unemployment-and-taxes/">COBOL</a>, an ancient programming language which is in the news these days. Kobol is the homeworld of the Twelve Colonies in Battlestar Galactica. I've watched the full series twice. But the synopsis on the <a href="https://en.wikipedia.org/wiki/Battlestar_Galactica">Wikipedia page</a> is riveting. I often forget how simple and beautiful the overall structure of the plot is. <a href="http://scripting.com/images/2020/04/21/bsgplot.png"><span class="spSpoiler">BSG plot</span></a>. And of course the execution. I'd have to say, even though it has cheezy sets and special effects, it's pretty much a perfect multi-part scifi drama. I just watched The Expanse, which is also good, but BSG is still tops with me. 
		- A friend told the story of a hospital in upstate NY that's losing $1 million a day because they have only a handful of Covid-19 patients. Not sure of all the reasons they can't take other kinds of patients now, but there is a statewide ban on elective surgery.  
		- <a href="https://www.nytimes.com/2020/04/20/opinion/coronavirus-testing-pneumonia.html">They buried the lede</a>. A <a href="https://www.walmart.com/search/?query=pulse%20oximeter">pulse oximeter</a> may be more essential to saving Covid patient's lives than respirators. They're cheap, and widely available. Huge.
		- One of the big advantages <a href="https://duckduckgo.com/?q=site%3Ascripting.com+glitch&t=h_&ia=web">Glitch</a> has over <a href="https://duckduckgo.com/?q=site%3Ascripting.com+heroku&t=h_&ia=web">Heroku</a> is that everything is done in the browser. It's such a big difference you don't even see it at first. The thread is <a href="https://github.com/scripting/Scripting-News/issues/168#issuecomment-617292312">here</a>. 
		- Pet peeve: Corporate robo calls that don't take into account that my calls are screened. So I get to hear them say goodbye when I connect. Come on your computer can learn how to talk to mine. 
		- I took a survey class in programming languages in grad school, and COBOL was of course one of them. It was in the mid-late 70s when people were still creating new systems in COBOL. It was one of the first attempts to make programming like English instead of like programming, so managers could do it, you wouldn't need programmers. To anyone who really knew about programming, it was obvious that this would not work. People would want features for which there were no human language equivalents, like looping and recursion, nesting, local variables, procedures, closures, objects, async, etc etc. We keep discovering new concepts for which you can't say "this is just like.." COBOL may have been the first programming language to reject programming, but it was not the last. Later attempts include Hypercard and AppleScript. I'm sure there were many others. I've always been most comfortable with Algol-like languages, C, Pascal, JavaScript. My own invented language, UserTalk, is Algol-like. There is a grammar somewhere for UserTalk. I'll find it later. :rocket:
		- Here's the <a href="https://twitter.com/AudreyAurus1/status/1252170504510869505">new American of the year</a>. 
		- My mind insists, over and over, that today is Saturday.
		- The ebb and flow of lockdown
			- The way we're going to fight the virus is like levels in video games. You don't get to move on to the next level until you've mastered the previous. And when you fall down, you go back to the beginning. 
			- This narrative comes from listening to expert explainers on MSNBC last night, mainly <a href="https://radioopensource.org/the-pandemics-path/">Laurie Garrett</a> and <a href="https://www.nytimes.com/2020/04/18/health/coronavirus-america-future.html">Donald McNeil</a>, who was also yesterday's guest on the the <a href="https://www.nytimes.com/2020/03/24/podcasts/the-daily/coronavirus.html">Daily</a> podcast. 
				- First, establish strategic testing. Do statistical sampling to form virus outbreak "weather reports," like tracking tornados. 
				- If you are in an area where there aren't active outbreaks, you can do a covid-aware resumption of business. Strict limits on size and density of gatherings, so new outbreaks, which will happen, are limited. Makes contact tracing possible. 
				- Where there are outbreaks, do intense contact tracing. Full lockdown except for essential services. Locate people who are infected, and isolate with other spreaders, not with their families. Until the outbreak subsides, then go to 2. 
			- The testing is never of the whole population, always sampled, and to support contact tracing. Testing forms the basis for the weather reports. 
			- We are going to get very good at all this. 
			- I'm sure <a href="https://twitter.com/NateSilver538">Nate Silver</a> can explain better and in more detail. This is similar to what they do at <a href="https://fivethirtyeight.com/politics/">538</a> to predict election outcomes. It's also similar to what they do with TV program ratings for advertising, and gathering meteorological data to support weather forecasts. 
	- April 20
		- Today is <a href="https://en.wikipedia.org/wiki/420_(cannabis_culture)">April 20</a>. It's a day <a href="https://www.youtube.com/watch?v=vUsv4Lb7EQs&feature=youtu.be">like no other</a>. 
		- Chuck Shotton suggested I look at the Node package <a href="https://www.npmjs.com/package/require-from-string">require-from-string</a> as a good basis for plugins for Node apps. I had done <a href="https://github.com/scripting/pagePark/blob/master/docs/plugins.md">something similar</a> with plain old require. Here's a <a href="https://gist.github.com/scripting/3e5454f2b7a10029dfc301d7deabb576">Hello World app</a> I wrote to get an idea how I might use it. 
		- I'm going to be the last person to emerge from the shutdown. First I want to see how the rest of you do. When are you coming out? <a href="https://twitter.com/davewiner/status/1252284017409429508">Poll</a>.
		- A <a href="https://twitter.com/lilienfeld1/status/1251335135909122049">thread</a> from a epidemiologist saying there isn't enough awareness of the damage the virus causes people who survive. It's like the mass shootings. They only count those who were killed. But some people are so damaged they never get to resume anything like a normal life. We'll be living with the (still unknown) after-effects of Covid-19 for a long time to come. 
		- It appears the first mention of the virus on my blog was on <a href="http://scripting.com/2020/02/17.html">February 17</a>. I suggested a question about it in the upcoming debate.
		- It may be bad for the economy but overall it's good that there is <a href="https://www.cnn.com/2020/04/19/tech/global-stocks/index.html">lower demand</a> for oil.
		- I record shows I love so I can binge-watch them on my own schedule. Last night I watched the first episode of season 5 of <a href="https://www.amc.com/shows/better-call-saul">Better Call Saul</a>. It was good of course, but the commercials are so dated. Like reading a magazine from the <a href="https://www.google.com/search?safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ALeKk02kN35WVDHANRMb7Mf6B6dTtrvR0w:1587403615144&q=magazine+from+the+1950s&tbm=isch&source=univ&sa=X&ved=2ahUKEwin5eGkw_foAhV8hXIEHUqjAQgQsAR6BAgJEAE&biw=1256&bih=884">1950s</a>. The episode aired Feb 23. 
		- Shake Shack returning the $20 million is like <a href="https://www.nytimes.com/2016/10/10/sports/baseball/chicago-cubs-fans-throw-back-home-run-balls.html">Cubs fans</a> throwing opposing team home runs back on the field. It's American. It will make you beloved. Keeping the money is unfortunately also American. But reviled and deposed. 
		- Trump's best friend is sad because <a href="https://www.cnn.com/2020/04/20/investing/premarket-stocks-trading/index.html">all his oil</a> is less than worthless.
		- Morning Covid Notes
			- What's bad about these <a href="https://abcnews.go.com/US/residents-protest-coronavirus-stay-home-orders-states/story?id=70233220">demos</a> is that it shows a commitment with some Americans to have an idiot government, no matter the cost financially or in terms of human suffering.
			- To be clear, "re-opening" America is a losing strategy from both perspectives. As <a href="https://www.vox.com/recode/2020/3/24/21192638/coronavirus-bill-gates-trump-reopen-business">Bill Gates said</a> no one is going to want to go to a restaurant or buy a house with piles of bodies all over the place. 
			- It could be that restaurants as a concept are over, btw.
			- The big failing of the press is they are making an excellent issue of Trump's failure to act in January and February, meanwhile it's almost May, and Trump's government is <i>still failing to act. </i>Which has bigger impact? Past failures or the ones happening right now?
			- Unfortunately few journalists cover the failings of journalism, and most are on the payroll of journalism, so they tend to pull their punches.
		- We got our answer
			- One year ago today I <a href="http://scripting.com/2019/04/20/151133.html">wrote</a>:
				- Those who say impeach is not the answer, what would Trump have to do in order to make impeach the right answer?
				- Well here's the thing, what makes you think he won't do much worse between now and inauguration day in 2021?
				- He wouldn't have any restraints between now and then.
				- And BTW, what constraints would there be on the next president? Maybe not such a buffoon as Trump. If we don't impeach and remove, we no longer have a Constitution that's enforced re the president. This guy has been ignoring it. We would all be ignoring it if he isn't impeached and removed.
	- April 19
		- Prediction: The Trump-inspired protests will fade out within about 14 days.
		- My <a href="http://pagepark.glitch.me/">server</a> on <a href="http://scripting.com/2020/04/18/154707.html?title=glitchDay4">Glitch</a> keeps on rolling. Even with the startup delay it's nice and snappy. Still thinking about where I want to go next. I have to figure out how to get more bits of code running on one instance. 
		- The <a href="https://www.nytimes.com/2020/04/18/health/coronavirus-america-future.html">next in a series</a> of eye-opening NYT pieces from Donald McNeil about the coronavirus. It's mostly about the long miserable slog it's going to be, with one bright spot. "In the movies, viruses become more deadly. In reality, they usually become less so, because asymptomatic strains reach more hosts. Even the 1918 Spanish flu virus eventually faded into the seasonal H1N1 flu." An <a href="https://www.navytimes.com/news/coronavirus/2020/04/16/secdef-majority-of-roosevelt-sailors-with-covid-19-are-asymptomatic-flattop-still-wartime-ready/">example</a>, the majority of <a href="https://en.wikipedia.org/wiki/USS_Theodore_Roosevelt_(CVN-71)">Roosevelt</a> sailors with Covid-19 are asymptomatic. 
		- If we had a vaccine tomorrow and it was quickly distributed to everyone in the world, or we found another way to eradicate the virus, would you go back to the way you were living before? Could you?
		- This may be <a href="https://twitter.com/MommaUnfiltered/status/1251855748876898306">the best thing</a> on Twitter now. You can thank me later. 
		- Question about <a href="https://zoom.us/">Zoom</a>. I know there have been concerns about its <a href="https://duckduckgo.com/?q=zoom+mac+security+issues&t=h_&ia=news">security</a>. Is it safe to install on a Mac? Please answer <a href="https://twitter.com/davewiner/status/1251851837898215424">on Twitter</a>. (PS: I used the browser version for the meetup and it worked well.)
		- A couple of nights ago I dreamed I was still a smoker, and felt guilty about lying to everyone that I had stopped. In the dream I'm going from store to store looking for my brand. It's so weird, I quit 6519 days ago. Not one cigarette in all that time. So why in my subconscious do I feel like a loser for cheating?
		- Is the virus here?
			- I find it helpful to ask the question "Is the virus here?" I thought on <a href="http://scripting.com/2020/03/08.html">March 8</a> it must not be here yet. I had a dinner party that night. Lots of touching, no social distancing. Some people from the small town I live in, some from NYC. Should have been more careful. But it's now 41 days later, and all the guests at the party are well. So I guess we dodged a bullet. On that day.
			- Nowadays, when I go for a walk, or go to the market, I ask the same question and assume the answer is yes. The virus is here. 
			- How do I keep it out of my lungs?
			- In server programming there's this idea of <a href="https://en.wikipedia.org/wiki/Taint_checking">tainted text</a>. If it came from outside the server, it could contain executable code. That's how hackers get into our systems, through tainted text. 
			- Now I think about packages from Amazon the same way. I have a physical-world untaint function. I leave them alone for 24 hours. I've heard that the virus will die on cardboard in 24 hours. I assume whatever is inside the box is not dirty, but I think of it as tainted too. It came from outside. It's tainted. I wash my hands after handling it. Then at some point I shrug my shoulders and bless it as part of the house, and not tainted. It's how I maintain a level of sanity. 
			- We wrote an <a href="http://frontier.userland.com/reference/manila/macros/safeMacrosGuidelines">excellent guide</a> to being safe with macros in Frontier, many years ago. 
			- I find a lot of parallels between programming and <a href="https://en.wikipedia.org/wiki/Epidemiology">epidemiology</a>. We've been dealing with similar concerns ever since our software started communicating over the open network. 
	- April 18
		- Maybe the <a href="https://www.youtube.com/watch?v=66CP-pq7Cx0">best end</a> of any <a href="https://en.wikipedia.org/wiki/Thelma_%26_Louise">movie</a> ever. It's now the <a href="http://scripting.com/images/2020/04/18/thelmaLouiseEnd.png">header</a> image <a href="http://scripting.com/2020/04/18.html">here</a>. I didn't like the picture that was there <a href="http://scripting.com/images/2020/03/26/lake.png">before</a>, but spring hasn't happened here yet, and until then I have nothing to replace it with. Thelma and Louise should be the default header here, as it is the permanent one on my <a href="https://twitter.com/davewiner">Twitter feed</a>. BTW, I've been meaning to say this, if you want to get the most out of this <a href="http://scripting.com/">blog</a> you should have an account on Twitter so you can, for example, go there and vote in the polls. Twitter has a useful set of functionality, and they let me use their API and identity system for $0. Pretty good deal. You don't have to do it of course. :rocket: 
		- Look at the units on the Y axis of this <a href="http://scripting.com/images/2020/04/18/graph.png">typical graph</a> of the rate of deaths in various countries. If it were drawn to scale, you'd barely be able to see the ones near the bottom. I don't think most people notice this and are misled.
		- <a href="http://scripting.com/images/2020/04/18/commandersPalace1976.png">Here I am at 20</a>, facing the camera in the loud jacket. My mom is on the right, grandmother on the left, brother with his back to the camera. My father probably taking the picture. This was at my college graduation in 1976 at <a href="https://www.commanderspalace.com/">Commander's Palace</a> in New Orleans. I <a href="http://scripting.com/stories/2009/10/14/friendsSeeThingsYouDont.html">wrote</a> about this picture in 2009. 
		- I understand we're at risk of losing journalism. I propose something grand, like what we're doing with the economy. Merge all the different news orgs in America, like the states are linking up at governor level, and then put your heads together and stop doing stuff that makes the problems worse, and get busy with the new reality. Stop duplicating efforts, chasing gotchas, going through the loops with Trump, and making users give each of you their information just to give you money. Reduce friction, build a new journalism we can all be proud of. 
		- <a href="https://twitter.com/davewiner/status/1251422557447880708">Poll</a>: Why does Trump want to be re-elected?
		- <a href="https://twitter.com/davewiner/status/1251421327925415936">Poll</a>: Suppose the US magically “reopens” on May 1, you will..
		- I wish the Democrats would use the fucking tools
			- A service the Democrats should run, now.
			- A daily advisory saying which government edicts you should not obey to protect your life and other's lives.
			- For example, there must be Democrats in Jacksonville who do not know going to the beach is not safe. 
			- Tell them. Save lives.
			- Each time I think the Dems are establishing a persistent online channel via social media, e.g. Howard Dean in 2004, Obama in 2008 and 2012, the Clinton campaign in 2016, Bloomberg this year, even Warren, as soon as the campaign is over the freaking channel closes. 
			- This is as stupid as it gets.
			- That channel should NEVER close. 
			- Not only is it bad marketing, it's also dangerous policy. Remember Dems you're running for a reason -- to govern. To be good at it. 
			- Well even if you aren't president, we still need leadership, esp in times of a void in the White House.
		- Trump is sending his base to die
			- Trump's base: How many will die? #1
			- Trump's base: How many will die? #2
		- Glitch, day 4
			- Okay so I decided what my next step would be in my exploration of Glitch, get "PagePark" running there. And I did, and it took about five minutes. I keep trying to get Glitch to put up some resistance, but it doesn't. It really does run Node code, unmodified. When I get it working so quickly I'm dazed and need to retreat a bit and think some more as if I had hit obstacle after obstacle. 
			- Here's the server: <a href="http://pagepark.glitch.me/">pagepark.glitch.me</a>. 
			- I just put a random OPML file there, and it just worked, as it should.
			- I lied. I did have to make a small mod. After reading the config.json file, I had to add a check to see if process.env.PORT was defined, and if so use that port, instead of the default port. That's how Glitch tells you what port to run on, same way Heroku does. I will add that to the PagePark distribution so it'll run without mods.
			- Okay so now I know what I want to do next. Find out if they have an API so I can use my own editor to write for this site. And all of a sudden I will have something useful that is shareable. Not bad. 
			- So do they have an API? That's the next thing to look into.
			- Also I wonder if there's a way to have it load from the GitHub repo automatically?
			- I updated the <a href="https://github.com/scripting/Scripting-News/issues/168#issuecomment-615894200">thread on GitHub</a> with this new info. 
	- April 17
		- If they were going to choose a special Time person of the year, I'd nominate The Governor. We're depending on them, given who the president is, and they appear to be coming through, setting an incredible example by working together against the odds and against the norms of the last 30 years. 
		- I ran a <a href="https://twitter.com/davewiner/status/1251089277620019200">poll</a> early this morning asking people to pick one of four women as Biden's running mate. They were Kamala Harris, Gretchen Whitmer, Elizabeth Warren and Stacey Abrams, in that order. Not surprisingly <a href="https://en.wikipedia.org/wiki/Gretchen_Whitmer">Whitmer</a> is getting the fewest votes, but I think she's the best choice. Midwestern governor. Very composed, take-charge person, but also compassionate. Young but not too young. She's under incredible pressure, and apparently doing well. Maybe I like her so much because I don't know much about her. It's possible. But it's her moment now, and there's something to be said for pulling the in-the-moment energy into the campaign. He can't choose <a href="http://this.how/cuomo/">Andrew Cuomo</a> because of his pledge, but Whitmer might be even better. Now could she campaign and deal with the problems of Michigan, which are substantial. That might be a very good way to campaign, actually. And she seems to pass the most important test -- she would be a good chief executive for the country if she is needed for that.  
		- <a href="https://twitter.com/tribelaw/status/1251124028359741447">Lawrence Tribe says</a> we're all going to have to get the virus and a lot of us will die. I don't know if that's true, but life isn't over until it's over. We're still here. There's sometimes a surprise around the corner. Gather ye rosebuds while ye may. 
		- Glitch, day 3
			- Okay it took a lot of hacking, discomfort, trial and error and confusion, because the Glitch model is so different from the <a href="https://www.digitalocean.com/products/droplets/">one</a> I'm used to, but I did finally get a simple editor app running on a Glitch server. 
			- It's a <a href="http://macwrite.org/glitch/">variant</a> of MacWrite. Hooks up to an instance of "nodeStorage" running on the Glitch server, which in turn connects to Twitter for identity, and it stores the files in the folder Glitch gives me. This is not meant to be something useful, just a testbed to learn with.
			- Screen shot: Simple text editor running on Glitch.
			- One thing I've had trouble with is knowing when it's running what version of my app because they appear to relaunch it on every editing change. I understand they do this for newbie programmers, so it's something they don't have to learn to get to Hello World. I might do it that way. But as a programmer for many years, I would like to control that. Ideally from the terminal. Run the app the way I do on my Linux server. <code>node appname.js</code>.
			- A little prior art, <a href="https://en.wikipedia.org/wiki/Turbo_Pascal">Turbo Pascal</a> was very explicit in when you ran what version of the app. You had to stop the app manually, and then restart it after a change. I was already a professional programmer at the time, so I can't vouch for how that worked for newbies, but a lot of people learned to program in TP, so it worked for some of them. In other words, not sure the way Glitch does it is even the right way to go for beginners. You want there to be as little magic as possible, imho. 
			- Not sure what my next experiment will be. 
			- The thread on GitHub <a href="https://github.com/scripting/Scripting-News/issues/168">continues</a>. 
		- Nursing home deaths
			- <a href="https://www.msnbc.com/rachel-maddow/watch/nursing-home-deaths-should-be-obvious-target-of-covid-19-response-82189381550">Maddow</a> last night was unusually depressing. Here’s what we learned. It’s possible that half the Covid deaths in the US are in nursing homes, and since no one is counting them the total death toll is double what we think it is.
			- A <a href="https://www.caring.com/senior-living/new-jersey/andover/andover-subacute-and-rehab-ii-07821">nursing home</a> in a <a href="https://www.google.com/maps/place/Andover,+NJ/@40.9843627,-74.7504447,15z/data=!3m1!4b1!4m5!3m4!1s0x89c370d16ddb23a9:0x7185a0a5d268100!8m2!3d40.9859311!4d-74.7421089">small NJ town</a> is the <a href="https://www.nytimes.com/2020/04/15/nyregion/coronavirus-nj-andover-nursing-home-deaths.html">example</a>. Nice normal suburban town. A nice looking nursing home. Also a death trap. For patients and care-givers alike. Bodies stacked up.
			- A better country would have removed Trump after the Puerto Rico debacle. We are paying for it now. Nothing has prepared us emotionally for what’s unfolding now.
	- April 16
		- I went grocery shopping today. Took a couple of hours all-told. The supermarket was reconfigured with new protocols for moving through the aisles and waiting for checkout. Not too crowded, and almost everything I needed was there. Pasta is now the item in short supply. They had lots of cleaning products, I chose three, but they would only let me buy one. I got <a href="https://www.amazon.com/Clean-Freak-Cleaning-Multi-Surface-Starter/dp/B07PHL372F">Clean Freak</a> because I loved the concept and the name. Yes packaging and branding still matter, even in post-apocalypse America. The only bacon they had was maple-flavored. Never heard of such a thing. On coming home I fried some up, and now the whole house smells of maple syrup. Not a good thing imho. Also -- they had toilet paper. Everyone I saw got some. 
		- It's almost worth risking one's life to <a href="https://www.nytimes.com/2020/04/15/nyregion/coronavirus-nyc-airports.html">travel by airplane</a> just to have the post-apocalyptic experience that air travel has become.
		- Yvonne spotted an <a href="http://scripting.com/images/2020/04/16/oaklandAsMask.png">Oakland A's mask</a> at <a href="https://www.google.com/maps/place/Costco+Wholesale/@37.8988594,-122.320087,15z/data=!4m5!3m4!1s0x0:0xaaf976e769f9e272!8m2!3d37.8988594!4d-122.320087">Costco</a> in Richmond. 
		- Signed up for Medicare
			- I just completed signing up for Medicare including a <a href="https://www.medicare.gov/sign-up-change-plans/types-of-medicare-health-plans/medicare-advantage-plans">Medicare Advantage Plan</a>. My two cents. When <a href="https://www.youtube.com/watch?v=9XKoar34gBI">Bernie says</a> "Medicare for All" -- no I don't think so. It's a bastard child. Complicated and convoluted. Obviously something that has been fought over repeatedly in Congress. And in the end, after getting educated, and coming back again and again, I did what everyone seems to, shrug their shoulders, pick a plan and hope for the best.
			- The medical system should work like this. 
				- You need health care.
				- You get health care.
				- That's it.
			- Medicare isn't that. It's way better than I what I've had until now, ObamaCare, which was a vast improvement over what I had before that (I'd call it Maybe I'm Covered We'll Find Out When I Need It-care). It feels like graduating, finally I get treated like I matter, a little. And I'm pretty sure that if I get in deep shit medically I will be helped. 
			- But why should you have to wait until you're 65 to get that?
			- PS: I'm not 65 yet, but soon. :boom:
			- PPS: It feels like that great <a href="https://www.youtube.com/watch?v=c3XX_z5wZn0">moment</a> in Goodfellas where Paulie says to young Henry Hill "You broke your cherry!" Basically every moment in Goodfellas is a great moment, btw. 
		- Glitch, day 2
			- Lots more info about running Glitch apps <a href="https://github.com/scripting/Scripting-News/issues/168">here</a>. 
			- BTW, so far the only big limit I've learned about with Glitch is the inability to map an IP address to an app. But this may not be a problem because I use Hover as my registrar and DNS, and <a href="http://scripting.com/2019/12/16/170209.html?title=theyCanMap">they can map</a> a top level domain using a CNAME. So you could say make mydomain.com point to a Glitch app.
		- Horror film plot
			- Plot for a techno scifi horror film/retro political thriller.
			- Russia buys a famous movie studio that contracts with HBO to do a sequel to Breaking Bad. The season finale is broadcast with much fanfare on a Sunday night. Everyone is watching, esp people in skyscraper apartment buildings in NYC.
			- The opening scene has soldiers marching slowly across a very very very long bridge. They deliberately lower the volume on the broadcast so everyone turns up the volume on their super sound systems esp in those NYC skyscraper apartment buildings.
			- They gradually increase the volume, causing the NYC apartment buildings to vibrate in sympathy with the marching soldiers, but the people don't notice because it's Breaking Bad and they <i>love</i> Breaking Bad.
			- The buildings undulate and sway and finally they all come down in a crash of the NYC skyline. Trump Tower collapses too, and the president, heartbroken, collapses and dies.
			- Russia wins.
	- April 15
		- <a href="https://twitter.com/davewiner/status/1250207022496321537">Poll</a>: Which is the worse disaster, Trump or the virus?
		- When will we see branded promotional masks?
		- Covering Trump's nonsense is worse than <a href="https://pressthink.org/2020/04/why-dont-they-just-walk-out/">not-news</a>, it blocks news. Takes up space that should be used by actual news. 
		- Trying out Glitch
			- Just trying out <a href="https://glitch.com/">Glitch</a>, very interesting system, looks like what I hoped <a href="https://duckduckgo.com/?q=site%3Ascripting.com+heroku&t=h_&ia=web">Heroku</a> would be, esp that now they have a way to run real server apps (no limits). <a href="https://www.theverge.com/2020/4/15/21220438/glitch-boosted-apps-subscriptions-coding-platform-anil-dash">$10 a month</a>. Certainly worth checking out now as more than a curiosity. 
			- Is there a simple no-frills doc that explains the model for apps. How the filesystem works, how to access an app over HTTP. Can my app have an IP address? How do I know what port to use (port 80 gets me an error). I have succeeded at connecting to my app over HTTP but it comes embedded in something they constructed. Obviously this won't work for serving my non-experimental apps. I understand it's set up for newbies, that's cool. Now how do I strip it down so it works for its new intended purpose?
			- I've opened a <a href="https://github.com/scripting/Scripting-News/issues/168">thread here</a>. I know I've asked some of these questions before, btw -- but I'm approaching it now in a different way. 
		- A current-day NYC story
			- From a friend in the city...
				- I just woke up about an hour ago, and really needing coffee and a bagel, so I put on my mask and went to my nearby bakery. Three people were inside, none wearing masks; I waited for two to leave then stepped in carefully. The remaining customer was a middle-aged woman who seemed to be speaking in great detail to the worker helping her, and getting very close to be heard, maybe 3 feet. The employees were all wearing masks (the crappy surgical mask type) but she wasn't. Then she went to pay and checkout and seemed to have another intensive conversation at 3 feet away from the employee at the register.
				- I thought I probably should have said something, I was still three quarters asleep at that point, but what should I have done in that situation? Did that woman already get sick and figured she didn't need to be careful? Was she a Trump supporter who wanted to flaunt the rules? Something in-between, or just a jerk? 
				- Help me figure out what I should do the next time that happens, maybe you can crowdsource this to your readers? I want to clearly communicate to that person that her mouth is a lethal weapon, and that the bakery employees didn't deserve to be "shot at" just to be paid their 12 or 15 bucks an hour... but, you know, nicely. Thanks. 
				- Silver lining: that bagel was amazing, something about the 0.001% chance of dying really makes it that much better!
			- If you have an idea post a <a href="https://github.com/scripting/Scripting-News/issues/167">note here</a>. Here are a couple of mine. 
				- My fantasy answer comes from having ridden a bike in urban areas for many years. I dream of carrying a can of red spray paint with me, and when someone comes too close with their car and I have to slam on the brakes to avoid getting run over, I whip out the paint and put a red stripe on their fender or bumper. Then they would have to explain to friends and family how they got the red stripe. Shitty drivers would end up with <i>lots</i> of them.
				- I have to admit I once hit a guy's car with a stick on <a href="https://www.google.com/maps/@37.406063,-122.2491704,3a,75y,5.42h,91.82t/data=!3m7!1e1!3m5!1s_EmimMiikqlcJp5LPKtj1A!2e0!6s%2F%2Fgeo2.ggpht.com%2Fcbk%3Fpanoid%3D_EmimMiikqlcJp5LPKtj1A%26output%3Dthumbnail%26cb_client%3Dmaps_sv.tactile.gps%26thumb%3D2%26w%3D203%26h%3D100%26yaw%3D59.450317%26pitch%3D0%26thumbfov%3D100!7i16384!8i8192">Mountain Home Road</a> in Woodside. They get very upset when you touch their car. But he was in my space, I had to move out of his way to avoid getting hit. There was no reason for it, no car on the other side of the double-yellow lines. He was either really sloppy or trying to fuck with me. He pulled over, started coming toward me, and then stopped, presumably when he saw I was much larger than him. The car gives you a sense of size-of-body that isn't realistic. I told him to get back in his car and drive away, which he did. I may have actually dreamed this, not sure.
	- April 14
		- New <a href="http://this.how/littleoutliner/versions.opml#1586885920000">version</a> of "LO2" with a nice-to-have command that downloads all your outline and configuration files on my server onto your local computer. Now you can do a full backup whenever you like. Please use it regularly. If you have questions or comments, please post them <a href="https://github.com/scripting/Scripting-News/issues/166">here</a>. 
		- <a href="https://youtu.be/OcZcb1zJamE">Demo</a> of new Download My Files command in "LO2". 
		- What Trump will do is not impotent or unobvious. He decrees (say) May 10 to be the date to re-open. States that don't re-open won't get any stimulus money. If you won't help yourselves, he'll say, why should the Federal government help you? That will "make sense" to his base as they rush off to their deaths. What happens after that, I don't imagine Trump has thought through.
		- Power user tip. If you're running Dropbox, esp on a server, if your disk space gets low, <a href="https://help.dropbox.com/installs-integrations/desktop/cache-folder">empty the cache</a>. 
		- <a href="https://www.youtube.com/watch?v=Ssd3U_zicAI">What's so funny</a> about peace, love and understanding?
		- Lance Knobel on membership
			- Lance Knobel, founder of <a href="https://www.berkeleyside.com/">Berkeleyside</a>, via email:
				- There's a growing group of online news organizations that do better than your <a href="http://scripting.com/2020/04/13.html#a184131">suggestion</a>. 
				- I'm thinking of the largely nonprofit news sites that, as a matter of principle, don't have paywalls. At Berkeleyside, the way we put it is that our news coverage is probably more important to someone who is housing insecure than to someone in a lovely house in the hills. 
				- So we're free to read, and always will be, but we encourage our readers to support us financially if they can. And they do: we're at over 3,600 members now. 
				- There are plenty of others who have the same core belief, from Texas Tribune to VT Digger to Bridge Magazine. 
				- We're still digging! 
	- April 13
		- The pricing model of online pubs is as if each is publishing a whole magazine or newspaper, as they did before the web. I'm sure that's still their internal model, how their organizations work, but it's not the way we read them. We read an article here, another one there. Their pricing is utterly inflexible. It's a shame to <a href="https://www.brainyquote.com/quotes/rahm_emanuel_409199">waste a crisis</a>. We need information like never before. And they need money because advertising is evaporating. Can't we arrive at a compromise? 
		- It would be smart imho for them to finally allow us to subscribe centrally so we didn't have to create accounts on each site. They have been unwilling to budge on this. I bet there's a ton of revenue out there they can have if each of them would stop trying to be world dominant.
		- Milestone. Last night, my first dream that incorporated the logic of <a href="https://en.wikipedia.org/wiki/Social_distancing">social distancing</a>. So apparently my subconscious has learned about this. 
		- We need a fundamental attitude shift from journalism when there is a complete lack of leadership from the president. Stop covering him, and instead find expertise that knows what we should be doing to save lives, and tell us about that.
		- I wonder if McConnell has any understanding of systems? He might not have a clue. All the judges in the world won't matter if the <s>country</s> world is reduced to rubble.
		- How Trump is dealing with Covid-19.
	- April 12
		- It's really sad what the trumps did to America.
		- Stop everything and <a href="https://twitter.com/BorisJohnson/status/1249336590482243585">watch</a> this presentation by Prime Minister Johnson of the UK. Incredibly powerful, credible, a perfect call for the British people. Now maybe he can knock some sense into the Republican leadership in the US. Also doesn't this make you wish we had an NHS in the US. I thought this was such a noteworthy speech we added it to the <a href="http://this.how/cuomo/">Cuomo podcast</a> as a "special enclosure."
		- <a href="https://www.theatlantic.com/politics/archive/2020/04/voting-mail-2020-race-between-biden-and-trump/609799/">Worth mentioning</a>. All six key swing states—FL, NC, AZ, MI, PA, and WI—already allow their residents to vote by mail, for any reason. So Trump doesn't have to try to destroy the US Postal Service. 
		- I'm getting the <a href="https://www.kinsahealth.co/">Kinsa thermometer</a> tomorrow, but I already have my <a href="https://www.walmart.com/browse/health/pulse-oximeters/976760_1005860_1161882_2477346">pulse oximeter</a>, it came via Fedex on Friday. It's that <a href="https://duckduckgo.com/?q=pulse+oximeter&t=h_&ia=images&iax=images">thing</a> they put over your finger that says how fast your heart is beating and how much oxygen is in your blood. My numbers are good.  
		- <a href="https://twitter.com/yayalexisgay/status/1249057146051821568">Silicon Valley</a> hasn't changed in all these years. 
		- The post office is fine
			- The post office is fine. Repubs like to say government does everything wrong but it isn't true. 
			- Ever try to get help from an airline? Or an ISP? 
			- I live in the country and we <i>depend</i> on the post office. A lot of systems would break without it. 
			- Trump can't be serious.
		- Zip work
			- I posted this earlier.
				- I need to zip up a set of files in Node. Why isn't there a drop-dead simple API for doing this. Here's the <a href="https://gist.github.com/scripting/aa50ae77b8929bcad55c8b7125a6f3ba">pseudo code</a> for how I'd like to do it. If you have a suggestion you can comment on the <a href="https://gist.github.com/scripting/aa50ae77b8929bcad55c8b7125a6f3ba">gist</a>. 
			- Since then I solved the problem, creating an NPM package, davezip (not released yet), that has the API I want, built on the <a href="https://www.archiverjs.com/">archiver</a> package. 
			- Will post the details after my next session. 
	- April 11
		- <a href="http://this.how/littleoutliner/versions.opml#1583613735000">LittleOutliner v1.8.12</a>. Lots of fixes, tweaks. 
		- <a href="https://github.com/scripting/pagePark#v086-41120-by-dw">PagePark v0.8.6</a>. Mirrors, and a new feature for plugins. 
		- I am listening to <a href="https://www.youtube.com/watch?v=EdEQkRq_xrw">this song</a> a lot these days. "Burn down the mission If we're gonna stay alive. Watch the black smoke fly to heaven. See the red flame light the sky." A theme song for this era. We're going to have to burn it down. We've been putting it off for too long and now are living with the consequences. That's why this hurts so much, we created this moment as much as the Tea Party people did.
		- It took about a half hour to realize the thermometer I got in the mail today was not the <a href="https://www.cvs.com/shop/kinsa-quickcare-smart-digital-thermometer-for-all-ages-prodid-2180122">Kinsa thermometer</a> and that's why I couldn't configure the Kinsa app to talk to it. D'oh. God is goofing on me today. I ordered the <a href="https://www.amazon.com/gp/product/B085Y6H3CZ/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1">thermometer</a> in March as a test to see if the world would still be here in May. Haha joke's on me, it is. PS: It got here a month early.
		- I have mixed feelings about our demonstrations for health care workers. It could be interpreted not so much as appreciation as "please save us."  The health care worker might resent this. I would. Why couldn't you heed the warning sooner? But it's good because it's a reminder to ourselves that there will be no simplistic solution to this problem. The applause is for us, for having the resolve and discipline to stick with it. And knowing no matter how painful it is for us, we have it easy.  
		- There's a myth that every dollar the government spends is from taxes, i.e. <i>taxpayer money. </i>Far from it, It's at least partially invented money or borrowed money, esp when it comes to bailouts and pointless wars. It's all good when the money is invested in a positive way, that creates growth, or value for the citizens of the country, now and especially future. Education is one great example, health care, and esp public health (as we're learning now). When we burn the money by blowing up far-away countries, or give the money to big companies for no reason, or the super-rich, it does nothing for us, or really for them. It's like scattering the money to the wind. 
	- April 10
		- Here's a <a href="http://my.this.how/davewiner/howtos.opml">new service</a> for "LO2" users. Use this kind of outline for documents you want to add to or refine over time. FAQs, guidelines, instructions, screeds. Definitely not for blog posts, since there's no time element in it. There's lots of depth to this kind of outline, and it's easy for me to add new features. So that's an extra bonus. If a small community of writers develops here, I will have incentive to show you how to use the other features, and perhaps add new ones. 
		- I chose this route for rolling out rendering for outlines very deliberately because it <i>didn't</i> include blogging features. It's focused on writing. There are already countless ways to blog. But there's a common feature set between the <a href="http://this.how/">this.how</a> docs and <a href="http://scripting.com/2019/06/02/150411.html">Old School blogs</a>, so any skills you pick up here can work for blogs too, if there's ever a need to go that far. I have found this format useful even though I have a blog. So when you think -- I should write some guidelines for this, or a FAQ or directions for cooking a type of bread, writing that isn't of-the-moment, then you can use "LO2" to write and revise it, and send people the URL of the my.this.how rendering of it. 
		- If the airlines thought they would lose all that money from a shutdown, instead of being bailed out, maybe they would have pressured the government to act more aggressively against the virus.
		- <a href="https://www.stripes.com/for-mcconnell-virus-carries-echo-of-his-boyhood-polio-during-wwii-1.625609">McConnell</a> had polio as a child, it left him disabled for life. I grew up after there was a vaccine, but just barely. The vaccine came out in <a href="https://www.history.com/this-day-in-history/children-receive-first-polio-vaccine">1954</a>, I was born in 1955. So there were polio victims in school when I was. There was a girl, Bridgett, who played with us in a wheel chair.
		-  It's pretty obvious that <a href="https://nypost.com/2020/04/10/democrats-want-to-drop-joe-biden-for-andrew-cuomo-poll-finds/">Cuomo</a> should be the Democratic nominee. What's happening now is a much more rigorous vetting than the primary debates (a reality show).
		- I have a <a href="https://github.com/scripting/Scripting-News/issues/164">question</a> about Apple podcasts. The new <a href="http://this.how/cuomo/">Cuomo</a> podcast shows up in my iPhone podcasts app. <a href="http://scripting.com/images/2020/04/10/cuomoScreen.png">Screen shot</a>. It also shows as having updated. But when I look at the page for the podcast it only shows episodes through Tuesday. Today is Friday. Is there something wrong with my feed? I want to get this working properly. I also noted that Sunday and Monday are missing too. They are most definitely in the <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/cuomo/rss.xml">RSS feed</a>. 
		- Testing and contact tracing
			- Testing and contact tracing is central to turning the lights back on before there's a Covid19 vaccine. Since the US government isn't doing it, we have to do it. We can't afford to wait. Lives and livelihoods are at stake. Too important.
			- <b>Testing</b>
			- Testing is doable. Since the FDA is a bottleneck maybe <a href="https://www.bloomberg.com/opinion/articles/2020-04-09/california-declares-independence-from-trump-s-coronavirus-plans">California</a>, New York, New Jersey, Connecticut, Illinois, Masachusetts and any other state who cares about its people can break free, or work with the US government's FDA to loosen things up so we can get say 10 million tests done per day for the forseeable future. You should be able to get one whenever you want one.  
			- I heard on the <a href="https://www.wnyc.org/shows/bl">Brian Lehrer Show</a> this <a href="https://www.wnyc.org/story/how-testing-will-help-us-get-back-regular-life/">morning</a> that the testing part apparently is doable, we can scale it up. It'll cost $100 billion to start, but if it got us out of this mess a month sooner it would be a good investment. 
			- <b>Contact tracing</b> 
			- <a href="https://www.npr.org/sections/health-shots/2020/04/10/831200054/cdc-director-very-aggressive-contact-tracing-needed-for-u-s-to-return-to-normal">Contact tracing</a> is easily solved, very quickly. It's more of a political problem than a technological one.
			- <a href="https://privatekit.mit.edu/">MIT has an app</a> for contact tracing. It has the right privacy configuration, the information isn't shared without you sending the data somewhere. By default it never leaves your phone. But the MIT app is on very few phones. 
			- On the other hand, Apple and Google and others have <i>very good</i> data for contact tracing and their apps are widely deployed. World-wide. We wouldn't just be solving the problem for the US, we'd be doing it for everyone everywhere who has an iPhone or Android phone. 
			- But they are reluctant to even say they can do it for fear of the backlash. It's time to have this conversation. Maybe the surveillance aspect of the new technology is worth supporting if it saves lives and can easily be turned off, by the user, when we're no longer in crisis. 
			- My friend <a href="https://en.wikipedia.org/wiki/Doc_Searls">Doc Searls</a> is the expert on this. I'll ask him what he thinks. 
			- <b>Update</b>
			- Shortly after this piece was posted, <a href="https://blog.google/inside-google/company-announcements/apple-and-google-partner-covid-19-contact-tracing-technology">Apple and Google announced</a> they're going to work together on contact tracing. Wow. That's quick turnaround! :boom:
	- April 9
		- I've heard it said in the news that the virus is "peaking" in the US. Pretty sure that's not true. It <i>may</i> be peaking on its first go-around in NYC, but elsewhere it's just ramping up. 
		- I remember how hard it was to stop smoking in the years before I actually did. I would make a little progress, and feel okay I can have one now, I've been good, and then I go right back to two packs a day. Getting rid of the virus is going to be like that. Just when we feel like we have it licked is when you have to double-down on the commitment. It's so easy to let up, relax. And go back to the thing that was killing you. 
		- <a href="http://scripting.com/2002/08/22.html#When:5:05:41PM">2002</a>: "Tomorrow is Day 70 of No Smoking Dave. Ten weeks. A non-smoking story at the Bowie concert last week. As I'm walking out I see people lighting up everywhere. Smell of smoke all around. It smells good. I really want one. In my mind I outline the steps it would take to be smoking and the amount of time it would take. I would ask someone if they could spare a cigarette. If they said no I'd offer them $1. Oh hell, just offer $1 to begin with. Whoo, where would I get a match. I'd ask for a light. Take a drag. Estimated time, 15 seconds to one minute to first nicotine rush. My heart started beating faster. I felt scared like you feel on a NY subway platform as a train is entering the station and you're standing on the platform and in the instant before it passes you think how you could end your life by leaning forward."
		- Yesterday <a href="https://twitter.com/amazon/status/1248094415752749059">Jeff Bezos visited</a> an Amazon warehouse and a Whole Foods supermarket. The video would have been hard to anticipate just a few weeks ago. Why is he walking around like that, alone, not shaking anyone's hand. If that were a scene in a movie it would win an award. Foreboding. Ominous. Weird. 
		- A couple of months ago it <a href="http://scripting.com/2020/02/08.html#a184531">started</a> to bug me that I didn't have a DVR for my TV, haven't had one since I gave up my TiVO when I left Massachusetts in 2004. Now my cable setup is Spectrum, because that's the only cable supplier where I live, and their TV package, including HBO, Showtime, and the rest of the stuff. I used it mainly for HBO, MSNBC, Law & Order and the occasional Knicks game. I set out on a quest for an alternative, and the best I came up with is <a href="https://tv.youtube.com/">YouTube TV</a> which I am now subscribed to. The other choice was Hulu, which I have used and liked. Not sure which is better. Anyway, I got my <a href="https://en.wikipedia.org/wiki/Digital_video_recorder">DVR</a>, so I can watch last night's Maddow when <i>The Trump Show</i> is on in the early evening. And I don't need <a href="https://www.insider.com/when-sports-return-from-coronavirus-hiatus-nba-mlb-nhl-2020-3">sports</a>, because there aren't any. And I use the <a href="https://channelstore.roku.com/details/8378/hbo-go">HBO app</a>, along with Netflix and Amazon. It's a good setup. 
		- The Fake Friends of Facebook are getting so freaking obvious and numerous. Every day I get ten or twenty friend requests from "people" who are obviously made-up. Here's a <a href="http://scripting.com/images/2020/04/09/fakeFriendRequestsOnFacebook.png">screen shot</a> of some of them. I'm amazed Facebook's algorithm can't filter these.
		- Biden can make a difference now
			- Biden can assemble a panel of scientists and medical doctors to keep the public informed. An hour a day, press conference style. What the CDC would be doing if Trump weren't president. 
			- And he (Biden) would step back, an example for what Trump should do. Let the doctors and the military manage it. Stop campaigning while thousands of Americans are dying. Biden wouldn't even have to say it. It would make Trump look immediately tone deaf which he most certainly is.  
			- What makes this idea so appealing right now is that the governors are linking up and sharing resources. Someone should be providing the science for them. The government is failing. But there's plenty of unused talent out there, it just needs to be managed. 
			- Another reason -- it would mean that in order to compete, Trump would not only have to enable his scientists, he would also have to start using the US government money as it must be used, not for whatever bullshit he has planned. If he doesn't why should anyone listen to him? By giving him TV power the networks have made it unnecessary for him to use the government's economic and military power. 
	- April 8
		- We can't wait until <a href="https://en.wikipedia.org/wiki/United_States_presidential_inauguration">2021</a> for Trump to leave office. Too many Americans will die needlessly. I don't want to be one of them, do you?
		- According to this emergency room <a href="https://twitter.com/cameronks">doctor</a> in NYC, <a href="https://www.youtube.com/watch?v=k9GYTc53r2o">Covid-19 is a new disease</a>. Not <a href="https://www.mayoclinic.org/diseases-conditions/ards/symptoms-causes/syc-20355576">ARDS</a>. The disease is like being dropped at the summit of Mt Everest without <a href="https://www.mounteverest.net/expguide/accli.htm">acclimation</a>. He says the standard treatment hurts the patients. Here's the <a href="https://www.statnews.com/2020/04/08/doctors-say-ventilators-overused-for-covid-19/">writeup</a> in Stat. 
		- A new thread. Pornography of the future. We will watch movies of beautiful happy people in social settings with other beautiful happy people, exchanging in-person conversation, experiencing exotic smells and waves of oxytocin. Multitudes of beautiful, interesting and happy people wander by, exchanging knowing glances and suggestive smiles. No one is wearing a mask. Their faces are literally naked. In public. Naked. Va va voom. 
		- Occam's News says that <a href="https://www.npr.org/sections/coronavirus-live-updates/2020/04/07/829244345/trump-criticizes-who-and-threatens-to-pull-u-s-funding">Trump threatened</a> to withhold  money from the <a href="https://www.who.int/">World Health Organization</a> because their test worked and his didn't and that made him look bad. 
		- The Cuomo briefing podcast is now available in the <a href="https://podcasts.apple.com/us/podcast/cuomo-podcast/id1506413883">iTunes store</a>. And of course it's available <a href="http://scripting.com/cuomo/rss.xml">via RSS</a>. Tell your friends.
		- When I sit down at a <a href="https://twitter.com/davewiner/status/1115239756974174208">lovely dinner</a>, with interesting, humor-filled friends in a beautiful spot, I am as rich as I can possibly be. A billionaire couldn't have more. I first realized this at a sushi restaurant in Sausalito, where the chef had prepared the most amazing looking and tasting <a href="https://twitter.com/davewiner/status/1115618047757254656">bouquet</a> of fresh fish and rice. Literally this is as rich as you can get.
		- I'd like to see one of the cable channels continue their regular broadcast without airing The Trump Show every night. It's very bad for our country, in the spirit of <a href="https://www.youtube.com/watch?v=aFQFB5YpDZE">Jon Stewart's appeal</a> to the Crossfire guys so many years ago. They never did help us, and now <i>thousands of Americans are dying. </i>What will it take to wake the owners of the networks up. And the people, why are you watching this deadly animal garbage? Don't you get it? If you didn't watch they wouldn't broadcast. Don't you care about your own lives?
		- Is this really news?
			- How much of the press coverage amounts to this:
			- Headline: Trump is a horrible person. 
			- Sub-head: We are truly fucked.
			- Fours years of this crap.
		- The math behind social distancing.
	- April 7
		- I don't understand how <a href="https://www.youtube.com/watch?v=NWeh4A600E0">this clip</a> from <a href="https://en.wikipedia.org/wiki/The_Dark_Knight_(film)">The Dark Knight</a> hasn't become viral, it's such a premonition of Trump. Where's the plan you ask? There is no plan. He's the dog who caught the car. He has no idea what to do with it.
		- Is there a website you can go to, to find out if Trump's daily-court-holding is over?
		- It's amazing how many podcasts suck for the simple reason that they put 15-20 minutes overhead up front. You keep waiting for them to start. My mainstays all have one thing in common, they start quickly.
		- Manhattanites queue up for Zabar's. 
		- New slogan: <a href="https://github.com/scripting/utils/blob/master/daveutils.js#L748">Wash your hands</a>.   
		- When I edited yesterday's piece about my grandfather <a href="http://scripting.com/2020/04/06/152004.html?title=rudyKiesler">Rudy Kiesler</a>, I stumbled across a reference to him as a "German Jewish communist," on a page about <a href="https://wikimili.com/en/Arno_Schmidt">Arno Schmidt</a>, who was my grandmother's brother, Rudy's brother-in-law, my mother's uncle and my great uncle. I thought that was super interesting. Because if you met Rudy you'd have thought he was a Republican, at least today you would. But he wasn't at all. He was super liberal. Our whole family was. It never occurred to me that he was a communist, but he might have been, esp from the point of view of Uncle Arno (who I never actually met). 
		- Also, <a href="http://rudykiesler.com/">Rudy's</a> company, <a href="http://www.b340.com/">United Pioneer</a>, still exists. Apparently Salant shut it down when they went bankrupt in the 80s, they must have sold the name to Bernie Braverman, who worked for Rudy. I remember him, since I worked in the office one summer (the summer of the Watergate hearings). United Pioneer, amazingly, still exists, but they wrote Rudy Kiesler out of the story. I've seen this happen many times, even with my own work. It must run in the family. Anyway the web is amazing, the trails are there for all of this, you just have to look, and now this is part of the story too. 
	- April 6
		- At next press conference, please ask Trump if he has considered resigning. Repeat until he resigns. 
		- In the past our idiocracy killed people in far-away places. Now as they say, the chickens have come home to roost. Now you can't look the other way.
		- <a href="https://twitter.com/joshtpm/status/1247216801886416902">Kudlow</a>: "I don't believe anybody could have predicted the exponential rise of this." OK that right there is why you get people who know math and biology to run the response to a pandemic. 
		- It really should be Cuomo v Trump in the November election, assuming Trump hasn't resigned by then.
		- We ought to, instead of talking about how <s>deficient</s> defunct Trump is, talk about the job of POTUS, what his or her responsibilities are, for future reference, so there’s never again a doubt as to whether the incumbent is doing the job.
		- I suggest we use the word "trump" (lower case) to refer to what we used to call the Republican Party. Example of usage: "That trump is really corrupt. Yeah they all are."
		- Has Trump taken hydroxychloroquine himself? Why not? What has he got to lose?
		- Was the Queen's speech timed to coincide with <a href="https://www.npr.org/sections/coronavirus-live-updates/2020/04/05/827754993/boris-johnson-hospitalized-for-testing-after-coronavirus-diagnosis">Boris Johnson's hospitalization</a> or was it a chance event?
		- Rudy Kiesler
			- My maternal grandfather, <a href="http://rudykiesler.com/">Rudy Kiesler</a>, was a bundle of energy. Highly opinionated. Very loud. Didn't spend a lot of time thinking (or so it seemed to me as a child) he just burst into action. 
			- He was the 13th of 13 children, born in the land between Poland and Germany, sent off to fend for himself as a very young boy. 
			- Jewish, he was deported in the first rounds of the Nazi regime, leaving my grandmother and mother behind. Lucie, my grandmother, was Lutheran, blonde-haired, blue-eyed Aryan princess. Why they married is something I never understood. They didn't seem to have anything in common.
			- So the women were left in Germany or Czechoslavakia, I'm not clear on which, and <a href="https://duckduckgo.com/?q=site%3Ascripting.com+rudy+kiesler&t=hy&ia=web">Rudy K</a> was in Brooklyn or Queens, setting up a garment business, which he ran until he had a stroke in the 1970s. With no heir wanting to inherit the business, he sold the company, United Pioneer, to <a href="https://www.referenceforbusiness.com/history2/53/Salant-Corporation.html">Salant & Salant</a>. But he was always a bundle of energy, until he drifted away in a nursing home and died in the early 90s.
			- He would not have liked this "stay home stay safe" thing. I can't imagine he would have done it. He was the kind of guy who couldn't stand to wait in a line at the <a href="https://en.wikipedia.org/wiki/1964_New_York_World%27s_Fair">World's Fair</a>, so he'd cut in front of the person at the front of the line, and when they complained, he'd ignore them (this actually happened). 
			- Here's a <a href="http://scripting.com/images/2001/09/22/kieslers.gif">picture</a> of his <a href="http://scripting.com/2001/09/22.html#l60a1aad9dbba17d33466766294610e29">family</a> in Rockaway probably in 1961 or so. 
			- He was a legend. Still looms large in my mind. 
		- Tabs on scripting.com
			- I changed the way tabs work on the "Scripting News" home page.
			- There are three tabs: Blog, Links and About.
			- When you click on a tab, you are redirected with a url of this form:
				- http://scripting.com/?tab=<i>name</i>
			- Where <i>name</i> is the name of the tab you're going to.
			- That way you always have a link to the tab in the address bar.
			- And the browser's Back button works. 
			- It used to do it all with JavaScript without redirecting.
			- It also no longer remembers what tab you had frontmost last time you visited the site. This was always annoying. Not a good heuristic. When I come to scripting.com 99 times out of 100 I want to see the blog. It doesn't matter what I was looking at last time I visited. 
			- This was <a href="https://github.com/scripting/Scripting-News/issues/139">suggested</a> a long time ago, has been on my todo list ever since, and I finally got around to doing it. It's even worse than it appears. :boom:
	- April 5
		- Highly recommend this week's Radio Open Source interview with <a href="https://radioopensource.org/the-pandemics-path/">Laurie Garrett</a> who is an eloquent expert on the pandemic. I had heard her interviewed elsewhere, this time <a href="https://en.wikipedia.org/wiki/Laurie_Garrett">she</a> gets all 50 minutes, and she's brilliant, deeply informed and passionate. 
		- <a href="https://med.stanford.edu/covid19/covid-counter.html">This is great</a>. Stanford University is setting up a network of Americans around the country to track their symptoms and exposure to people with CV. When <a href="http://scripting.com/2020/03/23.html#a154211">NakedJen</a> traveled through Seoul on her way home, she had to install a mobile app to keep a diary of her symptoms, if any. This is how they do containment, and it's great to see a similar system starting in the US, from a credible institution like Stanford. We're on the road now. Every American reader of this blog should sign up for daily reminders, and do it. If I could make it a requirement, I would. America being smart. 
		- I am old enough to remember what was left after polio. Not old enough to have gotten it myself, the <a href="https://en.wikipedia.org/wiki/Polio_vaccine">vaccine</a> already existed when I was born. But there were kids in my school that had been crippled by it.
		- I'm okay with people going to church as long as we can lock the doors after they're all inside. They should not be allowed to re-enter society after being so reckless with their own health. On FB they're saying they should stay inside for 14 days and those without symptoms be allowed to leave. I am reminded of the famous <a href="http://scripting.com/images/2020/04/05/never.png">New Yorker cartoon</a>. I think "never" is a better time to let them out.
		- I am buying all the ramen. (Not really.)
		- Enoch on the Stanford project
			- Here's what <a href="http://scripting.com/2020/03/24.html#a165220">Enoch Choi</a> said about the <a href="https://med.stanford.edu/covid19/covid-counter.html">Stanford project</a>.
				- How would you like to help to predict where the next hotspots are for the Coronavirus?
				- Stanford Medicine would like people to take a national survey. It is anonymous in aggregate so they can predict areas that will be most impacted based on how you are feeling. This data can help redirect medical resources and give public guidance.
				- Think about it. Most of us, if exposed, may develop a mild case and stay home to recover. We may not be able to be tested because we are not sick enough. There aren't enough tests available either. That data point is considered "under the radar" and is not reported in the daily numbers we hear on the news.
				- But if we knew how people felt, self-reporting symptoms, we could get a jump on it.
				- Given the 9-10 day delay between onset of symptoms and hospitalization, and the 20% hospitalization rate of patients, this type of survey tool can help fight the Coronavirus.
				- Please consider taking this survey to help end this pandemic quickly. You can opt out at any time.
		- How CV got started in the US
			- Yesterday, I <a href="http://scripting.com/2020/04/04.html#a152322">asked</a> a somewhat nuanced question, basically why does the virus travel in waves across the United States? Why is it not distributed uniformly across the country? 
			- A retired bioresearcher sent via email a non-mathematical explanation that makes sense to me. Note he talks about places where Asians are in the US, it's a bit delicate, but since the virus originated in China, and I'm trying to understand why it's not everywhere, it is factually relevant.
			- Here's the story:
				- My degree is not in mathematics but after forty years in bioresearch I hope I know how to think logically. 
				- People do move freely about the US, but it isn’t random movement. There are also nuances in genetic, <a href="https://en.wikipedia.org/wiki/Endemic_(epidemiology)">endemic disease</a>, age distribution demographics, health care infrastructure.
				- Travelers congregate at airports, on cruise ships, and mingle at tourist destinations. There have been numerous maps published that show how spread of the virus aligns with popular travel routes and political alignments. Winter holiday travel turned out to be a particularly bad idea last year.
				- Our index case was already symptomatic when he left Wuhan and came home to Seattle in mid-January. New York didn’t see their first case until March (via Iran). Both are coastal cities with seaports, major airports, universities, and diverse populations, but NYC is half the size of Seattle and has about nine times as many people. New Yorkers literally can’t get away from each other.
				- Chinese Americans are not homogeneously distributed across the US, and they tend to live, work, and travel in aggregates. NYC and Seattle demographics show about the same proportions of Asians, but NYC’s are jammed more tightly together and an airborne contagion would hit more people, more quickly there. 
				- California's significant Asian population is clustered in Santa Clara County, by far the hardest hit by the virus. The state has been under shelter-in-place orders since mid-March. 
				- Philadelphia has a tiny Asian population and they’re all in one district. Philly also has a very large and well-equipped hospital in Center City; they’re prepared.
				- Drilling down into the data in my area, West Virginia was late to the party imo because the folks who choose to live there like their solitude in the woods, and they don’t travel much. This held back the spread in the western parts of adjacent states (Maryland and Pennsylvania) where the first cases weren’t seen intil mid-March. None of these areas have  significant Asian populations.The two Maryland counties with large Asian populations recorded their first cases a month earlier.
				- The wave thing is - once the virus is in the door, one way or another it’s gonna find you - it’ll getcha getcha getcha - unless it can’t, of course."
			- If you have additional info re this piece, please <a href="https://github.com/scripting/Scripting-News/issues/162">post here</a>. 
	- April 4
		- Wondering if behind the scenes Dems are polling Repub senators to see if there are 20 or 30 votes for removing Trump at this point.
		- We need someone strong in a leaderly way in American journalism as much as we need a few congressional Republicans to grow a conscience and a spine. A seminal piece from a NYT columnist might do the trick, aimed at their own profession, not others.
		- Last night Maddow shared <a href="http://scripting.com/images/2020/04/04/graphs.png">two graphs</a> from <a href="https://en.wikipedia.org/wiki/David_Ho">David Ho</a> that illustrate why, unless everyone stays home at the same time, even those states that do will have a much longer and more costly pandemic. The best thing for everyone would be if we all lock down now, and wait out the virus. 
		- I asked a <a href="https://twitter.com/davewiner/status/1246347423045337089">question</a> on Twitter this morning that apparently was not understood. Let's try again. When Gov Cuomo says that NY got hit first, I want to know why other American cities didn't get hit at roughly the same time. They say a virus moves in waves. First northern Italy gets it, then the south. NY has its hospitals overloaded, but not Philadelphia. The theory is, according to Cuomo, that the virus will peak in NY, and then peak in other places. Since people move freely around the US, why wouldn't it all happen at roughly the same time. I'd like you to remember, before answering, I have a math degree, and have spent decades working with logic and numbers in computer software. Saying that Dallas has cases, as has St Louis and Cleveland, while true, is not an answer to this puzzling question. Thanks in advance for considering this. 
		- Heard something disturbing <a href="https://www.wnycstudios.org/podcasts/tnyradiohour/segments/why-we-underestimated-covid-19">on WNYC</a> earlier. A <a href="https://en.wikipedia.org/wiki/Daniel_Kahneman">Nobel laureate</a> in psychology said he was optimistic for society and pessimistic for himself. At his age, he said, the virus is basically a life sentence of staying isolated. He's 86.
		- Sometimes iTunes <a href="https://www.youtube.com/watch?v=PUYDb9XG2rs">won't let me</a> drag an audio file into a playlist. I can never figure what it doesn't like. Did it ever occur to them to give us an error message of some kind?
		- Submitting to iTunes
			- I want to <a href="https://podcastsconnect.apple.com/my-podcasts/new-feed">submit</a> the <a href="http://scripting.com/cuomo/rss.xml">Cuomo podcast</a> to iTunes.
			- It failed in my first attempt. Here are the messages I got.
				- Podcast artwork must be between 1400 x 1400 and 3000 x 3000 pixels, JPG or PNG, in RGB color space, and hosted on a server that allows HTTP head requests.
				- Can’t submit your feed. There is no category tag in your feed, or the category tag is empty.
				- Can’t submit your feed. There is no explicit tag in your feed, or the explicit tag is empty.
			- I'm trying to figure how how you're supposed to specify "podcast artwork." Guessing it's the channel-level <a href="https://www.w3schools.com/xml/rss_tag_image.asp">image</a> element. 
			- In any case this isn't going to be a quick thing. I have to update my <a href="https://www.npmjs.com/package/daverss">RSS package</a> to allow for the new metadata they want. And I have a feeling from some of the docs that they want us to use HTTPS, which is somewhat of a deal-stopper. Yes I know the <a href="http://this.how/googleAndHttp/#1519488824000">usual arguments</a>. 
			- Update: I got the podcast through their validator and it is <a href="http://scripting.com/images/2020/04/04/submitted.png">submitted</a> for review.
		- The parent and child, in crisis
			- We're all depressed. I heard this explained well <a href="https://twitter.com/laurenthehough/status/1246318803077804033">on Twitter</a> last night. Our brain tries to understand the predicament. Not the intellectual brain, the instinctive one. The subconscious. The child. The one that decides in an instant to fight or flight. The one that keeps your organs functioning, oversees the immune system's response to an invader. It's very powerful, but its vision is limited to the input coming in through your senses. It's not very well wired up to your conscious self, the intellect. Something is threatening you, it can detect that, but it doesn't understand what it is. So it makes you numb while it tries to figure it out. But it never can. So you feel depressed. 
			- We're all in this place. Yet somehow we manage to do things. To take care. Clean, feed, nurture ourselves. To find distractions. We create moments where we feel well. I've watched myself do this, and see myself doing something I learned in various workshops and classes I participated in, in my 30s and 40s. It involves another duality inside of all of us, the dependent child and the nurturing parent. I literally give voice to the parent. Let it speak, out loud, to the child.  
			- I'm lying in bed at 10AM. I don't want to get up. The parent's voice says, Dave, it's time to get up. I don't want to, I don't want to. The parent holds my hand, and says don't worry, I've got this. I'll give you something good to eat, something delicious and filling. Then we'll play a game, and go for a walk, and the list goes on. Things my inner child likes. It doesn't matter so much that he likes these things, but that the patient, loving voice <i>knows</i> he likes these things and will give them to him. Someone has taken charge, and the scared little boy feels loved, guarded, cherished. 
			- That's why we like listening to Gov Cuomo, and can't stand listening to Trump. The former says I've got this. I'll get us through this. You can depend on me. The latter says I'm going to fuck things up even worse than they are. The former helps us get out of bed and face the world, the latter makes us want to pull the covers over our head and pretend we're in another place and time.
			- As adults, all of us have an inner parent we can call on, if we remember to do it. A leader like Cuomo helps us access our strength and determination, helps calm the fears of the child. We may not know the answers, but we will find them, together. 
		- Narcos taught me something
			- An episode of <a href="https://www.theverge.com/2020/2/14/21138189/narcos-mexico-review-netflix-season-two">Narcos/Mexico</a> just opened my eyes. 
			- Season 1, Episode 2.
			- A young guy with a big idea gambles big and loses because his boss is an idiot.
			- He's being taken off to be executed, but he's cool. He knows he's going to be killed. He took a risk and lost. He's ok with it.
			- Cops flag down the car, make everyone get out and they shoot everyone but the guy who was about to be killed.
			- The cops were part of the big deal, and they liked the smart young dude so they killed his boss and made him the new boss.
			- Very nicely done, and even though I had seen it before, it totally held my interest. And I was glad to see it on April 4, 2020. If this is the end, why not go out with dignity and style?
			- I thought it was an interesting perspective.
		- Morning Coffee Notes
			- A bunch of things to write about today. Rolling up my sleeve.
			- In the old days of blogging I had subscribed to <a href="https://val.demar.in/">Paolo Valdemarin's blog</a>. Then Paolo must've gotten busy, being an entrepreneur in Italy, and now a VC in London. Then once they had the lockdown in the UK, he started blogging again. My RSS aggregator, which had been checking his feed every fifteen minutes during his decade-long hiatus, sprung to life. The lights came on. Paolo is a much better writer than I remembered. His blog flows, his stories are human, his observations are easy to relate to. Silver linings everywhere. 
			- Same with <a href="https://www.theguardian.com/profile/johnnaughton">John Naughton</a>, though he never stopped writing. He's a columnist at the Guardian, also from the UK, a great thinker and observer. His blog is now published every morning (my timezone) <a href="https://johnnaughton.substack.com/">via Substack</a>. I looked at using Substack before writing <a href="http://scripting.com/email/">my own software</a>. I didn't like that I would have to manually transcribe my posts from my CMS to theirs to get them to publish it. It's 2020 for crying out loud. Support the standards. Or maybe they want their users locked in? I can't tell you how many times I've had to reimplement the entire functionality of a product to avoid having to manually transpose my writing or avoid lock-in. It's a VC way of thinking and not observant of the fundamental law of the web, <a href="http://scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">people come back to places that send them away</a>. Trust your users. If you have the best product, they'll continue to use it and sing your praises. If you don't, they'll bolt at the first opportunity.
			- Naughton also wrote about <a href="https://privatekit.mit.edu/">Private Kit</a>, though I can't find the reference now. It's a brilliant idea. An app for iOS or Android that tracks your whereabouts, but doesn't share the data with anyone but you. The info never leaves your phone without your permission. It offers new opportunities for resarchers studying among other things the migration of pandemic viruses through the population. This is the future, and a very nice way to spin it, MIT. Keep up the good work. 
	- April 3
		- Stop what you're doing and watch retired general <a href="https://twitter.com/DavidBegnaud/status/1245907955469430796">Russel L. Honoré</a> on the fiasco of the medical equipment supply chain. Clearly we're being looted by the Trumps.
		- Don't forget, we have a <a href="http://scripting.com/cuomo/rss.xml">podcast feed</a> for <a href="http://this.how/cuomo/">Cuomo daily briefings</a>. Subscribe in your favorite podcast client. 
		- This <a href="https://www.youtube.com/watch?v=5sQsVBolPNs&feature=youtu.be&t=137">scene</a> from The West Wing about smallpox.
		- <a href="https://www.youtube.com/watch?v=8nQNGYf3ZVY&feature=youtu.be">Some of my many trees</a>. They laugh when I say they’re mine. Long after you’re gone, they say, we will still be here.
		- Continuing to update <a href="http://woodstock.today/">Woodstock Today</a> list.
		- It sucks that there isn't a wiki-type food ordering app that takes no percentage of sales. I want the money to go to the deliverers and the restaurants. The restaurant would pay a flat monthly fee. At this late date there is no justification for the money the middlemen make.
		- I think what <a href="https://www.businessinsider.com/bill-gates-factories-7-different-vaccines-to-fight-coronavirus-2020-4">Bill Gates</a> is doing is terrific, but it's ironic that the thing that helped the Mac take over from Windows were viruses, and <a href="http://scripting.com/2013/03/04/whyWindowsLostToMac.html">Microsoft's refusal</a> at first to do anything about them.
		- As time goes by more of us will realize the danger we're in. Soon it will be universal. Everyone will feel it. This will have a benefit. Being right doesn't matter as much as we thought. We can be more accepting of ourselves and each other.
		- Another thing that will happen, is already happening. More art will flow through the net. It's now the main form of human expression. I predicted this, going back to the beginning. People thought I was nuts. We were building a platform for human expression. Communication with a Big C.
		- I predict that this week we will finally realize, the vast majority of Americans, that Trump is a distraction, an impediment, a sideshow. Finally the focus will be where it should have been since January, the virus.
		- We will all be more patient in the future. What's a few minutes compared to all the waiting we're doing now. It's funny, I could keep developing, nothing in my way, but for the first time in a long time, I can't get the excitement or even the interest to actually do the work. Not that I don't get ideas. I'm much more interested in finding a good online version of Hearts, Sorry or Risk. Or if there were a way to play Wii games online. Now that would be interesting. But I don't want to write the software, thank you very much. :boom:
	- April 2
		- Today's <a href="https://www.nytimes.com/2020/04/02/podcasts/the-daily/coronavirus-fauci.html">Daily podcast</a> interview with <a href="https://en.wikipedia.org/wiki/Anthony_Fauci">Anthony Fauci</a> may be the most consequential podcast ever. In the last ten minutes they finally get to the important stuff, i.e. what's coming. Now I understand the next phase of the virus much better. I'm also glad to hear they're considering the functioning of society in their plans. At some point we're going to have to provide health care to the people who can't afford it, if we ever want to come out of this. Imho the sooner the better, but Fauci has to take as a given that the president is who he is. I've never said anything was more of a must-listen than this podcast. I think they should play the last ten minutes on Maddow tonight. Everyone with a mind needs to hear this. 
		- My poor uncle, my father's brother, was <a href="http://scripting.com/davenet/1998/01/29/myUncleSam.html">murdered</a>. I think how sad that the last person he saw was someone who had just killed him. I feel the same way about watching The Trump Show on MSNBC every evening at 6PM. He's murdering us. Why  would we want to listen to him?
		- <a href="https://www.facebook.com/geosol114/posts/10158225444496779">Posted on Facebook by Daniel Schmachtenberger</a>. "Hong Kong and Italy got exposed to the same virus. The pandemic is not caused by a virus, it's caused by the failure of effective governance. In other words, the huge and preventable numbers of people dying currently...are dying from the effects of dysfunctional governance."
		- Think before you RT. I am once again unfollowing people who RT Trump, and I am now also unfollowing people who RT Kellyanne Conway. They make us stupid. Waste our capacity to think. Reduce everything to emotion. Trump and Conway are intellectual pneumonia. They fill your mind with emotional nonsense, crowding out your ability to think. The cure is simple. Distance yourself from them, and people who are infected with them. Even people you like.
		- I ordered dish towels from Amazon, just got them! I'm a happy home maker.
		- I may have finally run out of things to write about! See <a href="http://scripting.com/2020/04/02.html#a151646">below</a>. I actually write about <a href="https://duckduckgo.com/?q=disinfecting+wipes&t=h_&ia=shopping">disinfecting wipes</a>. If you had told me, in say 1998, that by 2020 I'd be writing about wipes, I would have assumed something terrible had happened, not to the world, but to me. 
		- So I finally got <a href="https://www.hannaford.com/product/hannaford-fresh-scent-disinfecting-wipes/943141">disinfecting wipes</a>, and they're great, I just don't know when to use them. Can you use them in place of washing hands? When would you do that?
		- JavaScript plug-ins for PagePark
			- This is a technical description of a new server bridge between two apps, "PagePark" and "Little Outliner". It's now possible to view user-editable files through PagePark as long as they've been made public. This is how the pieces fit together. 
				- "PagePark" is a Node-based HTTP server that has special understanding of two kinds of files -- "Markdown" and "OPML". 
					- For Markdown files, it renders them in a template. So you don't have to repeat the envelope for each bit of text, and it's easy to modify, for all pages. So it's a bit of a CMS for Markdown files. It also can connect directly to GitHub repos, so it can serve from them, which is nice because Markdown is a default format on GitHub. 
					- PagePark also has a special ability to render "OPML" files. I use this feature for my this.how site which I've been using to accumulate documents that I want to revise over time. Unlike blog posts, they are not ephemeral. Examples include my <a href="http://this.how/trolls/">Trolling howto</a> and the <a href="http://this.how/googleAndHttp/">Google and HTTP</a> doc. 
					- So to sum up, what's special about PagePark, for this situation, is that it's really good at rendering OPML documents.
				- "Little Outliner" is an <a href="http://outlinerhowto.opml.org/">outline editor</a> that runs in a web browser. Its native format is "OPML". 
					- Every file you edit with "LO2" is either public or private. 
					- I have a copy of PagePark running on the same machine as the server that runs Little Outliner. I created a bridge between the two apps, on the server, that allows PagePark to serve from each users' public folder. When you access the page, you'll see a beautifully rendered version, like my this.how documents. Here's an <a href="http://my.this.how/davewiner/example.opml">example</a>.
					- This might sound complicated, because you've probably never thought of the software that runs these apps. But conceptually it's simple. There's a new bridge between "LO2" and "PagePark". That bridge is a PagePark plug-in.
					- I've been talking about the new <a href="https://github.com/scripting/pagePark/blob/master/docs/plugins.md">plug-in</a> ability for PagePark. I needed that to create this connection. I've designed a lot of plug-in architectures over many years, and this is a good one. All web servers running in JavaScript should consider doing it <a href="https://github.com/scripting/pagePark/blob/master/docs/plugins.md#a-plug-in-is-a-module">this way</a>. The plug-in I use for this bridge, is a bit of logic that translates a URL from the outside, to a file in the user's public folder. I've <a href="https://gist.github.com/scripting/a676b0da36c13576877a91fc77a34ecb">published</a> the source. As you can see, there's not much there. 
				- To really nail it, it turns this <a href="http://storage2.littleoutliner.com/users/davewiner/myOutlines/example.opml">source file</a> into this <a href="http://my.this.how/davewiner/example.opml">rendering</a>. That's it. The next step, soon, will be to present a document that explains how to edit and view these files through the new bridge. If you have questions, post a comment <a href="https://github.com/scripting/Scripting-News/issues/161">here</a>. 
	- April 1
		- You know that scene in <a href="https://en.wikipedia.org/wiki/Goodfellas">Goodfellas</a> where the <a href="https://en.wikipedia.org/wiki/Ray_Liotta">Ray Liotta</a> character explains how they steal everything out of the bar they took over and then finally torch it to get the insurance money. That's America. Trump and friends are the <a href="https://en.wikipedia.org/wiki/Wiseguy_(book)">wiseguys</a>. And we're being torched right now. And we aren't doing anything about it. The press keeps waiting for him to turn into FDR or even Nixon. 
		- <a href="http://scripting.com/2020/04/01/whatWillLifeBeLikeAfter.m4a">Podcast</a>: What will it be like when the lights come back on? We've never turned off the world economy like this. We have had disasters where whole cities were decimated, but the world around them was able to absorb the flow of people, and send enough people and money in to rebuild. But what happens when there is no place to go, nor enough people to come in and help rebuild? 
		- Added a docs page for <a href="https://github.com/scripting/pagePark/blob/master/docs/plugins.md">PagePark plugins</a>.
		- <a href="https://twitter.com/mathewi/status/1245400270533787648">Mathew Ingram</a> shared a relaxing clip of the creek near his house. 
		- I did the Census today. <a href="https://twitter.com/davewiner/status/1245399157512208384">Noted</a> the only choices for gender were male and female. Also they didn't ask about my <a href="https://twitter.com/davewiner/status/1245421110310600705">occupation</a>. I wonder if that's related to age.
		- My friend told Facebook that his birthday is April 1 (it’s not) and all of the happy birthday wishes show up on his timeline as if on schedule. The best part is he doesn’t have to do a thing. Facebook does all the work.
		- I'm going to turn 65 soon, so it's time to apply for Medicare. I finally got serious about it. I found the page where you apply for it, read the instructions, watched the video and thought this is going to be a breeze. I do this kind of stuff all the time. So I started to set up an account. They ask for your SSN, date of birth, address, phone, email address. I entered them all. It said no, you didn't do it right, go back and do it again. No indication which part they didn't like. So I tweaked my address. Still it doesn't like it. So I took out my middle initial, thinking my father, when he set up this account for me in 1957 or so might have left this out. They said no, and <a href="http://scripting.com/images/2020/04/01/errorMessage.png">that's it</a> for 24 hours. You can't keep doing this the message said. I guess they figured I was trying to hijack my account? So I tried calling the number they gave for assistance. Oy. I got every piece of information they think I might be looking for. It's pretty grim stuff. I left a callback number. 
