- March 2021
	- March 31
		- The best platforms are ones with lots of users. For example, the Finder on the Mac needs a simple scripting language. Starting with Lotus 1-2-3, spreadsheets had macro languages. Programmable editors are popular because writers love to get their writing environment just-so. The theory of Frontier was to pour lots of attention into the scripting language, and make it work across all apps. We did a pretty fair job. It didn't get as much attention as it deserved because Apple got in the way. We shouldn't give up on this ideal. It's still possible. 
		- Today is the first time I've lived in a place where <a href="https://en.wikipedia.org/wiki/Cannabis_(drug)">weed</a> became legal, on the day <a href="https://nypost.com/2021/03/31/gov-cuomo-signs-bill-legalizing-recreational-marijuana-in-ny/">it happened</a>. I've been to places where it is legal  (Calif, WA, Colorado, Mass to name a few). It's one of those "did you ever think you'd live to see it" days. Weird that tomorrow is April 1. 
		- Highly recommend <a href="https://productionadvice.co.uk/the-making-of-sgt-pepper/">The Making of Sgt Pepper</a>. Interviews with George Martin, the three surviving Beatles (in the early 90s). Many others. This album was the turning point from the Beatles being a touring phenom, to pioneering a new creative direction for pop music. It's inspiring, we need a similar turn in software. (It's also available <a href="https://www.facebook.com/dave.winer.12/posts/1478913278982739">on Facebook</a> if that works better.)
		- Someone <a href="https://twitter.com/Feld/status/1377276734463213574">has</a> built a drone big enough to <a href="http://scripting.com/2021/03/30.html#a174809">carry</a> a human.
		- OMG there's <a href="https://twitter.com/JamesCorbett/status/1377284777070460930">another</a>. Much more ambitious.
	- March 30
		- I could live off Granny Smith apples.
		- Has <a href="https://twitter.com/davewiner/status/1376954345787392003">anyone</a> built a drone big enough to carry a human?
		- Rule 1: No breakage
			- At <a href="https://www.google.com/search?q=site%3Ascripting.com+userland">UserLand</a>, a company I founded a long time ago, we had a rule called Rule 1. It said simply: No breakage. It meant you couldn't change the environment such that apps that ran in version N did not run in version N+1. It meant you took longer to release a new version because once released, you had to live with it forever. This rule came from bad experiences when we did things that broke users and developers. Since we were both the developers of the platform and users of the platform we had a realistic perspective of this. 
			- I was once having a discussion with someone who wanted to implement a successor to Frontier, intending it to be compatible with Frontier, in some way, but right at the beginning said he was going to make it <a href="https://en.wikipedia.org/wiki/Case_sensitivity">case-sensitive</a> where Frontier is not case-sensitive. 
			- I'd be happy to debate anyone who thinks this is anything but insane. I'd win the argument re Frontier for two reasons: 
				- 1. Frontier is not case-sensitive, and 
				- 2. Rule 1, no breakage. 
			- As we were originally developing the environment in the early 90s, we didn't give this much thought, but at the last minute a beta user it pleaded that it would be a tragic mistake to make it case-sensitive, so we changed. Never regretted the decision. 
			- To programming neophytes, a language is case-sensitive if HelloGoodbye is a different name from helloGoodbye. 
			- Rule 1 was not a joke, it was dead serious. I was sick of programmers who choose to break users and developers. I had worked with a deprecator, for years, and learned the hard way that a development process that permitted user breakage was not much of a process. Eventually the users will go somewhere where they aren't always having to start over because a programmer changed their mind about how something should work. Sometimes breakage happens, all rules have exceptions, but you have to work really hard to avoid those situations, and usually there's a way to do it. 
			- When a language goes out of its way to say Rule 1 demands no breakage, not Rule 27, or Rule 18b, but Rule 1, the first, the one that all other rules follow, well you can't break that rule and still say you're doing the thing you say you're doing. 
			- Jake Savin, a UserLander and friend, <a href="https://jakesav.in/2011/08/18/hey-firefox-thanks-for-forcing-me-to-switch-to-chrome/">explained</a> Rule 1 in the context of Firefox, which most definitely is not a Rule 1 product.
			- Rule 1 was mentioned in the <a href="http://kernel.scripting.com/faq#whyUseTheGpl">document</a> announcing Frontier's release as open source in 2004. 
			- I mentioned Rule 1 in re arguments about whether it mattered <a href="http://scripting.com/2002/09/29.html#rule1">if RSS broke publishers</a> and aggregator developers. I insisted on Rule 1 there too. 
			- Rule 1 came up in a piece about <a href="http://scripting.com/2020/07/11/152423.html?title=reallySimpleJavascriptDay3#a153245">Really Simple JavaScript</a>. 
	- March 29
		- Stop scapegoating Birx
			- I watched <a href="https://www.cnn.com/health/live-news/covid-pandemic-doctors-cnn-special/index.html">CNN's two-hour special</a> last night, with interviews with some of the doctors from the last administration on what went wrong. All of these people sold us out to some extent, including Fauci, just by staying in their jobs. None of them admitted last night that they were as complicit as they were. But <a href="https://en.wikipedia.org/wiki/Deborah_Birx">Deborah Birx</a> takes the fall for everyone, and that's wrong. 
			- People say what if Birx had quit, with a statement about how the Trump administration was botching it, that could have made a difference. But it couldn't have. Anyone who was paying attention knew what Trump et al were doing, including news people. Yet they made the story every night about how Trump and his minions were screwing up. If you report that every night, as they did, it stops being news pretty quickly, and becomes a copout, a coverup of the cowardice of journalism. Tell me something that isn't common knowledge. 
			- If the press wanted to make a difference, they could have changed the story from "Trump Sucks" to "This is what we need to do today." They could have found a way to tell us where the virus was storming and where it was quiet. They could have, instead of coasting along in neutral, tried to <a href="https://www.google.com/search?q=site%3Ascripting.com+%22save+my+life%22">save lives.</a> For some reason they didn't see this as their job. 
			- Another idea. They could have led the charge to impeaching Trump. Here's the story: Trump is killing us, now wtf are we going to do about it? Had Wolf Blitzer said that I would have plotzed on the spot. 
			- They could have done what Trump was supposed to be doing, but (guessing) they were too scared to step out of their comfortable role, which is ironically what people hypocritically accuse Birx of. 
			- But last night it was good journalism on CNN's part, <i>now,</i> to sit all these people down, while they're all accessible and their memories are fresh and the pandemic is still ongoing, to get them on the record. It's not an autopsy yet, as they were saying it was, because the story is not over, the patient is still alive. 
			- The key failures in this pandemic so far have been the government and journalism, imho about equally. I'm glad we are starting to be honest about what happened in government, we probably <a href="http://scripting.com/2021/03/28.html#a153234">never</a> will be open about what's going wrong in journalism. 
	- March 28
		- <a href="https://twitter.com/NYGovCuomo/status/1376184608841207818">Cuomo</a>: Legal cannabis in New York, soon come.
		- I've known <a href="https://www.amazon.com/Nick-Arnett/e/B06VVR3DX6%3Fref=dbs_a_mng_rwt_scns_share">Nick Arnett</a> for a long time. He used to be a tech journalist, but in recent years, he's become a public service person. He has been on the front lines of fighting fires in California. Most he's recently has been working in Oakland, helping people get their Covid vaccinations at the Coliseum. This morning he asked for help on Facebook. They needed a simple app that could tell them when 15 minutes and 30 minutes were. These are the amounts of time people have to wait before leaving, to be sure that if they have a bad reaction to the vaccine, that they can be helped by medics. Makes sense that in the middle of everything else they have to do, adding 15 and 30 to the current time is a bit much to ask. I said I would be happy to do it. Just a small JavaScript project. I was glad to help. The result is this site: <a href="http://timeshifter.scripting.com/">timeshifter.scripting.com</a>. It's possible other vaccinators could use it, if so please pass it on. 
		- From the Something-Users-Don't-Understand-But-Could Department. Developing software is a <a href="http://scripting.com/davenet/2000/11/30/bootstrapping.html">bootstrap</a>. It's analogous to building a bridge. Start by pulling a wire across the river. Use it to pull up another wire. When you have enough wires, bundle them to create a thicker wire, and use it to pull up something bigger. Eventually you have two thick cables going across the body of water. Use the cables to pull up a roadway. Build on-ramps and off-ramps and toll booths. But you can't build things out of order, and sometimes things are added earlier for features that won't be added until later in the bootstrap process. People who have evolved products know about this. And you never see it more clearly than when you're building your second  or fifteenth or 200th bridge. By that point, you figure, if the users really wanted to understand they could, because they're teaching classes about it in universities.
		- We should dream about what if the tech companies wanted to build a more customizable network, one that works better for users, not advertisers. The answer to every one of these ideas is: <i>They'll never do it.</i> That's what makes it fun.
		- As I'm developing a <a href="http://scripting.com/2021/03/24/161331.html?title=drummersKeyInnovation">Frontier-like product</a>, I'm remembering how much I didn't like some of the developers we attracted. We used to believe in the goodness of everyone, but forgot the humanity, and that as a community grows, eventually you attract <a href="http://this.how/trolls/">people</a> who try to make your life miserable. The pressure of dealing with these people literally made me sick. I got better as soon as I stopped. We've learned a lot about moderating community systems since then. So I'm going to keep my promise to myself, this project is mainly for me, because I want it, and I love the idea of other people using it, and helping each other, and that includes me, but when they start abusing me, I'm turning them off without a second thought. 
	- March 27
		- In this <a href="https://www.youtube.com/watch?v=TkRYxgbbv1E">seat-of-the-pants demo</a> I show you how to post a single tweet or a thread from within "Little Outliner".
		- If I could make everyone listen to one episode of one podcast it would be <a href="https://www.npr.org/sections/money/2017/08/25/546127444/episode-790-rough-translations-in-ukraine">this one</a>. It's from 2017 and explains how Ukraine dealt with Russian fake news attacks. Everything Putin is doing in the US, he did first in Ukraine. Ukraine, like us, had high ideals about free speech and censorship. Eventually they came to the correct conclusion. At the first sign of trolling, shut them down. In the US today we should have no misgivings about having deprived Trump of his global platform. Let him build his own. It'll work much better. People will only have to hear from him if they want to. 
		- Scott Beale's Brooklyn
			- <a href="https://twitter.com/ScottBeale">Scott</a> is touring Brooklyn. This is not my grandparents' Brooklyn. :-) 
			- <a href="https://en.wikipedia.org/wiki/The_Notorious_B.I.G.">Biggie Smalls</a> aka Notorious B.I.G. "King of NY" <a href="https://ny.curbed.com/2017/5/19/15662140/brooklyn-biggie-smalls-mural-destroyed">mural</a> in <a href="https://www.google.com/maps/@40.6865568,-73.9541414,3a,75y,212.82h,81.45t/data=!3m6!1e1!3m4!1sJDOZNY_YUjs_OclVONeZSw!2e0!7i16384!8i8192">Bed-Stuy</a>.
			- <a href="https://en.wikipedia.org/wiki/Shirley_Chisholm">Shirley Chisholm</a> <a href="https://parks.ny.gov/parks/shirleychisholm/details.aspx">State Park</a>, is by <a href="https://en.wikipedia.org/wiki/Jamaica_Bay">Jamaica Bay</a> with bike trails and free loaner bikes. 
		- It's Putin's party
			- People keep forgetting we know why the Repubs are trying to destroy American democracy. They sold out to Putin. So when the Repubs do something hostile to the US, remember it's not their idea, it's Putin's.
			- Repub Senators <a href="https://www.thedailybeast.com/gop-senators-tell-contradictory-stories-about-moscow-trip">spend</a> July 4, 2018 in Moscow.
	- March 26
		- The Bible: <a href="https://www.biblegateway.com/passage/?search=Matthew%207%3A1-3&version=KJV">Judge not, that ye be not judged</a>.
		- One reason I ask questions about the process by which people want to deprive a person of their life, is that it's come to the point where they want to erase an accomplished person because they don't like his ideas, or the questions he asks. When I read the accusations, I cross out all of those, give them no weight at all. It's fine if you don't like his ideas, now mind your own business. Why do I care? A couple of reasons. Offensive questions and foreign ideas help me think through my own values, and sometimes I find a way to compromise, and sometimes I even change my mind. I don't mind discomfort. I check to see if I'm in any danger, or if anyone else is, and if the answer is no, then <a href="https://www.urbandictionary.com/define.php?term=Live%20and%20Let%20Live">live and let live</a>. The second reason is that some people find <i>my</i> ideas offensive. I write every day. I don't know why but this has great value to me. I can imagine a mob of internet <s>assholes</s> people deciding that my ideas are too offensive to be permitted. If I can imagine that then I have to question it when it's happening to someone else. It's called empathy.
		- When I lived in California people would always ask "Why is he like that?" The answer may simply be that I'm from New York. NYers are just as likely to tell you to fuck off as to say good morning or have a nice day. They mean basically the same thing. It's like "namaste" -- the divinity in my being acknowledges the divinity in yours. When you're in California you have to tone it down, a lot, or they'll kill you with passive aggressiveness. NYers are more transparent. You don't have to guess how they feel about something as much. 
		- It's spooky how accurate weather forecasts are these days. 
		- It's really cool to watch the Democrats in Georgia rip the Repubs to pieces.
		- We can't impeach the NYT no matter how much they betray our trust.
		- It’s time for a new Georgia tradition, handing friendly strangers a bottle of water and a tasty snack, but only if they’re not Republicans.
		- I regret turning off the <a href="https://www.postingandtoasting.com/2021/3/26/22351476/knicks-106-wizards-102-grind-them-down">Knicks game</a> last night with two minutes left in the 4th quarter. They were behind by too many points, and they weren't playing well. I figured this game is gone. I was surprised the starters were still playing. Much later I saw fan exclamations on Twitter, that seemed to say the Knicks had won. They did. I've learned my lesson. This season's Knicks are special. They win games they have no right winning. The roll over Russell Westbrook and Bradley Beale like they were the rookies and the Knicks were the team packed with franchise players. It's like the 2015 Mets, perhaps. I honestly don't care if the Knicks make the playoffs. They have such heart, such love for themselves and each other. It's pure joy to watch them play. 
		- [%search: Spectrum%] isn't finished with me. Yesterday they turned off my TV service. Not clear why. But after a long day's work I had to have four separate phone conversations with their reps, over three hours, to get it working again. I paid my bill, etc. They just have no idea what they're doing imho. Anyway, Spectrum is making me buy an AppleTV in order to watch the Knicks. The AppleTV will stay in its box and go into a closet, where I will pay a monthly fee for it. I already have two AppleTVs, and I don't use either one. Too many remotes, too many different UIs. Once i get over the sheer waste of it, the price is actually competitive. YouTubeTV costs about the same, w/o the AppleTV. And YTTV does not have the Knicks. Where I live there is no other way to get the Knicks. I actually think this is true for the entire NY area. And before you tell me about Fubo, they don't have the Knicks either.
		- What's going on
			- A truth that comes home regularly, every generation, no matter how smart they think they are, has their share of idiots. 
			- Every generation thinks they know what's really going on, when they're young, only to realize in a few years that they have absolutely no idea what is going on.  
			- The maturing process all the way to the end is about steadily realizing this truth, more and more.
			- I don't really know about the end yet -- I'm just extrapolating. It could be that the actual end is a revelation and at that point you really do know what's going on.
			- And now a <a href="https://www.youtube.com/watch?v=Y9KC7uhMY9s">special treat</a>. :smile:
	- March 25
		- I’ve been reading everything about writers’ concerns <a href="https://www.theverge.com/2021/3/24/22349175/medium-layoffs-union-evan-williams-blogger-twitter-subscription">about Medium</a> and Substack. One thing writers should be concerned about, is what happens to the writing if the platforms fail as businesses.
		- I <a href="https://twitter.com/davewiner/status/1374827994057949190">asked on Twitter</a> last night for a clear statement of the case against Stallman. Not much came back, certainly not the dispassionate point by point statement with links to actual evidence that should be required minimally, to destroy someone's life. This routine destruction, without any process, that's the greater sickness imho. 
		- I had heard that Stallman is <a href="https://www.google.com/search?q=stallman+autism">autistic</a>, but never had a reason to look into it. A <a href="https://news.ycombinator.com/item?id=21121496">comment</a> on a Hacker News thread from October 2019 puts in perspective.
		- Apple credit card review
			- The nicest thing about the Apple credit card is how incredibly easy it is to pay your bill.
				- Pick up iPhone.
				- Log in (with my thumb).
				- Open wallet app.
				- Click the pay button.
				- Thumb thing again.
			- That's it. 
	- March 24
		- I have arrived at an interesting place. Every day of every week feels like a weekend day. 
		- Drummer's key innovation
			- Following up on yesterday's news about "Drummer", its key innovation is that you can write JavaScript code that's much simpler because it does not need to use callbacks. 
			- An example: 
			- <code>dns.getDomainName (dns.getDottedId ("liveblog.co"))</code>
			- This works even though both DNS operations do I/O.
			- We are using JavaScript's threading, we are not blocking the CPU. 
			- A programmer in any other language will be scratching their head wondering what's the big deal. I know. I've been saying that for years. If Python can do this, I don't see why JavaScript shouldn't. 
			- Note: JavaScript as spec'd <i>can't</i> do this. But we were able to make this work with a very simple pre-processor.
		- What is a callback?
			- I looked around for a decent explanation of JavaScript callbacks, but they take too long to get to the point, or they never explain what they are. Maybe it's too hard to explain? I've been writing a lot of docs lately, so let me try! :-)
			- Callbacks are used when an operation is going to take a long time and your program wants to do other things while it's waiting. So you create a function to run when the operation is done, and provide that function to the slow operation you're calling with the intent that it will call this function when it's done. Thus it is a <i>callback</i> function. 
			- An example:
				- fs.readFile ("notes.txt", function (err, filetext) {
					- if (err) {
						- console.log (err.message);
						- }
					- else {
						- console.log ("The file contains " + filetext.length + " characters.");
						- }
					- });
				- console.log ("Hi mom!")
			- If you look in the console, you'll see:
				- Hi mom!
				- The file contains 28 characters.
				- &nbsp;
			- An example of a real world callback. 
			- After you upload a video to Facebook, you'll get a dialog when the upload is done saying this is going to take a bit of time to process, so we'll let you know when it's done. In the meantime you can read stuff. When the video is ready, you get a message saying you can watch the video now. That's the basic flow of a callback. 
		- When Medium shrugs
			- <a href="https://www.crunchbase.com/organization/medium">Medium</a> has been around since 2011, getting pretty close to ten years, and in that time, they have switched business strategies many times. The appear to have <a href="https://ev.medium.com/medium-editorial-team-update-8679bcb9fe81">done it again</a> <a href="https://mediagazer.com/#a210323p19">yesterday</a>. So here's another opportunity to take stock of writing on the web, and where we have been and what could change.
				- First, I got a nice <a href="https://twitter.com/jayrosen_nyu/status/1374541139970260996">note</a> from Jay Rosen thanking me for pushing him to keep his own web presence, to not depend on any of the platforms. It's gratifying to see a longtime friend doing so well with this approach.
				- Jay then sent me a link to an <a href="https://jabberwocking.com/why-have-blog-audiences-declined-over-the-past-decade/">article</a> by Kevin Drum asking why blogging has declined in the past decade. I think there's more to it than what Drum says, that the disappearance of Google Reader, while it certainly hurt the cause, is only part of the puzzle. The problem is that I can't write on my blog and share it with the popular publishing platforms without limiting what I can do with my blog. If you add up all the limits of Twitter, Facebook, Google Reader and Medium, then you can't blog at all because their requirements are contradictory. 
					- One requires titles and two don't allow titles. 
					- Facebook doesn't support the basics of blogging, links, simple styles, podcast enclosures and (again) titles. 
					- Medium supports most of what you would want them to support but doesn't allow updating, so if you make a change you have to do it by hand. 
					- None of them want to peer with blogs. They all insist you do your writing with their tools of greatly varying quality, and some are reallllly bad. Even the new hope of writers everywhere, Substack, requires you to use their editor. 
					- So, trying to keep this short as possible, in 2017 I gave up trying to peer with any of those services, and went back to writing my blog the way I like to write, and the lights came back on. It works again. So the moral of the story imho is to forget about peering, and just blog the way you want to, and I think we can all be happy.
				- Now I mentioned Google Reader in the list of limiting environments. Oddly, even though it's long gone, it is still controlling how we blog. They didn't support the full RSS spec, they don't handle posts without titles. And all the replacements for Reader copied their limits, so even though it's gone, it's influence is still strong, contributing limits to blogging that weren't here before they came and went. 
				- Is Twitter's character limit protecting Medium? If so, please now would be a good time to change course. Twitter is only increasing in importance. I would love to seem them make a deliberate effort to do all that RSS can do in transporting web writing, so we can start building again, from a sane base. As much as I love Twitter, its constraints are still unbearable. 
				- One more thing. We're still waiting for independent writers to take the lead here, as I <a href="http://scripting.com/2021/03/18/141318.html?title=itsNotReallyAScam">wrote</a> last week. "Until the writers lead here, you're going to keep having your hearts broken and the tech for writing on the web will continue to go nowhere."
	- March 23
		- I've been doing a lot of work on web scripting for the last few months. Put everything else aside. I think I'm ready to create a small subset of "Frontier" that runs in the cloud. Basic components are outlining of course, twitter and a cloud-based file system. Scripts run from a user-editable menu as they did in Frontier. Still major things to work out, it's probably months away. But I might start sharing little bits of the work I'm doing, to get discussions going, esp with Frontier alums. The language is JavaScript, but here's the thing -- we don't need callbacks for asynchronous operations, it flows just like any other language. <a href="https://blog.andrewshell.org/">Andrew Shell</a> figured out the escape from callbacks, that was what convinced me that you could make a scripting system based on JavaScript. BTW, the codename for the project is Drummer.  
		- Drummer is to Frontier as Little Outliner is to MORE.    
		- In the Roam <a href="https://twitter.com/10ch/status/1374343900765192198">world</a>, which I am following, they document their workflows. Come up with best practices. This is really eye-opening for me. Inspired me to do a <a href="https://twitter.com/davewiner/status/1374354453768380416">quick writeup</a> of how I manage my development projects using an outliner. 
		- One curious thing from working on Drummer: I like working on verb docs. I find it relaxing, satisfying, rewarding. I just realized why. I'm writing a book. At the top level the structure is rigid. I like working within such a structure. By verb docs, I mean docs like what you <a href="http://docserver.userland.com/file/exists">see</a> on <a href="http://docserver.userland.com/">DocServer</a> from Frontier, which is still running, btw. The difference is this time I'm writing the docs. Last time I didn't have the energy to do it, but now it's the structure for my review of various aspects of the system. Reading the verb docs you'll know I went through that verb's functionality before release. Of course I'm also documenting the bugs.  
	- March 22
		- <a href="https://twitter.com/davewiner/status/1373798428027813891">Poll</a>: Why did you switch to Chrome from MSIE? 
		- <a href="https://twitter.com/dsearls/status/1374100894078230528">Doc Searls overheard</a>: "Trump was cocaine for news sellers. They binged, and now they've crashed. Question: was what they wrote and said while high actually journalism? Or even news? Serious questions."
		- <a href="https://twitter.com/davewiner/status/1374044950946533380">Programmers</a>, do you find that <a href="https://stackoverflow.com/questions/17139519/what-is-localstorage">localStorage</a> in the browser is not reliable?
		- In my experience, most programmers don't care how things came to be the way they are. I'm different, I always want to know the story. I find this the most fascinating thing about us humans, how do we synthesize ideas, build on other people's work. More common is people try to ignore the past, esp if it interferes with their success. 
		- NFTs contain a good idea, and it's not the money
			- I don't care for the money in NFTs, I don't really believe it's there, but what I do want is an alternative to patents to get people credit for their innovations. 
			- Patents have really screwed things up, but no one has ever picked up on the idea that we could have something like patents, but without the tarriff. I want people to know whose work they're using. 
			- Once I made enough money, I stopped trying to put barriers on where my ideas could flow. But as a result, I rarely have been able to finish an idea before a big company comes along and takes it over. 
			- It's a bad system, no way to win. If you have to join a big company to be creative, well you can see from that how little creativity there would be. 
			- What great musician or artist worked for a company like Google or Microsoft? 
			- The potential of NFTs is it could document how ideas entered the world. I'd be fine if we took the money out of it, also the blockchain. 
	- March 21
		- An idea for a <a href="https://github.com/scripting/Scripting-News/issues/205">pilot program</a> connecting the daily flow from Scripting News with one of the new knowledge databases. 
		- So all the kids are <a href="https://news.yahoo.com/miami-beach-declares-spring-break-201052496.html">down in Florida</a> distributing the newest variants of the virus to each other so they can go home and deliver it to their friends and family, esp states with no mask mandate, and 100% re-opened. Just in time for the virus to go exponential for a second summer.
		- As a long-suffering <a href="https://www.google.com/search?q=site%3Ascripting.com+knicks">Knicks</a> fan, I have say it <a href="https://twitter.com/TheKnicksWall/status/1372726485627310082">looks like</a> the drought just might be over. 
		- Here's another thing people don't get, imho. The Republicans are over. Look forward. It doesn't matter who did what in the past, our two-party democracy has become something else. What it is, I don't know.
		- Aidan Choi's imagery
			- <a href="https://twitter.com/enochchoi">Enoch Choi</a> has appeared <a href="https://www.google.com/search?q=site%3Ascripting.com+%22enoch+choi%22">on this blog</a> many times, he's a heroic <a href="http://scripting.com/2020/03/24.html#a165220">doctor</a>, natural-born <a href="http://scripting.com/manila/bloggerCon/2004/10/19.html">blogger</a>, he works to save lives, always, and now, is caring for Covid patients in the <a href="https://en.wikipedia.org/wiki/Santa_Clara_Valley">Santa Clara Valley</a> in California. 
			- He's also an <a href="https://actionnetwork.org/forms/call-for-a-community-centered-response-to-violence-against-aapi-communities">advocate</a> for <a href="https://twitter.com/search?q=%23StopAsianHate&src=typed_query">Asian-Americans</a>, and now his son Aidan, who I watched grow up on Facebook, is an <a href="https://achoi2022.wixsite.com/website">artist</a>, and has a couple of pieces about an <a href="https://www.bbc.com/news/world-asia-china-56453806">assault</a> on a Chinese-American grandmother, who fought back and sent her attacker to the hospital, in San Francisco last week.  
			- Asian grandpa, by <a href="https://achoi2022.wixsite.com/website">Aiden Choi</a>.
			- Asian grandma, by <a href="https://achoi2022.wixsite.com/website">Aiden Choi</a>.
		- Why is everything shit in America
			- Everything should be great in America, but it isn't. Why?
			- FIrst watch this <a href="https://twitter.com/seyitaylor/status/1373646185311969285">video</a> from a 60 Minutes interview with Fed chairman Lewis Powell on how he creates money. 
			- One of the biggest misperceptions about how money works, even among educated people, is that we have to pay for projects by raising taxes. The fact they're missing is that the Federal Reserve creates money. So we don't have to raise taxes to provide relief to victims of disasters. 
			- When they say the debt is something our children and grandchildren will have to pay off, that's not true either. We can pay the debt by printing money. If we owe you $100 who's to say if we got that money by taxing Americans or simply by giving you new money we created for that purpose?
			- Money has to start somewhere, and unlike a household budget, the US government has an infinite supply of it. Basically the only country with the power to create new money that can be spent everywhere is the United States. 
			- The United States is unique because our dollar is the <a href="https://en.wikipedia.org/wiki/Reserve_currency">reserve currency</a> for the world. So if say Egypt owes money to India, they pay them in dollars. If a small country is reserving some money for a future project, they store it in dollars. Our currency, unlike all others, is in demand all around the world. Which means we can give them dollars we just printed and they will send us goods that cost real money, because of course when we printed the money, it was real, simply because we printed it. 
			- We are the richest country there is, it's not <a href="http://thesaurus.land/?word=hyperbole">hyperbole</a>. And yet we have one of the worst benefit systems for our people in the world. If people really understood how this works (just re-read this piece) they would be enraged about how health, education, infrastructure, everything basically, in the US, is shit. You see this when you travel to Europe. A sense that everything is first class. And they don't have the economic advantage that we do. 
			- So, why is it this way, such a rich country that lives so poorly? Some of it is the rich self-dealing, grift, the 1%, inequality, etc -- but a lot of is the dysfunction of Congress. 
			- The quality of life for Americans hasn't been a priority in Washington, at least not until very recently. There is cause for hope of that changing. Just don't believe the politicians when they say something good for the people has to be "paid for." Tell them you understand how it works, and the exact opposite is true, it does not ever have to be paid for. We, the United States, can buy whatever we want. And we need to start doing that. 
	- March 20
		- Today's song: <a href="https://www.youtube.com/watch?v=iNwC0sp-uA4">Roam</a>. 
		- There's a <a href="https://twitter.com/benedictevans/status/1373215191031222274">long thread</a> on Twitter today where people from Microsoft are reminiscing about the days when they put Netscape down, and then got in trouble with the DoJ. I remember those times differently, and very well. Microsoft was in no danger. They could have let Netscape grow, it never would have hurt them. For all of Netscape's bluster about <a href="https://news.ycombinator.com/item?id=14610341">device drivers</a>, they had a really bad codebase, and a chaotic team that while blessed with a product that the web was growing around, had a long way to go before they could compete with Microsoft. 
		- Microsoft could played a senior role, and <i>helped</i> the rest of us add all kinds of editors and databases to the web, and at least try to bring across some of the GUI innovations of the 80s. Instead all that was lost. Today, decades later, because of the chaos Microsoft brought us then, the editors on the web still suck. They are really inferior. Far less useful than the editors we had before the web. What if Microsoft had chilled and brought together the best minds from the PC era and asked some basic questions like how are we going to make the web better for everyone, at least as good as what we had before. What a time that would have been to do just that. But they acted like spoiled children. Andreessen et al could be excused, they really were basically children then. Gates had a dream of world domination forever, or at least until he was tired of it. So selfish, narcissistic, and so wrong. And the gloating and self-importance today, they still don't, even in retirement, understand that they held all of us back, that's why they failed to continue to dominate. Holding back progress is not ultimately a good strategy for world domination, esp at the leading edge of technology. 
		- BTW, I think Microsoft knew very well that <a href="https://www.wired.com/2015/01/90s-startup-terrified-microsoft-got-americans-go-online/">Netscape</a> was falling apart all on its own, but they used the device drivers crap to convince reporters that they were terrified of Netscape. Maybe they even sort of psyched themselves up for it, probably because they were bored. Who knows, but what could have been, and how much time we wasted, for their vanity. 
		- BTW, in yesterday's <a href="https://www.youtube.com/watch?v=I7TO-OkIMtI">demo</a>, I didn't mean that it was literally for Roam devs, that's just how I got started on this thread. I'm beginning to understand that Roam is a world unto itself, and that other products such as Obsidion and others are outgoing. Obviously it's the latter group that we'll be able to integrate with.
		- I've been talking about "Frontier" a lot lately, the usual stuff, outliner, object database, verb set, threading, integration, etc. But I realized I leave out the most important thing about Frontier when I recite the features. Whenever we saw a protocol we could support, we did. And we even created new ones when there was a void, as with XML-RPC, OPML and RSS. The best part is we extended the language to make inter-app communication use exactly the same language syntax as local procedure calls. Factoring was also a very big part of the process. So it is kind of a central station, and always getting more high level through factoring. Our software is all about communication, and making it as effortless as possible. It still is, very much. 
	- March 19
		- <a href="https://www.youtube.com/watch?v=I7TO-OkIMtI">Demo for Roam folks</a>, showing how "LO2" works and ideas for how to connect up editing tools (like LO2) and databases, which is part of what Roam is. If you have comments <a href="https://twitter.com/davewiner/status/1373005435939217409">this</a> is a good place for now. 
		- A tale of two podcasts
			- Two podcasts, one good the other one awful. 
			- The good one was on <a href="https://www.npr.org/2021/03/18/978687605/could-trump-be-convicted-of-criminal-charges">Fresh Air</a>, featuring a long interview with New Yorker reporter, Jane Mayer, about whether or not former president Trump could be tried and convicted of a criminal offense. 
			- The awful one was an <a href="https://www.nytimes.com/2021/03/19/opinion/ezra-klein-podcast-rebecca-traister.html">Ezra Klein interview</a> with Rebecca Traister, a reporter for New York magazine, about Andrew Cuomo. It was about how offensive and sexist governor Cuomo is, but the ironic thing, that I can't believe Klein couldn't hear, is how incredibly offensive <i>she</i> was being, in a sexist and racist way. 
			- The first thing that hit me the wrong way is she described a conflict between Cuomo and NYC mayor Bill de Blasio as a "dick swinging contest." That quote (about 9 minutes into the interview) is as bad as anything Cuomo is accused of saying, and she did it publicly, with a member of the press listening, and he didn't say a word, didn't question it. Try to imagine something like that being said about two women politicians, using the female equivalent of "dicks." You'd never hear it, and a respectful discussion of politics can't be at that level. It's not just disrepectful of the people she's talking about, but it's disrespectful of the audience and the interviewer, and the NYT which hosted the interview. 
			- She admits she was furious that her "liberal peers" were liking Cuomo's leadership, leadership we desperately needed at the time, but that is not grounds for removal, and you have to wonder, could New York Magazine, and Klein, have found a more dispassionate person to tell this story, someone like Jane Mayer, for example. And maybe present another side of it, about what it was really like for us one year ago. Why were her liberal peers so willing to overlook their dislike for Cuomo? Perhaps because they, like the rest of us, were scared out of their minds. Just a theory. (I certainly was.)
			- Later in the interview she admits her issue is with "white, male politicians." I turned the interview off at that point. This isn't a scandal, as she almost admits, there was vulnerability, a coverup perhaps, a mistake for sure, in a perilous time, and now, the fear having subsided, a bit (and imho irrationally) the opportunists move in. That's a story I'd love to hear on a future Ezra Klein podcast. How and why did we give journalism so much power, was it a good idea, and how can we put it back where it belongs -- with the people. 
			- Traister should run against Cuomo next year, and her writing should be clearly labeled as partisan, but come on, we have to do better. And Klein, you can't support this kind of partisanship without at least questioning it, or properly labeling it. 
			- A fair journalistic treatment of this supposed scandal has yet to be offered, by anyone. The best indication of that is that the people aren't buying the product that journalism is offering, for some reason, a big majority of NY voters are not calling for his head. Maybe it would be worth finding out why. 
			- PS: Another podcast I listened to recently was a Fresh Air interview with author <a href="https://www.npr.org/2021/03/17/978185402/novelist-kazuo-ishiguro">Kazuo Ishiguro</a>. I'm reading his book <a href="https://www.npr.org/2021/03/03/972841445/klara-and-the-sun-is-a-masterpiece-about-life-love-and-mortality">Klara and the Sun</a>, based on listening to the interview, and <i>loving</i> it. 
			- PPS: On this day a year ago, I proudly scored a thermometer. 
	- March 18
		- A year of pandemic-imposed isolation takes a toll. This might be the worst moment of the year. It's rainy and cold. Spring keeps teasing, but it never comes. There's nothing you can do that would be a normal rainy day. When the sun comes out, this weekend, I hope it'll feel better. I'm sure it will.
		- An idea for sites who block ad blockers. What if I compensate you for the lost ad revenue from my visit? Could we work out a deal? Come on, give a shit about your readers.
		- Audiobooks should start at the beginning of the book, skipping the forewords, prefaces, dedications, notes on the 18th edition. Or make it two files so I can listen to the preambles at the end, if I care. 
		- Fox's business model
			- Fox's business model: Getting <a href="https://en.wikipedia.org/wiki/Liberalism">libs</a> upset. 
			- It's simple. Their audience likes to hear about liberals freaking out. If you can make them cry, even better. All they have to do is come up with a few things that piss off the libs every week, and they're gold. And if the libs don't get upset, you can just lie and say they did.  
			- Imho they aren't the only news org doing this.  As Maddow says, watch this space. 
			- To be clear, it's not my business model or any other kind of model to get anyone upset. Quite the opposite. I want to get everyone to work with each other. It's my impossible dream. :boom:
			- When the libs are angry, Fox is happy. 
		- It's not really a scam
			- It's been fascinating to watch writers <a href="https://mediagazer.com/210317/p16#a210317p16">come to grips</a> with the idea that Substack is not a level playing field. They recruited some famous writers, paid them advances, in some cases (apparently, not verified as far as I know) of up to $250K. The rest of the writers got nothing but the opportunity to make money from their newsletters. By seeding the market with this money they could honestly say that some writers were making six figures from their Substack work, implying perhaps that you could too. Maybe you could. But honestly -- you won't. The system they've set up doesn't work that way.
			- One writer called it a <a href="https://thehypothesis.substack.com/p/heres-why-substacks-scam-worked-so">scam</a> but I'm not sure that's a good word for what's going on. It's more like "business model" or "growth strategy." This is how the tech industry works. They do whatever it takes to create an illusion of potential growth, then they sell that to seed investors, who in turn sell it to angels, then to Series A and B and so on, and ultimately to the public. Huge amounts of money are raised, and none of it goes to the writers who keep the wheels spinning, in the case of Substack and their ilk, writers. And the writers who may think of themselves of savvy tech journos are scammed, that's where the real scam is, they largely did it to themselves by believing the fairy tale that they could get rich off writing, or even make a good living. 
			- An aside, this is not new. Medium has been paying writers for years. I know several of them and have confirmed it. I found out by questioning why they wrote for Medium, when it seemed against their values. The answer: they needed the money. 
			- I regularly make offers to work with writers on easy writing and distribution systems without the constraints. But you all keep going for the tech industry business models. They get rich, and we're always starting over. When you decide you want to do this for real, with your eyes open, learning from all the experience, write a manifesto and call for open source devs to help you, and then we can get something going. But until the writers lead here, you're going to keep having your hearts broken and the tech for writing on the web will continue to go nowhere. 
	- March 17
		- Today's song: <a href="https://www.youtube.com/watch?v=Gg9RyiPKhx8">Josie</a>.
		- I was having a philosophical conversation the other day about the difference between an app being scriptable or having an API. This has always been a big question. It's like this question: when does an actor become a star? Aren't they doing the same thing? Yes, they are, but no they aren't. An app being scriptable means that its API went through a process, it was conceived from a user's point of view. The designers looked at the user interface and made sure everything you could do there was also possible in a script. The terminology matched the UI. You didn't have to learn a new vocabulary. There were examples provided that showed how to do things the app couldn't do on its own, things that a user would want to do, and would inspire a script-writing user to want to do more. You're looking for the tiny fraction of users who in their hearts are developers, but don't know it yet. These people make software system devs don't think of, and aren't impressed with, because what drives the user-programmer is utility, not programming prowess. Further if you tell them they're programmers, they'll disagree for a long time -- no, I'm a lawyer, no I drive a bus. No I do this or that. But eventually quite a few will come to see that they are programmers. Then, as the programming priesthood takes hold, these people are confined to niches where the devs thought to add a scripting interface. That becomes a platform and the process begins again. 
		- You know how <a href="https://www.politico.com/news/2021/03/13/ron-johnson-black-lives-matter-antifa-capitol-riot-475727">Ron Johnson</a> talked casually how if it were black people who attacked the Capitol he’d be worried, as if somehow it was normal for Americans who lost an election to violently try to overthrow the government and no one called him on this!  We are so crazy it makes me want to hurl.
		- I was listening to <a href="https://www.npr.org/podcasts/381444825/the-brian-lehrer-show">Brian Lehrer</a> on WNYC this morning. The remarkable thing about Lehrer is that not only is he super smart and informed, he assumes his listeners are as well. No dumbing-down. No gotcha questions. He isn't trying to make headlines, just inform his listeners.
		- When your parents die
			- One thing you learn when your parents die, the people whose goals and dreams you studied for your formative years, is that our goals and dreams don't matter  much.  
			- The thing that matters is that my mother made a <a href="http://scripting.com/images/2021/03/17/evesQuilt.png">quilt</a> for me because she wanted me to have it after she was gone. That she walked my brother to school one day 50 years ago and someone took a picture so I can put it on the wall of my living room today. She planted trees on her street, trees that wouldn't give shade until she was long-gone. 
			- That my father wrote about what he learned about using a computer to organize his work, with software I had written. The time after I was home from the hospital and he took me to the toy store and said I could have whatever I wanted. I have no recollection of what I chose, but I remember that he did it. I imagine that day he was glad I was okay. 
			- The things they give you, their love, the small incidental memories -- they end up mattering more than any of the battles they fought or the impossible dreams they never achieved. 
		- Following up on Roam
			- I got some feedback to my series of <a href="http://scripting.com/2021/03/15/144714.html?title=aboutRoamsProduct">questions/observations</a> about Roam's product, which does appear to be an outliner after all. This was my most basic question. I could see that users had the ability to control detail with a familiar expand and collapse operation, but could it reorganize according to structure, the second major feature of outlining? Text on rails. It does have that ability.
			- In the meantime I have a couple more questions.
				- Is there a directory of interesting public graphs created by Roam users.
				- Is it a web? Can I link to other people's graphs? What if I create my own Roam-like product, can my graphs be incorporated into other people's?
			- Observations
				- I spent some time a few years ago brainstorming with Ward Cunningham, the great wiki dev, about how we could combine outlining and wikis. We didn't figure it out. It seems Roam, or one of the products it has inspired, may have it. Andrew Shell, who has spent more time with Ward recently said he had the same thought.
				- I should really spend some time learning this product, but it's hard to find that kind of time. This is one of the problems with software development. It's not like listening to music, which you can do while you are driving a car, or seeing a movie, which takes at most a few hours. Learning to use a software product can take months or even years. Very few products get used by most developers, which is a big reason we keep reinventing each others' wheels.
			- Long story
				- I have to distill this down to something shorter, but don't have the time right now..
				- When I first showed up in Silicon Valley, after spending a couple of years in Madison making my first outliner (and getting a CS degree), I was disappointed to find out that someone else had thought of outliners before I had, years earlier, and had developed one, and made a big splash, of sorts -- but opinion-leaders were just as puzzled about his product as I found people were with mine. 
				- Now I'm having a different feeling, after I stopped trying to make outliners pop up everywhere, and turned to other interesting products such as system-level scripting, RSS readers and web CMSes -- that now a new generation of devs is trying again. 
				- We had tens of thousands of users of our outliners in the 80s, not millions. People who use outliners are rare, I found. I think it may be possible that doesn't have to be that way, there's nothing very hard about using an outliner, but people have to be interested in how they organize and use info, to see the possibility of tools to make that more efficient, and most people aren't that interested.
				- The product didn't take off until it did something other than outlining -- presentations. Some people asked if they could just have the outliner, and others wanted just the presenter. Which raised the question, why are these two very distinct functions, in one app? Shouldn't they be split into two, so users could plug them into other tools? This is a big idea, that still hasn't seen its day in the sun.
				- That made me turn to making glue that could combine the features of products to make a hybrid product. That's the germ of an idea that led to Frontier. 
				- Anyway, when I knock on any developer's door and ask about their connections to the outside world, this is what I'm getting at. I once approached a company making a notification system if they supported "RSS" and <a href="http://rsscloud.co/">rssCloud</a>. They said it was a third-party opportunity and sent me back a link to their developer site (it cost money to be a developer, btw). This felt like when I approached <a href="http://scripting.com/stories/2012/08/06/whatHasPodcastingAccomplis.html#yesPodcastingIsHugeHeSaysButLookAtHowItsDominatedByNprThatMeansRadioWonHeSaysThePromiseOfPodcastingWhichWasAnOverturningOfTheHierarchyWasALosingProposition">WBUR</a> at the dawn of podcasting to offer to work with them on a new kind of public radio, and they sent me a prospectus for giving them money. Or the time in 1978 that I cold-called the <a href="http://scripting.com/2016/12/18/pressFreedomIsNotMyFreedom.html">Encyclopedia Britannica</a> and told them I knew how to create a computerized encyclopedia and would they like to work with me, and they sent a salesman to try to sell me books! The guy was persistent, we kind of became friends, but he never understood one word of what I was talking about. Heh. I guess it was hard to understand that someday they would be on the web, but this was way before the web existed. 
				- Anyway, I want to know what kind of product Roam is making. One that welcomes the rest of the world, or one that wants to be its own world. Not really judging, just trying to understand. It's like asking if you want to be a cop or the Chief of Police. (A rabbi, or god?)
				- PS: Ultimately I personally decided I wanted to be a cop. :cop:
				- PPS: Anyone else working in this area, if you're planning an API, let's collaborate, I have some working code in this area. 
				- PPPS: I wonder if <a href="https://en.wikipedia.org/wiki/Jerry_Michalski">Jerry Michalski</a> has looked at this? He was and is an advocate of a product called <a href="https://www.jerrysbrain.com/">The Brain</a>, it seems a lot like Roam too. If Jerry likes it, that means something, imho.
			- That's about it for now. 
	- March 16
		- Good morning sports fans! 
		- I was telling one of the devs I work with yesterday about Lotus 1-2-3's macro language. I'm going in that direction again, I think the web needs a scripting language. Not one written for devs, but for people who think of themselves as users. That was the thing about 1-2-3. Also Hypercard. And my own product, UserLand Frontier. The idea that there are programmers who would reject the idea that they are programmers. It's a very subtle idea, people who are great hackers in the sense that they will work endlessly to find a way to do the thing they must do, who will develop a deep understanding of the problem they want to solve, but not as much depth on the nature of programming. Mitch Kapor was one of these people. He wrote a product in 1980 or so called VisiPlot. Written in BASIC. It sold really well. Programmers didn't like it. But they sold a lot because it worked really well with Visicalc, the leading spreadsheet of the day. He went on to found Lotus, and they put a macro language into 1-2-3, and the loop was closed. A user created a tool for other users to create tools for other users. The beat goes on. I love the idea of empowering users to create the products they want out of the components us "serious" devs create. 
		- A thread I <a href="http://threadviewer.com/1371869794312593408">rolled up</a> in ThreadViewer. 
		- I had a bunch of errands to run today and thought to get my car washed, to get rid of all the caked-on mud from the winter. It was so dirty, you couldn't even tell it was a white car. When I pulled up to the car wash the guy was just waiting for me, far away from the entrance way. I kind of got annoyed and opened the window and asked if he worked there. He asked if I have a mask. I wasn't wearing one. This is the attitude of a vaccinated citizen. Sometimes we forget to wear the mask, even though I know that's no excuse. Rather than say "Hey bud, I'm vaccinated," I just put the mask on. I felt a bit ashamed because I used to be so militant and vigilant about masks. I wonder if other vaccinated folk are having a similar experience. 
		- <a href="https://twitter.com/alizasherman/status/1371848553757343746">Aliza Sherman</a>: "Sometimes I think the hardest thing about life may be that you finally begin to see and understand things about yourself as you are on the other side of middle age and have less time to live who you are."
		- Whatever the <a href="http://scripting.com/2021/03/15.html#a135524">problem</a> was with the emails, it now seems cured. Lots of things get screwy in the cloud when we switch to Daylight Savings Time, or even when you change time zones, not that we do much of that these days. But the emails went out last night at midnight and they sent the proper stuff, so I'm going to relax about until it happens again, which no doubt it will. Remember -- it's even worse than it appears. 
		- About politics, I'm not one of those people who cherry-picks bits of news to support a cherished theory. I try to see all the info that's available to me, and I do change my mind, sometimes in a very big way. I used to vote for Republicans, don't ask me why, I can't believe it myself. But I stopped that nonsense in 2004, and ever since I can't imagine why any sane person would. I also know that Andrew Cuomo was part of a very nasty campaign against Ed Koch on behalf of his father, Mario Cuomo, when both were running for mayor of NYC. They were <a href="https://gothamist.com/news/ed-koch-held-decades-long-grudge-against-cuomos-over-vote-for-cuomo-not-the-homo-posters">picking on Koch</a> because he was a single man, questioning his sexual orientation. Back then this was nasty bullshit, but it didn't disqualify his father. Today, if the word ever got around, if people knew the slogan they were using, it would probably ruin Governor Andrew, as it should. To this day I can't hear the name Cuomo without thinking of this <a href="https://www.google.com/search?q=cuomo+homo">bit of nasty</a>. Basically the Cuomos ended up fucking themselves, and they deserve it. 
		- I'm also curious about how short people's memories are, apparently, and if people have any thoughts about how close the journalists came to throwing out Joe Biden's candidacy for president in April and May of 2020. Now, as president, he's doing a great job (I think he is, despite my not supporting him in the primary). But he was almost Frankened. There was no process with Biden, it was as if by magic, the journalists decided to give him a pass, and let him run for president without making an issue of the accusations of sexual assault. No explanation. They just erased our memories and went on. But <a href="https://en.m.wikipedia.org/wiki/Joe_Biden_sexual_assault_allegation">Wikipedia</a> didn't forget. :-)
		- I think business, politics and journalism must have a code of ethics, and that includes treating everyone fairly. But we don't do that. We destroy lives of innocent people in the name of justice, which is exactly why I oppose the death penalty. Decisions about life and death must not be part of a political process, and neither should someone's banishment from public life. If the charges stick, if we believe the person is really guilty, first take steps to protect potential victims, then have a process for determining innocence or guilt, and apply that process to everyone equally, regardless of whether they are a nominee for president, governor of a big state, or just some random schmuck. This is America. We believe in protecting people from mobs. We are nothing if we allow mobs to tear people down. And we are living through a period where people do just that. This is not acceptable. 
		- I'm sure at the time many people thought <a href="https://en.wikipedia.org/wiki/House_Un-American_Activities_Committee">Joseph McCarthy</a> was doing god's work by protecting America from un-Americans. That was really a concept in postwar America. American citizens who were un-American. Now, from the perspective of history, we can see how wrong that was. And I'm sure in the future, if America survives, we will look at this time the same way. 
		- Personal publishing machines
			- Sad moment. I was doing a lookup for a bit about a programmer of my generation, I wanted to write about some of his ideas. I found they had a lot about him in the <a href="https://computerhistory.org/">Computer History Museum</a>. I started looking around at the other people they interviewed. I knew all of them, they knew me. But for some reason my ideas and my work are not part of their record. 
			- Why? Probably because I was the main blogger in Silicon Valley in the early days of the web. You've seen how they respond to journalism. How do you think they felt about one of their own writing publicly about what he thought of what they were doing. I was hoping they would join me. That's how I develop. By doing. And then building the software to support what I'm doing. That imho is part of the history that belongs in the Computer History Museum. 
			- I think they must be missing a good 50 percent of the story. The literature of the web. They didn't understand how these were not just personal computers we were developing, they were personal publishing machines. Now in hindsight, they should adjust the image they're trying to project into the future. These machines were used for something they have never appreciated. 
	- March 15
		- Scripting News on this day <a href="http://scripting.com/2020/03/15.html">one year ago</a>. When the new normal was still very un-normal. 
		- Here's an idea. A feed that replays the then-new podcast-o-sphere, starting in June 2004. In June 2021.  
		- A company says "I'm sorry you're inconvenienced." Maybe I'm not inconvenienced. Perhaps I'm devastated. Or bored. Irritated. Puzzled. Bewildered. Suicidal. Horny. Perturbing. Vexing. Fetching. Capricious. Circumspect. Hobbled. Riotous. Homicidal. Wistful.
		- Last night's <a href="http://scripting.com/email/">email</a> was a repeat of Saturday's email. I think the problem was related to the switchover to <a href="https://www.timeanddate.com/time/change/usa">Daylight Saving Time</a> on Saturday night. Fingers crossed about tonight's email. If you're reading this at midnight on Tuesday morning, it worked. :boom:
		- I found a way to save trees. I bought a pile of <a href="https://www.amazon.com/gp/product/B00JCG1V42/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1">dish towels</a> and put them on the kitchen counter where the paper towels and paper napkins used to be. When they get dirty, I throw them in the washing machine with the clothes. And re-stack them. And they're nicer to use than napkins.
		- About Roam's product
			- Thanks to my correspondents on Twitter, I think I'm starting to figure out <a href="https://duckduckgo.com/?q=roam+research&t=h_&ia=web">Roam's</a> product. I am guessing about some of these things, using the blogger's ethos, put your mistakes out there for everyone to see so you can learn faster. :-) 
				- In Roam's world an outline is computed, not stored. There is no "OPML" file for an outline, as with my outliners. There is a database with blocks of text, and they are connected to other nodes/blocks through links that are represented textually by double-square brackets or with a hashtag as in Twitter. 
				- In Roam, the outline hierarchy is a way of browsing the results of a query. I've often thought of this as an interesting way of doing things, and even have an experiment up that I think is Roam-like, <a href="http://thesaurus.land/?word=roam">thesaurus.land</a>. It's a way of navigating a database of synonyms, using an outline structure as the presentation format. It works.
				- Can you reorganize an outline in Roam? I haven't heard about anyone doing that. This is one of the reasons I'm not sure Roam actually is an outliner. In my world, an outliner has two defining functions: 1. You have control of detail, via expand and collapse and 2. You can reorganize according to structure. The text is on rails. 
				- People expect by entering all their ideas into Roam's database that there will eventually be serendipities, things they will learn by seeing connections they had not seen before. 
				- You are expected to use Roam for all your note-taking. Many people see Roam as a replacement for Evernote. 
				- In my world, OPML support is not incidental. Each of my outliners is a church, but the religion is OPML. There is no lock-in in this world. You can use any other tool that can read or write OPML. So when I ask if Roam supports OPML, I'm asking if their product can play with products that are compatible with mine. This is like asking, imho, if a news reader can deal with RSS. With OPML the standard is rock solid. For some reason no one has screwed with it (thankful).
				- Can I use my own editing tools to get my ideas into their database? I don't know. I suspect a developer could create a bridge. Most of my writing is available in OPML. There are lots of examples in the <a href="https://github.com/scripting/Scripting-News/tree/master/blog">repository</a> that holds my blog content starting in May 2017. The rest of it is on the web, and I can provide a zip archive for a developer who wants to try importing all 26-plus years of my blog. ;-)
		- Cuomo, BBC, men, women and hate
			- Why do I write so much about men, women and hate. Because I guess it's taboo, and my life was in many ways formed around dysfunction between genders, and I feel fear when I see a man taken down, fear that it's going to happen to me. I'm pretty sure many other men feel the same, because I've been in places where men can talk privately, and this is a big topic, the fear that our lives will be ruined. 
			- Even so, I don't think I'm alone as a man who seeks the approval of women. This might be the single driving force in my life, probably going back to birth. I kid you not. 
			- Anyway, I appreciate not being <a href="http://thesaurus.land/?word=excoriate">excoriated</a> for touching this third rail. I tiptoe up to this topic, but then I'm getting older, with less at stake, and the world is crumbling anyway, so why not take a chance. I think there may be a resolution possible, maybe it'll come at the last minute, in time to get us focused on solving the problems we share, not just the ones that divide us. 
			- Anyway, I wrote earlier...
			- Just heard, on the BBC, about a book entitled <a href="https://www.amazon.com/Men-Who-Hate-Women-Misogyny-ebook/dp/B08QY6PXX5/ref=tmm_kin_swatch_0?_encoding=UTF8&qid=&sr=">Men Who Hate Women</a> written by a woman. I don't doubt that there are men who do hate women. On the other hand, I also don't doubt that there are women who hate men. Maybe if we worked on all the hate, what an idea that would be. In the interview the author said that hate speech by men includes the statement that not all men hate women. We always have to be so careful because you never know what's going to be considered hateful. Not hating women and saying so is not hate, imho, it's more like pleading for mercy. To think it's hate is straight out of <a href="https://www.goodreads.com/quotes/6146-war-is-peace-freedom-is-slavery-ignorance-is-strength">1984</a>. Further, it's exactly this kind of crap that makes people fear women, because they can ruin a man's life so easily. I've seen it happen. And when it does, it does not, imho, in any way help anyone. It's just more of what you hated about men being applied to men, and probably feeding more hate all around. You can't stop hate with fear. Also: every man had a mother, and early in life that little man was putty in that woman's hands. If you want to fix the problems, and make life better for women, you have to work on women's attitudes too, and help that little dude love <i>himself. </i>
			- I watched <a href="https://www.metacritic.com/movie/invictus">Invictus</a> on <a href="https://www.netflix.com/title/70118779#:~:text=2009%20%7C%20PG%2D13%20%7C%202h,Watch%20all%20you%20want.">Netflix</a>, a 2009 movie about <a href="https://en.wikipedia.org/wiki/Nelson_Mandela">Nelson Mandela</a> and rugby in South Africa. It's not an incredibly great movie, but it's worth watching to learn how Mandela treated the whites who oppressed blacks during <a href="https://en.wikipedia.org/wiki/Apartheid">apartheid</a>, which was ended, as Mandela became president. It's hard to summarize the whole philosophy in a short blog post, but I'll try. When you win, try to protect the dignity of the people you defeated, assuming you have to live with them. He would say the women's movement in 2021 is doing it wrong, by aiming to destroy the lives of men. It may make you feel good in the moment, but it's only going to perpetuate the problem, perhaps even make it worse, as the fear becames betrayal because some men who are charged really are innocent, and that turns into the hate we <i>all</i> want to try to overcome. Everyone suffers when people are abused. I know this first hand, from the experience of my parents and how that was passed down to my generation. The thing to do is to stop all abuse, learn where its roots are, and help people overcome the history that makes them view the world the way they do. 
	- March 14
		- The <a href="http://this.how/threadviewer/">ThreadViewer docs</a> are ready. 
		- Well haha I believe I have all the issues worked out with the ThreadViewer app. Here's my <a href="https://twitter.com/davewiner/status/1370863807715762179">test thread</a>, viewed in <a href="http://threadviewer.com/1370863807715762179">ThreadViewer</a>. 
		- BTW the people who said I'd like <a href="https://www.metacritic.com/tv/ted-lasso/season-1">Ted Lasso</a> were right. I'm through episode 4 now. Hooked. I thought at first it was like <a href="https://www.metacritic.com/tv/brockmire">Brockmire</a>, but later realized it's actually more like <a href="https://www.metacritic.com/tv/the-good-place">The Good Place</a>. 
		- Earlier today the NYT published an <a href="https://www.nytimes.com/2021/03/13/opinion/andrew-cuomo.html">editorial</a> about Cuomo <a href="http://scripting.com/images/2021/03/14/nytEditorialScreen.png">saying</a>: "The governor has lost his political allies and the public’s confidence." There's no question about the first part, lots of Democratic office-holders in New York have called for him to resign. But there are no polls that show that he's lost the confidence of the voters. For a few days last week I thought it was over, he should resign, because they're never going to let him be a functioning governor again. But I get an email from him every day, and he's going forward with the business of helping New Yorkers deal with the pandemic. Without him, we'd be as adrift as every other state. So I say, stay in office Governor Cuomo. Let the investigation run its course, let the people see, clearly, what the charges are, and how they're substantiated, and then we'll talk. The idea that such a huge decision that has so much affect on New Yorkers, should be made in a rush, without our participation &mdash; no one has made that case yet. This is our decision to make, collectively. Times editors get one vote, the same as every other voter in New York. And imho, it's wrong for them to say the public is losing confidence and then offer no evidence to back that up. 
		- I wonder if they have arguments within the NYT Editorial Board about whether or not "the public" is something they can fudge. When they say "the public" is losing confidence in the governor, should they back that up with data, or just say it because it <a href="https://www.youtube.com/watch?v=Z8UZn7PmyXc&t=58s">feels right</a> to them.
	- March 13
		- I pay for the Washington Post. Reading an <a href="https://www.washingtonpost.com/opinions/keep-your-mask-on-were-not-out-of-this-yet/2021/03/11/a4dae20e-827f-11eb-9ca6-54e187ee4939_story.html">article</a> carefully, word for word, one I care about a lot, the text scrolls at random times and the place I was reading is now a screen away, in either direction. This is a bullshit way to treat a paying customer.
		- Cuomo
			- Has anyone polled New York voters on whether they want Governor Andrew Cuomo to resign? I haven’t seen any results. The journalists and politicians pushed <a href="https://en.wikipedia.org/wiki/Al_Franken">Al Franken</a> out just like they’re pushing <a href="https://www.cnn.com/2021/03/13/politics/andrew-cuomo-chuck-schumer-kirsten-gillibrand/index.html">Cuomo</a> out now. Why not have a <i>somewhat</i> democratic process? Wouldn’t the cause be better served?
			- Why Cuomo matters. First, being fair to everyone matters. And when you see someone rushed off, as is happening with Cuomo, and what happened to Franken, and other people you probably never heard of, this has a nasty side-effect with people who identify with Cuomo and Franken and the others. They think you're going to do the same to them. Some would say if you did nothing wrong you have nothing to worry about. Hah. You know where that comes from. That's the kind of shit <a href="https://en.wikipedia.org/wiki/Joseph_McCarthy">Joseph McCarthy</a> used to say about people who worried about being purged in one of his un-American trials. It's a common thread, and totally anti-democratic. We believe in due process here, not in mob rule. And what's happening here is mob rule, even if you aren't willing to say so publicly, you know it is. Take a close look at why you're not willing to say it publicly. What does that say about where you live. And what does it say about you.
			- The more they try to rush Cuomo's resignation, the more I want it to stop. I'm a NY voter, btw.
		- Threadviewer update
			- Threadviewer is back up. I have to admit to having serious brainfog about this project, but I slowed down, and did some more verbs docs, and just got it working much better than it was previously. Here's the deal.
			- I posted a <a href="https://twitter.com/davewiner/status/1370863807715762179">test thread</a> and here's the <a href="http://threadviewer.com/1370863807715762179">threadviewer view</a> of it. 
			- That should continue to work, even as I post more tweets through the night and into tomorrow (knock wood). 
			- It should also reflect any additions and deletions to the thread. 
			- However after 24 hours, it will disappear. Obviously that's not good! But one step at a time. I want to make sure this much works as I expect it would. 
		- What we want
			- Pretty sure we all want the same thing, what's fair, to be ourselves, for people to care about us. I don't think it matters what our identity is, at the core, we're pretty similar. 
			- Another thing we have in common is that we believe and share lies about each other. That keeps us isolated and from working with each other. 
			- The Golden Rule I believe is our salvation. Respect the differences, and always when you can, give the benefit of the doubt. 
			- If someone says someone else is evil, focus on what you know not what they say.
	- March 12
		- I've discovered I really enjoy writing verb docs. how weird, i used to hate it. i hired someone to do it <a href="http://docserver.userland.com/">for Frontier</a>. But now it's like playing a game. I keep wanting to do another verb. 
		- The pandemic is very much not over. <a href="https://mobile.reuters.com/article/amp/idUSKBN2B41FM">Italy is locking down over Easter</a>. We all know what's happening. And again, the US is largely going exactly the wrong way. We're mistaking feelings for reality. It feels like spring is here, and it's time to emerge from hibernation. It's the wrong impulse. If you use your mind, you can see the feelings are wrong. Adults do the right thing anyway. Look at Italy. Smart. 
		- Why I wanted the vaccine
			- I have a friend who I have known for a long time, who I love very much, who is one of the smartest people I know, who I would trust with my life, who says she does not want the vaccine. I have told her I'm going to write about it, without naming her, because the goal isn't to shame her, not even slightly, but rather to explore why I was enthusiastic to receive the vaccination, and to be open about it, to share my thoughts and experiences.
			- First, why I wanted the vaccine. The main reason: I was horrified to think of dying alone, suffocating, feeling awful, surrounded by people who were overworked and exhausted. Your body is theirs. Your life is in their hands. 
			- Hospitals are harsh places. It's never quiet, the lights are always on, people come and go at all times. You're in pain, weak, and groggy from the meds they give you, and you have to grapple with whatever the future holds for you. I've been there myself, with parents who were gravely ill, this is not a place you want to go in good times, and it most definitely is not a place to be during a pandemic, where the odds of survival, if you're sick enough to be in the hospital, are awful. 1 in 10, say. So you're lying there, feeling terrible, with no one to help your soul through the most difficult thing a person has to do, knowing you're almost certainly not getting out of there alive. The fear of dying that way overwhelms me. I'd do almost anything to avoid it. Take a vaccine, twice? Sure! No problem. 
			- Okay so what about the other side. Why would you <i>not</i> want to take a vaccine. I listened, and skimmed the <a href="https://pandemic.solari.com/family-financial-disclosure-form-for-covid-19-injections/">brochure</a> my friend sent. And I thought about it. Conceding that the vaccine makers are all big companies with problems in their history, I also know they went through a vetting process with the FDA, and other regulators elsewhere. Yes, it's possible that the government officials could be bribed, but I honestly don't believe they were. Had it only been the Trump government that was supervising it, I would have been more suspicious than I am now. I'd say I'm 95% confident that the FDA can be trusted, and they say the vaccines can be trusted so that's 95% good enough for me. Considering the risk of the awful death I outlined in the first part, this would be enough for me to risk it. But there's more. Suppose the government was in cahoots with the drug manufacturers, what is the probability that that fact would not leak? That's where my real trust lies. I think most professionals in every profession want to do it well. But in this case, <i>every</i> doctor and researcher would have to be in on it. And that's just not possible, imho. The world doesn't work that way. 
			- As much as I love and trust this friend, I also have a friend who is a biomedical researcher who I've known since he was a little person, five or six years old. A real brat who grew up to be a wonderful friend, who I have been talking with since the beginning of the pandemic. He's now in his mid-30s, and because of his field, had early access to the vaccine. He took it. The question of me not taking it never came up in our talks. 
			- I follow lots of doctors' advice. Some of it has been awful and left me with disabilities. Ones that I can live with and are not painful, and ones which are actually hard to live with. So I am very skeptical of the competence of individual doctors. But I also understand that their prescriptions are the result of a huge amount of testing, statistics, cost and risk analysis. With vaccines, they aren't just prescribing a treatment for individuals, I also got the vaccine for everyone else. 
			- This is true of all medicine. The drugs we take to control our diseases aren't designed for each of us individually, they are designed for all humans, we are all assumed to be the same, because there's no other sane way to do it. That's why they print the side-effects warnings on the labels, so we know that while this treatment works for most people, for some it will hurt them, and for some it <i>will kill</i> them. I don't want to die that way either, but I understand statistics and probability and I also understand that I am part of a community, and my health affects yours in a pandemic, and vice versa. 
			- There's more to the story, but this is enough for now. :boom:
		- Slow down to hurry up
			- I'm juggling too many balls in my development work. I just lost about 24 hours tracking down a problem. I had some code outside of my <a href="https://github.com/scripting/twitter">davetwitter</a> module that really belonged in there, so after a half-day of working on something else, I decided to quickly move the code from where it was to where I wanted it. However since I was actively developing the davetwitter module, I included it using a <a href="https://nodejs.org/en/knowledge/getting-started/what-is-require/">require</a> call to include a copy of the file, without going through NPM; and here's the key thing, in one place, and in another I used NPM. I couldn't understand why a properly initialized config object at startup would all of a sudden be completely uninitialized when I used it later. The answer was there were two davetwitters, one initialized the other not. A sloppy mistake I would never have made in a bootstrap. This kind of thing only happens when factoring. I guess the moral of the story is I should only attempt these integrations at the beginning of the day, when no other project is loaded into my brain, and I'd be more likely to spot these kinds of mismatches. In the end it cost me a lot of time to try to do it quickly. That's a lesson I've had to learn many times, and still am learning. I even have a slogan for it -- "Slow down to hurry up." 
	- March 11
		- Someone said tweets are like potato chips and therefore should be limited to 280 chars. I took a few screen shots of tweets that lead to long reads or watches. These are not potato chips. People think of twitter as a home for baby squirrels, this was clever marketing in the beginning, but now it's where the political and cultural world is centered. The former president of the United States was banned from twitter. The potato chip people need to let that sink in. It's a place where real communication happens. The better the tools, imho, the better it works. 
		- They like to say the apps are better than the web, but I find the opposite is true. When I click a link in the twitter app it doesn’t take me to the web. I don’t have all my tools where ever it is they take me. and When I click a link to a tweet I’m taken to a dead end. Ughh.
		- The <a href="http://scripting.com/2020/03/11.html">archive</a> for Scripting News on this day last year. 
		- Did you see <a href="https://twitter.com/Reza_Zadeh/status/1369754306988019714">this</a> coming? I did not. 
		- Threadviewer
			- A new app is coming soon called Threadviewer, not quite ready yet, hopefully tomorrow. Here's how it works. 
			- You give it the ID of a tweet that's at the top of a <a href="https://twitter.com/davewiner/status/1370040083055796229">thread</a>. The app loads all the tweets it can find that are replies to the tweet with that ID, written by the author of the original tweet and shows them inside a box, in chronologic order, as a nice sequence of easy to read paragraphs. 
			- It does what I need it to do. Now twitter can be a writing space for me that flows into my blog. I also have thread.center if I need it, that goes the other way. BTW, you can use this with WordPress, Medium, Substack, email, whatever you like. It's just copy/paste from the threadviewer rendering. 
			- PS: Here's an here's an <a href="http://scripting.com/images/2021/03/11/aThreadviewerUrl.png">example</a> of a Threadviewer URL. 
		- Morning Twitter Thread
			- <i>This was a <a href="https://twitter.com/davewiner/status/1370040083055796229">Twitter thread</a> I wrote to be sucked into the <a href="http://scripting.com/2021/03/11/160039.html?title=morningTwitterThread">blog</a>. </i>
			- Ever since Medium was founded in 2012, I was afraid they were going to do to writing what YouTube did to video, what Twitter did to short outbursts. Medium is a nice product, but it was too strong, and too much of a silo.
			- If Medium didn't exist I'd have the same fear about Substack, but they are there to keep each other from dominating. And I still hope a more distributed approach appears, esp since running a server these days is getting much easier and cheaper and is only going to get more so.
			- I wonder why Medium hasn't directly competed with Substack. It isn't that hard to ad email subscriptions to a product like Medium. Have they done it and I missed it? I would have thought it would be automatic.
			- Similarly with Clubhouse. A bit of a juggernaut. I tried it, was briefly addicted, and then for some reason I lost interest. It was a time-filler, like Twitter is, for example. When I reach a milestone in other work, I take a break by checking out Twitter. You can't do that with Clubhouse. There is no 15 minute Clubhouse break. It's either a few seconds, or an hour. I don't usually have an hour in the middle of the day to goof off, and at night I'm not at the computer and in need of distraction.
			- Now Twitter is going where Clubhouse is. I'll try it. I think it has a chance because Twitter and Clubhouse really should be more integrated. And Twitter itself doesn't live with the limits outside devs have. They can create connections we can't.
			- The world somehow has missed that Twitter has a great API, and it runs fast, and they are expanding it, not contracting it. Briefly, when Dick Costolo was CEO, they made a mistake that they quickly corrected, by cutting off certain (but not all) external devs.
			- Since then they've been very liberal and reliable. I love using the Twitter API. Of course I would love it even more if they got rid of the 280 char limit. I'm usually good at figuring out angles on things in tech, but I have never seen the logic behind this limit, when they allow so many other much more complex data types to be attached to tweets. I would have thought given all their other payload types that by now they would have a 64K or greater limit to the amount of text attached to a tweet
	- March 10
		- The pandemic is not over.
		- <a href="http://scripting.com/2021/03/10/iWasBornARamblingMan.m4a">A 36-minute podcast</a>. There's a lot here, I think, but I haven't listened to it. Will do later. I enjoy taking risks, as you can see. :smile:
		- There is no bipartisanship or "across the aisle" with Repubs who excused what Trump did on January 6.
		- Playing with a thread viewer
			- I've been accumulating tools to use Twitter as a blog-writing tool, for times when I'm not near my desktop the main place I write.
			- The first one was a tool that, using the Twitter API, gathered all my tweets in the last 24 hours and categorized them as:
				- Original tweets.
				- Links.
				- Replies.
				- RTs.
			- The idea was to get the original stuff first, to give me a way to jot down an idea in Twitter, so I could recall it later when I'm officially writing my blog for the day.
			- It worked okay, it was great at first actually, but it required too much work to reassemble a twitter thread for my blog.
			- What I really wanted was a tool that could gather a whole thread, like the one you're reading now, into a series of paragraphs, that could then be edited into a blog post.
			- But there was a missing feature in the Twitter API. No way to ask for all the replies to a given tweet.
			- Then a few days ago while my mind was wandering, I figured it out. Get the timeline for the person, and figure out which messages are in reply to the main tweet of the thread, or to one of its replies, and build the thread outside of Twitter that way. It worked.
			- So now I needed a thread to test it with. Something non-trivial, that could also be somewhat meta. And that my friends is what this thread is for. Thanks for your indulgence! :-)
			- PS: It worked. Here's the source <a href="http://threadviewer.com/1369660954150121486">as viewed by the new app</a>.
	- March 9
		- <a href="https://nymag.com/intelligencer/2021/03/why-dr-michael-olsterholm-delayed-his-second-vaccine-shot.html">Osterholm's new prediction:</a> More virulent variants will likely kick off a surge in cases and deaths in the U.S. in a matter of weeks—just as most states lift restrictions. 
		- If Osterholm's analysis is right, and it seems likely, the virus is going to explode again soon. What a difference it would make if we had a leader who could do fireside chats and keep us all directed in the most positive way,  as [%search: Cuomo%] did last year. Biden is doing the right things, but he doesn't have a good fireside manner. Cuomo was one-in-a-generation. I think that is now impossible. I think ultimately this was a product of very bad judgment on his part and journalism without perspective. 
		- The new <a href="http://scripting.com/images/2021/03/09/bronxScienceEntrance.png">header graphic</a> on my <a href="http://scripting.com/2021/03/09.html">blog</a> is a picture of the entrance to the <a href="https://en.wikipedia.org/wiki/Bronx_High_School_of_Science">Bronx High School of Science</a>, where I went many years ago. The legend was <a href="https://thesciencesurvey.com/photography/2020/04/14/the-bronx-science-mural/">the</a> <a href="http://scripting.com/images/2021/03/09/mural.png">mural</a>, showing great scientists of the past, was what we got instead of a pool. We also noticed that the test tube in <a href="https://www.haydenplanetarium.org/tyson/photos/2002-10-city-of-stars/bronx-high-school-science.php">Marie Curie's</a> hand was actually floating in air. Maybe after all these years they've fixed that bug. :smile:
		- How can we build <a href="https://twitter.com/MaddowBlog/status/1369139051740151814">public health infrastructure</a> if the next time there's a Republican administration they'll dismantle and gut it.
		- <a href="https://www.audible.com/">Audible</a> has a collection of books that members can listen to for free. So I downloaded a bunch of classics I read in school to see if I wanted to read any of them again. 1984. Brave New World. And <a href="https://en.wikipedia.org/wiki/Adventures_of_Huckleberry_Finn">The Adventures of Huckleberry Finn</a>. I started reading it, and the racial slur that got <a href="https://donaldgmcneiljr1954.medium.com/nytimes-peru-n-word-part-four-what-happened-in-peru-2a641a9b5e83">Donald McNeil</a> fired is all through the first chapter. A dozen times probably. It's really hard to listen to, so I stopped reading it. 
		- Let this <a href="http://scripting.com/images/2021/03/09/dontShareRage.png">cartoon</a> guide you when you want to share rage. Don't.
		- My kitchen is mine
			- The most amazing thing happens when woman friends visit. They take over my kitchen. Move things around. Hide them. Put things in places they don't belong. Sometimes I find them years later.
			- I got so used to it, and btw angered about it, that I tried to make a deal with my aunt when she and my uncle came to visit when I lived in <a href="https://en.wikipedia.org/wiki/Woodside,_California">Calif</a>. I said if you tell me why you want to do it, I'll let you. (At least they asked, I think that was probably my uncle's influence, I should have asked him why they asked, usually they don't, they just start doing). Anyway, when I made the offer Aunt Marsha said nothing and went ahead and started cleaning and reorganizing.  
			- It. Happens. All. The. Time. And I hate it. I fucking hate it. I tell them this before they do it. I tell them while they're doing it. I warn them, don't mess with the kitchen, after they've done it, and they do it again. Oy.
			- So here's what it says to me. 
				- We like our men incapable of taking care of themselves.
				- You are a man, therefore you cannot take care of yourself.
				- I will do it for you. 
			- Now on their side -- I don't think there's much thought to it. I think I am invisible to them. Not a factor. Subconsciously somehow they got the idea that there is no woman who owns this kitchen therefore I do. 
			- I've asked many times if they would do this to a woman friend, come for a visit and start rearranging and cleaning their kitchen. No one has said yes, but I think some of them actually do it. But most won't because it's such a sign of disrespect. I guess maybe they can see other women. Or they can relate to it, they can imagine how they would feel if their friend tried to take over <i>their</i> kitchen. 
			- I can't speak for all men (and neither can you btw) but some of us want powerful and capable women friends. People who have big positive ideas and try to do their part to help. More than anything what we want from women is to be seen as real people. 
			- Let's help each other, and start by giving us all the benefit of the doubt, and assume we mean well and can and want to take care of ourselves. 
		- Why is her success about her ex?
			- Her ex is an asshole, obviously.
	- March 8
		- <a href="https://en.wikipedia.org/wiki/Non-fungible_token">NFTs</a> are easy to understand. It's like buying a work of art to hang in your house. Everyone else can have a print. The print is just as beautiful, but the original can possibly appreciate in value. It's controversial because it uses the blockchain (probably the first time I've used that word on this blog) which uses a lot of energy. Isn't there a way to achieve the same without that cost? 
		- I'm thinking about selling one of <a href="https://cyber.harvard.edu/blogs/gems/crimson1/fridayDave.mp3">my first podcast</a>s, the one that got the ball rolling, that started my series of <a href="http://morningcoffeenotes.com/">Morning Coffee Notes</a> podcasts, and then inspired a community to develop, which caused more podcasts and on and on. People are dismissive of NFTs, and critical, but there's been no other way for a maker of new media types such as myself to get credit for our creations. Looking back, I certainly would have led the bootstrap of podcasting, even if I didn't get credit for it, someone had to do it, we needed to use the internet for audible expression and no one else seemed able to do it. But I'd like young people to know how these things work, they don't have to start companies to make a significant contribution. They can stay in their art. 
		- <a href="https://twitter.com/davewiner/status/1368902132229869576">Poll</a>: Are you watching more cable news since Biden took office?
		- It took a while for me to get how common <a href="https://en.wikipedia.org/wiki/Gaslighting">gaslighting</a> is. If someone says, in a discussion, that you're upset, they're gaslighting. It's wrong because: 1. They have no insight into how you feel. 2. They're changing the subject. Gaslighting is insidious. 
		- A bit of advice to people who want a vaccine but aren't yet eligable. It pays to hang around places that do vaccinations near closing time, because they're required to get extra vaccines into people's arms, if they don't they're wasted. There are, apparently, lots of cancellations and no-shows in some places, so your chances are  getting better all the time. Just want to be sure everyone knows. 
		- For ten points use the word <a href="http://thesaurus.land/?word=ablution">ablution</a> in a sentence. 
		- Welcome to social media. A person who does not understand humor will contact you shortly. 
	- March 7
		- If you've been on Twitter since 2006, you should get access to <a href="https://help.twitter.com/en/using-twitter/spaces">Spaces</a>. Come on. We helped you build this thing. We can keep doing it. 
		- Virus, Democracy, Climate
			- Our focus should be sharply on these three things.
				- Virus 
				- Democracy
				- Climate
			- Every other issue is a distant non-priority. Yet of course the news keeps gravitating around things other than the mutating virus and people's refusal to mitigate, how we're going to get our republic back on solid ground, and what are we doing to radically change how we live so we can survive the climate catastrophes that are already here. 
			- We can find a solution for the problem with Governor Cuomo. Have him wear a <a href="https://uedata.amazon.com/Smartphone-Powerful-Action-Sports-Camera/dp/B016M99GAW">head camera</a> 7 by 24. Every word is recorded, every image, from his point of view. It should be designed like one of those lights coal miners wear, and be streamed live to Facebook and YouTube. Everyone will see and hear everything Cuomo does.
			- Now we don't need to discuss this any further. Problem solved. 
			- Virus, Democracy, Climate. If it doesn't have anything to do with these, it's a distraction. Distractions are necessary so we don't go insane. But understand that's what it is.
		- Thank goodness for Jim Clyburn
			- <a href="https://en.wikipedia.org/wiki/Jim_Clyburn">He's</a> the smartest strategist in the Democratic Party.  
			- Quoted in the <a href="https://www.theguardian.com/us-news/2021/mar/07/james-clyburn-interview-filibuster-voting-rights">Guardian</a>:
				- “I’m not going to say that you must get rid of the filibuster. I would say you would do well to develop a Manchin-Sinema rule on getting around the filibuster as it relates to race and civil rights.”
				- “You can’t filibuster the budget. That’s why we have reconciliation rules. We need to have civil and voting rights reconciliation. That should have had reconciliation permission a long, long time ago.”
				- “If the headlines were to read that the John R Lewis Voting Rights Act was filibustered to death it would be catastrophic.”
	- March 6
		- <a href="https://twitter.com/davewiner/status/1368212762493673475">Poll</a>: Do you like the idea of using email to write for your blog?
		- <a href="https://en.wikipedia.org/wiki/Non-fungible_token">NFT's</a> are kind of like that <a href="https://en.wikipedia.org/wiki/The_Million_Dollar_Homepage">million-pixel-page</a> project from the 90s, only you can have an infinite number of them.
		- One of the reasons I love writing for the blog is that I've made the best software for me for editing and <a href="http://scripting.com/2019/06/02/150411.html">publishing</a>. I didn't make it for anyone else. I know of one person who has adapted it for his own use, that's it. The software still is far from as good as it could be. It needs the one feature my old outliner in Frontier had, scriptability. I need to get outside the limits of the JavaScript environment in the browser and on the server, while relying on the software I've built so far, to define a new <a href="http://scripting.com/stories/2008/04/19/suspensionOfDisbeliefAppli.html">virtuality</a> that is perfectly scriptable. To exist at a higher level, both as a writer and a developer. I've been to the top of this mountain before, but this time I'm taking a different path to the top. And maybe it isn't even the same mountain. That's what makes these writing/software explorations so interesing, and risky. :boom:
		- I like Chris Lydon who does the <a href="https://radioopensource.org/">Radio Open Source</a> podcast. In this week's <a href="https://radioopensource.org/plague-year-two/">episode</a>, interviewing an expert on pandemics, he exclaimed "Oy oy oy," almost wearily. Now Chris is nice, as I said, but he’s a total <a href="https://en.wikipedia.org/wiki/Goy">goy</a>, so it was LOL funny to hear him say that phrase. Oy!
		- I want to know more about who the listeners are for the <a href="https://radioopensource.org/">Radio Open Source</a> podcast. I bet they're amazing. I'd start by asking listeners to send in a photo of where they listen to the podcast. We'd publish them (after reviewing to be sure they're safe for work). It'd be quite a conversation starter. They have a Disqus comment section on the blog, and they get some comments. 
		- Key fact: Every time someone gets infected, the virus has another chance to mutate and thereby get around our vaccines. So it's in all our interests to reduce the number of infections, to slow mutations. Does this make sense? Somewhere in my education, I don't remember where, they taught me to think like this. Two or more processes that interact happening at the same time. It's reality. We're in a contest with the virus. It won for many months, and it's still winning, but now we have a strategy for slowing its growth. We will not eliminate it. These are basic facts most people haven't begun to absorb. 
		- I don't like the Holier Than Thou BS of the Democratic Party. If the <a href="https://nymag.com/intelligencer/2021/03/how-never-trumpers-are-becoming-pro-democracy-republicans.html">Never Trumpers</a> form a new party, I might join up. I'd like a party that endorses only two things, 1. the Constitution and 2. a return to majority rule. All other issues, up to the individual to decide.
	- March 5
		- Please wear the mask even if you're vaccinated.
		- <a href="http://scripting.com/2021/03/05/whatIveLearnedAboutWhereWereAtWithTheVirus.m4a">Podcast</a>: What I've learned about where we're at with the virus. When will it be over? Depends on a lot of things, including many that are completely out of anyone's control, and unknowable. All we're doing basically is going with hunches, and trying to see what works. The virus our vaccines were tested against is not the same virus that's out there today. Variants and mutations make the virus a moving target. We need better monitoring, hopefully the Biden Administration is working on that. 15 minutes. 
		- Poll: <a href="https://twitter.com/davewiner/status/1367827001210470402">Do you believe in NFTs?</a>
		- I'm re-watching <a href="https://en.wikipedia.org/wiki/The_People_v._O._J._Simpson:_American_Crime_Story">The People vs OJ Simpson</a>. Last time I watched it was before "Black Lives Matter". It's definitely worth a second watch. 
		- All of a sudden the opportunities to get vaccinated are exploding here in upstate New York. We are over-supplied, it seems. It's always been true, the United States is the country you want to come help when you have a disaster. We were not prepared for this pandemic, but we could invent, test and manufacture a vaccine, and we are able to distribute it. We're good at this stuff. And we're big and rich enough to do it right. If the pandemic had happened with Biden as president, we'd have cleaned up the virus by now, and also gotten started of ridding ourselves of the insurance industry, which does nothing for us, and takes so much. 
		- <a href="http://scripting.com/2020/03/05.html">One year ago today</a> I recorded a <a href="http://scripting.com/2020/03/05/aDeadlyVirusIstakingOverTheWorldAndTheUnitedStatesDoesntHaveAGovernment.m4a">podcast</a> about how the world was about to change and how Americans weren't ready for it. And for a few hours I replaced the contents of the home page of my blog with a simple statement in very <a href="http://scripting.com/urgent/2020/03/05.html">big letters</a>: "A deadly virus is taking over the world and the United States doesn't have a government." A year later, and the virus did take over the world, and thankfully the US now has a government, yet it is very damaged by the traitorous behavior of the ousted president. But we're doing better now.
		- In the podcast I said the virus was going to hit us hardest, because we feel invulnerable. Lots of other things, it's worth a listen. I'm glad I did this podcast. It was a transition point, the world changed around March 5, 2020. On the other hand as it turns out I overestimated how bad it was going to be. 
		- We should all write something that could get us fired to get this idea flushed out of the system that expression of our beliefs, even if other people don't like them, or they trigger bad memories, is dangerous. That we are all scared of being true to ourselves says we’ve already lost a lot of freedom.
		- JavaScript: Repetitive code
			- In JavaScript you enter this form a lot. 
				- if (err) {
					- }
				- else {
					- }
			- It seems to me there's an opportunity to create a construct to factor this repetitiveness. 
			- But for the life of me, I can't come up with something simpler. 
	- March 4
		- I think all apps should be scriptable, whether they run on the desktop or in the cloud. See the use-case in this <a href="https://twitter.com/davewiner/status/1367477718976061441">tweet</a>. Eli wants a feature in Zoom. He has to wait for them to give it to him. If the app were scriptable, any developer could write it.
		- BTW, <a href="https://en.wikipedia.org/wiki/Richard_Stallman">Stallman</a> has a similar idea. He says everyone should give him their source code. But if you do that, you get a million silos instead of one. The correct way of doing this (freedom for users) is to build powerful systems that can be easily and arbitrarily hooked up to other systems.
		- BTW, I'm going to be beating the drum for scriptable apps probably just as <a href="http://thesaurus.land/?word=annoying">annoyingly</a> as I did it in the 90s. We need to do it. Too many silos. System-level scripting is the same idea as it was on the Mac, except most of the apps now run on servers in the cloud. 
		- <a href="https://johnnaughton.substack.com/">John Naughton</a> might have the best view of independent writing on the web. Through him, I keep up with an amazing number of people, many of whom I knew long time ago, but have lost track of. I wonder if there's a way to develop something with that info. <a href="http://scripting.com/2014/06/02/whatIsARiverOfNewsAggregator.html">Hmm</a>. 
		- All the water my house uses comes from a well 140 feet underground. The water contains some minerals, not much, because the Catskills are renowned for water quality. The pipes also contribute minerals to the water, esp when the pressure drops to zero as it did the other day when the pump failed. And again when the power went out. When the water comes gushing back after an outage, it dislodges little bits of crap from the walls of the pipe that were loosened when the support of the water suddenly disappeared. There are filters that catch the chunks large enough to cause problems in some of the devices hooked up to the water supply. But not all, some have no filters, and the bits get lodged in bad places, but then given enough time, they disintegrate and things slowly return to normal. I learned all this in the last few days. :boom:
		- An idea for a social net
			- An idea -- a net where no one knows your name or bio. 
				- People listen to what others are saying without an idea of who's talking. All you know is that they were chosen to be part of the group because they're interesting, known to think well/carefully, have respect for other points of view.
			- There are criteria to be accepted, like a university has criteria. 
				- Maybe you have to take a test. I know entrance exams are inevitably skewed to favor white men. Hire a team sociologists to try to overcome that.   
			- Limit to say 10K people. Like a good-sized town. 
				- I live in one, so have an idea how communities this size work online. With good moderation, the communities solve problems, people help each other. 
			- Your real world identity is secret. 
				- All you know is that everyone in the community likely has something in common with you.
				- Your screenname persists, so people get to know you but have no idea who you are in the real world. 
				- If you reveal your identity, you are kicked off the system. :smile:
			- BTW, I was part of such a community a long time ago.
				- It was called CB Radio and was a service on CompuServe, an ancient and long-gone social media site. 
	- March 3
		- Today's song: <a href="https://www.youtube.com/watch?v=GielMXWQlbw">Those Were the Days</a>.
		- An idea re Andrew Cuomo. Do a full investigation. Invite all accusers to come forward. The allegations are published by a 9/11-style commission. Then have an election, let the voters decide. I explained in some detail how I feel about this situation in a <a href="http://scripting.com/2021/03/02/theCuomoProblem.m4a">podcast</a> I recorded yesterday. Summary: No I don't think Cuomo deserves our mercy, I think <i>we</i> deserve it. He led us very well during the darkest days of the pandemic, and for all we know even darker days are ahead. We are not out of the woods yet, although <a href="https://www.npr.org/2021/03/02/972952844/texas-and-mississippi-to-lift-covid-19-mask-mandates-and-business-capacity-limit">some</a> <a href="https://www.cnn.com/2021/03/02/us/texas-governor-mask-mandate/index.html">states</a> are acting as if we are. The very things that make Cuomo such an asshole may also make him a great leader in times of trouble. In this way it's totally parallel to the Al Franken cancellation. Also I suggest his daughters, whom we've heard a lot about (too much, although his critiques of their boyfriends were funny, I guess, you may have to be from <a href="https://en.wikipedia.org/wiki/Queens">Queens</a> to get the humor), have a talk with him. Sit him down and make him listen. Dad we can possibly save your ass if you listen now. I'm guessing they know how unacceptable his <a href="https://www.governor.ny.gov/news/statement-governor-andrew-m-cuomo-209">non-apology apology</a> is. But ultimately this is not a decision for the press, or for other politicians, it's for the voters of New York to make. I think that in all but the most egregious emergencies, that's the right answer.  
		- One of my favorite <a href="https://www.google.com/search?q=egregious">words</a> is <a href="http://thesaurus.land/?word=egregious">egregious</a>. It rolls off the tongue so smoothly, and the spelling is fairly <a href="http://thesaurus.land/?word=gorgeous">gorgeous</a>. 
		- 95% of those polled <a href="https://twitter.com/davewiner/status/1366882523683381253">will outlive Trump</a>. 
		- BTW if you asked me when I was a kid if Queens would someday elect a president, have the best <a href="https://www.grubstreet.com/bestofnewyork/absolute-best-chinese-restaurants-in-flushing-nyc.html">Chinese food</a> in the US, and pretty much every other kind of Asian ethnic food, I would have thought you were out of your mind. On the other hand no one expected the Mets to win the World Series in 1969, so there's that. Queens is a weird place. But it's kind of nice that the world comes to Queens these days, and it emanates from Queens too. 
		- <a href="http://scripting.com/2020/03/03/144317.html?title=myFatherApologized">On this day last year</a>, in a dream, my father, who never apologized for anything to anyone at any time in his life, as far as I know, apologized for something. I accepted it, and we became friends. Does it mean my subconscious is ready to forgive and move on, or did my father, after being dead for 11 years, process his life and realize it was time to <a href="https://www.aa.org/assets/en_US/en_step9.pdf">make amends</a>? I don't know, but re-reading the post, I was able to feel the relief today that I felt last year. One of the many wonders of having a blog. I went back looking for comments about the looming (then) pandemic. 
		- Yesterday with the <a href="http://scripting.com/2021/03/02.html#a171711">power outage</a>, I listened to a lot of podcasts, including <a href="https://www.nytimes.com/2021/02/24/opinion/the-argument-congress-filibuster-senate.html">The Argument</a> from the NYT. They had a two-sided discussion of the filibuster. One side for getting rid of it, and the the other for preserving it. The latter was argued by a establishment Republican <a href="https://twitter.com/JessAnderson2?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor">conservative</a> from the <a href="https://www.heritage.org/">Heritage Foundation</a>. I kept thinking, they aren't the other side any longer. They represent possibly 10 percent of the Republican Party which represents maybe 40 percent of the electorate. The real "others" are the nutjobs and fascists. They want to <a href="https://www.youtube.com/watch?v=efHCdKb5UWc">burn the whole thing</a> down. I doubt if they have anything specific to say about the filibuster. I'd love to hear a debate between the <a href="https://en.wikipedia.org/wiki/Ezra_Klein">Ezra Klein</a> faction (smart, thoughtful, polite) and the <a href="https://en.wikipedia.org/wiki/Louis_DeJoy">guy</a> who runs the US Postal Service or Josh Hawley. I also listened to the <a href="https://podcasts.apple.com/us/podcast/mea-culpa-with-michael-cohen/id1530639447">Michael Cohen podcast</a>. He has something. A real radio personality. A <a href="https://www.urbandictionary.com/define.php?term=Lawn%20Guyland">Lawn Guyland</a> guy for sure. Surpringly it held my interest. 
		- My online outline thesaurus
			- I think some of my friends might enjoy a little thing I put together a while back called "thesaurus.land". 
			- It's a word <a href="http://thesaurus.land/?word=navigator">navigator</a>. Enter a word in the text box, click the button and you get a list of synonyms. You can then double-click on any of them to see its synonyms, on and on as long as you like. 
			- I love words, maybe you do too.  
			- PS: Here's a <a href="https://www.youtube.com/watch?v=3ySSzmaoRzo">video demo</a> I did in 2016.
		- Sex in the workplace
			- I was founder and CEO of a small Silicon Valley company in the 1980s. A few dozen people at its peak. I had invested everything in the company, and it was touch and go all the way. If I lost, I would have been totally broke, financially and personally, so I didn't have time to play around. 
			- I also had a girlfriend, a long distance relationship, and remember being frustrated that her friends told her no man could be faithful that long, but I was. Maybe I was a fool because I got blamed for it anyway. But that's not the story. 
			- There were plenty of women in the company, including execs. I wanted the best people I could get for the job, and I was raised by a <a href="http://scripting.com/2018/02/26/024939.html">woman</a> who was accomplished and smart, so I believed in the idea of gender balance and practiced it. 
			- I also was propositioned a fair number of times by women who worked for me. Totally inappropriate. I brushed them off, but occasionally had to sit down and say this was something you could get fired for, if it didn't stop. 
			- There was so much sex going on in the company. And there was also gossip about who I was sleeping with (CEOs get gossiped about, no surprise). The whole thing was depressing. Our company was often on the brink of going under, and to some it was just a job, and maybe they felt it was hopeless, but I couldn't afford to. And there was no way to stop the gossip without making the issues even bigger. 
			- Eventually we had a hit product, and noticed that when the company was growing the gossip became less important. 
			- The point of the story is that sex in the workplace is complicated. It isn't just about men with power using it to take advantage of lower level employees. I think a lot of people must know this, and are overlooking, deliberately or not, when discussing this topic. 
	- March 2
		- <a href="http://scripting.com/2021/03/02/theCuomoProblem.m4a">Podcast</a> about where we're at with Cuomo. 
		- In <a href="http://scripting.com/2021/02/09.html#a151330">mid-February</a> I made a change to my <a href="https://github.com/scripting/everyMinute">script scheduler</a> to attempt to get rid of drift, so that the nightly email would go out more or less precisely at midnight. The fix worked. Sometimes it's one second after midnight, but usually it's exact. The important thing is that any difference is not cumulative, it gets back on track on its own the next day. Here's a screen shot of <a href="http://scripting.com/images/2021/03/02/footer.png">footer</a> on last night's email. 
		- The weather. Oy! Very cold very windy and the power has been out, on and off, since yesterday afternoon. I charged up all my devices before the power went out and loaded up lots of podcasts, so I'm very entertained. Made a <a href="https://www.youtube.com/watch?v=Fy82ekHbVpM&feature=youtu.be">nice fire</a>, but the house still got down to about 45 degrees. I was worried about pipes freezing if the outage lasted much longer. But the power is back at about 12:20PM Eastern and I'm feeling pretty good now. 
		- BTW, if you download Netflix shows to a mobile device, why does the app refuse to open if you don't have a net connection? What was the point of downloading them? I swear it used to work. How did I watch Netflix shows on airplanes?
		- Brian Lehrer is one of the best podcasts out there. Just listened to his <a href="https://podcasts.apple.com/us/podcast/how-serious-is-andrew-cuomos-sexual-harassment-scandal/id1482313742?i=1000511167029">summary</a> of the Cuomo situation, including calls from listeners. They covered it all. Totally worth listening to. 
		- Why aren't there teams owned by corporations. Imagine if Amazon had an NBA team. I bet they'd figure out new ways to monetize it. 
		- DocServer was a Mac app, before there was a web, that let you read the verb docs for the UserLand scripting language. Once we transitioned to the web, DocServer became a web app, managed by our <a href="http://scripting.com/frontier/netScripting/web.html">website framework</a>. I had forgotten it was an app before it was a website. And, btw, it was fully scriptable, as were all the apps we were making at the time. Here's a screen shot. 
		- DocServer screen shot, late 80s?
		- We <a href="https://www.google.com/search?q=thinktank+fanatic+site%3Ascripting.com">called</a> our users fanatics. 
	- March 1
		- Not knowing what ideas will not be tolerated in the future must make it hard for people to write for the NYT now. 
		- How are we going to be sure we remember January 6 and the fact that we've done <i>nothing</i> so far to punish those responsible. Congress is filled with instigators. Yet the Dems go along as if it's four years ago and perhaps HRC is president and the Repubs are just being assholes.
		- I was asked what would you do if you were in charge of the Dems. Okay. I would do the equiv of what Trump did on Jan 6, but do it legally, within the limits of the Constitution. Turns out the Constitution gives the Dems enough power to do what's needed. Yes, it will provoke what remains of the Repubs. So when are you going to stop worrying about that and realize that the rest of us have been totally provoked. They don't worry about provoking us. Maybe that's something we have to fix.
		- Like many others I learned to live with an alcoholic parent. You try desperately not to provoke them. They drink and that's all the provocation they need. But they're the adult, and you're a kid so you believe them when they say you provoked them. But kids are not stupid, you can't see how. 
		- <a href="https://twitter.com/SBNation/status/1366420617600192513">Yes</a>. The Knicks are surprisingly good this year, and fun to watch. Finally NYC has a real NBA team. Not like Brooklyn which was annointed by an itinerant group of star players. They'll be as hollow as Miami or Cleveland when they move on. 
		- <a href="https://twitter.com/EthanZ/status/1366453184672137216">Ethan Zuckerman</a>: "I love the <a href="https://cars.usnews.com/cars-trucks/chevrolet/bolt">Chevy Bolt</a>. Probably the best car I’ve ever owned."
		- We're making <a href="https://github.com/scripting/Scripting-News/issues/201">good progress</a> on the prototype discussion site for the Radio Open Source podcast. 
		- I am pissed that the press is going after Andrew Cuomo, who led us through some very dark times, when it helped to feel like someone was in charge. We may need that again, and thanks to this purge, he may not be available. But if you really want to nail him, learn about the <a href="https://en.wikipedia.org/wiki/1977_New_York_City_mayoral_election#General_election">1977 campaign</a> between his father and Ed Koch, for mayor of NYC. It was very mean-spirited, and Andrew was part of it. I find what the Cuomos did utterly abhorrent, but you know what, we still need people who can lead. Perfection is nice, if you can afford it. We can't. 
		- [%search: Donald McNeil%] has started to write about his leaving the NY Times. It appears it'll be coming out in installments. <a href="https://donaldgmcneiljr1954.medium.com/nytimes-peru-n-word-part-one-introduction-57eb6a3e0d95">The first</a>, which was published today on Medium is mostly preamble. I know what he means about being edited. I wrote briefly <a href="https://www.google.com/search?q=site%3Awired.com+%22dave+winer%22">for Wired</a> in the early days. I loved my <a href="https://en.wikipedia.org/wiki/June_Cohen">first editor</a>, she made an effort to understand my topic and me, and always made my writing better. If I disagreed she listened. Then I got a new editor, who did none of that. I read a piece with my name on it that was the opposite of what I had written. I felt like I had to write a letter to the editor saying the author (me) was an ignorant fool. It happened again, then I quit and returned to blogging where I often make mistakes, but they were my mistakes.
		- I have Apple's credit card, and it's got good integration with iOS as you would imagine. I get a notification every time some business charges my card. That's a killer feature.
		- Selfie taken in my Manhattan apartment in 2017. Look for Central Park in the glasses. 
		- Good morning! March is coming in like a lion for sure. It sucks. This afternoon a super cold front is blowing in, after a warm few days, with slush everywhere, and it's all going to freeze. Oy. I got so tired of living in California. Oh no another beautiful day, when will the torture end. Right now I'd give anything for a warm breeze, a bit of green, some flowers, a bike ride perhaps. Can't come soon enough. Anyway welcome to another month of my life. 
