- August 2021
	- August 31
		- "Drummer" testing is going well, still more features in development, but it is pretty stable. So I'm looking for more people to join the test group. I'm looking for people with either blogging experience or scripting experience, best if you have both, and even better if you've done development in Frontier. Think of [[Drummer]] as the continuation of the blogging work we were doing at [[UserLand]] before we took the turn toward [[Manila]] and [[Radio]]. Drummer is unabashedly about the [[outliner]]. It's the most fluid way to write, and I want to hook it up to as many rendering engines as possible, using open protocols, as possible. I see outlines as the center of the writer's universe, but you already knew that if you read my blog. Send an email or DM on Twitter if you're interested. Not guaranteeing access, and not saying when. We're still a ways from opening up to the public. 
		- I'm reading <a href="https://en.wikipedia.org/wiki/Player_Piano_(novel)">Player Piano</a>, Kurt Vonnegut's first novel. I probably read it before, but didn't remember. It's a slog unlike later Vonnegut novels. This was Vonnegut before he was Vonnegut. His writing is very relaxed, American, and irreverent. And very much his. If he wants to go to some weird place in his story-telling he just goes there. I think the peak of this was Breakfast of Champions which was about a character he invented (of course all fiction is) but he writes about <i>how</i> he invented him, and why. It's hard to explain. But in Player Piano, he's sticking to the basics of novel-writing. Only hints of a Vonnegutisms to come in later writing.  It's dull and my mind wanders while reading it. I guess that's the thing about later Vonnegut writing. He gets your full attention while you're reading. More than other writers. 
		- Repubs are the <a href="https://slate.com/news-and-politics/2021/08/texas-abortion-supreme-court-roe-wade.html">American Taliban</a>. 
		- As a lifetime [[Mets]] fan, I'm glad the <a href="https://www.nydailynews.com/sports/baseball/mets/ny-mets-celebrate-his-thumbs-down-fans-20210829-rjt54obqunbrjma3w33557cevm-story.html">players pointed out</a> that other fans are being assholes. I'm glad because I want to let the players know that I used to mow Mets' players lawns in the 60s. I went to games with my parents, uncle, grandfather, brother. We had a slogan "Shea Stadium Rules" which meant that even if we had our differences underneath it all we're still rooting for the Mets. So-called "fans" who dis the team when they lose really are Yankees fans and they should just go to the Bronx and shut the fuck up. The <a href="https://www.google.com/search?q=site%3Ascripting.com+mets+philosophy">Mets philosophy</a> stands, the <a href="http://scripting.com/2018/06/24/181734.html">Mets</a> are the Mets, win or lose or whatever. 
		- Oh really?
			- When I listen to a <a href="https://www.nytimes.com/2021/08/31/podcasts/the-daily/afghanistan-withdrawal-us-taliban.html">Daily podcast</a> I often want to say "no it doesn't work the way you say it does." 
			- For example, they said today that the age of American solving problems by going to war is over.
			- Oh really? Yeah, we thought that too after Vietnam. Lotsa luck.
			- The interviewer asked the reporter what we would do if there was a future terrorism attack inside Afghanistan.
			- Reporter began "Sadly..."
			- Oh really? Their new government is, as far as we know, a terrorist organization itself. So it seems a terrorist attack against them is something we'd support, not want to prevent. It certainly isn't our job to save them from terrorism.  
			- And btw, all the time the reporters are fussing about Afghanistan, and they are doing a lot of that these days after years of completely ignoring it, <a href="https://en.wikipedia.org/wiki/2021_Haiti_earthquake">Haiti</a> is in a world of hurt. Maybe we should save some of our sympathy and good deeds for them?
		- Kikkoman
			- <a href="https://www.amazon.com/Kikkoman-Soy-Sauce-Packets-500-count/dp/B0046H8Q5E/ref=sw_img_trq_cart_v83jwdho_1?_encoding=UTF8&pd_rd_i=B0046H8Q5E&pd_rd_w=ehFMJ&pf_rd_p=11191164-d685-4a4e-80a9-8f4afe35f352&pf_rd_r=WTXNC4CDAG3FKF8AKXMD&pd_rd_r=e9561a0b-0cbe-4d86-a85f-f09e5a66ea75&pd_rd_wg=OkcCk">Over 300 years of excellence</a>.
		- Salvador Dali
			- <a href="https://www.wikiart.org/en/salvador-dali/leda-atomica-1949">Leda Atomica</a>, 1949.
	- August 30
		- The war in Afghanistan is now over. 
		- This <a href="http://scripting.com/images/2021/08/30/americanCommander.png">man</a> is an incredible communicator.
		- The Biden government speaks to us as adults,  journalism translates it into Trump talk.
		- Debuggers aren't only for debugging, they're also programmer's way of looking inside the body of the software. We can stop the heart beat and look anywhere we want. We can put our attention in any organ we want. Or more than one at a time. It's how you can watch the organism doing its work, if you forget how it works because you wrote it a long time ago, or if someone else wrote it. If you aren't using a debugger in all aspects of your programming work you're limiting the amount of complexity you can deal with in your code.
		- A place for urgent news
			- Yesterday I posted an <a href="https://twitter.com/davewiner/status/1431959907927040001">item</a> that about collaboration in the news industry to help disseminate critical information. 
				- <i>An idea for the news industry to collaborate on. Sometimes a news org takes down the paywall on a story because it's important that everyone see it. Make an RSS feed that combines all such stories across all pubs. Make spreading the news even more efficient.</i>
			- A simple idea, really -- not much tech, and news orgs are already doing it. The post got a lot of traction on Twitter, and favorable notice from a fair number of people <i>inside news orgs, </i>people who would be critical to making this idea a reality.
			- So what's needed, technically, beyond what's already there? Probably just this -- a way to tell, in an "RSS" feed, that an item is outside the paywall.  
			- How to do that? Create a namespace, anyone can do that. Call it (say) the <i>urgentNews</i> namespace. You could have its url point to this post if you like.
			- To begin with the namespace has one element, <i>isOutsidePaywall.</i>
			- This is what an item might look like for such a news item.
				- &lt;item>
					- &lt;title>Sed do eiusmod tempor&lt;/title>
					- &lt;description>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.&lt;/description>
					- &lt;link>https://anytownnews.com/2021/923883.html&lt;/link>
					- &lt;urgentNews:isOutsidePaywall>true&lt;/urgentNews:isOutsidePaywall>
					- &lt;/item>
	- August 29
		- <a href="https://twitter.com/davewiner/status/1431959907927040001">An idea</a> for the news industry to collaborate on. Sometimes a news org takes down the paywall on a story because it's important that everyone see it. Make an RSS feed that combines all such stories across all pubs. Make spreading the news even more efficient.
		- <a href="https://gist.github.com/scripting/35cadce5f0a19a26b62a2732cdea4622">Local file-chooser dialog in HTML and JavaScript</a>. This app opens a text file on the local computer and displays the file text in the JavaScript console. I couldn't find a package that did what I needed, so when I wrote it -- I put it out there for anyone to find, and use.
		- As I wrote <a href="http://scripting.com/2021/08/28.html#a150550">yesterday</a>, I really liked <a href="https://en.wikipedia.org/wiki/The_Chair_(2021_TV_series)">The Chair</a>, but there was something in the story I wish they had explored. Spoilers follow. One of the faculty, a young white male superstar, is accused of being a Nazi by students. They have demonstrations. Make demands. The faculty freezes. He tries to respond, his colleagues tell him this never works, when men try to defend themselves, it only makes it worse. He's seen as not contrite. We see the issue only from the faculty standpoint, all we hear from students are slogans and soundbites. We do hear from one student who will be hurt by the takedown. We understand from the start that the professor is not a Nazi. As I watched the confrontation, I wondered if the individual students knew they're wrong. Why was this not explored? Do any of the students argue that they should help the professor instead of attacking? (He's a sympathetic character, his wife died recently.) I know this is TV and they're subject to the same dishonesty they're portraying (Netflix defends Nazis). As I said yesterday, the acting is great, the characters are appealing, it's a page-turner of a binge-watch. But with one small exception, the students are portrayed as flat angry unreasonable monsters. They can't be that single-minded, unconflicted, thoughtless. It left me feeling dissatisfied. Now that I've written it up, I can move on. :boom:
		- I like people who look like people.
		- Edward Hopper
			- <a href="https://www.wikiart.org/en/edward-hopper/two-on-the-aisle">Two on the Aisle</a>, 1927.
	- August 28
		- <a href="https://twitter.com/davewiner/status/1431809214301851649">Poll</a>: If you're vaccinated, did you do it mostly to protect self, family or for the greater good. 
		- Over the past couple of days I binged season 1 of <a href="https://en.wikipedia.org/wiki/The_Chair_(2021_TV_series)">The Chair</a> on <a href="https://www.netflix.com/title/81206259">Netflix</a>. I liked it. It's quick, only about three hours. It's a Sorkin-like show, like <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-west-wing">The West Wing</a> or <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-newsroom">The Newsroom</a>, fast dialog. Fun and really pulls on the heartstrings. There's cute smart little girl, and a timely plot of a second-tier Ivy League school that reminded me that campuses can be interesting places to hang out. I gave it a 4 of 5 <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-chair-2021">on BingeWorthy</a>. 
		- With all the political spam I get, why didn't I get one email in advance of <a href="https://www.reuters.com/world/us/protesters-march-washington-us-cities-voting-rights-2021-08-28/">this event</a> so I could help spread the world, and participate. Communication. It can't just be about raising money.
		- Twitter says no soup for you!
			- Still the most annoying thing is when you switch into Twitter you get about 1/2 second to scan what's there, enough time for pictures to register, and boom it refreshes with new content. 
			- This also has another painful side-effect, if you're watching a video, it'll just refresh in the middle of it. I was intently listening to the chairman of the Fed the other day, and then part of a Grateful Dead concert, when Twitter decided enough! 
			- <img src="http://scripting.com/images/2021/08/28/weReserveTheRightToRefuseServiceToAnyone.png">
			- <a href="https://www.youtube.com/watch?v=1jSTiKHOFEI">No soup for you</a>!  
		- A bit of Drummer code
			- I thought -- I bet this works, so I typed it into a "Drummer" outline and pressed Cmd-/ and yes it did work.
			- <img src="http://scripting.com/images/2021/08/28/code.png">
			- It's a nice feeling when:
				- It works the first time.
				- It does something simply that previously would have been complicated.
				- It's as simple as possible.
				- It can't be simplified further. 
	- August 27
		- There's a CNN commercial where a white guy in a suit, probably an actor, is talking to the camera. He says (paraphrasing): "The NRA is not going away. Every American should have a gun." I wanted to ask if he felt that every Black man should have a gun, or just Whites. What about religion? Should Jews and Muslims have guns too? Should only rich people have guns, or should poor people have them too? If a Black man came to your all-White neighborhood would you like to see him with a gun? Would you call the cops if a Black man came into a convenience store with a gun? I suspect he was thinking, when he said every American should have a gun, of Americans like himself. 
		- API for newsletter publishing
			- I keep beating <a href="http://scripting.com/2021/08/24.html#a211637">this</a> <a href="http://scripting.com/2021/04/02/153208.html?title=aProposalForNewsletterTools">drum</a>, because it's important. 
			- This morning <a href="https://twitter.com/thej/status/1431230072103440389">Thejesh posted</a> a link to <a href="https://api.buttondown.email/v1/schema">Buttondown's API</a>. I like it -- it's really simple. But it could be even simpler! :smile:
			- First a summary of why this is important. I want to use my own editor to write a newsletter and publish it through a commercial newsletter service. I don't want to use their editor. Why? Because as a writer, I have the best editor for me. And I don't like being a copy-paste-bot. My writing has too many ways to get out to make it possible to do that for all of them. And I want someone to go first, to make it easy to publish without forcing me to be creative in their world, with their inadequate (for me) editor.
			- So to further the discussion -- here's how I would do the API .
				- The user, through the app's user interface, enters the URL of an RSS feed. That interaction is of course authenticated.
				- When a new item appears in the feed, publish it.
				- For extra credit, accept a simple unauthenticed ping message with the username, which tells your server to check the feed. That way your server doesn't have to check as often.
			- Voila, super simple API.
	- August 26
		- The <a href="https://en.wikipedia.org/wiki/MORE_(application)">Wikipedia page</a> for "MORE" is pretty good. 
		- <a href="https://twitter.com/davewiner/status/1430999594108952577">What</a> is something that isn’t taught in school but should?
		- Journalism tries to understand [[Facebook]] as if it were a news org about the size of one of them. It's a poor fit. So much more goes on there. Think about how much is going on in a city like New York right now. Facebook is <i>338 times</i> the size of NYC.
		- Here's the thing about the Taliban and ISIS -- they're competing for the same soldiers, and as long as ISIS is attacking and hurting the US, they're going to recruit more soldiers, primarily from the Taliban. So the Taliban "controls" Afghanistan in a temporary way. They're going to be fighting other radicals for a long time to come. 
		- Sometimes your “liberty” isn’t the most important thing.
	- August 25
		- The way we’re responding to Covid is exactly like the way we respond to climate change. Only it’s happening much more quickly.
		- I wanted to try <a href="https://holly.plus/">Holly+</a> so I recorded a song but got "error" and <a href="http://scripting.com/2021/08/25/Song2.m4a">did another</a>, and also got an error. Disappointed. I thought it was a good idea. Maybe my songs weren't good enough. Oh la.  
		- I saw somewhere the <a href="https://www.cnbc.com/2021/08/24/bidens-approval-ratings-plummet-bad-news-for-democrats-in-congress.html">Biden's approval numbers are down</a> because the virus is booming. This is wrong. He's doing the job we hired him to do. Our mistake is we give up our power and responsibility and look to a parent figure to take care of us. But that's not how America works. The president isn't all-powerful, isn't a god, or even god-like. The president is a human being. We should judge the president on their honor and intelligence, and ability to listen, and we should take responsibility for <i>our</i> power.
		- Tree charts and outliners
			- A "Tree Chart" in "MORE", circa 1987. 
				- Organize the data in the outliner, flip a switch, see the graphic.    
				- Today you wouldn't have to do flip a switch, there's enough CPU power to automatically update the graphic view from the outline editor view as you made editing changes. 
				- I'd love to hook up "Drummer" to someone else's Tree Chart renderer. It would accept "OPML" as input, of course. 
		- Autonomous cars everywhere?
			- I remember a couple of years ago people were confidently saying that by now the streets would be full of autonomous cars. 
			- They snickered when people like me who have spent a life programming thought that was a pretty shitty idea. Who would even want to go out for a walk with driverless cars all over the place, subject to programmers' mistakes, or the callous deprecations of platform vendors. 
			- I imagined a car plowing into a crowd and killing twenty innocent people because some idiot at Apple decided to change the order the params of an API because they felt like it, and the car software dev missed the notice and didn't update the car's OS. 
			- Oh sure I want software doing all the driving after less than two years of a burn in. Yeah that makes all the sense in the world. (Sorry for the sarcasm.)
		- Graduation day, 1976
			- Here I am, in 1976, holding a college diploma. My parents, grandmother and brother came down to New Orleans for the occasion. They were happy because no one expected me to get a college degree. This came from my father's photo scrapbook.
	- August 24
		- Today's song: <a href="https://www.youtube.com/watch?v=zaKEcCAeSe8">Undercover of the Night</a>.
		- Am I passionate about the idea of a <a href="https://twitter.com/davewiner/status/1430150972123254799">modular newsletter system</a> so  writers can use the best editor, the one that fits them best, the one they've been using for decades? Yes, I am. I'll keep beating the drum. I won't stop. That's how I am until I get what I want. :smile:
		- When will someone launch a newsletter service that lets you use whatever editor you like. I predict that I will support that product in the new editor I'm working on. I don't want to do a newsletter service myself. Let's get something fun started.
		- What makes a bug report good? It makes it easy for the dev to reproduce the problem. I have to see it myself to understand what the problem is. Your theory on what the problem is, or judgment on whether you followed the instructions is secondary. 
		- Unfortunately journalists don't stand for re-election. They are not term-limited. There is no journalism for journalism. Our opinions are not sought. But if we ever do get a chance to vote one of them out in some significant way, I bet a lot of people will line up to do it. I know I will. And I'm not talking about the people on Fox.  
		- Anyone know how to <a href="https://twitter.com/davewiner/status/1430220866282000394">enter Cmd-/</a> on a German keyboard?
		- NY strong
			- I don't know if these ads are for real.
			- A couple of others:
				- Shut the fuck up.
				- I don't care about your fucking feelings.
			- When I was a teenager in NYC many years ago, I would've done something like this.
			- Have a nice day! :smile:
	- August 23
		- I'd say "Bingeworthy" didn't work. <a href="http://scripting.com/images/2021/08/23/bingeworthyScreen.png">Nice software</a>, but the goal was to keep an easy to find <a href="http://my.bingeworthy.io/davewiner/">public list</a> of shows I recommend, and those that my friends recommend. A couple of weeks ago I discovered, entirely on my own, <a href="https://en.wikipedia.org/wiki/Rick_and_Morty">Rick and Morty</a>. I loved it from the first scene in the first epsiode. I started telling everyone I know how great it is, and with few exceptions they said "old news Dave." They loved the show since it started in <a href="https://en.wikipedia.org/wiki/List_of_Rick_and_Morty_episodes#Season_1_(2013%E2%80%9314)">2013</a>. Why did I struggle for years to find something great to watch when Rick and Morty was out there. I'm sure there are a dozen other delicious shows I don't know about, and it's only getting worse. What is the answer? It seems like a simple problem to solve, yet it evades an answer.  
		- They've had the same tired old guests on the cable news shows for years. They always say the same things. How is it that people don't just change channels and tune into 30-year-old Law & Order reruns instead. I've been enjoying watching the reruns for the 15th time. Compared to the news they seem fresh and strangely relevant. 
		- When you check into Twitter after being gone for a while, you see, for an instant, some posts, not sure when they're from, but they might be appealing, but too bad, they disappear just after your mind registers that they're there. Happens regularly.
		- The remains of <a href="https://en.wikipedia.org/wiki/Hurricane_Henri">Tropical Storm Henri</a> has been parked overhead for about 24 hours. Pouring rain, hour after hour. Not much wind. I couldn't go riding yesterday, and probably won't be able to today either. Tomorrow should be hot and humid, good swimming weather. :smile:
		- Finished <a href="https://en.wikipedia.org/wiki/Schmigadoon!">Schmigadoon</a> on Apple. First few episodes were pretty awful, but I'm glad I stuck with it, the last two were gems. I adore <a href="https://en.wikipedia.org/wiki/Cecily_Strong">Cecily Strong</a>.  <a href="https://en.wikipedia.org/wiki/Kristin_Chenoweth">Kristin Chenoweth</a> has the best <a href="https://www.youtube.com/watch?v=_PmS5JIfSkk">song</a>.  
		- Remember how <a href="https://www.npr.org/2012/09/01/160438753/how-government-became-a-dirty-word">Reagan said</a> government is the problem. He was wrong, it's actually journalism. 
		- Edward Hopper
			- <a href="https://www.wikiart.org/en/edward-hopper/summertime">Summertime</a>, 1943.
	- August 22
		- Today's song: <a href="https://www.youtube.com/watch?v=TvMS_ykiLiQ">City of New Orleans</a>. 
		- You'd think that by now [[Facebook]] would have figured out how to make a <a href="http://scripting.com/images/2021/08/22/squintyText.png">story</a> read well on their website, by default, based on who's reading and what their vision is capable of. I can kind of read a <a href="http://scripting.com/images/2021/08/22/squintyText.png">story</a> like this, but it involves a lot of squinting and scrolling and interpolating.
		- A perhaps surprising truth. We aren't free to ignore other people. For example, you're not allowed to shit in a public swimming pool. Think about it and all the other things you aren't free to do. It's not something you can argue about and live with other people.
		- Extreme silo-osity
			- <i>I tried to post this reply to <a href="https://twitter.com/om/status/1429230610439041025">Om on Twitter</a> but it wouldn't let me. </i>
				- Om, the height of silo-osity was when [[Substack]] came along, they insisted that in order to use their service you had to use their editor. I absolutely refused to do that, so I had to write my own <a href="http://scripting.com/email/">email distributer app</a>. What a waste of effort. 
				- We have to get through to them and others. Componentize so some devs can specialize in editors and others can specialize in distribution. We can't all dominate the same world, being all things to all people. What a difference it would make if we worked together. 
				- No more shitty editors, lots of different kinds of editors for all kinds of writers. 
				- They wouldn't listen to me, but maybe they'll listen to a successful tech VC. :boom: 
			- I wrote about this <a href="http://scripting.com/2021/04/06/150554.html?title=copypastetopublish">problem</a> with Substack earlier this year. 
		- Journalism is oblivious
			- Journalism says the pullout from Afghanistan was botched. Maybe so. Everything everyone does is botched, and that includes journalists, esp journalists, because no one is watching over them, reporting all their botchings. 
			- Journalism is oblivious to the past or future. Everything is in the moment. A lot like Trump in that way.
			- Why aren't the people obsessed with Afghanistan like journalism is? Because it was always there.
			- That Afghanistan is being botched isn't news, it's just that journalism has decided for now to pay attention to it. Next week it'll be something else. Always a horse race. Biden has to win or lose.
			- Never mind the context, we're still one election away from complete disaster. At least 49% of the people aren't overlooking this important fact.
			- In other words journalism is wrong.
	- August 21
		- A hurricane is <a href="https://twitter.com/accuweather/status/1429256151301074954">coming our way</a> in the <a href="https://en.wikipedia.org/wiki/Hudson_Valley">Hudson Valley</a>. 
		- I totally despised <a href="https://en.wikipedia.org/wiki/The_White_Lotus">White Lotus</a> through the first four episodes, but having so much invested in it, and the hook in the first episode, got me to watch the last two episodes, which were actually pretty good except for one bit that I saw coming and averted my eyes it was so disgusting. And you know the way they left it there's definitely going to be a season 2. 
		- <a href="https://www.youtube.com/watch?v=R706isyDrqI">1984</a> may not have been like <a href="https://en.wikipedia.org/wiki/Nineteen_Eighty-Four">1984</a>, but 2021 sure is. 
		- <a href="http://2021.opml.org/#1629559392000">Cleaning up</a> after the <a href="http://opml.org/">opml.org</a> renovation. 
		- TV interview tech sucks
			- You know what Zuck should work on, getting a network together for people who are interviewed on TV, so the quality gets a huge upgrade, and make the UI dead simple. I can't believe none of the big tech companies see this opportunity. The quality is uniformly awful.
			- No one knows if people want to sit in virtual reality <a href="https://www.nbcboston.com/lx/facebook-wants-us-to-put-on-a-vr-headset-to-go-to-work-not-everyone-is-happy/2471118/">conference rooms</a>, but we know for sure that TV is built around a new way of discussion, and there's no prospect for this changing. So someone ought to capitalize on the vacuum.
	- August 20
		- No one cares what you think. 
		- When you start a war, you better be prepared to win it. If you can't win, getting out is going to be ugly, no matter what. Because US journalism is pretending there's another way to get out, they make it necessary for the US to bend over and make more concessions to the Taliban
		- You know where [[Twitter]] asks "What's happening?" <a href="http://scripting.com/images/2021/08/20/noOneCaresWhatYouThink.png">This might work better</a>. It's in the spirit of the <a href="https://www.youtube.com/watch?v=dTGfLObZYfU">Progressive commercials</a> where they teach people not to be their parents. "The waiter does not need to know your name." Yet there are exceptions. There are a few people who write on Facebook who, when they write, I always stop and read. Because they have a track record of finding interesting things for me to think about. They write well too.
		- A new feature in PagePark (<a href="https://github.com/scripting/pagePark#v0824-81721-by-dw">v0.8.24</a>) made it possible to use a custom template for <a href="http://opml.org/">opml.org</a>. I wanted to put a menu at the top of the page, linking to other outlines on the site. 
		- opml.org
			- Finished restoration of the <a href="http://opml.org/">main OPML site</a>.
			- Preserved the old site, and linked to it from the new one. 
			- Here are the URLs.
				- <a href="http://opml.org/">opml.org</a> -- the spec, examples, links to source code, in the future a directory of apps.
				- <a href="http://dev.opml.org/">dev.opml.org</a> -- the previous site, dating back to 2005, now redirects to opml.org.
				- <a href="http://2005.opml.org/">2005.opml.org</a> -- the preserved version of the previous site. 
				- <a href="http://2021.opml.org/">2021.opml.org</a> -- notes on the work just done.
			- Interesting -- a <a href="http://opml.org/history/devOpmlOrSiteOutline.opml">list of all the pages</a> on the previous site. 
			- Questions/comments, post <a href="https://github.com/scripting/opml.org/issues/1">here</a>. (Note that's a public place.)
			- Now back to the <a href="https://github.com/scripting/drummerTesting">Drummer</a> release. 😀
		- Catching up on the news
			- I caught up on the news last night, and was surprised to hear that somehow what's going on in Afghanistan is dooming the Biden presidency.
			- And the reporters, esp Wolf Blitzer, are spinning it that way through the words they use to characterize events. And as a result, everyone has to tiptoe in this space. It's a dangerous time. The whole thing could explode at any time. Beating the drum for war, as they are, is a crazy crazy thing to do, as destructive as invading the Capitol on January 6.
			- If they felt so strongly about Afghanistan (they didn't) why didn't they say something before? They had 20 years to speak up. No one ever did. Better to leave it to fester. Let's live this lie, everyone seemed to agree. Now all of a sudden, Afghanistan is more important as everything else.  
			- Here's the thing, this all is fake news. It's worse than the lies on Facebook because they use brands like CNN and the NYT to lie this way.
	- August 19
		- Silos vs open
			- I love this quote about [[RSS]] in the <a href="https://www.theverge.com/2021/8/18/22630517/apple-podcasts-subscriptions-launch-dashboard">Vox piece</a> about Apple and other bigco's trying to take over podcasting. 
				- “The beauty of RSS was just publish it and it goes everywhere — it’s just there, and it’s available.” 
			- It says clearly what the faceoff is over.
				- It's easy to be part of a silo, impossible to be part of all of them. 
				- In the open world, it's easy to be part of all of podcast players, but it's  harder to get started, you have to do more for yourself.
			- Blogging went through the same thing that [[podcasting]] is going through now, it was taken apart by Twitter, Facebook, Google Reader, Medium and lately Substack. You couldn't write in one place and have your writing flow to all of them, the way podcasting works today. They don't agree on what a post is, so no matter what, you'd have to write at least two or three versions of a post. In the end, you just blow them all off, because it isn't worth the trouble and the resulting format is taking the fun out of your thinking and writing process. You aren't getting anything out of it. Not money, not exploration of ideas, not getting other people excited.
			- There is a sweet spot, it's possible, but you can't wander into it, it has to be done consciously, with a shared vision among devs, or it can't work.
			- One of the reasons I'm so excited about [[Tools for Thought]] is it's a chance to start something new, to use the open principles of established by blogging and podcasting, foster a community of developers, each of whom understand that they're part of an ecosystem, they are not themselves the whole ecosystem. That's the key idea that most developers have yet to embrace. It requires some maturity to understand this idea. 
			- I wonder if any journalists covering the future of podcasting will even consider that it't more than a battleground for big companies.
		- Edward Hopper
			- <a href="https://www.wikiart.org/en/edward-hopper/ryders-house">Ryder's House</a>, 1933.
	- August 18
		- The only OS with a future, it seems to me, is Linux. 
		- What’s the node.js equiv of Apple Events on the Mac?
		- <a href="https://twitter.com/katewillett/status/1424054194080604162">Kate Willett</a>: "Hard to imagine we'd see this level of vaccine hesitance if we had a medical system where people could regularly see and talk to a doctor they trusted for free instead of a situation where in order to avoid going broke people seek medical advice on the internet."
		- A <a href="https://twitter.com/rroudt/status/1427952893966102535">question</a> from a member of the Roam user community asks how you would explain an outliner to someone who didn't use one. A <a href="https://twitter.com/davewiner/status/1427976153164390405">thread</a> followed. Text on rails is something you have to see. One incorrect thing people say about outliners is that they are strict hierarchies, but it's not true. The structure the outline manages is dynamic. Things move. It may look hierarchic but over time it's infinitely fluid, it can be anything you want.
		- Henri Matisse
			- <a href="https://www.wikiart.org/en/henri-matisse/goldfish-1911">Goldfish</a>, 1911.
	- August 17
		- The likely sequence of events in Afghanistan, from reading a bunch of stuff and watching Maddow last night, which had a lot of info the other news reports didn't. Trump did a deal with the Taliban in <a href="https://en.wikipedia.org/wiki/Afghan_peace_process#:~:text=The%20second%20peace%20treaty%20was,the%20terms%20of%20the%20agreement.">Feb 2020</a>. The Afghan government was not included in the deal. The Taliban agreed to stop shooting at American troops, and the US agreed to withdraw completely by May 2021. There were probably private deals that will enrich Trump and his buddies. Remember our government was an unabashed <a href="https://en.wikipedia.org/wiki/Kleptocracy#:~:text=Kleptocracy%20(from%20Greek%20%CE%BA%CE%BB%CE%AD%CF%80%CF%84%CE%B7%CF%82%20kl%C3%A9pt%C4%93s,misappropriating%20government%20funds%20at%20the">kleptocracy</a> in 2020. Once the deal was in place, it set in motion something that should have been obvious to the US negotiators, and for that matter, American journalists -- the local governments and probably the national government made individual deals with the Taliban. In exchange for money and protection, they switched sides. I probably would have done it too. So there was no resistance when the US withdrew. The Taliban just marched in, having won a political and economic victory if not a military one. No one gave the order for the American-supplied troops to fight. They took off their uniforms and went home. We'll have to see what happens to these people once we're fully gone from Afghanistan. A lot of Afghans didn't see this coming, that's why there was so little preparation for an immediate evacuation. Hard to blame this on the US. People wanted to stay and see what would happen, maybe the US-supplied army and the US-puppet regime would prevail? As it turns out, a bad bet.
		- I converted the <a href="http://2021.opml.org/spec2.opml">OPML 2.0 spec</a> from the <a href="http://dev.opml.org/spec2.html">old site</a> to the new format. No changes to the text. Will have to fix some of the links. One of the good things about it is that the spec is itself an <a href="http://2021.opml.org/spec2.opml?format=opml">OPML document</a>. 
	- August 16
		- Imagine if we used the <a href="https://www.nytimes.com/interactive/2019/12/09/world/middleeast/afghanistan-war-cost.html">money</a> we wasted in Afghanistan to overhaul the healthcare system in the United States.
		- Trumping on Twitter
			- Someone I follow on Twitter complained that people thought just because he was a VC he wasn't allowed to have opinions. So I decided to take a look at what his opinion was.
			- This is what I wrote to him. 
				- "I think you should have opinions, but trump watched tv all day, and sold us out any chance he got. He’s a fucking Nazi. When he lost the election he tried to overthrow the government. That’s what you support? I didn’t block you yet, but I did unfollow."
			- I don't see him as a troll. I think there are VCs in Calif who have a very limited set of people they talk with, and they actually fit into Trump's target. Even though they;'re hugely rich, young, healthy, super super privileged, they really feel misunderstood and victimized. It's real. They really feel it. 
			- So it was worth one shake of the shoulders. Hey this isn't a good look.
		- Undoing the opml.org redirect mess
			- Yesterday I wrote a <a href="http://scripting.com/2021/08/15.html#a210111">post</a> about the mess that opml.org has become, and how I want to start fresh with a well-organized site that points to all the resources available to devs working with OPML, and has lots of room for more. 
			- Today I want to try to unwind one part of the mess.
			- Here's the situation.
				- opml.org's DNS is at hover.com.
				- I've set up the root, <a href="http://opml.org/">opml.org</a> itself, as an A record pointing to 142.93.4.110. This server is where I host all my simple PagePark sites, ones that consist of static pages, and config.json settings. 
				- When I try to go to opml.org, I am redirected to dev.opml.org. 
					- Why? Until recently opml.org was a bucket on S3, set up to redirect to <a href="http://dev.opml.org/">dev.opml.org</a>.
					- I'm guessing they used a 301 permanent redirect, which causes my browser to cache the redirect. It doesn't bother making a DNS request for opml.org, because (guessing) the redirect was permanent. 
				- So that's where I am this morning. I want to get opml.org unstuck, and able to be its own site, not to redirect to dev.opml.org, which I'd very much like to retire (and in doing so probably redirecting in the other direction to opml.org).
			- A <a href="https://youtu.be/EeiLcLTisBQ">video demo</a> of the problem I hope to solve today.
			- I'm going to try various things and <a href="https://github.com/scripting/Scripting-News/issues/221">put notes here</a>.
			- <a href="https://twitter.com/davewiner/status/1427273264485781511">Poll</a>: What do you get when you go to opml.org?
			- Followup -- we fixed it. Thanks for all the help...
				- Brent Ashley had exactly the <a href="https://twitter.com/brentashley/status/1427290535480463361">advice</a> I <a href="https://twitter.com/davewiner/status/1427293487410696195">needed</a>. opml.org problem solved everywhere. I can start with a <a href="http://scripting.com/images/2021/08/16/solved.png">fresh slate</a>. Excellent. 
		- Comments on Afghanistan
			- I grew up in the time of the Vietnam War. I was draft age, had a low lottery number, no exemptions, and was flunking out of high school, so the prospect of being drafted was pretty real. 
			- One thing I was absolutely sure of was that none of the people who were draft age in that time would start another war like Vietnam, but then <a href="https://en.wikipedia.org/wiki/George_W._Bush">one of them</a> did. 
			- It became a debacle just like Vietnam. But with a few differences. No draft and no body bags. And far fewer American casualties. 
			- The idea of the US converting a country we know nothing about and don't want to know anything about into a country modeled after the US is just as wrong today as it was in the 60s and 70s. 
			- And <a href="https://en.wikipedia.org/wiki/Lyndon_B._Johnson">LBJ</a>, who did so much for civil rights, also was brought down by <a href="https://en.wikipedia.org/wiki/Lyndon_B._Johnson#Vietnam_War">Vietnam</a>. 
			- Lots of parallels. Another one is that journalism is completely fucking up the story, telling bedtime stories about what the US could do, and how events developed, and getting the story completely wrong. I'm no expert, but I've read enough to know that there was a deal between the US and the Taliban that did not include the Afghan government, where the US committed to leave in 2020, and the Taliban agreed to not attack us as we left. Had we decided to stay, breaking that deal, we would have committed to a full scale war with the Taliban. There was no middle alternative between leaving and war. Whether or not this was wise is something you have to ask former president Trump. He desperately wanted to get out of Afghanistan and was willing to give up everything to get it. But even that much he couldn't pull off. 
			- Fact: once we went in, there was no graceful way out. Give Biden credit for being willing to take the hit to get us out, finally, after Bush, Obama and Trump kicked the can down the road to the next administration. 
			- Of all the things you can read today, I recommend this <a href="https://laurajedeed.medium.com/afghanistan-meant-nothing-9e3f099b00e5">piece</a>, written by an Afghanistan vet. It rings true. 
			- Also Heather Cox Richardson's <a href="https://heathercoxrichardson.substack.com/p/august-15-2021">summary</a> is as usual excellent. 
	- August 15
		- <a href="http://scripting.com/2021/08/15/howTheMoviePigReallyResonatedForMe.m4a">Podcast</a>: Pig is a beautiful <a href="https://www.metacritic.com/movie/pig-2021">movie</a> because it's about showing people the beauty inside themselves, using the beauty inside yourself. I loved it. Warning, there are spoilers in this <a href="http://scripting.com/2021/08/15/howTheMoviePigReallyResonatedForMe.m4a">podcast</a>, but something to know about the movie is that it isn't the kind of movie that you can spoil with spoilers, but you have been warned. :smile:
		- Honestly, tell the truth, did you think what we were doing in Afghanistan was going to do any good for anyone?
		- opml.org is a mess, like all of my long-term tech projects, suffering from lack of focus, but no lack of experimentation! I've been going through the projects one by one, now it's opml.org's turn. I have a staging site for the new version at <a href="http://2021.opml.org/">2021.opml.org</a>. Notes and links on that page.  
		- The Taliban are pawns as much as the previous Afghan govt was.
		- <a href="https://www.hover.com/">Hover</a>, my primary registrar, <a href="http://scripting.com/2019/12/16/170209.html?title=theyCanMap">did something important right</a>. You could use a CNAME for any name, including the top level of a domain. It's so rational, I don't understand why all DNS service providers don't allow it. Except now it no longer appears to work on Hover. I'm trying to set up opml.org to be CNAME for pagepark.scripting.com. I don't want to hard-code it to a specific server IP address. The whole idea of having a name like <a href="http://pagepark.scripting.com/">pagepark.scripting.com</a> is so that I can easily relocate it to new hardware someday without having to find all the places that have its IP address hard-coded. Here's a <a href="http://scripting.com/images/2021/08/15/hoverScreenShot.png">screen shot</a> of what it says when I try to do that now. It appears to be a user interface thing only, the domains I set up previously using this feature still appear to work. If you have an idea what's going on, please post a note <a href="https://github.com/scripting/Scripting-News/issues/220">here</a>. 
		- Radio UserLand screen shot
			- When you look at a screen shot of "Radio UserLand", and compare it to today's [[Drummer]] (not yet released, sorry), you realize we have come a very long way in the 19 years inbetween. It will be a new intellectual experience for many. Not a toy.
			- Radio UserLand <a href="http://scripting.com/images/2021/08/15/radioUserLandScreenShot.png">screen shot</a>, circa 2002.
	- August 14
		- The truth is far more scary than the conspiracy theories.
		- If my family growing up was a patriarchy the patriarch was my grandfather Rudy Kiesler. I made a <a href="http://rudykiesler.com/">website</a> for him. NBD. I imagine going back in time, showing him the site, trying to explain. Vat dis is David? he might have asked.
		- Public notetaking. The intersection of <i>Tools for Thought</i> and blogging. Finishing unfinished business.
		- <a href="https://twitter.com/benedictevans/status/1426655710507634688">Benedict Evans says</a> Twitter turned off their API. People like to say this, but <i>it's not true.</i> I have a new product coming out, [[Drummer]], that is, among other things, a scripting environment for Twitter. I could not have done that if they did not have an API.
		- I discovered yesterday that the <a href="https://www.hbomax.com/hub/classics-curated-by-tcm">TCM library</a> is available on HBO Max. Well I think that did it. I'm going to be spending a lot of time with that. The first movie I watched was <a href="https://en.wikipedia.org/wiki/Victor/Victoria">Victor/Victoria</a>. I love everything about that movie, even the cornball stuff. But the best part is <a href="https://en.wikipedia.org/wiki/Julie_Andrews">Julie Andrews</a> playing a woman playing a man playing a woman, and it's so entertaining. I first discovered TCM when I was recuperating from surgery in 2002. They gave me an unlimited supply of <a href="https://en.wikipedia.org/wiki/Oxycodone">Oxycontin</a>. So I was weak and completely stoned for a full month watching TCM movies basically non-stop. Without commercials. For such a serious life moment, I was actually enjoying it pretty well, I have to say. One of the movies was <a href="http://scripting.com/2002/09.html#victorvictoria">Victor/Victoria</a>. I probably watched it all the way through 20 times in 2002 (I had a <a href="http://scripting.com/2001/09/27.html#l478d29742a10d66001e366393966eb78">TiVO</a>). It was also <a href="https://web.archive.org/web/20140102022028/http://www.tcm.com/this-month/article/940179%7C0/Robert-Osborne-on-Joan-Crawford.html">Joan Crawford Month</a>, so I watched every JC movie they had, going back to silent movies. She was a super cutie, whatever you think of her <a href="http://scripting.com/2014/02/06/publicShamingIsWorthALook.html">as a mother</a>, I could watch her all day, esp with the Oxy. Then they did the <a href="https://en.wikipedia.org/wiki/1939_in_film">movies of 1939</a>, which was probably the best year ever for Hollywood. The way the early web may have been the best time for tech. <a href="http://scripting.com/2002/08/14.html#When:1:03:47PM">The Women</a> was an unusual movie from 1939. You don't realize this right away but there are no men in the movie, not even an extra. And a <a href="https://en.wikipedia.org/wiki/The_Women_(1939_film)#Cast">cast</a> of superstar women actors of the day. There was also The Wizard of Oz and Gone With the Wind. Anyway, after all this time, I can't get Oxy anymore (glad for that, I liked it too much) but I can get as much TCM as I want, and I get to do the programming. Geez. All I need is a bungalow in the Florida Keys or a hacienda in Taos, and nice way to watch TCM, and I could just disconnect. :boom:
	- August 13
		- Watching the <a href="https://www.cnn.com/2021/08/03/world/meanwhile-in-america-august-3-intl/index.html">Taliban crush</a> the Afghan government so quickly makes quite an impression. I think bringing our military home was probably a good idea. While we were protecting Afghanistan from their Taliban, we've been growing our own fundamentalist terrorism culture here. The Afghan Taliban wants to return their country to the 5th century, the American Taliban wants to go back to before the Civil War. They want to <a href="https://thesaurus.land/?word=subjugate">subjugate</a> women. Our fundamentalists also want subjugate non-whites and non-Christians. 
		- We're cooked
			- I went for a walk in the noon heat and was wiped out.  
			- Listened to <a href="https://www.nytimes.com/2021/08/13/podcasts/the-daily/climate-change-IPCC.html">today's lame Daily podcast</a>.
			- The [[climate crisis]] is a lot worse than they were willing to say, obviously, based on facts they cited. 
			- Then they got all weepy about how it's the fault of [[boomers]].
			- Here's the story they should have reported.
				- We have not yet started to decrease carbon emissions, in fact it's still going up.
				- Even if we never emitted another ton of carbon, the next 30 years are going to be an escalating climate catastrophe. What we're seeing now is nothing compared to what we are certain to see in five years, ten years, all the way up to thirty years. 
				- Then in thirty years it will level off, assuming somehow in 2021 we stopped emitting any carbon. The climate will still be horrific but it won't get any worse. But (repeated, sorry) only if we turn our carbon emissions down to zero, now. 
				- See <a href="http://scripting.com/2021/08/13/194244.html?title=wereCooked#a194426">#1</a>.
				- So the boomers are to blame, say the host and the guest. The guest is a boomer, the host is younger. This is where their version of the story ends. 
				- Here's the crazy part. They're doing exactly what the boomer supposedly did and feels so guilty about. Not owning the truth of now. Softening it. Shifting to blame instead of what to do. Now, even if we got our shit together, and we aren't and won't, we're <i>still</i> fucked. It's already too late.
				- If the new generations are so cool, why are they doing the same thing? Why are they making it sound like we're not living in a wrecked ecosystem?
				- I know the answer. Here it is. It's a myth that anyone has any ability to turn the ship around, or even that all of us acting collectively could turn the ship around. 
				- The true story that I've yet to hear the NYT say, and today they had the perfect opportunity to say it, is that we're already over the cliff. The planet is ruined for life as it currently exists. It's done. Nothing to worry about. It's over. 
			- PS: Here's the true true version of the story, an <a href="https://www.youtube.com/watch?v=XM0uZ9mfOUI">excerpt</a> from The Newsroom, which was broadcast in 2014, seven years ago.
		- What boomers were doing...
			- Seen in a Woodstock store window today.
	- August 12
		- Hit a milestone today. [[Drummer]] is working with [[Old School]]. So the best outliner now is hooked up with the best blogging CMS. Friends are trying it out now and letting me know if the software works, and if my docs work. Exciting moment. 
		- Frida Kahlo
			- <a href="https://www.wikiart.org/en/frida-kahlo/self-portrait-1930">Self portrait</a>, 1930.
	- August 11
		- <a href="https://twitter.com/davewiner/status/1425575108261842952">We have</a> always overestimated how much attention users are paying. The [[Visicalc]] guys found out that many spreadsheet users had no idea that it could do recalc. They just saw it as a note-taking grid.
		- I've been looking for <a href="http://scripting.com/2017/05/05/iWantMyOldBlogBack.html">this piece</a> forever. It was part of my blog that was wiped out in the transition in May 2017 from <a href="http://1999.io/">1999.io</a> to Electric Outliner and [[Old School]]. I finally had the thought to look in my previous editing system and there it was. I said this: <a href="http://scripting.com/2017/05/05/iWantMyOldBlogBack.html">I want my old blog back</a>. I decided that all the crazy michegas in trying to make Twitter, Medium, Facebook, the defunct [[Google Reader]] that still limited what we could do with blogs, from its grave, to make all those work with my writing -- it wasn't worth it. All these limits amounted to there was nothing I could write that would make even a small subset of them happy. And no links, titles, bold, italic, or podcasts. Fuck you Facebook. What a bad netizen they are. And Twitter, although I love it, it's fucked up too. They support every damn type, video, audio, gifs, whatever -- except HTML text. What the fuck Jack. I'm out of patience with Twitter too. So in May 2017 I broke free of all that bullshit. And now four-plus years later, I'm getting ready to do more. 
		- I've been writing and writing, docs for "drummer". Not much time to write here. <i>Still diggin! </i>
		- From 2017, why I prefer blogging on the open web
			- One of the reasons I prefer to blog here rather than on Facebook is that if I get an Aha! idea about a feature, over here I can implement it. On Facebook I'm just a user. That was/is one of the great things about the web. Anyone can develop features for it. On Facebook, just their employees can. No wonder it never moves.#
			- When a company dominates an activity, they tend to invest elsewhere. Seems kind of perverse, but that's why markets don't always evolve to fill every niche. Open platforms are more favorable. If you want to perform a new style of music in Central Park, you can. If you want to do it in Carnegie Hall or Lincoln Center, you need to get the approval of a lot of rich people
		- Links to lost stories from May 2017
			- Now hopefully the search engines will index them. :smile:
				- <a href="http://scripting.com/2017/07/21/musicalPodcastsFrom2005.html">Musical podcasts of 2005</a>. 
				- <a href="http://scripting.com/2017/05/21/oneEnclosurePerItemOrMultiple.html">One enclosure per item or multiple?</a>
				- <a href="http://scripting.com/2017/05/21/reEvanWilliamsAndJsonFeed.html">Re Evan Williams and JSON Feed</a>.
				- <a href="http://scripting.com/2017/05/18/davereaderIsTheEngineOfRiver5.html">davereader is the engine of River5</a>.
				- <a href="http://scripting.com/2017/05/16/experimentingWithAPersonalTwitter.html">Experimenting with a personal Twitter</a>.
				- <a href="http://scripting.com/2017/05/14/myExperienceWithGoogleLineCorp.html">My experience with Google *LINE Corp</a>.
				- <a href="http://scripting.com/2017/05/13/oldSchoolProgressAndWebsocketsForRiver5.html">Old School and WebSockets for River5</a>.
				- <a href="http://scripting.com/2017/05/09/rulesForStandardsmakers.html">Manifesto: Rules for standards-makers</a>.
				- <a href="http://scripting.com/2017/05/07/myMacSeemsHappy.html">My Mac seems happy!</a>
				- <a href="http://scripting.com/2017/05/06/howAPodcastShouldAdvertiseItsRssFeed.html">How a podcast should advertise its RSS feed</a>.
				- <a href="http://scripting.com/2017/05/06/doGoodNow.html">Do good now</a>.
				- <a href="http://scripting.com/2017/05/05/iWantMyOldBlogBack.html">I want my old blog back</a>.
				- <a href="http://scripting.com/2017/05/05/whatIfMorePeopleUnderstoodJournalism.html">What if more people understood journalism</a>.
				- <a href="http://scripting.com/2017/05/04/ideaForHorrorMovie.html">iPocalypse</a>.
				- <a href="http://scripting.com/2017/05/04/phishingFollowup.html">Phishing followup</a>.
				- <a href="http://scripting.com/2017/05/03/whatToDoIfYouFellForThePhishingHack.html">What if you fell for the phishing hack?</a>
				- <a href="http://scripting.com/2017/05/02/macOsIsAHugeMess.html">Mac OS is a huge mess</a>.
				- <a href="http://scripting.com/2017/05/02/threePiecesFrom1997.html">Three pieces from 1997</a>.
				- <a href="http://scripting.com/2017/05/01/aMacBackupProblem.html">A Mac backup problem</a>.
	- August 10
		- <a href="https://twitter.com/kidney_boy/status/1425210653376196611">First hints</a> that the whole medical system is about to melt down. Actually the whole <i>everything</i> system.
		- <a href="http://scripting.com/2021/08/10/timeToAppealToTheFear.m4a">3-minute podcast</a>. Maybe enough  with the pleading for people to get vaccinated. The fear of getting sick is building, dig in on that. You do have something to fear. This thing is trying to kill you. Don't be a fool. 
		- I've been reading books this year by black cultural figures. Really informative, perspective <a href="http://mindbomb.org/">exploding</a> stuff. Some great writing, like Alice Walker. And she narrates so beautifully. An interesting side-effect is that I embrace my <a href="https://twitter.com/davewiner/status/1425130084038545408">own cultural heritage</a> with more confidence. 
		- I need to create an S3 bucket that's publicly accessible over the web, so serve web content. I used to do this routinely, but not recently. They've changed it enough that I can't figure out how to do it.  BTW, I found a current tutorial and filled in the missing bit, and now my bucket is happily serving over the web.
	- August 9
		- Is there a theory on why <a href="https://www.politico.com/news/2021/08/08/biden-infrastructure-bill-senate-502785">the Repubs</a> are going along with Biden's infrastructure bill? I've heard that it's their way to break away from Trump. Also thought it might be a trap, to push forward the date when the <a href="https://en.wikipedia.org/wiki/United_States_debt_ceiling">debt ceiling</a> has to be raised? Very odd.
		- I loved everything about Alice Walker's narration of <a href="https://www.audible.com/pd/The-Color-Purple-Audiobook/B07LCV3R2F?ref=a_library_t_c5_libItem_&pf_rd_p=80765e81-b10a-4f33-b1d3-ffb87793d047&pf_rd_r=ZQPG218HEYYMHVWY2V03">The Color Purple</a>. It's a beautiful story, and Walker has such a beautiful voice, oddly I find myself narrating my own story in my head in her voice. The book is in the form of letters between two sisters, who lead very different intertwined lives starting in the early 20th century. This has been so far a year where I have let black authors speak to me of the black perspective on life in America. I'm going to continue this exploration. 
		- <a href="http://scripting.com/98/04/stories/simpleCrossNetworkScript.html">Back in 1998</a>, we were getting ready to simplify scripting of apps that ran on other nodes on the net. I felt there was no reason function calls should be more complicated than they need to be, just because the function was on a server. Spoiler alert, we did implement this in "Frontier" and it was wonderful. Now the question is -- can we implement it in JavaScript, or will it require a pre-preprocessor, which is an option in "Drummer" since we have a very thin pre-processor. I opened a thread for discussion <a href="https://github.com/scripting/Scripting-News/issues/219">here</a>. 
	- August 8
		- We spend a trillion on defense, but it doesn’t protect us against Russia or the virus. Humbly suggest perhaps we‘re spending all that money preparing for the <a href="https://en.wikipedia.org/wiki/Maginot_Line">wrong war</a>.
		- When I was in grad school I was famous for writing great error messages. That was from their point of view, and the time (mid-late 70s). From my point of view, then and now -- I was making tools that made computer science useful for people, not just better compilers and databases. My error messages <i>were</i> better, because I was writing them to try to communicate something to the user. This, at the time, was a relatively new idea. They certainly didn't teach it in CS grad school. I wonder if they do now?
		- I completely forgot about this <a href="https://github.com/scripting/myRoute53">Node script</a> I wrote that lists all your Route 53 names, <a href="http://scripting.com/2016/08/08/makingAmazonsDnsApiSimple.html">five years ago</a>. This would make a very nice addition for Drummer scripting. 
		- Excuse me, but if <a href="https://www.thecity.nyc/2021/8/3/22608713/could-cuomo-face-jail-time-following-attorney-generals-harassment-report">Cuomo can be arrested</a>, and why not, then please arrest the Trump who was recorded trying to commit a fraud against the voters of Georgia and to overthrow the elected government of the US. Let's go already police, wtf are you waiting for.
		- I have a great <a href="https://www.amazon.com/dp/B07S92QBCJ?psc=1&ref=ppx_yo2_dt_b_product_details">Logitech keyboard</a>, but the keys started sticking due to humidity so I bought a replacement. Just set it up. The instructions were horrible, just diagrams, no words. And the whole thing doesn't work if you plug the keyboard into charge it up before doing the setup. You gotta wonder if they test the instructions with human beings. I like products that just work. But. Now that it's set up, having a brand new keyboard is one of the great pleasures of life. Like having a new car to drive. Every keystroke feels wonderful. But then one of my neighbors is cutting down trees, and making huge loud noise doing so, at unpredictable times. There goes my concentration! Oy. 
	- August 7
		- [[Rick and Morty]] -- one of the best <a href="https://en.wikipedia.org/wiki/Rick_and_Morty">TV series</a> ever. It had barely registered with me until about a week ago, when I, in a fit of boredom, decided to give it a try. I was hooked almost from the beginning. Rick, Morty's grandfather, has spent his life exploring the universe, and has a really depraved sense of everything, but he also loves to party. Morty, who is high school age, sort of puts up with Rick, and he always has issues with him. Every episode has at least a couple of really novel and funny scifi themes involving alien civilizations who are truly weird, and horrible situations Rick gets them into. It's like a lot of sitcoms, the <a href="https://en.wikipedia.org/wiki/The_Honeymooners">Honeymooners</a> for example, where Rick is Ralph Cramden and Morty is Ed Norton. Or <a href="https://en.wikipedia.org/wiki/I_Love_Lucy">I Love Lucy</a> where Rick is Lucy and Morty is Ethel Mertz. Or <a href="https://en.wikipedia.org/wiki/Breaking_Bad">Breaking Bad</a> where Rick is Walter White and Morty is Jesse Pinkman. It is LOL funny almost every episode. The people who do this show are off the scale creative. How do they keep thinking up these things? So perverse, sexual, vain, moronic, pathetic, depraved, mean, evil, pointless -- all the funniest crazy things we laugh at humanity over. I'm just through season 2, there are <a href="https://en.wikipedia.org/wiki/List_of_Rick_and_Morty_episodes">five seasons</a>. Archive is on HBO and <a href="https://showrss.info/show/44.rss">other</a> places. Season 5 is on <a href="https://www.adultswim.com/">Adult Swim</a>. 
		- I'm starting to get more concrete ideas on what to tag and what not to tag. In the piece about Rick and Morty, above, I tagged the name of the show. I did not tag the names of the shows I compared it to. In the post about the Olympics gold medal game, I tagged the Brooklyn Nets, because I have an issue with them, and that issue a pivotal reason I didn't love the US Olympic team as much as I would have if they were more of a team. The Nets aren't a team either, maybe they will at some point. We're going to keep watching them, so I think there's a reasonably good chance I'll write about them again and again in this same context. They're an ongoing thread on my blog. And I have an issue with the Olympics, so I tagged them too. I did not tag any of these things in this post, but I did tag [[tagging]], because that's what this post is about. 💥
		- I got to watch the second half of last night's gold medal game between France and the US. Something strange happened, almost immediately I was rooting for France, because the USA team reminded me of the [[Brooklyn Nets]]. A team formed quickly with star NBA players for the sole purpose of winning a championship. The French team, on the other hand, while they had a <a href="https://en.wikipedia.org/wiki/Rudy_Gobert">star</a> or two from the NBA, and a <a href="https://en.wikipedia.org/wiki/Evan_Fournier">future</a> and <a href="https://en.wikipedia.org/wiki/Frank_Ntilikina">former</a> Knick, practiced together for quite some time, and had the fluidity that comes from being a team. The American all-stars did not. But they did have [[Kevin Durant]], and that made the difference. He is an awesome talent, maybe the best to ever play the game, certainly in the top ten. And the <a href="https://www.nytimes.com/live/2021/08/06/sports/olympic-basketball-usa-france">USA did win</a>, and I can't say I'm sad about that, because I'm a nephew of Uncle Sam, but I did like the spirit of the <a href="https://en.wikipedia.org/wiki/France_men%27s_national_basketball_team#2020_Olympic_roster">French team</a>, and I would have been happy if they won. I am not a fan of the [[Olympics]]. I think they are playing for NBC and their advertisers, and I also think they should have one great venue for summer and winter, and stop all the waste. We have to change the way we run our civilization, or we won't have a civilization. 
	- August 6
		- Art is like god and vice versa.
		- This could be the last Olympics.
		- We've got a trifecta of disasters brewing now. 1. The resurgence of Covid. 2. The explosion of climate change. 3. The rot of fascism.
		- This <a href="https://www.washingtonpost.com/climate-environment/2021/08/05/change-ocean-collapse-atlantic-meridional/">article</a>, while shocking, doesn't explain how devastating it will be if the <a href="https://en.wikipedia.org/wiki/Gulf_Stream">Gulf Stream</a> disappears. The Gulf Stream is why <a href="https://www.thesun.co.uk/news/2569640/what-is-the-gulf-stream-where-is-it-how-does-it-affect-uk-weather-and-why-does-it-cause-heavy-snow/#:~:text=How%20does%20the%20Gulf%20Stream,to%205%20%C2%B0C%20cooler.">the UK</a> has a temperate climate, even though it's at the same <a href="https://earth.google.com/web/@46.01634833,-6.80705831,-3927.74817016a,9514760.87145209d,35y,0h,0t,0r">latitude</a> as <a href="https://en.wikipedia.org/wiki/Hudson_Bay">Hudson Bay</a> in Canada. 
		- Diego Rivera
			- <a href="https://www.wikiart.org/en/diego-rivera/portrait-of-sra-dona-elena-flores-de-carrillo-1953">Portrait of Sra. Dona Elena Flores de Carrillo</a>, 1953. 
	- August 5
		- Obviously <a href="https://www.vox.com/policy-and-politics/2021/8/5/22607465/tucker-carlson-hungary-orban-authoritarianism-democracy-backsliding">Tucker Carlson</a> wants to the <a href="https://en.wikipedia.org/wiki/Viktor_Orb%C3%A1n">Viktor Orbán</a> of the US. 
		- I recently got [[Drummer]] to work reasonably well on a tablet like an iPad. But I'm thinking about doing something different for phones. I wonder if you think any note-taking tool on a phone is doing a particularly great job. Just the right size. Not too complicated. Easy to make notes, easy to refer to notes. If so, could you post a screen shot <a href="https://twitter.com/davewiner/status/1423267186794246154">here</a>. BTW -- I don't <a href="https://twitter.com/davewiner/status/1423269337763303427">insist</a> on doing this app. In fact I'd prefer not to.
		- I just had an [[idea]]. What if you could view my blog in a special mode where you could tag individual words. Create your own index for my writing. It wouldn't be easy to spam it, or be abusive. Maybe at first your tags would just be aggregated with your other tags, but they would be publicly visible. Fan sites might develop, that remix blogs in different ways. I've been looking for ways to make my blog more participatory, without opening it up to too much uglyness. :boom:
		- There's a renewed <a href="https://twitter.com/davewiner/status/1423261135021740034">interest</a> in people getting "verified" blue checkmark on [[Twitter]]. It's interesting that [[Jack Dorsey]] who is also the founder and CEO of a big successful payments company, can't get it together for Twitter to verify the identity of users in a routine way.The post office does it using credit cards. I can have my mail forwarded simply by paying them $1 with a credit card that has the address being forwarded from as its registered address. BTW, I got verified myself a few years back by doing nothing. They sent me an email saying they know who I am and that the account I registered really is me, so they went ahead and gave me the blue checkmark. I'm sure Dorsey et al know how valuable that asset is for them, and the people who have them. 
		- This must-read <a href="https://donaldgmcneiljr1954.medium.com/what-is-biden-waiting-for-193df3fb4ac9">piece</a> is by [[Donald McNeil]], the [[NYT]] reporter they fired, probably for telling the truth about [[Covid]], stuff that none of their new Covid reporters would ever say. Read it, you’ll get fresh ideas on what the US government must have the courage to do now to save your life.
	- August 4
		- <a href="https://twitter.com/davewiner/status/1422691542888763396">Poll</a>: Should Andrew Cuomo resign? 90% said yes. 
		- Google doesn’t care about your security, they care that Comcast and Verizon et al can’t mess with their ads.
		- <a href="https://twitter.com/davewiner/status/1422739461251731460">Poll</a>: Do you know what you don't know?
		- My two cents on Cuomo
			- I wonder how many people calling for [[Cuomo]]'s resignation know what he was accused of in any specific way.
			- I wonder how many people calling for Cuomo's resignation have regrets about forcing <a href="https://www.google.com/search?q=al+franken+forced+to+resign">Al Franken</a> to <a href="https://www.chicagotribune.com/nation-world/ct-nw-al-franken-resignation-20190722-kaivwbwj4jhmfnf7sr3z53kuxy-story.html">resign</a> in 2017.
			- I wonder how many NY voters agree that Cuomo should resign? And if most of them don't, he shouldn't. 
			- Personally, I don't trust NY politicians, even the Attorney General. I think they're all corrupt. And I certainly don't trust the NY press, who, without dissent, has decided it's time for him to resign. That alone would be enough for me to encourage him to fight. It's not their call. They don't care what the voters think. They arrogantly think they are the public. They are not. 
			- Accusations must be litigated, to a verdict, using the American justice system, and then when there's a decision, we should talk about him resigning. He holds an elective office. His source of power isn't the approval of the Attorney General or other politicians, or journalists. His power comes from the people of New York. Their opinion is imho what matters.
			- I don't like the Cuomo family, they've been in NY politics my whole life. <a href="https://www.politico.com/states/new-york/albany/story/2013/03/mario-cuomo-was-disappointed-homo-signs-or-not-000000">They</a> <a href="http://thecentralvoice.com/stories/history-lesson-decades-later-vote-for-cuomo-not-the-homo-mailer-resurfaces,1844">play</a> <a href="https://nypost.com/2018/09/11/andrew-cuomo-has-been-playing-dirty-in-politics-for-years/">dirty</a>. I wouldn't be surprised if the accusations were true. But there's a difference between accusations and a verdict. We have a justice system to protect against mob rule. And this is a mob trying to rule, and the answer must be emphatically no, as it should have been with Al Franken. 
	- August 3
		- If you want to understand the utility of outliners, you have to understand renderers and processors. More about this soon.
		- <a href="https://twitter.com/davewiner/status/1422660407890747392">In my humble opinion</a>, the thing to do is insist on being able to buy cable service without paying for Fox. But none of the talking heads will call for this because they all depend on a good relationship with the cable system owners. A very deep conflict of interest, across the board. It's like software devs can't afford to piss off Google or Apple, or else they'll figure out a way to kick them out of their app stores. There was a famous slogan at Microsoft back in the day, "No version of DOS will ship until Lotus doesn't run." I'm sure it was just a joke. :smile:
		- I went to a <a href="https://www.yelp.com/biz/migliorelli-farm-stand-phoenicia">farm produce stand</a> on 28 in <a href="https://www.google.com/maps/place/Migliorelli+Farms/@42.0329671,-74.2749173,15z/data=!4m5!3m4!1s0x0:0xdd7ed88ac0c706ec!8m2!3d42.0329439!4d-74.2749978">Mt Tremper</a> yesterday to get fresh local peaches, just now coming into season, and everyone was masked up. I think we're doing the wise thing in NY state. It's easy to put a mask on, much easier than being intubated and dying. The peaches are the best part of the year except for the apple harvest. On the other hand at the hardware store, I was the only one wearing a mask. So maybe it's not <i>all</i> peaches yet. 
		- The [[NBA]] free agent season started last night. The [[Knicks]] are <a href="https://elitesportsny.com/2021/08/02/new-york-knicks-2021-free-agency-tracker-signings/">sticking</a> mostly with the players that made last season so much fun. This Knicks fan approves. <a href="https://theknickswall.com/knicks-prioritize-re-signing-veteran-core-during-free-agency/">Steady</a> as it goes, no superteam-building in Manhattan. 
	- August 2
		- Should we be excited about big silos and podcasting? Apple, Spotify, etc. Well if you like the way news works now on the web, I'm sure you'll love what they do to podcasting. On the other hand, what we have now is what most sane users want. So I say resist them if you can.
		- Watching the [[Olympics]] is ridiculously hard given that it's 2021 and our entire entertainment system is computerized and networked. They've had plenty of time to adapt, but the entertainment industry is stuck in the 1980s cable model, where ever they can get away with it. Thankfully [[Netflix]] and [[Amazon]] helped to budge them. There should be, if everything were sane, a network location I can go to where I see the schedule of the whole event, past, present and future. I can schedule reminders for upcoming events. And go back, like using YouTube to watch events I missed. Instead I have to hunt and peck, and depend on luck, and the programmer's sense of what'll be popular, and endure NBC's business model, like only making some events available on Peacock, a service I don't use and do not want to subscribe to. It's the same mess as with <a href="http://scripting.com/2020/08/06/133617.html?title=moneyForNews">news on the web</a>. I subscribe to services I never watch. There are a hundred thousand shows on and nothing I want to see, and the stuff I do want to see is inaccessible. Come on. Isn't there a person in power somewhere in TV-Land who is just as fed up as everyone else must be? Meanwhile we should give up the pretense that the athletes represent the USA, they rep NBC and should wear a <a href="http://scripting.com/images/2021/08/02/nbcLogo.png">peacock</a> on their uniforms and salute the NBC flag and their anthem whatever that might be. 
		- New header graphic -- <a href="http://scripting.com/images/2021/08/02/joeDiMaggio.png">Joltin Joe</a> hitting one out of the park.
		- There's a great <a href="https://en.wikipedia.org/wiki/Simon_%26_Garfunkel">Simon and Garfunkel</a> <a href="https://en.wikipedia.org/wiki/Mrs._Robinson">song</a> called <a href="https://www.youtube.com/watch?v=9C1BCAgu2I8">Mrs Robinson</a> that has this <a href="https://pagesix.com/2014/03/07/paul-simon-clears-mystery-behind-joe-dimaggio-lyric/">lyric</a> -- Where have you gone Joe DiMaggio, a nation turns its lonely eyes to you. I am too young to have been a <a href="https://en.wikipedia.org/wiki/Joe_DiMaggio">Joe DiMaggio</a> fan, and I never loved the <a href="https://en.wikipedia.org/wiki/New_York_Yankees">Yankees</a> (ugh) but I know what it feels like to be missing a hero. Where is <a href="http://scripting.com/2021/02/15/172451.html?title=mcneilTheJeremyLinOfTheNyt">Donald McNeil</a>? The [[Covid]] crisis is still with us. We knew it wasn't going away that easily. If the [[NYT]] hadn't canned him, I'm sure he would have told us that. Now what? We miss him. At least this former Daily podcast listener turn our lonely eyes to him. Where is his Twitter account? How about a weekly podcast with him and someone to play the role of <a href="https://en.wikipedia.org/wiki/Michael_Barbaro">Michael Barbaro</a>, an interested neophyte to represent us, to quiz the hardened Old Man of Covid, [[Donald McNeil]]? A weekly commentary on what's going on with Covid. That's a [[podcast]] I'd pay money for, if only for the peace of mind and the chance that his wisdom will save my life, and the lives of others.
	- August 1
		- "Drummer" is coming along nicely. There's a small test group, that includes a couple of old friends who are experienced software developers. The focus in the first part of this process is [[Drummer]] as a programming environment. I don't want distractions from that at first, because I remember how important it is to review and re-review everything about a platform like this before trying to make it work for users. Programmers at this stage will understand breakage  more than others. I'm doing what I've been doing for the last four--plus years, developing for myself, following my wants and intuition, not letting it be driven by others. Ouija boards yield a certain kind of software, the world is filled with it. You can only get so far if you have to reach consensus. I'm driving towards a place I've been before. And I know I'm doing it. :smile:
		- Something about [[tagging]] has been bugging me and I think I just figured it out. Suppose you have a topic that's starting to develop, and you want to hijack its links to redirect to a page that includes more information than just a scrolling list of references. Well I have <a href="http://scripting.com/2021/06/24/150234.html?title=theGlossaryInLittleOutliner">the glossary</a> for that, I just realized. I can override what double-square brackets means for a certain term, have it link to a page which also has a list of the references. Boom and bing. Do they have these overrides at "logseq" and other [[tools for thought]] products?
		- I watched <a href="https://en.wikipedia.org/wiki/The_Color_Purple_(film)">The Color Purple</a> on HBO last night. I'm looking for ways to learn what black people say about the black experience in America through history. It was a weird choice, because, even though the actors are black, it was a <a href="https://en.wikipedia.org/wiki/Steven_Spielberg_filmography">Steven Spielberg movie</a>, like ET or Jaws. Always upbeat, even when a husband is raping his sister-in-law. The weirdest thing to have Indiana Jones type music playing while Oprah Winfrey is being beaten by a mob of white men. So bizarre. But I loved all the actors, esp of course Whoopi Goldberg, and there was at times a bit of suspension of disbelief, but the Spielbergishness of the movie was very awkard. 
		- The <a href="http://scripting.com/2020/06/23/115824.html?title=anEzpassForNews">E-ZPass for News</a> idea is <a href="https://twitter.com/KristyT/status/1421204761177518080">out there</a>. 
		- <a href="https://twitter.com/davewiner/status/1421859236842250241">Someone</a> should write a book about the lost software ideas of the 70s and 80s. There's a lot of reinventing going on. Layers of reinvention. It'd be great if there was one book earnest devs could read, ones who want to build on what was learned in the past. 
		- I usually do my bike rides in the afternoon, but today I knew the park would be really crowded, I live in a place where people go to get away in the summer, so I went first thing in the morning. What they say is true, the exercise powers you through the day. It's now mid-afternoon and I'm still feeling the strength in my body from the workout. I think I may reorient my day. 
		- A number of years ago I wrote about the importance of <a href="http://scripting.com/davenet/1999/03/27/submission.html">submission</a>. No point fighting some things. I also was learning at the time that there is nothing you think of, that has to do with values, that isn't projection. Science is different, using your senses and intellect to draw inferences. But opinions and values, is just you broadcasting everything you feel to everyone in the world. But really it's an audience of one, you. Combine the two, and years later I realize that submission to yourself must come before submission to another. Give up the struggles between who you feel you should be and who you actually are. If you submit to yourself, you can stop worrying about that. :smile:
		- The monthly ritual is complete. Here's the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2021/07.opml">OPML for July 2021</a>. And just for fun, I <a href="http://scripting.com/publicfolder/misc/scriptingNewsArchiveInOpmlFromMay2017.zip">zipped up</a> an archive going back to May 2017, when I deployed my "new" content management system. It's all a matter of perspective I guess. 2017 seems to me like a short time ago, but then a lot has happened in the interim. Some of it is in the contents of the blog. I think some interesting apps could be built using this archive as a seed. So far there haven't been any takers that I know of, but I think we may be getting close with all the [[tools for thought]] activity. 
