- August 2017
	- August 31
		- Welcome to the last day of August 2017. 
		- As predicted <a href="http://www.wirfs-brock.com/allen/posts/778">Allen Wirfs-Brock</a> had some great stories to tell about the development of ES6. 
		- Help. I am addicted to buying interesting <a href="http://publicfolder.io/">domain names</a>. 
		- Today's Daily <a href="http://podcatch.com/pages/18698.html">podcast</a> gives a good overview of why the hurricane did so much damage in Houston. 
		- New Orleans existence was based on the assumption that the levees wouldn't break. They broke. What assumption is your existence based on?
		- <a href="https://qz.com/1065263/a-houston-residents-striking-plea-to-the-media-were-not-an-event-to-be-coolly-analyzed/">Quartz asked</a> for ideas about how to cover the hurricane and its impact on Houston. Set up newsrooms in places where the victims are and let them write the news. Make sure their story gets through <i>directly</i> to people outside Houston. Their thoughts are potentially very interesting. I sometimes have to turn off the sound on TV accounts because the words are so insipid. Usually from paid reporters. But I watch because the images are so astonishing. 
		- I wrote a Frontier <a href="http:///scripting.com/images/2017/08/31/frontierscript.png">script</a> that removes the robots.txt files in my S3 buckets. My automatic provisioning script for some reason I don't remember, turned off all robots in new buckets created in the last few years. There's no explanation and it makes no sense. 
		- Of course we're <a href="http:///scripting.com/images/2017/08/31/instantDaveScreen.png">using</a> Instant Dave to debug "Instant Dave". 
	- August 30
		- It's true, a lot of the <a href="https://twitter.com/mluckovichajc/status/902672216269225985">assholery</a> in the US comes from Texas. 
		- Interesting <a href="https://www.usatoday.com/story/opinion/2017/08/29/trump-blow-lid-off-polite-gop-white-supremacy-jason-sattler-column/607732001/">column</a> in USA Today. The voter suppression guys figured out if they act nice to the people they're suppressing the press wouldn't spin it as racism and white supremacy. Trump, by being so overtly racist, could spoil it for them. 
		- I am a man of many mottos. Like "Don't slam the door on your way out" or "It's even worse than it appears." The new one is about parties. I don't care how someone got to the party, as long as you're here, I'm your fellow party-goer. (Too long to be a motto, I know.) The net culture really needs to absorb this one. The punishment should fit the crime. Joel Osteen didn't open his <a href="https://en.wikipedia.org/wiki/Lakewood_Church">Houston church</a> to people made homeless by Hurricane Harvey. Twitter and Facebook exploded in rage. He relented. Now it's time to stop <a href="https://www.buzzfeed.com/albertsamaha/joel-osteens-megachurch-says-it-didnt-open-its-doors-to?utm_term=.pwKzOw52v#.ttoB03p2N">complaining</a>. He came to the party. He's helping. If you're still giving him shit, <i>you</i> have become the problem. 
		- It's getting close to the Emmies. How do I know? I'm seeing pitches for the nominees. Shows I love like Fargo and Game of Thrones. And Saturday Night Live. Of all the SNL nominees my two favorites by far are Kate McKinnon and Tom Hanks. McKinnon did so <a href="https://duckduckgo.com/?q=Kate+McKinnon+snl&t=h_&iax=1&ia=videos">many</a> great skits, as did Hanks (as a guest host) but the one I liked the best, the one I totally adored, was Tom Hanks as the redneck on <a href="http://www.nbc.com/saturday-night-live/video/black-jeopardy-with-tom-hanks/3333590?snl=1">Black Jeopardy</a>. Not just because it was funny but also because it was generous at a time when generosity is in short supply. 
		- Thoughts re ES6
			- This a really nerdy post. 
			- ES6 is the newest version of JavaScript, and it's gradually making its way into online docs and browser runtimes everywhere. 
			- I'm starting to use one of its features, and am reluctantly having to use others, and looking forward to one being more broadly deployed. 
				- The feature I am using is <i>let. </i>It should have been the way declarations worked everywhere. You should be able to very precisely determine the scope of a variable by its placement. The crazyass way <i>var</i> worked in JavaScript was one of its worst features. <i>let</i> fixes that. I can't see why you would ever not use let. Except of course if you're using <i>const.</i> Another feature, borrowed from Pascal (and #define in C) that's very useful. It's already caught a bug for me. When something really can't change you should use const.
				- Even though names <a href="http://scripting.com/2017/05/09/rulesForStandardsmakers.html">don't</a> matter, I think <i>let</i> should have been called <i>local. </i>It's not clear from the names why <i>let</i> is local and <i>var</i> is more global. What's really going on is you're declaring a local, so it should have been called that. Regardless I'm happy to have what I regard as a bug fix. (The bugs caused by the way var is specified combined with the way asynch works can be truly spectacular.)
				- The arrow notation for callbacks was uncalled for (heh awkward wording). What's the savings? Not having to include the word <i>function? </i>Really. We had a standard way to document callbacks. Now we have two ways. That's going in the wrong direction. (And we have two more ways, see the next section.)
				- I don't like the new async version of promises which was a flawed improvement on callbacks. I think I don't mind <i>callback hell</i> so much because I edit in an outliner. If I wrote in a flat editor I can imagine I'd be desperate for something to unwind the indentation. As an outliner user, it's kind of cool in a Stockholm Syndrome kind of way. The problem is that people are going to ship sample code using all the fanciest new contraptions, making things that you want to be easy more complex. It's like using CoffeeScript for sample code. Please, just stick to basic common JavaScript (an idea that might be worth exploring).
				- And the feature I'm anxiously awaiting are modules in the browser. I wish there were exactly Node packages. They seem to be <i>inspired</i> by them instead. In any case modules will improve my client coding enormously. They take me back to my UCSD Pascal days in the late 70s which had units, which were even nicer (if I recall correctly) than today's modules. Nonetheless the ability to create your own APIs as a routine matter is essential for good development. 
				- So much of the evolution of JavaScript has been an attempt to humanize the wrong way it does async. All that bullshit should have been buried in the runtime. That would be orders of magnitude faster and less error-prone for the human beings writing the software, and I bet you can even do optimizations in the runtime that make it faster. JavaScript will never be as easy as other Algol-like languages, and none of the patches and weird constructs will fix that, they only succeed in making it even more complex. That said, you can pry the JavaScript from my dead cold hands. This is the language I'm using, and that's that. 
				- No doubt my friend Allen Wirfs-Brock who was the editor of the ES6 spec will have explanations for all this or at least stories to go with why they did what they did. ;-)
			- Update: As predicted <a href="http://www.wirfs-brock.com/allen/posts/778">Allen Wirfs-Brock</a> had some great stories to tell about the development of ES6. 
	- August 29
		- I got the <a href="https://github.com/paulmillr/chokidar/issues/633">answer</a> to the programming question I asked yesterday. 
		- I wrote a simple <a href="https://github.com/scripting/chokidar-hello-world">Hello World app for chokidar</a> to help others get started. 
		- So much to love about this <a href="https://www.youtube.com/watch?v=1Vc60eS2XKw">Walmart ad</a>, esp for aging hippies. 
		- I understand why people like Trump. When I was a teen and into my early 20s I used to love <a href="https://en.wikipedia.org/wiki/Imus_in_the_Morning">Imus in the Morning</a> on WNBC in NY. He was incredibly rude. That's what I liked about him. The creativity of his rudeness. I outgrew it. 
		- I think of the <a href="https://api.nytimes.com/podcasts-rss/zKq6WZZLTlbM?apikey=18736e07a8184bf2a3f1a9ed57ed5152">Daily podcast</a> as the <i>NYT podcast. </i>It's really good enough to be thought of that way. And you can tell that the people he interviews, who are all <a href="http://nytimesriver.com/">NYT</a> reporters, feel that way too. It wasn't like that at first. I don't think they knew why they were doing it. Now I think the Daily must be catching on inside the <a href="https://twitter.com/nyt">NYT</a>. The reporters are all very different people. Yesterday's was especially illuminating. I love seeing a venerable old newspaper transition to another great new medium. To help define that medium. It continues to be a great podcast. Mazel tov.
		- Listening to the interview with Joe Arpaio yesterday on the <a href="http://podcatch.com/pages/18591.html">NYT podcast</a>, I realized very clearly why Trump likes him. They come from the same place, <a href="https://en.wikipedia.org/wiki/Queens">as do I</a>. I went to school with kids who were like Trump, kids who had KKK/Nazi parents, who felt they were of superior stock. In fact, Trump sometimes reminds me of people in my own family. 
		- Game of Thrones spoiler below
			- Spoiler alert, don't read the rest of this item. {
				- I re-watched the season finale. 
				- I couldn't remember why they needed to convince Cersei of anything. Someone should have said to her that the dragons could wipe out the Lannisters and all of Kings Landing in a few minutes so she should just STFU. 
				- I guess they wanted to get the big scene with Cersei and the Mother of Dragons in the same place so Cersei could spit and sneer. 
				- Seriously, no one was impressed. 
				- That said, the part with Arya and Sansa was just beautiful. I get goosebumps as I write this. Both the characters and the actors have become amazing at the same time. 
				- I also had the thought that I would like Donald Trump to have a trial like the one Littlefinger had. 
				- }
			- End of spoilers.
		- Idea: The Web Corps
			- Something that would be cool is a group of people who transplant items from inside silos like Facebook and make them accessible from the rest of the web.
			- I just asked Lisa Williams to post one of her items on a blog, usually I don't, because it gets people upset. I was going to ask Enoch Choi also because I know he believes in the web, but he's busy, and the web stuff is probably very tangential to what he's doing right now.
			- Think of it as a Web Corps. Very simple, transplant stuff outside Facebook so it can be accessed everywhere.
			- Update: Lisa posted her item on <a href="https://lisawilliams.github.io/lisa/tech/2017/08/28/Hurricane-Harvey-Senior-Tracker.html">her blog</a> (she was already working on it when I asked) and I transplanted Enoch's post <a href="http://this.how/transplants/enoch.opml">on this.how</a>. So we're up and running. There's no "official" place to transplant to, as long as it has a URL that's publicly accessible. ;-) 
		- Burner news
			- This is for my lovely friend <a href="http://nakedjen.com/">nakedjen</a> when she returns from Burning Man.
			- <a href="http://this.how/burnerNews/">http://this.how/burnerNews/</a>
			- It's a log of only the most important events that have happened while she is on the playa.
			- It's been a very interesting exercise for me, the idea of recording only the most important news, the stuff a person at Burning Man needs to know about when they return.
			- I did not include, for example, the end of Season 7 of Game of Thrones, even though it's very consequential for some. It's not urgent. Hurricane Harvey and the pardon of Joe Arpaio are essential news. And North Korea launching a missile over Japan.
		- I feel great!
			- <iframe width="374" height="158" src="https://www.youtube.com/embed/XbFLhbJRt_E" frameborder="0" allowfullscreen></iframe>
	- August 28
		- The <a href="http://www.berkeleyside.com/2017/08/28/berkeley-community-comes-force-hate-racism/">Berkeleyside report</a> on the protests in Berkeley yesterday. 
		- The next programming <a href="https://github.com/paulmillr/chokidar/issues/633">question</a> is about the Node <a href="https://github.com/paulmillr/chokidar">package</a> for <a href="https://davidwalsh.name/node-watch-file">watching</a> local folders.
		- Sarah Larson's recaps of Game of Thrones episodes are the best. The one for the <a href="https://www.newyorker.com/culture/culture-desk/game-of-thrones-season-7-finale-recap-a-dragon-a-wolf-and-an-about-face">season finale</a> is no exception. "At this moment, my neighbors learned what it sounds like in my apartment when they are watching the Super Bowl: loud, delirious bellowing and overjoyed profanity." Indeed. My neighbors as well. There is that one delicious moment in this episode that makes all the suffering if not worthwhile at least understandable. 
		- Two compelling lifestyle fantasies. An Italian <a href="http://www.telegraph.co.uk/property/abroad/italian-ghost-town-sale-entire-village-available-less-price/">ghost town</a> you can buy for €250K, or a Joshua Tree <a href="https://la.curbed.com/2014/1/31/10148482/breathtaking-joshua-tree-supervillain-lair-for-sale-for-first-time-1">art house</a> for $3 million. I used to have fantasies of living in places like these. To the person who lives in the town by themself or in the beautiful desert house far away from everything, show them a picture of an apartment building in NYC and point to one window and say "you could live here" and they'd get all excited about all the people they would see every day just by walking around. The grass is always greener on the other side, happiness is always just around the corner.
		- American-style, neo-Nazi and Nazi-sympathizer
			- See Krugman's bit: <a href="https://www.nytimes.com/2017/08/28/opinion/fascism-arpaio-pardon-trump.html?smid=fb-share&_r=1">Fascism, American-style</a>. I reject that. Fascism is fascism, whether it's in the US or Germany. Same thing. Adding an <i>American-style</i> softens it. Makes it seem more acceptable. Oh it's like baseball, apple pie and Chevrolet. That must be better. 
			- I also don't get when they call them neo-Nazis. What does the "neo" part mean? Something innovative and new? It's just Nazi. They wear 88 pins, they chant German Nazi slogans. If it sounds and looks like a Nazi, assume it's a Nazi. 
			- One more thing -- they call Trump a Nazi-sympathizer. Why be so generous. What distinguishes a sympathizer from an actual Nazi? We've been doing this with Trump at every stage, pretending he's not as bad as he clearly is.
	- August 27
		- I've started a <a href="http://this.how/burnerNews/">news notebook</a> for when Burning Man friends get home. 
		- Survey: Does President Trump represent American values?
		- <a href="https://www.theatlantic.com/politics/archive/2017/08/joe-biden-after-charlottesville/538128/">Joe Biden</a>: "We Are Living Through a Battle for the Soul of This Nation." 
		- American values
			- Chris Wallace at Fox, <a href="https://www.youtube.com/watch?v=rsjdALkQb4k#t=11m22s">interviewing</a> Secretary of State Tillerson, stumbled across a truth. Our current president speaks only for himself. The people and government of the United States have different values, says Tillerson. 
			- <iframe width="420" height="236" src="https://www.youtube.com/embed/rsjdALkQb4k?start=682" frameborder="0" allowfullscreen></iframe>
	- August 26
		- <a href="https://github.com/scripting/Scripting-News/issues/23">What database</a> would you use to implement a social graph?
		- <i>Alt-right</i> is a bullshit name. They wear Trump shirts and hats. These are Republicans. Don't like it? Take your party back.
		- "Hold the line until our country gets back to respecting each other."
		- So, Arizona is becoming a battleground in the newly rebooted American civil war. <a href="http://www.phoenixnewtimes.com/news/prisoners-hang-themselves-in-sheriff-joe-arpaios-jails-at-a-rate-that-dwarfs-other-county-lockups-7845679">Phoenix New Times</a> has a chance to increase its profile. But the site is unusable without an ad blocker. Please clean it up, take the lead. 
		- Trump has zeroed in on Arizona. Look where he held his first post-Charlottesville rally. He's resurrecting Joe Arpeio. McCain killed the repeal of ObamaCare. Jeff Flake wrote a book condemning Trump. Arizona is going to be a different kind of battleground. The election there is many months away. In the meantime, watch out. He's investing in the alt-Republicans. 
		- Two fascinating stories this morning, one about how Charlottesville looks <a href="http://www.npr.org/sections/codeswitch/2017/08/16/543808019/the-view-of-charlottesville-from-berlin?utm_campaign=storyshare&utm_source=twitter.com&utm_medium=social">from Berlin</a> and how it looks <a href="https://www.theguardian.com/world/2017/aug/26/great-uncle-alienated-postwar-france-americans">from Israel</a>.  Israel sees Trump as a gift, and they want to hold on to him, even if he is a Nazi. Germans are determined to never forget the <a href="https://en.wikipedia.org/wiki/The_Holocaust">Holocaust</a>. Israel looks the other way.
		- A couple of days ago I tried using <a href="https://www.paypal.com/">Paypal</a> to send money to a friend via her email account. She never got the notification, however I did get a confirmation via email. According to their website, the money has been paid. To who?  I tried to use their system to ask what happened to my money. But they keep rejecting the message without explanation. I checked my bank account, and the money has been withdrawn. I tried posting a <a href="https://twitter.com/davewiner/status/901145547553337344">query</a> to Twitter, it was <a href="https://twitter.com/AskPayPal/status/901146761493749760">responded</a> to by @AskPayPal, a verified account. They asked me to send a DM. I did. I have heard <i>nothing</i> back from them. This is unacceptable. Paypal depends on users trusting them. I used their service to send money, it appears to have never gotten there and they won't respond to a query. I could write it off, I could -- but then I also could never use their service again. 
		- A general note about transmitting money via the net. None of the services I've tried give you any idea up front how the process will work. How will the person be notified? What are the requirements on their end? In one case the person had to have an account at the same bank I was using. That was not said before I sent the money. I once tried sending money via Facebook, figuring they would have worked to get the glitches out. Nope. It took days for the money to clear at the other end, which wasn't overseas, it was <i>California</i> for crying out loud. Sending a gift certificate through Amazon to a relative in the UK was also a bad experience. She had to spend the money at Amazon in the US, which meant shipping costs to the UK would have been huge. They didn't say this up front, or I would have used Amazon UK to give the gift. We've been using the web for commerce for 20 years. These glitches should have been worked out long ago.
		- My father wrote a book, his father wrote a manifesto. My maternal grandfather created a company. My uncle designed a new kind of windmill. My great uncle was a novelist, his stories are still read, mostly in German. A cousin on the other side was a great inventor, her legacy died but was resurrected and she's now a hero, famous for her technical creativity. Of course I try to do the same thing, and I'm realizing more and more that it's futile and mostly unnecessary. This is a difference between boys and men. We hope to achieve some kind of immortality through our work. The reality is that after we're done creating, it's all largely useless. The legacy we try to create is never what we actually create. Our ambition is much greater than the accomplishment.
	- August 25
		- Good morning coffee lovers! :coffee:
		- I still guess at emoji short codes and still guess wrong. :shrug:
		- Trump must love the pardon. He gets to be a monarch. "He will not be questioned." He thinks all of governing should be like that.
		- Everyone <a href="https://github.com/scripting/pagePark/issues/5">should</a> know how to run a web server.
		- My first <a href="https://twitter.com/davewiner/status/901116867116445696">rule</a> of software development. 
		- An iconic <a href="https://twitter.com/davewiner/status/901076463432192001">message</a> to lovers of slavery in the US.
		- Gruber <a href="https://daringfireball.net/2017/08/wading_through_accuweathers_bullshit_response">exposes</a> a lie by Accuweather re their iOS app. This illustrates something that's missing in tech journalism: We need a general way of debunking tech bullshit, as <a href="http://www.politifact.com/">Politifact</a> does for politicians. Tech companies get away with it because journalists worship the icons of tech. They can do no wrong. And they're cute, like baby squirrels. The tech gods know you think this about them and fully take advantage of it. Also journalists aren't confident in their understanding of technology. 
		- One of the feeds in Instant Dave, the <a href="http://scripting.com/rss.json">one</a> from Scripting News, is not processed through "River5", it's handled separately. RSS aggregators are complicated because they have to handle all the variability in feeds. Feeds that omit required elements, or do it creatively or in some cases, wrong. For this feed, I assumed it was correct in every way. I can assure that because I maintain the feed. I wanted to see how different things would be if there was less variability. 
		- Fixed a bug in the server behind "Instant Dave". If two items appeared on this blog at the same time, it would only push one to the ID client. 
		- BTW, I think "Instant Dave" is a prototype for other Instants. I want each of the news sites that I'm most <s>addicted to</s> connected to to have one. I'd keep an app open on my desktop for Qz, TPM, Axios, Maddow, as examples, esp if they included links from other pubs, analogous to my <a href="http://scripting.com/links.html">linkblog</a>. There should be a competiton for a semi-exclusive connection to people I think of as news mongers. People who have a voracious appetite for new useful non-salacious info.  
		- Fixed another "instant dave" bug where it would use the wrong value to update the <i>when</i> field of the message display. This would be most obvious on posts that were published out of sequence (which is only likely when another bug was hiding the old post). The date would transform from something like <i>Yesterday at 11:23 AM</i> to <i>32 mins. </i>A misunderstanding in the software. Like most bugs! In any case after today this bug would have remained hidden, possibly forever. Something like a solar eclipse. Glad to have found it. 
		- I think I understand Trump
			- There's a recurring character you see in Silicon Valley, not the <a href="https://en.wikipedia.org/wiki/Silicon_Valley_(TV_series)">TV show</a> but <a href="https://en.wikipedia.org/wiki/Silicon_Valley">real life</a>. The man-baby. Fully grown, middle-aged, but not wanting to take responsibility. I'm sure there are girl-babies too, but I keep running into the male kind. 
			- He keeps getting into deeper and deeper shit, very deliberately, so a father figure can bail him out. He always has a father figure around. They may not know they've been cast in this role. Sometimes the father figure is actually a woman. 
			- I have been cast in this role myself a few times. It's not a good feeling when you see the pattern repeating. Sooner or later this person is going to have to evolve into an adult, and realize that no one else can really bail him out. 
			- Trump is one of those peoples, and the really interesting thing is he plays the father-figure role, too, for <a href="https://georgelakoff.com/2016/03/02/why-trump/">voters</a>. He puts on a show. This is how a father talks to children he loves. You can hear it in his speech, not in the words, but in how he relates. If you ignore the words he's a pretty nice guy. The kind of dad who'd throw around a football with you on a Saturday. Maybe more like a fun uncle. But in real life, he's <a href="https://en.wikipedia.org/wiki/Baby_Huey">Baby Huey</a>. Actually an evil Baby Huey. Not a good thing.
	- August 24
		- Good morning conspiracy theorists! :open_mouth: 
		- There's a new version of "instant dave" this morning. A complete rewrite. Lots of new features. New <a href="http://scripting.com/images/2017/08/22/stillDiggin.png">look</a>. The same flow as before, but now the posts from "Scripting News" can update. There's a list of previous posts arranged vertically. I started with the code in <a href="http://screen2.io/">screen2.io</a>. You can <i>Like</i> a post. And you can write your own posts. Only you and I will see them for now, other people will just see what they post and what I post. It's called Instant <i>Dave</i> after all. Hope you give it a try. If you have feedback, please post a comment <a href="http://instantdave.com/#1501260201000">here</a>. 
		- And of course I see bugs. Glossary elements aren't expanded. And notifications have to have the HTML stripped. (The notification manager on the Mac doesn't do HTML.) There will be a new version hopefully soon. The current version is 0.5.1.
		- Note: I am gradually switching to the x.y.z version number format. It's forced on you when you write NPM packages. Of course now I have two schemes in my codebase. This is how things get unnecessarily confusing. Shit happens. 
		- If the US is turning into Russia at some point a politician or journalist or blogger is going to get killed. Roger Stone, Trump's longtime friend, just took a <a href="https://www.realclearpolitics.com/video/2017/08/24/roger_stone_if_you_impeach_trump_get_ready_for_violence_our_side_is_heavily_armed_by_the_way.html">step</a> towards that future. We should take him seriously and put him in jail for a long time, long enough so that he understands that there are limits to what we will tolerate. Threatening politicians with assassination is something we should have never allowed Trump to <a href="http://www.politifact.com/truth-o-meter/article/2016/aug/09/context-donald-trumps-second-amendment-people-comm/">do</a>, no matter how violent and deplorable some of his followers are. 
		- On the Daily podcast <a href="http://podcatch.com/pages/18426.html">yesterday</a> they had an interview with Matt Rosenberg, the NYT reporter who has been stationed in Afghanistan for much of the last 10 years. What should the US do in Afghanistan. Turns out, if we aren't nation-building, we can probably do a deal with the Taliban right now. They suppress Al Qaeda and ISIS within Afghanistan, and we leave. They didn't quite say it this way, but it was inescapable. 
		- I'm glad I decided to get a new Apple Watch to replace the <a href="https://www.flickr.com/photos/scriptingnews/36779776415/">one</a> I broke. It felt like a body part was missing. A bunch of people said I should wait till the new version comes out next month. There was a time when I might have waited, but mobile devices now are like mid-size cars. If Volvo comes out with a new model I'm not even going to read the press release. I don't care. I just use it as a watch and to tell me what the date and temp is, and that's all. I was kind of interested to find out my new watch has GPS. It tells me to breathe. OK. I can't figure out how to get it to tell me how many steps I've taken today. I'd find that useful. 
		- Medium 3.0
			- I got an email from Product Hunt yesterday announcing <a href="https://www.producthunt.com/posts/medium-3-0">Medium 3.0</a>.
			- The page doesn't provide a narrative, a bulleted list saying how I should think about the new release. I did read <a href="https://www.theverge.com/2017/8/22/16180150/medium-paywall-articles-claps-author-payments">one</a> of the trade websites, but they mostly talked about the new business model based on "claps." It could be that's the main new thing about 3.0.
			- I've always been critical of Medium, not the software, but what they were doing to the community of individual web writers, people who <a href="http://scripting.com/2017/07/31.html#a091728">blog</a>. At this point I'm not concerned about that. We're in the long tail of the demise of Medium. They'll try this, and something else, and then another thing, each with a smaller probability of making a difference, until they turn it off. At that point, if that happens (disclaimer: I'm often wrong), it will be a disaster. A lot of important stuff was published on Medium over the years. 
			- But imho Medium still has a bullet in the chamber. They can stop being a silo and become a foundation others can build on, not just a way for writers to make money. Invest in open sourcing all of it, commit to keeping the servers up indefinitely (possibly make a deal with a university) and then invest in the projects that develop out of it. I think it's a reasonable bet, and the best one available at this time to Medium shareholders. 
		- Professor Newmark
			- Congrats to Craig Newmark who is now faculty at <a href="http://www2.cuny.edu/">CUNY</a>. 
			- <img src="http:///scripting.com/images/2017/08/24/craigNewmark.png" width="400" height="438" border="0" alt="A picture named craigNewmark.png">
			- Couldn't happen to a nicer guy!
		- Geographic welcomes
			- The other day my friend Francine Hardaway expressed concern, on Facebook, that people would think less of Phoenix because President Trump chose to give his dogwhistle-laced race-baiting hate-speech there. She wants smart reasonable people to locate there, and was concerned that people would think less of Phoenix because <i>El Orange</i> decided to throw his flames there. I assured her that nothing could be further from the truth. 
				- <i>You're doing a good job of spreading the word. Until now I didn't know </i>anyone<i> was trying to get good people to move anywhere. Seriously. I've been suggesting that broadly. It wouldn't be hard to associate a geography with a new technology, just try to encourage a few people leading in the tech to move there. Imagine if there were no NBA and there are a few Steph Curry's floating around out there unaffiliated. Give them a university to play in, students to develop, and money to build what they need to build. And a nice place to live with a hot tub and a swimming pool and nice views and good bike riding and we're all set.</i>
			- Then this morning Thomas Madsen-Mygdal, founder of the excellent Reboot conference and many startups, also on Facebook, wanted to know what he should tell the new Danish tech ambassador to do. I had advice, similar to what I said to Francine. 
				- <i>Do things to bring open tech to Denmark, to undermine the control big tech companies have over our means of communication. Focus on people not companies, the companies will follow. That's how Silicon Valley itself got to where it is.</i>
			- No one as far as I know lays out a welcome mat for people who are technologically creative. My opinion is based on looking for them. Silicon Valley is not one of those places. They are looking for cogs that fit into machines. They want to do the disrupting, and want to keep their power and money. I just want to make cool stuff that makes people more free. 
			- Denmark is pretty cool and Phoenix is hot. Some place where other people who love free tech congregate, where there's a hot tub and a swimming pool, a place to ride my bike and a free attitude about art and lifestyles, that wants a free and open developer community, that would be a place a lot of interesting people would come to. Of course Google and Facebook et al will open offices there. Then you won't have to take the red eye to Cupertino to be influential. They'll come <i>to you. </i>(Which is the true secret to being influential.)
			- <i>Note: I don't link to posts on Facebook. </i>
	- August 23
		- <a href="http://screen2.io/">screen2.io</a> has been refreshed. A maintenence release to get it in sync with other software components here in DaveLand. :boom:
		- It's becoming hard to find news sources to point to. They all pop up ads, including Wikipedia. Many have videos that start playing automatically. It's nice to find a news site that doesn't do this. So far Axios and TPM are both reliable. But they don't have all the stories I want to link to. 
		- I like yesterday's blockbuster <a href="https://www.sbnation.com/nba/2017/8/22/16186928/kyrie-irving-trade-celtics-isaiah-thomas-cavaliers">trade</a> betw Boston and Cleveland. I think Cleveland got the better deal. Kyrie Irving is a solid superstar, but I don't think he drives other players to perform. Not like the guy they traded for, Isaiah Thomas. He's a force of nature. I guess the Celtics thought he would burn out fast and Kyrie will last a while and will like staying in Boston. Cleveland is destined to be volatile. But it'll be interesting to watch Thomas and LeBron team up. Two very different kinds of players.
		- And we're still waiting for the deal the Knicks make for <a href="http://bleacherreport.com/articles/2728856-5-trade-ideas-to-finally-get-carmelo-anthony-to-houston">Melo</a>.
		- Trump's speech last night was all about him, and not at all about the victims of the Charlottesville terrorism, a word btw he <i>still</i> refuses to use. Also Trump made no mention of the sailors who died on the USS McCain.
	- August 22
		- Good morning eclipse fans!
		- Latest progress report on Instant Dave in a <a href="http:///scripting.com/images/2017/08/22/stillDiggin.png">screen shot</a>. 
		- Sarah Larson's New Yorker <a href="http://www.newyorker.com/culture/culture-desk/game-of-thrones-season-7-episode-6-recap-you-dont-understand">reviews</a> of Game of Thrones make me LOL. 
		- When Doc was starting his <a href="http://doc.weblogs.com/">blog</a> in 1998 or so,  it took about six months for it to catch on. I was regularly pointing to Doc from my <a href="http://scripting.com/">blog</a>, because his writing was so good and perspectives about the net so valuable. Six months. You have to show people steadiness. Update even if they aren't reading in the numbers you'd like. Keep doing it. It takes time to build up a trust, a pattern, a habit. And that's what reading a blog is, a habit. Conclusion: If there's a will to reboot blogging, we have to create that kind of habit, across a number of sites. 
		- Disgusting things Repubs do
			- Alan Dershowitz is a weird guy. He says he's a liberal, but his <a href="https://www.mediaite.com/tv/alan-dershowitz-liberals-in-statue-debate-doing-what-stalin-did/">words</a> are Republican. I should explain what that means. :apple:
			- There's a dishonest debating style that Repubs use, never heard a Democrat use it. They go on about how unfair it is for some Democrat to do X, Y and Z. They are things that are obviously unfair. He keeps going. Lots of examples. Of things that never happened. You nod your head. Those disgusting Democrats. What awful people. Such hypocrites. 
			- You have to be very circumspect when listening to a Repub like Dershowitz. Ask yourself each time he declares something a Demo did. Did they do it? Probably not. 
			- People who work for BigTechCo's use this technique too. It can be pretty egregious. People assume if you work for a famous company You Must Know. They take advantage of this, and say things that are not true knowing you'll probably believe them.
	- August 21
		- It's Trumps's fault, until further notice. <i>Everything.</i>
		- NYC eclipse report: Everyone in NYC stopped. No one is moving. All are looking skyward.
		- When I am thinking about "eclipse" the word my brain uses is "earthquake."
		- I keep saying don't underestimate Trump. Then <a href="http://talkingpointsmemo.com/livewire/trump-looks-at-sun-during-solar-eclipse">this</a>.
		- I bet many people haven't heard this classic World War II <a href="https://twitter.com/davewiner/status/899659896513335296">ballad</a>. 
		- I'm guessing w/o looking that Trump's religious council consists of preachers from churches that serve white Christians in the south. If there were any preachers whose congregations were not Christian whites from the south, they would have gotten off last week. These so-called religious leaders need to have scapegoats I guess. Doesn't seem very holy to me. Who's responsible for the suffering of white people? Everyone who's of a different religion, or if they're black or hispanic. They have everyone covered. We're all keeping the Master Race down, so they can be more masterful and less depressed. They've been doing this for centuries. Maybe even millenia.
		- Dolores Claiborne is a pretty great Stephen King <a href="https://en.wikipedia.org/wiki/Dolores_Claiborne">novel</a> that's set during a total <a href="https://en.wikipedia.org/wiki/Solar_eclipse_of_July_20,_1963">eclipse</a> in Maine. It was also a <a href="https://www.youtube.com/watch?v=NCO6cm0tIoY">movie</a> starring Kathy Bates.
		- I want to try to reconcieve blogging, to make it more like Facebook, but not in a silo. I've been having trouble convincing people this is possible, but it is -- if we believe it can. It really is that simple. Like <a href="https://en.wikipedia.org/wiki/Tinkerbell_effect">Tinkerbell</a> and Peter Pan.
		- I have a new version of "Instant Dave" almost ready. It's got a lot of RSS in it, some new ideas related to RSS. Ones I'm sure you'll find interesting. 
	- August 20
		- I want to call your attention to this <a href="https://www.nytimes.com/2017/08/17/us/charlottesville-crash-sisters-fields.html?smid=tw-nytnational&smtyp=cur&_r=1">NY Times story</a> about two sisters who were injured in the terrorist attack in Charlottesville last weekend. They were both moved by a "sea of white faces" chanting <a href="https://duckduckgo.com/?q=site%3Ascripting.com+black+lives+matter&t=h_&ia=web">Black Lives Matter</a>. The crazy events of the last week remind us that we have much more work to do to get over the awful history of race in the United States. And we've never had a greater opportunity to make progress. Yes, black lives matter. Yes. And so much more. That's just a beginning. 
		- MLK is the best icon for America 2.0
			- <img src="http:///scripting.com/images/2017/08/20/mlk.png" width="600" height="469" border="0" alt="A picture named mlk.png">
			- The United States, rebooted.
		- Sometimes cats do <a href="https://twitter.com/CUTEFUNNYANIMAL/status/899237115430666241">stupid</a> things!
	- August 19
		- A <a href="https://twitter.com/davewiner/status/899057695155683328">picture</a> is worth a thousand tweets. 
		- In September of last year, Evan Osnos wrote a <a href="http://www.newyorker.com/magazine/2016/09/26/president-trumps-first-term?currentPage=all">piece</a> in the New Yorker that imagined what the beginning of a Trump presidency would look like. I wanted this to be the beginning of a thread in journalism, give us an idea of what we were getting into. But the focus remained on Trump's outrageousness and the Russian leaks about Hillary. We blew it. Now I'd like to see a new thread that imagines what the sequence of events might be from here-out assuming Trump stays in office and his militia grow in power and the violence escalates. 
		- Somewhere in America someone is devising plans for mass extermination. For once I hope the good people of this country get out in front of the progression. At every step we've not been willing to consider how it could get worse, and do what's needed to head it off. Then it gets worse and we do it again. Right now we have a Nazi president (I don't credit him with being a "sympathizer" as some do). We still have a political system that's capable of dealing with him, but the people who have the power refuse to use it. People already have died. We have to be ready to deal with the thugs and their violence, either way. The question is can we handle having the American government leading them? One more Supreme Court appointment and we'll have <a href="https://en.wikipedia.org/wiki/Open_carry_in_the_United_States">open carry</a> everywhere and you'll have to be a white male non-Jewish property owner to vote. 
		- God is goofing on me. After I wrote the super-serious <a href="http://scripting.com/2017/08/19.html#a104323">post</a> above, I dropped my Apple Watch and broke the screen. I've only broken one mobile device screen in all the years I've been using them, and after that I developed a routine to keep it from happening. Can't wear it. Too broken. Not safe. But my wrist feels totally naked without it. 
	- August 18
		- For some crazy reason I'm tempted to go down to <a href="https://en.wikipedia.org/wiki/Washington_Square_Park">Washington Square Park</a> tomorrow to observe the Nazis. I'm guessing most of them come from Staten Island and New Jersey, maybe some from out on the Island. Tomorrow also is the final <a href="http://www.nyc.gov/html/dot/summerstreets/html/home/home.shtml">Summer Streets</a> bike ride from 7AM to 1PM starting at Park Ave and 72nd St, through 4th Ave and onto Lafayette St, to the Brooklyn Bridge. Nazis coming by car should be aware that there will be limited cross-town access. Anyway, Summer Streets riders end up pretty close to Washington Square Park which tomorrow is Nazi-Land in NYC.
		- Doc is going on an <a href="https://twitter.com/dsearls/status/898643314798346242">Eclipse Safari</a> in Wyoming. 
		- <a href="http://nymag.com/daily/intelligencer/2017/08/trumps-cville-response-should-change-everythingit-wont.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+nymag/intelligencer+(Daily+Intelligencer+-+New+York+Magazine">Andrew Sullivan says</a> that Charlottesville is even worse than it might appear at first because it has shown that Trump can blow through another level of normalcy, and not pay a price in support from Repubs. Until this weekend, Nazis and the KKK were unimportant fringe groups. This is no longer true. This is the United States, our world leadership is <i>based on</i> our defeating the Nazis in World War II. 
		- Tina Fey on sheet caking
			- <iframe width="560" height="315" src="https://www.youtube.com/embed/5eBWUgT-FlQ" frameborder="0" allowfullscreen></iframe>
		- Google says this blog is insecure
			- I got an <a href="https://twitter.com/davewiner/status/898338171586400256">awful email</a> from Google last night <a href="http:///scripting.com/images/2017/08/18/googleEmail.png">saying</a> that <a href="http://scripting.com/">my blog</a> has a security issue and Chrome would start warning people about it in October. Right off the bat you know it's bullshit, because if it were a real security issue, how could they justify waiting until October?
			- Here's the story. At one time I had my own search engine because Google wasn't yet doing a great job of indexing blogs. There was a small search form on every page. The archive pages from the blog in this period, in 2006, eleven years ago, are still there. Here are <a href="http://scripting.com/2006/10.html">the</a> <a href="http://scripting.com/2006/09.html">examples</a> <a href="http://scripting.com/2006/07/18.html">they</a> <a href="http://scripting.com/2006/11.html">cited</a>. The forms don't work, the search engine is long-gone. They're afraid someone will type their SSN in that form and it will be observed and recorded by an intermediary. On a decade-old archive page.
			- Don't worry. The pages aren't going anywhere and I'm not modifying them. I try to keep the archive of this blog intact and unmodified. It serves not only as record of the events on the blog, but also the technology of the blog. If you've read this site at all you'd know it was central to the development of blogging and other technologies. The blog's HTML and scripts are part of the record. 
			- I have an uncountable number of domains I have used over the years. I try to keep the sites running to the best of my ability. I've been doing this since 1994. Converting them all to HTTPS isn't going to happen unless HTTPS becomes much more manageable. And as I've explained <a href="https://duckduckgo.com/?q=site%3Ascripting.com+https+google+mozilla+eff&t=hy&ia=web">many times</a> here, I like storing my blog content on Amazon S3, and HTTPS and S3 are not happy partners, if you want to use your own domain name, which of course I do.
			- Google will lie <i>about security</i> to accomplish a strategic objective. And a lot of people will believe them when they say "Scripting News" is a bad site. But over time, if they abuse the trust, they will lose it. That's the way this works. 
			- They've certainly lost me. I don't trust Google even a bit. They don't own the web, they didn't create it, and I'm not going to submit to them. If you can't read this site with Chrome, so be it. That's their choice. 
			- I think the EFF should stand up for the rights of individual bloggers vs the giant corporation, but don't hold your breath. EFF is funded by Google. Same old shit, just a different industry. 
		- Siskiyou chickens
			- My longtime friend Stan Krute took this <a href="http://siskiyoulife.com/2017/Fair/121878_2000_max_captioned.jpg">picture</a> of three young contestants waiting to be judged <a href="https://www.google.com/maps/place/Siskiyou+Golden+Fair/@41.7070062,-123.191682,9z/data=!4m5!3m4!1s0x0:0x1136dfc372999fd7!8m2!3d41.7070062!4d-122.640134">at</a> the <a href="http://sisqfair.com/">Siskiyou County Golden Fair</a>.
			- <img src="http:///scripting.com/images/2017/08/18/chickens.png" width="600" height="566" border="0" style="margin-top: 15px; margin-bottom: 15px;" alt="A picture named chickens.png">
			- When I saw the picture on Facebook I wasn't sure if it was a <a href="https://duckduckgo.com/?q=Norman+Rockwell&t=h_&ia=web">Norman Rockwell</a> painting. Stan really captures a sense of pride and anticipation. Human qualities, in young people, and their chickens.
	- August 17
		- <a href="https://twitter.com/pbump">Philip Bump</a>, a friend from <i>Ye Earlie Blogging Dayse</i> did a <a href="https://twitter.com/trumps_feed">bot</a> that RTs everything Donald Trump sees in his Twitter timeline. No wonder the guy is so hyper (Trump, not Bump). This led me to a business model that Trump himself would appreciate. Let me buy ads aimed at a specific user. Let's load up Trump's timeline with messages of Trump-Love. We love you Dear Leader. We love you <i>soooo</i> much. And then tell him what we want him to do. :heart:
		- Arnold Schwarzenegger knows about Nazis. Watch <a href="https://twitter.com/attn/status/898328098529083394">this</a>.
		- Another concept I'm becoming more formal about is <i>grooming.</i> I tend to move on to the next project without iterating over the loose-ends of the one I'm leaving. I still do it. Have to. Because projects are like pies. They aren't ready for eating until they've had a chance to cool off on the counter a while. While that's happening I like to still be "there" and ready to tune things up here and there, to make things work more smoothly. And when the time feels right, go back to the pies I left on the counter a month or two ago. :mushroom:
		- I shifted my approach to development a few months back, with the turn to Old School, and decided to build where the users were going. Scripting News was still getting most of the flow, despite all my efforts to create new more compelling flows. 
		- Another shift happened a few years ago, when I decided it was okay to develop just for myself, with no intention of ever releasing the stuff I was working on. That led to a new style of product, and a happier developer. I was always doing it for myself, and fooling myself into believing it was for other people. I'm no less a narcissist than anyone else. Once you own that, you get a lot more powerful, I have found. :rocket:
		- My defense of Electron
			- Here's a <a href="http:///scripting.com/images/2017/08/17/dock.png">screen shot</a> of the Dock on my Mac. Lots of Electron apps. How many are running right now? Seven. And that does not include Slack. Now look at the Activity Monitor in the Dock. Very little resource utilization. A bunch of Electron apps sitting there doing nothing doesn't use very much CPU. Here's a <a href="http:///scripting.com/images/2017/08/17/activityMonitor.png">screen shot</a> of the Activity Monitor window. Dropbox is using 34 percent. After that, a lot of Chrome helpers and a few of the Electron apps. The most expensive is about the same as iTunes. Today's machines have lots of memory and very capable CPUs. Electron is not the issue. I'm sure some of the apps written in Electron suck, but that's not the fault of the platform. 
		- New technology in the works
			- I don't know why this never occurred to me before, but we can do better than the realtimeness of "RSS". One thing that's always been a concern of mine about RSS is the inability to update a post after it's been published. There's no allowance for this in the protocol.
			- But in the new scheme I'm creating, called for now <i>Instant Dave</i> just to keep it manageable in my head, not only are updates instantaneous but if I update a post, it flows back out to the subscribers at the same instant rate that new items go out, at the same rate that new posts go to Twitter and Facebook.
			- I'm working on one of the pieces of that puzzle today. 
		- Do we have test posts? Oh yes we do!
			- We're still at it. More rock and roll!  :bomb: :pill: :bomb: :heart:
			- I want the <i>best</i> performance.
			- A test post for the ages. One that can be added to. Etc etc ad nauseum. Seriously folks. <i>Unbelievable.</i>
			- That feeling after you threw all your cards in the air and spent a day putting the house back together and now it works. 
	- August 16
		- Problem with the <a href="http://www.politico.com/story/2017/08/16/trump-charlottesville-temper-chaos-241721">president</a> is that he and the country he's supposed to lead have very different values. 
		- Sorry friends, I am doing test posts again.      
		- Another good day of programming. Still working on <a href="http://instantdave.com/">Instant Dave</a>.  Lots more functionality in the second iteration. One thing I must have is the ability to update. If an item on my blog updates, it must also update in the Instant Dave interface. I often edit after I post initially. Correct spelling, tighten up the wording. Add links. These should all flow through to the people who are reading my stuff in Instant Dave. 
		- Another day of look-away
			- I was having a  good day yesterday until I started seeing tweets about the press conference. With dread I turned on MSNBC at 6PM and watched. When they started airing his full press conference I switched to a <a href="https://en.wikipedia.org/wiki/Law_%26_Order">Law & Order</a> rerun. By the time Maddow was over it was just one more thing. She did run a clip of Fox, when first processing the press conference. It was cause for hope. But of course by the morning I'm sure they've reconnected with their bosses, found their spin, and are ready for another day of look-away.
			- How does this end?
	- August 15
		- A simple <a href="http://scripting.com/2016/12/30/theMlkButtonsArrived.html">way</a> to show solidarity. Wear a MLK button for America. 
		- Maddow asked a question tonight, wondering if <a href="http://www.nytimes.com/2017/08/15/us/politics/trump-charlottesville-white-nationalists.html">what</a> <a href="http://www.slate.com/blogs/the_slatest/2017/08/15/trump_defends_charlottesville_marchers_in_press_conference.html">Trump said</a> <a href="http://www.memeorandum.com/170815/p141#a170815p141">today</a> helps the Nazis grow their movement. The answer is yes. The same way Al Qaeda and ISIS crave publicity for their atrocities, American terrorists use publicity to drive recruitment, to grow, so the next march and uprising is bigger. More campus invasions. A clash between the First and Second Amendments. Liberal college towns: Austin, Berkeley, Madison, Ann Arbor, Boulder, Cambridge, Portland, Raleigh. Every time POTUS does a press conference and whistles loudly saying he's behind the movement, expect more deplorables to step up. The people at the marches looked like people who last year at this time were going to Trump campaign rallies. 
		- When the journos talk about Trump "appealing to his base" they are being too generous. He is a narcissist. There is no base. Just people who like him and those who hate him. If you like him you're cool (like the Nazis and KKK). If you criticize him, he's being treated unfairly.
		- People puzzle over Trump. Really? Two things to remember. 1. This is a replay of his <a href="http://time.com/4240268/donald-trump-kkk-david-duke/">refusing</a> to disavow the support of the KKK during the election. 2. The president is a narcissist. There is no one else in his mind. His thoughts involve only himself. He likes the Nazis because they like him. That's all there is. If they were ever to criticize him he would flip on them in an instant.
		- Fairness only matters when it's Trump
			- Trump says he was treated unfairly. 
			- What about Heather Heyer, the young woman who was <a href="https://en.wikipedia.org/wiki/2017_Unite_the_Right_rally#Vehicular_attack">killed</a>?
			- What about Deandre Harris. Was he treated unfairly?
	- August 14
		- Here's the third in a <a href="http://scripting.com/2017/08/07.html#a093801">series</a> of new NPM packages I've produced in the last few months. This one is called <a href="https://github.com/scripting/githubpub">githubpub</a>. It's close to the <a href="http://scripting.com/2017/08/13.html#a094412">ideal</a> for the #indieweb storage system. You put your web content in GitHub repositories, and they are served directly from there from the public API, with a domain name associated with each site. It's not as easy as Dropbox, and requires a bunch of setup, probably not something for end users, but a bunch of the pieces are there and work. 
		- We are right now at peak peach. If you love a peach as I do now's the time.
		- <a href="https://twitter.com/davewiner/status/897098004536197121">Poll</a>: Do you have a relative who Trump reminds you of?
		- Protestors in Durham NC <a href="https://twitter.com/DerrickQLewis/status/897235297485901825">topple</a> confederate monument.
		- Just a place where I can fart around testing out the new stuff.
		- Venture capitalist Bijan Sabet <a href="http://bijansabet.com/post/164177979693/catastrophically-bad-judgment">says</a> "people in the workplace should not face any form of discrimination for their own personal politics and preferences." I agree, strongly. But then he struggles with what it means when Peter Thiel, a board member of Facebook supports Trump. I felt that Facebook should fire Thiel as a board member because his views about free speech are in <a href="https://www.vanityfair.com/news/2016/11/nick-denton-peter-thiel-plot-to-murder-gawker">conflict</a> with Facebook's mission. But I also objected strenuously when Brendan Eich was <a href="http://www.bbc.com/news/technology-26868536">forced out</a> at Mozilla because he gave money to an org that opposed gay marriage in California, before the Supreme Court ruled on it. I could see how Thiel's actions re Gawker presented a problem for Facebook, but I felt that Mozilla and the tech industry blew the Eich call.
		- I've always loved the <a href="https://en.wikipedia.org/wiki/Pueblo_Revival_architecture">style</a> of New Mexico homes. Here's a great <a href="https://www.zillow.com/homedetails/561-Camino-Tierra-Alta-Santa-Fe-NM-87501/6822774_zpid/?utm_campaign=tid-2a5bc2cf-bff8-4a5a-8cee-eb119d81c5b9&utm_source=facebook&utm_medium=social-paid">example</a>. I have Zillow send me listings like this one, think of it as <i>real estate porn,</i> so I can dream about the kind of life one would have in such a place. It was easier to dream when I was younger. Now I'm too wise. I know that the picture a house paints has little to do with the lives that are led inside it. Sometimes the most beautiful surroundings are home to the most miserable people. And there can be much happiness and love in humble even ugly surroundings. The beauty of a house is a symbol for us, a symbol of beauty inside the people living there. 
	- August 13
		- The best interview I heard about Charlotteville was with retired <a href="https://en.wikipedia.org/wiki/Russel_L._Honor%C3%A9">General Russel  Honoré</a> last night on MSNBC. He said a militia attacked the city. The combination of lots of high powered guns and protests overwhelmed the small-city police. Haven't been able to find it online.  
		- Game of Thrones took a turn to idiocy. In one moment the Mother of Dragons didn't want to finish Cersei off, now she's sold on Jon Snow's vision of the army of the dead attacking from the north. What changed her mind? We never saw it happen. Was it the note from the three-eyed Raven? Who knows. After last week's <a href="https://www.youtube.com/watch?v=pE2wcBeyNdk">glorious battle scene</a>, they shot their wad. Back to the story which consists mostly of reunions and weird pairings of characters doing really really really really stupid things.
		- Occam's <a href="http://talkingpointsmemo.com/edblog/hes-one-of-them?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+Talking-Points-Memo+(Talking+Points+Memo:+by+Joshua+Micah+Marshall">deduction</a>. If he quacks like a duck, he's probably a duck.
		- Two words cover the last week with Trump: 1. brinksmanship and 2. careening.
		- I'm usually totally against <a href="https://en.wikipedia.org/wiki/Social_justice_warrior">SJWs</a> attacking people on the net, but in the case of Nazis who crawled out of their holes to show their faces in Charlottesville, please, go right ahead. 
		- Part of Trump's comments yesterday about children playing with their parents, more than the usual Trump creep factor. 
		- I can't figure out why people are so psyched about the eclipse. There was a very-near-total eclipse in Palo Alto in 1989 or thereabouts. I was there. It got dark. Then it got light. I looked at it in one of those special cards. Yeah there's the eclipse. What's next? I don't get fireworks either however. Maybe it's the same kind of thing. 
		- In the future, every segment on Face The Nation, Meet The Press, Rachel Maddow, will be available as a YouTube video within minutes of it airing. Their interviews should not be proprietary. We all have an interest in them. And they should circulate easily over the web. 
		- The #indieweb storage system
			- I've tried to explain this idea many ways over the years. This time I'm going to explain it technically, without any detours or analogies.
				- Call the service WebStor. It's a storage system for the web. 
				- There's a website that allows you to browse your files. Upload new ones, delete them, change the attributes of files individually or as groups. It's a lot like the browser interface for Dropbox but it does more than Dropbox does. 
				- You can attach a CNAME to any folder, like mycoolblog.org. When a request comes in for mycoolblog.org, WebStor serves the content out of the folder that had the CNAME attribute. 
				- There's an API, based on OAuth, that lets blogging tools post to a user's account, possibly limited to a specific folder. That way Mary, an independent developer, could write a blogging tool worked with WebStor. And so could Sue and Megan and Arnold. And because it's OAuth, the user can control which one has access to which folders.  
				- The user pays for the service. No advertising. Unless the site gets huge traffic the cost should be at most a few dollars a month.
			- That's the idea. If we had this then users could own their own space in the web and developers could create tools for the users. Instead of just having a few developers, all of them large, creating silos, a thousand tools could bloom, as could many cloud-based storage services. But we need one to go first. 
			- I've also posted this as an <a href="https://github.com/scripting/Scripting-News/issues/21">issue</a> on the GitHub repo for Scripting News, so there's an easy place for people to ask questions. 
	- August 12
		- NYDN front <a href="https://twitter.com/NYDailyNews/status/896553158142545921">page</a>.
		- How to oppose white supremacists safely and effectively.
		- I believe a "fractional horsepower" Twitter has a place. Twitter itself is like a major news organization. FHPT is a blog.
		- Mr Kim's bar mitzvah
			- What to do about North Korea. I've thought about this, as has everyone else, for a long time. Read a bunch of stuff. Listened. Discussed. And I have two takeaways.
				- Accept it. North Korea has nuclear weapons. and can deliver them anywhere in the world at any time. It's time for the world to transition. Accept North Korea as a nuclear power. Have a bar mitzvah for Kim Jong Un. Say a prayer. Wish Kim Jong Un well. He's a man. Welcome North Korea to the league of nations.
				- Embrace the people of North Korea as citizens of the world, our equals. To survive they have to trust us, and like it or not we have to trust them. In the meantime, send them all our programming. Starbucks. Amazon. HBO. JavaScript. YouTube. Eventually they will exert power over their leadership. Hope they have better judgement than the voters of the United States.
	- August 11
		- The question is what if anything is left after Trump is done.
		- When Trump hosted Russians in the Oval Office everyone thought they planted listening devices. Now in August they're tearing it down. 
		- As the war situation gets worse, the thought of Trump supporters going crazy with their guns seems tame. The NRA needs to get them nukes.
		- Think about offering Trump a few billion dollars to resign. Most presidents would be insulted, but I have a feeling Trump would be tempted.
		- During the campaign Trump very openly said he might use nuclear weapons. That disqualified him to be the person who decides when to use them. Yet here we are. It was 100 percent predictable we'd be where we are now. And it's  likely to get even worse. It's hard to see how we come back from this. 
		- Introducing the daveutils package
			- When I started programming seriously in JavaScript, I did what a lot of programmers do, I started a <i>utils</i> file where I put all the general-purpose routines I like to have around. 
			- That's what <a href="https://www.npmjs.com/package/daveutils">daveutils</a> is. An NPM package of handy JavaScript <a href="https://github.com/scripting/utils/blob/master/daveutils.js">functions</a>. 
			- Frontier programmers will find these functions immediately familiar. They are borrowed from the builtin verb set of "Frontier". And of course those routines were borrowed from the programming I did on the Mac before there was a Frontier. So these names go a long way back. 
			- BTW, this is the second in the series of NPM packages I'm going to roll out here on "Scripting News". The first was opml2JS, <a href="http://scripting.com/2017/08/07.html#a093801">introduced</a> on August 7.
	- August 10
		- 2013: <a href="http://scripting.com/2013/10/25/menAndMultitasking">Men and multitasking</a>.
		- Wikipedia <a href="https://en.wikipedia.org/wiki/Google_memo">page</a> on James Damore's memo. 
		- I'd like to see a discussion among programmers of all types about how we can work together to help people. I think our software is being used in some bad ways and more are being contemplated. But I strongly believe that they can be used as a force for <a href="http://scripting.com/2016/08/10/helpPeopleDontDisruptThem.html">good</a>.
		- I searched for an <a href="https://www.google.com/search?q=woman+programmer+action+figure&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwiZkMG44czVAhWC5iYKHThFDKYQ_AUICygC&biw=1614&bih=1177">image</a> of a "woman programmer action figure" on Google, and came up with nothing. There are images of "programmer action figure," but they're all men.  
		- There is a <a href="https://www.google.com/search?q=grace+hopper+action+figure&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwip9K_Yz83VAhXk54MKHdK1CFwQ_AUICygC&biw=1614&bih=1177">Grace Hopper</a> action figure from LEGO.
		- "Be the first one on your block to have your boy come home in a box."
		- <a href="https://github.com/scripting/myRoute53">myRoute53</a>: Creates a JSON map of your Amazon Route53 names. 
		- My take on what James Damore wrote
			- This is my summary. I've read many that were more harsh, but I think are wrong. This is what I got from <a href="https://en.wikipedia.org/wiki/Google_memo">what</a> he wrote. 
				- There are differences between men and women. Not individual men and women, but as groups. For example, men are generally taller than women. There are of course women who are tall and men who are short. It's a general statement about a group, not individuals. 
				- From there, he suggests that there may be reasons there are fewer women programmers, other than how we raise and educate children. I don't think there's anything to apologize for there. It's a scientific statement that anyone, male or female, privileged or poor, young or old, would make. It's also the kind of statement a <i>programmer</i> would make. 
				- My non-programmer friends laugh at the things I say, the questions I ask, because in my mind I'm always trying to debug something. Figure out how it works. Think of new things it could be used for. Spot problems in the design. 
				- Programmers must have great respect for <a href="http://scripting.com/davenet/1997/05/07/Programmers.html#5">truth</a>, because our apps don't work until they are grounded in truth. Garbage in, garbage out. 1s and 0s. True and false. If then else. Programming is good training in the scientific method. Most of our lives aren't this absolute. But computers are. They do exactly what the program tells them to do. What the programmer tells them to do.
				- I don't know why there are fewer women programmers than men. That is the crux of the issue here. Many people will (try to) shut down anyone who says that out loud. But any person trying to get to the truth has to admit they don't know. 
	- August 9
		- New: <a href="https://github.com/scripting/Scripting-News/blob/master/howto/newiamuser.md">How to create an AWS user with read/write access to an S3 bucket</a>.
		- Ever get a phrase stuck in your head and you find yourself saying it over and over silently, sometimes, and audibly others? Today, for me, that phrase is the name <a href="https://en.wikipedia.org/wiki/Mildred_Dresselhaus">Millie Dresselhaus</a>. There's a <a href="https://www.youtube.com/watch?v=sQ6_fOX7ITQ">commercial</a> on TV that imagines that everyone is saying her name all the time in weird ways and places. She's a real person. Unfortunately it turns out <a href="https://www.nytimes.com/2017/02/23/science/mildred-dresselhaus-dead-queen-of-carbon.html?_r=0">she died</a> earlier this year. I am sorry.
		- Programming is like skiing
			- <img src="http:///scripting.com/images/2017/08/09/skier.png" width="125" height="183" style="float: right; border: 1px solid silver; margin-left: 25px; margin-bottom: 25px; margin-top: 15px;" alt="A picture named skier.png">Well, not really, but in a way.
			- I remember having a conversation with a business associate who wasn't a skier, who said he liked sports where he got a good workout and that skiing was for lazy people who don't like to work.
			- I told him he's got it all wrong. Skiing is a very taxing sport, hard on all parts of the body. When I'm done with a day of skiing there isn't much more I can do other than take a bath and eat dinner. 
			- He thought skiing was easy because sheez you just go to the top of the hill and gravity does all the work. I guess he thought it was like sledding. 
			- Programming still kicks my ass after doing it for over 40 years. I still learn new stuff, reach new heights, and know much less than I thought I did, all the time. It requires incredible concentration and memory and creativity to think of ways to do things that you can kind of describe in words but have no experience making work with ones and zeros. 
			- People who haven't programmed think it's like coding. You just code it up like a Morse Code message. Other people think up the ideas, coders do the coding. 
			- Well it doesn't work that way. Not even slightly in the ballpark of that way. 
		- Diving into IAM, but...
			- I decided to dive into IAM permissions for S3 and see if I could get a writing tool to hook up to S3 at least in a way that programmers and adventurous users could figure it out.
			- Basically I'm doing by-hand what OAuth automates.
			- However -- a simple Hello World program that uses the credentials gets <i>permission denied</i> so there's something wrong in the setup. 
			- Any help much <a href="https://github.com/scripting/Scripting-News/issues/19#issuecomment-321283869">appreciated</a>. :apple:
	- August 8
		- Sorry if items from today's blog appeared in your RSS readers multiple times. I was doing a brain transplant on my blogging software, and some outputs were hooked up to the wrong inputs. Long story. With any luck it should be fixed now. Still diggin! Praise Murphy! :pear:
		- <img src="http:///scripting.com/images/2017/08/08/mushroomCloud.png" width="125" height="110" style="float: right; border: 1px solid gray; margin-top: 15px; margin-left: 25px;" alt="A picture named mushroomCloud.png">Just tried watching MSNBC and gave up. They can't handle news like  the <a href="https://politicalwire.com/2017/08/08/trump-issues-threat-north-korea/">escalation</a> that <a href="http://www.washingtonpost.com/news/post-politics/wp/2017/08/08/trump-vows-north-korea-will-be-met-with-fire-and-fury-if-threats-continue/">Trump</a> took in possible nuclear war with <a href="http://talkingpointsmemo.com/livewire/reports-north-korea-produced-nuclear-warhead-fits-in-missile">North Korea</a>. There really isn't anything else to talk about now. It doesn't matter what the president's approval rating is or whether Congress will flip in 2018. The president did something you can't do: openly, publicly, threatening to nuke North Korea. Now he has no good choices. Obviously if he launches nukes unprovoked, there's a good chance China or someone else will nuke us back. You think they'd just sit still for that? Or he has to back down. Great. Now what. There goes the nuclear <a href="https://en.wikipedia.org/wiki/Deterrence_theory">deterrent</a>, not just with North Korea but with Pakistan, India, all the other countries that have nukes but haven't announced. The current format of news, amped-up sensationalism about trivia, doesn't scale to this level. <i>We need a new kind of news, right now. </i>I will try Maddow later. 
		- On this day in 1974: <a href="https://twitter.com/NYTArchives/status/894898542837325826">Nixon resigned</a>. 
		- <a href="http://stevegarfield.com/">Steve Garfield</a> found a <a href="https://www.facebook.com/photo.php?fbid=10155603060312020&set=p.10155603060312020&type=3&theater">bit</a> of ancient ThinkTank schwag, a <a href="http:///scripting.com/images/2017/08/08/thinkTankButton.png">button</a> users could wear proudly at MacWorld Expo and other software shows. I'm going to say it was 1985, it was part of our <i>Fanatic at Work</i> ad campaign. Our users loved <a href="http://outliners.scripting.com/thinkTank2Pc.html">ThinkTank</a>. We wanted to advertise about them more than the technical capabilities of the product. 
		- <a href="https://om.co/2017/08/07/random-distracting-thoughts-from-the-internet/ ">Om writes</a> about Amazon's relationship with their vendors. it must be kind of tense. They know when you're doing well, and if they like your business they could launch a brand that competes, and give themselves a better deal of course. This is factored into development everywhere. There are lots of projects I won't do because it's a lot of work, but much easier for a BigCo, so when and if I prove the idea makes money, they'll just take it over. Even when you don't make money sometimes they take it over. The biggest hole in the market is a complete user data <a href="https://github.com/scripting/Scripting-News/issues/19">storage system</a> that's as easy to authorize as Twitter or Facebook. Totally doable. For some reason no BigCo will do it. Opportunity has been there for a decade or more.  
		- We should all keep our own feeds and control what's in them.
		- I just got something working. Let's see if it really worked. Haha. Of course it won't. (It didn't work the first time, but it worked the second.) 
		- If you only tolerate people who agree with you then you are intolerant.  
		- Inspired by <a href="https://twitter.com/bijan/status/894909929701724161">Bijan Sabet</a>, here's the <a href="http:///scripting.com/images/2017/08/08/iphoneHomeScreen.png">home screen</a> on my iPhone. It's not as meaningful as it might be because I don't put any time into grooming my choices. Some of my most-used apps are on the second, third and fourth screens. They all have their place which I remember, and why should my phone be any more organized than anything else in my life? :strawberry: 
		- Are there any good future-of-journalism conferences coming up in the US?
		- In the New Republic, Jeet Heer <a href="https://newrepublic.com/article/144217/stop-pretending-trump-can-saved">quotes</a> Robert Bear, a supposed expert on aging in men: "When was the last time you saw a 70-year-old man change for the better?" This is a bit of miserably prejudiced nonsense, as crazy as any thought as anyone has ever been fired for. What he really means: He doesn't think Trump will change (I don't either, but I have been surprised) so he slammed a whole class of innocent people, many of who <i>do</i> change after 70. Turns <a href="http://www.fu-berlin.de/en/presse/informationen/fup/2014/fup_14_327-persoenlichkeitsentwicklung-studie-jule-specht/index.html">out</a> <i>people over 70 change more than people between 30 and 70. </i>How about that. Now let's not fire Bear or Heer (both men, btw), as <a href="https://www.bloomberg.com/news/articles/2017-08-08/google-fires-employee-behind-controversial-diversity-memo">Google did</a> with their politically incorrect male employee, but please work on your prejudice. 
		- What the #indieweb needs to take off
			- There really is a huge piece missing on the web. If we fill it in, at least the web will have a chance. Without it, we'll keep losing to the silos.
			- If there was a service that did what S3 does with OAuth and a super easy setup an end user could do, we'd be ready for a very large indieweb. 
			- Think of it like the Google Apps treatment of basic file storage and is public-facing through HTTP.
			- That's the missing piece, and it's not even very big. It's just a business you can't do as an indie, it has to be done by a corporation. 
	- August 7
		- Good morning free speech fans! :earth_americas:
		- The old formula <a href="https://twitter.com/jayrosen_nyu/status/894542612606144513">for TV news</a> doesn't work anymore. 
		- Twitter is not a team sport. It's a place for individuals to wail about how the world mistreats them.
		- This will be hard to unsee.
		- Quick review of last night's Game of Thrones
			- The last 20 minutes, the great battle, was sheer movie mastery.
			- It was the culmination of huge art, the marrying of the story-telling of the ages with the latest technology. 
			- My mouth was agape from beginning to end at the mastery of every aspect of it.
		- Introducing opmlToJs -- an NPM package
			- As I <a href="http://scripting.com/2017/08/06.html#a122101">reported</a> yesterday I have been modularizing my Node work by creating packages of reusable code. The first one I want to show you is called <a href="https://github.com/scripting/opmlToJs">opmlToJs</a>. It does two things well:
				- Parses an OPML string and turns it into a JavaScript object.
				- Takes one of those objects and turns it turns it back into an OPML string.
			- The JSON object it produces is set up the way all my outline-processing tools in JavaScript expect them, so it works with the <a href="https://github.com/scripting/outlineBrowser">outlineBrowser</a> toolkit and many others.
			- If you have to consume OPML or generate it, <a href="https://github.com/scripting/opmlToJs">opmlToJs</a> makes it easy.
			- "OPML" is a standard XML-based file format used for outlines, presentations and lists for RSS feed readers. "River5" uses OPML to import and export feed lists. "Fargo" and "Little Outliner" use OPML as the file format. OPML has been around <a href="http://scripting.com/davenet/2000/09/24/opml10.html">since</a> 2000.
			- If you have any questions or suggestions, please post an <a href="https://github.com/scripting/opmlToJs/issues">issue</a> on the GitHub project. 
	- August 6
		- I've been modularizing my <a href="https://www.w3schools.com/nodejs/">Node</a> work using <a href="https://en.wikipedia.org/wiki/Npm_(software)">NPM packages</a>. Murphy-willing I'm going to be writing each of them up, in turn, <a href="http://scripting.com/2017/08/">here</a> on Scripting News. You'll recognize the functionality as the kind of stuff you need to build DaveLand on the Internets in Node. The first one up is a really good OPML-to-and-from-JavaScript package. Naturally this stuff will mostly be of interest to developers and people who might want to become one.
		- The way you know podcasting isn't dominated by anyone is at the end of every podcast. There is no single place to go to hear a podcast. (This is in response to a <a href="https://www.bloomberg.com/news/articles/2017-07-31/spotify-is-coming-after-apple-with-a-new-podcast-initiative">Bloomberg piece</a> that said among other things that Apple dominates podcasting and Spotify is going to challenge them, which I say is nuts.)
		- I did a <a href="http://scripting.com/2017/08/06/appleDoesNotDominatePodcasts.m4a">voice memo</a> for Rex about Apple and podcast "dominance."
		- I know this is unfashionable for someone with my values and friendships, but maybe the people who blame the press for the mess have a point.
		- Watched a bit of <a href="https://en.wikipedia.org/wiki/Al_Sharpton">Al Sharpton</a> today. He said Trump is of NYC in 80s and 90s. As of course was Sharpton. Sure he knows a lot about Trump.
		- I think people want to <a href="https://twitter.com/davewiner/status/894240743166025728">forget</a> that the US has stage 4 cancer. It's spreading to our bones. Whether we come back is in question
		- If you can write a stinging editorial putting down a class of people, balance it with an example of someone in that class being good.
		- If a million people <a href="https://twitter.com/davewiner/status/894204096516894720">say</a> someone is wrong, my instinct is to find what's right.
		- If you <a href="https://twitter.com/davewiner/status/894237830473535488">fight</a> for free speech only for people who agree with you then you are not for free speech.
		- Remind me to tell you the tale of goatfuck.js.
		- A lot of the hype about Node.js is bullshit
			- I think <a href="https://www.w3schools.com/">w3schools</a> does a good job. I use their stuff as a reference all the time for net programming. I was looking at their new <a href="https://www.w3schools.com/nodejs/">tutorial</a> for Node.js and on the first page they repeat the hype about Node that I've always suspected was BS, and now that I have a few years in, I know it is. 
			- Node is a fine environment, I use it as my main server runtime, and lately I've been <a href="http://this.how/electricRiver/">building</a> a lot with <a href="https://electron.atom.io/">Electron</a>, and there you're using Node on the desktop. I have a love-hate relationship with Node, I'm a prisoner to some bad design imho but it's great to have one syntax instead of two for client and server apps. 
			- But other environments like Java and Python are probably just as efficient as Node <i>without all the crazy callbacks. </i>Their runtimes can suspend a process until its I/O completes. All the other languages/environments do that. It is not something that only Node does. 
			- And Node is not single-threaded! You have many threads. A single-threaded server runtime is impossible. That's one of the reasons I strongly suspected all the hype when I was new to Node.
			- The difference between Node and other environments is that the others hide the suspending and resuming of your app behind an abstraction layer, <i>and that's good, </i>that makes your code <i>much</i> simpler. In every way imho the way JavaScript does I/O is a major step backwards. But like I said I love/hate JS. I've <a href="https://en.wikipedia.org/wiki/Stockholm_syndrome">made my peace</a> with the <a href="http://callbackhell.com/">way</a> I/O works in Node. :peach:
	- August 5
		- If you're reading RSS and Atom feeds in Node apps, you need <a href="https://github.com/danmactough/node-feedparser">feedparser</a>, written by my friend Dan MacTough. I've been using his code in my own "River5" for years. It's solid and dependable. As a gesture of gratitude I published <a href="https://github.com/scripting/feedParserDemo">example code</a> yesterday that helps you get started with feedparser. 
		- "You can fake caring but you can't fake showing up." Not sure said <a href="https://duckduckgo.com/?q=You+can+fake+caring+but+you+can%27t+fake+showing+up&t=hq&ia=web">this</a>, but it's an important idea. 
		- <a href="https://twitter.com/TimothyDSnyder/status/893832971039494144">Timothy Snyder</a>: "Our president is a minor Russian oligarch with major Russian debts."
		- I post too much <a href="https://twitter.com/TheComedyHumor/status/893510547420983296">Twitter stuff</a> to my blog. I know it. 
	- August 4
		- Good morning beer drinkers! :beer: 
		- <a href="https://twitter.com/NYCWater/status/893569853545734148">Summer Streets</a> is tomorrow. Park Ave is open to bike riders <a href="https://www.google.com/maps/dir/Park+Ave+%26+E+72nd+St,+New+York,+NY+10021/Brooklyn+Bridge,+New+York,+NY+10038/@40.7386761,-74.0200266,13z/data=!3m1!4b1!4m14!4m13!1m5!1m1!1s0x89c258eb3f6868c5:0x2112eb436b9cf240!2m2!1d-73.9639279!2d40.7711473!1m5!1m1!1s0x89c25a2343ce7b2b:0x2526ddba7abd465c!2m2!1d-73.9968643!2d40.7060855!3e2">from</a> 72nd down to the Brooklyn Bridge. It's a treat to experience the city largely without cars on three Saturdays in August. 
		- Einstein and his <a href="https://twitter.com/HistoryInPix/status/893605218226769920">therapist</a>.  
		- Probably <a href="https://en.wikipedia.org/wiki/Chronology_of_Soviet_secret_police_agencies">Russian</a> secret police wanted <a href="https://www.secretservice.gov/">Secret Service</a> out of <a href="http://nymag.com/daily/intelligencer/2017/08/secret-service-exits-trump-tower-over-lease-dispute-report.html">Trump Tower</a>.
		- The next episode of Game of Thrones has <a href="http://variety.com/2017/digital/news/game-of-thrones-episode-leak-online-hbo-hack-1202515776/">leaked</a>. Here's a <a href="https://twitter.com/davewiner/status/893504022920998912">poll</a> that asks if you would watch it tonight or wait until Sunday. 
		- Hooking up to a user's S3 bucket for output
			- Suppose I wanted to add a feature to one of my Electron apps that allowed a user to hook it up to an S3 location that they own and pay for. 
			- What's the best way to provide access?
			- I imagine that's what <a href="https://aws.amazon.com/iam/">IAM</a> is for. 
			- I need to dig in. If you know of any easy howto's please <a href="https://github.com/scripting/Scripting-News/issues/19">post a note here</a>. 
			- Also just revisited their <a href="https://aws.amazon.com/documentation/efs/">Elastic Filesystem</a> docs and they seem to have come a long way since the last time I looked. 
		- Feedparser sample code
			- TL;DR: New <a href="https://github.com/scripting/feedParserDemo/blob/master/demo.js">sample code</a> for getting started with feed parsing in Node. 
			- I use the <a href="https://github.com/danmactough/node-feedparser">feedparser</a> package in <a href="https://github.com/scripting/river5">River5</a>. So all my news flows through this code. That's a lot of news, and it's been working solidly for years.
			- Back in 2013 when I was getting started on Node, it was a little tricky adapting to feedparser, because the package is designed for maximum efficiency at the expense of a bit of ease-of-use, especially for a Node newbie. 
			- In the spirit of giving back to a product I use a lot, I pulled out a bit of <a href="https://github.com/scripting/reader/blob/master/davereader.js#L555">code</a> from River5 and simplified it so it makes a <a href="https://github.com/scripting/feedParserDemo/blob/master/demo.js">good demo</a> of feedparser. 
			- If you're new to feedparser, this might help you get started a bit faster with less head-scratching. :beer:
		- If only CSS was better
			- I was reading a bit about the <a href="https://duckduckgo.com/?q=why+css+sucks&t=hu&ia=web">history</a> of CSS, and kept thinking -- what a shame, they did it totally backwards. This is what I would have done. First I would have made a design tool that worked really well. Then I'd have it spit out XML (sorry JSON didn't exist at the time) and teach the browser to render that. All this would happen iteratively. 
			- The priorities would be:
				- Leverages the talents of designers.
				- Good performance in the browser and on the net (considerations: how long to render, how big the files are, latency, bandwidth, out over time).
				- Elegance of the format used to communicate the design to the browser.
			- The third item is way way down the list. Yes it should be easy to do it by hand. But we shouldn't <i>always</i> be doing it by hand as it works now. 
			- What we ended up using was impossible to create a tool for, is utterly perplexing to everyone who has to use it, and is missing huge features that cripple everything we do. The <i>whole world</i> is now built around the crazy design system called CSS. Everywhere and everything.
			- Also I have to say we were working on exactly this at <a href="http://scripting.com/dwiner/outlinersProgramming.html">Living Videotext</a> in 1986 and 1987. Had done a lot of prototyping. It was rules-based and you could see the impact of your rules immediately on the screen. Made iteration fast. Would have been perfect for responsive design. 
			- It's one of those "if only" things -- if only we had been in position to do this, in a competitive way. That's one of the big tradeoffs of going the <a href="https://www.w3.org/Consortium/activities">standards</a> route. You often get really bad designs and have to live with their limits, for a generation or two. 
	- August 3
		- Thinking about <a href="https://en.wikipedia.org/wiki/John_F._Kelly">General Kelly</a> today. Assumption -- he's an honorable person. He's also now inside at the White House. There isn't anything that's secret from the <a href="https://en.wikipedia.org/wiki/White_House_Chief_of_Staff">Chief of Staff</a>. So how long before the complete picture of the criminality of this White House is revealed to him? Hard to believe it hasn't already happened. So if he's honorable, he has to come clean, make a statement to the special prosecutor and ask for instructions. If not that, is there a backroom deal? Can't imagine there is. Who would want to make one if they didn't have to. Priebus was a clown, in way over his head. Kelly has had a chance to watch it from the Cabinet and he chose to go in. Puzzling.
		- When smart phones are really smart they will text you when something bad is about to happen.
		- The great thing about open source software is that if you want a feature and it's hard to explain you can just do it.  
		- Had a thought that this year instead of picking a blogger of the year, I might do something different. Like write a survey of the State of the Blog. I should have been doing that all along, really. As blogs got chopped up and turned into corners of huge multi-billion dollar tech empires. So much so that there's almost nothing left. But it's not nothing. So taking an annual inventory probably isn't a bad idea. 
		- Dropbox update
			- When I wrote about my woes with Dropbox yesterday, they were just getting started. 
			- The rainbow cursors were back in force. Then something happened. The fog lifted. I remembered, the whole reason I moved my Dropbox off the internal drive is that the internal drive is broken. I had forgotten to leave myself a note to that effect. 
			- I had a La Cie 1TB external <a href="https://www.amazon.com/gp/product/B00VMEXGJ0/ref=oh_aui_search_detailpage?ie=UTF8&psc=1">Firewire drive</a> I wasn't using. I'm now using it for Dropbox. Hopefully it will be quieter and faster than the drive I was using before. Whatever. As long as it works! 
			- Anyway, even though I was offline with Dropbox, that truly is an important net connectivity thing these days, I got a lot of good software <a href="http://scripting.com/2013/08/28/programmingPhilosophyModularize">factoring</a> and building done. 
			- I have been building with <a href="https://github.com/foreverjs/forever">Forever</a> as my starting point. I want i to do more for me. It's getting there. And I have factored my Electron functionality so that it can be used in other projects. That's where I'm headed with "Instant Dave".
		- Dropbox slowdown continues
			- I'm writing this at 7:30AM but have no idea when it will apear on my blog. 
	- August 2
		- There may be enough people who agree the net should have lasting structures free of tech business models that the problem could be solved. 
		- I have a huge Dropbox. 
			- I have a huge Dropbox. Actually two. One for my servers and one for me personally. I pay $99 per year for each. No way to avoid it. Each has a 1TB limit, but actually use less than 100GB. The servers update files a lot, so there's lots of traffic on my Dropbox account. I don't begrudge them $200 a year. They provide a lot of service for the money.
			- In early May I reprovisioned my desktop Mac because the machine was performing badly, and I couldn't figure why. So I bought a 5TB external drive, and put everything vital on it, including my Dropbox folder. That was probably a mistake. Because you can hear that drive doing its thing all the time night and day. And then the machine started getting slow. Again. Rainbow cursors. Just like the <a href="https://www.youtube.com/watch?v=vY60vzAWqxw">Mac ad</a> that shows the PC going to <a href="https://en.wikipedia.org/wiki/Neverland">Never-Land</a>, except it's my Mac that's doing it. Programming or writing under these circumstances is like having random <a href="http://www.urbandictionary.com/define.php?term=senior%20moment">Senior Moments</a>, which I unfortunately now have for real (I'm 62). A random computer-induced Senior Moment. Ugh. Just what I need! (Not.)
			- So on Monday morning I decided it was time to move my Dropbox folder from the external drive to my unused 1TB internal drive. First there was a permissions problem. Fixed that. Then it took a good 24 hours to move the folder! All the while the computer was unusable. So I used my laptop and surprisingly got a lot of good work done. I should probably go on a trip. Anyway..
			- Now everything's done, but Dropbox is downloading the whole folder again, for what reason exactly? As of last night it had over 600K files to download. This morning when I start work it's still got <a href="http:///scripting.com/images/2017/08/02/dropboxSync.png">over 400K</a>. What the fuck Dropbox. What was the point of taking 24 hours to move the folder if you just have to re-download everything all over again?
			- Anyway, one of the advantages of being a senior is that I will forget all this soon enough. And because I'm a senior, I'm laughing out loud while I write this. Cackling really. This is what happens when you get old. Your mind and body fall apart but your sense of humor gets really sharp! God is merciful. Also the programming project I'm working on is truly wonderful. Open source software makes all kinds of things possible. 
	- August 1
		- Welcome to the <i>new month</i> of August 2017! :rocket: 
		- I never pass on links to autoplay pages. I don't care how great the story is.
		- The <a href="https://twitter.com/nickfthilton/status/892347108149383172">trailer</a> for Sharknado 5 looks pretty great. 
		- There's <a href="http://pitchfork.com/thepitch/the-soundcloud-you-loved-is-doomed/">more</a> <a href="http://www.billboard.com/articles/business/7881154/soundcloud-trouble-layoffs-sale-acquisition">talk</a> <a href="https://www.nytimes.com/2017/08/01/magazine/if-soundcloud-disappears-what-happens-to-its-music-culture.html?partner=rss&emc=rss">about</a> SoundCloud failing, or <a href="https://www.bloomberg.com/news/articles/2017-07-29/soundcloud-is-said-near-deal-to-sell-stakes-to-private-equity">changing</a> radically. Which raises again the basic question behind creative work on the Internet -- when are we going to start building structures designed for longevity. With an economic model other than founders-get-rich. We should be thinking about a creative environment that builds on its achievements, and creates a usable archive. 
