- August 2019
	- August 31
		- I've been reading a lot about the <a href="https://www.media.mit.edu/">MIT Media Lab</a> lately. I read that founder of the lab, <a href="https://en.wikipedia.org/wiki/Nicholas_Negroponte">Nicholas Negroponte</a>, made a deal with <a href="https://en.wikipedia.org/wiki/Louis_Rossetto">Louis</a> and <a href="https://en.wikipedia.org/wiki/Jane_Metcalfe">Jane</a>, the founders of Wired, he bought 10 percent of the magazine for $75K and got a column on the inside back cover, which was prime real estate. This got me thinking. The Media Lab and Wired were made for each other. I loved Wired, but I also was aware that they went for gee-whiz tech over substantial tech more than I wished they would. The Media Lab produced lots of buzzworthy demos that never turned into usable tech. What I really wanted? A Wired/Media Lab that only covered open source tech. It was the style of Wired that attracted me, at the time all tech pubs were made for geeks who were suspicious of anything that looked too slick. I want beautiful artistic simplicity, the kind of look that Wired was so good at, applied to practical almost mundane tech. The developers who love all that stuff are the people I want to work with. Stuff that works and that can change the world right now, looking good, not popcorn-like gee-whiz tech that has limited depth or substance. 
		- BTW, for some reason I find <a href="https://www.wired.com/">Wired's</a> paywall particularly <a href="https://en.wiktionary.org/wiki/egregious">egregious</a> even though it's no more limiting than other pubs' paywalls. I think it's because I'd like to link to them as much as I link to any other site. I used up my monthly quota just writing the above bit. Wired is a record, like my blog, of where we came from. That its access is limited, while I understand why, is also limiting access to the record. 
		- 565 votes on <a href="https://twitter.com/davewiner/status/1167459202987700224">yesterday's poll</a> about <a href="http://scripting.com/2019/08/30/213245.html">date formatting</a>. Many geeks, imho, get this wrong. If a format can be both human and machine readable it's better than one that's only machine readable. If I ever employ programmers this will be one of the questions I ask them. 
		- People from the blogging world of the 00s are now in positions of great prestige, wealth and authority. It pisses me off they don't use that credibility to help us dig out of the mess we're in. That's why we lifted them up in the first place.
		- <a href="https://twitter.com/jasonyng/status/1167754810851876866">Hong Kong police</a> deployed water cannons infused with blue dye to identify protesters and facilitate arrests. 
		- <a href="https://www.azquotes.com/quote/1405381">Lester B. Pearson</a>: "If a man has an apartment stacked to the ceiling with newspapers, we call him crazy. If a woman has a trailer house full of cats, we call her nuts. But when people pathologically hoard so much cash that they impoverish the entire nation, we put them on the cover of Fortune magazine and pretend that they are role models."
		- <a href="https://twitter.com/davewiner/status/1167784585624727554">Today's poll</a>: Is Trump a Russian asset or a useful idiot?
		- My uncle's stories
			- My dear departed <a href="http://crimson1.scripting.com/kenKiesler">uncle</a> had a repertoire about 100  stories. Each one took about 15 minutes to tell, and required your full attention. It was really uncomfortable, but since he was my uncle and I loved him, I put up with it, begrudgingly.
			- By the time I was in my 40s, after decades of listening to the same stories over and over, I started numbering them. As he would start the story, I'd say oh that's #285. That did it. He'd smile sheepishly, realize what he was doing, and we'd go back to being friends.
			- The reason I mention it is that at a party in Woodstock last weekend I met a guy who was almost exactly my uncle's age, who looked like him, had the same wild look in his eyes, and he started doing the exact same thing. Not one of my uncle's stories of course, his own tale of conspiracy and heroism.
			- I interrupted him after about five minutes and said you know my uncle used to do the same damn thing. He didn't notice, kept right on going. At some point I got up and left. It was fascinating for a while, but while he reminded me of my uncle, he wasn't him.
	- August 30
		- Podcast I want: <a href="https://en.wikipedia.org/wiki/Inside_the_NBA">Inside the NBA</a> with <a href="http://scripting.com/images/2019/08/30/charlesErnieShaqKenny.png">Shaq, Charles and Kenny</a>, moderated by Ernie, not just when TNT is broadcasting a game, but once a week, 52 weeks a year. I really want to know what they think. Also a Walt Frazier podcast, whenever he has something to say. 
		- How embarrassing for the Phillies, there are more Mets fans in their stadium. The Phillies are a humble team.
		- It's nice to have the <a href="http://scripting.com/email/">email feature</a>, because of all the cool people I'm getting back in touch with. This was a good idea. And I'm glad I have control of everything about it, instead of using one of the commercial services. I have my own <a href="http://scripting.com/2019/06/02/150411.html">blogging software</a>, and it's way better than the stuff you get from commercial services. Makes sense I should have as much flexibility with the mail feature. I'm still trying to figure out how to integrate the feature in the home page of the blog. I don't want it to be too intrusive, but I also want people to see it because like everyone else I want people to subscribe. 
		- At the same time I'm rediscovering <a href="https://en.wikipedia.org/wiki/Sting_(musician)">Sting</a> and <a href="https://en.wikipedia.org/wiki/The_Police">The Police</a>. I heard them play  <a href="https://www.youtube.com/watch?v=d27gTrPPAyk">Englishman in New York</a> on <a href="http://www.radiowoodstock.com/">WDST</a>, the excellent Woodstock radio station (I know some don't agree). It's so amazing to listen to music you loved 30 years ago. Somehow all that remains are good memories. They flood in, it's a pure happy <a href="https://en.wikipedia.org/wiki/Nostalgia">nostalgic</a> feeling. The way <a href="https://www.youtube.com/watch?v=suRDUFpsHus">Don Draper</a> meant it. A time you were loved. The pain from an old wound. Far more powerful than a memory alone. A time machine. A place where we ache to go again. 
		- Date formats
			- I ran this <a href="https://twitter.com/davewiner/status/1167459202987700224">poll</a> on Twitter asking which date format you would prefer. The choices were as follows:   
				- 8/30/2019, 5:51:55 PM
				- 2019-08-30T21:51:55.810Z 
			- It's had 322 votes so far which is a lot for one of my polls. And it was pretty ambiguous in its intent, partly due to Twitter's length limits and my own sloppiness. Some notes follow.
				- The two examples should have represented the same date-time.
				- The first example was created by the JavaScript function d.toLocaleString (), where d is a date value. I am in the US, so it produced an American localization. In Europe it would have done it in their preferred order, 30/8/2019 etc. 
				- The first example didn't include a time zone, even though the format provides for that possibility.
				- Perhaps a better choice would be d.toString (), which would return a string like this. <i>Fri Aug 30 2019 17:37:33 GMT-0400 (EDT). </i>Imho that's human-readable and of course it's also unambigously machine-readable. 
			- Net-net: your OS knows how to convert <i>all these strings</i> unambiguously to your language's internal date representation. The argument that one is more efficient for machines is incorrect. They all work equally well. 
			- The point of the poll was this: If you have a choice, the format that both a machine and a human can easily read is obviously the best choice. 
		- Projects the Media Lab should do
			- I had high hopes when <a href="https://en.wikipedia.org/wiki/Joi_Ito">Joi Ito</a> became the <a href="https://www.nytimes.com/2011/04/26/science/26lab.html">director</a> of the <a href="https://en.wikipedia.org/wiki/MIT_Media_Lab">MIT Media Lab</a> because he came from the blogging world. He had been to the conferences. He was a discussion leader at one of the first BloggerCons. The open web invested in him, and in his new role, at the time, when the world had built so much on the web, it sure could have used his help.
				- For example, I'd like to see a 25-year project to help people run their own web servers. An open source project, where people graduate and go to work at companies that build on the foundation. I strongly believe that academic institutions are ideal homes for open source projects. 
				- The press gets confused about tech issues such as Hillary's emails, or the Cambridge Analytica scandal, both of which cost us dearly, in ways we're still learning about. An organization like the MIT Media Lab can help. Have a flash conference for journalists, explain the technology in a way journalists can understand and answer all questions. 
				- Help celebs start their own podcasts using only open technologies. No lock-in. Teach students the value of open tech.
			- Media and technology are too important to let it go with a shrug. They must do better. Our society depends on it. Likewise we should insist that the Media Lab use its power now for the betterment of society. What a great way to launch the careers of media technologists and help shape the future. And help us through the tough tech problems we face right now. 
	- August 29
		- <a href="http://scripting.com/email/">Dave-via-email</a> went out last night, the messages seem to have gotten through ok. I'm pleased with the new service. It's been almost 20 years since my blog posts were available via email. I immediately feel a stronger connection with readers, esp since more of my personal friends are reading than before. 
		- We got a <a href="https://github.com/scripting/Scripting-News/issues/128#issuecomment-525762285">response</a> to the <a href="http://scripting.com/2019/08/27.html#a133830">braintrust query</a> for lawyers, from a lawyer. Recall I asked about the risks for a news org that disclaimed up front that they were not using journalistic practices, and only reported on what was obviously true. <a href="Occam's News site:scripting.com">Occam's News</a>. As an example the lawyer uses the assumption that Trump is a <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22Russian+oligarch%22&t=h_&ia=web">Russian oligarch</a>, and tries to come up with a reason for us saying that. First Occam's News wouldn't have to say why they know it's true that Trump is a Russian oligarch, but if they did, they might use the equivalent of the mathematical <a href="https://en.wikipedia.org/wiki/Proof_by_contradiction">Proof By Contradiction</a>, and start with the assumption that Trump is not a Russian oligarch, and prove that's not possible. It's a perfectly valid way to prove something. Anyway the discussion <a href="https://github.com/scripting/Scripting-News/issues/128#issuecomment-526186621">continues</a>. 
		- An academic who hangs out in a <a href="https://www.edge.org/dinners">Billionaire's Club</a> probably isn't much of an academic.
		- An idea for the news industry to collaborate on. Sometimes a news org takes down the paywall on a story because it's important that everyone see it. Here's the idea. Make an RSS feed that combines all such stories across all pubs. Make spreading the news even more efficient.
		- Twitter changed something important. Now if someone you follow replies to a troll, you get cc'd on what the troll said.  This is not a good feature. It means that when you respond to a troll, you will lose followers. You should be aware of this.
		- Why I don't use <a href="http://brave.com/">Brave</a>. I figure that once they become dominant, if they do, they'll throw their weight around in just as awful ways as Google does. So why go out of my way just to create another monster. 
		- I am, of course, not British. So I try to imagine what would happen if Trump tried to do the <a href="https://www.theguardian.com/politics/2019/aug/28/protests-sparked-by-boris-johnsons-plan-to-suspend-parliament">same</a> as Boris Johnson, in the US. At least Trump was <a href="https://www.huffpost.com/entry/hillary-clinton-popular-vote_n_58599647e4b0eb58648446c6">elected</a>. Maybe <a href="https://en.wikipedia.org/wiki/Brexit">Brexit</a> should wait until the people decide if they want him as their leader. And of course if Trump tried to disband Congress there would be a revolution here, I hope. :pray:
	- August 28
		- Evgeny Morozov <a href="https://twitter.com/evgenymorozov/status/1166424072378560514">isn't optimistic</a> that the <a href="https://www.google.com/search?q=Epstein+scandal">Epstein scandal</a> will have a positive effect on the MIT-Harvard community. My two cents. I would like to see MIT and Harvard people use their prestige to set us on a better course as a society. Most people there are too risk-averse, trying to protect their careers. What a waste. We don't live long enough for that to be a proper motivation imho. That said I'm not so cynical. I have been able to get stuff done personally at Harvard, it's actually a pretty good place to shake things up, if you don't care about getting your position renewed (which I guess I didn't). 
		- <a href="http://secrets.scripting.com/whatIsPodcasting">This is the moment</a> podcasting became "podcasting."
		- I was looking around for the next project to work on now that the <a href="http://scripting.com/email/">Dave-via-email</a> project is done, I hope -- it's the worst kind of software in the world. Talk about small pieces loosely joined. Anyway that's done now, <a href="https://en.wikipedia.org/wiki/Murphy%27s_law">praise Murphy</a>. I was thinking after reading this <a href="https://www.techdirt.com/articles/20190825/21540442853/protocols-not-platforms-technological-approach-to-free-speech.shtml">piece</a> about protocols over platforms, which I could not agree with more, that I have an almost-finished JavaScript implementation of <a href="https://en.wikipedia.org/wiki/XML-RPC">XML-RPC</a>, running on client and server. Since it's my second time through this area, I did it better than last time. It's just a matter of writing docs, testing, and getting other people interested/excited, and most important updating the <a href="http://xmlrpc.scripting.com/">XML-RPC website</a>, which hasn't been touched in many years. Might be just the project for my newly powerful <a href="http://scripting.com/2019/08/28.html">blog</a>. 
		- BTW there is still one part of the Dave-via-email feature that hasn't been tested since the shakeup, the sending of nightly emails. We will find out if that works at midnight tonight. I can't test it by sending emails to everyone. The changes weren't very great, just a URL and the format of a JSON file. I'm optimistic that it will work, but since it's software, I'm praying :pray: too. If you're reading this in an email, it worked. 
		- The test is over
			- Everybody -- <b>thank you</b> for the excellent help in testing this code. It was a complicated corner-turn, and it seems to work, so I stopped the test and switched the <a href="http://scripting.com/email/">main page</a> over to the new system, and tonight the emails will go out using the new code.
			- Fingers crossed, praise Murphy. ;-)
			- Now if you go to <a href="http://scripting.com/email/">scripting.com/email/</a> and subscribe, as I hope you will, you will actually subscribe for real. The unsub link will be at the bottom of each email.
		- Got a minute to help?
			- <i>The test is over. The new email service that does not require Twitter login is <a href="http://scripting.com/email/">deployed</a>. The remainder of this post is here as an archive.  </i>
			- I'm ready for a test of the new email subscription code.
			- First, this test will not affect whether you're subscribed. It's just a test.
			- 1. Go to <a href="http://scripting.com/email/testing/">this page</a>, enter your email address, click the button.
			- 2. Check your email. If you have a confirming email, click the link. <a href="https://github.com/scripting/Scripting-News/issues/129">Let me know</a> if this worked and I'll have another step for you to test.
	- August 27
		- <a href="https://om.co/2019/08/27/some-changes/">Om Malik</a> is a natural born blogger, returning to his roost. 
		- <a href="https://www.youtube.com/watch?v=vEeQgL0MYWc">Mr Hart, here's a dime</a>. Take it, call your mother, and tell her there is serious doubt about you ever becoming a lawyer.
		- Trump is a mid-level Russian mobster. I wish <a href="http://nymag.com/intelligencer/2019/08/trump-putin-russia-g7-summit.html">journalists</a> could get over trying to not say what’s been totally obvious for years. 
		- A <a href="https://github.com/scripting/Scripting-News/issues/128">braintrust query</a> for lawyers. I've been <a href="https://www.google.com/search?q=%22Occam%27s+News%22+site%3Ascripting.com&rlz=1C5CHFA_enUS743US747&oq=%22Occam%27s+News%22+site%3Ascripting.com&aqs=chrome..69i57.1303j0j3&sourceid=chrome&ie=UTF-8">writing</a> about the concept of Occam's News, a service that only writes about what's obviously true. Doesn't bother with official statements or press releases. We don't interview people on the record. It disclaims up front that <i>does not</i> follow standard journalistic practices. For example, it's obvious that Trump is a Russian oligarch. He meets all the qualifications. So we say that's what he is, in addition to being president of the United States. All our reporting starts with that premise, and reports Russian and American policy as linked. It's news when they deviate. We also assume that climate change is real. It's never subject to question in our reporting. "Moscow Mitch" is a popular example of Occam's News philosophy. The guy is owned by Moscow. He doesn't hide it. Etc. So the question for lawyers is what are the legal risks? It's not satire, not meant to be humorous (though of course sometimes the truth is funny). 
	- August 26
		- I'm reworking the Dave-by-email service to not require Twitter login. I want all my friends to use it, and the login is a barrier. It'll be the first new service for this blog that does not require login. To configure it you will need to log in. I'll keep you posted on progress. 
		- Yesterday's <a href="https://github.com/scripting/Scripting-News/issues/127">braintrust query</a> resolved. Turns out <a href="https://www.w3schools.com/jsref/jsref_eval.asp">eval</a> in JavaScript is tricky re catching errors within a <a href="https://www.w3schools.com/js/js_errors.asp">try</a>. If the code being eval'd makes an asynchronous call, errors in the callback won't be caught by the try, and the app that made the eval call crashes, <a href="https://github.com/scripting/Scripting-News/issues/127#issuecomment-524656665">in this case</a>, <a href="https://github.com/scripting/pagepark">PagePark</a>. The problem was introduced by a new version of Node where the callback on <a href="https://www.w3schools.com/nodejs/nodejs_filesystem.asp">fs.writeFile</a> is not optional. A confluence of buried problems come to the surface, crashes the server, repeatedly, not sure for what gain. Requiring a callback when none is needed. The tail wagging the dog imho. It creates errors, doesn't prevent them. I never would have made that change to the Node kernel. 
		- An editorial for the news industry re users
			- I've run two Silicon Valley startups in my career, and have led development and promotion for several widely-adopted open formats. I've gotten millions of people to use my ideas. And have learned a lot doing this.
			- One thing I've learned with all this hindsight, it's better if your default answer is yes, not no. See if there's a way you can give the users what they want. This approach will evolve over time, you'll learn how to anticipate their wants. 
			- You'll learn to think like your users. That's a *good* thing. That's how you create a place for yourself in their minds, their lives and their wallets. :-)
		- It's the users dummy!
			- True story. My company was having a party in a suite in the St Francis Hotel in SF in 1980-something. <a href="https://en.wikipedia.org/wiki/Guy_Kawasaki">Guy Kawasaki</a>, then head evangelist at Apple hands me a list of feature requests for ThinkTank. 
			- He said the list was from "JLG", the new head of product at Apple who was moving to Cupertino from France. I handed him the list back, and said I want to meet him, knowing he would want to meet me. Finally, an exec at a tech company who used the product. 
			- This advice I would give to anyone in any industry, but never has there been an industry more in need of being their own users than the news industry. They are immune to ideas from outside. This is what's crippling their industry, not the web or whatever.  
	- August 25
		- <a href="https://twitter.com/davewiner/status/1165713075468742657">E-ZPass for news</a>. I have an <a href="https://www.e-zpassny.com/en/home/index.shtml">E-ZPass</a> transponder on my car. This means I can drive on the highways of 18 states and the Canadian province of Ontario. The tolls are charged through the <a href="https://en.wikipedia.org/wiki/E-ZPass">EZP</a> system. I could drive from NY to Chicago and use it on every toll on the way, or to Florida. Anyway, I think this idea would work really well for paywalls. Collect the money if I decide to read a New Yorker or LA Times piece, even though I have't got a subscription with either, which is analogous of being able to use the toll roads of Georgia even though I'm a resident of New York.
		- <a href="https://github.com/scripting/Scripting-News/issues/127">Braintrust query</a>: In Node, a script run via <a href="https://www.w3schools.com/jsref/jsref_eval.asp">eval</a> has a runtime error. It crashes the app that called eval, even though it's called inside a <i>try</i> statement. Would like to know if there's a way to catch the error. Based on limited research it appears there is not.  
		- In a <a href="http://scripting.com/2019/08/24/151255.html">post</a> I wrote yesterday, I referred to a <a href="https://www.youtube.com/watch?v=yRRsE0LvUqU">scene</a> in The Shining by embedding it, which worked fine on the web, however when I read the nightly email in Gmail, it had stripped the YouTube embed. I should have at least linked to <a href="https://www.youtube.com/watch?v=yRRsE0LvUqU">the video</a>. Anyway without the video, the writing made absolutely no sense. I've now fixed the post, and if you still want to read it, here's <a href="http://scripting.com/2019/08/24/151255.html">the link</a>. 
		- Why I use Twitter identity for the new email feature
			- When I posted a note on Facebook for people to subscribe to the <a href="https://scripting.com/email">new email service</a>, I got a bit of feedback saying it shouldn't require a Twitter login. So here's why it works that way.  
			- I am gradually adding features to my blog that involve people more in what's going on here. You can Like items. You can comment on them. And now you can receive a nightly email. All but the last require identity, and if you want any options on how you receive your email, even that feature requires identity. (No such features have been implemented yet.)
			- We've been down this road before, it's not new territory. Back in the 90s and early 00s, we had blog hosting here, each blog had its own identity namespace. So I know how much human work it is to maintain such a service. I've done it.
			- I want the identity features but I don't run the identity service. 
			- Remember it's just me here, and I'm doing this for free, before you judge me too harshly. If I can give Twitter a big job, that means I can do other work, or take time off, which I'm doing more these days. I'm not that ambitious anymore, I don't have anything to prove. And I think it's fair for readers and potential readers to understand that I'm nothing more than a human. Not trying to impress you with how much work I can do. 
			- I want to be able to easily add features to scripting.com. That's why I use Twitter as the identity system. 
			- There is one other reason. More and more my personal context is on Twitter. When they raised the character limit to 280 chars it became way more useful and it's a pretty good adjunct to this blog for short items. Very often I write something on Twitter first, and then copy it here. 
			- That's why I'm using it for comments too. Because their restrictions actually make a load of sense for comments on a blog. I really just want to hear unique ideas, or simple bug reports. If I want more I ask for it in a "braintrust query". Their limits are a practical implementation of my own <a href="http://guidelines.scripting.com/">comment guidelines</a>. And being able to job-out a vital feature like comments to a reliable service, as Twitter has become, and as Disqus has become unusable, that's pretty welcome too.
			- It's hard to keep up with all the changes on the net. Sometimes a nightly email is more than it appears at first glance. ;-)
	- August 24
		- 2014: <a href="http://scripting.com/2014/07/16/whyCodingIsTheWrongWord.html">Why "coding" is the wrong word</a>. 
		- There is such a thing as a <a href="https://www.amazon.com/Wifi-Thermometer/s?k=Wifi+Thermometer">wifi thermometer</a>.
		- Two views of one scene
			- The two views: If you live with a creative person, <a href="https://www.youtube.com/watch?v=yRRsE0LvUqU">this scene</a> from The Shining will be familiar. At least you'll know other people have to deal with this. On the other hand, if you're a creative person, this scene speaks for your frustration with the world. 
			- <iframe width="400" height="225" src="https://www.youtube.com/embed/yRRsE0LvUqU" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
			- Listen to the music, it tells the story from his point of view. Every creative person can relate. Was it Stephen King and Stanley Kubrick pleading with the world to just let them create?
		- Dave in Woodstock
			- One of the reasons I moved to Woodstock is that I want to try for once being a software developer in an artistic context. 
			- I've always seen software as a creative thing, like writing, painting or sculpting, but the rest of the world can't seem to process this idea. I've tried doing my thing in Madison, Silicon Valley, Cambridge, Seattle and New York City. Everywhere I go I get blank stares when I say I create software as an individual. But where do you work? I work for myself. Who do you sell it to? I don't sell it. 
			- I do make money, from time to time, by selling something I've created, but most of what I create doesn't make money, the opposite, it costs me money to make. It's been that way ever since I was in my 20s and left Madison for Silicon Valley to make my fame and fortune. Like a musician goes to Nashville or Memphis, I'd say to my friends. I'm pretty sure they didn't believe me. I got lucky a few times, my products were hits, and I sold them to companies. I've tried being a CEO, and was able to do the job, sort of, but every day when I wake up, I'd rather create something than manage something. I don't like being responsible for other people's careers. So once was enough for being a CEO. It worked, we were able to go public, and the money I made made it possible for me to live a creative life, which is where I am most comfortable, most myself.
			- I make software for others. More recently I've made products only for myself, with pretty great results. Something new happens when you relax the assumption that the software has to be easy to learn. My target market, me, is amazingly up to speed on how the stuff works. (It's meant to be ironic.)
			- Anyway, I've found it's no different here. People have a hard time understanding that you could do art with materials such as compilers, servers, editors, networks, display screens, etc. People in general have no idea what those things are but they're no less visible than the raw materials of writing (plot, character, arcs). I'm patient. Not pushing too hard. 
			- I got a chance to start over, because this is not inherently a tech-loving community. The other day I used the word "modal" to describe myself. My friend had no idea what the word meant. I'm glad he asked. 
			- At the very least I've relocated to an stunningly beautiful place, where the cost of living is way lower than in any of the previous places I've lived. The smell of the place reminds me of childhood, where we vacationed when I was young. That makes my inner child feel secure, as it did the first time around. 
			- In a sense I want to go back to the early 90s, when blogging was still a twinkle in the eye, an intuition that if we created easy ways to publish, people would do it. The power of tech is that it becomes invisible and the message of the writer, the artist comes to the front. I see the combination of art, tech and protest being a powerful thing. We've been here before. 
	- August 23
		- Today I learned, <a href="https://www.nytimes.com/2019/08/23/podcasts/the-daily/1619-project.html">via  the Daily podcast</a>, that Lincoln's plan, after the slaves were freed, was that they would emigrate to another country. He didn't see an America with free blacks and whites co-existing as workable. This isn't what they taught us in grade school.
		- There was a long piece on the <a href="https://www.bbc.com/news/av/world-latin-america-49441739/amazon-fires-president-bolsonaro-responds-to-criticism">BBC</a> this morning why Brazil's <a href="https://www.opendemocracy.net/en/democraciaabierta/leaked-documents-show-brazil-bolsonaro-has-grave-plans-for-amazon-rainforest/">Bolsonaro</a> is burning the Amazon. They had academics theorizing, but none said the obvious reason why all Russian-inspired autocrats do anything -- to squeeze every dollar of value that's available to them by selling off some asset of the country. Usually at small fractions of a penny on the dollar. They don't care. Everything the country owns is ripe to plunder. Bolsonaro (and Trump et al) has enough bullshit to throw at journalists to keep them debating every reason but the real one, which for some reason no one seems to be able to say. They're looting their country. Same reason the Repubs in the US want to kill Social Security and Medicare. They want the money for themselves. .
		- The <a href="https://www.mlb.com/video/j-d-davis-singles-on-a-sharp-line-drive-to-left-fielder-tyler-naquin-michael-con">Mets</a> are <a href="https://www.youtube.com/watch?v=PBjPm_C-53E">amazing</a>. They just keep winning. Next up is Atlanta, a tough team for the Mets.
		- I watched a <a href="https://www.youtube.com/watch?v=LFa39MV07kE">Mets clip from 2015</a>, and remembered the story of <a href="https://en.wikipedia.org/wiki/Wilmer_Flores">Wilmer Flores</a> that was spark that lit the fire for the Mets amazing late summer and postseason that year. He isn't on the Mets anymore, he's with the Arizona Diamondbacks. Seeing his <a href="http://scripting.com/images/2019/08/23/flores.png">picture</a> makes me worry for his mental health. Here was a boy who <a href="https://deadspin.com/wilmer-flores-cries-after-learning-hed-been-traded-sta-1720990537">cried</a> when he thought he was traded. We all <a href="https://www.youtube.com/watch?v=LiIkjt1EF3w">loved</a> him for that. This is sad.  
		- Marianne Williamson <a href="https://twitter.com/marwilliamson/status/1164980402492248064">makes sense</a>. 
		- Tom Watson makes an <a href="https://twitter.com/tomwatson/status/1164970633115111426">excellent point</a>. With today's <a href="https://www.memeorandum.com/#a190823p77">news</a> about <a href="https://en.wikipedia.org/wiki/Ruth_Bader_Ginsburg">RBG's</a> health, it's imperative that impeachment start asap. Tie up DC until a Democrat is in the White House. This is the whole game. 
		- <a href="http://scripting.com/images/2019/08/23/thisIsWhatMakesAmericaGreat.png">This</a> is what makes America great. 
		- Starting with tonight's <a href="http://scripting.com/email/">email</a>, linkblog items will appear, labeled as such, after the main blog items and before the footer. Here's a <a href="http://scripting.com/images/2019/08/23/linkblogInEmailScreenShot.png">screen shot</a> that illustrates. These are the links I publish during the day to Twitter, to the linkblog <a href="http://radio3.io/users/davewiner/rss.xml">RSS feed</a> and to the <a href="http://scripting.com/?tab=links">Links tab</a> on scripting.com. 
		- Woodstock on Netflix
			- I was looking through Netflix last night for something to watch, and they had this <a href="https://www.netflix.com/title/81135868">Woodstock title</a>, so I clicked on it, thinking it was the Woodstock <a href="https://en.wikipedia.org/wiki/Woodstock_(film)">movie</a> from 1970, but it was something new, <a href="https://www.thirteen.org/programs/american-experience/woodstock-kshqlw/">from PBS</a>, and it told the story from the point of view of the promoters. How they got the idea, how it morphed from being a studio in the town of Woodstock to an outdoor concert on a field in <a href="https://en.wikipedia.org/wiki/Wallkill,_Ulster_County,_New_York">Wallkill</a>, the town limited the attendance to 5000 (there were already hundreds of thousands of tickets sold) so they had to scramble with just a few weeks to go, find a <a href="https://www.google.com/maps/place/Historic+Site+of+the+1969+Woodstock+Festival/@41.699124,-74.8813829,17z/data=!4m8!1m2!2m1!1swoodstock+festival+bethel!3m4!1s0x89dca8a984798b11:0xe6d7490947a9149!8m2!3d41.7010945!4d-74.8804605">new location</a>, build a stage, etc.  
			- They told story of how they <a href="https://en.wikipedia.org/wiki/Wavy_Gravy#Woodstock_Festival">made</a> it such a peaceful cooperative event (it wasn't by accident). They were competent, smart, and driven -- and obviously under a lot of pressure from all sides, but they pulled it off. Remarkable and as it turns out, historic.
			- When I started watching i thought I'd watch for five or ten minutes, but I went all the way through. A great story well told. 
			- <b>It could have melted down</b>
			- They had to do a lot of stuff to prevent it from being a disaster.
				- For example, they chartered a jet to fly in Wavy Gravy and Hog Farm to do security. An inspired idea. 
				- Then the NYS governor (Nelson Rockefeller) wanted to send in the National Guard to clear the place without any thought to the scale of the event. They had to somehow prevent that from happening. 
				- They relied on army helicopters to shuttle medical personnel in, and that started rumors (remember this was 1969, it was as much an antiwar event as it was a music festival), and the guy on the PA system had to keep everything positive. 
				- Then it rained.
				- There was no food. 
				- Not enough toilets. 
				- Bad trips. 
			- People who knew how crowds work said there's no way this won't melt down, but it didn't. A lot of forethought went into it. Worth watching the show just for that part of the story.
	- August 22
		- New feature. Now you can receive Scripting News every night via email. It's still in <a href="https://github.com/scripting/Scripting-News/issues/125">testing</a> and there's a little more development work to do, but it's ready for people to try it out. I created my own system because I <a href="http://scripting.com/2019/08/09/185406.html">wanted</a> more control over how it works. 
		- <a href="https://newrepublic.com/article/154826/jeffrey-epsteins-intellectual-enabler">Evgeny Morozov</a> re John Brockman and Jeffrey Epstein. 
		- It’s time for a news channel that only reports on how we’re getting rid of Trump and Repubs. If there’s nothing to report they play old <a href="https://en.wikipedia.org/wiki/MTV">MTV</a> <a href="https://www.youtube.com/watch?v=oHg5SJYRHA0">videos</a> from the 80s.
		- Dave-by-email, day 1
			- I wish I had more on the home page for what will be for many their first Scripting News <a href="https://github.com/scripting/Scripting-News/issues/125">by email</a>. A few comments. It's a bit of a loop-close because my blogging used to go out via email for years before I went exclusively web. Once "RSS" was up and running it seemed counter-productive to keep pushing the email channel, and for a while it made sense until Google dominated and then shut down their RSS app. Then email resurged. 
			- In May 2017 I rebooted the original style of blogging on Scripting News, with intermixed titleless posts and and longer titled posts, all on one page, archived daily and monthly. It's now stable, so it made sense to bring back the email. 
			- I remember when I turned off the email, Doc Searls said I shouldn't do it. I never forgot that. Glad Doc is in the initial group of subscribers. I think that will affect the way I write here, for the better. 
			- BTW, I plan to add the linkblog links for the day to the daily email. 
	- August 21
		- I don't know maybe it's just me, but I think "proclaims himself the second coming of God" might be <a href="https://www.vox.com/policy-and-politics/2019/8/21/20826507/trump-king-jews-anti-semitism">grounds</a> for impeachment.  
		- Reading <a href="https://jetgirl.art/2019/07/21/rss-is-better-than-reddit-twitter-and-email-subscriptions-for-updates/">this story</a> for me is what it must have felt like to be a dinosaur having its bones discovered by a curious archaeologist, before there was archeology. 
		- Last night I <a href="https://twitter.com/EthanZ/status/1163989963706380288">read</a> on Twitter that <a href="http://www.ethanzuckerman.com/blog/2019/08/20/on-me-and-the-media-lab/">Ethan Zuckerman</a> had resigned as part of a developing scandal with the <a href="https://www.media.mit.edu/about/mission-history/">MIT Media Lab</a> and the notorious <a href="https://en.wikipedia.org/wiki/Child_sexual_abuse">child molester</a> <a href="https://en.wikipedia.org/wiki/Jeffrey_Epstein">Jeffrey Epstein</a>. My first reaction was this is a mistake. Wait until more is known about what happened. I think it would be more courageous to stay in his position, and help the organization deal with the crisis. And he <i>is</i> staying through the academic year, according to his post. So I guess he's there for another year? A lot will change in that year. It was a very dramatic few hours last night. Twitter feasts on those moments. But there are people's lives, education and careers involved. Slow down and figure out what happened. 
		- Background: Zuckerman is a former colleague at Berkman Center in the early 2000s. His work and mine were related to blogging as a civic act, both our projects were very successful. I also know Joi Ito from Silicon Valley and he was a frequent contributor at BloggerCon. I visited both of them at the Media Lab in 2016. I wrote up my thoughts from that visit (of course) in a <a href="http://scripting.com/liveblog/users/davewiner/2016/02/21/1045.html">blog post</a>.  
		- An update to the software that runs scripting.com. Sometimes when you'd click on the <a href="http://scripting.com/images/2019/08/21/signOnButtonScreenShot.png">Sign on button</a> in the upper left corner of the home page you'd get taken to a bogus page. Then you'd try it again and it'd work. Well I think I've got it now so that it always takes you to the right place. 
		- <a href="https://github.com/scripting/Scripting-News/issues/126">Braintrust query</a>: Is there a way in the Chrome debugger to set a breakpoint when the value of a global changes? <i>myGlobals.val</i> is initialized when the app starts, but when it's used it has a different value. I want to break at the line that changes its value.
		- GEICO has an <a href="https://www.youtube.com/watch?v=QkHcx-QnVUQ">incredible spot</a> running now. A group of office workers gather around a mobile phone playing a GEICO app with a virtual version of the gecko, on the backdrop of the actual desk. Then the real gecko shows up, waving his hand and saying in his British accent "Hey I'm real." The humans in the office laugh. "He thinks he's real." It's funny on three levels which makes it even funnier. 
		- If Trump were a reality show
			- If Trump were an actual reality show instead of a fake one, a group of expat neo-Nazi Danes would form a government-in-exile (offices in Trump Tower in NYC) and would do a deal with the US to sell Greenland for very little money. Remember, they are the reality show version, so they need the exposure. Win-win. Their Instagram influencer channel goes crazy, orders for Danish <a href="https://en.wikipedia.org/wiki/Jackboot">jack boots</a> goes viral. 
			- Trump declares war on the fake (in reality TV world, but actual in real world) government of Denmark. US war ships blockade <a href="https://en.wikipedia.org/wiki/Port_of_Copenhagen">Copenhagen</a>. There is a crisis in the UN Security Council (the reality TV version). Interesting confluence, at the exact same moment the real UN Security Council is meeting about how to re-exert its dominance. Meanwhile reality TV governments-in-exile form on Instagram for the UK, China, Russia and the Philippines. Ratings soar.  
			- Trump announces his Christmas Special will take place at the <a href="https://en.wikipedia.org/wiki/Tivoli_(Copenhagen)">Tivoli Gardens</a> amusement park in Copenhagen.  
	- August 20
		- I've heard said that Reagan introduced the trickle-down theory of economics, but apparently that's wrong -- it was an issue in the <a href="https://en.wikipedia.org/wiki/1896_United_States_presidential_election">election</a> of <a href="https://www.democraticunderground.com/10026968559">1896</a>, which <a href="https://en.wikipedia.org/wiki/William_McKinley">McKinley</a>, the Repub, won.  
		- Why would anyone get excited about what <a href="https://en.wikipedia.org/wiki/Susan_Sarandon">Susan Sarandon</a> thinks? Her candidate Bernie is <a href="https://www.youtube.com/watch?time_continue=2&v=_e-o7svyOZw">lookin good</a>, but will anyone at all be persuaded by Susan Sarandon? She's had an incredible career for sure, but there are lots of stars at her level. Let's find out what Geena Davis thinks, or Brad Pitt or Kevin Costner.
		- Getting pretty close with the nightly-email version of Scripting News. Lots of moving interconnected parts. 
		- All there is to <a href="https://www.nytimes.com/2019/08/20/movies/once-upon-time-hollywood-coverage.html?emc=rss&partner=rss">read</a> about Quentin Taratino's new movie. 
		- Ted Howard <a href="https://github.com/scripting/Scripting-News/issues/124#issuecomment-523039238">found the problem</a> with my NPM module that didn't work. Braintrust to the rescue! 
		- Happy birthday Mom!
			- Facebook reminds me that today would be my <a href="http://scripting.com/2018/02/11/152545.html">mom's</a> 87th birthday.
			- Happy birthday <a href="http://scripting.com/2018/02/26/024939.html">mom</a>, where ever you are! I bought a house in the country. You would like it. Trump is still president. He hasn't blown up the world yet.
			- Seeya soon. :heart: :heart: 
			- Love, your son, David
	- August 19
		- JavaScript drives program writers to outliners, because outliners are adept with dealing with nested callbacks, as opposed to the way most (all?) other languages do program flow through a flat list. In a normal language, the runtime proceeds from statement 1 to 2 and so on. I guess most JS programmers don't know about outliners, or devtools developers don't or whatever -- so instead of letting the "problem" be solved by editors, the language designers try to hack the language to make it better fit the editors we already use, but it just creates a hierarchic chaos that's meant not to look hierarchic. It's a total mess. So now JS is evolving to be Perl whose <a href="https://en.wikipedia.org/wiki/There%27s_more_than_one_way_to_do_it">motto</a> is "There's more than one way to do it." It's far better for the ecosystem if there was only one way to do everything, but something as fundamental as program flow, I doubt if even Perl has more than one way to do <i>that.</i> So Brendan Eich is not an outliner person, and neither are the people who work on the design of the language. You pretty much have to program JS in an outliner (as I do) to see this, imho. But before they hack the language again, see if the problem isn't the dev tools, not the language. Nothing wrong with callback hell imho if you have the right editor. 
		- BTW, here's a <a href="https://www.youtube.com/watch?v=_jrDW18R-Us">demo</a> I did of an outliner in a scripting context. 
		- How about a working group chartered to find the elegant and simple language hiding in the mess that JavaScript has become? It's there, I can feel it. First  you'd have to get rid of the runtime assumption that functions return before they're finished. It should be <i>possible</i> for a function to explicitly fork off a new process, but it shouldn't do it just because the function made an I/O call. In practice 99.9999 percent of those simply want to wait for the I/O to be done. In all my years programming before JS, I never wanted a language to do flow the way JS does. That in itself is important data, imho. I've implemented a lot of different kinds of software. 
		- I think private Facebook groups are filling in the gaps more than most professional <a href="https://www.washingtonpost.com/lifestyle/style/when-local-news-goes-away-citizens-suffer-gannetts-megamerger-will-probably-just-inflict-more-pain/2019/08/16/51b6c078-bf6e-11e9-b873-63ace636af08_story.html">news people</a> are aware.
		- As a commercial software developer I had heard about <a href="http://scripting.com/2019/08/19/infoworldReviewGuidelines.pdf">InfoWorld's review guidelines</a>, written in 1994, but had not seen them until yesterday when <a href="https://twitter.com/harrymccracken">Harry McCracken</a>, a former member of their review board, posted an <a href="https://twitter.com/harrymccracken/status/1163143998782881793">excerpt</a> to Twitter. I asked if I could have a copy of the full manual so I could get them into the archive of my blog, and he kindly provided them. If anyone wants to reboot software reviews this would be a good place to start. In any case it's good to have this <a href="http://scripting.com/2019/08/19/infoworldReviewGuidelines.pdf">archived</a> for future reference. 
	- August 18
		- I read this <a href="https://www.techmeme.com/190818/p2#a190818p2">VC appraisal of Dropbox vs Slack</a>, which service was going to be the foundation for groupware in the enterprise world. I was unaware of this perspective and it was enlightening. I have studied both. Slack has the API, Dropbox went it alone. I think if Dropbox had fully embraced the idea that it was a developer's platform, there were a few small doors they had to open, they would have become the storage for networked apps. Same with Amazon S3. Each had the opportunity to bridge into the others' space, but neither has. I think the assumption at Dropbox was they knew everyone who was capable of making great groupware apps. That was their mistake. It's still not too late, they are dominant and totally baked in. They should be killing instead they are flailing. One of the biggest wasted opportunities I've seen in my career. 
		- I'm getting ready for my next binge -- <a href="https://en.wikipedia.org/wiki/Big_Little_Lies_(TV_series)">Big Little Lies</a> season 2. I'm looking over the review summaries <a href="https://www.metacritic.com/tv/big-little-lies/season-2">on Metacritic</a>, and see they're all based on the first three episodes only. This was the same problem with software reviews, back when they did reviews of software (too bad they stopped). They would review the software based on a day's worth of use, if that much. But we design software so that it gets better the more you use it. We balance the tradeoffs. Of course we want the product to be easy to learn, but we also want it to be something you use all the time. It's as ridiculous to judge a serial show based on a third of a season. If I make it through the whole season, which seems likely based on the first season, I'll review the whole thing here on my blog. And I still have to relaunch <a href="http://bingeworthy.io/tv/">bingeworthy</a> so we accumulate judgements of Scripting News readers on these shows. I have an idea how to do it. :boom:
	- August 17
		- I don't know if anyone else finds <a href="https://en.wikipedia.org/wiki/Npm_(software)">NPM</a> to be unreliable, as I do, over many years. Here's a scenario. I have to make a minor change to a package. So I increment the version in package.json, and <i>npm publish</i> it. Then in the app that's using it, I do an <i>npm update. </i>The update happens. But the app doesn't get the latest version. Something is cached somewhere, because if I look in the node_modules folder, the new version is there. I've resorted to using a lib folder and keeping a copy of the package updated there. But of course I'm reinventing npm in scripts by doing this. Sometimes NPM works as I understand it should, but every so often it goes crazy like this.
		- The NYT needs a real public editor, a member of the public who is not a journalist, and has unfettered access to the op-ed page, and can provide perspective for other readers and for the writers and editors.
		- I groan when passwords are required to have at least one uppercase letter, one lowercase, a number and/or a special character. I know as a matter of math that these requirements doesn't make passwords better. Does it help people who type <i>asdf</i> as their password come up with more random strings? Also I hate sites that make me create a new password every so often. I can manage that myself. I suppose maybe they're saying hey we were hacked recently and are requiring everyone to change their passwords instead of making a public statement.
	- August 15
		- The problem isn't Trump, <a href="https://twitter.com/davewiner/status/1162102238107643904">it's</a> the news system that got him elected. 
		- Help I am so addicted <a href="https://www.youtube.com/watch?v=aY3FxWRz1cw">to</a> <a href="https://en.wikipedia.org/wiki/What_Up_with_That">What Up With That?</a>
		- Anything that gets us to hate each other based on race, age, gender is a <a href="https://en.wikipedia.org/wiki/Wedge_issue">wedge</a>, and it's designed to keep us from unifying, which allows the assholes to keep control.
		- Why it feels good to stop judging other people
			- On Facebook my friend Scott Knaster, who I've known since early Mac days, wrote a <a href="https://www.facebook.com/dave.winer.12/posts/1007571732783565?comment_id=1007692502771488&comment_tracking=%7B%22tn%22%3A%22R%22%7D">comment</a> about judging things and people. "A few years ago I decided to be really careful about using the word hate when I speak or write. E.g. I don't hate liver, or the Dodgers. It's a little thing, somewhat silly, but I like doing it." 
			- This is why it's easy to be friends with Scott. :star:
			- My <a href="https://www.facebook.com/dave.winer.12/posts/1007571732783565?comment_id=1007692502771488&reply_comment_id=1007698752770863&comment_tracking=%7B%22tn%22%3A%22R%22%7D">reply</a>, also on Facebook: "It's good Scott because you hear yourself say these things and deep down inside it creates dissonance. You're human. Judgement of others is way way above your pay grade. It's god's job, whatever that means, certainly not a mortal's job. 
			- "I really began to understand this when people in my family started dying. Opinionated and judgemental people. Okay what of their judgement now? Who the fuck cares. And all that angst. They could have saved themselves the pain. Because what they thought re good or bad meant not a thing in the end. Which means to me that it didn't mean a thing when they were alive either."
			- PS: There are some topics where judgement is fun. Such as the baseball teams we love and our hate for their enemies. You can see that in Scott's comment about the Dodgers (he's a diehard Giants fan). I would forgive him for hating the Dodgers, because it's basically self-mockery. And I hate do the Yankees. But when you break it down, what is it exactly that I hate? The Bronx? Certainly not. The stadium? Well it is an inferior stadium, no one can argue otherwise. But hate? I'm a <a href="http://scripting.com/davenet/1998/05/06/yoQuieroScriptingNews.html">barking farting chihuahua</a>, looking for a little love and understanding in my short life on planet Earth. My hate wouldn't mean very much. But when it comes to baseball and the Yankees, it's mine. It migh† be all I have, so I try to hold on to it. #lgm
	- August 14
		- My <a href="http://scripting.com/images/2001/09/22/baruchWiner.gif">grandfather</a> warned me about <a href="http://scripting.com/images/2019/08/14/grandfather.png">this</a>. I didn't believe him at the time, when I was a child. He <a href="https://en.wikipedia.org/wiki/Plutocracy">used</a> <a href="https://en.wikipedia.org/wiki/Oligarchy">words</a> I thought were old-fashioned, but now we use them all the time. I <a href="http://scripting.com/davenet/1996/02/09/ipromisedmygrandfather.html">represent</a> him the best I can in the world he predicted so well.
		- Apparently the question of an Edit button came up in Twitter corporate presser yesterday. They <a href="https://twitter.com/DanielleDigest/status/1161416013688320006">said</a> it isn't a high priority. I've often wondered about this. Facebook lets you edit everything you write, and it hasn't seemed to affect the community in any way I can perceive. I use it all the time. Maybe the question is a technical one for Twitter. Perhaps they built their internal server network around the assumption that content can't be modified. Then it might cost a lot of money they don't have to rebuild their server setup. If this were the case I could see why they wouldn't want to disucss it publicly given how little most reporters and users are aware of how the tech works behind the curtain. 
		- Good morning sports fans! #lgm
		- <a href="http://scripting.com/2016/08/14/journalistsGrapplingWithTrump.html">2016</a>: "There's truth and journalism truth."
		- I saw Quentin Taratino's latest (no spoilers). If you love his movies as I do, you can see how an artist can play with our perceptions of the past, and how important it is to see directly what happened. 
		- Should the web be archive.org?
			- I've been on a private email thread among tech experts discussing how to preserve the <a href="https://www.linuxjournal.com/">Linux Journal</a> site. It's mostly general ideas because none of us has the power to move the domain or the content.
			- The site is still accessible through the original URLs, but there's a big question about whether it will remain there much longer. Here's the background via <a href="http://blogs.harvard.edu/doc/2019/08/13/on-linux-journal/">Doc Searls</a>. 
			- There's a consensus that porting the sit to <a href="https://archive.org/">archive.org</a> is the answer. Jon Udell, a highly respected developer says <a href="https://twitter.com/judell/status/1161475760537817088">on Twitter</a> that redirecting to archive.org, as Doug Kaye does, is the "gold standard" for preserving sites. 
			- I've always resisted this, instead preferring that we take steps to make the web itself more <a href="https://www.google.com/search?q=site%3Ascripting.com+future-safe&oq=site%3Ascripting.com+future-safe&aqs=chrome..69i57j69i58.2102j0j8&sourceid=chrome&ie=UTF-8">permanent</a>. An analogy. Recently I visited the <a href="https://www.nps.gov/vama/index.htm">Vanderbilt Mansion</a> on the Hudson River. I didn't visit an archive.org snapshot of it in <a href="https://en.wikipedia.org/wiki/Vanderbilt_Mansion_National_Historic_Site#History">1940</a> when it was given to the government by the Vanderbilt family. There was value to me that it was in the original location, with the same view of the river and the mountains off in the distance. That it wasn't air conditioned. That the same roads that went there when the Vanderbilts were in residence still go there today. It was the same place the elite played on Saturday nights in spring and fall during the <a href="https://en.wikipedia.org/wiki/Gilded_Age">Gilded Age</a>. 
			- I feel the same about the web. But people seem to feel that an archive.org snapshot and redirected URLs is the best we can do. Maybe we should change our idea of what the web is. Maybe archive.org <i>is</i> the permanent version of the web. And then of course the next question is why not just publish originally to archive.org? I'm sure they've thought of this at the <a href="https://en.wikipedia.org/wiki/Internet_Archive">Internet Archive</a>. 
		- Kurt Vonnegut's remembrance of Joseph Heller in The New Yorker
			- <a href="https://www.brainpickings.org/2014/01/16/kurt-vonnegut-joe-heller-having-enough/">True story</a>, Word of Honor:
			- Joseph Heller, an important and funny writer now dead, and I were at a party given by a billionaire on Shelter Island.
			- I said, “Joe, how does it make you feel to know that our host only yesterday may have made more money than your novel Catch-22 has earned in its entire history?”
			- And Joe said, “I’ve got something he can never have.”
			- And I said, “What on earth could that be, Joe?”
			- And Joe said, “The knowledge that I’ve got enough.”
			- Not bad! Rest in peace!
	- August 11
		- The #lgm are having a <a href="https://www.nytimes.com/2019/08/10/sports/baseball/mets-nationals-comeback-conforto.html">great August</a>.  
		- Best political <a href="http://scripting.com/images/2019/08/11/theRealWall.png">cartoon</a> I've seen in a while.
		- I try to have an expansive view of the talent of my friends.
		- Glympse is great but..
			- I have a friend driving from DC to visit me in the country. Per my request he's got <a href="https://glympse.com/get-glympse-app/">Glympse</a> running on his iPhone so I can track his location as he drives. This yields the usual feature requests and a new one. 
				- I should be able to yell something at my friend via Glympse that he hears. It should be like I'm in the passenger seat.
				- I should also be able to play things on his radio.
				- And for $25 I should be able to commission a drone that follows him overhead. 
	- August 10
		- <a href="https://twitter.com/davewiner/status/1160272063908732928">Poll</a>: Twitter should report number of people who have blocked each account along with the number of people who follow. Agree?
		- BTW, one of the side-effects of getting the email working with AWS is that dave@scripting.com works again. 
		- How I got AWS to send my email
			- <a href="https://aws.amazon.com/">AWS</a> is a gift. Somehow one of the big tech companies decided that the PC era was worth continuing, and instead of locking up all the useful stuff inside their corporate wall, they went into business providing those tools to any developer who wants to use them. 
			- They aren't the only ones, <a href="https://www.digitalocean.com/">Digital Ocean</a> is very good too, but AWS does more. Another difference is that Digital Ocean's docs are the best, and AWS's doc are in some ways the worst.  
			- First, I have to say AWS docs appear to have all the information about their services. So I can't say their docs are the worst in all ways, they aren't. The problem is the way the docs are written and organized makes it too hard for a newcomer, or someone who only wants to use the most basic functions, slightly beyond Hello World, to find the information they need. First you have to understand everything about the toolkit, and it's presented in a disjointed fashion where the docs assume you already know everything, which makes it virtually impossible for you to get the data you want. Every time I master another AWS toolkit it seems I write one of these pieces to commemorate the experience and hope somehow to encourage Amazon to make it easier for me next time. :boom:
			- Anyway, last year I finally got their email-sending functionality to work. The only <a href="https://twitter.com/davewiner/status/1159477988712439809">problem</a> was that every email I sent via their service arrived in Gmail with a huge <a href="http://scripting.com/images/2019/08/10/warning.png">warning</a> that it could be from a hacker (I knew it wasn't, it came from me). It wasn't until a couple of days ago that I learned what was happening and what I had to do to prevent it. 
			- First what was happening: I was sending an email from dave.winer@gmail.com through amazonses.com. Gmail said we got the mail, but noticed you didn't send it through gmail.com. Therefore the the big colorful <a href="http://scripting.com/images/2019/08/10/warning.png">warning</a>. 
			- What I had to do to prevent it: <i>Send the email from another domain and convince Amazon that I was authorized to use that domain.</i> 
			- This is the place to note that nowhere in the Amazon docs do they say it this clearly. They try to tell you what to do on <a href="https://docs.aws.amazon.com/ses/latest/DeveloperGuide/spf.html">this page</a> with lots of links that center around a protocol called SPF. It turns out that SPF simply requires you to create a TXT record on the domain with a string that says what mail servers are allowed to use it to send mail, and that would be enough to convince AWS that you're cool. It makes sense, it connects the domain with a mail server. The person who set up the TXT record obviously is a god of that domain. But when I set this up per their instructions AWS still called the sender address invalid. 
			- Then it turns out that I have to use a command line tool to give me a special domain name, and an encrypted value. This contradicts the earlier docs. And I had no idea how to get the command line tool to do this (it seems this would have been a good place for their docs to tell you or link to a place that tells you, but they don't). 
			- It was at this point that I put the project down for a bit, went on Twitter, checked email, went for a walk, did something to cleanse the mental <a href="https://en.wikipedia.org/wiki/Palate_cleanser">palate</a>, came back to the problem and found docs that provided yet another option for convincing AWS that I was authorized to use an email address. 
			- There is an <a href="https://docs.aws.amazon.com/ses/latest/DeveloperGuide/verify-email-addresses-procedure.html">interactive way</a> to do it through the <a href="https://console.aws.amazon.com/ses/home?region=us-east-1#verified-senders-email:">control panel</a> for SES. This method worked, and in a familiar way. You tell it what email address you want to use and it sends a message to that address with a link. When you click the link AWS authenticates the address. Everyone who uses the web in 2019 knows how to do this. Why didn't their docs say up front, hey there's a very very very easy way to do this. 
			- So now I can send email through SES and the receiver won't get a <a href="http://scripting.com/images/2019/08/10/warning.png">warning</a> because I'm playing by the 2019 rules for email sending and using AWS to send the email. I'm a happy camper except for the fact that all this michegas took two days to sort out. 
			- Final note:  When we were working on SOAP many years ago, we were dealing with a similar problem. Our colleagues at large tech companies were adding an alphabet soup of <a href="https://en.wikipedia.org/wiki/List_of_web_service_specifications">protocols</a> on top of it, and just when you thought you understood what they were doing they added another few, and you were back where you started. I got fed up with this because I just wanted to deploy applications and didn't care about all this extra stuff, so Jake Savin and I wrote what we called <a href="https://web.archive.org/web/20090303082440/http://www.soapware.org/bdg">A Busy Developer's Guide to SOAP</a>. It defined a subset of SOAP that we had verified that works, and provided examples for developers of SOAP implementations to test with to be sure they worked with this subset. We published it, and then logged off the mail lists and got to work writing our blogging and RSS software. It worked. We got what we wanted and the big companies got to add all kinds of extra stuff. It seems to me that AWS is in a similar place. Developers like me who want to build apps, and systems people who want to cover all the bases. 
	- August 9
		- We need political stories <a href="https://www.youtube.com/watch?v=NMjNOsp93EM">like this</a> to believe in. 
		- I got an email from a long-time reader saying the thing that shocked him about my early web writing was that I told the truth. I wasn't trying to sell you anything. I just wrote what occurred to me. He was a mainframe programmer. I've thought about that, and I'd love to understand how one can be a programmer and not <i>always</i> be searching for the truth. Unlike just about any other profession I can think of, ours depends on telling the truth.<i>You can't lie to a compiler</i> is one of my programming mottos. Garbage in garbage out. I write blog posts the same way a tester writes reviews of software. You have to be ready to hear the unvarnished truth. That's the ethos of blogging as far as I'm concerned. And it's why tech bloggers can do it better than most. Not saying they do of course. There was some real shabby blogging around HTTPS and <a href="http://this.how/googleAndHttp/">Google</a>, I kept wanting to ask if they debug their software with that kind of logic? (The equiv of asking a troll if they kiss their mother with that mouth.) 
		- <a href="http://scripting.com/images/2019/08/09/howLongReadout.png">New feature</a>. Now in the footer of the home page, you can see a realtime readout of how long this blog has been running in preparation for the big 25th anniversary celebration, whatever it may turn out to be. Of course you have to have JS turned on to see it. 
		- And here's a <a href="https://www.youtube.com/watch?v=wWPOtoYGWXU&feature=youtu.be">video demo</a> of the feature because why not. 
		- I had been looking for the animation of <a href="http://scripting.com/2018/08/27/170521.html">Darwin</a> as a kung fu fighter, and finally found it. I don't want to lose it again.
		- Here's what a reader <a href="https://www.wired.com/1995/05/davenet/">wrote</a> in 1995 about my earliest blogging efforts. It means so much more now. The loop has closed on all of it, esp the last couple of paragraphs.
		- Those were incredible times, we had tons of what I called <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22blue+sky%22&t=hj&ia=web">blue sky</a>, probably more possibility for technology and humanity since the 1920s (the advent of electricity and cars). I was in perfect position to explore all that blue sky. A confluence like that is rare. Right place, right time, right friends. :boom:
		- Biden's latest <a href="https://www.usatoday.com/story/news/politics/elections/2019/08/09/joe-biden-iowa-gaffe-poor-kids-as-talented-as-white-kids-des-moines-asian-and-latino-coalition/1964509001/">gaffe</a> is about as important as Orrin Hatch <a href="https://www.youtube.com/watch?v=Z82DB25mWkY">removing glasses</a> that weren't there. Everyone made such huge deal about it, but if they had to admit the truth, they'd have to say they do shit like that too. It's human.
		- <a href="https://adamsfarms.com/">Adams</a> is a small chain of grocery stores in the Hudson Valley. There's one near where I live, in <a href="https://adamsfarms.com/locations/kingston/">Kingston</a>. They buy from local farms. And they make a lot of their own products, like spaghetti sauce and cookies, and it's all realllly good.
		- Scripting News in email
			- I got <a href="http://scripting.com/2019/08/08.html">yesterday's</a> Scripting News looking <a href="http://scripting.com/images/2019/08/09/scriptingNewsInEmailSnapshot.png">pretty good</a> in email. Learned a lot. Most of the problems were with how HTML email works these days, not Mailchimp. I needed to factor it out to see that. On the other hand they do some stuff that I can't <a href="https://www.youtube.com/watch?v=sYsw0KVRjCM">abide</a>, so this is a necessary exercise. :-)
			- Caveat: I only tested in Gmail running in Chrome on a Mac. I'm sure other browsers on other machines and other email clients will raise their own kind of hell. :boom:
			- Some of what I learned:
				- You can only use standard <a href="https://en.wikipedia.org/wiki/Web_typography#Web-safe_fonts">web fonts</a>. I'm using Arial for everything.  
				- You can't include CSS files, all CSS has to be in-line in a &lt;style> element in the &lt;head> section.
				- Styles for &lt;body> are ignored.
				- Don't use lists unless you want their indentation. There appears to be no way to override it. I was using lists, per standard best practices, for stories. I did a hack and replaced all &lt;ul>s and &lt;li>s with divs, and styled them the way I wanted them to look. (This will fuck up deeply nested lists in my stories. Thinking about how to avoid that. Come to think of it, it will probably fuck up this very list. Heh.)
				- I'm using AWS to send the mail, and I'm going to have to do some kind of dance to configure it to let me send email from an address I never use. I can't use my gmail address, because I am not sending the email from gmail. That is a new architecture of the net created by who-the-hell-knows since I last did any programming with email. Not saying it's bad, it was something I had to learn about. I suspect that it will be a rejiggering of the dance you have to go to get an HTTPS server, why not use the same dance? I will be learning more about this for sure. 
			- PS: Here's the <a href="http://scripting.com/2019/08/10/152118.html">followup</a>.
		- Nothing new about Nazis
			- Terms that must be banned:
				- White nationalist 👉 white supremacist
				- Neo-Nazi 👉 Nazi
				- Racism 👉 genocide
			- By softening the crimes you make them more acceptable. Face facts, there is nothing new about Nazis. Nationalism might be okay, but not a master race. And the racism Trump is promoting is actually genocide. We've now seen that, there is no escaping it.
	- August 8
		- I recommend <a href="https://en.wikipedia.org/wiki/Eighth_Grade_(film)">Eighth Grade</a>, playing on Amazon. Good movie. You see inside a young girl's life, her self-doubt, relationships with friends, the evolving meaning of cool, trying out the idea of sex, sizing up her own future and past. Cringeworthy in places. I keep thinking about it, a sign of something worthwhile. 
		- I would of course like to tell you about my own eighth grade here, except I skipped that grade. I went to junior high between elementary and high school, and they had the option for students who passed a test to skip the grade. I opted-in. My sixth grade teacher, I found out much later, was opposed to this, she felt I was too immature and needed the grade to help get ready for high school. Considering what I did in high school, she might have had a point. Or it could be that she mistook creativity for immaturity. She was a good teacher, one of the best I ever had. I once raised my hand enthusiastically and burst out "Mom mom call on me!" -- to my great embarrassment. She said that was high praise. It was. That's how relaxed I was with her. 
		- I’m going to write my own Mailchimp for RSS to distribute <a href="http://scripting.com/">this blog</a> via email. The one they made adds CSS that can’t be overridden, even with !important. It renders the text with ugly color, inconsistent style and indentation, lots of irrelevant text, and they hack your urls, while they charge $ for the service.
		- “Trump made me do it,” the <a href="https://amp.cnn.com/cnn/2019/08/08/us/national-anthem-boy-assault-montana/index.html">defense</a> of deplorable miscreants everywhere.
		- Linux Journal wind-down
			- Today comes news that Linux Journal is shutting down. They say they'll be able to keep the archive online for a couple of weeks.
			- Now here's an opportunity to do the wind-down the right way. Linux Journal isn't the ordinary publication that lets the domain registration lapse and stops paying the storage bills for the archive. And then next year it's a porn site or a phishing destination. I'm assuming the last people at Linux Journal care about the accumulated know-how and history at the site. And this event raises the question of how to do such a wind-down best. 
			- Ideally, the archive remains online and accessible at <a href="https://www.linuxjournal.com/">linuxjournal.com</a> for the foreseeable future so all pointers into the site continue to work. This might not cost a lot of money especially if the site is largely static content. So the first question is this -- is it? And if so, how much is there? With that data we can estimate what the annual cost will be and then set about raising the money. I would be happy to kick in some myself. 
			- If not, then perhaps we can find a way to enumerate the URLs and then set up a service that redirects them to the archive.org version of the content? 
			- Or perhaps we could write a scraper that visits the pages, downloads a snapshot and stores them in static files. 
			- According to the site we have a couple of weeks to do the research and moving. 
	- August 7
		- Another previously unpublished <a href="http://scripting.com/2019/08/06/weNeedRealPublicEditors.m4a">podcast</a> I sent to Ken Smith for approval. He seems to approve. So here it is. 
		- I updated the system software on my Apple Watch and it can no longer be used to log on to my Mac. It all worked before the update. 
		- New slogan: You can't fight not-normal with normal.
		- Just for fun, I did a <a href="http://scripting.com/code/testing/timesincescriptingstarted/">countdown page</a> showing how long "Scripting News" has been running, assuming it started at noon Pacific on October 7, 1994. I don't know the actual time, so I took a guess. :boom:
		- I have become addicted to <a href="https://www.google.com/search?q=what+up+with+that&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=vid&sa=X&ved=0ahUKEwjpka2vjfHjAhUoSN8KHd4YDXUQ_AUIECgB&cshid=1565192958686172&biw=1133&bih=1083">What Up With That</a>. The song is playing in my head all the time. When I see something puzzling, the drum starts beating, my eyes widen and look to the left, the bass starts bassing I get up and dance <a href="https://youtu.be/sqpnRyfz_aY">and</a>..  
		- I feel like the Mets are where they were in 2015. You tune in the game, it's the 8th inning, the Mets are down 9-3, and you sit down for the rest of the game to see how they win. And they do. #LGM 
		- Two Democratic presidential candidates said historic things in the last week, but they have mostly gone unnoticed or misunderstood. <a href="https://www.newsbusters.org/blogs/nb/bill-dagostino/2019/07/30/buttigieg-alludes-changing-2nd-amendment-cnn-moderators-ignore">Pete Buttigieg</a> said if we want change we're going to have to amend the Constitution. He's absolutely right. Changing the president, even taking the majority in the Senate won't accomplish much if a minority can overturn the whole thing any time they get it together. That's in the <a href="https://en.wikipedia.org/wiki/Constitution_of_the_United_States">Constitution</a>, that's what has to change. Another thing that has to change is journalism. They can't incorporate new realities into their view of the world. They ask questions about Trump as if he were a normal president, one who had <a href="https://www.reuters.com/article/us-usa-trump-finance/trump-says-wont-divest-from-his-business-while-president-idUSKBN14V21I">divested</a> and <a href="https://www.factcheck.org/2018/11/the-presidents-tax-returns/">disclosed</a> before taking office. Trump is a Russian oligarch. He takes his orders from Putin. Any question about the president that doesn't accept this context is a question from Dreamland. <a href="https://twitter.com/davewiner/status/1159116877316132864">Beto O'Rourke</a> busted through this crazy wall in the aftermath of the El Paso massacre. It's why we need to <a href="https://en.wiktionary.org/wiki/depose">depose</a> the people who run journalism, asap. Why shouldn't the Democratic candidates help us transform politics and journalism? If they don't do that, why are they running? (To paraphrase Elizabeth Warren, who has done her <a href="https://thehill.com/homenews/campaign/454500-warren-presses-pelosi-on-impeachment-some-things-are-above-politics">part</a> to transform how our politics and journalism work.)
		- Why we fear death
			- I have a theory about why we fear death. 
			- It's a survival trait. 
			- Animals that didn't fear death died. 
			- Animals that feared death tended to live. 
			- In other words most of us are descended from animals that were scared of dying. 
		- This is a test
			- Expand this headline to see a new slogan every second.  
				- <span class="spRandomMotto"></span>
			- You can have more than one.  
				- <span class="spRandomMotto"></span>
			- There isn't a limit.
				- <span class="spRandomMotto"></span>
			- As far as I know. :boom:
				- <span class="spRandomMotto"></span>
	- August 6
		- <a href="http://scripting.com/images/2019/08/06/welcomeToNYCWalkFaster.png">Welcome</a> to NYC. Walk faster.
		- Dear future-of-news people. Please pay attention to <a href="https://www.thecut.com/2019/08/beto-orourke-responds-to-mass-shootings-what-the-fuck.html">what Beto did</a> with the journalists. That's what a real public editor would do. It would be great. We could possibly get our world back on track. Knight Foundation &mdash; want to make a real investment in news? Real public editors.
		- I read a story about the <a href="https://www.voanews.com/usa/when-mass-shootings-drive-survivors-suicide?fbclid=IwAR10pwVUJkftmr4duAxaYg3Ozwd8ffzN41PPZdGWGyDdoeEHaoPdpgM5nAY">survivors</a> of the <a href="https://en.wikipedia.org/wiki/2017_Las_Vegas_shooting">Las Vegas massacre</a> and it opened my eyes. We don't even help them out with their medical bills. So the travesty of gun violence is multiplied by the inhumanity of our health care system.
		- My dear departed hippie <a href="http://greatvavavoom.com/">uncle</a> started a bums union. They would revoke your union card if you were caught working. He gave it a name. The Amalgamated Bums and Drifters of America. It was a joke of course. He loved to work.
		- Preparing for 25 years
			- On October 7, this blog will have existed and been continually updated for 25 years.
			- There were times I took as much as a couple of weeks off, but I usually blogged when I was traveling. I have observations, things I want to write down, basically all the time. I don't see the blog as work, to me it's more like a part of living.
			- It may be hard to remember this, but in the early days net connections away from home were exceptional. You didn't get internet connectivity in hotels, there were no cell phones. I once went for a two-week massage course without being able to check my email once. Even listening to voicemail required a drive into town! 
			- A lot of other things happened while this blog was running. Needless to say there were no blogs when it started. There was only email, no instant messaging. No RSS or podcasting, no Twitter, Facebook, Google. Amazon and Netscape were less than a year old. Microsoft tried to take over the web and failed. Steve Jobs came back to Apple and brought us the iPhone. And much more.
			- Anyway, I'm thinking about how I want to celebrate this. It'll be the first time I put any forethought into such a thing. We went through 5, 10, 15 and 20 years with very little in the way of observation. Not sure why this one is special, but it seems that it is.
			- One thing I'd like to know, are there any of the original email subscribers from 1994 around still reading the blog or on the net even? Does anyone have any of the original "Amusing rants from Dave Winer's desktop" emails? I'd actually like to know the exact time on 10/7/94 that the first email went out. 
			- I'd also like to hear from people who read this stuff as it was booting up, as it started from a way to promote a friend's event, to a report on the event, to observations on tech products, to gestalts about <i>holy shit this is an incredible medium</i> posts. It didn't take long for it to become clear that something interesting was happening here. I wonder what it looked like from the other side of the net connection. 
			- Some people said for sure what Dave is doing is preparing to compete with Stewart and Esther, charging $495 per year for a newsletter, and $2000 a year for an industry conference. I was never thinking about that, this blog has never had a business model. I never wanted it to, and I've written about why. I'm sure I could find it if anyone is interested. 
			- Anyway if you have a story to tell about this, email me at dave.winer@gmail.com. What did it feel like to receive the emails. What did you think was happening? When did it occur to you that you could write like I was or did it? Anything that you want to say I'm interested in hearing as long as it isn't flamey. :boom:
		- Why change hurts
			- Ben Thompson <a href="https://twitter.com/benthompson/status/1158623851376304128">tweeted</a>: "The new Twitter for web is hilariously better than the old Twitter. It is amazing the degree to which people hate change."
			- I <a href="https://twitter.com/davewiner/status/1158696279544946688">responded</a>: "There’s a reason. We incorporate the mechanics of software at a subconscious level after repeated use. It’s not amazing that we hate change, it’s rational. Something that used to 'just work' now takes effort to control. Until we incorporate the new UI at a subconscious level."
			- I <a href="https://twitter.com/davewiner/status/1158698843564847106">continued</a>: "I'm typing this on a QWERTY keyboard." Some standard UIs are so strong that they can never be changed. The original <a href="https://en.wikipedia.org/wiki/QWERTY">QWERTY</a> design was optimized to prevent a mechanical <a href="https://en.wikipedia.org/wiki/Typewriter">typewriter</a> from jamming. The keyboard on the iPad I typed that tweet on was completely implemented in software. Nothing that can ever get jammed. But the original reason it was designed that way is long forgotten. It's just the way keyboards are done. There have been <a href="https://en.wikipedia.org/wiki/List_of_Latin-script_keyboard_layouts">attempts</a> to change the design, but they proved too unpopular. 
			- Another <a href="https://twitter.com/davewiner/status/1158702258353258496">example</a>. I can drive any car because there are invariant UI standards for basic controls. I might not be able to control air conditioning or the radio, but I can steer, accelerate, brake, indicate a turn, the same way on every car. It would be chaos if every time you rented a car you'd have to re-learn how to drive. That said, try renting a car in the UK, Jamaica or Japan where everything is on the <a href="https://en.wikipedia.org/wiki/Left-_and_right-hand_traffic#History">other side</a>. It takes a long time to get used to it, even though at a conscious level the difference is simple to understand. 
			- Yet another example, one I like to cite a lot -- <a href="http://scripting.com/2014/11/12/weAreBreakingYourCityDealWithIt.html">imagine</a> if they remapped the streets of a city. "Broadway will run east-west instead of the old inefficient north-south route. Now it will connect the Hudson and East rivers! You'll be able to use Broadway to get to Brooklyn or New Jersey. We encourage developers to build new tunnels that cross these two wonderful third-party opportunities." It doesn't work that way in real cities, but software platforms, managed by Google, Apple or Facebook (examples) often do. Nowadays even <a href="http://this.how/googleAndHttp/">open platforms</a> do. Ugh. 
	- August 5
		- In October it’ll be 25 years since I <a href="http://scripting.com/davenet/1994/">started</a> blogging.
		- The Russians/Republicans must want <a href="https://talkingpointsmemo.com/news/fbi-warn-el-paso-shooting-inspire-domestic-violent-extremists">Americans</a> <a href="https://twitter.com/davewiner/status/1158395296960978944">killing each other</a> in mass murders. The NRA can't be the only reason, in fact, it's hard to see how they're a reason at all at <a href="https://www.vox.com/2019/4/30/18510946/nra-finances-lapierre-north-accusations-corruption">this point</a>.
		- Two years ago today, I observed <a href="https://twitter.com/davewiner/status/1158376179407212546">this</a> about our president.
		- It helps to know something
			- TL;DR -- everyone in tech could benefit from a <a href="https://online-learning.harvard.edu/course/cs50-introduction-computer-science">semester</a> of Computer Science, to help them understand how the products are created. Just like someone in the auto industry should know a bit about how cars work, or in the wine industry how grapes are farmed and turned into wine. 
			- I was just telling a story to Kevin Tofel over <a href="https://www.facebook.com/KevinCTofel/posts/10157548873102082">on Facebook</a> about my first experiences dealing with analysts in the tech industry in the 80s. Kevin is a journalist and a consultant for tech companies. He plays a similar role to the early analysts, in today's context. He's taking Computer Science classes. I've been following along, remembering when the concepts he's learning now were fresh for me. It was a great time of discovery, I love how computers work, then and now -- and it's gratifying, in a way, that they still teach the same basic data structures. I guess they never change? I like that. Linked lists, balanced trees, hash tables and the like. I hope they have him build a compiler, that was the last mystery for me. Once I understood that there's no magic to it, I was ready to learn everything about computers. 
			- Anyway, it amazed me when I was starting out in tech that the expensive analysts had never taken a class in computer science. Didn't understand the basic components of a computer. I wasn't sure how to talk to them. I wanted someone to understand how our outliners worked, and how we had tried two internal models before finding a third that had the good qualities of both and none of the bad. I thought one of the analysts should understand how the increasing capabilities of PCs made these decisions easier, and how we were planning future products based on further expected improvements. When you come down to it, the algorithms Kevin is learning now were important performance considerations for the software we were making, especially in the 80s when computers weren't as capable as they are today. 
			- Then I sold out to a medium-size tech company and they did their strategic planning by inviting one of the analysts in, asking what they should do, and then doing what they said. It was as if you ran a $100 million software company by asking Norm what products you should make. (Norm is Kevin's dog, <a href="https://photos.google.com/share/AF1QipMMhZu6-zCM9bc-4Tc6AJP46Hx1tiS-A9BEHNUfFy0YQsp8tlynNOauUt_dy8VVVA?key=RTlfWVQ0T21IbTVnZE9laGMtak55dWR4cVdNV01R">cute</a> and opinionated, but not too knowledgable about the economics of software.)
			- What I learned is this -- you have to relate to the analysts based on feelings. They have to feel as if you know what you're doing and then they'll echo what you say in your press releases to reporters looking for a quote. Another way to get them on your side was to pay them, by subscribing to the newsletters ($495 per year) and going to their conferences (another $2K per), and if you really were rich you could buy their consulting services (I suppose that the company I sold out to did). 
			- What was interesting/funny is that they sometimes found the trends that mattered even though there's no earthly reason they should have. Maybe they tapped into some thread of knowledge that I didn't. :boom:
	- August 4
		- I'm no artist but I'd love to see "Moscow Mitch" as a <a href="https://twitter.com/davewiner/status/1158107066390761473">babushka</a>.
		- I tried something interesting, an audio response to a <a href="https://twitter.com/davewiner/status/1158080571756687360">tweet</a>. Enclosed here as a <a href="http://scripting.com/2019/08/04/audioResponseToATweet.m4a">podcast</a>. It's so twisted. But listen to it, I think you'll find there's a loop in how news deals with tech. It would be better if we could break out of the loop of course.
		- Pleased the Moscow Mitch <a href="https://twitter.com/search?q=%23MoscowMitch&src=typeahead_click">meme</a> is going <a href="http://scripting.com/images/2019/08/04/mitchPutinHotel.png">mainstream</a>. :boom:
		- If your ice coffee isn't exciting you, try this. Before adding ice or coffee pour a bit of chocolate syrup at the bottom of the glass, then add the ice, then coffee, 
		- <a href="https://twitter.com/Scobleizer/status/1157881945868525568">Scoble says</a> I was right about Facebook in 2010, I don't know if I was, but the archives are <a href="https://www.google.com/search?q=site%3Ascripting.com+facebook&safe=off&rlz=1C5CHFA_enUS743US747&source=lnt&tbs=cdr%3A1%2Ccd_min%3A1%2F1%2F2010%2Ccd_max%3A12%2F31%2F2010&tbm=">here</a>. But now we're in a <a href="http://scripting.com/2019/04/21/171919.html">different</a> reality. Facebook is filling an important role that I had hoped the open web would. Having just moved to a small town in upstate NY, I get the utility of private groups on FB to tie a local community together. More about this in a <a href="https://twitter.com/davewiner/status/1158062223316701184">thread</a> on Twitter. 
	- August 3
		- A guest on Ari Melber last night (I think it was <a href="https://twitter.com/JamalSimmons">Jamal Simmons</a>) said what I've been <a href="http://scripting.com/2019/05/21.html">saying</a> about the 2020 election. It'll probably be a Russian style election where the incumbent gets 98% of the vote. We can't afford to wait for that. Think about all the other crazy stuff the incumbent is doing, that we can see, and then the stuff that is being covered up. Depending on the election only makes sense as a distant Plan B. I think even most Republicans would see that at this time. 
		- If the Democrats played hardball, they’d have a series of votes that force Republicans in Congress to choose between dumping Trump, and decloaking as Nazis.
		- The only way to find out what your users want is to let them speak in a fashion that you <i>have</i> to listen to them.
		- I'd like to see Melo and Jeremy Lin join up and become friends, work out, and reinvent basketball, and then approach the <i>right</i> team. They're smart, still-talented players. I think the stink on both of the comes from the crazy missed opportunity of the Linsanity period.
		- Mailchimp testing results
			- <a href="https://twitter.com/yudel">Larry Yudelson</a>, a longtime reader of this blog has a commercial Mailchimp account and offered to let me use it to test nightly emails for the blog. 
			- I get one test per day. Reminds me of the <a href="https://en.wikipedia.org/wiki/Punched_card">punched cards</a> days of mainframes, only worse. Turnaround generally was less than an hour back then. It's okay though, I find it somewhat relaxing to consider Mailchimp only once per day. 
			- Here's a <a href="https://us2.campaign-archive.com/?e=9b37eab71e&u=872b6dc1474d8545c737dfc44&id=89c814d14c">link</a> to the email for yesterday's blog posts.  I'm not sure how long that link will work, so here's an <a href="http://scripting.com/images/2019/08/03/post.zip">archived copy</a> and a <a href="http://scripting.com/images/2019/08/03/emailtop.png">couple</a> of screen <a href="http://scripting.com/images/2019/08/03/emailbottom.png">shots</a>. 
			- A few notes follow.
				- I have been able to fix a bunch of the problems <a href="http://scripting.com/code/scriptingnightlyrss/email.css">using CSS</a>. But some I can't fix because they put the styles inline. No way to override those as far as I know. 
				- If I could I'd get rid of the top two items. They repeat info included elsewhere. They're the kind of noise people rightly skip over. I like to take that kind of noise out. 
				- They chose a really ugly color for links, and hard-code the font for headlines.
				- It's funny however that some of my overrides work when I view the email <a href="http://scripting.com/images/2019/08/03/correctRendering.png">in the browser</a>, vs <a href="http://scripting.com/images/2019/08/03/wrongRendering.png">in GMail</a>. In GMail their styles dominate. In the browser, mine do. 
				- The way my email address appears in the <i>By</i> line abuses the &lt;author> element in "RSS". If I wanted it to link to an HTML page about me, instead of providing my email address (a real mistake), I would have to break the &lt;author> element. That's fucked up. They should have a namespace that calls for exactly what they want and not force people to break RSS to get a good result. Interop isn't any use if people don't respect it. 
			- Anyway, I can't make it perfect, but I can make it okay. I'm thinking of trying another service that has an API and see if I can make it perform better. They do call this blog <i>Scripting</i> News after all. :boom:
	- August 2
		- I recorded a <a href="http://scripting.com/2019/08/02/listeningToUsers.m4a">podcast</a> yesterday about journalism and listening to users, based on a ridiculous Twitter <a href="https://twitter.com/davewiner/status/1156925544421908482">thread</a> about journalism and listening in which of course the journalists didn't listen. Imho that's why our political system is so out of whack. The public is never heard, their perspective is never represented, and we are never allowed to interject our two cents. I only shared it with Ken Smith, a <a href="https://clas.iusb.edu/english/faculty/smith.html">professor</a> friend from Indiana. He says he was nodding in agreement through the whole thing. Okay, considering that, I decided I should publish it. Maybe you'll like it, maybe you won't. If you're a journalist you probably won't but you should listen anyway. No pain no gain, as they say. 
		- I just gave <a href="https://secure.actblue.com/donate/afa-donate?refcode=20190802.1d">$25</a> to Amy Klobuchar.
		- I don't think the NBA works <a href="https://www.theringer.com/nba/2019/8/1/20749687/carmelo-anthony-comeback-nba">like this</a>, though emotionally I would hate to see Melo's career end now. Same with Jeremy Lin. I think Melo being a <a href="http://scripting.com/images/2019/08/02/meloLin.png">stinker</a> put Lin and <a href="https://en.wikipedia.org/wiki/Mike_D%27Antoni">D'Antonio</a> on the road. I'd like to see Melo apologize to Lin, and make a condition of his restitution that his buddy JL has to be included in the deal. Both role players. Melo a bench forward, Lin a bench guard. They work out together and make something new out of their respective talents.  
		- It'd be interesting to have a <a href="http://bloggercon.scripting.com/iv/format.html">BloggerCon-style</a> mini-conference on grounds for impeaching Trump, with a note-taker, organizing the ideas into an outline in real-time. I see so many ideas, ones that would force Repubs in the House and Senate to vote against Mom and apple pie. One random idea you never hear in the news -- how about impeaching him for hate crimes, inciting violence against blacks, to begin with. Never mind that it would be a great <a href="https://en.wikipedia.org/wiki/Get_out_the_vote">GOTV</a> tactic, and also for fund-raising, it would force Repubs to admit they are Nazis. The sooner they decloak, imho, the better. (BTW, I don't think <a href="https://www.nytimes.com/2019/07/30/us/politics/moscow-mitch-mcconnell.html">Moscow Mitch</a> can table impeachment. The Senate has to actually vote. Key point people overlook.)
		- Need proxy demo app
			- I'm an old school C programmer. 
			- That's the <a href="https://github.com/scripting/oldSchoolBlog/blob/master/oldschool.js">syntax</a> I've mastered for JavaScript.
			- I <i><a href="http://scripting.com/2017/08/30.html#a111904">like</a></i> callback hell. ;-)
			- I want to use <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Proxy">proxies</a>. 
			- I need a C-like example app.
			- Comment <a href="https://github.com/scripting/Scripting-News/issues/122">here</a>.
			- Or <a href="https://twitter.com/davewiner/status/1157333288316473345">here</a>.
	- August 1
		- Here's the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2019/07.opml">OPML source</a> for Scripting News for July.
		- BTW, <i>socialized medicine</i> isn't something to worry about because health care <i>is</i> socialist. Here's the <a href="http://scripting.com/2017/03/08/theWorldIsSocialistPartIi.html">explainer</a>. 
		- Technically speaking <a href="https://twitter.com/seankent/status/1156466287868035072">this</a> is a reporter being an enemy of the people. Sorry, but it's true.
