- May 2020
	- May 31
		- Ultimately imho the only form of protest that works is what Killer Mike <a href="https://www.youtube.com/watch?v=rapfJYfPU38">said</a> in his speech. Kick their asses in the voting booth.
		- We, and the world don't understand something really important. The United States is nothing like the country it was a few years ago. There's been so much change -- it's not reversible. There was still a little hope if nothing changed too much before the November election that we might possibly start to recover in January next year, but a couple of things happened that make that impossible now: 1. Barr. 2. Covid-19. We're way down <a href="https://en.wikipedia.org/wiki/First_they_came_...#Text">Martin Niemöller's list</a>. It's not just people of color that are under attack. The other day the president tweeted that <a href="https://www.washingtonpost.com/politics/2020/05/28/trump-retweets-video-saying-only-good-democrat-is-dead-democrat/">the only good Democrat is a dead Democrat</a>. Life is very cheap now. 100K people died of a preventable pandemic in the last few months and more that number will die before the election. People who are alive right now. Some who are perfectly healthy, privileged, white. When he talks about dead Democrats, listen. Yes, most of the dead are poor people and people of color. But also enough whites and people of priviledge for us all to feel it now. That's a very profound change, it must not be overlooked. But we cling to the same news system. We value the opinions of people who are heavily invested in the pre-Trump-Covid world. People who naturally tell the story of how we will return to what we were. I just got a heavy dose of that watching just a few minutes of the Sunday news on CNN and MSNBC. But we will not be going back to anything like what we were. We need to get in the moment, and get into "save my life" mode for all of us. The protests of the last few days are an impossible dream, you can see that in the police reaction. If we're going not be completely devastated, we need new thinking. I thought the two speeches I linked to yesterday were an excellent start. <a href="https://www.youtube.com/watch?v=rapfJYfPU38">Killer Mike</a>, <a href="https://twitter.com/PabloPerezA/status/1266286333607071745">Angela Merkel</a> and one more, Atlanta mayor <a href="https://www.youtube.com/watch?v=VO7z6m2os2g">Keisha Lance Bottoms</a>. 
	- May 30
		- <a href="https://www.youtube.com/watch?v=rapfJYfPU38">Killer Mike urges</a> calm amid violence in Atlanta.
		- <a href="https://twitter.com/PabloPerezA/status/1266286333607071745">Angela Merkel speaks</a> emphatically about speech. 
		- The <a href="http://scripting.com/images/2020/05/30/youHaveToGoThroughUsToGetToThem.png">picture</a> I liked the best of all that came out of the protests, is a row of white people standing between the cops and the black protesters. Message simple and strong. You have to go through us to get to them.
		- Unix question. Suppose I have a Node app running in the background. Is there a way to send CLI-type commands to the app while it's running? Or do I need to write a small app to communicate with it?
	- May 29
		- Let's all wear <a href="http://scripting.com/2016/12/30/theMlkButtonsArrived.html">MLK buttons</a> to stand in solidarity with our fellow Americans. They're as easy to make as masks, and really make a statement.
		- Here's the news experience I want. As I read Twitter or my <a href="http://river6.scripting.com/">river</a>, and I see an article I want to read, I click the link. I get a preview and a price. Click the button and I pay the price, read the article. No spyware, no ads, nice big font. It's in my story list so I can go back and re-read it any time. This requires a centralized payment system, it could be <a href="https://scroll.com/">Scroll</a> or something similar to it. The tech is not a problem, the problem is the news orgs giving users what they want. Now questions come up -- what's the price? The news orgs set the price. They have to experiment. They could run specials. They could drop the price to $0 after a story has reached a certain threshold, giving readers a further incentive, to help a story they think is important to circulate. Lots of possibilities. We should get on this train asap. 
		- <a href="http://outlinerhowto.opml.org/">What is an outliner?</a> It's a "a text editor that organizes information in a hierarchy, allowing users to control the level of detail and to reorganize according to structure."
		- A pair of pictures
			- Interesting juxtaposition.
			- Protester yells at cop in Minnesota.
			- Protester yells at cop in Michigan.
	- May 28
		- <a href="http://this.how/littleoutliner/versions.opml#1590698591000">Bug fix release of LO2</a>. For a new user, one who has never logged onto LO2 before, there was a problem with the initialization code that creates your first outline. It's possible that you would get a blank screen instead of a new outline. Not a very good user experience. It should be fixed now. If you had previously tried to create an account and failed, it might be a good time to try again. If it works. please <a href="https://twitter.com/davewiner/status/1266109713667821588">let me know</a>. 
		- <a href="https://twitter.com/davewiner/status/1266111959851831297">Who</a> could blame Twitter <a href="https://techcrunch.com/2020/05/28/trump-social-media-executive-order/">now</a> if they deleted Trump's account.
		- I got lots of good suggestions for yesterday's <a href="https://github.com/scripting/Scripting-News/issues/173">prior art search</a>, but no one had advice on getting <a href="http://scripting.com/2020/05/27.html#a183347">iPhone to update</a>. And then the problem got even worse. As I was about to go out for my afternoon ride, my iPhone informed me that it had disabled Bluetooth for everything but my AppleWatch. No explanation of why it decided to do this. On my way out, with no music or podcasts to fill my mind, I thought how ridiculous it was that I had spent over $1000 on this device and I still don't own it. Apple says "I'm sorry Dave, I'm afraid I can't do that." They should change the name of the company to <a href="https://www.youtube.com/watch?v=ARJ8cAGm6JE">Hal</a>. 
		- Journalism has to take chances
			- I was an entrepreneur in my youth.  
			- I've never stopped thinking like one. 
			- Journalism needs to be entrepreneurial. And that means taking risks. And challenging your assumptions. 
			- There seems to be a resolution that "micropayments" don't work.
			- I don't like the term either, because I was thinking of giving them large amounts of money. I like to splurge. I like making impulse purchases. I like voting with dollars, but...
			- As a user, I don't trust subscriptions. It's incredibly hard to change your mind. How many times have you found out that you have to jump through endless hoops to cancel a subscription. 
			- A subscription is a commitment. 
			- I want to date before we get married. 
			- Anyway, every time I try to start a discussion about this, the users agree, and the journalists that show up tell me why they don't have to to listen to scum like me. It really feels like that. 
			- They have to take chances. That's the way of business. And money and business are kind of the same thing. 
			- The biggest chance they have to take is recognizing that their users are sentient and smart and are good people who they are not treating very well. 
			- PS: This started as an email to my friend <a href="https://twitter.com/jeffjarvis">Jeff Jarvis</a>, but I could hear myself saying -- why are you saying this just to him, say it to the world. 
	- May 27
		- Twitter's <a href="https://www.google.com/search?q=twtr+market+cap">market cap</a> is approx $26 billion, so one could buy a controlling interest for $13 billion.
		- <a href="https://github.com/scripting/Scripting-News/issues/173">Prior art search</a>: I'm writing a command line tool to talk with PagePark, a web server running on the same machine. The question is what should the URLs look like. 
		- I get this <a href="http://scripting.com/images/2020/05/27/iTunesErrorDialog.png">cryptic dialog</a> when I try to update my <a href="https://en.wikipedia.org/wiki/IPhone_XS">iPhone XS/Max</a> using iTunes. I've tried all the things the recommend, to no avail. Do you know what it means? I <i>really</i> don't want to reformat the phone. 
		- I picked a good time to leave the city for the country -- March 2019. Just enough time to get established. I don't think I would have done very well in a 1-bedroom apartment in the middle of Manhattan. 
		- I think it's going to turn out the virus isn't as infectious in the summer than in the cold months because it doesn't transmit well outdoors, and people spend more time outdoors in summer than winter.
		- Old TV shows had a <a href="https://en.wikipedia.org/wiki/Laugh_track">laugh track</a> that simulated audience applause and laughter. This was before they started recorded sitcoms in front of a live audience. As a little kid, I thought they must have little microphones in the TVs, maybe only some of them (not mine of course) and they could pick up the sounds made by people at home. The laugh track and other audience sounds were real, little Dave imagined. So you gotta wonder why they don't do actually that for <a href="https://morningconsult.com/2020/05/27/sports-poll-fans-prefer-natural-sound-in-telecasts/">live sports events</a> in the upcoming seasons for basketball, baseball, hockey, football, etc -- when there won't be any fans in the stadiums and arenas. You could even pipe the audience sounds into the venue so the players can experience them. The technology is totally up to it. Why not have some fun with it?
		- BTW, what do you think the odds are that one of the sports players contracts Covid-19 during these new experimental seasons. I figure it's a near-certainty. And what happens then? Do they keep playing? 
		- Where did RSS come from?
			- On Twitter, <a href="https://twitter.com/ejoep/status/1265522849973927940">Joe Pezillo says</a> he's pretty sure Dave Winer (me) got the idea for "RSS" from Newton. He's also pretty sure I won't admit it. He's wrong on the first count, and right on the second. :smile: 
			- I wrote a tweet that was too long to fit in 280 chars that lists the steps that led to what we think of as RSS today. It wasn't an <a href="http://scripting.com/stories/2010/11/11/didYouInventRss.html">invention</a> as most people think of invention, it was more of a synthesis, one idea leading to another and then another. 
				- It started with seeing <a href="http://scripting.com/davenet/1996/01/14/cnnonyourdesktop.html">Pointcast</a>, being blown away by the idea. 
				- Then a <a href="http://scripting.com/davenet/1997/11/25/Thanksgiving1997.html#4">guy</a> from Microsoft wanted me to do something with XML, so I turned my <a href="http://my.userland.com/stories/storyReader$11">blog into a feed</a>.
				- Then Netscape reinvented what I did.
				- Then I said OK let's do it your way. 
				- Then someone leaked the XML feeds for the NYT to me.
				- Then I repurposed them and published them so people could use them from Radio UserLand. 
				- Then they shut me down (they were nice about it). 
				- Then they <a href="http://scripting.com/davenet/2002/04/10/newYorkTimesAndUserland.html">let me have them</a> for free.
				- Then we <a href="https://scripting.wordpress.com/2006/02/09/how-the-ny-times-came-to-support-rss/">turned</a> them into "RSS" feeds. 
				- Then RSS took off like a bat out of hell! :boom:
			- And thus was born what we now think of as RSS. 
		- My development platforms
			- Main development platforms over time.
				- 1974: Fortran
				- 1976: BASIC
				- 1977: Simula
				- 1978: C/Unix
				- 1979: UCSD Pascal
				- 1981: Microsoft Pascal
				- 1987: Lightspeed C
				- 1989: UserTalk/Frontier
				- 2013: JavaScript
		- Forgive the Karen
			- Anyone who lives in Manhattan and has made it through the last few months without going completely crazy deserves a prize.
			- The <a href="https://www.nytimes.com/2020/05/26/nyregion/amy-cooper-dog-central-park.html">Karen story</a> with the off-leash dog in the <a href="https://en.wikipedia.org/wiki/The_Ramble_and_Lake">Ramble</a>, an area I am familiar with, imho deserves a second chance. Wouldn't that be great if out of the virus we learned to forgive. Give her the dog and the job back and accept her apology. 
			- As someone who used Central Park when I lived in the city, the rules are broken a lot, my peeves were no smoking and no bike riding on the walking paths. Two rules I felt strongly about, as the man did about off-leash dogs interfering with birding in the Brambles. 
			- A lot of NYers, even when they aren't stressed by isolation, act in a way that might look insane to someone not from NY, when you say they've violated the rules governing use of space. 
			- And NYers are sensitive to those rules being broken because there is so little space. It's kind of a powder keg that way, even in normal times. 
			- She did something awful, but it doesn't rise to the level that requires her life to be destroyed. I think it would be good for all of us if we perhaps just this once practiced forgiveness.
	- May 26
		- The user experience of news sucks. I remember how software exploded when we put the focus on ease-of-use. News people underestimate the power of happy users.
		- <a href="https://en.wikipedia.org/wiki/Laurie_Garrett">Laurie Garrett</a>, one of the most knowledgeable journalists about pandemics, who is frequently interviewed on TV and speaks science clearly, has an awful video setup in her apartment in Brooklyn. The video and audio quality should be great, so everyone can hear what she's saying. She <a href="https://twitter.com/Laurie_Garrett/status/1265045919944376321">asked for help</a> on Twitter, I <a href="https://twitter.com/davewiner/status/1265046857304203264">jumped</a> on it, putting out an appeal for help and Logitech, the company who makes the <a href="https://www.logitech.com/en-us/webcams?filters=3801">webcam</a> she uses, just <a href="https://twitter.com/Logitech/status/1265363156861247488">closed the loop</a>. Tech helping journalism in the new media age. I love it. Perfect. 
		- Why is the only way news orgs will accept money from readers subscriptions? Before the net I could buy a single edition of a newspaper or magazine without a long term commitment.
		- The idea of a self-contained news product you subscribe to is a vestige of the way news used to be distributed. Now, in my Twitter timeline, or RSS <a href="http://scripting.com/images/2020/05/26/riverScreenShot.png">river</a>, I see links to stories all over the place. This is the way I want it. I want a mix, my choice.
		- GitHub, platform for time capsules
			- An idea..
			- Microsoft owns GitHub.
			- When I post a project to GH, I'm hoping I'm preserving that work for a long time. As long as MS exists? Would be cool.
			- This is something MS could market. Think of the repos at GH as time capsules. 
			- Tech can be imaginative. Like this. ;-)
			- PS: Chad Tolkien <a href="https://twitter.com/c_tolkien/status/1265381771572469760">says</a> they are <a href="https://archiveprogram.github.com/">planning</a> on it, but it's only for some projects. So it's going to have a Microsoft bias. Oy. I want to send my stuff into the future so they can use it as prior art for the software they'll be doing then. 
		- Bug reports, not pull requests
			- Basic philosophy: If you spot a mistake, I want to know about it so I can fix it. Always.
			- Now here's the background: I share most of the software I write as open source <a href="https://github.com/scripting?tab=repositories">on GitHub</a>. Sometimes people report bugs by submitting <a href="https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests">pull requests</a>. That doesn't work out very well because I write my code in an outliner, and it generates the JavaScript code from the outline. So what you see as source on GitHub actually isn't what I edit. I couldn't accept a pull request to the generated code. It would just be wiped out the next time I made a change to the outline and re-generated. 
			- So the best thing to do when you spot a mistake is flag it as an issue in the repo, point to the code in question if that's helpful, and I'll thank you and make the fix myself. 
		- Davey RTseed
			- I'm like <a href="https://en.wikipedia.org/wiki/Johnny_Appleseed">Johnny Appleseed</a> of RTs. 
			- I like to just swoop in and RT something and share a sexy idea from someone else with the people who follow me.
			- It's like opening up a worm hole in the universe. 
			- We get a peek of someone else's reality.
	- May 25
		- <a href="https://www.youtube.com/watch?v=viO4Nz7DyHI">New Biden ad</a>. It's true. Trump is a deer caught in the headlights. A president who can't handle a crisis is no president at all. 
		- As I wrote <a href="http://scripting.com/2020/05/24.html#a180909">yesterday</a> I really liked Season 2 of Homecoming. I noted that it's based on a <a href="https://gimletmedia.com/shows/homecoming/episodes">podcast</a> from Gimlet of the same name. I've started to listen to that. It's also very good. I like the whole thing. I think finally I'm going to have to re-watch Season 1 on Amazon, to complete the experience. 
		- So what a nice feeling that a podcast started all that. I can't recall any pundit saying Podcasting is really great. It's made my life so much better. Hooray for podcasting, or something like that. All they write about is how it's going to <a href="https://www.google.com/search?q=spotify+kill+podcasting">die</a>, as if they have a clue.
		- Podcasting: An always-renewing and expanding explosion of creativity and utility. Because people have something to say.
		- In The Atlantic Tom Nichols <a href="https://www.theatlantic.com/ideas/archive/2020/05/donald-trump-the-most-unmanly-president/612031/">writes</a> that Trump is not a manly president. I don't particularly care for that approach, I think honor and modesty are traits that should apply regardless of gender. We have the president we deserve. We're the country that went to war without a draft, whose citizens got tax cuts while at war, whose citizens expect more of that, to us it's never enough. We expect to be able to inflict chaos around the world and somehow never to be touched by it ourselves. That's why people are out partying with abandon this weekend. They can't imagine they can pay a price. There's a reason Vietnam is responding to the virus so incredibly well and we're responding so poorly. They remember fighting for their independence. To us, independence is a birth right. A distant memory that's become perverted. We have to fight for it again. The virus is giving us that chance. We can't get out of the pandemic until we grow up as individuals and collectively. Trump is the right president for who we are. We won't get a better one until we deserve a better one. 
		- <a href="https://www.washingtonpost.com/opinions/2020/05/25/can-we-stop-pretending-trump-is-fit-be-president/">Can we stop pretending</a> Trump is fit to be president? Admitting that, and incorporating it into public discourse, is on the road to moving beyond Trump. 
	- May 24
		- Taking it easy today, not much writing or programming. The weather has turned gorgeous, real upstate NY summer weather. After a long winter and an even longer almost-spring, including snow on May 9, and a pandemic, it's pretty ecstatic weather, luxurious, great-to-be-alive type weather. It's the contrasts that make the eastern part of the US so much more livable than the west, say I, a native son of the east who spent many years in the west.
		- I'm always looking for a good binge, and I found one. The <a href="https://en.wikipedia.org/wiki/Homecoming_(TV_series)">second season</a> of <a href="https://www.vulture.com/2020/05/homecoming-season-2-review.html">Homecoming</a> is out, on <a href="https://www.amazon.com/dp/B085SW2PFQ/?ref=dvm_us_dl_sl_go_ast_522HO|m_2aaNnzkwc_c436988553276&gclid=CjwKCAjwtqj2BRBYEiwAqfzur97nIZDGWdlC1jUutPGDdtug_T52f__inue8ztQOoGDGkQsFlYfKrBoCP3oQAvD_BwE">Amazon</a>. I started it the other night instead of watching the news. I had forgotten most of the plot of the first season, I remember liking it, but it didn't leave much of an impression. The second season is nicely done, has a Mr Robotish feel, there's a constant stream of twists and surprises, it's fun and so far intellectually gratifying, and it reviews the plot of season 1 as it goes. We have an inkling of how it will end because the first episode is about how it ends, or so we are led to believe. I don't know otherwise because I still have a few episodes to go. But nothing in this show is a straight line, and as I said it's well done. I especially like the end of each episode. They end with a twist, but they stay wtih the scene as the credits roll. I had not seen this technique before. 
		- <a href="https://twitter.com/davewiner/status/1264631259923431425">Thread</a>: A friend tells me that Node does breaking releases regularly. I've been working in Node for seven years so far and it hasn't affected me yet. So they must not be heavy earth-shaking things.
		- I have been trained not to click on links to most news sites because the experience is so unpleasant.
	- May 23
		- <a href="https://en.wikipedia.org/wiki/Horse_race_journalism">Horserace journalism</a> has never seemed less relevant.
		- Anybody thinking how we can lobby the Senate to support local governments so we continue to have police, fire, sanitation, health care, teachers, etc. 
		- Opening churches could flush out the last of Trump's  supporters who'd be ok if he shot someone on Fifth Avenue. The key assumption was that he was shooting someone else, not them. Maybe George Soros or Al Sharpton. I don't think they stick with him if shoots their neighbor from church.
		- Read this <a href="https://politicalwire.com/2020/05/23/quote-of-the-day-2571/">quote</a> from the Republican governor of North Dakota about masks. A silver lining to the pandemic is the only way out of it is to cut the level of insanity to zero and start acting according to science. There is no other way out of it, assuming you don't want to bet exclusively on a miracle. Either we stay collectively insane, we'll all get the virus, sooner than later, and a shitload of us will die, and the survivors will have a new Dark Ages. If we could only apply the objective brainpower to this problem that we do to a sports game like football or basketball. There is a winning strategy but it requires teamwork. 
		- When you hear someone you love and think is smart and literate say Oh it's no big deal if I catch the virus, say "I love you and you're smart and literate, and please <a href="https://thesunmagazine.org/issues/534/just-this-breath">read this story</a>, because you're wrong about it not being a big deal." Perfect example of "save my life" story-telling.
		- I've heard reports of people having trouble unsubscribing from the <a href="https://scripting.com/email/">nightly email</a>. If you've been having trouble, please let me know by respoinding to the email.
		- Listening to the virus
			- The latest save my life <a href="https://thesunmagazine.org/issues/534/just-this-breath">story</a> (must-read) makes me wonder how to listen to people we support. People who are suffering. What conclusions to draw from what they say? 
			- This is part of the "we're going to have to learn to live with it" approach, which is another part of "save my life". It's not only about medicine, math, politics, money and power -- it's also about individual people who need -- what? How can we help? How to listen? How can we help? What to say? And how can we help?
			- The author wasn't able to convey her condition to the first doctor over the phone. I wanted to know how the doctor could do better. Also how the doctor could have made a difference when there was no treatment, at the time -- not sure if there's treatment possible now, even.
			- It's about more than science. It's about us. 
		- Node deprecates request
			- This is a technical post. 
			- The three words in the title of the post are noun, verb and subject. 
			- Let's go through them one by one.
				- <b><a href="https://nodejs.org/">Node</a></b> is a popular developer platform with set of common libraries called packages. It's based on JavaScript which is a very popular language. And its power comes from the very deep set of freely usable code you can build on. That part is the reason why I switched to JavaScript in 2013. I wanted to tap into the work of all the other developers using Node. That it was JavaScript was incidental, and honestly the Node platform had nothing to do with it, because at the time I switched I had little idea what it was.
				- <b><a href="https://techterms.com/definition/deprecated">deprecates</a></b> is a word that platform vendors use when they are going to break the implicit promise that the platform you're developing on is stable. The word <a href="http://scripting.com/davenet/1995/08/22/whatisaplatform.html">platform</a> implies stability. The fact that platform vendors can do this is one main reason we like to work with open source software, because if we don't agree with what they're doing, we don't have to go with them, which hopefully means they'll be less willing to break us.
				- <b><a href="https://www.npmjs.com/package/request">request</a></b> is possibly the most used package in Node. I'm not sure. But since Node is used to make servers and one thing servers do a lot of is call other servers to get information, and request is pretty much the only way to do that, you'd have to say even if it isn't the most popular package, it certainly is one of the most important. If you were to remove request almost all Node apps would break. And that is exactly what they're doing. It won't work. I'm sure of it. And they don't know it yet. But they'll find out. 
			- A couple of stories to go with this.
				- Back in the late 90s when we were working on a new version of "Frontier", we were generating a lot of new routines for developers to call. We had packages of routines called suites, and as we were generating them we didn't know which package an individual routine would go in when the new version was finalized. So we created a temporary package called <a href="https://www.google.com/search?q=site%3Ascripting.com+toys">toys</a>, disclaimed it would be deprecated before we shipped. We gave it a silly name so people would remember it was doomed. I said to devs, don't depend on anything in toys being there after we ship. Well, as promised, when it came time to ship, we sorted all the routines in toys to their permanent homes and deleted toys. Everything broke. Everything. The outcry was so loud and angry that we put toys back. The lesson is this, when you ship something to developers you're stuck with it, so be sure you can live with it when you ship. You have to live with your mistakes too. Clearly the Node developers think <a href="https://www.npmjs.com/package/request">request</a> is a mistake. Well tough shit, you have to live with it. Sorry I didn't make the rules. :smile:
				- Dave Gandy's company makes a product called <a href="https://fontawesome.com/">Font Awesome</a>. It's great. When it came out I knew I was going to use it. I had even been asking someone to do what it does. Anyway, when they came out with a new version, they broke lots of stuff. The conventional wisdom was if the new version is a "full point release," like you're going from version 4 to 5, you can break whatever you want. Well it was a huge setback for Font Awesome and it got users (like me) to fear upgrading to new versions. If they want to improve their product, Dave and his company learned, they would have to add functionality, they can never take functionality out. I <a href="http://scripting.com/2020/02/16.html#a180941">wrote it up</a> in February of this year, which feels like a decade ago! :-)
			- At UserLand we came up with the fundamental rule, so fundamental that we called it Rule 1. It was this: Don't break users. There's nothing more sacred in the relationship between platform vendors and the devs. 
			- So with all that background, I wonder what the Node platform vendor thinks we should use in place of request? To make it as smooth as possible it should just <i>be</i> request, of course. :boom:
		- Me, as a kid
			- My brother found this picture of me as a kid in my father's photos.
	- May 22
		- New version of <a href="https://github.com/scripting/publicfolder#readme">publicFolder</a>, a Node app that runs on your desktop and keeps an Amazon S3 location in sync with a folder on a local disk. It's available as an NPM package and an Electron app. I use it to publish this.how, and am starting to use it in place of Dropbox. Much lighter weight, and I have all the source (and so do you). 
		- I have a <a href="https://en.wikipedia.org/wiki/Subaru_Forester">Subaru Forester</a>. Nice car. But every so often the rear door refuses to open. Three beeps. So I <a href="https://www.google.com/search?q=subaru+forester+open+rear+gate&rlz=1C5CHFA_enUS743US747&oq=subaru+forester+open+rear+gate&aqs=chrome..69i57j0l6j69i61.12667j0j4&sourceid=chrome&ie=UTF-8">search</a>, have trouble finding an answer. So confusing, they talk about buttons my car doesn't seem to have. Anyway it turns out if you hold the touch point for six seconds it'll open the rear door. Software glitch of some kind. From then on it works as normal. Wonder what the logic is. If it has the means to reset itself why doesn't it just reset itself without me having to jump through hoops?
		- On Maddow last night an interesting observation as to why meat packing plants are even worse than we thought. Recall that enclosed spaces with lots of humans present for long periods of time are bad. The virus has plenty of time to become dense, which it needs to be infectious. But meat packing plants are also loud, lots of machinery, so people have to yell to be heard. And when an infected person yells they emit more virus, contributing to greater density, therefore more transmission. 
		- Virus in summertime?
			- My longtime friend <a href="https://duckduckgo.com/?q=site%3Ascripting.com+matt+ocko&t=hk&ia=web">Matt Ocko</a> <a href="https://twitter.com/mattocko/status/1263795877103071233">says</a> it's hot in Brazil and they have a lot of virus there, so the virus must do okay in heat, so therefore no reprieve during the summer in the US. 
			- I don't know whether the virus does better or worse in summer months, but saying it's doing fine in Brazil doesn't add much data about how it will do in the US in the summer. 
			- Maybe the virus doesn't care about the heat, but humans behave differently when it's warm. We spend more time outdoors, and the virus isn't as infectious outdoors, because it's the virus <a href="https://twitter.com/davewiner/status/1263787622859771904">load</a> that determines how infectious it is. At least that's what we currently think.
			- Human bodies are generally in better shape in the summer. That might make us better able to fight the virus. 
			- Brazil is a different place from the US and is responding socially to the virus differently, so it's hard to conclude anything about what happens in the US based on what happens in Brazil. 
			- And of course the US is a very varied country, so what happens in NYC is different from what happens in Calif, is different from other parts of New York State for that matter. 
	- May 21
		- <a href="https://twitter.com/friedberg/status/1263508830823968768">Pretty remarkable</a>. Is the common cold a vaccine for Covid-19?
		- <a href="https://www.statnews.com/2020/05/21/coronavirus-hijacks-cells-in-unique-ways/">Or a drug that</a> prevents the virus that is not a vaccine?
		- <a href="https://twitter.com/davewiner/status/1263624150108831744">Poll</a>: You see a friend on Facebook doing something ridiculously unsafe. His barber made a house call. A picture shows them in a selfie, touching, breathing presumably, no masks. Comments say how nice he looks with new haircut. 
		- All you have to do is write an article that says <a href="http://isrssdead.com/">RSS is Dead</a> and you'll get lots of clicks, and I'm not sure if anyone will believe you or think you're smart, but you are wrong. Those articles have been written for <i>decades, </i>and my friends RSS is built-in, like HTTP and HTML, DNS, SMTP, POP and all the other michegas that makes up the net. The stack never gives up anything. Also since it never was alive, how can it be dead, n'est-ce pas? 
		- I don't see the point of a presidential campaign. There's no way it can rise above our focus on the virus. Everything in the campaign should go to saving lives, just as journalism wastes our attention on the horse race. The war is <i>in</i> American now. This isn't some far-away thing. It's killing Americans. Now. 
		- I wrote <a href="http://scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">this piece</a> in the month after my father's death in 2009. I call that event <a href="http://scripting.com/stories/2009/10/03/fathersDay.html">Father's Day</a> on my blog. Anyway, I know someone who lost her father last week, to CV, and wanted to share my <a href="http://scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">writeup</a> of a talk by Bruce Sterling. It's about the big moments in our life when change is more than something we dream about. It seems this is a door that's opening for all of us now, so why not post it publicly. And thanks to Sterling for putting this idea out there, so eloquently.
		- Gatekeepers pass on ideas from people they respect and not people they don't. It's natural. I do it too. But I've been wrong a number of times this way, and then missed out on important ideas. So I try to pay attention to unusual thinking whether or not I like the person doing the talking. It can be hard to overcome judgement, but it's often worth trying.
		- State of the virus
			- Here's where we're at with the virus in mid-May 2020.
			- Top line: It makes no sense to "reopen" from the lockdown in the US.
			- The purpose of the lockdown was to freeze everything so we could get our act together. To monitor outbreaks of the virus the same way we track the weather. It's not the testing itself that's so important, it's the weather report. There are other methods, like sampling the sewage a community creates. We have to know where the trouble spots are so we can respond. It's like the map of battlefields in a war. We can't respond if we don't know where the outbreaks are, and right now, we don't. 
			- Once an outbreak happens we lock that community down, the same way people would shelter if there were tornoados forecast or a blizzard, or fires like the ones they have in California and Australia. How long do they stay locked down? Until the outbreak is over. People need to be ready for this and that's accomplished through communication and trust. In the US our leaders are not trustworthy and they are removing channels of communication.
			- We need to isolate people who are infected. Sending them back to their family just means the family members are likely to get infected, feeding the outbreak. 
			- In the US, none of this is working. We can't track outbreaks, there is no weather report. We can't isolate people who are infected. We're still at the beginning, more or less where we were in March, though the virus is distributed all around the country now. Most people don't know how dangerous the virus is. The communication field is flooded with lies from the government. 
			- We're going to have to hit the wall repeatedly until the people understand how this works. Countries in Asia had an advantage, they had to deal with recent pandemics that never made it to the US, presumably because our health systems and political leaders kept us safe without us being aware. We can't seem to learn from their experience, we will have to go through it ourselves.
			- We're reopening because we don't know better. Our government included. There will be new spikes, more sickness, suffering, incapacity, death. The economy will go into a deeper recession, which will be harder to recover from. 
	- May 20
		- I was talking with an old software developer friend <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22don+park%22&t=hk&ia=web">Don Park</a> yesterday. First project we did together was in 1988. He did a <a href="http://scripting.com/2018/10/15.html#a141614">Mac INIT</a> that enabled interprocess communication. It was part of the foundation we built "Frontier" on. We got around to JavaScript and he said I should make packages anyone can use. I said Don I do! No one knows about them, he said. Yeah, but I tell them. Heh. Maybe I should be doing PR. Finding the bloggers who are most influential about new packages that make JavaScript developers lives' easier and more interesting. Anyway, to start, I <a href="https://twitter.com/davewiner/status/1262801291597791235">sent</a> Don a pointer to my <a href="https://www.npmjs.com/package/davefeedread">davefeedread package</a>. It's a Node package that makes it <i>easy</i> and fast to read a feed. Any flavor of RSS or Atom. GIve it a URL and it calls back with a JavaScript object for the whole feed. Includes a simple example, sort of a <a href="https://github.com/scripting/feedRead/blob/master/examples/readurl/read.js">Hello World of feed reading</a>. What you do from there is up to your imagination. It's the easiest way to read a feed in Node. A good place to start. :boom: 
		- <a href="https://www.youtube.com/watch?v=an3mjntoUgk">This little bird</a> has been attacking a window in my house for hours. 
	- May 19
		- <a href="http://scripting.com/2020/05/19/densityIsWhatMatters.m4a">Quick podcast</a>. Density-over-time is what matters in whether you get infected by the virus. To get infected there has to be a high density of virus and you have to be there for a relatively long time. Distance isn't the only important thing. I've been reading this between the lines of what experts talk and write about. I checked it out with my biomedical researcher friend. He says yes, it's the area under the curve that determines the infection rate. 
		- I know it's redundant to say Trump is full of shit, but his campaign <a href="https://www.politico.com/news/2020/05/18/us-sticks-it-to-who-as-xi-offers-vaccine-hope-265346">against</a> the <a href="https://en.wikipedia.org/wiki/World_Health_Organization">WHO</a> is very bad, even for Trump.
		- JavaScript is getting away from worse-is-better
			- I’ve been programming almost exclusively in JavaScript since 2013. I’ve mastered callbacks, have no use for promises and most of the other fancy new stuff. I believe in minimal languages. The bloat in JavaScript is undermining what was attractive about it, it was a <a href="http://scripting.com/davenet/1995/08/22/chinesehouseholdrevisited.html#5">consensus platform</a>. Having a common syntax for programming cuts costs, makes it easier and therefore more likely to share ideas, and avoid the setbacks that come from reinventing the wheel. Now it's splitting up into a lot of different syntaxes. We're getting close to where we were before everything coalesced around JavaScript. It takes a <a href="https://en.wikipedia.org/wiki/Worse_is_better">worse-is-better</a> language to be the consensus. As a messy hairball that means different things to different people, it doesn't serve much of a purpose at all. However, I am invested, and am sticking with the core syntax I use, maybe others will do the same. 
		- Viruses in both worlds
			- Viruses on computers and viruses in the real world are interesting to compare. Right now I don't know if my computer, a Mac, has a virus, but there are no obvious symptoms of it being infected. That does  not mean it's not infected. 
			- When there's a virus going around, it screws up everything. Back in the 00s when viruses were running wild on Windows machines, I was a Windows user. Over time you learned how to defend against them. For example, when they offer you an ad-free version of an app, you say no. That was just the beginning. We were always trying to keep our computers virus-free, but eventually the viruses would figure out a way around our defenses, and we'd be spending all our time fighting it, until we got our machine uninfected, or at least without symptoms. 
			- So, the way we're dealing with the new coronavirus is the way computer newbies deal with computer viruses. I know because I have supported a virus neophyte, my mom. The current US govt is behaving pretty much the way she would. She didn't want to learn the rules, and she wanted to pretend it was okay, get back to business as usual (checking her email, writing a blog post). All the while she's got something watching and recording her every move and looking for a chance to infect some other computer. 
		- Programming milestone
			- I just got something neat working, "PagePark" integrated with <a href="https://github.com/foreversd/forever#readme">Forever</a>. So now I can create a sub-folder of the domains folder, and put a Node app in it. PagePark will see it when it boots, and launch the app with Forever, running as a package, with no UI. PagePark tells it what port to run on via <a href="https://www.quora.com/What-is-process-env-PORT-in-Node-js">process.env.PORT</a>, which is a standard. That's how PagePark, which is foremost an HTTP server, knows how to route requests to the app. 
			- I've always suspected this is where Forever belongs, but it took a few iterations over a couple of years to get to this place. The pieces all snap in place. 
			- Further, I did it on a server without Dropbox running on it. The Linux version of Dropbox appears to be an unmaintained mess. It feels so much more solid not depending on it. 
	- May 18
		- Pretty much everything in the news that draws attention away from the danger of the virus is imho off-topic, maybe even unethical. Your readers are in danger. Many don't know it. Find ways to make them understand.
		- An observation about servers on Node.js. Node is optimized for servers that handle millions of requests an hour -- to run services like Google and Facebook. Billions of users. But Node is most often used by services with far fewer users. Tradeoffs are everything in software. There should be popular server software, based on JavaScript, that creates more reliable, debuggable, easier to write servers, for the loads most people really have.
		- Cuomo is going to make mistakes. At least he's managing the state's response to the virus. Other states can't say they have a governor doing that. And the country doesn't have a president. Also, be careful what you call a mistake with the benefit of hindsight.
		- We're seeing videos of customers going crazy in stores. This had to happen. People are under great stress. On both sides of the counter. It's going to get worse and worse.
		- The problem I have with <a href="https://www.nytimes.com/2020/05/17/business/media/ronan-farrow.html">Farrow’s reporting</a> is that as a reader I’m expected to judge against the subject, without either of us having enough info to do that.
		- Examples of #savemylife journalism
			- I spoke for an hour yesterday with "NakedJen" in Salt Lake City. 
			- The pandemic there is very different from how it is where I live. Even though I moved to the country, I still live very much in the influence of NYC, which has suffered greatly. Massachusetts is less than an hour away by car, has been hit hard too. But in the mountain west, where Jen lives, a Republican territory, they <i>aren't</i> hunkered down like we are. Jen and her family of course are. They're smart. 
			- My conclusion has been this: we're going to have to hit the wall a couple more times before everyone understands how frightfully scary and unknown this virus is. It would help if the US government were leading, but that wouldn't be enough. People who were terrified by 9/11 certainly have the capacity to understand the danger of the virus, they just haven't seen it yet. They will, I'm sure of it, because there's no other way out of the conundrum.
			- I think everyone should read three bits of writing before they risk their lives or those of others before trying to resume their former lives. 
			- Start with <a href="https://www.nytimes.com/2020/05/14/opinion/coronavirus-young-people.html">Mara Gay's first person account</a> of getting and "surviving" the virus in the NYT. She's young, fit, got the disease in mid-April, and it's destroyed her health. That's not too strong a word based on her account. People may not know this isn't binary, you don't just live or die. Some people survive and have lingering incapacity. How long does it last? <i>No one knows. </i>We are exploring uncharted territory in the US because other countries halted the pandemic before they got to the stage we're at. I hope she fully recovers. I'm worried that she won't. She tells a powerful story. Uses her position on the <a href="https://www.nytimes.com/interactive/2018/opinion/editorialboard.html">Editorial Board</a> of the Times in a noble way, in a blogger's way, btw.
			- Speaking of bloggers, you should also read <a href="https://www.zeldman.com/2020/05/16/its-a-good-day/">Zeldman's account</a> of getting Covid-19 in mid-February and still is incapacitated. His daughter has it too. He's going through the same thing, though he's considerably older than Gay. 
			- A random thought. We're hearing about younger people, some very young, who are having horrific experiences. Why aren't we hearing these stories from older people? Possibly the older people don't survive to become incapacitated. Maybe Covid-19 is long-term a young person's disease after all. Remember it isn't binary. 
			- One more must-read piece -- <a href="https://www.newyorker.com/science/medical-dispatch/amid-the-coronavirus-crisis-a-regimen-for-reentry">Atul Gawande's checklist</a> of how medical personnel in Boston are avoiding getting the infection. It's not any one thing, they do it by carefully incorporating the techniques the CDC recommended before they were silenced by the US government, the ones followed by the winners, South Korea, Taiwan, <a href="http://scripting.com/2020/05/02/145311.html?title=coronavirusInVietnam">Vietnam</a>, China. 
			- All three pieces fall strongly into the category of "save my life" journalism. Rather than inciting fear, Gawande shows us how to calmly and systematically increase our odds of not getting the disease. If I could make reading these pieces a requirement to continue reading my blog, I would. I want the smartest readers. Being smart is an investment, you learn what others are learning and think and do what you have to to protect yourself and others. 
			- Stay safe and wash your hands! :heart:
	- May 17
		- There's a <a href="http://scripting.com/images/2020/05/17/cuomoPodcastImage.png">new graphic</a> for the <a href="http://this.how/cuomo/">Cuomo Briefing Podcast</a>. I thought about putting some text on it, but decided a simple color picture of the governor was sufficient. If people want to give it a try, send me your version. I'm totally open to improvements. BTW <a href="http://scripting.com/images/2020/04/04/cuomoBriefing.png">this</a> is the original version. 
		- <a href="https://github.com/scripting/Scripting-News/issues/172">Braintrust query</a>. I'm getting what appears to be an internal error with NPM. Others have reported same problem. Looking for a fix or workaround. Help much appreciated. ;-)
		- Problem solved. Whew. Thanks to <a href="https://github.com/aaronaxvig">Aaron Axvig</a> for his <a href="https://github.com/scripting/Scripting-News/issues/172#issuecomment-629856375">help</a>. Upgrading to a new version of Node fixed the problem, whatever it was. 
	- May 16
		- I've heard it said that the lockdown in NYC hasn't been very complete, but look at this <a href="http://scripting.com/images/2020/05/16/timesSquare.png">snapshot</a> of a Times Square <a href="https://www.youtube.com/watch?v=AKjNfj3ZVXw">webcam</a> at 1:40PM on a sunny warm Saturday in May. First question I'd ask is how did they do it?
		- <a href="https://twitter.com/davewiner/status/1261674255869231105">Poll</a>: "Was the lockdown necessary or is this "reopening" stuff a massive delusion that's going to result in Pandemic 2.0?"
		- This <a href="https://www.newyorker.com/science/medical-dispatch/amid-the-coronavirus-crisis-a-regimen-for-reentry">piece</a> in the New Yorker is a model for how post-Covid journalism should work. Instead of writing the first draft of history, tell me how to "save my life". In a vacuum of leadership, that is killing your readers, you could fill it. 
		- It's funny what kinds of businesses do well in the current environment. Restaurants -- not so good, it seems. But bike stores? Doing a great business. Everyone wants a bike.
		- Our goal
			- Our goal must be to eliminate the virus.  
			- But it can't happen with Trump as president. 
			- This is a horrible disease. We don't even know how horrible it will get. You don't want it. I don't either.
			- We can't wait till the election.
		- Bike ride notes
			- Huge number of sirens near my house in the country earlier this afternoon. Really frightening and weird. Later on my daily ride, I figured out what it was. There were signs on the road about a birthday celebration. Obviously all the emergency vehicles were wishing the person a happy birthday. It was a huge demonstration. I speak from having lived in midtown Manhattan, how surprising to hear something so loud, like that in the country. When I was trying to figure out what it was earlier the only thing I could think of was that there had been a terrorist attack, a very large one. But here? In the middle of nowhere? It's not a good thing to disturb the peace like that, especially in such a peaceful place.
			- Also on my <a href="https://www.youtube.com/watch?v=F4ev-H_XBQQ">ride</a> today I came across a lot of walkers and riders, I was the <i>only one</i> wearing a mask. That's not a good feeling, gotta say -- I did my part to protect them, but they didn't reciprocate. Not one person wearing a mask.
	- May 15
		- A 20-minute <a href="http://scripting.com/2020/05/15/letMeGiveYouMoney.m4a">rambling podcast</a> with two simple ideas for journalism: 1. The customer is always right. 2. Let me show you how to make it easy for me to give you money.
		- In news everything is a race between two political parties. The reds and the blues. There are other perspectives, for example I have the perspective of a citizen: voter, taxpayer, juror, soldier (according to the president), and now -- possibly infected, transmitting, part of a death toll. Yesterday's <a href="https://www.cnn.com/2020/05/14/politics/coronavirus-whistleblower-testimony/index.html">testimony</a> by <a href="https://en.wikipedia.org/wiki/Rick_Bright">Rick Bright</a> wasn't just a scandal, as much of journalism characterized it, it was also a clear statement that the US government isn't doing anything to "save my life". That should have been the headline. We are being rolled over by a killer. <i>No one is driving the bus. </i>
		- Perspective is everything. I'd love to see just one publication adopt the perspective of the people even if just for a little while. Do something shocking. Report from the perspective of the voter, taxpayer, governed. Always say what the news means to us.
		- Ref the <a href="https://www.cnbc.com/2020/05/11/coronavirus-trump-ends-press-conference-after-reporters-challenge-him-on-testing.html">famous question</a> from CBS reporter Weijia Jiang asking Trump why make the amount of testing a competition, well -- please ask the same question of journalism. It's only a horse race if you choose to view it that way. Sometimes there are other more important perspectives (see above).  
		- Trump's promise about the vaccine recalls promises about his tax returns. The end of the year is also after the election. At that point, either way, he'll have no need to follow-through on this, as with the tax returns. He'll say he never thought there was going to be a vaccine.
		- I wish <a href="https://www.metacritic.com/">Metacritic</a> reviews were available directly from program listings on Netflix and Amazon. 
		- New header <a href="http://scripting.com/images/2020/05/15/olanaHudsonView.png">image</a> on my blog home page, a snapshot from the <a href="https://www.olana.org/olanaeye/">Olana webcam</a>, overlooking the Hudson River. 
		- Better ventilation?
			- Thinking out loud. 
			- What if instead of <a href="http://scripting.com/images/2020/05/15/poker.png">plastic</a> separating people in casinos, modify how air circulates. Air enters in the ceiling and exits through the floor. Strong enough so any bits of virus going horizontal are swept up in the down-current. 
			- Poker in the age of Covid-19?
	- May 14
		- New motto: "Nothing focuses the mind like imminent doom."
		- <a href="https://context-cdn.washingtonpost.com/notes/prod/default/documents/7868701d-d3f8-471a-82f2-dcf38551caa9/note/7f460e89-9adf-48fa-9953-5e202356f855.#page=1">Poll</a> shows <a href="http://scripting.com/images/2020/05/14/polltable.png">80% support wearing masks</a>.  Catastrophes unify us.
		- <a href="https://www.nytimes.com/2020/05/14/opinion/coronavirus-young-people.html">She has Covid-19</a>, is still very sick, writes passionately about America, our disaster of a health care system, how little help is available to most patients. One of the most powerful pieces I've ever read. 
		- It seems fair if a news org can keep us from reading their articles, that we should be able to tell Twitter orX Facebook not to show us their links. Like a "no-thanks-wall" to their paywall.
		- Maybe only "essential" workers should have jobs, everyone else could get a government grant monthly and hang out and read books and learn to play the guitar. Maybe all this work we do is not necessary? Maybe if we didn't do so much work, then we'd live more green.
		- Someone should be working on a virtual political rally where people in the audience can make noise, clap, laugh, chant etc. I think the net is up to it. Also would be helpful for sports and comedy. 
		- <a href="https://www.metacritic.com/movie/contagion">Contagion</a> is on HBO. The first half is a pretty good dramatization of Covid, then it goes off the rails. I do not like the blogger, btw, or Elliot Gould who says bloggers aren't writers. It's probably not his fault, someone wrote that line for him. A writer, of course.  
		- <a href="https://www.dailyfreeman.com/news/local-news/kingston-barber-tests-positive-for-covid-19-after-cutting-hair-in-violation-of-ny-order/article_932aa858-9565-11ea-b86d-bf0d85310eb1.html">Kingston barber</a> tests positive for COVID-19 after cutting hair in violation of NY order. For some reason when I linked to this piece <a href="https://twitter.com/davewiner/status/1260726497532354563">on Twitter</a>, it got a relatively large number of RTs and Likes. I'm trying to link to more local Ulster County news, as more people in the area are tuning into my blog. Something I've been trying to encourage. 
		- Contrary to what may seem obvious, the <a href="https://www.nytimes.com/2020/05/13/climate/coronavirus-coal-electricity-renewables.html">stupid virus</a> might be saving humanity.  
		- Unmasked on the Rail Trail
			- I went for a ride yesterday along the <a href="https://ashokanrailtrail.com/">Ashokan Rail Trail</a>, a very nice bike and walking trail, alongside the <a href="https://en.wikipedia.org/wiki/Ashokan_Reservoir">Ashokan Reservoir</a>, which, believe it or not, is part of NYC. 1/6 of the water for the <a href="https://en.wikipedia.org/wiki/New_York_City_water_supply_system">city</a> comes from this <a href="https://www.dec.ny.gov/outdoor/101552.html">body</a> of water. Pretty sure the rail trail is also NYC property.
			- Most people were not wearing masks and of those that were, many had them around their neck. I was wearing a mask, I actually like the warmth and moisture. I also like the civics of it. But it pisses me off when people don't reciprocate. It means their viruses are spewing all over everyone else, including me, and possibly into my body, and might possibly cause me to get sick or worse.  
			- One <s>asshole</s> cyclist passed me on his bike on the way back, no mask, and he slowed down in front of me, so I was getting all of his virus in the <a href="https://en.wikipedia.org/wiki/Wake">wake</a>. 
			- I <a href="https://www.vanityfair.com/news/2020/05/masks-covid-19-infections-would-plummet-new-study-says">read</a> yesterday that if everyone in America wore a mask it would stop the virus cold. Who needs a vaccine. We just need people to stop being such intellectual dorks. 
			- If you are not wearing a mask when you go out, you can get off my porch right now!   
			- Anyway, the <a href="https://hudsonvalleyone.com/2019/12/08/what-its-like-to-walk-the-new-ashokan-rail-trail/">ART</a> is the kind of amenity you'd expect in Boulder not the Catskills. Let the record show that as our civilization crumbled we were just beginning to do nice things for ourselves. 
			- This trail is just 15 minutes from where I live. I have a nice bike rack on my car, so it's easy for me to get there. That said, I think the riding where I live is better. I live in paradise even compared to another nearby paradise. And most of the people around here wear masks and they keep them on their faces!
			- Sign on the Ashokan Rail Trail.
			- <a href="https://www.youtube.com/watch?v=OdEHzFiKrSw">Video</a> of the <a href="https://www.google.com/maps/place/Ashokan+Reservoir/@41.9664626,-74.3219922,11z/data=!3m1!4b1!4m5!3m4!1s0x89dd024fe33ca6dd:0x8b66e1238c3c2a81!8m2!3d41.9784966!4d-74.1650991">reservoir</a> taken from the rail trail yesterday.
	- May 13
		- <a href="https://github.com/scripting/Scripting-News/issues/171">Braintrust query</a>: It appears that C-SPAN has stopped livestreaming the Cuomo daily briefing. Looking for a site where we can reliably find the recording on a daily basis. Any help much appreciated. 
		- <a href="https://www.youtube.com/watch?v=anTSD3VT8l4">Last night</a> I was watching the news and a bear family was walking across my yard. Mother and three cubs. Luckily I had my phone handy. The image is dull because the picture was taken through a dirty window. 
		- Listen to <a href="https://twitter.com/Politidope/status/1260260707800678402">Mitt Romney</a>, he speaks the truth. 
		- Back in February, I wrote a <a href="http://scripting.com/2020/02/17/150159.html?title=whatIsScroll">review</a> of <a href="https://scroll.com/">Scroll</a>. I have more to say about it, quite a bit, but here's the top-level -- why don't the publications sign up already? There are quite a few that I am interested in, but don't want a relationship with. If I want to watch a movie or TV show I don't have to give my credit card info to each studio, I wait until the program shows up on Netflix. I buy lots of stuff on Amazon, but they don't actually manufacture anything. That's what Scroll would like to be -- a distributor for news. It makes a lot of sense. We're always hearing tales of woe, how are the pubs going to make money, how they need money from the tech companies and governments. How about getting money from readers? If they listened to the readers they would tell them what I'm saying. Make it easier for me to pay you. Scroll has stepped up, why not just say yes. If the situation really is so dire, maybe it's the answer?  
		- From time to time people ask how I do the <a href="http://scripting.com/email/">email distribution</a> of Scripting News. I looked at the various services that do this, but they all had lock-in in the center of their business model. I already have a way to write my blog. So that meant that they had to publish from my site's <a href="http://scripting.com/rss.xml">RSS feed</a>, and none of them do that. Since I'm a developer, I wrote my own mail-sending software. I have made bits of the software open source, but it's not something that an end-user could use. I can't productize everything I write, and typically when I do, very few people use it, so I just made it for myself, and at least I know the user is happy, and will give me good feedback and bug reports. :boom:
	- May 12
		- When an idea is right it snaps into your mind like it always was there.
		- In the Supreme Court I love how they talk about the president's massive todo list. This president just eats, farts, watches tv, and throws his poop at the wall.
		- There was a <a href="https://inessential.com/2020/05/10/heads_up_to_rss_reader_authors">kerfuffle</a> in the "RSS" world yesterday when it appeared that Apple wanted aggregator developers to get written permission from sites whose feeds they include as defaults. It appears this was an error, or Apple changed their mind. Also, I love the word <a href="http://thesaurus.land/?word=kerfuffle">kerfuffle</a>. Surprisingly, it's <a href="https://www.google.com/search?q=site%3Ascripting.com+kerfuffle">not the first time</a> I've used it, according to Google. I'm surprised. But it appears to be the first time <i>in 13 years. </i>
		- As you <a href="https://www.pbs.org/newshour/politics/watch-live-fauci-cdc-director-testify-in-senate-hearing-on-how-to-safely-return-to-work-and-school">watch</a> Fauci today imagine if he were on every day.  Maybe it's because I'm a former entrepreneur that I see <i>tons</i> of ways to do this.   Biden, for example, could give Fauci a pulpit. I've tried this idea out of people inside the Democratic Party, they say this just isn't done. And that's a reason not to do something? Bill Gates could do it. He's entrepreneurial. It doesn't have to be Fauci himself, any affable avuncular scientist who tells the truth. As Trump fades into oblivion we should fill the airwaves with facts. That's a good way to "save my life". 😇
		- <i>ALEXA!</i>
			- I use my kitchen Alexa only to listen to WNYC. 
			- Usually I say <i>Alexa WNYC</i> and it works.
			- Now I have to say it slowly and loudly, being sure there’s no other sound. It takes 3 or more tries.
			- It's getting worse.
			- But when I say <i>Alexa stop</i> it works every time.
			- What's wrong?
	- May 11
		- The <a href="https://www.youtube.com/watch?v=n5SRHdcPLAI">William Barr chicken polka</a>. Enjoy!
		- We're not just dying for Trump, we're also dying for CNN.
		- I <a href="https://twitter.com/davewiner/status/1259869502042451968">hope</a> that behind the scenes the Dems in the House are testing the waters for a bipartisan impeachment. 
		- I wonder if any of the news orgs with a paywall have thought about doing what Netflix and Google TV (and perhaps others) do. They let you share your membership with "family members," which really means anyone you want. It might be good marketing. 
		- Another idea: A special deal for bloggers. People can read the stories if they come from my blog. The NYT used to do this. I felt like we had risen above crass commercialism, and were focused on informing people. Here come the lectures on how I don't understand news!
		- How about a twist on that. Any paying user gets to forward stories from the site a certain number of times? Not sure about that. It's always so irritating when a friend RTs a story from the WSJ. It just doesn't make sense for me to subscribe. I did at one time, so I know what they do. I just am not that active in business these days. But sometimes they get a great story. Maybe what we need are peering arrangements of some kind. You get 50 free articles from the WSJ with a NYT subscription, and vice versa. Maybe those two pubs don't do it. But maybe say Mother Jones and National Review. Kind of like William F. Buckley <a href="https://www.vox.com/2016/10/3/13081784/best-of-enemies-gore-vidal-william-buckley-pbs">debating</a> Gore Vidal?
		- The NYT (still) needs fresh air
			- I had <a href="http://scripting.com/2020/01/28.html#a215257">high hopes</a> when <a href="https://en.wikipedia.org/wiki/Ben_Smith_(journalist)">Ben Smith</a>, former editor-in-chief of Buzzfeed News, was hired as the NYT's media columnist. I first became familiar with his work when Buzzfeed got a copy of the <a href="https://en.wikipedia.org/wiki/Steele_dossier">Steele dossier</a>, and quickly <a href="https://www.buzzfeednews.com/article/kenbensinger/these-reports-allege-trump-has-deep-ties-to-russia">shared</a> it with the public, causing an uproar in the press that it had not been vetted and should not have been published. I listened to a <a href="http://podcatch.com/pages/12818.html">podcast</a> with him and New Yorker editor <a href="https://en.wikipedia.org/wiki/David_Remnick">David Remnick</a>, and cheered in a post <a href="http://scripting.com/2017/01/28/errOnTheSideOfDisclosure.html">here</a>. 
			- His position: The readers are smart. If we tell them it hasn't been vetted, they will add the same grain of salt a good reporter will. The contents of the dossier concerns them, they have every right to see it, since it was influencing politics and journalism. Outrageously, the press and Washington insiders had copies of the dossier for a long time, and had not released it. Meanwhile dumps of Clinton's emails were appearing, unvetted, almost daily. 
			- I <a href="http://scripting.com/2017/01/28/errOnTheSideOfDisclosure.html">praised</a> Smith and Buzzfeed for siding with the people. I have found this trust of readers to be very rare in journalism. Most journalists hold readers in great contempt if they think of us at all. Smith's philosophy was in sync with the blogger's view. And I was glad to see it in a respected mainstream publication -- Buzzfeed.
			- So when Smith went to the Times, I looked forward to finally having some pushback on their editorial page, which never allows dissent from the orthodoxy of the most prestigious of news orgs. <i>We Know Best</i> could be their motto. <i>We'll Tell You What To Think, </i>might be the tagline. This has gotten us into huge trouble over the years, for example with the buildup to the Iraq War, where they carried Bush Administration lies, unopposed, never retracted or apologized-for. Then in the 2016 election the fabricated story of <a href="https://en.wikipedia.org/wiki/Hillary_Clinton_email_controversy">Hillary's Emails</a> was born in the pages of the NYT, constantly repeated and amplified. You could legitimately blame the horrors of the Trump Admninistration, which are still reaching new heights, on the Times. Again, no mea culpa, and more importantly, no pushback from the op-ed pages. 
			- Another subject where piety has had no dissent on the editorial page is the idea that the tech industry stole their business and therefore owes them money. This is often repeated, never rebutted and is completely corrupt. As Bob Bierman said so well in a <a href="https://twitter.com/bobbierman/status/1259809847698227201">tweet</a> this morning, in rebuttal to Smith's <a href="https://www.memeorandum.com/200510/p72#a200510p72">latest</a> <a href="https://www.nytimes.com/2020/05/10/business/media/big-tech-has-crushed-the-news-business-thats-about-to-change.html">column</a>: 
				- <i>Respectfully, nothing was stopping a newspaper from starting a simple classifieds site, a micro-blogging site or a community where people could talk to each other.</i>
			- That is such a key point. I've been banging this drum since the inception of the web. Compete! Open the pages of your news product to the people. I called this <a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">Sources Go Direct</a>. I had a specific proposal for the Times in 2002, let the contributors be vetted by NYT reporters. Put their blogs on a separate domain with a big disclaimer. But when sources post there, you have quotes for future NYT articles. And stars will rise, and more important, your inbred ideas will be challenged under your masthead, something the Times needs, and more important, something the world needs. Had the Times done this there might not have been a Facebook, or they might not have played such an important role in the distribution of news.
			- The Times has become too powerful and too unopposed. And now they want to cement this victory by drawing money from the tech companies, or to be paid money from taxes. The answer has to be no. First try to compete, and then try again and again until you get it right. Tech still doesn't do news well. There's a new world still to be explored, try to create a great news product out of the net, jump in and stop pretending news works as it did before it went electronic. And get some fresh blood on the op-ed pages. Let's get some real criticism of the Times there, at least. We don't need royalty in the White House and we certainly don't need it in journalism. 
	- May 10
		- Happy Mother's Day to my friends who are mothers.
		- <a href="http://scripting.com/2020/05/10/scienceRulesFromNowOn.m4a">Podcast</a> about where we're at with the virus. It's been a while since I checked in on this. 
		- <a href="https://twitter.com/nick__puckett/status/1259541624389955584">Video</a>: A Colorado restaurant <a href="https://www.denverpost.com/2020/05/10/castle-rock-cc-coffee-reopens-coronavirus/amp/">opens for Mother's Day</a> and it's packed with future Covid-19 victims. 
		- I've been looking for this <a href="https://www.facebook.com/watch/?t=2&v=293304638236514">video of Bill Barr</a> doing the polka dressed in a chicken suit. I would love to get the video in a form that doesn't depend on Facebook. Don't want to lose it again. (Be sure to turn the audio on.)
		- I'd bet money that the things that are "opening" now are going to be closed quickly at great cost to: 1. the economy, 2. human bodies and 3. morale. 
		- Who would have guessed that drive-in movie theaters would become the new essential art and business form factor. 
		- Why isn’t there a Covid-19 game where you win by having your town not die before a treatment or vaccine is developed. When one of your citizens is infected you can isolate them for a bit and also do contact tracing. A mafia don in an orange jumpsuit shows up at random times and steals all your PPE! It’d be fun cause kids who master the game can explain it to their clueless Fox-watching parents and grandparents. They  could even be part of the game! 
		- Trump wants to <a href="https://www.axios.com/trump-tweets-russia-investigation-flynn-e5f680a8-5ff3-4d45-aae8-4049bcc904ad.html">change the subject</a> to the Russian probe. I find this somewhat amazing. He got away with all the Russian michegas. But he wants to go back to it. Because as they say Covid-19 doesn't respond to his bullshit. We could learn from the virus. Don't take the <a href="http://this.how/trolls/">troll</a> bait.
		- Just heard a report on NPR that began with a quote from Trump, a <a href="https://en.wikipedia.org/wiki/Big_lie">big bold lie</a>, and they just went on as if he had made a good point. This has to stop. It's not saving my life, quite the contrary, it's killing people, to let Trump get away with lying about the role of testing. He says we have the highest numbers because we do the most testing. Yeah. Not true. And they went on to say that governors don't know why they need so much testing. What? Hello. Yes, everyone who cares knows. We need to know where the freaking virus is and isn't. That's why we test. It's the same reason we launch weather satellites, so we know where and when it's going to snow. I keep repeating this, hopefully the idea will spread. News should be in the business of saving my life and yours. It's never been more possible and more vital. And it's a good business model. If they're not just relaxing entertainment, if they <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22save+my+life%22&t=h_&ia=web">save my life</a>, we'll make sure they get the money they need. The news doesn't understand its own role. 
		- United flight crammed
			- In a <a href="https://twitter.com/ethanjweiss/status/1259165939037331456">thread</a> on Twitter, Ethan Weiss was with a group of 25 nurses and doctors working in NYC hospitals for the past 2-4 weeks. They are going home. He says United flew them to NYC for free, got lots of great PR, and took <a href="https://twitter.com/ethanjweiss/status/1254197942732324867">great care</a> of them going out. 
			- United wrote them <a href="https://twitter.com/ethanjweiss/status/1259171771191824385">10 days ago</a> to say the middle seats would all be empty. Clearly they are not empty.
			- This is the <a href="https://twitter.com/ethanjweiss/status/1259310067066630144/photo/1">departure board</a> for United at Newark yesterday. 
			- I think this is what everyone fears about flying. 
			- The United Airlines flight yesterday.  
		- Mother's Day 2020
			- My mother was a regular reader of this blog. Maybe she still reads it, where ever she is, whatever form she is in. I have women friends who read the blog, I think in a similar way to the way she read it. 
			- She was a very smart person, lots of brain power, but also very wounded, and the wounds, which we shared in a way, made it hard for us to be close. Maybe toward the end of her life she opened up a bit, but she had a fear of men, given to her by her parents, and she passed that on to her children, in the weird way that parents give their agony to their children. But she read the blog. That was something. 
			- The author and his mother with the author's newborn brother.
			- I dream about her every night. They are not happy dreams, they are dreams of unresolved anger, disloyalty. But I also feel for her in ways I didn't when she was alive. I wish I had protected her, which is ridiculous because she was the mother and I was the child. But it's there nonetheless. 
			- I wish we could talk, but then I remember, we never accomplished anything with talk. Yet, she is the one who fed me, taught me, read to me, gave me her values, and ultimately was proud of me. 
			- She was my mother and all that came with it. I hope she can read this and I hope she's happy. 
		- My mother's judgement
			- Now that my parents have been gone for some considerable time, our differences come into focus.
			- I felt that my life was dispensable, temporary, so I was ready to take risks that they didn't want me to take.
			- If you took them at face value, they were sure I was going to fail and be dependent on them. That I would fail at what I was trying to do, and then be a failure at life. That could have been the outcome. I was certainly close a few times! ;-)
			- Why I was willing to take such risks is something I don't know. I have theories about it but I'm too close to have a good idea. I am what I am, it never was in question that I would do risky things. I wanted to do big things from a very young age. 
			- My parents on the other hand valued security above all else. They had steady jobs, savings accounts, were very careful with their money. 
			- Funny thing was that both my grandfathers were pretty sure I was doing the right thing.
			- Even though I overcame their objections, I don't think either of my parents ever forgot the judgement they formed years earlier, that I was a failure. On a personal level I still took big risks even if I had established myself from a productivity standpoint. (This was my mother's biggest value, that we be productive.)
			- They were depression era refugees in World War II. 
			- I am a Boomer. 
			- I think that explains a bunch of it, btw. 
			- I think they would be surprised to know that I actually did pick up most of their values re money. While I have been willing to roll the dice on new ideas I either thought had potential or I believed in for other reasons, otherwise I am quite conservative in the way I live, though it took me a while to arrive at that. Acquiring too much is a burden, living as lightly as you can is a good value. That was my mother's thing. I never have been very organized in record-keeping. In that I am original, both my parents were very good at that. Maybe that's my act of rebellion. ;-)
			- Also people who think the story of Boomers is written, consider Covid-19. We're still here, it's part of our story too. For all the hardship my parents' generation survived, they never had to deal with a pandemic. I'd love to send them an email about that. My grandparents on the other hand were around for the 1918 pandemic.
	- May 9
		- <a href="https://github.com/scripting/Scripting-News/issues/170">Braintrust query</a>: Writing my own synchronous functions in Node. The conclusion -- anything you can do from the command line in the OS can be synchronous, because they're easy to <a href="https://nodejs.org/api/child_process.html#child_process_child_process_execsync_command_options">invoke</a> from a Node app. A wide gaping loophole in the design of Node, and I love it. 
		- I love this <a href="https://hudsonvalleyone.com/2020/05/09/were-all-catching-up">story</a> about Cuomo and the people of the Catskills. I think he's right. I went to the supermarket today too -- the new routines are starting to feel routine.
		- I did a long <a href="http://scripting.com/2020/05/09/Robustness.m4a">podcast</a> today about robustness in software, but even I got bored with it after a few minutes. I'm putting it here for the record, why I made a decision about how to run code in "PagePark" the way I did. I don't imagine many people will be interested. :boom:
		- As voters we gave up our power when we chose to vote for leaders who we'd like to have a beer with instead of people who represented us. They were never going to have beer with you, btw.  
		- Something to think about. The buildings of our government could be as toxic as a nursing home, prison or meat plant. What then?
		- I’m glad I live in New York where we have a <a href="http://this.how/cuomo/">governor</a> who believes in science and keeping us alive. Amazing this is America, the country that went to the moon.
		- Virus testing can work like polling. You don't have to talk to everyone to get a sense of who's leading in a poll. And you don't have to test everyone to find out how we're doing with the pandemic.
		- A <a href="https://www.youtube.com/watch?v=P8tTwXv4glY">song</a> you should enjoy.
		- Soon it will be my turn, and yours
			- After I moved to the mountains in March 2019, I've only been to NYC once, to have dinner with a friend from Calif who was visiting. Long before Covid. I don't really identify with the city much anymore. It feels far away. But it isn't far away. 
			- I was raised in Queens -- in Jackson Heights and northeast Flushing. I'm guessing people in Flushing are doing ok relative Covid, but Jackson Heights is burning. Lots of people I rode the subways with are sick, very sick, dying or dead. Like the victims of a tsunami in SE Asia or a hurricane in Puerto Rico. In some ways it feels far away, but it isn't. 
			- It just hit me in a visceral way when I thought of what happens when I will have to wait in soup lines after the collapse of the food supply in two or three months (or weeks as things are going). By then the infection will be even more out of control than it is now. My next thought -- I live in farm country, it's incredibly rich and fertile and productive place, so I'll be ok, but then I realize that food will be going to feed NYC which is just two hours to the south. Or it'll be feeding the people in the Hamptons, Martha's Vineyard or the Trumps and their buddies. It'll disappear just like the PPE did, down the Mafia hole. Going to Russia and Kentucky.
			- The press meanwhile is covering <i>past</i> failures of Trump, how they blew it in January. But they're blowing it in May, and that's going to spread poverty and death to new parts of America outside NYC. Soon. 
			- The virus is in the White House. I bet it's in Congress too and maybe the Supreme Court. It's in DOD and DOJ and Homeland Security. Government houses people densely just like meat packing plants, prisons, nursing homes. Lots of vulnerable people taking big risks. They aren't any more immune than you and I are. 
			- That's why I say journalism's business model is "Save my life." We need to get back on track, I don't care how we do it, now is already too late for 80K Americans. But soon it'll be your turn and my turn. <i>Soon. </i>
	- May 8
		- A couple of nights ago <a href="https://duckduckgo.com/?q=site%3Ascripting.com+maddow&t=h_&ia=web">Rachel Maddow</a> told the story of a group of entrepreneurs in Salt Lake City who set up a free Covid-19 testing program. Yes, they had the arrogance that's common to tech entrepreneurs, I know it very well. But they were trying to do good. I don't often notice the sarcasm and superiority in Maddow's stories, but I did for this one. I kept waiting for her to say what evil they had done, but it never came. Some doctors commented that their arrogance was ugly, and their tests could suck, sure, but it colored everything I hear from Maddow in a new way, the way she <a href="http://thesaurus.land/?word=seething">seethed</a> when she talked about Facebook a couple of years ago, from ignorance. In that case I knew the facts. So why not just report the facts, without so much attitude, and let us make up our own minds. And then I wondered how much do I listen to her for the superiority versus getting any real information. Another way to see it is what if a Fox News person used the tone she used. Would you see it then. I actually shut her off in the middle of the show last night, I want to re-think whether she is a force for good, and should I be paying attention to her at all. I know I've been here before with her and the rest of MSNBC. There aren't a whole lot of choices. 
		- Maddow even saw as corrupt, with a raised brow, that the tech industry in Salt Lake City calls itself <a href="https://en.wikipedia.org/wiki/Silicon_Slopes">Silicon Slopes</a>. It's dorky, and so what. NYC calls its tech industry <a href="https://en.wikipedia.org/wiki/Silicon_Alley">Silicon Alley</a>. 
		- When I get fed up with MSNBC, I switch to <a href="https://en.wikipedia.org/wiki/30_Rock">30 Rock</a> reruns on Amazon. At least their attitude is funny. Really funny. LOL funny. 
		- We don't know who will be affected by Covid-19 in the future. People assume most young people don't have symptoms, but we really have no idea. One thing we do know that it isn't binary. You don't necessarily just recover back to who you were before you got the disease. The symptoms linger. The damage in some cases is permanent. Chickenpox shows up again later in life as <a href="https://www.mayoclinic.org/diseases-conditions/shingles/symptoms-causes/syc-20353054">shingles</a>, for example. Covid is a serious illness. People who play politics with it, and want to convince you it's not serious, don't have a clue, because even the most skilled and educated medical scientists don't know what lies ahead. 
	- May 7
		- Science fiction version of today's news. First the air pollution was gone. Then there was the spring that never came. Snow in May. Next up, the coral reefs come back to life, occupied by alien beings. It's the first we learn that we aren't alone. They would like to speak to our leader.
		- A robocall. "I am calling to speak with David Winer. Are you David?" A computer voice. I hung up. If you want your computer to contact me, use email. (Postscript: I looked up the number, and holy shit, it was a hack. They want to record you saying Yes. Good thing I didn't fall for it.)
		- My backups
			- I had a storage unit in Berkeley with all kinds of random stuff in it. When I moved to the new house in the mountains, I had a lot of room, so I had the storage unit contents moved out here. There were a <a href="http://scripting.com/images/2020/05/07/diskbackups1.png">couple</a> of <a href="http://scripting.com/images/2020/05/07/diskbackups2.png">cartons</a> of backups from Living Videotext and UserLand in the 80s and 90s.
			- I don't have hardware to read any of them, but I'd love to back them up somewhere like the Computer History Museum, or Stanford or MIT, or where ever it makes sense. Happy to make it all open source. I always intended to leave a record behind of some kind. 
			- Send me an email if you have any pointers. I would be willing to drive to Boston or NYC if people know where there's hardware. Of course when it's safe to do so, from a virus standpoint. 
			- This reminds me of a project we did with <a href="http://scripting.com/stories/2009/10/15/uncleArnosBooks.html">Uncle Arno's books</a> a number of years ago. We did find a home for them at Portland State University. This is different, this is all digital stuff. 
	- May 6
		- BTW, a medical researcher friend offers a theory why CV-like diseases slow down in the summer. Might not have to do with heat, rather the health of the people. We exercise more in summer than winter. We're generally in better shape, he says. A theory.
		- On MSNBC last night, I learned something from <a href="https://twitter.com/davidfrum">David Frum</a> that I had read in one of his <a href="https://www.theatlantic.com/author/david-frum/">Atlantic</a> columns, but hearing him say it verbally brought it home in a whole new way. The reason McConnell wants the blue states to declare bankruptcy instead of defaulting is then the states will be administered by judges. The crazy corrupt Putin-approved judges he's been getting confirmed. So they can loot every last bit of money from the US. It's not enough to loot the US treasury, he wants to get the money of New York, California and Illinois, and also the purple and red states. It doesn't sound as good if he bullshits about Georgia, Texas and Arizona, but he wants their money too. Putin and his cronies are experts at hoovering up <i>all</i> the money. They should give Frum a permanent ten minutes every night on MSNBC to explain stuff this way. (Also get him a better net connection.) It would at least be more interesting, we might even be able to head off some of the depravity.
		- Imagine we’re trying to get in shape, have to lose 50 pounds. We diet and work out for a month, lose ten pounds. Wow that was hard. We’re done. Let’s go out for a food party. 2 weeks later we’ve regained the ten we lost and added another 40.
		- To a friend who lives in the UK. "Anyway we're both fucked. You live in the crazyiest European country, and I live in America. We just surrendered to the virus yesterday, in case you didn't hear." :boom:
		- BTW, there is some schadenfreude-type gratification in knowing that the virus is going to destroy Putin too. 
	- May 5
		- Good journalism should save your life.
		- I build code forts. Forts of code. Only a few ways in and out, heavily defended, lots of valuable powerful stuff inside. 
		- Now that the <a href="http://scripting.com/2020/04/30.html#a142426">Apple is happy</a> with the <a href="http://this.how/cuomo/">Cuomo podcast</a>, it's really nice the way it updates so quickly in the Podcasts app on my iPhone. A few seconds after a new episode is available, the podcast moves to the <a href="http://scripting.com/images/2020/05/05/applePodcastsAppScreenShot.png">top of the list</a> and it starts downloading the new episode. I wonder how they do it. Is my iPhone polling the feed constantly? Is an Apple  server doing the polling and relaying a notice to all subscribed clients? Or perhaps they hook into the <a href="http://scripting.com/2015/06/02/rsscloudDomains.html">rssCloud</a> functionality that the <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/cuomo/rss.xml">feed</a> <a href="http://scripting.com/images/2020/05/05/cloudElement.png">supports</a> (part of RSS 2.0). That would be the best answer. 
		- <a href="https://pressthink.org/2020/05/the-plan-is-to-have-no-plan/">Jay Rosen outlines</a> all the likely news from the White House through the election. It's depraved, awful, and totally predictable. Not much point sending reporters to cover Trump, instead devote limited news resources to finding information <a href="http://scripting.com/2020/04/29.html#a154224">that</a> could <a href="http://scripting.com/images/2020/05/05/saveMyLife.png">save my life</a>. 
		- On my bike ride the other day I saw a group of 10 or so people off on the side of the road, talking. Like they were catching up. All wearing masks. Except they all had them down so they could see each other's full faces, I imagine, which defeats the purpose of wearing a mask, of course. 
		- In the future it will be as rude to talk with someone publicly with your mask off as it would be with your pants down. Future porn will be people talking without masks in public places.
		- I am a lip-reader. I guess over the years my hearing has become less accurate, and I compensate for it by getting more information from lip movement. I noticed this in a new way, waiting in line at the supermarket last week. If you depend on lip-reading, listening to people talk through masks is harder.
	- May 4
		- Seeing all the <a href="https://www.npr.org/2020/05/04/849991957/2020-pulitzer-prize-winners-include-this-american-life-see-a-full-list">Pulitzers</a> today, including a new one for <a href="https://www.poynter.org/reporting-editing/2020/the-iconic-this-american-life-won-the-first-ever-audio-reporting-pulitzer/">podcasting</a>, it’s notable that tech doesn’t do awards for innovation and good works beyond IPOs, i.e. wealth creation, which might have something to do with the lack of new ideas in tech.
		- Why can't airlines provide breathing masks for each passenger, so you breathe your own air supply, filtered and sanitized before it enters your system. 
		- Lincoln Project: <a href="https://www.youtube.com/watch?v=t_yG_-K2MDo">Mourning in America</a>.
		- My <a href="https://en.wikipedia.org/wiki/Saturday_Night_Live">SNL</a>-awareness is spotty. I didn't learn about <a href="https://en.wikipedia.org/wiki/Kate_McKinnon">Kate McKinnon</a> or <a href="https://en.wikipedia.org/wiki/Bill_Hader">Bill Hader</a> until they had already been on the show for years. Same with <a href="https://en.wikipedia.org/wiki/Tina_Fey">Tina Fey</a> and <a href="https://en.wikipedia.org/wiki/Amy_Poehler">Amy Poehler</a> and so many others. Well, over the weekend, I discovered the <a href="https://duckduckgo.com/?q=whiskers+r+we+snl&t=ha&ia=videos&iax=videos">Whiskers R We</a> series. OMG. They're so good. Two lesbian cat rescue ladies, a different partner for McKinnon's character, <a href="https://snl.fandom.com/wiki/Barbara_DeDrew">Barbara DeDrew</a>. every <a href="https://www.google.com/search?q=whiskers+r+we+snl&safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ALeKk00QqZkqKxzHdEIHuVllMw1PVMUFhQ:1588601142929&source=lnms&tbm=vid&sa=X&ved=2ahUKEwjiiMG2sJrpAhUrheAKHSzNBl8Q_AUoAXoECAQQAw&biw=1473&bih=1165">time</a>. 
		- Let's not self-destruct this time
			- Think about the <a href="https://www.youtube.com/watch?v=pWe7wTVbLUU">moment</a> in 2008 when future-president <a href="https://en.wikipedia.org/wiki/A_More_Perfect_Union_(speech)">Obama spoke</a> to explain what happened when his <a href="https://en.wikipedia.org/wiki/Jeremiah_Wright_controversy">pastor</a> was discovered to have said some true but unpleasant things about race in America. 
			- Obama put it in context, honestly, sympathetically, passionately, forcefully and presidentially. We need a moment like that, for gender. To validate the grievances of women, but also to test every accusation carefully, with justice, in the way envisioned by our Constitution.
			- In something as consequential as a presidential election, there has to be a time when you must speak or forever hold your peace. To make the accusation at the point when it can do the greatest damage not just to the candidate, but to the country, even to the world, we can't allow that. Even if Biden did what he's accused of, the choice of timing, when it was sure to do the greatest damage, is a much greater abuse with much larger consequences. 
			- The press only looks at these things from the point of view of the two parties, and as a result the conversations we have about it often ignore our own point of view. With all the death and disease and economic hardship, all the fear and a complete void of leadership in the US government, we can't ignore our own interests. 
			- We have to stay on course to at least have a chance to right this by November if not sooner. This is not the time to stop and self-destruct. We have to be smarter and more willful than that. 
	- May 3
		- People seem to feel it's over, they see the weather changing, winter is finally over, summer is here,  we must have survived, time to go out and play. That's evolution for you. Of course the virus is still out there hunting us. 
		- Such a beautiful day , almost summer weather, everything is in bloom now. Winter is finally over. I rode my bike both yesterday and today. Lovely. 
		- <a href="https://twitter.com/TheBushCenter/status/1256607729151619073">A video from President Bush</a>. It's not hard to say the right words. 
		- It's great to get John Naughton's <a href="https://johnnaughton.substack.com/">nightly email</a>. He writes frequently about <a href="http://scripting.com/2020/04/21/191743.html?title=theEbbAndFlowOfLockdown">contact tracing</a>, as he did <a href="https://johnnaughton.substack.com/p/saturday-2-may-2020">last night</a>. I believe that our phones can help with contact tracing, and we should be willing to give up some privacy. This is an emergency. I don't agree with Schneier who dismisses the help mobile devices could offer, but some of the comments on <a href="https://www.schneier.com/blog/archives/2020/05/me_on_covad-19_.html">his post</a> were right on, imho. More later for sure.
		- Maybe journalism can stop tiptoeing around the plan, and just say what it is. 1. Reduce new infections to zero. 2. Contact tracing. 3. Low-cost, fast testing. That's how we get out of this.
		- Bill Gates fights for science
			- We often wait to say the good things about people until they're gone and can't hear it. I just wanted to say about Bill Gates, he's doing good now. Standing up for <a href="https://www.washingtonpost.com/technology/2020/05/02/bill-gates-coronavirus-science/">science</a> at a time when that can save a lot of lives, maybe even save our civilization.  
			- He doesn't have to take a risk now, he could, like other rich people, isolate himself perfectly and ride out the storm. Instead he's put himself out there, standing for what's right, and you know what, <i>that's good, </i>and thanks to him for doing that. 
	- May 2
		- Good morning fans of great weather in the NY area. 
		- I have a great birthday. I admit it. I know people who were born in the summer, so school was out when they celebrated. Or people who were born in the days after Christmas, when everyone is all finished celebrating. I was born on a day where it's beautiful weather pretty much everywhere I've lived. And school was in session and every year my mom would send me in with a box of frosted cupcakes for all the kids. So everyone had a party. And today is a special birthday, the big 65. I'm now officially old in every way. Also, now, for the first time, I get real health care. It took a couple of months of research to figure it out, but I now have a Medicare card. I also bought a Medicare Advantage plan, so pretty much everything is covered. And where my health insurance, when I've been able to get it, has been outrageously expensive, I now pay less than $100 a month for excellent coverage. Thank you <a href="https://www.politico.com/agenda/story/2016/07/history-of-medicare-obamacare-000153/">LBJ</a> and the Democratic congress of the 1960s. I haven't usually written about this day on my blog, but this year has a big WTF element to it. Who cares. I'm still here, so that's something. And as they say -- still diggin! At least for now. :boom:
		- I wonder if any reporters are investigating where the <a href="https://www.google.com/search?q=PPE+that+the+government+is+stealing">PPE</a> that the government is stealing is going.
		- On March 12, I <a href="http://scripting.com/2020/03/12.html#a174026">pointed</a> to the day's Daily podcast with <a href="https://www.nytimes.com/by/donald-g-mcneil-jr">Donald McNeil</a> from the NYT re "the tragedy of America's non-response to the virus." I just listened to an <a href="https://www.npr.org/2020/04/29/847870532/what-the-u-s-might-learn-from-chinas-approach-to-covid-19">episode</a> of Fresh Air from <i>this week, </i>in late April, with McNeil telling <i>exactly the same story</i> about how we're not fighting the virus, the same story he told in March. I could finish his sentences. The interviewer asks the same dumb questions they all do, when will the lockdown end, what will it be like when we resume life. The frustration McNeil feels, and I feel, having heard the same story at least four times, the questions assume that all we have to do is <a href="https://www.merriam-webster.com/dictionary/penance">penance</a>, stay home for a while, and we will be able to go back to normal, having done our time. This is what Trump seems to think too, and the other Repubs. Maybe some Dems. That's not it. 
		- Isolating is like plowing a fire line in the middle of a city being inundated by fire. It slows the spread. But you don't get to resume life, a very altered life, until there are no new cases, until the fire is out. Until you've shut down transmission of the disease. This is not a punishment, it's how we save ourselves. 
		- I've heard it said of countries like South Korea, Singapore, Taiwan and Vietnam that they had a bad experiences with H1N1 or swine flu, and didn't want to repeat it with Coronavirus. Their people had experienced a pandemic, and therefore motivated to believe there was a problem before there were massive infections. This is why imho it's been so bad in the US, this is our first experience with such a bad virus since 1918. No one alive remembers it.
		- We should pay more attention to <a href="https://www.google.com/search?q=iceland+covid-19+testing">Iceland</a>. 
		- Coronavirus in Vietnam
			- I keep hearing peripherally how well Vietnam has been doing with the virus, but they're rarely listed among the examples of countries that have it more or less under control.
			- My best source has been my old friend <a href="https://www.linkedin.com/in/stevegoodman2/">Steve Goodman</a>, who I know from Silicon Valley in the 80s and 90s, who now lives in <a href="https://en.wikipedia.org/wiki/Ho_Chi_Minh_City">Ho Chi Minh City</a>. He's <a href="http://www.broward.edu/international/Centers-And-Affiliates/Pages/Vietnam.aspx">teaching</a> English to Vietnamese kids. It sounds like a great life, low cost of living, great food, good work, friendly people -- until Coronavirus happens -- now it's practically paradise, relatively speaking. 
			- I wanted to write about it even if few others in America were, so I asked Steve a few <a href="https://www.facebook.com/dave.winer.12/posts/1220770854796984">questions</a> on Facebook:
				- I listen to a lot of podcasts, and when they talk about countries that do it right, Coronavirus-wise, they almost always leave out Vietnam.
				- But based on your stories, it sounds to me that Vietnam is tops, or close to the top. I'd like to write about this, briefly, on my blog.
				- I was wondering what your status is now? Are you able to go out to eat in a restaurant? Food shopping? Go to the park on a nice day? Go to a bar or listen to music?
				- Is school back in session?
			- Steve's answers were so thorough, I'll just include them here: 
				- Schools reopen on Monday and I am in a restaurant right now having breakfast.
				- The government here started easing restrictions last week. There are still many things prohibited though. Here is a <a href="http://scripting.com/images/2020/05/02/hcmcChart.png">chart</a>.
				- As you can see, bars and other places where many people gather are still not allowed to be open. Grocery stores and food markets have always been open, but they check people's temperature before allowing them to enter, and of course provide a face mask if you don't have one. Everybody has one though!
				- Our schools have been closed since mid-January, they open again on Monday, May 4th. They were closed in January for the Tet holiday, but it was only supposed to be for two weeks.
				- Domestic flights are just starting up again, but they still won't allow any international flights and all borders remain closed.
				- There are many articles in the press about what a great job Vietnam has done, and they have been often commended by WHO and other such organizations for their rapid, decisive, no-nonsense approach.
				- I typically go for an early morning walk through a nearby park. Today it was almost completely back to normal with joggers, exercisers, aerobics classes, people playing badminton, etc.
				- It will be interesting and challenging to teach with a face mask on, but that is the law for now, so of course I will obey it.
				- Today in the US known infections per million stand at 3,416. In Vietnam the number is 3. The difference is like night and day.
				- And we have a border with China. People are generally extremely health-conscious here. A large percentage of the population wear face masks anyway, at least in the big cities, mainly due to concerns about air-pollution. Still, it's fair to say that there was already a face mask wearing culture in place long before the coronavirus.
				- I am so proud of Vietnam, and very happy to be a vital member of a community here.
			- I asked why he thought Vietnam has done so well.
				- I think the government here feels accountable to the people and is especially sensitive to widespread public concerns about health and safety. The problem was taken seriously very early, and it was handled with respect for science. They deferred to scientists and health professionals and placed health and safety ahead of short-term economic setbacks. Vietnam is an up-and-comer and has experienced very consistent and seemingly unstoppable economic growth. While the coronavirus' economic impact is a massive setback, it does not change the fundamental long-term outlook for growth and prosperity.
		- It's time
			- It's time to do whatever you were sent here to do.
	- May 1
		- One of the things that I <i>love</i> about the times we're in is that the news is now filled with science. So much of the news before was about optics, narratives, impressions and the like. Talking about nothing. How cool is it to see Chris Hayes listening intently to an epidemiologist. Or Fauci explaining why <a href="https://www.theguardian.com/world/2020/apr/29/remdesivir-coronavirus-drug-experimental">remdesivir</a> is a big deal, while Trump looks on, nodding, not understanding a word, but letting Fauci tell the story, a science story. Now you can actually learn something, sometimes, watching the news. Now that's coool. 
		- NakedJen and her travels from <a href="https://en.wikipedia.org/wiki/Bali">Bali</a> to <a href="https://en.wikipedia.org/wiki/Salt_Lake_City">SLC</a> were a big topic on this blog <a href="http://scripting.com/2020/03/">in March</a>. I spoke with her three times on that trip, in Bali, Seoul and Seattle. She could have stayed in Seoul. There was some question if the flight she had booked to Seattle would actually go. There was a "last flight" feeling. It would be a different life if she went one way or the other. She decided to let Delta make the choice. If the plane arrived to take her home, she'd go. If not, she'd stay. She's finally <a href="https://www.nakedjen.com/nakedjen/2020/04/we-are-all-in-this-together.html">written the story</a>. She's an awesome writer. Highly recommended. 
		- <a href="https://en.wikipedia.org/wiki/The_Fifth_Risk">The Fifth Risk</a> is a very timely read. 
		- Feeling really disoriented today. Or maybe the disorentation of life is catching up with me. I've been taking care of business, I'm more organized than ever, it feels more important for some reason. It's pouring rain out, steady downpour, for hours. Normally this would be relaxing, but today it seems weary. Maybe it's the aftermath of the humilty of the fight with Dropbox. But that did clear a lot of the fog about how I manage my apps. Or the despair of Maddow, last night -- and a <a href="https://twitter.com/Lollardfish/status/1256195816215261184">comment</a> I read on Twitter this morning. "The Trump Administration squandered April. As Americans sacrificed and far too many died, Trump watched TV and tried to direct cash to political pals."
		- Glitch update
			- I was emailing with Anil Dash about <a href="https://glitch.com/">Glitch</a>. Learned a few things.
				- The GitHub integration is still early. The problem is that when you update from a repo, it wipes out all the other files in the project. The data and settings. But that's going to be fixed, he says, and when it is I will be able to connect to a project through the GitHub version.  
				- Also good to know is that you can change which files cause the app to restart by adding a <a href="https://glitch.com/edit/#!/watch-json?path=README.md%3A1%3A0">watch.json file</a> to the project. 
			- Also my test server, <a href="http://pagepark.glitch.me/">pagepark.glitch.me</a>, is still running. A reminder that my stack (still) works there. Node is a good platform. 
			- If the Glitch folk can answer the other questions I asked here in <a href="http://scripting.com/2020/04/">April</a>, the <a href="https://github.com/scripting/Scripting-News/issues/168">thread</a> on GitHub is a good place to go. 
		- Sally's leaves
			- By Sally Anderson, Seattle, <a href="https://www.facebook.com/photo.php?fbid=10158491452215844&set=a.10156503639265844&type=3&theater">via</a> Facebook.
			- How she did it: "Just tapped on the iPhone screen and raised brightness before shooting (not a filter or edit). Also - craned my neck full tilt to see a beloved tree coming into spring foliage and saw how beautiful its nubile leaves against today's half-lit sky."
