- June 2021
	- June 30
		- Some times I have the sense of humor of an 8-year-old boy. Well, actually always. :boom:
		- <a href="https://github.com/scripting/Scripting-News/issues/215">Braintrust query</a>. I need a regular expression to find t.co links in tweets, so they can be turned into outline <i>link</i> nodes.  
		- I posted a <a href="https://github.com/Leonidas-from-XIV/node-xml2js/issues/380#issuecomment-871369365">question/suggestion</a> on the xml2js issues board. 
	- June 29
		- The web still could be a fantastic writing environment.
		- Some day all Americans will understand that our ancestors were slaves.

		- An <a href="http://scripting.com/code/instantoutlinesrepo/demo/index.html?url=https://raw.githubusercontent.com/scripting/instantOutlines/main/outlines/twitter/davewiner.opml">outline of my tweets</a> for the last few days, with threads using the outline structure. I think this is a good way to have tweet streams flow into an outliner. Since it's entirely "OPML" and uses <a href="https://github.com/scripting/instantOutlines/blob/main/outlines/twitter/davewiner.opml">GitHub</a> in a public repo, any outliner can be part of the network. 
		- <a href="https://www.vox.com/recode/22518571/facebook-substack-bulletin-newsletter-launch">Facebook</a> is coming out with a <a href="https://blog.substack.com/p/welcome-facebook-and-twitter-seriously">Substack</a> killer. Just guessing it comes with its own editor. Yet another crappy writing tool that doesn't peer with other writing tools. This is what kills the web as a writing environment. We should flush all these pieces of crap down the virtual toilet. If you're going to do something with text, please for writers' sake do not require them to use your stinking editor. 
		- I noticed yesterday that <a href="https://archive.org/">archive.org</a> may not have a good <a href="https://web.archive.org/web/*/http://scripting.com/">record</a> for this blog. When you go to <a href="https://web.archive.org/web/20210308124857/http://scripting.com/">one</a> of their archive pages, the shell is visible -- the header graphic, title, footer, but the contents is missing. <a href="http://scripting.com/images/2021/06/29/archiveOrgScriptingScreen.png">Screen shot</a>. If you <a href="http://scripting.com/images/2021/06/29/consoleErrors.png">look</a> in the console, there are errors. If you look at the <a href="http://scripting.com/2021/03/08.html">actual page</a> on the web, it looks fine. If a simple site like this blog can't be rendered by archive.org, perhaps we are making a mistake by <a href="http://scripting.com/2019/08/14/132503.html">depending</a> on it as the record for what was said on the web. The question remains how do you maintain a record for a medium that thrives on its distributed nature that has a chance of lasting for decades or even centuries. The programmers at archive.org have an inhumanly impossible task, with all the experimentation on the web, over time, and like all programmers, they can make mistakes. Developers of websites make mistakes too -- a lot of the early UserLand sites are inaccessible via archive.org because they saw its crawler as a denial of service attack. Obviously our code was wrong, but there's no way to go back and fix the bug. The sites are long gone. 
		- <a href="https://web.archive.org/web/20050205074827/http://thetwowayweb.com/">TheTwoWayWeb.com</a> appears to be well archived. "I want to turn the Web into a powerful and easy to use writing environment." I said that in 2001 and I still want to do it 20 years later." 
	- June 28
		- A new header image, a <a href="http://scripting.com/images/2021/06/28/fridaKahloSelfPortraitSlice.png">slice</a> of a <a href="https://www.wikiart.org/en/frida-kahlo/self-portrait-with-bonito-1941">Frida Kahlo self-portrait</a>. Just her eyes. Staring <a href="http://scripting.com/images/2021/06/28/theEyesStaringAtYou.png">at you</a> while you read <a href="http://scripting.com/2021/06/28.html">my blog</a>.  
		- Working my way through <a href="https://en.wikipedia.org/wiki/In_Treatment#Season_4">Season 4</a> of In Treatment. I wish they'd spend less time on the story and problems of the therapist.  
		- Last night's <a href="https://nypost.com/2021/06/27/bucks-top-hawks-trae-young-hurts-ankle-by-stepping-on-ref/">playoff game</a> was weird. I went in thinking I wanted Atlanta to win, but it turned out I actually was rooting for Milwaukee, who won again, decisively. 
		- There should be a limit on the number of times a team can foul one player. When a team exceeds the limit, the team being fouled gets to choose a player on the fouling team who is fouled out of the game. Do it again, lose another player. <a href="https://en.wikipedia.org/wiki/Hack-a-Shaq">Hack-A-Shaq</a> isn't good for the game. There's no reason a power dunker like <a href="https://en.wikipedia.org/wiki/Giannis_Antetokounmpo">Giannis</a> has to be a good foul shooter.
		- I start my programming day with a new outline entry where I make notes about the first projects I'm going to do as I start working on code. Inevitably, I think of next steps, so I note them too. At the end of the day, I make notes for the next day, so I never have to worry about showing up to work and having no idea of what I'm supposed to do (this happens sometimes). In the middle, I note anything I might need to remember about the work in teh future, similar to the way a doctor takes notes on your chart as they do an exam, or decide on a plan. 
		- This is an interesting time in the "Drummer" project. I'm deep in InstantOutlineLand, this time doing lots of documenting, sample code writing, and developing flows of automatically updating outlines so we have something to test against. Not too different from the initial development for various other projects, such as podcasting. You need to do all the chickens and eggs if you want a new protocol to develop.
		- <a href="https://gist.github.com/scripting/ae8e2f426d2dfb18b3962f72a586ac48">This script</a> runs in UserLand Frontier or the OPML Editor to create glue in instantoutliner.com. I don't expect anyone else will need this, but I want to be able to find it in the future. 
		- I often call Doc Searls Papa Doc, using the name of a <a href="https://en.wikipedia.org/wiki/Fran%C3%A7ois_Duvalier">dictator</a> of Haiti. His son, who was also a dictator, was called <a href="https://en.wikipedia.org/wiki/Jean-Claude_Duvalier">Baby Doc</a>. This is a picture, <a href="http://scripting.com/2021/06/28/152349.html?title=docSearls">below</a>, of Baby Doc Searls. :smile:
		- Doc Searls
			- <a href="http://twitter.com/dsearls">Doc</a>, as a boy, with his dog, on summer vaction.
		- Paycasts?
			- It's kind of a shame Apple didn't do something creative with their pricing for podcasts.   
			- First, pricing for podcasts, as they have implemented it, is awkward and confusing, as evidenced by the way NPR did it. The pricing is voluntary, according to their <a href="https://www.npr.org/sections/npr-extra/2021/06/15/1006687574/support-your-favorite-npr-podcasts-with-apple-podcasts-subscriptions">press release</a>. You can still listen if you don't subscribe (for money). Not sure how it could work otherwise. Would NPR want to transition Fresh Air, one of the founding podcasts? It's kind of like the Meet The Press of podcasting. 
			- But, what if there were something new, call it a <i>paycast</i> perhaps, where you pay per episode. Maybe $1 per. Flat price, everything costs the same, at least at first. Keep it simple and easy to understand. 
			- You need a special app so there's no confusion about what's what. 
			- It's tied to your credit card. Every time you listen to at least 5 minutes of a podcast, you pay. Put a warning beep at 4 minutes 45 seconds.
			- I would love to try this out because I'm pretty sure this is the way web news will ultimately work, and there is no pricing model for podcasts, therefore nothing to displace, unless you consider ads a model, see below. As long as we're trying something new, might as well try something better than what's already out there, from the point of view of users (we're the ones with your money in our pockets).
			- And btw, no ads please. Ads in podcasts really suck, esp the ones at the beginning. I almost never make it through the ads. 
	- June 27
		- <a href="https://www.heinz.com/product/00013000013093">Heinz Mayochup</a> is an awful idea, so I gave it a try, and it’s delicious!
		- If the Dems played as hard as the Repubs (they should) they'd be running ads in Florida with live images of the <a href="http://scripting.com/images/2021/06/27/crashedBuilding.png">crashed building</a> saying: "This is where 25 years of Republican leadership has gotten you." Love, The Democrats
		- I used to read biographies as a kid, loved reading the stories of great people. Now I have trouble getting through them, because I know the truth and the stories in the biographies are not that. As a kid I reveled in gullibility. 
		- When you see <a href="http://scripting.com/2021/06/27/154043.html?title=vanGogh">art</a> <a href="http://scripting.com/2021/06/23/161318.html?title=hopper">on</a> <a href="http://scripting.com/2021/06/24/005557.html?title=pissaro">this</a> blog or in my <a href="https://twitter.com/davewiner/status/1409175921291141127">tweet stream</a>, it came from the <a href="http://artshow.scripting.com/">Art Show app</a>, which is free for you to use. It's also a <a href="https://github.com/scripting/artDownloader">repository</a> you can <a href="https://github.com/scripting/artDownloader/archive/refs/heads/main.zip">download</a> and hook up to your screen saver. 
		- A slogan for programmers. "Let's see what happens." An idea pops into my head. I wonder if that could possibly work? Go for it. Other kinds of product designers, engineers, or screen writers, don't have the luxury that we have. Usually we can try something out and see what happens, and if it blows up, you can shrug and say well I guess it doesn't work. Or maybe it does. Or maybe in its failure it'll give you and idea of what might work. But be careful not to risk actual data. I expect this might show up in my <a href="https://github.com/scripting/utils/blob/679fe7641178a7946f4b8aab806e0360f85f960d/daveutils.js#L828">snarkySlogans</a> array. 
		- van Gogh
			- <a href="https://www.moma.org/learn/moma_learning/vincent-van-gogh-portrait-of-joseph-roulin-1889/">Portrait of the postman Joseph Roulin</a>, 1889.
	- June 26
		- I'm watching the new season of <a href="https://www.google.com/search?q=site%3Ascripting.com+%22in+treatment%22">In Treatment</a>. I love it even more than the first three seasons, which ended ten years ago. The star of the fourth season is <a href="https://en.wikipedia.org/wiki/Uzo_Aduba">Uzo Aduba</a>, who was one of the stars of <a href="https://en.wikipedia.org/wiki/Orange_Is_the_New_Black">Orange is the New Black</a>. She played a <a href="https://en.wikipedia.org/wiki/Crazy_Eyes_(Orange_Is_the_New_Black)">nutcase</a> in OITNB. Now she plays a shrink!
		- <a href="http://river6.scripting.com/feedviewer?url=http://feeds.wnyc.org/radiolab">RadioLab</a>: "A chicken is an egg's way of making another egg."
		- Over the years I've had lots of friends, people I otherwise respect, who won't listen to sports stories. But sports is good thing to talk about, for the same reason they dismiss it -- sports is of no consequence. It isn't real. It's a human-created pseudo-reality. It doesn't matter. Basketball, to me, is like watching a great chess tournament, with athletic performance and chance playing a bigger role. If you see any meaning in a random event, you've found god. I loved talking with my uncle about this. His Church of the Non-Functional Probabilities. Like an <a href="http://scripting.com/davenet/1995/04/24/thebaseballgod.html#3">earthquake</a> during a World Series game in in 1989. "The gods made a deal. the Baseball God said to the Earthquake God: 'we gotta stop this!'" These gods aren't gods of war, or punishment of individuals, they are charged with keeping things mostly in balance. There are rules to baseball and earthquakes. When chance seems to be making a moral statement, that's god. Just a choice of terminology. You could call it anything really. God is the box we put all our imagined reasons for the weirdest coincidences.  
		- This <a href="https://www.nytimes.com/2021/06/26/sports/basketball/trae-young-hawks-bucks.html?unlocked_article_code=AAAAAAAAAAAAAAAACEIPuonUktbfqohkTlUZBSbORd89sgbBj_HUw7EgjHb6KG-JUz9PivUSHo6PvkfEeql4ItEu1DeAAt9dNbtlDNpD8thiBW0_AQ-5vsnD350fPyQ-rY_0BG4_05-TUeh9_WG3Nyzkeep2ge2z5xvDbGm6Xa3e0nIhdg01soIlIQ_xoQEAxK_DFuB13sAvnqtyQ8AnGkpTIXWCrPLqCB1hOdqZbR666gc-WetRWj-7jsfLovtbM10UUQSaOSs5tWUs69pcOMcVOrL8LnMjfsn_g7YRDA94PaUCOQCAZqGnhKdSiSpsZ2k&smid=url-share">NYT article</a> about last night's game between the Bucks and the Hawks is an excellent example. And it's also a demo of the NYT's new sharing technology. The link is a gift, which means I am giving it to you, as a NYT subscriber, I can make 10 articles a month free this way. I love that they had the guts to try this. Trae Young, the devil that beat the Knicks in round 1, got his ass kicked last night. And I love that he's taking it the right way. He has heart. “That’s all on me,” Young said. “I’ve got to be better at taking care of the ball and just do a better job of at least getting us a shot. Nine turnovers. I’ve got to do better, and I will do better next game.”
		- I have another idea for the NYT if they like the way this turns out. Let readers pay to move an article outside the paywall permanently. Something like an NFT. For example we collectively give the Times $1 million, to make this article available to everyone for free forever. I wrote this idea up a few years ago, have to find a link.
		- <a href="http://scripting.com/images/2021/06/26/uiTimesGift.png">Screen shot</a> of the user interface for gifting a NYT article.
		- This is a test.
	- June 25
		- <a href="https://twitter.com/davewiner/status/1408443453432909824">Poll</a>: In your opinion, which website is more likely to be online, with accurate archives of news published today, in 30 years?
		- <a href="http://scripting.com/2021/06/25/theTreeInTheOutdoorAustinBar.m4a">Podcast</a>: How much of what's happening around you now can you perceive with your senses?
		- After writing the stuff about the GitHub API earlier, a solution was <a href="https://github.com/scripting/Scripting-News/issues/213#issuecomment-868277650">suggested</a>, and it turns out there may be a way to use GH now as a user-controlled storage system. I find this hard to think about, as I imagine it's hard to grasp reading about it, but I'm going to keep plodding along. The goal is basically do we get to have an open app ecosystem on the web, ever -- or is it a lost cause. Seems we're pretty close now? 
		- I can’t believe <a href="https://open.nytimes.com/a-new-way-to-share-new-york-times-stories-3e66e8d7e620">the NY Times uses Medium</a> for stories about their development process. I was literally fooled, as a NYT member, when the site asked me to sign on, I thought it would be a NYT login. The Times has one of the most skillfully produced websites in the world, and these are the people who run it, they can't figure out how to set up a section to explain their own innovations? Something is wrong. In any case, we ought to have a place for these kinds of papers that has some plan to survive time. Medium could shut down any day and take its archive with it. The NYT has a responsibility here too, to set an example. When they lean on Medium for archival storage, what are they thinking?
		- Okay following up on yesterday's bit about <a href="http://scripting.com/2021/06/24/141650.html?title=githubAsAppStorageContd">using GitHub</a> as an app storage system, even though I know it's possible, [[LogSeq]] has it working, but I'm not good enough with GIT as an API to figure out how to make it work. I have to table this idea for now and move on. I'm going to use S3 in its place. I know how it behaves, I have simple code to write to it that works. Unfortunately S3 does not come in a user-friendly package, so it doesn't get us anywhere as far as user control of their data. I think this is an ethical mission for devs, akin to the "First do no harm" <a href="https://en.wikipedia.org/wiki/Primum_non_nocere">edict</a> for doctors. Don't lock your users in. I want to establish a norm here, for [[Tools For Thought]], that users expect to be able to move their data around where ever they want. Not giving up on this. We've done it before, with [[RSS]], for example. And podcasting still hasn't been siloized, amazingly. :boom:
		- On the other hand, <a href="https://github.com/scripting/Scripting-News/issues/213#issuecomment-868277650">here's a tip</a> about how it might be possible to get the current GitHub approach to work, via the API. It involves another bit of software. Not sure it's worth it. But I'm going to do a test to try to prove the tipster's theory. 
		- The Dems only look good in comparison to the Repubs.
	- June 24
		- "threadviewer.com" bug fix. We now freeze threads after 12 hours. So you have to finish your writing before then.  
		- Finally MSNBC is <a href="https://twitter.com/freddyatton/status/1407918830693670914">coming clean</a> on the fact that the Repubs and Fox News et al work for Putin. <i>Let's keep that in mind</i> when we think about insurrectionists invading our Capitol. And btw the guilty parties so far aren't doing any jail time. Not much of a deterrent. 
		- I hate doing business with robots over the telephone. Can't you just fucking send a fucking email UPS.
		- Speaking of which the other day the phone rings, I pick up, it's a robot from the gas company, something is very wrong, I need to call this number, which she recites, and goes on, never repeating the number. At the end they threaten that they're going to cut off my supply (which I know legally is hard to do, and btw I'm current with my bill). So I call. I get put on hold. We appreciate your pateince, another robot says. Your call is important. I'm sure. When an actual human comes on the line I am accused of being rude for telling her what her stinking company just did in the middle of my freaking work day. They want to know where the check is. I don't know. My credit is good. Maybe the check got delayed. I hear there are problems with the post office. God bless the robots. And by the way, email is much more efficient! Please.
		- The glossary in Little Outliner
			- If you're new to "LO2", the glossary is a pretty unique feature that goes back to "Clay Basket" in 1995, and was <a href="http://scripting.com/downloads/Website%20Tutorial/GlossariesandFilters.html">documented</a> as part of Frontier's website framework. It's a permanent fixture, very useful, and easy once you know what it does and how it works.  
			- <b>What it is</b>
			- The glossary is a substitution table. When a term appears in text being rendered, the term is replaced with its value. So you could define an entry called "my blog" (the quotes are part of the definition) and its value would be a link to your blog. At some time in the future if your blog moves, just change the value of "my blog" and links to the blog will change too, when the text is rendered. 
			- Here's the <a href="http://drummer.scripting.com/davewiner/glossary.opml">glossary</a> I use in all my pages. It's a public outline. It has to be public for it to work, so you shouldn't put private information into the glossary. 
			- In LO2 a glossary is a two-level outline. At the top level are a set of terms the renderer will look for, and its subordinate text is what it will be replaced with.   
			- Here's a <a href="http://scripting.com/images/2021/06/24/glossaryScreen.png">screen shot</a> of part of my glossary, being edited in my outliner.
			- <b>How to</b>
			- To use your glossary outline, here's what you do:
				- Make the outline public. 
				- Choose the View OPML command in the File menu to get a link to the glossary outline. 
				- Put the URL on the clipboard.
				- In an outline where you want to use the glossary, choose Edit OPML Head from the file menu, and add an attribute to the table. Its name is urlGlossary, and the value is the URL you have on the clipboard. 
			- Now you should be able to use the glossary in your outline. 
		- GitHub as app storage, cont'd
			- Yesterday I wrote <a href="http://scripting.com/2021/06/23.html#a221440">two</a> <a href="http://scripting.com/2021/06/23/174309.html?title=isGithubRawStorageReliable">bits</a> about using GitHub as a storage system for a community of apps.  
			- The idea matches the as-yet unachieved ideal of using the web as an operating system, that for me goes back to 1994. It's the potential I saw when I first understood how HTTP works. Now in 2021, the one thing the web OS doesn't have is reliable storage for users that multiple apps can access to edit and render on the user's behalf. The same way you might have a text file on your desktop, that you write in a word processor (of your choosing, this is important) and send it over email, put it in a tweet, or a Facebook post, or print it. Or any of a million other uses. The key thing is the text file is yours. Not just for Mac or Windows, for everyone, anywhere. It's the wedge we need to be able to build a new world that's been technically possible for a couple of decades now. :-)
			- It's important that we're using GIT which is an open and often-cloned data structure. You could move your data to another GIT provider if GitHub proved too expensive, or their service was failing, or really any reason at all. 
			- Dropbox was getting close to this idea, but they pulled back. That's why I did "Fargo", which used Dropbox for storage. But no other app could access Fargo's outline files. They couldn't even access public files, that's the feature they withdrew. They had reasons to change course, not faulting the company. 
			- <b>LogSeq</b>
			- The main reason I picked up using GitHub as storage, again (I had experimented in 2017 with a GitHub-backed <a href="http://this.how/english/">text editor</a>) is that another app developer, "LogSeq" is going down this path: using GitHub as a place for users to store their data. Even better LogSeq is an outliner! And even better, they're supporting "OPML". So now it gets interesting. I can imagine a user opening an outline in "Drummer" because it has a feature they need, and then opening the same file in "LogSeq" because it has features that Drummer doesn't. This is the nirvana we've been waiting so long for. And we're close to having it. 
			- GitHub is tempting, but there appear to be problems when accessed through their API, as I am doing. For example, if I saved a file to a user's repo, it might take 20 minutes before the changed version showed up to other apps. There must be a cache somewhere in there. I don't have a clear statement of how GitHub works here, maybe it's out there, but I wanted to do a reality check. 
			- LogSeq says they use a Node package called <a href="https://github.com/isomorphic-git/isomorphic-git">Isomorphic-Git</a>. It has been reliable. But there are other problems. 
			- I've <a href="https://github.com/scripting/Scripting-News/issues/213">started a thread</a> on this. Maybe we can figure this out. Or maybe it's something we come back to periodically until it works. We'd love to hook up with people at GitHub, after we've explored all other options. 
		- Pissaro
			- <a href="https://www.wikiart.org/en/camille-pissarro/kew-the-path-to-the-main-conservatoryhttps://www.wikiart.org/en/camille-pissarro/kew-the-path-to-the-main-conservatoryhttps://www.wikiart.org/en/camille-pissarro/kew-the-path-to-the-main-conservatory">Kew</a>, the Path to the Main Conservatory.
	- June 23
		- The vision of using GitHub to host users data that could be accessed by lots of apps, a planned community of  apps that autormatically interop, where users fully own their data, will have to wait until we better understand how <a href="http://scripting.com/2021/06/23/174309.html?title=isGithubRawStorageReliable">GitHub works</a> with raw data.
		- If you’re having a kid, consider naming him/her, Pulitzer Prize Winner. Might open some doors
		- Revisiting Glitch, a year later
			- In <a href="http://scripting.com/2020/04/">April 2020</a> I gave <a href="http://glitch.com/">Glitch</a> a <a href="https://www.google.com/search?q=site%3Ascripting.com+glitch">try</a>. 
			- It's a unique free Node.js hosting service, that cuts out a lot of the complexity in creating and managing network apps. It's a <a href="https://en.wikipedia.org/wiki/Joel_Spolsky">Joel Spolsky</a> project, run by <a href="https://en.wikipedia.org/wiki/Anil_Dash">Anil Dash</a>, both people I've known for many years. Early bloggers. <a href="https://www.joelonsoftware.com/">Joel</a> is founder of Stack Exchange, Trello and many other projects, and now is super rich, probably a billionaire, after selling both his hits to big companies. I knew him when he was a normal ex-Microsoft NYC-based developer.
			- Anyway, I succeeded at getting several apps running on Glitch last year, but it wasn't simple for me, an experienced Node developer. That's okay. I left them the apps there, and they continued to work. But when I tried to update my "PagePark" installation on Glitch to the latest version, all of a sudden I'm getting errors from Node that make no sense. Things that worked before. There have been hardly any changes in PagePark in the last year. I have no idea what the problem is. And I'm concerned it might take days to figure it out and get things working properly. And these are days I don't have. Trying to complete Drummer, my latest product release, and help users get going in the OPML ecosystem (which is why I was drawn back to Glitch in the first place).
			- So now I'm trying to figure out what's the best use of my time. Glitch is inexpensive, but not the least expensive way to run a server, if you don't want the server to go to sleep. It takes (it seems) a minute or more for it to wake up. Perhaps that's the incentive to get you to pay. I'd understand that. But their <a href="https://glitch.com/pricing">price</a> is $8 a month, paid annually. I can host a server on Digital Ocean for <a href="https://cloud.digitalocean.com/droplets/new">$5 a month</a>, and it's pay as you go. If you use the server for a week you pay for a week. And while I appreciate that Glitch is trying to make it easier by factoring and editing in the browser (good things to do!), Digital Ocean makes it as easy as possible to get started using standard Linux at the command line, and their docs are excellent, the best I've seen. It's what got me to switch from AWS in the first place (their docs are impossibly bad). I've been using Digital Ocean for years now, and the other thing I like about it is that my apps continue to work, they don't break them, as apparently has happened on Glitch (which is okay, not complaining, just making a decision).
			- But then something amazing happened. After writing this post, all of a sudden <a href="http://pagepark.glitch.me/">PagePark-on-Glitch</a> is working. Fuck me. 
		- They can't see what they can't see
			- Journalism, academia, government and the corporate world all hire from the same talent pool.
			- They go to the same universities, get their news from the same sources. Corporate people take government jobs, then go back to the corporations. The people move fluidly in and out of each bucket. 
			- So you get the same story, the reality they believe in, developed over centuries, that is radically different from the reality most other people experience. The story recited daily at CNN, MSNBC, The New Yorker, NYT. The world changes, again and again, and the story they tell is how angry this makes them, and how everyone must snap back.
			- New technologies can make change possible, like the one we're using now. 
			- We would never have Trump if it weren't for Twitter. Imagine someone saying that sentence 20 years ago. It would pay to have that kind of imagination built into journalism, and it is available. The incumbents, like the Democratic incumbents, will have to be left behind. 
			- Today we can't rely on journalism, not because of a campaign run by Russians or Republicans or billionaires. 
			- They think the problem is that we don't see what they see, but I think it's the other way. They hold on to a normalcy that is gone. 
			- They can't see what they can't see.
		- Is GitHub raw storage reliable?
			- See the <a href="https://github.com/scripting/Scripting-News/issues/213">GitHub thread</a> for this post. 
			- I've been building apps on the assumption that if you store something on GitHub, when you get the raw version of that thing, it'll be current. I was getting inconsistent results, so I decided to test that assumption, and it seems that it is <i>not</i> reliable storage. 
			- If you read an object immediately after writing it, you will not always get back what you wrote. It's not just a matter of waiting a second or two, sometimes it's wrong for up to 10 seconds (the delay I programmed into the test).
			- Here's <a href="https://gist.github.com/scripting/6a59532e1a2d1d0a8e6120cf07b9af45">the Node app</a> I'm running to test this. It wakes up every minute and saves a file to GitHub with the current local time string. If I reload the <a href="https://github.com/scripting/instantOutlines/blob/main/misc/now.txt">non-raw version</a> of the page, it usually seems to have the current value. But if I reload the <a href="https://raw.githubusercontent.com/scripting/instantOutlines/main/misc/now.txt">raw version</a> of the page, it often does not have the correct value. 
			- Here are the results of the app for the first half hour.
				- everyMinute: 1:58:13 PM, status == 200, bad
				- everyMinute: 1:59:00 PM, status == 200, bad
				- everyMinute: 2:00:00 PM, status == 200, bad
				- everyMinute: 2:01:00 PM, status == 200, good
				- everyMinute: 2:02:00 PM, status == 200, bad
				- everyMinute: 2:03:00 PM, status == 200, bad
				- everyMinute: 2:04:00 PM, status == 200, bad
				- everyMinute: 2:05:00 PM, status == 200, bad
				- everyMinute: 2:06:00 PM, status == 200, bad
				- everyMinute: 2:07:00 PM, status == 200, good
				- everyMinute: 2:08:00 PM, status == 200, bad
				- everyMinute: 2:09:00 PM, status == 200, bad
				- everyMinute: 2:10:00 PM, status == 200, bad
				- everyMinute: 2:11:00 PM, status == 200, bad
				- everyMinute: 2:12:00 PM, status == 200, bad
				- everyMinute: 2:13:00 PM, status == 200, good
				- everyMinute: 2:14:00 PM, status == 200, bad
				- everyMinute: 2:15:00 PM, status == 200, bad
				- everyMinute: 2:16:00 PM, status == 200, bad
				- everyMinute: 2:17:00 PM, status == 200, bad
				- everyMinute: 2:18:00 PM, status == 200, bad
				- everyMinute: 2:19:00 PM, status == 200, good
				- everyMinute: 2:20:00 PM, status == 200, bad
				- everyMinute: 2:21:00 PM, status == 200, bad
				- everyMinute: 2:22:00 PM, status == 200, bad
				- everyMinute: 2:23:00 PM, status == 200, bad
				- everyMinute: 2:24:00 PM, status == 200, bad
				- everyMinute: 2:25:00 PM, status == 200, good
				- everyMinute: 2:26:00 PM, status == 200, bad
				- everyMinute: 2:27:00 PM, status == 200, bad
				- everyMinute: 2:28:00 PM, status == 200, bad
			- You can see that more often than not the raw value is incorrect after ten seconds. 
			- I'm leaving the app running for a while, so if you want to verify this, you can. 
			- I'll post a note in the <a href="https://github.com/scripting/Scripting-News/issues/213">GitHub thread</a> when I turn the app off. 
		- Hopper
			- Carolina Morning by Edward Hopper, 1955
	- June 22
		- How ranked-choice vote <a href="http://scripting.com/2021/06/22/howRankedChoiceVotingWorks.m4a">counting</a> works. It's not complicated.
		- If you don’t believe we’re a racist country, ask yourself when people of color ever tried to stop white people from voting.
		- A new <a href="https://github.com/scripting/pagePark#v0818-62221-by-dw">version</a> of PagePark has a more powerful mirrors feature. 
		- The problem isn't Manchin or the filibuster. The news is that Repubs are planning, openly, the destruction of the American political system, turning the US into Russia, with vast wealth to be looted. The question is wtf are we going to do -- now. 
		- My dialog with Joe Trippi continues
			- <i><a href="http://scripting.com/2021/06/08.html#a152650">Last time</a> it was an open podcast, this time an open email. </i>
			- <a href="https://twitter.com/JoeTrippi">Joe</a>, I listened to your <a href="https://podcasts.apple.com/us/podcast/inside-gops-plot-to-white-wash-january-6th-conversation/id1530639447?i=1000526220530">interview with Michael Cohen</a>. really liked the negotiating with hostages idea. It's true, they are hostages, and it made me stop and think because at first i thought you said hostage-takers.    
			- Working to get Dems elected is not enough. The Democratic Party is in the way. It might be better to run ads attacking them first. To establish that something unusual is going on, that the Dems are weak and disorganized and not the answer.
			- There's no way in a two-party system if one party disintegrates, that the other party doesn't also fall apart.
			- In order to compete with the Repubs, which we have to do, the Democratic Party has to be pushed into the background.
			- We need an answer to Donald Trump. It's not as Michelle Obama said when they go low we go high. That's wrong. we need to go lower. Sorry. This isn't church, you don't get to heaven by being pious.
			- Michael Cohen has some of what's needed. I really liked what he said about driving sign trucks through neighborhoods stating obvious truths that everyone knows that they never say on TV. It's a brilliant idea. He's a brilliant guy. 
			- I don't think the Lincoln Project is the right banner for you to fly under. No matter what they do they identify as Republicans. i don't know if you're a basketball fan but that's like saying the 76ers or Nets should lead us in our quest to win the title. (Both have been eliminated). They are brilliant advertisers, but they are not leaders because they have the Republican stink on them.
			- We need someone strong, believable, and most important new.
			- BTW, someone who has leadership qualities -- Stacey Abrams. I found when she endorsed Joe Manchin's election reform platform I had to go look at it. Because I trust her and believe in her intelligence. 
			- Do a podcast with her Joe, ask her what we should be doing now. I'd listen to that one. 
	- June 21
		- I spent the day tangled up in PageParkLand. Oy, I got too clever, all hell broke loose. It's okay it's all put back together, praise Murphy, I am not a lawyer, my mother loves me.
		- Now that Clubhouse-like rooms are available in so many places, will Clubhouse itself develop text features to match? An opportunity to start from scratch, something simple and minimal, unlike the sprawling text trees of Twitter and Facebook. There's a <a href="https://www.amazon.com/Positioning-Battle-Your-Al-Ries/dp/0071373586">position</a> open here imho.
		- If you have a few minutes to read, <a href="http://scripting.com/2021/06/20.html">yesterday's installment</a> of Scripting News was one of the best ever. 
	- June 20
		- <a href="https://github.com/scripting/Scripting-News/issues/210">Brandon Toner</a> is setting up a "PagePark" server on <a href="https://glitch.com/">Glitch</a>. He wants to do a blog styled after the outline format of <a href="http://davewiner.com/">davewiner.com</a>. 
		- Nice <a href="http://scripting.com/images/2021/06/20/daveAndAdam.png">picture</a> of Adam Curry and myself, <a href="https://twitter.com/Podchaser/status/1406708042847096836">from</a> <a href="https://www.google.com/search?q=gnomedex+winer+curry&safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ALeKk01HA3hOkTvzs1HC7MCLbImy-ec8lg:1624224861194&tbm=isch&source=iu&ictx=1&fir=fo8uvkOJAMQSfM%252CqhUFOONB3MiRpM%252C_&vet=1&usg=AI4_-kRdUXSnyu8nuXMLtl-71m5Kl96f_g&sa=X&ved=2ahUKEwi1x4uPlafxAhWGTt8KHSJ2B08Q9QF6BAgQEAE#imgrc=fo8uvkOJAMQSfM">Gnomedex</a> in <a href="https://en.wikipedia.org/wiki/Gnomedex#2005">2005</a>?
		- <a href="https://twitter.com/davewiner/status/1406694522105565186">Why</a> [[wikilinks]] work better than #hashtags.
		- What's important is to know what's important.
		- I believe that my socket server will pick up this change. Let's see if it does. (Indeed it did.) 
		- Father's Day
			- I dislike all the <a href="https://www.urbandictionary.com/define.php?term=Hoopla">hoopla</a> about Father's Day since I don't have one. 
			- My father died in 2009. As they say "after a long illness." Cancer.
			- I called the day he died <a href="http://scripting.com/stories/2009/10/03/fathersDay.html">Father's Day</a>. From that moment on I could remember my father the way I wanted to, and try to remember that the things I didn't like were given to him by his father and his father's father, all the way back to the beginning, which in our case was probably a <a href="https://en.wikipedia.org/wiki/Shtetl">shtetl</a> somewhere in the Ukraine or Belarus or Russia. 
			- The one thing we bonded on was outliners. My father loved [[ThinkTank]]. He was a huge evangelist for it, as a college professor in NY, and a consultant to large businesses on marketing and management, he preached the gospel of seeing what you think. I now realize he wanted me to do, then, what I see now that I need to do. I wish he was alive today to use the tools we're creating now. 
			- He didn't understand what I was doing when I was developing it, but he loved it after it was done. This might give tech adventurers some hope. Your parents might not understand what you're doing today, but when it's ready to go, they might become believers. 
		- Sports philosophy
			- I say the difference between the Mets and other baseball teams is that the [[Mets]] have philosophy. Their philosophy is to have a philosophy, which is this: it ain't about winning. The Yankees, the other NYC baseball team, expect to win every year, which doesn't work most years, because despite how good the Yankees are, there are 29 other teams and in most seasons the Yankees, like all but one team, are losers. Their philosophy is not adaptable. The Mets philosophy only has upside. In the infrequent years they win, well, that's a bonus, an extra goodie. Like some rice to go with your red beans. Like a pack of rolling papers to go with your ounce of weed. Winning for the Mets is a nice thing, soon forgotten, when you revert back to the long-term philosophy of playing baseball, not winning at playing baseball.
		- The Nets lose, and that's just fine
			- People who think sports are trivial haven't really thought it through, imho. Sports teach you how to think about things that are confusing in everyday life in clear terms with almost immediate outcomes. Sports is a training ground for strategic and philosophical intelligence.   
			- The latest version of the basketballl Nets were formed by players who cared not a whit about anything other than winning. They probably need to be reminded what team they're playing for (i.e. the [[Brooklyn Nets]]). Kyrie is playing for Team Durant, as is Harden and the others. Durant, who has already won championships, was bored, is a sour person, who on coming to NYC thought it was <a href="https://www.nyknicksnews.com/kevin-durant-the-cool-thing-right-now-is-not-the-knicks/">okay</a> to <a href="https://bleacherreport.com/articles/2857179-nets-kevin-durant-says-the-cool-thing-right-now-is-not-the-knicks">dis the team</a> that everyone in NYC knows sucks horribly, epicly, a self-sabotaging monster of a basketball team that despite everything NY basketball fans love. Love. We love them KD. But we don't like it when players from Seattle, Oklahoma and "Golden State" (where ever that is) come to NY and tell us our team sucks. <i>You</i> suck you asshole, and the only NYers who are going to root for your Nets are the ones who root for the [[Yankees]]. This Nets team was founded to win. Having lost, do they have any reason to exist? So today Knicks fans breathe a sigh of relief. There is a basketball god after all, and the Knicks still rule NY. When the Nets show some hubris, when they commit to a long-term relationship with NY basketball fans, then and only then will the deserve real NY fans, not the fake fairweather fans. 
			- This outcome, losing in the second round, was perfectly predictable. Maybe there should be a rule, once you win two championships you should retire, because from that point on there are no more thrills available to you, and like [[LeBron]], destroyer of humble franchises in Miami and Cleveland (twice!) would do less damage if he just invested in VC-backed tech companies and forgot about bringing his sourness to basketball. 
			- Sports teaches those of us who will never achieve the height of a [[Kevin Durant]] to appreciate what we have. This year the Knicks rose off the energy KD fed the team and <a href="http://scripting.com/2021/05/13/124739.html?title=knicksClinchImEcstatic">exceeded all expectations</a>. Next year and the year after I'll root for the Knicks, god willing. But if they ever mortgage their future, as the Nets did, to get three vagabond superstars to try to win a title in one year, I'll be shaking my head and  will look for another hopeless cause to identify with until the Knicks come back to earth. 
	- June 19
		- As a Knicks fan, many condolences to Nets fans, and happy for the Bucks.
		- I think I've updated the home page of Scripting News a hundred times this morning trying to get five systems to work together. Interop is hard, at the first time you get things working, and as long as you don't "fix" things you hope it keeps working. Knock wood. 
		- Today's project is really twisty. I have an OPML file that should always show exactly what's on the blog, but in OPML. That's different from a realtime update, because it only updates when I publish. I don't necessarily like being watched while I edit. It could get weird. It would have been simple to put it on S3 and give it a scripting.com URL, but I wanted it to be on GitHub, so it would be transparent about how it got to the client. And then there's the notification server, that gets a webhook call from GitHub when the OPML file updates. But that's not enough! The client apps, which are browser-based, hook up to the notification server via websocket, which it found the address of in the &lt;head> section of the OPML file. It's all very simple for the client apps, which is the point, but there are a lot of moving parts to debug on my end of things.  
	- June 18
		- A few days ago I asked for an idea of what the term "garden" meant when applied to a software product. I had seen it used in conjunction with various [[Tools for Thought]] projects. I also saw <a href="https://twitter.com/holden">Mike Caulfield</a> talk about it on Twitter. I wanted to understand what it means. After reading his <a href="https://hapgood.us/2015/10/17/the-garden-and-the-stream-a-technopastoral/">whitepaper</a> on the garden and the stream, I think I get it. My garden is various product and technology sites, like "XML-RPC", "OPML" and "RSS". The product sites for "Frontier", "Fargo", the "OPML Editor". There's even a <a href="http://outliners.com/">garden</a> for outliners of the 80s: ThinkTank, Ready! and MORE. And the stream? That's a blog! And podcasts, and RSS itself. OPML is more the language of the garden. These are useful words to apply to ideas we've been developing since the dawn of the web. It's good to have these words. I also thought of Chance the Gardener's idea of a <a href="https://www.youtube.com/watch?v=YgGvd1UPZ88">garden</a> in <a href="https://en.wikipedia.org/wiki/Being_There">Being There</a>, a wonderful comedy about how the world really works. Chance talks about tending his garden. People find great meaning in this, which is weird because he really is talking about his garden, not economics. It's a farce, a current-day, more thoughtful version of <a href="https://en.wikipedia.org/wiki/Idiocracy">Idiocracy</a>, another great movie. 
		- I updated the <a href="http://this.how/opmlChecklist/">OPML checklist</a> with a <a href="http://this.how/opmlChecklist/#1624040113000">section</a> explaining what OPML is, and how it came to be the interchange format for outlines. I also added a link to the Instant Outlines <a href="https://github.com/scripting/instantOutlines">project</a> which was released after the checklist. Keep the garden properly tended. :boom:
		- "Drummer" has node-level bookmarks. When you choose an item from the Bookmarks menu, it opens the outline with the cursor on the node you were pointing to when you created the bookmark. 
		- BTW, thinking about Ward Cunningham's <a href="http://makecommoningwork.fed.wiki/federated-wiki.html">Federated Wiki</a>  project, if it understood OPML and had an outliner built in, that would make a pretty great publishing platform. Even better than a built-in outliner, an API by which any outliner could plug in. I'd love to help with that. I love designing and supporting APIs. Ward and I talked about this in our <a href="http://scripting.com/2016/08/23/gettingBlogsAndWikisTogether.html">meetup in 2016</a>. I'm about to ship a new outliner, so it's a fresh topic for me in 2021. Lots of talk about integrating the output of one outliner into another. 
		- It would be great if philanthropy gave the human race a way to publish freely that wasn't tied to the non-existent business model of a mostly failed Silicon Valley startup. <a href="https://mackenzie-scott.medium.com/seeding-by-ceding-ea6de642bf">MacKenzie Scott talks</a> of empowering voices that need to be heard, start at the foundation. The <a href="https://en.wikipedia.org/wiki/The_medium_is_the_message">medium</a> is the message.
		- I have Apple's latest <a href="https://www.apple.com/airpods-pro/?afid=p238%7CsoMhByjUO-dc_mtid_1870765e38482_pcrid_482593959245_pgrid_87272266274_&cid=aos-us-kwgo-airpods--slid---product-">AirPods</a>, now I hear they have something called <a href="https://www.apple.com/newsroom/2021/05/apple-music-announces-spatial-audio-and-lossless-audio/">Spatial Audio</a>. I've tried the short demo that's part of the setup for the airpods. Are there more demos? I do not want to sign up for Apple Music, btw. Thanks. 
		- <a href="http://davewiner.com/">davewiner.com</a> is my personal website. Just updated.
	- June 17
		- We need something like the Lincoln Project — pointed, simple, hard-hitting advertising, with the aim of removing the insurrectionists from Congress, now, or at least in 2022. It’d  be fine if the LP people are involved, but they need Democrats and independents, not just Repubs.
		- Thanks to <a href="https://memex.naughtons.org/thursday-17-june-2021/33980/">John Naughton</a> for the link to this <a href="https://aeon.co/ideas/coding-is-not-fun-it-s-technically-and-ethically-complex">piece</a> by <a href="https://twitter.com/waltervannini?lang=en">Walter Vannini</a> that explains how coding is not "fun." It's a good read.  One way to experience how much there is to "coding" (a terrible word for what devs do) have a look at a <a href="https://github.com/scripting/instantOutlines/blob/main/demo/code.js">completed piece of code</a>, and see if you can make sense of it. Even someone who knows the language it's written in will have a hard time, unless it's written with readability in mind, and even then, not without a lot of head-scratching. It's not like anything else you've done, and if someone tells you it's fun and easy and interactive, please ask them if they have done it. The answer is no, because no one who has ever completed a piece of software that other people use would say it's anything other than a slog. The rewards can be great, don't get me wrong, but you have to invest a lot of yourself before you get them.  
	- June 16
		- [[NYT]] did something interesting: <a href="https://help.nytimes.com/hc/en-us/articles/360060848652">Gift articles</a>. Every subscriber, they say, can share up to 10 articles per month that don't count toward the number of free articles non-subscribers can read. I thought I was giving this a try earlier when I clicked the gift icon, but looking at the link it generated, there's nothing special about it. I'll try again. They don't say on the site when this feature was added, I just heard about it today. A quick news search turned up nothing. 
		- When is journalism going to start asking when the [[DOJ]] is going to charge [[Trump]] with insurrection? They seem to be stuck, for years, reporting what everyone knows. Trump tried to use the DOJ as if it were his personal lawyer. He didn't accept the results of the election. Had no respect for democracy. We saw and heard the speech he made to the people who would go on to invade the Capitol, there's the smoking gun folks. You can stop looking for it. We keep letting Trump slide, and it keeps getting worse. Unless journalism decides it's time to start asking the obvious question, we're going to stay stuck. The question, on the off chance it <i>isn't</i> obvious is this -- when are you going to make Trump pay for his crimes against the country? Tax evasion is cute, we want to see him pay for trying to overthrow the government. 
		- Do [[NBA]] players who are vaccinated have to go into the isolation if they are exposed to Covid?
		- Dark mode Drummer
			- I noticed is that most of the new outliners are dark mode apps. White text on black background.
			- Until recently it had never occurred to me that my outliner should have a dark mode too, so I've been working on that for "Drummer" in the last few days. Getting pretty close to having it working, then I have to go back and review everything to see if a bit of color here and there would be nice. I notice that other dark mode apps make use of color in an accenting way. I like that. You almost don't notice it until you look for it. 
			- Dark mode Drummer <a href="http://scripting.com/images/2021/06/16/drummerScreen2.png">screen shot</a>.
			- Let me just say [[CSS]] is the most awkward possible way to do this kind of programming. I yearn for [[QuickDraw]], the UI tech we used in the 80s on the Mac. Everything was straightforward and done in a real programming language as opposed to CSS. 
	- June 15
		- My friend <a href="https://twitter.com/jeremyzilar?lang=en">Jeremy Zilar</a> turns off the router at his family house at 5PM. At first my mind rebelled. I remember growing up in a world with no internet at all. I was part of the bootstrap that we now live in with internet 24 by 7. Internet-connected everything. But then I realized if say President Biden ordered that the internet be turned off in everyone’s home every night at 9PM,  for even just one hour,  it might  be  enough to wake us from our collective stupor.
		- Suppose you get into a car accident and there was a question of how fast you were going. Your insurance company knows, if you've given their app on your phone permission to access your location. Your car has computers that know how fast you're going, and if your car has a satellite connection as mine does, they can save it on their server. All this might not come as a surprise, except if you drove in the days before mobile phones, GPS and cars that are computers. as I did. 
		- If people turn their back on you because they don't like your ideas, then they weren't really friends in the first place, were they? It's not love if it's conditional on hiding who you are. Remember that, young folk. Be you because that's all you can do! :heart: 
		- Do it for the users
			- Back in the 00s we had a series of conferences called [[BloggerCon]].  
			- There were a lot of new things about this series, one of them was they were user conferences. 
			- Tech companies could sponsor if they wanted, but they didn't get anything in return other than thanks. 
			- We didn't get any sponsors for the first one, but after that, sponsors saw that the thanks was worth enough to want to help.
			- So what does it mean to be a [[user conference]]? 
			- It means that the interests we rep are those of the users.
			- So if you had a users conference for journalism, the journalists could come, and they could speak, but only as users of news. They couldn't talk about problems they have being journalists, which is 100 percent of what happens at journalism conferences. 
			- There needs to be room for the users, somewhere, to get together and decide what they want from the tech. Not to be told what they want by an industry that is a bit short on vision, esp positive visions for users.
			- Today opportunity is opening up that I hoped would happen in the 90s when I tried to push the idea of using outliners to build web structures, starting with blogs. Something that smart users understand, techies aren't impressed, but people who think really are turned on by the idea. 
			- We called the company UserLand, the one that made the outliner that could build websites. When we had a decision to make about products, the first people we thought of were the users. How could a company called UserLand do otherwise? :-)
			- What I want to say to the users, now, is this -- don't let yourself be locked in to one vendor. Let's not repeat the mistakes of Facebook, Twitter, Medium, Substack, etc. These companies provide a free service, and in return you get to be the product. Let's hold out for something better.
			- The economics of software today are such that you can get a lot of value for virtually no money. The cost of production is zero, and servers cost virtually nothing to run (you can find services that give you free servers, not sure why, but it's a good deal, because you're free to move to other services). I pay for my servers, I use [[Digital Ocean]], they provide a good service, and the prices are amazing. For less than I pay for cable TV, I get seven really good Unix servers that run all my stuff. I would have killed for that kind of deal just a few years ago.
			- Today we're in technology heaven, made into a hellish place by bad ideas from tech. You should always be able to move to another service. If you find that's not possible get out before it's too late.
			- Let's build this layer of the internet right, based on what we learned from the mistakes of the past. 
	- June 14
		- The new <a href="https://github.com/scripting/instantOutlines">Instant Outlines</a> toolkit. Over the last few days I've been tweeting and blogging like a fool about <a href="https://github.com/scripting/instantOutlines#simple-use-case">why</a> importing and exporting outlines from one app to another isn't enough. We can do much better. In the background I was working on a <a href="https://github.com/scripting/instantOutlines">new toolkit</a> for developers who want to be part of a network of outline producer and consumer apps based on [[OPML]] and [[web sockets]]. With <a href="https://github.com/scripting/instantOutlines/blob/main/demo/code.js">source code</a> of course, and a <a href="http://scripting.com/code/instantoutlinesrepo/demo/">demo app</a> to prove it works. All my outliners support the feature as well, it's the basis for sharing outlines. This is my vision for an open ecosystem based on outlining. It's a big part of what I <a href="http://scripting.com/dwiner/outlinersProgramming.html">dreamt</a> of when I started UserLand in 1988. 
		- <a href="https://twitter.com/davewiner/status/1404553333751304194">Has anyone</a> used &lsqb;[double square bracket]] tagging in a blog? If so, I'd love to read some docs about how they did it.
		- I'm <a href="https://www.metacritic.com/tv/in-treatment">still</a> watching [[In Treatment]], but season 3 is mostly cringe-worthy. The writing is awful, and the various plots are ridiculous, though Debra Winger is pretty great. It's a very simple concept, they must've gotten bored with it (?) and tried to turn it into some kind of mysterious love affair between patient and doctor and then doctor-as-patient. Also too many patients have miraculous turn-arounds, and it's not clear why. They seem to be charmed by Paul, but we know Paul ain't charming! Oy. I'm slogging through season 3 knowing there's a <a href="https://www.vulture.com/article/in-treatment-review-hbo-season-4-uzo-aduba.html">new season</a> already in progress, with a new shrink played by a familiar actor, and I want to watch it so I don't want to skip anything. 
		- <a href="https://twitter.com/davewiner/status/1404550207812014085">Poll</a>: Do you prefer white text on a black background (dark mode) or black on white (light mode)?
		- Proof by [[induction]]. If a statement is true for 0, and if it being true for n implies it's true for n+1, then it's proven for all positive integers. When we let Dubya off for his sins, and when we didn't restructure the banking industry after the crash in 2008, we set the stage for it to <a href="https://slate.com/news-and-politics/2021/06/no-consequences-for-trump-garland-biden.html">happen again</a>, only worse. And Trump isn't done with us yet. He's the weird case of a former president who hasn't relinquished power. He hasn't learned how to use it yet, but he'll get more effective in his new role. 
		- <a href="http://scripting.com/2002/07/26.html#dearAsshole">BTW</a>, this is a non-[[smoking]] weblog since <a href="http://scripting.com/2002/06/14.html">June 14, 2002</a>.  
	- June 13
		- This is important. In the conversations I've had recently with users and devs in the nascent [[Tools For Thought]] community, people talk in terms of importing and exporting outlines, but this emphatically is not good enough in 2021. We need a live connection. So when you hook your outline up to a rendering server,  the connection persists. When you make a change, the worker app on the server has the changes and is ready to re-render, without you doing anything. I can't manually import a file every time there's a change. [[Web sockets]] are built into all browsers, it's simple and standardized tech. Let's use it.  There's at least one public storage system, [[GitHub]], that supports real time notification. Again, let's use it. Instead of going back to the beginning each time a new generation comes along, let's start with the work and knowhow of previous generations. I'm here to help. 
		- <a href="https://github.com/scripting?tab=repositories">GitHub</a> is an incredible free to use resource, reliable, has an excellent <a href="https://docs.github.com/en/rest/overview">API</a> and through <a href="https://docs.github.com/en/developers/webhooks-and-events/webhooks/about-webhooks">webhooks</a> is even real time. I think it could be a strong basis for <a href="https://en.wikipedia.org/wiki/Interoperability">interop</a> between various outline generators and consumers.
		- Long ago, when [[RSS]] was starting to boom, I was often surprised when a new product came out and I didn't hear about it until it was announced publicly. The one I remember best was [[FeedBurner]]. You'd think that they would want my endorsement, and to give them a chance to answer technical questions before the press started asking them. Maybe they had a developer story? Or maybe I could have helped with a design decision? At that time Scripting News was pretty well-read in the developer community. It always felt like they must have been hiding something, but if they were I never found it. Yes FeedBurner centralized a technology that was good because it was decentralized, but I don't think my saying that would have hurt them. What was even more strange is I had friends at the company, people from the blogging world and from other RSS devs. 
		- Is JSON better than XML? No.
			- I've been all around this one. I can and often do save both [[XML]] and [[JSON]] versions of RSS and OPML. Truth is almost no one uses the JSON versions. The reason is simple. If you already have support for the XML version, what's gained by adding support for JSON? And everyone has to support the XML version, because HTML, RSS and OPML are all out there <i>only</i> in the XML format, for all practical purposes. 
			- Now, to the supposed advantages of JSON over XML.
				- JSON is supposedly more readable than XML, but if you look at what people actually put on the wire, it's not true. There are no rules about [[whitespace]], tabs, newlines, spaces in either format. Developers save files without including whitespace, thinking this makes their apps more efficient, when any gain has to be miniscule, esp with compression. It's bad engineering not to try to make your data files readable, imho, but it's also the default practice.
				- JSON is supposed to be easier to process, but that also is not true. First you have to support the XML versions because that's what's out there. So even if it were monumentally more difficult, you can't avoid supporting XML formatted data in your code. Adding a second version makes your code more complex not simpler. 
				- If your development runtime doesn't have a package to serialize and deserialize XML as easily as JSON.parse and JSON.stringify, then do a good deed for your fellow developers, write it and release it as open source. That's a simpler and more ecologically sound way of alleviating any angst about XML. 
				- The old famous programming adage applies -- <a href="https://en.wikipedia.org/wiki/Wikipedia:If_it_ain%27t_broke,_don%27t_fix_it">if it ain't broke don't fix it</a>. XML works. It doesn't matter to users if you use XML or JSON. If you want to make the world a friendlier place, use indentation and newlines in your data. Either XML or JSON can be readable if you put in a little effort. 
	- June 12
		- Fighting autocracy with marketing
			- Joe Trippi's <a href="https://podcasts.apple.com/us/podcast/id1523896927?i=1000525032434">latest podcast</a> focused me on realistic next steps fighting Republican autocracy. Here are my comments in a bulleted list. I wrote this quickly, so think of it as a memo, not a manifesto. ;-)
				- Joe, glad you're hooked up with the [[Lincoln Project]] people. They were doing well marketing against insurrection until the 2020 election.  
				- The task they set themselves up to do is done. They were trying to convince Repubs it was ok to vote for a Democrat. That was great for the 2020 election but it's a small part of the campaign that should be running now.
				- They (or someone) must be ready to position the next huge insurrection event, with online advertising, in real time as it's happening, and in the immediate aftermath. 
				- If such an operation were in existence on [[Jan 6]], we wouldn't have had to wait for the DOJ to tell us what happened (they never have). Now, no amount of marketing will change that the events of Jan 6 are fuzzy and uncertain in our minds, even though in fact they aren't. No one focused our minds on the criminality of the president. We've never gotten an account of what the president was doing during the insurrection, yet the new administration must have that information? Why are we not running ads demanding that the information be released. 
				- So we remain confused, no one has taken charge of communicating about that event. That's how the human mind works. It's why when Barr lied about the Mueller Report his spin stuck, even though later we knew he was lying. 
				- The question the new Lincoln Project should always be raising: "Why is this traitor still in Congress? Repeat that theme over and over. Point the finger at the traitors, make them pay a political price for their insurrection. 
				- When one of them does something really insidious, demand that they be removed from Congress right now. Put the question into the reports in NYT, WP, CNN, MSNBC, et al.
				- Jan 6 was not the last act of insurrection. Any day now there will be another. We must be ready to communicate about it. 
				- If such a marketing channel existed, ordinary people like me will be able to do something instead of sitting around worrying and thinking no one will hear me so why bother. Our contribution will be in dollars to run ads, and feet marching in protest. 
				- Marketers are in a position to do a lot of good. I think Lincoln Project should change their name and add Dems and independents to the project. It can't just be former Republicans at this point. 
				- From now on campaigns <i>never shut down.</i> Tattoo that on your forehead. It's a mistake we're still making and it must stop. The need to communicate about events is persistent.
		- Blogging from an outliner
			- If you want to blog from an [[outliner]], I suggest the first step is to get the outline data to flow out of your editing tool in [[OPML]], and then write your publishing software to build the blog from the OPML. That way you won't be locked into your editor or publishing software.
			- There are lots of approaches to both writing and publishing. You won't get the benefit if you don't have a strong basis for interop.  
			- Silos have a long history of being bad for progress.
			- For most of the last 26 years I've been writing my blog in an outliner. I'm glad that other people are interested in this now. Let's build a new community around this idea. ;-)
			- The rest is in a Twitter <a href="https://twitter.com/davewiner/status/1403721933628350474">thread</a>. 
	- June 11
		- Today's song: <a href="https://www.youtube.com/watch?v=hQcf6qRMZMo">Oklahoma USA</a>.
		- [[Joe Trippi]] did a <a href="https://podcasts.apple.com/us/podcast/id1523896927?i=1000525032434">podcast</a> in response to <a href="http://scripting.com/2021/06/08.html#a152650">my podcast</a>. This time I listened all the way through. I like that Joe is open to other points of view. This is an important time for that. I'm also glad he's talking with the Lincoln Project. I'm going to think about this for a bit and then respond. 
		- I have a two-monitor Mac. Sometimes when I move my mouse in the Dock at the bottom of my main monitor, it moves to the bottom of the other monitor. All of a sudden I have to stop, launch the  Preferences app, open the Dock panel, click the Right button then the Bottom button, and now the Dock is back where it belongs. It seems the problem could be easily solved by putting a Lock icon on the Dock tab, as they have on other panels. I can't imagine why they thought a mouse gesture should do something so radical as move the Dock. 
		- I'm putting together a new hub for [[Instant Outline]] notifications using [[GitHub]] as the intermediary. Today is a docs-writing day. The code is working, knock wood, praise Murphy, etc. Doing some searches I found an <a href="http://scripting.com/opmlHowto/dave/editorOpmlOrg/instantOutlineTool.html">Instant Outline tool</a> I did in 2009, using [[FriendFeed]] in roughly the same manner I'm using Twitter and GitHub this time. Let's hope this time it gains traction. I've been waiting for people to play with on this stuff, this is one of those things you <i>can't</i> do on your own. 
	- June 10
		- Today's song: <a href="https://www.youtube.com/watch?v=mMqM-9VU8Gw">Gotta Have Me Go With You</a>.
		- We need some real investigative journalism. Which of our systems are most vulnerable to attack? Should've been done a long time ago. 
		- Experiment: call your bank. Tell them you have a security issue. See how long it takes to freeze the account.
		- I've found that credit card companies are very tuned into security. If you call them up with a security issue, within a minute they have put a freeze on the account, and send you a new card. I generally get the new card the next day. And by "a minute" I mean a minute after the phone rings, not after navingating voicemail hell, getting upsold and hung up on, and being reminded your call is important to us, and did you know that you can get all the information you need on the web? Please hold and an operator will be with you soon. We apologize for the inconvenience. 
		- I'm writing a little app that archives my tweets in JSON-flavored OPML, just to <a href="https://twitter.com/davewiner/status/1401562845201027075">see</a> what might happen.
		- Programming note. I've decided that, in "LO2" and other [[outliners]], the special icon for tweets is annoying. Especially when it's just an <a href="http://scripting.com/images/2021/06/10/tweetsWithIcons.png">outline of tweets</a>. They will still have the "tweet" type attribute, but they will display with the default wedge. 
	- June 9
		- Just did my first <a href="https://help.twitter.com/en/using-twitter/spaces-hosting">Spaces</a> session. I have a suggestion. When you start a space, ask the user if they want to set a time limit. Then display the time limit for everyone to see. Maybe even have a clock counting down. And when it's over, just shut it off. I'd do more of them I think.
		- More and more I'm seeing Twitter as a writing tool. Both as a writer and as a developer. 
		- So many people are stuck on Chapter 1 of story of the downfall of the US as a democracy, when events are already in Chapter 4.
		- Pet peeve: Companies that send nagging personal reminders, using your first name, and the messages come from no_reply@yousuck.com.
		- Related thought: I'd like to have a site where I could, with one click, send some hate to one of these asshole companies, publicly of course.
		- GitHub notifications via WebSockets
			- A new project I started. 
				- An app that stores files on GitHub. 
				- Other apps can be notified when any of these files changes, via <a href="https://en.wikipedia.org/wiki/WebSocket">WebSockets</a>.
				- This is accomplished by a very thin publicly accessible server app that gets <a href="https://docs.github.com/en/developers/webhooks-and-events/webhooks/creating-webhooks">WebHook</a> calls from GitHub, accepts subscriptions from browser apps and mobile apps, really any kind of app, over WS.
				- I like that it relies on GitHub. It performs well, and it'll probably be around for a while. And it's free to use, all you have to do is set up an account. :smile:
				- Other apps are using it as backend-storage for web apps. I am interested in trying that out too.
				- The files themselves contain the ws:// address of the server app as metadata, so all you need is the address of the data to hook up to the correct server that does notifications over WS.
			- Here's a schematic of the relationship between the apps. I apologize for my handwriting which used to be much better. I hardly write by hand anymore these days. 
			- Schematic.
			- This, btw is exactly the infrastructure neeed by an "Instant Outliner" via OPML. The apps that generate the OPML could be outliners, or really any app that wants to deal in outline-structured data. But the protocol is general enough so it could be used for any data file type. 
			- In a few days, once the app has been running for a while, and I have a good demo put together, I'll publish a pointer to a compatible OPML file, and provide example code running in a browser for requesting notification via Web Sockets. 
	- June 8
		- Today's journalism is not a wartime journalism. Even though we've been at war in west Asia for 20 years, and in a civil war 30. Journalism has been living in the 80s, I guess. The assumption being that elections and laws have meaning. In war, elections don't matter. You can't win a war in court. 
		- I wish Facebook were better integrated with the rest of the web.
		- I tried to listen to a <a href="https://podcasts.apple.com/us/podcast/max-boot-on-future-democracy-joe-manchin-gops-threat/id1523896927?i=1000524616180">Joe Trippi podcast</a> today, an interview with another political insider, Max Boot, member of a political thinktank and columnist for the Washington Post. It's the same discussion you can hear on every cable news show or political podcast. Basic question -- what can we do to stop the Repubs from taking over the government and destroying everything. They run through all the options and come to the conclusion that there actually is nothing to be done. I got through the first ten minutes, on a 1/2 hour drive to town, so I paused his show, got out my iPhone and <a href="http://scripting.com/2021/06/08/dearJoe.m4a">recorded my response</a>. I don't like picking on Joe, he's a nice person. The thing that makes him different from say Chris Hayes is that he might listen. There <i>is</i> something that can be done. But it means leaving business as usual behind. You can't win a war with an enemy that is 1/2 of your government. So listen to my 12-minute answer to Joe. 
		- When your “worth” rises, that’s not income. You don’t pay income tax until you sell the asset whose worth increased. <a href="https://www.propublica.org/article/the-secret-irs-files-trove-of-never-before-seen-records-reveal-how-the-wealthiest-avoid-income-tax">Journalism</a> almost never explains this. That’s why if your net worth rises by say $1 billion, you might not pay any income tax.
		- An example. I inherited <a href="https://en.wikipedia.org/wiki/Individual_retirement_account">IRAs</a> from my parents. You can put income into an IRA to defer taxes until you retire, when presumably you will have less income and therefore will pay less tax. My parents' IRAs outlived them, so I'm holding them, the taxes still deferred. They will be one of the last things I sell to pay the rent and buy groceries. It might be that their IRAs will outlive me too! I also am holding stock that has appreciated. Nothing like Bezos or Musk, but I don't want to sell the stock until I have to because I don't want to pay taxes on the appreciation, and I think/hope the stock will hold its value. In other words, everyone tries to keep taxes to a minimum, not just the super rich. The government knows this, and uses that desire to create incentives. In the case of IRAs, they want people to save for retirement. 
		- It would be so much better if people had a rudimentary understanding of how money works, and if journalism didn't hide reality, (I guess) to get people angry. 
		- The ad Apple ran when IBM introduced the IBM PC in 1981. 
	- June 7
		- Poll: <a href="https://twitter.com/davewiner/status/1401956621572583426">Will Biden be more like Chamberlain or Churchill</a>.
		- When is Trump going to be indicted for insurrection?
		- I bet our European allies say privately to Biden, we won't begin to trust the US again until you put Trump behind bars. I would if I were them. Hey I would if I were me! Trump's insurrection is ongoing. What would you expect, we're not putting up any resistance. And right now, theoretically at least, the resistance occupies the White House. I don't know if Biden understands why he was elected.
		- Say whatever you want about Trump's supporters, but the truth is Trump is still plotting to overthrow the US government. If we don't defend against that, regardless of what the senators from West Virginia and Arizona think, we deserve to be over.
		- Today's song: <a href="https://www.youtube.com/watch?v=fuz5TKzaJoE">The swimming song</a>. This was the song of the summer of 1978 in Madison. I was in love with a beautiful young woman. I was a beautiful young man. I had so many friends. We all went swimming. I had a key to the computer lab at the university. I would go swimming every day. Sometimes in the lap pool out by the Ag School. Other times at a flooded rock quarry outside town. We went to the farmer's market on Sundays up by the Capitol. Fish fry on Friday night at Crandall's. This was life at its best. I had everything. I'm not doing too bad these days, and I have the memory of swimming in love, health and creativity when I was young. Nothing better than that.  
		- People are disappointed by what Apple announces because there isn't anything for Apple to do other than  make incrementally better phones and Macs from now until the end of time.
		- I love the way <a href="https://twitter.com/davewiner/status/1402000842979516418/photo/1">Churchill looks</a> at the top of my blog.
		- Trump is a bastard
			- I'm so tired of people trying to figure out if Trump is crazy or what. 
			- Here's what we know about him.  
				- He's a bastard.  
				- He would go out of his way to hurt anyone, no exceptions. Even his family.
				- Does he know he lost? Sure, and   
				- He knows everyone knows, including his fans.
				- Trump likes that he can get all his fans to say what they know are lies, and force the people he hates to keep saying that Trump is lying and then revel that they're too chickenshit to do anything about it.
				- This is the school yard bully from Queens, a person I've met many times growing up, who has no shame and his only love is causing deep pain for others.   
				- It's amazing he didn't find a way to nuke the planet while he was president. I'm sure he would have loved it.
	- June 6
		- I'm writing a little app that archives my tweets in JSON-flavored OPML, just to see what might happen. If I put stuff in double-square brackets, for example, might a [[knowledge base]] pick it up and do something interesting with it? Hmmm. :-)
		- Is JSON easier to read than XML?
			- Maybe: JSON is easier to read than XML.
				- JSON is generally arranged as an outline, 
				- JSON generally has more whitespace, better arranged, 
				- XML is more dense, and
				- Lists are easier to read vertically than horizontally.",                                    
			- However there are no rules about how either JSON or XML are arranged, where the whitespace goes, how indentation works, or even if there is any whitespace or indentation, so it's possible to create totally unreadable data in either format.                                
			- "curly"
		- Electric Drummer screen shot
			- A progress report on "Drummer".  
			- Drummer is mainly a web app, but it is also a desktop app for the Mac known as Electric Drummer.
			- The whole thing is coming along nicely. I've been using ED for a couple of weeks now, and find it's way better than any other outliner I've used for web writing. It should be, it's the newest, and has lots of promising features. But it's really nice when the software you've been dreaming about, and working hard to create, is suddenly usable for what you designed it for. Electric Drummer is there now. Yippee!
			- To celebrate, here's a <a href="http://scripting.com/images/2021/06/06/edScreenShot.png">screen shot</a> of my workspace. 
	- June 5
		- Today was the day I was dreaming of in the depth of winter.
		- I don't hate the Nets for any reason other than they are (I hope) the last instance of a superteam, a concept pioneered by LeBron James, whose career as a superteam founder is now over, btw, as of this week. Basketball is a sport. I know it's also a business, but I don't give my heart to businesses. Sorry.
		- I think I'm going to have to write a <i>this.how</i> piece about breaking users, and all the times people have learned the hard way that breaking users or developers is total misery for everyone, so don't do it. Examples: Python, Font-Awesome. Here's the <a href="https://twitter.com/davewiner/status/1401189014997278725">thread</a>. 
		- <a href="https://en.wikipedia.org/wiki/In_Treatment">In Treatment</a> is like getting therapy yourself. 
	- June 4
		- All of a sudden Chrome is adding a <a href="http://scripting.com/images/2021/06/04/chromeBlackBar.png">weird black thing</a> to tabs in my browser window. I have no idea what it's supposed to mean.
		- <a href="https://twitter.com/TechEmails/status/1400208754659008519">A great demo</a> for how outlines work in planning meetings. It would have worked even better if they projected the outline and updated it in real time as people discussed.  
		- From my point of view, tech is drowning in too many ways to do the same thing, at all levels.
		- Why does every efficiency in the USPS result in breaking users? Calling attention to the fact that the management isn't trying to provide a reliable service. I suppose the silver lining is it means we'll migrate away from the post office more. Burn less carbon.
	- June 3
		- Jason Shellen found a Google podcasts app on the web. 
		- Trump's blog was pretty awful, but it was functional, and clearly it flopped, which itself is interesting data about the power of Twitter. Trump ought to thank them for being  there, there would be no "President Trump" w/o Twitter.
		- News orgs insist we pay them rent, the same price no matter how much you use them, where users probably would prefer to pay for news as we pay for food or electricity, based on what we use. Ultimately I think we're all losing, but most people refuse to pay the rent.
		- The announced-today <a href="https://www.theverge.com/2021/6/3/22464291/twitter-blue-subscription-service-canada-australia-undo-reader-mode">Twitter subscription service</a> is blah in its current form but I bet this is just the beginning. I believe there will be a revenue-sharing program for news orgs. An integration of their stories with Twitter. If they do it right it doesn't have to be a silo, btw.
		- [[Drummer]] docs tease
			- "Drummer" has a built-in doc server. 
			- "Frontier" users will find this UI familiar, it's an improved version of the verb docs server we have in Frontier. 
			- Drummer's scripting philosophy, like Frontier's, is that apps not only have user interfaces, they also have scripting interfaces. Which means theoretically, anything you can do with a mouse and keyboard you could also do in a script. 
			- The first app I've created a scripting interface for is Twitter, because I use it so much, and so many other people do. I felt it could immediately benefit from being scriptable. I haven't covered anything like the whole functionality of Twitter, it wouldn't even be possible because their API doesn't cover it all, but -- a lot is possible with the verb set we have working right now. 
			- Screen shot of Drummer's docs UI.
			- 
	- June 2
		- Well <a href="https://nypost.com/2021/06/02/knicks-season-ends-with-blowout-playoff-loss-to-hawks/">this was</a> a great Knicks season. Lots of good stuff to build on.
		- This is kind of important. Logseq now exports OPML. If you <a href="http://littleoutliner.com/?url=http://instantoutliner.com/pg">click this link</a>, their outline will open in LO2. Seeing their outline open in my world is revealing to say the least. This is like joining two cultures. The Mac outlining culture with the "other" culture (to me) which derives from <a href="https://en.wikipedia.org/wiki/Org-mode">Org-mode</a> (i am told) and wikis. I can see some interesting cross-fertilization happening.
		- About Logseq: I love their energy, how quickly they got on board with OPML. There are lots of things I want to show that we can do <a href="http://this.how/opmlChecklist/">with OPML</a>. Most important it's all about the open web, connecting people's virtual minds, not just everyone on their own island.
		- I'm watching <a href="https://en.wikipedia.org/wiki/In_Treatment">In Treatment</a>. It's kind of appalling how people trod all over the therapist's boundaries. They project wildly on him. He should get combat pay. 
		- The Brooklyn Nets are not a real basketball team. They are just a shell that Kevin Durant pwned by signing with them. Kind of the way Apple didn't really buy NeXT, it was the other way around. Anyway, the Durant's "Nets" might win a title, or try a couple of times, but either way the train will move on and leave the Nets as wrecked as the Cleveland Cavaliers. This is a trend, it's no longer innovative, curious, fun or even good basketball. Durant was bored in Golden State. He'll get bored in Brooklyn too. Imho, they're boring right now. :boom:
		- And btw, what kind of lame name is "Nets" anyway?
		- It's fresh cherry season! Next up: fresh peaches. 
		- <a href="https://www.radcliffe.harvard.edu/news-and-ideas/ruth-bader-ginsburg-tells-young-women-fight-for-the-things-you-care-about">Ruth Bader Ginsburg</a>: "Fight for the things that you care about, but do it in a way that will lead others to join you." I'm guessing she didn't know, but she was promoting a very powerful idea for technology.
		- Yesterday I wrote <a href="http://scripting.com/2021/06/01/141749.html?title=naomiOsakaDerrickRose">about Derrick Rose</a> as a 32-year-old star athlete, and as if to prove my point, he was quoted in today's <a href="https://nypost.com/2021/06/01/knicks-can-keep-magical-season-going-just-a-little-longer/">NY Post</a> saying: â€œIâ€™m 32 years old. I never talked shit like that in my whole life. Iâ€™m not going to start now once <a href="https://nypost.com/2021/06/01/clint-capela-goes-scorched-earth-on-dirty-knicks-in-epic-taunt/">Clint Capela</a> starts talking crazy. Iâ€™m too old for that shit, bro.â€ I love this guy. If any Knick could boast, it's DR, but he's cool. He likes playing for the Knicks, and we like him. 
		- I don't think the Biden Administration should be negotiating with Republicans about anything.
	- June 1
		- If we were doing this right, free journalism training would be available to anyone who wants it. An investment in our way of life. The same way Covid vaccinations are free. 
		- Insulting Trump does no good for anyone. Right now is time to take him seriously. There's going to be another insurrection in August. They're doing some very loud dog whistling now.
		- I'm <a href="https://twitter.com/davewiner/status/1399712537298587652">posting</a> links to real-world <a href="http://this.how/opmlChecklist/">OPML</a> files to help build familiarity with the format.
		- I started watching the HBO series <a href="https://en.wikipedia.org/wiki/In_Treatment">In Treatment</a>. At first it's boring, but it develops as it goes along. Some of the most despicable characters become sympathetic, and vice versa. You see real love between some of the pairs, also a lot of fear. 90 percent is conversations in a therapist's office. I found it hard to imagine how that could work, but it does. 
		- A segment this morning on NPR, a discussion between two alumni of <a href="https://en.wikipedia.org/wiki/Robert_E._Lee_High_School_(Jacksonville)">Robert E Lee High School</a> in Jacksonville, FL. It's in northeast Florida, an area I'm fairly familiar with, my uncle used to live in the area. It's more like rural Georgia than most of Florida. The thing that hasn't gotten through to the whites there is that slavery is still ongoing in the US. They can't yet relate to the blacks as fellow Americans. If they could, they could understand the history they cherish was slavery to the blacks. They were considered property, animals, they could be killed with impunity. Asked how he would feel if it were Adolf Hitler High School, he said it was nothing like that, but it is <i>exactly</i> like that, only the Third Reich lasted only 13 years. American slavery lasted <i>250</i> years. Renaming a high school is a very small step. When we are fully reconciled, all of us will see the slaves of America as our ancestors. In the South they resist even beginning going down that path. 
		- My thinking was influenced by parents and grandparents who barely escaped Germany in WWII spending the rest of their lives trying to figure out WTF happened. If we live through something like that we'll learn a lot. But if their experience means anything, probably far more questions than answers.
		- Naomi Osaka & Derrick Rose
			- There's a <a href="https://www.youtube.com/watch?v=KeVca9MwDX8">great scene</a> in Bull Durham where the veteran teaches the rookie how to talk to reporters. It's all cliches. "Of course it's boring," says the pro, "that's the point."  
			- It's a ridiculous ritual. Esp with a star as young as <a href="https://en.wikipedia.org/wiki/Naomi_Osaka">Naomi Osaka</a>. She has incredible talent, but when you're so young, in her case 23, most of it is intuitive, not well-understood. 
			- I've seen that recently in interviews with Knicks star <a href="https://nypost.com/2021/04/21/how-derrick-rose-has-transformed-knicks-from-upstarts-to-winners/">Derrick Rose</a>. The questions reporters ask are still insipid, but at 32, having been a huge star at 22, <a href="https://therookiewire.usatoday.com/2021/05/03/bulls-derrick-rose-youngest-player-nba-mvp/">youngest MVP ever</a>, then having his <a href="https://en.wikipedia.org/wiki/Derrick_Rose#2011%E2%80%9312:_ACL_tear">body break</a> over and over, he had to learn how it works, and now his play still has a lot of the spark he had when he was young, and even better, now he can tell you how he manages it, something he probably could not have done at 22. 
			- I find at my advanced age, in a "sport" where you body's age doesn't matter (up to a point, see this blog in the <a href="http://scripting.com/2002/06.html">summer</a> <a href="http://scripting.com/2002/07.html">of</a> <a href="http://scripting.com/2002/08.html">2002</a>), I have a much better understanding of how I do what I do than when I was an ambitious star in my 20s. I can tell you a lot more how this works than I could then, when I just had an intuitive sense of how it worked. Enough of that intuition was right so that I could make it to the next stage, and the one after that, and so on.
			- In software, very few people stick with it through their whole career as I have. Companies still have no idea how age and tech work co-relate. But we know a lot about tennis, and basketball. 
			- Naomi Osaka is brilliant, wonderful, a joy to behold. You can see it, read it, in everything she does and says. Her intuition says she should be allowed to be introspective while she tries to win in her sport. Her intuition is incredibly compelling. I feel of her as I do of a great movie <a href="https://en.wikipedia.org/wiki/Jennifer_Lawrence">star</a> or <a href="https://en.wikipedia.org/wiki/Quentin_Tarantino">maker</a>, or software developer. In 10 or 20 years ask her how she does it, she'll have some answers. Right now it's probably not possible. 
			- My opinion only. 
