- November 2021
	- November 30
		- Beatles: <a href="https://www.youtube.com/watch?v=NCtzkaL2t_Y">Don't Let Me Down</a>.
		- <a href="https://twitter.com/davewiner/status/1465704456528400390">Poll</a>: When will you watch [[Get Back]]?
		- I'm glad I read the <a href="http://scripting.com/2020/08/19.html#a160302">book</a> about the <a href="https://en.wikipedia.org/wiki/Spanish_flu">1918 pandemic</a> last year, because I understand something that most people should and don't. Mutations aren't necessarily bad, in fact over time the mutations will make the virus less deadly. It's all about evolution and survival of the fittest. Mutation is how evolution happens. A new variant shows up and if it is in some way more likely to propagate and survive than previous variants, it will stick around and thrive, and continue to mutate. If a virus kills its host -- that's not good for survivability. So what happens over time, a virus like Covid becomes less harmful and more transmissible, that's how it becomes "the flu." The 1918 influenza virus is still with us today. But it doesn't kill people in the numbers that it did a hundred years ago. Over time Covid will get less deadly too.
		- <a href="https://heathercoxrichardson.substack.com/p/november-29-2021">Heather Cox Richardson</a> confirmed <a href="http://scripting.com/images/2021/11/30/hcrquote.png">something</a> that I had been wondering about -- do Congresspeople in the US, esp Republicans, worry about the safety of their families if they were to act independently of Trump. I was sure that some of them do, but I had never heard this reported on the news. So far they only talk about threats involving losing their jobs. But if the threats were about physical well-being, that's another thing. That's how it works in Russia for journalism and politics. The one year I was at Davos I spent some time hanging out with Russian journalists. This was in 2000, when Russia had supposedly liberalized. I went to a big session in the main hall where one of the officers of the Russian government was speaking, someone who I had been introduced to by my sponsor, the person who got me my white badge (a journalists' credential, the best one available, got me entry to every session, unlike most journalists attending). At one point I stood up and asked a challenging question of the Russian. He gave me a typical evasive answer. But here's the thing -- after I did that, none of my Russian journalist friends would talk to me. Obviously their political system didn't work like ours. Today when there is no pretense at freedom in Russia, I imagine it's much worse. And according to HCR's reporting, we're headed down that path in the US. The next year seems to be our last chance to turn it around. 
		- I have continued watching [[Get Back]]. Everyone should watch this, if you're a creative, or your work involves creative people. Creativity needs to be nurtured and protected. I'm sure there are other lessons coming, but I'm going through it slowly, I'm still on the first segment. 
		- Tesla notes
			- On Thursday it'll be two weeks since I got the Tesla Model 3. Here are some thoughts. 
			- I haven't been using the autopilot more than just trying it, seeing it veer into a head on collision, I quickly took control. i'm pretty sure it wasn't actually going to kill me, it was a simple situation, Highway 28 from Boiceville to West Hurley, a <a href="https://www.google.com/maps/@41.9792245,-74.2513003,3a,75y,117.7h,55.47t/data=!3m8!1e1!3m6!1sAF1QipPO1fyoXuIDtIHcKA4Ip3wRL8bdSc58hv_Qfmlh!2e10!3e11!6shttps:%2F%2Flh5.googleusercontent.com%2Fp%2FAF1QipPO1fyoXuIDtIHcKA4Ip3wRL8bdSc58hv_Qfmlh%3Dw203-h100-k-no-pi-4.4466395-ya52.469-ro-1.6197597-fo100!7i7680!8i3840">wide road</a>, easy for the autopilot.
			- But here's the thing -- like the self-driving features of the Subaru, the self-driving features of the Tesla are always there, ready to take over if it thinks you're fucking up. It did a thing weird on a drive out my little dirt road, it sounded an alarm that I was driving off the road. loud screeching sound. I was doing no such thing.
			- The thing that really distinguishes the Tesla as far as i'm concerned isn't the power, or battery, those are nice -- but the full integration of the computer system in the experience. The Subaru is a hodgepodge of different systems that don't know about each other. Very confusing. i've gotten to just using <a href="https://en.wikipedia.org/wiki/CarPlay">Car Play</a> for everything and ignoring the rest. 
			- What this says to me is that in a couple of years, there will be a Mercedes EV with a big screen like Tesla's and no dashboard again like Tesla. And the same or better integration. It'll be running Apple, Amazon or Google software. and it will be as good as Tesla's software because they hire out of the same talent pool.  
	- November 29
		- <a href="https://en.wikipedia.org/wiki/Jack_Dorsey">Jack Dorsey</a> is leaving Twitter again. All kinds of paranoid thoughts go through my head. Meanwhile, he posted his announcement <a href="https://twitter.com/jack/status/1465347002426867720">as a tweet</a>, not in text but as a <a href="http://scripting.com/images/2021/11/29/jackDorseyEmail.png">screen shot</a> because Twitter <i>still</i> doesn't support text in a reasonable manner, even though they support video, images, <a href="https://www.clubhouse.com/">Clubhouse</a>-style conferences, and email newsletters. This is insane. Twitter is an important platform. Not supporting text is a religious thing, as if they didn't have water fountains in The Vatican. (I just came up with that randomly.) I hope the first thing the new CEO does is fix this situation. Let's move outlines over Twitter. Whatever. Text isn't a new innovation, the blogger said ironically.
		- I didn't give up on the <a href="https://en.wikipedia.org/wiki/The_Beatles:_Get_Back">Beatles on Disney</a>. It is totally worth watching. The Beatles were falling apart, but all they needed was a little help. A manager. Someone to keep the assholes away. So many jerks were wasting their time and talent. And someone to make sure that George Harrison felt loved, and they were focusing on the music, which is what they were so incredibly great at. At one point, John Lennon is getting briefed on some bullshit plan for a concert, it's all nonsense, and in the background Paul McCartney is working out the music and lyrics for one of the greatest songs of all time -- <a href="https://www.youtube.com/watch?v=QDYfEBY9NM4">Let It Be</a>. I always wondered what their collaboration was like, they really did like each other. Such a shame. They had something incredible, and they just needed a little help. 
		- Yesterday I had one of my [[Drummer]] outlines overwrite another. There were no instant outlines updating while this happened, so that's not the source of the problem. If you've had this happen: 1. I am sorry this is happening, that's first. 2. Make sure you do backups. 3. Were you by any chance editing <a href="http://docserver.scripting.com/drummer/scripting.opml#1627490175000">the Scripts menu</a> when this happened? If so, please comment <a href="https://github.com/scripting/drummerSupport/issues/127">here</a>. I'm looking for more clues. I added more debugging code so if it happens to me again, I'll get closer to knowing that the cause is. I really want to get this bug out of there.
		- I hear there's some kind of controversy over a frying pan that VP Harris bought. I also hear this is getting a lot of play on the news. My filters must be working, because all I've heard of it are ridiculous rebuttals from people trying to argue somewhat logically that this is an illustration of old white men in charge of the Republican Party. I'm sure that's not it. It's marketing. They are always focus-group-testing bullshit like this to see if the people will pick it up, and then they shoot blasts of this bullshit at news people, and 1-in-10 of the focus-grouped bullshit gets picked up by the press. It's worth it, because it keeps the real news off the air, and helps people forget that Trump paid for his golf vacations at his own resorts with taxpayer money. Hundreds of millions of dollars. There's no logic to any of this. And they're not old white menu, that's bullshit. It's just marketing people, and computers. 
		- I have a new project in the works that hooks up to "Drummer" outlines (really any outlines in OPML) and puts all the items in a relational database and lets you do searches. I have a few applications in mind for this stuff. The codename of the project is Daytona. Coming soon to a theater near you. 
	- November 28
		- If you could make an open Facebook without using carbon-spewing blockchain tech <a href="https://www.fastcompany.com/90679607/facebook-alternative-project-liberty-frank-mccourt-blockchain-billionare">why would you burn</a> all that carbon? Do <a href="https://en.wikipedia.org/wiki/Frank_McCourt_(executive)">you</a> care about the survival of our species?
		- New Drummer <a href="http://docserver.scripting.com/?verb=opml.getMarkdown">verb</a> that generates Markdown from an outline or part of an outline. 
		- BingeWorthy day 2
			- Yesterday I <a href="http://scripting.com/2021/11/27.html#a203138">wrote a bit</a> about "BingeWorthy", the app I wrote a couple of years ago that helps you find new shows to binge based on the ones you and your friends like. We need more users for it to really achieve its potential. 
			- I would be <i>happy</i> to do a deal with a tech company on this product. I think Twitter would be great, but there are lots of companies where it could find a good home. I just want to see millions of people using  so I can meet all the people who like the same stuff I do. I think we'd take over the world, figuratively. :smile:
			- A network of people based on their entertainment tastes would make sense for a growing service like Hulu with lots of highly rated shows, that wants to grow their service. Part of the <a href="http://scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">philosophy</a> that "people come back to places that send them away."
			- BTW -- here's the <a href="http://scripting.com/images/2021/11/28/peopleLikeMe.png">readout</a> of people most like me in their  ratings. I don't know @alisonjfields but we seem to like the same stuff. @jsavin is #1. I also like to see @nakedjen and @leolaporte high on the list.
	- November 27
		- I wonder why the tech industry hasn't done something like <a href="http://bingeworthy.io/tv/">BingeWorthy</a>. I think it's because they create data mining tools for advertisers. This is a data mining for users. The more users, the better the data. A real incentive to get your friends on board. BW should really be a product offered by Netflix, Metacritic, Twitter, Facebook, even Google. What show to watch is a question millions of people have, esp this time of year. This is what the platform should look like. Share profiles w friends. An interesting twist, it's not just about finding shows to binge, it's about finding friends with similar taste.I was surprised to find that Jake Savin, who I worked with a long time ago, and I, have very similar taste. We like and dislike the same things.
		- Maybe they should do interviews with <a href="http://scripting.com/images/2021/11/27/covidDoctor.png">Covid doctors</a> on CNN from the room where intubated patients are waiting to die. 
	- November 26
		- Sometimes people deliberately mispronounce or misspell my name, I guess theyre trying to embarrass me? I have a name almost as bad as the <a href="https://www.youtube.com/watch?v=WOHPuY88Ry4">Boy Named Sue</a>. It’s hard to get under my skin that way. 😀
		- I tried watching <a href="https://www.theguardian.com/tv-and-radio/2021/nov/25/the-beatles-get-back-review-peter-jackson-eight-hours-of-tv-so-aimless-it-threatens-your-sanity">Get Back</a>, but after five minutes of holy shit those are the young Beatles acting like normal people it became fairly boring. I guess I like a plot? Did it get better?
		- <a href="https://blog.twitter.com/en_us/topics/company/2021/introducing-twitter-blue">Twitter Blue</a> gives you a pretty lame undo command. I guess it’s impossible to do it for real with their server architecture.
		- I added <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-great">The Great</a> as a favorite on my <a href="http://my.bingeworthy.io/davewiner/">BingeWorthy profile</a>. I'm well into Season 2. It's a pseudo-history dramedy in the spirit of <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fsuccession">Succession</a> or <a href="https://en.wikipedia.org/wiki/The_Death_of_Stalin">The Death of Stalin</a>. It's about a <a href="https://en.wikipedia.org/wiki/Catherine_the_Great">Russian empress</a> who overthrows her <a href="https://en.wikipedia.org/wiki/Peter_III_of_Russia">husband</a> the emperor. As they say, hilarity ensues. :smile:
		- One of the stars of <a href="https://www.metacritic.com/tv/the-great">The Great</a>, the guy who plays emperor Peter, is a dead ringer for a young Elon Musk. Same mannerisms and look, but he’s funnier and of course a better actor. One of the tech companies or car companies should hire him to do ads. 
	- November 25
		- You can get anything you want at <a href="https://www.youtube.com/watch?v=m57gzA2JCcM">Alice's Restaurant</a>. :heart:
		- I just started <a href="https://en.wikipedia.org/wiki/The_Beatles:_Get_Back">Get Back</a>, the first few minutes of the first episode, enough to know that it's going to be a heavy emotional experience for me. As a kid I had so much invested in <a href="https://en.wikipedia.org/wiki/The_Beatles">the Beatles</a>. Each period of their existence marked some big period or event in my life, things that I've mostly buried, but come right to the surface with (for example) Paul and George <a href="https://youtu.be/b-VAxGJdJeQ?t=131">flopping their heads</a> in the chorus to <a href="https://en.wikipedia.org/wiki/Twist_and_Shout">Twist and Shout</a>. To see the Beatles, alive and young and at the peak of their creativity, in a way we couldn't see them at the time, that's like reading a letter from a long-dead relative. The people are gone, the experiences were seminal, and recoverable. 
		- I'm watching <a href="https://en.wikipedia.org/wiki/The_Great_(TV_series)">The Great</a> on Hulu, and it's really good. Didn't get the best <a href="https://www.metacritic.com/tv/the-great">reviews</a>. I'm only on episode 4. It's about <a href="https://en.wikipedia.org/wiki/Catherine_the_Great">Catherine The Great</a> of Russia. The story is pretty heavy, but believe it or not, it's a comedy! 
		- I am a NYT subscriber, but can't access Wirecutter. It's weird, the site seems broken -- when I try to log in it just sends me back to <a href="http://scripting.com/images/2021/11/25/wirecutterSaysFuckOffNYTSubscriber.png">the page</a> that says I have run out of free articles. It could be they want more money for WC, if so, the answer is no. I don't read a lot of NYT articles as it is. I have a very bad feeling about them, and it gets worse every year. That took a lot of work on their part because I was raised on the NYT. 
		- The Beatles
			- <a href="https://en.wikipedia.org/wiki/The_Beatles_at_Shea_Stadium">The Beatles at Shea Stadium</a>, 1965.
		- Paradox in social custom
			- An example of a social custom from two points of view.
				- It's wrong to bring sex into a work relationship. 
				- I think it's equally wrong to bring business into a sexual relationship.
			- It has happened, esp in Silicon Valley or New York, when a woman I was dating, or interested in dating, revealed that she was really there for the business. I want to understand up front. If it's business, fine -- I'll evaluate it one way, if it's sexual, another. It's a really awkward situation where someone I was attracted to sexually, wants to do business -- and wouldn't have gotten a meeting if it were clearly about business. 
			- Honestly I think the two sides are the same thing, but we view one as wrong, and don't have explicit rules for the second. 
			- Another example.
				- If you work for me, or we're equals in a business relationship, either way -- no one is accountable to the other for what they do with personal time. Your boss can't call you up on the weekend and expect you to tell them what you're doing. You don't have to tell them anything, unless it impacts your ability to do the work.  
				- I think it's equally wrong when a person who reports to me, or is an equal, reports to me on what they're doing in their personal time. It creates a conflict, am I expected to reciprocate, because I won't. I draw a solid line between work and personal time. If I share personal things in a work context, they are no longer personal.
			- These concerns are spelled out more carefully in professions like medicine, academics, law. A therapist isn't allowed to date a patient. A lawyer can't represent both sides in a legal battle. When the lines cross, there's trouble ahead. 
		- Thanksgiving
			- <a href="http://scripting.com/2020/11/26.html">Last year on Thanksgiving</a> we were in the midst of the worst of the pandemic, and the best we could do is stay home and hope we don't get infected. This year it's very different -- thanks to the vaccine. I got my first dose of Moderna on January 20, the day we inaugurated the first post-insurrection president. What a relief, in two ways. The Orange Tyrant who tried to overthrow the US government was gone, and I was on my way to being protected from the virus he let run rampant through the country we all have been told is the greatest on earth, but did the worst job of protecting its citizens. I hope that was the low point, but who knows!
			- I also was thankful for my car. It's funny that I thought about <a href="http://scripting.com/2020/11/26.html#a201945">that post</a> just the other day driving my new Tesla around the neighborhood, marveling at its intelligence, muscle, and how much it is like the computers I use, the exercise bike I just bought, and the phone I carry everywhere with me. The Silicon Valley design ethos, which I am schooled in and in a small way helped develop, is eating the world, as venture capitalist Marc Andreessen <a href="https://techcrunch.com/2016/06/07/software-is-eating-the-world-5-years-later/">said</a> so well. The <a href="http://scripting.com/2020/11/26.html#a201945">Subaru</a> I drove last year is a fine machine, and in some ways it's more comfortable than the Tesla, and it'll probably do better if we get a blizzard in the mountains. But its software is a jumble of poorly designed components that don't work well with each other from a UI standpoint. In that area the Tesla is perfect. It's a system designed to be understood by a modern user. The pre-Tesla car manufacturers have a long way to go to catch up to Tesla. 
			- I am thankful for the first users of Drummer. We have reached a critical mass where I can add features, and get feedback from users, and that gives us the ability to move forward. I think this happened because I decided to put my head down on Drummer and work until it was really ready. There still are problems with the software, it is far from perfect, and I'm thankful for the users' patience, but mostly I'm thankful that there are users to be patient. 
			- At 66, health is no longer something I can take for granted. it takes work to keep going, and I've had my troubles this year, but basically I'm still here, and most of my body is working fine. I'm thankful for that. 
	- November 24
		- <a href="https://apnews.com/article/ahmaud-arbery-georgia-brunswick-f2549024973cdcc757c02bd0a07bf5cf">Black Lives Matter</a>.
	- November 23
		- For whatever reason I'm not very talkative this week. Not sure why. Often when this happens it's followed by a period of idearrhea. No apologies, I'm still here, feeling more pensive. Happy Thanksgiving! :-)
		- Next iteration on Markdown-in-an-outline
			- This time I think I have it, for real. I swear. ;-)
			- Here's the deal...
				- All the action is in "Old School".
				- A new head-level attribute, flSinglespaceMarkdown.
				- Default: false -- which means we generate two newlines per outline node, with one exception.
				- If a node has an flSinglespaceMarkdown att set true, its subs are single-spaced.  
			- The assumption is that most often people will write in the outliner one paragraph per headline. but there are exceptional cases where you need more control over the markdown text we generate, and need to do your own double spacing, so you tell Old School to just do one.
			- Comment <a href="https://github.com/scripting/drummerRFC/issues/14#issuecomment-976973912">here</a>. 
	- November 22
		- A <a href="https://gist.github.com/scripting/8e0b74bc144e88ab6c38e6d0be3ab049">script</a> that generates <a href="http://drummer.scripting.com/davewiner/verblist.opml">the list</a> of Drumkit verbs. For people who worked on outlines in Frontier, have a look. I found a way to work on outlines as JavaScript structs. It's very efficient and much easier to program.
	- November 21
		- I love <a href="http://scripting.com/2021/11/19/140204.html?title=myNewTesla">my new Tesla</a>. I'm looking for excuses to drive places. I haven't felt this way about driving since I was a teenager with a new license.
		- There are so many interesting things about the Tesla, and I'm just getting started learning about them. It's as if I didn't get a PC until the IBM PC came out. Or maybe later. Here's something I figured out the other night, driving on a mountain road with lots of turns and ups and downs, a road I'm quite familiar with -- the Tesla makes you a better driver. This is something my Subaru does too, you only have to hold the steering wheel loosely while navigating the turns and ups and downs. The road is well-marked and the car knows what to do. The Tesla even more so. It's like my iPhone which takes better pictures in 2021 than the 2011 model did. We like to say "no filters" but the truth is they're just really good filters that make you think you're the photographer, but the phone did the hard work. Same with the Tesla. I like driving it in the same way. It flatters me to think I'm that good a driver. I know the truth though -- I didn't become a better driver, I just got a car that makes me feel that I did. And who wouldn't love that. 
		- Here’s a <a href="https://twitter.com/davewiner/thread/1462460088946409474">thread reader</a> integrated into Twitter. Next: eliminate the numbers, add links, simple styling, let me give it a title (optional) and we’re ready to rock. Think they’ll have that by say 2030? 
		- Google's search engine really doesn't like this blog. I tried <a href="https://www.google.com/search?q=site%3Ascripting.com+%22scott+love%22">searching</a> for <i>Scott Love</i> on my blog. It didn't find the instance where I wrote about him <a href="http://scripting.com/2021/11/08.html#a205642">here</a> earlier this month. 
		- Yesterday I did my tenth Peloton ride. The exercise is making me stronger. I don't know why I didn't want to do the classes. I love my teacher, <a href="https://twitter.com/emmalovewell?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor">Emma Lovewell</a>. She's super nerdy. When we're doing something particularly strenuous, I close my eyes, focus on my breathing, in through the nose, out through the mouth, and I listen to her say that this pain is worth it because it'll become strength when the workout is over. It's so true. I don't particularly care for the music she chooses, I don't know any of it, and it's not catchy. But she's a lot younger than I am, so I guess this is the kind of music the young folk listen to? I'd love it if there were a Tom Petty ride or a Grateful Dead ride. I can see riding to <a href="https://www.youtube.com/watch?v=fFnOfpIJL0M">Refugee</a> or <a href="https://www.youtube.com/watch?v=rdPOAhBp2Ag">US Blues</a>.
		- Markdown summary
			- "Drummer", an outliner, now allows you to write blog posts in Markdown.
			- 
			- The question was -- how? 
			- 
			- This is what we came up with:
				-  - One newline per outline node.
				-  - Indentation belongs to the author, generates nothing. 
				- 
			- I think this works and is true to the philosophy of MD.
		- Markdown work
			- Going to do some more cleanup work this morning on Markdown support in Old School. 
			- In the meantime, <a href="https://github.com/scripting/drummerRFC/issues/14#issuecomment-974824472">the thread continues</a>. If you're planning on using Markdown to write blog posts in Drummer, you might want to tune in, because things are being locked down today. 
			- There are only two rules that govern how Old School generates source for the Markdown processor:
				- One newline per outline node. 
				- Indentation belongs to the author, generates nothing.
			- I sent a private note to <a href="https://twitter.com/gruber">John Gruber</a> a few days ago, letting him know this discussion is going on. As far as I know we are setting prior art for outliners used to generate Markdown for publishing. If there is prior art, I would love to know about it now, asap. 
			- This is different from the Obsidian model also used by LogSeq -- which uses Markdown as a file format for outlines. 
			- Update: Here's a list of <a href="http://scripting.com/drummer/blog/2021/11/21/153825.html?title=updatesToMarkdownSupport">this morning's changes</a> to Markdown support for publishing. 
	- November 20
		- <a href="https://www.youtube.com/watch?v=MCy-nmdGBz8">Video demo</a> of a new Drummer feature. Headlines whose type is 'rss' can be expanded to reveal the items in the feed it connects to. 
		- <a href="https://twitter.com/davewiner/status/1462235300466503687">Poll</a>: If a person from NY uses the word "fuck" in a sentence that means..
		- Does anyone seriously think that <a href="http://scripting.com/2021/09/17/153104.html?title=facebookIsAtLeastSixThings">Facebook-the-company</a> wants to fuel hate in the world? Yet you see articles that say exactly that from supposedly credible news orgs. 
		- The Repubs get more <a href="http://thesaurus.land/?word=obnoxious">obnoxious</a> all the time. There doesn't seem to be any limit. 
	- November 19
		- A new Drummer verb, <a href="http://docserver.scripting.com/?verb=rss.readFeed">rss.readFeed</a>, returns a JavaScript object. This used to be a complex thing to do, but it's absolutely as simple as it can be. I did something new here. I'm only passing through values that are documented in the <a href="https://cyber.harvard.edu/rss/rss.html">RSS 2.0 spec</a> and the <a href="http://source.scripting.com/">source namespace</a>. That's not as draconian as it might sound, because I'm using a <a href="https://github.com/danmactough/node-feedparser">Node package</a> written by my friend Dan MacTough that handles all the common feed flavors, including Atom. His code translates the variants to a common vocabulary. And I further winnow it down to just the basic concepts. To some extent, RSS grew in an unruly chaotic way, but imho the core is solid. After all this time, with "Drummer" as a new platform, I think it's a good time to pause and create (hopefully) a simpler future that can work better.  
		- A <a href="https://github.com/scripting/drummerRFC/issues/14#issuecomment-974157255">discussion</a> about how Markdown should be processed for Drummer blogs. Basically, what role if any should indentation play, and how many newlines to generate for each line in the outline. My current position -- indentation should play no role in the Markdown we generate from the outline, it should be ignored. And we should generate one newline for every line in the outline. Note this is not how Drummer works now. 
		- What people at bigco's say for 2000, Alex
			- Something I've been hearing from employees of big tech companies for my entire career, going back to the late 70s --> "Who the fuck are you?"
			- That's what they say and do. So many examples. And almost all of them are gone. They were significant, maybe, for a few weeks. Then poof, some other asshole at some other tech giant comes along, and gets his or her (mostly his) few minutes to be a super asshole. 
			- How much more would we get done if we lived up to the hype about supporting innovation. You can't do a lot of that as some random putz inside of a bigco. 
			- You pretty much have to do what I've done, which is stay out of those monstrous structures, that is, if you want to actually do anything. 
			- And then of course the jerks come along and kick over your sand castle. 
			- And then they're gone in a few weeks. 
			- So far I've survived them all. Knock wood, praise murph, etc. 
		- My new Tesla
			- Here she is, my new blue Tesla Model 3.
			- Drives great. 
			- A bit hard to get in and out of.
			- Very comfortable to drive.
			- Quiet.
			- Wish it had Apple CarPlay.
			- It's charging now in the garage. 
			- It's as powerful a car as I've ever driven, like my 2007 BMW 535i.
			- Most of the Tesla people at the <a href="https://www.tesla.com/findus/location/service/mtkisco">Mt Kisco store</a> were assholes, but they finally gave me someone who talked like a New Yorker. Most of the Tesla people have the same smarmy attitude that they're doing you some kind of favor to sell you a hugely expensive car, like at an Apple store. The guy we finally got talked to us like human beings who love computers and are excited to own a new kind of car.
			- Thanks to Peter Politi for taking the trip with me. 
	- November 18
		- I did a refresh on the <a href="http://this.how/artshow/">ArtShow collection</a> yesterday, a few hundred more classic paintings. Free to download, or use via web.
		- A simple XML viewer?
			- When you view a normal XML file in the browser, Chrome gives you a simple, <a href="http://scripting.com/images/2021/11/18/xmlviewofscriptingopml.png">readable XML viewer</a>. 
			- I want to be able to invoke that viewer from a JavaScript app running in the browser. 
			- Some kind of JavaScript call like
				-  window.xmlViewer (xmltext);
			- The only other option is to rewrite it from scratch, which I'm open to doing but would rather not. <a href="https://github.com/scripting/Scripting-News/issues/226">Does anyone know if such a thing exists</a>?
			- BTW, one of the things that kind of silently limits the size of RSS is the way browsers display RSS feeds. They can handle other XML types in a normal sensible way. But the RSS viewer is broken. I wish they would just let it be, and show it as a normal XML file. 
			- A <a href="https://github.com/scripting/Scripting-News/issues/226">thread</a> to discuss.
	- November 17
		- A <a href="http://scripting.com/2021/11/17/projectGlorp.m4a">podcast</a> about  Project Glorp.
		- I'd love to discuss Markdown with people who know Markdown and use Drummer. We should have a Markdown nodetype. I've been playing around with it, but I'm not satisfied with what I have yet, not ready to lock it down. Here's <a href="https://github.com/scripting/drummerRFC/issues/14">an RFC</a> with a link to an example. 
		- Project Glorp
			- The next Drummer-related project is called [[Glorp]]. 
			- Glorp is for you if you document projects on GitHub. It's good at managing docs across lots of projects, all in one outline. 
			- I'd like to get a small group of people who do a lot of doc-writing for GitHub to review the design and docs.
			- If you're part of the test group, you are making a commitment to use the software, to report problems, to let us know if fixes worked. 
			- I'm looking forward to working on this software with some excellent developer docs kind of people. 
			- If you'd like to be part of the test group, <a href="https://docs.google.com/forms/d/e/1FAIpQLScFQVIFPYAMgudYkpADq6pLuYOoZzX6F-2WXdS2uvcpMFXGlA/viewform">please fill out this form</a>. 
			- <i>Glorp!</i>
			- PS: A <a href="http://scripting.com/2021/11/17/projectGlorp.m4a">podcast</a> about Glorp.
		- A week of Peloton
			- I've had my [[Peloton]] for a couple of weeks now. 
			- I've done a session every day for the last six days. 
			- At first I didn't think I wanted to do the classes, but the second time I tried a class I was intrigued, then by the third, I was hooked. 
			- The exercise on a Peloton is more than twice the exercise you get riding around the moutains on an E-bike. It's hard work going up the hills, but you get to just have fun going down, there's no work involved. So 20 minutes of Peloton riding equals 40 minutes of road riding. Only it's even more, because you're working harder. Always harder. 
			- My legs feel stronger and healthier, and overall I feel that way too. 
			- An entirely positive experience, and my idea of what exercise is about is shifting in an interesting way.
			- And -- tomorrow I get my Tesla Model 3. So I expect some more major horizon busting is to come. 
		- Chromebook for Dave?
			- Thinking of a <a href="https://www.amazon.com/s?k=chromebook&ref=nb_sb_noss_2">Chromebook</a>, for reading news over breakfast, possibly taking it with me to a coffee place to do a little writing. 
			- Running an Electron app in Linux? Is this possible?
			- It should have a couple of USB ports, bluetooth, a  nice keyboard, mike, camera, etc. 
			- Looks nice. Light.
			- Under $200?
			- Comment <a href="https://twitter.com/davewiner/status/1461041596401688579">here</a>. 
			- PS: I went with the <a href="https://www.amazon.com/gp/product/B086383HC7/ref=ppx_yo_dt_b_asin_title_o00_s00?ie=UTF8&th=1">Lenovo Chromebook Flex 5</a>. 
	- November 16
		- <a href="https://twitter.com/MalyndaHale/status/1458540179472355332">Malynda Hale</a>: "Imagine if Kyle Rittenhouse were a Black teenager."
		- There's a <a href="http://scripting.com/2013/09/10/twoWaysOfLookingAtAnOutline">dichotomy</a> in outliners -- 1. The outliner as a document, like a spreadsheet or word processing file. A file format. 2. The outliner as a file system, a container for documents, a way of organizing them. Drummer, used as a blogging tool is a solid #2. 
		- In 2006 I ran into PC columnist John Dvorak at the <a href="https://www.google.com/maps/place/300+Post+St,+San+Francisco,+CA+94108/@37.7884938,-122.4070074,3a,75y,317.57h,90t/data=!3m7!1e1!3m5!1sjlWZkhff3Ybb2e_BYfKrgw!2e0!6shttps:%2F%2Fstreetviewpixels-pa.googleapis.com%2Fv1%2Fthumbnail%3Fpanoid%3DjlWZkhff3Ybb2e_BYfKrgw%26cb_client%3Dsearch.gws-prod.gps%26w%3D86%26h%3D86%26yaw%3D317.57147%26pitch%3D0%26thumbfov%3D100!7i16384!8i8192!4m5!3m4!1s0x8085808ecb36ddef:0xf569034e6e9dcdfc!8m2!3d37.788644!4d-122.407195">Apple store</a> in downtown San Francisco. We got talking about how he was a troll, and he told me to turn on my video camera and he <a href="https://www.youtube.com/watch?v=NMQv0j29WHA">explained how trolling works</a>. A classic.
		- If I had a billion dollars, I'd buy a <a href="https://en.wikipedia.org/wiki/Top-level_domain">TLD</a> and sell domains for 10 cents each, to see what would happen. 
	- November 15
		- Edward Hopper
			- <a href="https://www.wikiart.org/en/edward-hopper/conference-at-night">Conference at Night</a>, 1949. 
	- November 14
		- About this <a href="https://en.wikipedia.org/wiki/Web3">Web 3</a> thing. Listen. I understood the Web in about a minute. Web 2.0, I played a role in defining and developing it. So you could say I got it. But Web 3? Why did they choose a name that promises so much, and more than anything -- simplicity. The idea of anything called "Web" being opaque, sounding like a scam, a VC's wet dream -- that's so counter to what the word means in tech. I shouldn't have to read a few white papers, and still not get it. Look, my intuition says that the web is the web is the web and there is no Web 3, there's just the web. I don't like that they usurped the name of something so simple and precious for something that looks scammy. I think they should have chosen a different name. 
		- My Peloton
			- I wrote this thread on Twitter this morning.
				- I’ve had a Peloton for a couple of weeks.
				- I got it so I could exercise when the weather is too nasty to go out for a ride or a walk.
				- I’ve done classes and rides with no content. I don’t like the classes. The impersonal “you can do I it” motivation is a real turn off. Who the heck are you, and yiu have no clue who I am. Ugh.
				- Why not have classes where you learn something? Then I’d look forward to it, instead of dreading it.
				- I’m going to keep trying with the classes. Basically I am already motivated, I love the high I get from exercise. But I wouldn’t mind using the time to learn stuff.
			- Then this evening I took a class with a teacher I really liked. And it made all the difference. I got a better workout, and I had fun. I even talked back a few times. Totally got into it. Weird. [[Peloton]]
		- Ain't too proud to blog
			- <a href="https://twitter.com/jeffjarvis/status/1459864763635314693">Jeff Jarvis</a> generously gave me support for the idea of using rivers in news orgs. I want to clarify that:
				- I appreciate the support. :smile: 
				- I don't think I've ever "begged" though at times I imagine it might have seemed that way.
				- And I haven't been promoting rivers to them for quite some time, because I think the problems are much bigger now. 
			- I think the most important thing news orgs can do to improve their service is to include ideas and perspectives from outside the newsroom, esp those that are critical of their work. 
			- I would encourage a news org to run a <i>river of sources</i> their reporters consider authoritative. Blogs, newsletters, and whatever new <a href="https://en.wikipedia.org/wiki/Underground_press">forms</a> <a href="https://en.wikipedia.org/wiki/Pamphlet">come</a> up in the future. This would initially be an internal resource, but the obvious next step is to share the resource with their readers, in the interest of increasing news flow, broadening perspectives, and also introducing transparency. And perhaps most important to introduce criticism of their work to their flow, something we need and they need. If I were going to beg for anything that would most likely be it. I wrote about how this would work in more detail in <a href="http://scripting.com/2015/05/13/howToHaveAFuture.html">May 2015</a>. 
			- When I read yet another NYT article or op-ed about how Facebook is letting us down, I keep wondering when they're going to look at how <i>they</i> contribute to this problem, how their coverage of Hillary's Emails, for example, gave Trump the White House, and set the country on the path to authoritarianism. I think they did far more damage than Facebook, and not surprisingly, that has not been examined to anywhere near the extent Facebook has. This is a serious problem, and it's not going to get better in the current news system. That's where rivers could make a huge difference, if they cared enough about the service they provide readers.
			- PS: <a href="http://nytimesriver.com/">This</a> is what a River of News looks like. 
	- November 13
		- Someone once said that music is <a href="https://twitter.com/jamieeast/status/1459250740837470219">bass and drums</a>, and all the rest is just dressing up.  
		- Algorithmic humanity 
			- That's how Facebook transforms into Meta.
			- That’s how they solve the ills of social networks.
			- The humans behave because they are programmed to.
			- That’s what they mean when they promise a Disney-like experience. 
	- November 12
		- Poll: <a href="https://twitter.com/davewiner/status/1459138243446857729">Metaverse?</a>
		- <a href="https://blog.twitter.com/en_us/topics/company/2021/introducing-twitter-blue">Twitter Blue</a> which I accidentally subscribed to, actually deletes your tweets if you aren’t paying close attention. It’s supposed to be a feature I guess, give you a chance to change your mind. I’ve lost a bunch of writing this way. Did they user test this?
		- When I was starting out in tech, after getting a degree in computer science, I was drawn to PCs because the adults hadn’t gotten there first. They were still simple. If they had kept their stuff simple, I might have invested on their platforms. The web after all these years is still really simple if you ignore Google and use common sense. It’s still possible to see the web as unspoiled as it was at the beginning. Just ignore Google and it’s all good.
		- Catbercrombie
			- A cat in an Abercrombie bag, via Facebook. 
	- November 11
		- Poll: <a href="https://twitter.com/davewiner/status/1458773593320476672">Do you hold any bitcoin?</a>
		- I don’t know what “Web3” is and I’m pretty sure I don’t want to.
		- Just noticed that yesterday was the one month anniversary of <a href="http://scripting.com/2021/10/10.html">shipping Drummer</a>. Continuing the long Scripting News tradition of missing milestones. 
		- I just want to say that the cultural stuff I get on Facebook is every bit as good as what I get from the NYT, and it comes for $0 and without the arrogance and pretension. 
		- The name of the scripting language in Drummer is Drumkit. I have reserved a <a href="http://drumkit.org/">domain</a> for it. There's nothing there at this time but a placeholder. <a href="http://oldschool.scripting.com/PostMonsterG/">Gary Teter</a> came up with the name in a <a href="http://oldschool.scripting.com/PostMonsterG/2021/10/30/060526.html?title=moreDrummerThingsIpadEdition">blog post</a>. When I read the post, I was pretty sure this was the name. I love how it connects to the name of the product, and it conveys the utility of having a language in a product such as Drummer. It also reflects the duality of the product. You can beat the drum in Drummer by writing, if you're a poet, and if you're a plumber, there's Drumkit. It's also nice because it leaves open the option of the language existing outside of Drummer, but no one will miss that the language <i>came from</i> Drummer. That's important I've found. I left similar clues in RSS and in podcasting. I think naming a product is a community thing, the best names don't come from one person's mind. Gary understands a lot about what I'm trying to do with the language, how else could he have devised such a perfect name. He can be proud, much as <a href="http://scripting.com/2013/04/07/howPodcastingGotItsName.html">Dannie Gregoire</a> can be proud of coming up with the name we eventually used for what we were calling audio blogging, even though there's a British journalist who falsely claims to have coined the term. Already the Drummer community has made a great contribution to Drummer. Many thanks! 🥁
		- Morning ramble
			- I signed up for Twitter Blue for $2.99 under the mistaken impression that it got me through paywalls. Okay it doesn't do that. Sigh.
			- I'd be happy to pay $100 a month, but even so I will not use Twitter as the primary way I read news. Not ever going to happen, I already have news reading tools that blow Twitter out of the water. Sorry Jack. I've been working on this stuff for a long time (just like you).
			- So we're still a really long way away from having rational networked news. Yet the deficiencies of news are what's killing us as a democracy and a world power. It isn't Facebook, that's just a diversion. Most people are falling for it. The problem is that the news system is sick. We talk about inequality in terms of how much money people have, but what about inequality in terms of the information they have access to. I pay for better news that poorer people can. But even with that I'm still  impoverished. News people are lazy. I can't believe they weren't all trying to get a real ticktock of Trump on January 6, starting on January 7 (give them a few hours to get over the shock). But I hear from the Washington Post that they thought they had an innovative idea to look into this in October! Holy shit. Is that what they think news is. Oy we are so lost. 
			- I want news like they portrayed it in Hollywood when I was young. The shit where they go out to get the story that brings down the empire. The biggest story of 2021 is what was Trump doing, who was he calling, what threats was he making, when the insurrection was actually going on. I read the WP story. It's really weak. We should know a lot more by now. And this was happening all through the Trump presidency. The news was resetting expectations constantly, noting that Trump wasn't a normal president over and over. Well we figured that out thanks, now how about telling us what he's actually doing. 
			- We're all information impoverished, just pretending we're informed, but in our hearts all of us knowing we have no idea what's being done to us in our own name.
		- Georgia O'Keeffe
			- <a href="https://www.wikiart.org/en/georgia-o-keeffe/music-pink-and-blue-ii-1">Music Pink and Blue</a>, 1918.
	- November 10
		- Companies should have a PIN for every customer they want to talk to on the phone. I'm not even going to admit to being me for a random inquisitor who calls and claims to represent one of my insurance companies. Prove it, I say to them. They can't. Sorry, can't help you.
		- I was asked why I'm adding <a href="http://scripting.com/2021/11/09.html#a164316">great GitHub scriptability</a> to "Drummer" when Microsoft is evil and huge. First, I use GitHub, a lot, and love it. I loved it before Microsoft bought it, and I'm experienced enough to have known even then that their acquisition by a big tech company was almost a given. Our support of GitHub in the short term won't do much to help GitHub, maybe in the long term it will. But that isn't a good reason not to implement the compatibility. For that I turn to a famous quote of the notorious criminal Willie Sutton who was asked why he robs banks. I'm sure you already know <a href="https://www.fbi.gov/history/famous-cases/willie-sutton#:~:text=that's%20where%20the%20money%20is">the answer</a>. 
		- Why GitHub, for poets
			- I'm sure the plumbers fully appreciate the value of hooking up a writing tool like "Drummer" to the default place in the world for posting code. 
				- We can do a lot of renderings of outlines in Markdown, which is the writing language favored by GitHub. 
				- Watch out, because the docs on GitHub are about to get an upgrade, the same kind of lift blogging gets from writing with an outliner.
				- Docs are even more structured than blogs.   
			- Okay that's the plumber's rationale.  
			- For poets, think of GitHub as a great arena where all kinds of sports are played, except in this analogy the sports are ideas and docs. 
				- Until now there hasn't been a great arena for poets. There's only been such an arena for programmers, and that's very new. GitHub didn't exist as the great programming idea arena until maybe the mid-teens. Maybe it's just now starting to come into its own.
				- Certainly a big publishing platform like Facebook and Medium had the opportunity to do this, but the too quickly pivoted to business models, and that had a chilling effect at making it a great arena for ideas. 
				- Amazon, amazingly, had the best opportunity to create such an arena, I <a href="http://scripting.com/2017/01/18/enduserStorageFromAmazon.html">begged</a> them to do it, openly, but they wouldn't do it.
				- What does such an arena need? Not a whole lot actually.
					- A simple user authentication method. The technology for this is called OAuth. It's what everyone uses. It's what GitHub uses. Twitter does, Facebook, Slack, on and on. The important thing about this method of authentication is that YOU KNOW HOW TO DO IT.  You use it, you don't even think about it. It makes sense to you. So right off the bat, you're ready to join in. I can put a command in a menu to <i>Log on to GitHub</i> and you won't be surprised at all by what it does.
					- The only other thing it needs to do is storage, and GitHub does that, very powerfully. Have a look at my <a href="https://github.com/scripting/artDownloader">ArtDownloader</a> project for an idea. There is a <a href="http://scripting.com/images/2021/11/10/artdirectoryscreenshot.png">huge amount</a> of art there. It's great stuff. Hook it up to your screen saver, and enrich your life. It's free for you, and guess what, it's free for me too. GitHub says fine, we'll host it, you don't even have to ask. You can create your own repos. I promise you, it's not hard and we can probably even make it easier, given enough time. 
				- Why is it such a great arena?
					- Because you can point other apps to the arena you write to using Drummer, and they can do stuff for you with that data. 
					- It's a fucking platform. It's free. 
					- Another thing it is -- based on an open standard -- GIT. So we're not getting locked in the trunk here. We are free to leave. We are depending on their API which their competitors will hopefully clone. They'd be idiots if they didn't. They probably already are. 
				- This is where I like to work -- at the edge of possibility. We might be able to bootstrap something wonderful here. I am certainly optimistic myself based on the intelligence and curiosity of the people who are using Drummer. And their collegiality. That's the most important ingredient. I've had all this stuff for years, outliners, code that writes to GitHub, scripting interpreters, etc etc. But having all of it in a package that is used by enough smart people, to help start the bootstrap, that's like the sourdough starters everyone was trading in the early days of the pandemic. You can have all the ingredients, but if you don't have people to play in the arena, nothing interesting is going to happen. 
	- November 9
		- I'm spending a couple of days <a href="https://github.com/scripting/drummerRFC/issues/7">baking</a> GitHub into "Drummer" via scripting. We used to call this a "scriptable app" on the Mac, when apps were <a href="https://en.wikipedia.org/wiki/FileMaker">Filemaker</a> and <a href="https://en.wikipedia.org/wiki/QuarkXPress">Quark Xpress</a>, the <a href="https://en.wikipedia.org/wiki/Finder_(software)">Finder</a>, stuff like that. Then when "Frontier" moved to the web, the apps were <a href="https://en.wikipedia.org/wiki/Eudora_(email_client)">Eudora</a>, <a href="https://en.wikipedia.org/wiki/Netscape">Netscape</a>, <a href="https://en.wikipedia.org/wiki/Internet_Explorer">MSIE</a> and <a href="https://en.wikipedia.org/wiki/MacHTTP">MacHTTP</a>, then Google and "Manila", then WordPress and Twitter. Along the way came new protocols -- "XML-RPC", "RSS", "OPML". Drummer already has excellent scripting support for <a href="http://docserver.scripting.com/?verb=twitter.addGroupToList">Twitter</a>. I made this a priority to have one really good scriptable app when Drummer came out. Now I'm working on the second biggie. I wrote <a href="http://scripting.com/2021/11/08.html#a143815">yesterday</a> that GitHub could be <a href="https://en.wikipedia.org/wiki/MS-DOS">MS-DOS</a>. What I meant is that it's basic low-cost storage for everyone with a GitHub account that's about as easy to work with as MS-DOS was. For early adopters, what we used to call power users. It's an amazing resource. And that made me think of MS-DOS because both are owned by Microsoft and storage is basically what MS-DOS did, and btw, MS-DOS is the one product they didn't use as a weapon when they were trying to usurp the web, so it has a nice taste to it, still. I have <a href="https://github.com/scripting/drummerRFC/issues/7">started a thread</a>, on GitHub of course, narrating what I've got working. Watch this space.
		- I put about twenty <a href="https://en.wikipedia.org/wiki/Tom_Petty">Tom Petty</a> songs on my iPhone and have been <a href="https://www.youtube.com/watch?v=1lWJXDG2i0A">listening</a> to <a href="https://www.youtube.com/watch?v=xqmFxgEGKH0">them</a> on and off. The thing about Tom Petty is his songs are the kind that you sing in your head all the time days and days awake or in dreams. To have twenty Petty tunes co-resident means you're living the Tom Petty lifestyle, <a href="https://www.youtube.com/watch?v=uMyCa35_mOg">waiting</a> for it to pass, but kind of hoping it doesn't. It's kind of like <a href="https://en.wikipedia.org/wiki/Rickrolling">Rickrolling</a> but with really good music. 
		- Central Park
			- On this day in 2013.
	- November 8
		- I just heard that a longtime friend and fellow outliner Scott Love has died. Oy. I knew Scott when he was our chief product marketer at <a href="https://en.wikipedia.org/wiki/Living_Videotext">Living Videotext</a> back in the 80s. He was part of the team that shipped ThinkTank, Ready and MORE. When we sold to Symantec, Scott went to NeXT where he was on the rollout team for their product. His heart was in outliners. He went on to start Aquaminds, which he explains in his <a href="https://www.quora.com/profile/Scott-Love">bio</a> on Quora. Scott was a brilliant creative funny friendly and vulnerable human. He put his heart into everything he did. His boss, before he worked for me, Alfred Mandel, called him Nudgie. When I heard that I started using that name for him too, until I realized it might not be the nicest thing. Recently Scott and I reconnected on Twitter. In a private exchange he said he liked the name. I'm sorry his life was so short. His enthusiasm and big heart and super active mind will be missed. 
		- Scott and I had dinner many times, and often traveled together on business. We always joked about how we were going to take on the then-dominant tech company IBM. It was either Boca or Bucha, which was short for Bucharest, where we were surely headed if we failed to defeat the mighty IBM. We'd talk about catching the red-eye to Bucharest. I don't know why it was then (and still is now) so funny. Bucharest was a pretty awful place at the time, run by an even worse dictator than IBM -- <a href="https://en.wikipedia.org/wiki/Nicolae_Ceau%C8%99escu">Nicolae Ceaușescu</a>. 
		- GitHub could be the next MS-DOS.
		- I would still love to read a simple summary of the second part of the Washington Post review of January 6. The part where they tell us minute by minute what the president of the United States, the commander-in-chief, was doing while the US Capitol was under seige. 
		- Slavery formed us
			- I'm reading two books at the same time. 
			- <a href="https://www.amazon.com/Zookeepers-Wife-War-Story/dp/039333306X">The Zookeeper's Wife</a> and <a href="https://en.wikipedia.org/wiki/Uncle_Tom%27s_Cabin">Uncle Tom's Cabin</a>. 
			- One about the Holocaust, the other about slavery. The pairing has me thinking about the differences. 
			- This has been the year for me of reading about slavery. It has really been an eye-opening experience. 
			- One observation, <a href="https://en.wikipedia.org/wiki/The_Holocaust">the Holocaust</a> was unthinkably horrible, but it wasn't slavery, the oppressors were trying to anihilate us, not enslave us. 
			- It was over in five years. 
			- Antisemitism is permanent, but it is not slavery. 
			- <a href="https://en.wikipedia.org/wiki/Slavery_in_the_United_States">Slavery</a> <a href="https://www.theguardian.com/news/2019/aug/15/400-years-since-slavery-timeline">lasted</a> over <a href="https://en.wikipedia.org/wiki/Slavery_in_the_colonial_history_of_the_United_States">400 years</a>, and imho it isn't over yet. It had a chance to form the whole culture of not just the US as some of our European friends sometimes imply, all white people everywhere are indicted. 
			- There are lots of other differences, but the thing most Americans don't get is that slavery is deeply rooted and it isn't over yet. And if we want it to be over, it's going to require a near-universal conscious decision to end it. 
			- Thanks for listening.
	- November 7
		- A Twitter <a href="https://twitter.com/davewiner/status/1457377401386721288">thread</a> on the name of the language in Drummer. 
		- Anton <a href="https://github.com/scripting/drummerSupport/issues/105#issuecomment-962507805">asked</a> why don't the outlines rendered through PagePark support the same <a href="http://docserver.scripting.com/drummer/instantOutlines.opml">Instant Outlines</a> feature that Drummer and Concord Reader support.  There was no good answer, so I made it work. There's a quick video demo <a href="http://scripting.com/drummer/blog/2021/11/07/175742.html?title=instantOutlinesInPageparkservedOutlines">here</a>. 
		- Debugging http.client
			- Scott <a href="https://github.com/scripting/drummerRFC/issues/6#issuecomment-962586664">asked</a> whether <a href="http://docserver.scripting.com/?verb=http.client">http.client</a> does headers, and at first I said no, but then when I dug in, I realized yes, it does, for non-proxied calls, and with a simple addiiton it should work with proxied calls as well. 
			- I made the change in the released web Drummer, so theoretically it should work now. I don't have something immediately available to test with. 
			- If you're expecting to do HTTP-related programming from Drummer, this is something you should pay attention and if possible participate in. This is an important verb, and it's important to get it right. 
		- JavaScript in Drummer
			- <a href="http://oldschool.scripting.com/PostMonsterG/?tab=blog">Gary Teter</a>, whose name I recognize from the Frontier community, I think -- has been writing eloquently about JavaScript and Drummer. I'm learning a lot reading how the product reflects off his mind. 
			- And I agree totally about the potential for JavaScript which is being wasted by the way the language is being driven. We should be trying to coalesce it, not drive it apart into a bunch of incompatible languages. Reminds me of something <a href="https://rms2.tumblr.com/post/35571080444/andrew-singer">Andrew Singer</a> who started Think Technologies (a company that should be remembered btw) -- in tech we don't stand on the shoulders of giants, we stand on their toes. 
			- We have another chance to coalesce JavaScript. Drummer's language, which Gary has a name for btw, one that I like, removes the one imho sin of JavaScript that keeps it from being a scripting language. And I'm trying to hone a broad verb set, and writing good docs for them, and just in general slowing down and getting it right, looking at prior art, and not deprecting things that matter (like <i>request</i> in Node.js, what a terrible idea!). It's all been very mindless. But JavaScript's universality is as important as say RSS's. It should be focused and developed. Yes, I am that ambitious for the language in Drummer which may soon have a name. 😇
		- Georgia O'Keeffe
			- <a href="https://www.wikiart.org/en/georgia-o-keeffe/red-poppy">Red Poppy</a>, 1927.
	- November 6
		- Gary Teter has been writing eloquently about Drummer. His <a href="http://oldschool.scripting.com/PostMonsterG/2021/11/05/051948.html?title=someThingsAboutJavascript">latest</a>. 
		- Public Drummer <a href="http://scripting.com/drummer/blog/2021/11/06/193821.html?title=drummerthishow">outlines</a> that are not part of a blog. 
		- A new Drummer verb -- <a href="http://scripting.com/drummer/blog/2021/11/06/155101.html?title=httpclientVerbDay2">http.client</a>. 
		- Even sports journalism, where you'd think horseraces would make sense, <a href="http://scripting.com/images/2021/11/06/horseracesports.png">they overdo it</a>. As a Knicks fan, I don't care which point guard gets more time, and if the players are good, they don't care either. What we want is the team to play great, fun basketball.
		- Poets and plumbers
			- Back in the day, when podcasting was new, we talked about "Users and developers party together." There's some new nomenclature to go with that in The Drummer Era which we are now in. Poets and Plumbers. Users and developers. We're all smart, and love to learn, but in different areas and with different results. We multiply each others' work by learning how they think, what they care about, how they explain things. I've heard devs say that users just don't get how this works, only to realize later that their view is valid, and understanding it was key to creating tools they would love. That they would say "this works like I think." When a user says that to you, believe me, it's the best feeling ever. An aside, my own father said that to me about ThinkTank. That was a big moment. So listening and trying to understand can produce fantastic results, and it goes both ways. 
	- November 5
		- Here's a <a href="https://github.com/scripting/drummerRFC/issues/5#issuecomment-961942204">pretty good writeup</a> of why I want to get my OPML documents into tools-for-thought databases. 
		- The other day <a href="https://en.wikipedia.org/wiki/John_Gruber">Gruber</a> read the <a href="https://twitter.com/davewiner/status/1453349951665287168">Infoworld review</a> of <a href="https://timesmachine.nytimes.com/timesmachine/1983/05/17/169857.html?pageNumber=51">ThinkTank</a> in 1983, and <a href="https://twitter.com/gruber/status/1455673711634300930">wondered</a> about the "Pascal operating system" they referred to. It was the <a href="http://pascal.hansotten.com/ucsd-p-system/">UCSD P-system</a>. Without it I would not have been able to build an app as rich as ThinkTank that ran on the Apple II. UCSD was an orders of magnitude more memory-efficient than BASIC or assembly language, very important for a machine with just 48K for application code. And the P-system had overlays. Which meant if something didn't have to be in memory all the time, it could be swapped in when needed. Most Apple IIs only had floppy drives in those days, so it was slow and a pain in the ass, but a lot faster than quitting the program, inserting another disk and launching another app just to edit the text of a headline. What I learned as a result of Gruber's inquiry is that the P-system was one of <a href="https://en.wikipedia.org/wiki/James_Gosling">James Gosling's</a> <a href="https://en.wikipedia.org/wiki/UCSD_Pascal#cite_note-6">inspirations</a> for <a href="https://en.wikipedia.org/wiki/Java_(programming_language)">Java</a>. 
		- I was on a drive yesterday on the <a href="https://en.wikipedia.org/wiki/Massachusetts_Turnpike">Masspike</a> and stopped in at a truckstop and bought a <a href="http://subway.com/">Subway</a> sandwich, paid cash, went to the bathroom, noted that most of the truckers weren't wearing masks and continued my trip back to the <a href="https://en.wikipedia.org/wiki/New_York_State_Thruway">NY State Thruway</a>. I used to eat Subways a lot when I was driving cross-country back in the <a href="http://morningcoffeenotes.com/">early days of podcasting</a>, doing my road trip casts. Well here's the funny thing. I got an email today from Subway saying how they're running a special. And I saw an ad for Subway on Facebook. Hello. Did I get made even though I paid cash? Did they have a face recognition camera in the truckstop? Oy. Living in the future kind of sucks. 
		- Devs, you can have OPML in JSON. We have a <a href="https://www.npmjs.com/package/opml?activeTab=readme">toolkit</a> that reads OPML files and returns JavaScript structures, among other things. From there, do whatever you want.
	- November 4
		- Maybe the way out of our mess is the US is sports. I know there are plenty of Mets fans who love Trump. It's hard to believe. But we are from Queens and so is El Orange. Anyway -- if you love the Mets, I gotta say this -- you can't be totally bad. 
	- November 3
		- The <a href="http://docserver.scripting.com/drummer/scripting.opml">Scripting howto</a> for Drummer. 
		- I <a href="https://twitter.com/davewiner/status/1455714840375435264">suggested</a> to <a href="https://twitter.com/eastgate">Mark Bernstein</a> at Eastgate that they could use Old School to <a href="http://docserver.scripting.com/drummer/blogging.opml">update a blog</a> from their hypertext software the same way it works in Drummer. He <a href="https://twitter.com/eastgate/status/1455729745178599430">asked</a> for more info.  Here's the resulting <a href="https://twitter.com/davewiner/status/1455907981644730369">thread</a>. 
		- I'd love to have an excellent connection between "Drummer" and GitHub via <a href="http://docserver.scripting.com/drummer/scripting.opml">scripting</a>. Scott Hanson and Kevin Tofel are having a <a href="https://github.com/scripting/drummerRFC/issues/3#issuecomment-958793021">discussion</a> on how to get that started over the the RFC site. 
		- <a href="https://twitter.com/Devilstower/status/1455940510653235203">Mark Sumner</a>: Voters observing Democrats: "Why hasn't the administration, Congress, or DOJ held anyone responsible for Jan. 6?" Democrats observing election results: "Why won't voters hold Republicans responsible for Jan. 6?"
		- Zuckerberg is proof that no matter how rich you get, no matter how huge your product and company get, you still just get a <a href="http://scripting.com/2016/05/31/1296.html">human-size life</a>. We're all proof of that, btw -- but for most of us, no one ever thought we were anything more than a human being. 
		- The Knicks have a new slogan, <a href="https://www.espn.com/nba/story/_/id/32505366/bing-bong-new-york-knicks-lastest-rallying-cry-simple-phrase-pays-homage-city-roots">bing bong</a>. It's lovely. I also like <a href="https://www.google.com/search?q=%22bingo+bongo+bingo%22+site%3Ascripting.com">bingo bongo bingo</a>. It just comes out of my mouth sometimes. 
		- There was a lot of angst in my family when I was growing up. I guess a lot of families have it, but I think we had more than most because before my uncle and myself, we were the first in our family to be born in the US, everyone emigrated, running for their lives from the Nazis, and coming close to not making it. They were all survivors, and had traits of people with severe <a href="https://en.wikipedia.org/wiki/Post-traumatic_stress_disorder">PTSD</a>, untreated because this was the 60s and 70s, before they even knew such a thing existed in any formal treatable way. Anyway, I must've had a heavy family dream last night because I woke up feeling upset, unsettled, unloved -- all the feelings I knew very well in childhood. 
		- My GitHub projects
			- Over the years I have been trying to find a magic connection to GitHub. It seems too good a resource to not use in some first class way. Here are a few of my GitHub reading and writing projects.
				- <a href="https://github.com/scripting/publishScriptingOpml">publishScriptingOpml</a> -- A simple server that copies scripting.com's OPML to the instantOutlines project on GitHub, when pinged. 
				- <a href="https://github.com/scripting/github">github</a> -- The source for the <a href="https://www.npmjs.com/package/davegithub">davegithub</a> package that reads and writes to and from GitHub. 
				- <a href="https://github.com/scripting/oldSchoolNightly">oldSchoolNightly</a> -- A script that runs on the same machine as my CMS, that uploads JSON, OPML, RSS and HTML files from Scripting News to the repository on GitHub, every night.  
				- <a href="https://github.com/scripting/githubpub">githubpub</a> -- A Node app that serves from GitHub repositories over the web.  
				- <a href="https://github.com/scripting/opmlToGitHub">opmlToGitHub</a> -- A Node app that reads an OPML file, converts it to Markdown, and uploads it to GitHub. 
				- <a href="https://github.com/scripting/pagePark">pagepark</a> -- My general-purpose Node web server can serve from a GitHub repo. That's how the <a href="http://xmlrpc.com/">xmlrpc.com</a> and <a href="http://pagepark.io/">pagepark.io</a> sites work. 
				- <a href="http://this.how/english/">english</a> -- An editor that runs in the browser that can create and edit a Markdown document in a GitHub repository.
		- I ❤️ HTTPS
			- A user said they were surprised that I encouraged people to use HTTPS with their "Drummer" blogs, even though I <a href="http://this.how/googleAndHttp/">speak out</a> against Google trying to force HTTPS on the open web.
			- These are very different things!
			- I want people to use my software in every way that makes sense, and if you're generating web content, which Drummer most certainly <a href="http://docserver.scripting.com/drummer/blogging.opml">does</a>, HTTPS is one of the things people want to do. I support this. Let me say that slowly: I. Support. This.
			- Further, I use HTTPS myself. I am glad my bank uses it. And the health clinic I use. 
			- What I object to is Google trying to take ownership of the web. I love that the web is the platform with no platform vendor. We're all guests here and that includes big companies like Google. And guests don't make the rules. 
			- I know some people run their lives such that they won't work with other people who don't see the world <i>exactly</i> as they do -- but I am not one of those people. Emphatically. I preach working together. It's my mission more than anything else. I am against walls that keep people out. Except with my private info, then I like them. See how that works?
	- November 2
		- A nice <a href="http://scripting.com/drummer/blog/2021/11/02/161818.html?title=newOldSchoolBuild">improvement to Old School</a>. Now it more accurately reports how much time it spent building your blog, and it also reports on the pages it rebuild, and the feeds it pinged on your behalf. 
		- A new Drummer verb: <a href="http://scripting.com/drummer/blog/2021/11/02/143316.html?title=stringmarkdownprocess">string.markdownProcess</a>.
		- A tools-for-thought challenge
			- After I've taken notes on what I'm thinking about, how to find:
				- The things I wrote about. (Where did I say that?)
				- Patterns in my writing.
				- Threads. I wrote about a topic many times, show them all to me in chronological order.
			- It shouldn't matter where I took all those notes.  Perhaps I used different note-taking apps on my phone, tablet or desktop. Or one year I tried a new note-taking app and then switched back. My ideas are mine, and it's up to me how to use them, and there should be no limits. This is how computers, networks and databases are <i>supposed</i> to work.
			- It would be tragic if an area with so much promise became another silo controlled by one or two big companies. It's still so early, we have a chance to make this community work better. Our tools for thought should not be controlled by anyone other than ourselves.
			- An example, I have an <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">archive of outlines</a> going back to mid 2017, one every day, public. They are archived in a GitHub repo. I'd like to see that content in a tools-for-thought database. 
			- When we're there, I'll feel like we're really going somewhere..
		- Sell Staten Island
			- We should sell Staten Island to Texas.
	- November 1
		- Over the weekend <a href="https://www.papascott.de/archives/2021/10/31/blogging-in-gatsby-with-drummer/">Scott Hanson</a> was <a href="https://github.com/scripting/drummerRFC/issues/3">able</a> to use Drummer to write prose that was published by a popular <a href="https://github.com/gatsbyjs/gatsby">open source</a> static site generator called <a href="https://www.gatsbyjs.com/">Gatsby</a>. Apparently the software is a Gatsby plugin. Gatsby is <a href="https://www.crunchbase.com/organization/gatsby-e828">also</a> a <a href="https://www.gatsbyjs.com/about/">company</a>, based in Berkeley, they have raised $46.8 million. I'm looking for an quick tutorial. I have literally never used it, so i would like to at least be able to talk about it, explain what it is and what this connection means. BTW, our goal is to connect everything with everything with "Drummer". Outlines in the middle. We rock! 😀
		- The fact that I've never used Gatsby and I'm sure they've never used Drummer (do they use outliners?) says we have to create better connections in tech. I hope that Drummer will do that. Get us looking at each others' work and figuring out how to help our users make our products work better together. I've been motivated in this direction ever since I developed an integrated product in the 80s and the #1 feature request from users was I unbundle the components. They were right. We need interfaces, not behemoths. 
		- BTW, Scott posted his <a href="https://github.com/scripting/drummerRFC/issues/3">notice</a> on the Drummer RFC site. It's a place I started for non-support stuff. Perfect for this project. I've found over the years if you mix support and development the users are often intimidated. Each thread has it's place. In a user oriented tool with a deep scripting capability, you always have to be aware <span style="background-color: yellow">there are both plumbers and poets in the same space</span>. That's where the power is. You don't want to keep them separated, but you want to be careful everyone feels empowered to ask questions, get help. 
		- BTW, the ad I <a href="http://scripting.com/2021/10/30/143128.html?title=weAreTheGovernment">wrote about</a> the other day <a href="https://twitter.com/davewiner/status/1454964026748907526">showed up</a> while I was watching a game yesterday. I caught the end of it on my iPad. 
		- Working on a server today, I moved the software for a <a href="http://1999.io/">1999.io</a> server that's been running for a few years and remembered there is some nice stuff there. I designed it to answer the question -- what would a blogging system look like if it was created after Facebook and Twitter already existed. There are some good new ideas in both products, and they should influence blogging. I wrote Scripting News in 1999.io for a few years, but in 2017 I realized what I really wanted was what I had in 1997, leading to Old School and eventually Drummer. But 1999.io is still running. Here's the <a href="http://1999.io/about/">positioning document</a>. 
		- A breaking <a href="http://scripting.com/drummer/blog/2021/11/01/152727.html?title=freediskspace">change</a> in a forgotten <a href="https://www.npmjs.com/package/node-cmd">package</a> in a <a href="https://github.com/scripting/freeDiskSpace">utility</a> I wrote that I allocate zero percent of my consciousness to, pops up as I was provisioning a new server, and already juggling more than I should try to manage. 
		- I wish there was a <a href="https://en.wikipedia.org/wiki/CliffsNotes">Cliff Notes</a> version of the Washington Post <a href="https://www.washingtonpost.com/politics/interactive/2021/jan-6-insurrection-capitol/">article</a> about the insurrection. An Axios version would be perfect. A podcast. I went looking for one and found nothing. 
		- Mark my words -- outliners are destined to be in the middle of everything. That‘s why I’ve invested so much in <a href="http://opml.org/">OPML</a>, the open format designed for sharing outlines. It's the native file format of "Drummer". We don't need to have another giant Facebook in the middle of everything controlling everyone. Much better if it's distributed. That's what's made possible by open formats. 
		- The monthly ritual
			- This is the first "monthly ritual" I've done since "Drummer" shipped. So I'm going to write down what I did in more detail than usual.
				- I do my blog writing in Electric Drummer, so all the files are on my local disk. 
				- In the finder, I make a copy of my blog.opml file. I move the copy into a special folder for archives. 
				- I open the copy in E/D and delete the portion that's in November (the stuff I'm writing now). Once it's saved, I close the file. 
				- I open the GitHub archive for Scripting News in the GitHub desktop app for the Mac, and click the Sync button, to get all the new stuff in the last month on my local disk (the nightly archive of posts in JSON and OPML).
				- I copy the archive file for October into the local folder for Scripting News on GitHub into the correct location. 
				- In the GitHub app, I note the new file shows up in the list of changes. I set the Commit Message to a period (I don't have anything to say about this change) then I commit the change, and sync. 
				- I visit the site on the web to be sure <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2021/10.opml">October's OPML file</a> is there. 
				- Back in E/D, I delete the October branch of my blog.opml file. 
				- Then I click the rebuild icon and pray. 
				- And... it did not work! (Most of the month of October is missing. I figured since this was part of the overhaul there likely would be problems. I will finish this post after I do my debugging.)
				- Back from debugging. The mistake was I wrote theDay.getDay instead of theDay.getDate. The first returns the day of the week (0-6) and the latter returns day of the month (1-31).
			- So the monthly ritual is good. 
		- Paul Gauguin 
			- <a href="https://www.wikiart.org/en/paul-gauguin/whispered-words-1892">Whispered Words</a>, 1892.
