- December 2021
	- December 31
		- One more time: <a href="http://scripting.com/2021/12/16/153331.html?title=myProductIsInterop">My product is interop</a>. 
		- If I ran MSNBC we'd be asking at the top of every show -- When will Merrick Garland indict someone in charge of the Jan 6 coup, or when will he resign to make room for the person who will. And Biden will you fire Garland if he refuses? We've waited too long. Out of patience.
		- A demo of <a href="https://www.youtube.com/watch?v=RHs6tqookNc">two-way interop</a> between Drummer and <a href="http://daytona.scripting.com/?q=logseq&collection=scriptingnews">LogSeq</a>. I've read in an outline from LogSeq. Edited it. It autosaves, the change is immediately reflected in LogSeq. Open formats for the win. (This functionality is in development, not shipping yet.)
		- Two favorite books of 2021: <a href="https://en.wikipedia.org/wiki/The_Color_Purple">The Color Purple</a> and <a href="https://en.wikipedia.org/wiki/Klara_and_the_Sun">Klara and the Sun</a>. For the first, I highly recommend the <a href="https://www.amazon.com/The-Color-Purple-Alice-Walker-audiobook/dp/B07LCSL8PS">audiobook</a> which is narrated by the author. Want to understand how slavery works in the United States? How the culture it spawned is American culture? This is your book. Beautifully written story, a real page-turner, and a total eye-opener. Klara and the Sun is near-future science fiction, about artificial friends. It's interesting in a meta-way because the artificial friend in the book, Klara, becomes <i>our</i> artificial friend. Also beautifully written.
		- I didn't watch a lot of movies this year, but my favorite, hands-down, was (of course) <a href="http://daytona.scripting.com/?q=Don%27t%20Look%20Up&collection=scriptingnews">Don't Look Up</a>. It's more than a movie, it's an anthem, identifying the conclusion of our civilization one way or the other. We either overcome our need to be told simple bedtime stories and thus transform into something else, or we self-destruct. Either way, the past is not a template for the future. And they deliver the message in such an entertaining way! Maybe it's the last fun movie our species will ever create? People who judge the movie on its ability to entertain alone are totally missing the point. We have not only hit the wall, but it destroyed us. Now it's time to pick up the pieces, the best we can. As Dr Mindy <a href="http://scripting.com/images/2021/12/28/weReallyDidHaveEverything.png">says</a> at the end, "We really did have everything." Note the past tense, and it's very true, in the movie and in our lives. The times of having everything is over. Now what can we salvage from the wreckage of our civilization?
		- <a href="https://twitter.com/jeffjarvis/status/1476513810018099200">Jeff Jarvis hit a nerve</a> with a post about how journalism covers science, which is a process -- and rarely produces a final answer. Same is true of software of course, and law, and pretty much everything that humans learn about. So what to do? Well, that's where blogging comes in. We need a combination of expertise and understanding of the scientific process, and the ability to communicate in a way that non-scientists can understand. So you can either teach journalists to be better at science, or give scientists the tools and training to be more effective communicators. There is a compromise possible -- merge the two. Bring expertise into the journalistic process, don't force science through the minds of journalists who dumb it down, or misrepresent it. This was the initial idea of blogging, it's why I went into academia in 2003. And why a person like Jarvis, who is a professor at CUNY and a pioneering blogger, is in an ideal position to start bringing about the needed change. 
		- Betty White
			- Sometimes I wonder if dying is like waking from from a dream, hopefully with friends and loved ones waiting for you, like going to a diner after seeing a movie together and you all talk about how you liked it, and if you want to see it again.
			- <a href="https://en.wikipedia.org/wiki/Betty_White">Betty White</a>, 1922-2021. 
	- December 30
		- Today's song: <a href="https://www.youtube.com/watch?v=nlaoR5m4L80">Let The Mystery Be</a>. ❤️
		- I was going to choose <a href="https://heathercoxrichardson.substack.com/">Heather Cox Richardson</a> as my <a href="http://daytona.scripting.com/?q=Blogger%20of%20the%20Year&collection=scriptingnews">Blogger of the Year</a>. She didn't start blogging this year, but this is the year I started <a href="http://daytona.scripting.com/?q=heather%20cox%20richardson&collection=scriptingnews">reading her</a> daily posts, and I found them valuable and quite bloggy. I also loved her weekly <a href="https://podcasts.voxmedia.com/show/now-then">podcast</a>.  But in one of the latest nightly posts she writes about <a href="http://daytona.scripting.com/?q=smoking%20gun&collection=scriptingnews">smoking guns</a> as if we don't already know the extent of Trump's involvement in the January 6 coup. This general lack of courage on the part of the establishment press and politics is putting our future at great risk. The question isn't whether there's enough evidence to indict every member of the Trump Administration at the end of 2020 and early 2021, but rather why isn't the DoJ led by the supposedly courageous <a href="http://daytona.scripting.com/?q=Merrick%20Garland&collection=scriptingnews">Merrick Garland</a> doing anything to save the republic! When is it going to happen? And what are they afraid of. I think at the end of 2021 a blogger of the year should be grounded in reality. Our patience is long exhausted. Maybe a Civil War is inevitable. Maybe the original Civil War never ended. But I know this, I'd rather have the war while Abraham Lincoln (as played by Joe Biden) is president than <a href="https://en.wikipedia.org/wiki/Jefferson_Davis">Jefferson Davis</a> (Donald Trump). So let's say, for now, there is no Blogger of the Year for 2021. It should have been Heather Cox Richardson, and maybe if she stands up for the republic we can amend the record in 2022. 
		- In the last decade or so I modified my art from making software for everyone to making software mostly for myself. Some projects take years to complete, and some remain on the shelf waiting for their turn to be rolled out. But the best product I've ever made I think is <a href="http://daytona.scripting.com/?q=Daytona&collection=scriptingnews">Daytona</a>. A project that I was thinking about for a few years, but when it finally came time to write the code, took about <i>two weeks. </i>Of course I spent a fair amount of time in advance of those two weeks creating packages and techniques that made it possible. But it is right now by far my favorite writing tool. I have most of my writing for the last 20+ years available to me through search, with full text, and a usable UI, unlike the increasingly sparse and unusable commercial search utilities. This proves one thing, there's still a fair amount of unexplored territory in the web. 
		- My favorite community project of 2021 are the art curators on Twitter. There's a group of Twitter users who, on behalf of great painters throughout history, are posting their works to Twitter. I follow many of them, and have written an <a href="https://github.com/scripting/artDownloader">open source app</a> that reads their feeds and stores the art in a <a href="https://github.com/scripting/artDownloader/tree/main/data">GitHub-hosted database</a>. Current count: 31,867. It's downloadable and ready to be used in a Mac screen saver. It's a wonderful thing. Sometimes as I'm browsing Twitter one of the works shows up and I stare at it and experience the art, and how observe contrary it is to the rep of Twitter as being a place for loudmouths, psychos, narcissists and insurrectionists. This is pure art and art about art. You can't hold art down, pave it over, commercialize it. Art has a way of popping up through the cracks and sprouting whole new experiences. 
		- Comfort TV
			- I was listening to a podcast yesterday about "comfort tv" -- binges that bring you a sense of well-being. That is imho what binges are about.
			- First basic ingredient, <a href="http://daytona.scripting.com/?q=suspension%20of%20disbelief&collection=scriptingnews">suspension of disbelief</a>. While watching the show, from the beginning of the first episode, you must be in the story, not watching tv, but relating to the characters in the same way you relate to real people.
			- From that comes a sense of community, this is your tribe, you think about them the same way as if you were a wild pre-tech human, feeling attached to the other citizens of your village.
			- The feeling of comfort is the feeling of being home, hanging out with your tribe. A feeling the real world no longer gives us, so we create it artificially.
		- Raphael
			- <a href="https://www.wikiart.org/en/raphael/school-of-athens-detail-from-right-hand-side-showing-diogenes-on-the-steps-and-euclid-1511">The School of Athens</a>, 1511. (Detail)
	- December 29
		- Why <a href="http://daytona.scripting.com/?q=don%27t%20look%20up&collection=scriptingnews">Don't Look Up</a> is so useful. To our friends in media and politics and the billionaires who own them -- they keep our focus regulated and narrow so they can keep their jobs and keep selling their stuff, we can show them this movie and say the reason we find it funny and you don't is that you're in the way. The bullshit isn't sticking anymore. At some point, dear friend something is going to give where you won't be able to continue being in the way, let's hope the ending in our lives isn't the one in the movie. 
		- The smoking gun!
			- So interesting -- people who write for major media can't see the humor in Don't Look Up. It would require them to see their own filters, which are impossibly hard to see. 
			- But here's a fact: Major media can't report bad news.
			- Case in point: I saw a bit that maybe we've found the smoking gun for Jan 6. They've been speculating for months.
			- But we saw the smoking gun on Jan 6, on C-SPAN. If they could remember <i>we saw the gun, </i>they could make the story about what it should be -- why hasn't the DoJ indicted him yet? What's the hold up. That should be the top story on political news every night. Not where's the smoking gun. Trump is, if anything, a walking talking smoking gun. 
			- The smoking gun. 
			- PS: If you don't like the Jan 6 invitation to the MAGA mob to <a href="https://www.youtube.com/watch?v=_3eC35LoF4U">burn down the house</a>, how about the <a href="https://www.youtube.com/watch?v=VIJU3M-kKhI">recording</a> of him trying to fix the Georgia election. That's looks like pretty good evidence to this non-lawyer.
	- December 28
		- A <a href="http://scripting.com/2021/12/28/web3DontLookUp.m4a">podcast</a> with spoilers about <a href="http://daytona.scripting.com/?q=web3&collection=scriptingnews">Web3</a> and <a href="http://daytona.scripting.com/?q=Don%27t%20Look%20Up&collection=scriptingnews">Don't Look Up</a>. 
		- web3 is venture capital wanting a new bubble to inflate so they can get the kinds of returns they used to get.
		- web1, web2 etc, you can make the story come out any way you like, but RSS, blogging and podcasting were part of the Web 2 story and they are all about decentralization.
		- If you want to understand the mindset of VC, see the movie <a href="http://daytona.scripting.com/?q=Don%27t%20Look%20Up&collection=scriptingnews">Don't Look Up</a>, which is becoming an extremely useful landmark. Not all VCs are so slimy, I know a few who are highly principled. But they are all in the ROI business, and the only return that matters is $ to investors.
		- More glorp, the history
			- i've been following new threads for the last few weeks. as i hope you've seen we now have daytona, and it's made my blog much more useful to me. maybe more than anyone else because I have so many years of archives. lots to discover in there. 
			- i've also been hacking away at a project called glorp that takes outlining off in a direction that's new, like old school was new before it was connected to drummer. it's just as different, but unlike the drummer/old school combination, which goes back to 1997, the structure in glorp is new. you haven't seen this before.
			- yet it has the maturity that old school had when it was first hooked up to drummer. because i made glorp for myself, in 2013, four years before old school. i was transitioning from an all-frontier environment to an all-javascript environment. and i needed a way to edit node projects in my outliner. so i tried an idea out, put S3 paths in the top level headlines of an outline, and underneath that at the second level, paths to individual files, and beneath each of those at the third level and below, the contents of the files. the way the text would be rendered was determined by the file extension. so you could mix .js files with .md files and .opml and whatever.
			- this project came together remarkably quickly, it almost wrote itself. there aren't many things like that, but i'm reminded of how easy it was because in a few days i re-created it in electric drummer. it's a vital step to being able to move my entire work environment into linux, which i really want to do. the idea of using the same platform for development and deployment is very powerful. i've been there before, until the late 90s i ran my server on a mac and edited on a mac (steve jobs blew that up,  he never even knew what we had working). 
			- anyway i yearn to get back to that, and away from apple's culture that breakage is fine. for projects like mine which span decades, that attitude is poison.
			- ps: as you can see i've deprecated the shift key in all but the most necessary places. i used to find it easy to reach for a shifter, but these days i seem to prefer my fingers to stay closer to home as i type. i have no idea how this happened. i probably will fix this text before the mail goes out tonight, or maybe i won't. what's next? apostrophes? :rocket:
		- Don't Look Up
			- We did.
	- December 27
		- So much is being written about <a href="http://daytona.scripting.com/?q=don%27t%20look%20up&collection=scriptingnews">Don't Look Up</a>. It's really very simple. It's art. What does that mean? It's up to you to decide.
		- <a href="https://twitter.com/davewiner/status/1475476140617875461">Part of a larger thread</a>: "All criticism of journalism has to come through journalism. Hence not much gets through."
		- Glorp, or outline as a file system
			- About eight years ago I sat down to write a bit of software that would let me edit numerous files in a single outline. When I saved the outline they would all update in the various places they were aimed. So with one click I could update a server and its user interface, scripts that run on the server, and a documentation website on GitHub. All the associated files would be in one outline. The <a href="http://daytona.scripting.com/?q=outline%20as%20a%20file%20system&collection=scriptingnews">outline as a file system</a> model. 
			- I use it all the time for every project I do. Here's a <a href="http://scripting.com/images/2021/12/27/nodeEditorScreenShot.png">screen shot</a>.
			- It came together remarkable quickly in 2013, in Frontier. In the last few days I've rewritten the software to run in <a href="http://docserver.scripting.com/drummer/electricDrummer.opml">Electric Drummer</a>. The codename for the product is <a href="http://daytona.scripting.com/?q=glorp&collection=scriptingnews">Glorp</a>. I'm actually kind of falling in love with the name. When I wrote the initial version in Frontier in 2013 it was just for me. I called it <a href="http://daytona.scripting.com/?q=NodeEditor&collection=scriptingnews">NodeEditor</a> because it was initially conceived as a way of editing Node apps. It has outgrown that name, it does much more than that now. Glorp will do for now.
	- December 26
		- If you have <a href="https://www.hulu.com/series/the-great-238db0d4-c476-47ed-9bee-d326fd302f7d">Hulu</a> and are looking for a great <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-great">binge</a>, I highly recommend <a href="https://www.metacritic.com/tv/the-great">The Great</a>. It's a farce and it's really funny and sexy, super-cute and sad, in the same way that <a href="http://scripting.com/2021/12/24.html#a143342">Don't Look Up</a> is sad. Human nature is all <a href="https://www.youtube.com/watch?v=BdPmNM0IF7Y&t=36s">fucked up</a>. That seems to be a recurring theme. Heh. But it is so much fun, kind of like the way <a href="https://www.metacritic.com/movie/beetlejuice">Beetlejuice</a> is fun -- and there are two full seasons so there's a lot to binge. <i>Huzzah! </i>
		- Random thought. What if death is like waking up from a dream? Or -- at death you are told the punchline of the joke. :boom:
		- Heard a preacher on NPR yesterday saying we should stop vilifying people who vote for racist climate change denying fascists who want to violently overthrow the elected government, so they can do god only knows what. I gave it some thought. No.
	- December 25
		- T'is the season to binge. Next up -- <a href="https://en.wikipedia.org/wiki/Station_Eleven_(miniseries)">Station Eleven</a>. I read the book a few years ago, but this series isn't much like the book. I like it so far. I usually don't binge shows as they come out, I like to wait for the series to end, and then watch it at my own pace. But this is an exception. Anyway I watched episodes 4 and 5 last night, both were very good, esp the one that took place in the airport in the first days of the apocalypse. I think HBO has the secret formula for making great TV series. <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fstation-eleven">This one</a> is right up there with Succession, Game of Thrones, etc. 
		- The significance of Daytona
			- I'm going to keep beating this drum until people hear it, get how significant Daytona  is. It's as if all this time we were driving on roads that only went in one direction. It took 27 years of blogging for me to get around to add a lane going in the other direction.  
			- So it's not surprising we thought blogs were for getting attention. That's all the medium supported, really. Yes we added feeds, so it could be somewhat more efficient to squeeze the new bits out of a sea of blogs. But this is more fundamental. Even if no one else reads my blog, having an idea harvester and an archive of years of writing gives me something no one has had before. No one. The sad part is Google could have and should have done this years ago. I think that's why I had the mental block that kept me from pursuing this. I figured it must be hard. It wasn't. It's just a <a href="http://daytona.scripting.com/?q=MySQL&collection=scriptingnews">MySQL</a> database with the outlines loaded into them. And luckily I kept a pretty good archive, so over the period of a week or so I was able to load much of it into the database. I think I'll get the rest of it too.
			- I'm going to keep banging the drum. There's a lot more potential in the web as an intellectual environment. We need to get beyond the loud screams for attention, another purpose for writing publicly. Obviously it's not for everyone or even most people. But for the people who think, and want to accumulate their knowledge over time, this bit of tech has been missing. 
		- Frida Kahlo
			- <a href="https://www.fridakahlo.org/the-bus.jsp">The Bus</a>, 1929.
	- December 24
		- Today's song: <a href="https://www.youtube.com/watch?v=-1pYKdqD1ls">Respect Yourself</a>. 
		- Daytona <a href="http://daytona.scripting.com/?q=today%27s%20song&collection=scriptingnews">search</a> for "today's song."
		- I loved <a href="https://www.netflix.com/title/81252357">Don't Look Up</a>, though it got mediocre <a href="https://www.metacritic.com/movie/dont-look-up">reviews</a>, I think I understand why. But first, if you've watched a <a href="https://twitter.com/NetflixFilm/status/1474288736477356035">preview</a> of the movie, this review is not a spoiler. It's a farce, along the lines of <a href="https://en.wikipedia.org/wiki/Dr._Strangelove">Dr Strangelove</a>. It's LOL funny all through. The acting is amazing because they've got a huge <a href="http://scripting.com/images/2021/12/24/cast.png">cast</a> of the most wonderful actors of our day. It's hard for me to not love a movie that stars <a href="https://en.wikipedia.org/wiki/Jennifer_Lawrence">Jennifer Lawrence</a>. The movie is sexy and true. Yes, we had <a href="http://scripting.com/images/2021/12/28/weReallyDidHaveEverything.png">everything</a>, and we blew it -- in the movie and in real life. It's a critique of our response to climate change, and Covid, and even has a dig at Trump (the president's chief of staff played by <a href="https://en.wikipedia.org/wiki/Jonah_Hill">Jonah Hill</a> is her son). I've already watched the ending twice, and I expect I'll watch the whole movie all the way through to the end at least once more. As to why the critics don't like it, the movie blames journalism for pretty much everything. I can imagine they must have realized doing so meant bad reviews, but they went for it anyway. If you're a climate change denier or a MAGA person, you probably won't like this movie either.  
		- Another observation about Don't Look Up. Like <a href="https://en.wikipedia.org/wiki/It%27s_a_Mad,_Mad,_Mad,_Mad_World">It's a Mad, Mad, Mad, Mad, Mad World</a> it assembles a huge number of famous-for-the-day stars. The cast of IAMMMMMW included: Spencer Tracy,  Edie Adams, Milton Berle, Sid Caesar, Buddy Hackett, Ethel Merman, Dorothy Provine, Mickey Rooney, Dick Shawn, Phil Silvers, Terry-Thomas, and Jonathan Winters. 
		- I like the “gift” urls that the Washington Post and NYT added this year. An <a href="https://www.nytimes.com/2021/12/23/movies/dont-look-up-review.html?unlocked_article_code=AAAAAAAAAAAAAAAACEIPuonUktbfqohlSlUZACbQWsYmowbBif_J3Pk4gXj9aTWNDCxP0eUYHM6A50LJL-JFVucE4g66FpVHIaN9A7t71PNeNEhgDFX3-sCIk8QLZn1p8N_2A2871dfHAutitGTkMze1Iupznefv5VjOKjW_ANyp2nciIQpgopd3Jxr9iTFTmPCzQqMi0cJ-3PwiGph6WTwGASCAtPHsAB98U86UOlCeskJlHrEEBkyA2IKU-LkCcw5NCFrZTX0Z4Gc06NxUOtt_L78hrxL7uTjjrugfc5exCWKy&smid=url-share">example</a>. 
	- December 23
		- If you have to explain it, it isn’t art.
		- Joe Biden's focus so far has been on getting the trains to run on time, figuratively speaking. 
		- A <a href="http://scripting.com/images/2021/12/23/daytonaScreen1998.png">screen shot</a> of a Daytona query that includes results from 1998.
		- I'm now loading all the posts from 1997 to 2010 into the Daytona database. For all the time involved, it's amazing how consistent the format is. In the early part of the archive, most posts had no created attribute. Then starting around 2004 most did, but I think it was only until 2017 that they all did. So I had to revise the conversion script to synthesize them if they weren't there.
		- I couldn't watch the <a href="https://en.wikipedia.org/wiki/The_Matrix_Resurrections">new Matrix movie</a>, but I did get about 1/2 way through. If you haven't seen it, or you have and liked it, then don't read the rest of this post. I like story-telling in movies, and <a href="https://en.wikipedia.org/wiki/The_Matrix">the first Matrix</a> in 1999, was one of the best movies ever, as a story. It's a puzzle. Red pill, blue pill, who is Agent Smith, and The Oracle, and why does Morpheus think Neo is The One. And wtf is the Matrix! It's a beautiful story, and the characters -- young Keanu and Carrie-Anne, Hugo Weaving, Lawrence Fishburne. In the 2021 version, they recast a bunch of them and spent huge amounts of time explaining why. Who cares. When I switched it off last night, the characters were still yapping about what changed and why. It reminded me of the <a href="https://en.wikipedia.org/wiki/Deadwood:_The_Movie">Deadwood movie</a>, a movie whose plot didn't start until they finished re-introducing all the main characters. And then they had about 40 minutes for something unmemorable, even stupid. Anyway I will finish Matrix 4, if only because maybe there's something worthwhile there. And I know some people really liked it, I don't understand why, but I respect that. Maybe sequels like this shouldn't be made, or maybe no one has figured out yet how to do it. Or maybe all movies these days have to be all about action and narration without acting or plots getting in the way. Instead I watched <a href="https://en.wikipedia.org/wiki/The_Piano">The Piano</a> on Netflix, a wonderful movie, with almost no dialog, and no characters insisting that I hear their explanation for what happened. You get to figure it out for yourself.
		- I haven't heard NPR talk about the failure of American democracy once. Lots of times they've blamed Biden for all kinds of loose shit. But never ever have they even mentioned that our democracy is almost over. 
		- I wish Donald McNeil were still doing a podcast at the New York Times or anywhere for that matter when there is a big change in the way the virus is behaving. Maybe a tech billionaire could set him up. 
	- December 22
		- <a href="http://daytona.scripting.com/?q=Elizabeth%20Warren&collection=scriptingnews">Elizabeth Warren</a> is letting the ruling class off too easy by saying we should tax them. What we should do is stop them from turning our government into an autocracy. Imagine if every night Ari Melber ran a profile of one of the people who could be funding the Republican push to autocracy and Manchin and Sinema's obstruction. Just say hey this is a billionaire who, according to recent Supreme Court rulings, can turn the US into a fascist hell, and might be one of them who's doing it. You could film Ari calling his office and asking the receptionist if he could speak to the ruling class member who could be quietly pulling the strings. No talk of "kill shots" or the like. No mobs invading their offices or homes. Just let's find out who they are and what they've done that we know of that fucks us over. And call Elizabeth Warren and ask why she talks about taxes all the time, when that's not the actual problem. 
		- If the people on TV weren't tools for the ruling class, if they really cared about you, they'd say the truth about Omicron. 1. We have no idea if it will kill you. 2. You should probably stay home if you don't want to be one of the test cases.
		- <a href="https://github.com/alexjj/drummer-blog">alexjj</a> is doing really interesting stuff with Drummer and GitHub. I've been thinking about new integrations with GH myself. I think there's a lot of power there. 
		- I had a bit of time to kill the other day, an amazing thing -- I was caught up in all my rush jobs, so I decided to look for OPML archives for Scripting News. I started by reviewing the top level folders on scripting.com. I saw a folder called opmlArchive. In there were folders for the years 1997 through 2010. I opened them up, and saw folders with each of the months, 01, 02 and so on. Then I opened each of those, and there were OPML files for each of the days. And inside the OPML files, the source text for that day's blog. And they're pretty much exactly the same format as the format I use today. My CMS isn't called Old School for nothing. Anyway I'm just merging the daily files into monthly ones, to be consistent with the archive that I've been keeping on GitHub since 2017. In few minutes I'll be adding 12+ years of source text. And then after a bit I'll load all this into Daytona. My memory is so weird, I vaguely remember setting this up. I mostly just do things like that and forget them. What this tells me is if I hunt around on my hard drive, I'll find the editing tools I was using then. It's almost as if someone else did all this stuff. 
		- And here is <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opmlOtherSources/1997-2010">the big archive</a>. More to say later for sure. 
		- BTW, yesterday a Radio UserLand blogger asked me if there was a way to convert their blog archive to OPML. I'm sure we could do it, probably fairly easily. The thing to look for is a file called radio.root. It's the object database that contains everything, including your blog posts. I started a <a href="https://github.com/scripting/Scripting-News/issues/227">thread</a> to discuss.
		- Food for thought. Suppose the web was started by venture capitalists. And suppose only venture capitalists made web sites and apps. They would have gotten a lot of press, that's for sure. But do you think the web would have amounted to anything?
		- I'm starting to think about <a href="https://www.google.com/search?q=site%3Ascripting.com+boty">Blogger Of The Year</a>, something I try to do every year, for no particular reason other than it's good to think about people who are doing an exemplary job of keeping the tradition of blogging alive on the web. 
	- December 21
		- I haven't been listening to a lot of political podcasts these days because political reporting is asleep at the wheel, like the Biden administration, re the coup that keeps going, but <a href="https://slate.com/transcripts/Z3FUKzFDL2x0NURwZmJ2RmdnL0dXQzc4cUVwVmUyUzBzeWRrempwVElpYz0=">this week's Amicus podcast</a> is the exception. Though they are too kind to the press, the guest, Walter Shaub, has a clear mind re the coup, and the Biden's lack of response. I highly recommend a listen. 
		- I want gists in Drummer blogs
			- GitHub has a nice feature called gists. They're little documents you can edit and share with other devs. GitHub hosts them.
			- For fun here are <a href="https://gist.github.com/scripting">all my gists</a>. 
			- You can also embed them in web pages. I tried it, and it works.
			- But they won't for some reason let me embed them in blogs that my users use. 
			- So maybe I'm missing something? Or maybe I have to replicate the functionality of their plug-in.
			- But I really want the look and feel of their plugin. 
			- Oy! There must be an answer to this. 
			- PS: I embedded a gist here, manually. Hey maybe this is good enough. 
			- <script src="https://gist.github.com/scripting/3e5454f2b7a10029dfc301d7deabb576.js?file=package.json"></script>
		- Reading OPML in JavaScript apps
			- I was talking on the phone yesterday with Scott Hanson, a "Drummer" user and programmer, and longtime friend. He's been using the <a href="https://github.com/scripting/opmlPackage">OPML package</a>. Among other things it reads OPML files into JavaScript structures, and goes the other way, writes them out as OPML.
			- It's like reading and writing JSON. It parses and stringifies. 
			- Well Scott was surprised at how simple it is. I was surprised that he was surprised, but pleased that he used it, and happy to shine a light on what he saw. 
			- So -- here's an <a href="http://drummer.scripting.com/davewiner/states.opml">OPML file</a>. Click on the link to see. 
			- Here's an <a href="https://github.com/scripting/opmlPackage/blob/main/examples/browser/index.html">app</a> that uses the OPML package to read the file and it <a href="http://scripting.com/code/opmlpackage/examples/browser/index.html#json">displays what it gets</a>, which should look familiar to any JavaScript programmer. 
			- From there your code and do anything it wants with the data it has. 
			- Maybe I should write some high-level routines that do common operations to an in-memory OPML structure. Hmm.
			- If you have questions about the OPML package, here's a <a href="https://github.com/scripting/opmlPackage/issues/2">good place to ask</a>. 
		- A note to "Web3" backers 
			- If there is actual substance to the hijack called "Web3" then they should do two things.
				- Come up with a name I can use for it that doesn't begin with W-E-B  because I don't want to support hijacking the web.
				-  I'm going to keep working in JS and Node, and writing my blog, but give me bridges into your world. I am not under any circumstances moving my act into your space. Only suckers would do that, so you have to build these bridges so you might as well start there. 
		- Why podcasting isn't dominated
			- I asked this question <a href="http://scripting.com/2021/12/20.html#a142628">on the blog</a> and <a href="https://twitter.com/davewiner/status/1472930147137466372">on Twitter</a> yesterday. And so far all the answers have been about the companies, and imho they've been wrong. First, there are plenty of huge tech companies that have set out to own podcasting, and were fairly sure their dominance in other categories would help them achieve dominance in podcasting. I've listened to their bluster and at times have been worried that it might work. After all Google owns search, and Apple made the iPod (and therefore it's assumed by many that they invented podcasting). Amazon owns Audible which dominates audiobooks. Spotify is huge, and they've set out to dominate podcasting, and maybe they will, but they haven't so far. 
			- Second, how do I know that no single tech company dominates podcasting, or as some people claim a few of them do? Because the market doesn't behave like one that is dominated. There is no gatekeeper that can turn down your podcast, make you not cover topics they don't want covered or use language or images they don't think are acceptable, or compete with them. All these are features of dominated product categories. The press doesn't turn to Spotify or Apple to blame them for something someone said on a podcast that incited a riot or threatened a celebrity or politician. They don't turn to the companies because they are not dominant and they know it. I know no big tech company dominates podcasting because if you want to start a podcast there's no one who can tell you you can't. If you want to listen to a podast on your favorite player, yes there are some you can't, but you can for the vast majority of them. 
			- Now to the question that I actually asked that no one seems to want to answer. Why? Why is it this way? Why podcasting and not the other tech-based media. Why is podcasting still open after over 20 years? Drumroll please. The answer: there are enough users who understand how it is supposed to work. They expect to be able to listen to any podcast anywhere they want. Most probably don't understand why they have this ability, about the <a href="http://daytona.scripting.com/?q=podcasting&collection=scriptingnews">history</a> and technology design that <a href="http://scripting.com/images/2021/12/21/metaImage.png">made</a> it possible, but they understand that they have the ability. And it doesn't have to be all of them or even most of them, just <i>enough</i> of them, whatever that means. And for right now, at the end of 2021, there are enough. Podcasting has always been and remains an open platform. I can't say it will be for the future, but so far so good. 
			- I'm not saying this as a form of self-congratulation, or an appeal for kudos, though I gratefully accept any that are offered. I'm focusing your attention on this because <i>we can do it again.</i> Start a new medium with the understanding that users have the right to move, the right to use any tool they want to create media or listen to (or read or view or experience) it. That there are no gatekeepers that control them. 
			- In other words the example of podcasting says there's hope. We don't have to accept a bad answer. We can have freedom, and users are the key to that. I've always said that, because it's true. Users have the power, but they have to use it. But first developers have to set it up from the beginning so they are not locked in and so creators are not controlled. To set the expectation that they have the freedom to not be.
	- December 20
		- <a href="https://github.com/scripting/tweets.opml.org">tweets.opml.org</a> is an interesting site. 
		- <a href="https://twitter.com/davewiner/status/1472938479231381508">Poll</a>: If Donald Trump runs for president in 2024, which of the following candidates would you <i>not</i> vote for.
		- This is how senators transfer wealth to their <a href="https://www.cnn.com/2016/09/07/politics/manchin-defends-bresch-mylan-epipen-price/index.html">children</a>. He made many <a href="https://www.kff.org/medicare/issue-brief/explaining-the-prescription-drug-provisions-in-the-build-back-better-act/">billions for pharma</a> by killing <a href="https://www.whitehouse.gov/build-back-better/">BBB</a>. His family no doubt will be paid <a href="https://www.washingtonpost.com/news/to-your-health/wp/2016/08/24/senators-daughter-who-raised-price-of-epipen-got-paid-19-million-salary-perks-in-2015/">many millions</a> in return. Everyone wins except the USA.
		- Dear media experts. Have you wondered why podcasting is still a competitive thing? No tech company dominates, but not for lack of trying. How do you explain that?
		- I forget where I read this, but the idea of the US losing our democracy is too strange for people to accept it, so you can be pretty sure it’s going to happen. Then 30 years later, maybe we’ll overthrow the dictatorship, with great effort and loss.
		- I heard on NPR this morning that we elected Biden to fight Covid. Nothing else. Stated as fact.  I don't know about you, but I would have voted for anyone who wasn't Trump.   I think NPR ought to be much more careful lest people forget to vote in 2022 and 2024.
		- Another thing. Americans need to grow the fuck up.  The president made vaccines free. But he couldn't make everyone take it. Thus we're experiencing more sickness. And you (the press) want to blame Biden? You're crazy. Journalism, never has it been more clear, <a href="https://www.youtube.com/watch?v=aFQFB5YpDZE">you're hurting America</a>.   
		- I apologize for a mistake I made yesterday in my bit about <a href="http://scripting.com/2021/12/19.html#a210633">Google searching</a> my blog for a specific title. There was a typo in the query that explains the missing results. Here's the <a href="https://www.google.com/search?q=gravitas+wins+elections+site%3Ascripting.com">correct query</a> without the typo. Oy. I totally hate it when this happens. 
		- New blog archives in Daytona
			- I did the initial Scripting News collection on Daytona with the <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">current archive</a>, started in May 2017. It's in OPML, so it was ready to be imported into the database as-is.
			- I have now converted the previous months, August 2016 through May 2017, from a JSON-based format to OPML, and published the result <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opmlOtherSources/2016-2017">in the GitHub repo</a>, and also imported this archive into Daytona. 
			- Along the way I found another eight months of blogging that's in the same format. I plan to convert those as well, and flow the result into Daytona.
			- I plan to march back in time, looking for OPML versions of the blog, or OPMLizable data. The goal is to see how much of the 27 years of Scripting News I can get into Daytona. 
			- I also published the <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opmlOtherSources/2016-2017/chatlogToOpml">Node app</a> that converts chatLog.json text to OPML.
			- PS: I recorded a <a href="https://www.youtube.com/watch?v=GWbsrjRrDOw">video demo</a> of the tool I used to edit my blog in this period. The software is 1999.io.
	- December 19
		- Slavery is still determining the politics of the US.
		- <a href="https://twitter.com/davewiner/status/1472771395625132038">Reporters</a>, what kind of search do you use for your own writing.
		- I ask Google to <a href="https://www.google.com/search?q=gravitas+wins+elections+site%3Ascipting.com">search</a> for the exact title of a post on Scripting News. No hits. I give the same search <a href="http://daytona.scripting.com/?q=gravitas%20wins%20elections&collection=scriptingnews">to Daytona</a> it has no trouble. As often is the case Daytona beats the shit out of Google. (Note: This post is wrong. There was a typo in the query. See this <a href="http://scripting.com/2021/12/20.html#a142220">note</a>.) 
		- When the web started, setting up a server was not particularly hard to do, but it was very hard to understand how something so little could be so big. The hardest part of evangelizing in those days was being believed when you said Yup that's all there is to it. 
		- Following my tweets in Drummer
			- You can now follow my tweets in outline form in Drummer. 
			- Here are the steps.
				- Click this <a href="http://drummer.scripting.com/?url=http://tweets.opml.org/davewiner/tweets.opml">link</a>. It'll open a tab in Drummer with a live outline of my tweets. When I write a thread, it will be nested in the outline. 
			- There's nothing more to do and it doesn't cost anything. 
			- If you want to broadcast your tweets like I do, no problem, just go to <a href="http://tweets.opml.org/">tweets.opml.org</a>. The instructions are right there. Basically all you have to do is log in, the server will do the rest. No cost, my treat. 
			- And if your outliner supports "OPML", you don't even have to use "Drummer". The same way you didn't have to use <a href="http://daytona.scripting.com/?q=radio%20userland&collection=scriptingnews">Radio UserLand</a> to get the benefit of "RSS". It's exactly analogous, and it worked, so  if you have your doubts remember that bootstraps work.  
			- I want to create an ecosystem around outliners and OPML. Twitter is sort of a go-anywhere outliner. That's why integrating Twitter and outliners is so good. I can jot a note down on my phone and it'll be in my outliner when I get back to my desktop. I think this is an important combination. It is for me, as a writer. 
			- Remember <a href="http://scripting.com/2021/12/16/153331.html?title=myProductIsInterop">my product is interop</a> . I meant it. 
	- December 18
		- The <a href="https://www.youtube.com/watch?v=JK-2BITa6g4">life of a developer</a> in the real world.
		- Please would people learn how to write bug reports. It's not that hard. Pretend you're Columbo or one of the Law & Order detectives. We're working together to convict and sentence the problem. No one can read your mind. <a href="https://www.cheatsheet.com/entertainment/dragnet-jack-webbs-joe-friday-never-actually-said-just-facts-maam-comedian.html/">Just the facts ma'am</a>. You have to get us the data we need or we can't help you. Saying you have no idea what's happening have you ever seen this isn't to help you get your stuff working. 
		- Maybe in 2023 <a href="https://twitter.com/rasmus_kleis/status/1471904731605917696">journalism</a> can work on giving users a better experience, because we read more than one publication. Wouldn't it be great if you all built off each others work, instead of pretending each of you is the whole world?
		- A demo for Jeff
			- I was having a private conversation with longtime friend <a href="https://twitter.com/jeffjarvis?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor">Jeff Jarvis</a>. 
			- I want to show him what's new with blogging, with a quick demo. 
			- <a href="http://daytona.scripting.com/?q=newsgeist&collection=scriptingnews">daytona.scripting.com/?q=newsgeist&collection=scriptingnews</a>
			- These are my blogged notes about a conference we both went to. 
			- What's new is I can find this stuff now! :-)
			- Believe it or not, in <a href="http://scripting.com/code/testing/timesincescriptingstarted/">all the years</a> I've been blogging, this is the first time I can say that. 
			- Mind bomb!
	- December 17
		- It's a good idea to re-read the docs after you've been using a product for a while. You find things you miss when you were new to the product. 
		- In general journalism should report tech that is actually being used to do new things, not on VCs hyping ideas of things that will make them even richer but don’t actually do anything for anyone. If a VC is promoting something that fact alone should make you suspicious.
		- Idea for a TV miniseries for HBO or Netflix. In 2022 a variant of Covid comes out that kills Republicans and leaves Democrats unharmed. Two thirds of the Supreme Court is wiped out. The state governments of red states are decimated. Within a few months there are no more red states. Series ends with the main characters enjoying a beautiful sunset reveling in the bright future ahead. 
		- Why Daytona is a game-changer
			- I spent all of 2021 working on "Drummer", and part of 2020, and I'm going to keep working on it in 2022 (which is just a couple of weeks away gulp). One of the goals of the project was to have great <a href="http://docserver.scripting.com/drummer/about.opml">docs</a>, and I think they came out pretty good, but there was still a major problem -- where to put things. This is the problem in all docs. Even if you're a good docs writer, and I've had a lot of practice, and you know the product well, and care about the users, some things just won't have a place. So you document them on the <a href="http://scripting.com/drummer/blog/">blog</a>, or in the Change Notes outline, and hope people can find them in a search engine. But they keep doing a worse job of indexing our stuff, and they don't know what is a Drummer doc and what isn't, so you can't say for example, "search the Drummer docs for instructions on how to restore a blog.opml file in a myfiles archive" which is a question a user posed <a href="https://github.com/scripting/drummerSupport/issues/140#issue-1082790948">yesterday</a>. I smiled when I saw it. This is a job for Daytona. So here's the query I entered.
				- <a href="http://daytona.scripting.com/?q=Import%20opml&collection=drummerdocs">http://daytona.scripting.com/?q=Import%20opml&collection=drummerdocs</a>
			- I laughed out loud when the result came back. Yes, that's exactly what I was looking for. It wasn't in a place a user would have looked, and Google <i>never</i> would have found it. 
			- The point is this -- it's past time to take responsibility for finding the stuff we write, and if we do it well, and Daytona does, all of a sudden blogging works so much better, and the incentive to write stuff, to document, to narrate our work, to index everything you can, makes total sense. 
			- We crossed into a new generation. I think this is a lot closer to "Web3" than the hyped up garbage the VC industry is selling, btw.
		- Evidence
			- Evidence that it can snow a lot in the Catskills on December 17. 
			- Snow last year on this day.
	- December 16
		- My product is interop
			- If someone was a passionate user of one of the other <a href="http://daytona.scripting.com/?q=tools%20for%20thought&collection=scriptingnews">Tools For Thought</a> projects, and they asked me to sell them on using "Drummer", I would probably say why don't you stick with the product you like, and work with us to get it interoperating with Drummer. That way when you want to try Drummer, you won't have to switch, you can just use it, and use the other one too, whenever you like. 
			- This is something I struggle to explain to people. I'm 66 years old, and have spent decades making software, so I think about it differently than I did when I was say 22 and wanting to take on the world. My <a href="http://daytona.scripting.com/?q=runway&collection=scriptingnews">horizon</a> is obviously 44 years shorter now than it was then. And my goals are adjusted as well. 
			- As I said the <a href="http://scripting.com/2021/12/14.html#a144920">other day</a>, I've been lucky because of when I was born and my interest in technology, to be part of several "bare metal bootstraps," where we got down to a basic set of functionality, a complete machine that everyone agreed on, and we as developers built up from there. Some amazing things can be accomplished if the baseline is powerful. 
			- I think of my "product" today not being Drummer or Daytona or whatever's next, rather it's wanting to have my passion, outlining, experience the same kind of birth as a platform as the Apple II did, or CP/M, MS-DOS, Windows, the web, RSS, podcasting. Look at that string! Wow. But today's users and developers haven't even really experienced <i>one</i> exploding platform. That's my product now. I want outlining to be the basis for growth the same way those others were. 
			- So you don't have to use Drummer but do insist on the highest level of interop with it from the people who make your software. Don't accept no for an answer. I'm not. Hopefully that makes sense? 
			- Drummer is more than a piece of software -- it's an interop <a href="http://mindbomb.org/">bomb</a>. It's going to sit there and grow, inviting others to interop with it, and every feature and service I add will make the proposition more enticing. Think of Drummer less as a product and more as a seduction. :bomb:
		- Gustave Caillebotte 
			- <a href="https://www.wikiart.org/en/gustave-caillebotte/the-yerres-rain">The Yerres, Rain</a>, 1875.
	- December 15
		- Today's song: <a href="https://www.youtube.com/watch?v=nlaoR5m4L80">Let the Mystery Be</a>. 
		- I was there for the early web, it wasn't a vague VC pyramid scheme. The web was a reduction of all the crazy complexity of tech platforms, web made it so you could write a network app in an afternoon. It was the opposite of the FUD that they're <a href="https://twitter.com/karaswisher/status/1471115846101737476">calling</a> "web3." I've yet to hear a coherent explanation of why it should be called web-anything. Selfish beyond belief. 
		- All of a sudden the Dems are running a lethal PR campaign against corrupt Repubs. Why now? Well it could be because a <a href="https://www.youtube.com/watch?v=_lEhanKIPJs">Republican is leading</a> the charge. 
		- It takes a Republican
			- "POTUS needs to calm this shit down."
	- December 14
		- In a competitive market like <a href="http://daytona.scripting.com/?q=Tools%20For%20Thought&collection=scriptingnews">Tools For Thought</a>, developers can amplify the value of features to users if they are shared between multiple products. If I create a service that makes just as much sense inside LogSeq just as it does in "Drummer", that's not only more functionality for users, it also clearly points to a future that users <i>really</i> want, but don't believe they can have -- fluidity of their data, and independence from any single vendor. They are cynical about tech, and have every right to be, based on experience. They know all about lock-in. Most of them have never experienced the wide-open "blue sky" feeling of the early days of a platform with huge potential. I have experienced that many times, because of when I was born. It's not too late to transform Tools For Thought into that kind of platform. It can be even better than the web, why not -- we come after the web. 
	- December 13
		- <a href="https://www.youtube.com/watch?v=jqDVK0IyJPQ">For Christ's sake</a> have a cup of tea.
		- Watching the news tonight I couldn't stand the cowardice of the commentators. When is one of them going to say look here's the deal, Trump is a sadist.That explains all that they claim to be so inexplicable. He's a sadist. Next question.
		- I've used the term <a href="http://daytona.scripting.com/?q=sadist&collection=scriptingnews">sadist</a> four times since 2017, including this. 
		- <a href="http://daytona.scripting.com/?q=daytona&collection=scriptingnews">Daytona</a> is as cool a toy as my new <a href="http://daytona.scripting.com/?q=Tesla&collection=scriptingnews">Tesla</a>. 
		- As far as I can tell, this is the <a href="http://scripting.com/davenet/2000/09/24/opml10.html">first post</a> about <a href="http://daytona.scripting.com/?q=opml&collection=scriptingnews">OPML</a>. 
	- December 12
		- Already <a href="http://docserver.scripting.com/drummer/search.opml">Daytona</a> has improved my writing. I think I could be writing a book now, a memoir, a <a href="https://www.amazon.com/Zen-Art-Motorcycle-Maintenance-Inquiry/dp/0060589469">Zen and the Art of Motorcycle Maintenence</a>, my <a href="http://daytona.scripting.com/?q=island%20book&collection=scriptingnews">Island Book</a>. A new dimension has opened up. Until now writing has been more or less Of The Moment. As Google has punished me for not supporting their various <a href="http://this.how/googleAndHttp/">hijacks</a> of the web, the writing has become more ephemeral, kind of like Twitter -- once written -- hard to find again. With Daytona all of a sudden my <a href="https://en.wikipedia.org/wiki/Memex">memex</a> has memory. My writing is upgraded a billion percent. 
		- An Island Book is a book that after it's published you have to go live on an island. 
		- Here's an idea. I have a drone that communicates with my peloton via satellite, so it's not constrained by range. I can send the drone anywhere I like, but I have to ride there on my peloton. Obviously what I see on my screen is what the drone sees. I think it would quickly become addictive, not that peloton isn't already addictive. PS: I can fly. :rocket:
		- I use <a href="https://en.wikipedia.org/wiki/Debugger">debuggers</a> as an integral part of the coding process. I almost never run anything complex without stepping through the code in the debugger, to be sure it's running the way I intended it to. Having the data it's working on right there, easily browsable, gives me ideas for new functionality. Imagine being a surgeon who can get <a href="https://en.wikipedia.org/wiki/Fantastic_Voyage">inside</a> the living body, turn off all the systems to examine things, then click a button and have the organism reanimate. And then imagine having such a tool available to you and not using it. There are programmers who don't use debuggers. They're working at a lower level imho. Like flying without instruments. 
		- The first environment I used that had a real debugger was <a href="https://en.wikipedia.org/wiki/THINK_C">THINK C</a>. Before that it was <a href="https://en.wikipedia.org/wiki/Printf_format_string">printf</a>, <a href="https://borlandpascal.fandom.com/wiki/WRITE_and_WRITELN">writeln</a>, etc.
		- In a <a href="http://daytona.scripting.com/?q=bootstrap&collection=scriptingnews">bootstrap</a> you do things by hand, a lot, until you can see how you can have the machine do it for you, with you losing the minimum amount of power and gain the most ease. That's why you have to develop things in layers. 
		- So I have the last 4.5 years of Scripting News in the Daytona index, now I desperately want all the rest of the years, but that's not going to be so easy. In 2017 I had a really good idea of how I wanted the data stored, but until then, I was playing around a lot. A lot of it is in OPML, somewhere, probably. But a lot more of it is in HTML. But it's pretty incredible to have 4.5 years. Makes all that writing so much more useful.
		- I noticed people are talking about <a href="http://docserver.scripting.com/drummer/search.opml">Daytona</a> on their blogs, and there's a general positive view of it, and an expectation that I will continue to improve it. That's all good. But a lot of that depends on how much I get back from users. Ideas that are interesting, not necessarily obvious, and aren't expressed in terms of panic. I want to move this forward, with friends, with people who are as excited as I am and are ready to roll up their sleeves and participate. But if you wait for me to do it, then I'll just add the things I want. I'm hoping that "Drummer" users take an interest. And not just "do this for me now" -- help out. I can't read minds, and I don't really like working for free. I don't want dollars, I want the product of intelligent, kind people who help. My friend <a href="http://daytona.scripting.com/?q=nakedjen&collection=scriptingnews">NakedJen</a> has the perfect motto for this, "You can fake caring, but you can't fake showing up."
		- Edward Hopper
			- <a href="https://www.edwardhopper.net/people-in-the-sun.jsp">People In The Sun</a>, 1960.
	- December 11
		- BTW -- some perspective. Drummer is a baseline product. There aren't many new ideas, it's mostly making some tried-and-true ideas work in an environment that has a strong future. But <a href="http://daytona.scripting.com/?q=daytona&collection=scriptingnews">Daytona</a> <i>is</i> new. We needed it and it's so weird we didn't know we needed it. The really interesting things are like that. It breaks new ground and it's not just for blogging. But it's not for lazy people. If you don't want to read the docs and understand what it's doing, you won't get it to work. Maybe in a while we'll figure out how to pave over some of the difficulties, but not yet. Daytona is a gift. It's something we had no right to expect. But sometimes there are breakthroughs, you discover some power that's amazing, and everything you try with it is something new. This is one of those products. 
		- The Democrats need someone who can be counted on to say "The Republicans are full of shit" when called on by the press. Too bad we had one, in Al Franken -- well, now we need another. It's really simple, most of the things they say are BS, so it needs to be said apparently because journalists seem largely unable to say that simple truth. 
		- Pro tip: If you’re plotting to overthrow the US government, don’t do a PowerPoint about it.
		- Today I learned that if you want Apple's mouse to scroll, as if it had a scroll wheel, you have to go to the Accessibility panel on Preferences, then click Options, and check the Scrolling checkbox. Then it works. I had gotten a cheap Microsoft mouse that had a scroll wheel, but it's junky compared to the Apple mouse. 
		- I'm finally watching <a href="https://en.wikipedia.org/wiki/The_Marvelous_Mrs._Maisel">The Marvelous Mrs Maisel</a>. I had tried before and gave up, for the same reason I guess I gave up on <a href="https://en.wikipedia.org/wiki/Halt_and_Catch_Fire_(TV_series)">Halt and Catch Fire</a> -- it's too close to home. I come from both cultures, Maisel from my home in NY. Miriam's mother and father could have been my parents or grandparents. And I lived the HACF life in Silicon Valley in the same timeframe as the show. But for some reason when I tried MMM this week, I got into it. I think I figured out why. The family I was part of is now completely gone, and has been gone since early 2018 when my mother died. Enough time has passed that the memory has softened and idealized in an emotional way. I still remember why they upset me so, but I don't feel it so much any more, so Maisel is tolerable, even adorable. And bingeable. TV shows are excellent because they immerse you in their society, you start thinking of the characters on the show as members of your clan. Maybe I should try HACF again. Also, it's really funny that <a href="https://en.wikipedia.org/wiki/Silicon_Valley_(TV_series)">Silicon Valley</a> comes even closer to the lifestyle I led, and I loved it when it came out! I think I was actually in a couple of episodes of that show, certainly some of my friends were. 
		- Made a small change to <a href="http://daytona.scripting.com/">Daytona</a>. When you enter a search string, it constructs a URL for the search and redirects to it. That way the address bar has a link that's ready to be shared. This is something Google does that's quite useful. It works if you're searching Scripting News or the Drummer Docs, but sharing searches into your own public writing doesn't make sense, because they will search in the other person's public writing, not yours. For now you're the only person who can search your public writing. But I had it redirect because you might want to remember the URL for your own use.
		- When someone tells you to relax when they don't like something you said, the reason it feels bad is that it's <a href="http://daytona.scripting.com/?q=gaslighting&collection=scriptingnews">gaslighting</a>. 
		- What is OPML?
			- A thread on Twitter led to this <a href="https://twitter.com/blogisch/status/1469579178890743808">question</a> from Joël de Bruijn: "Is an OPML file meant to encompass a whole library (with a notebook, subnotebook, note structure) or is it more like "one note = one OPML file" structure? Or something in between, what a user prefers?" 
			- "OPML" is just a file format, like HTML or RSS. So it can be used for whatever you want, large files, small files, libraries, bullet charts, tree charts, graphs, calendars, directories, projects, things we haven't invented yet. 
			- It was <a href="http://scripting.com/manila/opml/spec.html">originally</a> designed as the interchange format for the outliner in "Frontier", a scripting environment I created at UserLand Software in the late 80s and 90s. In Frontier, an outline could be a script, a menu, an object database, a blog, a blog post, or just an outline. We needed a way to exchange outlines with our product and other outliners, so this is what we came up with. OPML wasn't the first interchange format for outlines, there was a format called <a href="http://scripting.com/fatpages/misc/dotHeadFormat.html">.HEAD</a> (pronounced dot-head) that we used for outliners in the 80s, but OPML was better because not only did it handle structures of text, they could also have attributes. Anywhere you could put an outline node, you could add attributes. They aren't visible when you're editing, but they're accessible through a dialog, or software can automatically attach attributes, such as the creation date of a node, so that they are indentifiable and can be pointed to from outside the outline. 
			- Then came a very special attribute, the <i>type</i> attribute -- which says basically that this node in an outline is a document, so the outline containing the node behaves like a file system. That's how I edit my blog. Each post is a document contained within a day, which is part of a month. I find it convenient to start a new outline every month, and archive the previous month in a GitHub repository. You can study what real-world OPML looks like <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">there</a>, I have 4.5 years of archives there. I recently created a <a href="http://daytona.scripting.com/">search utility</a> for those, which is kind of like the tagging systems you see in Tools For Thought products, but I don't have to tag anything, I can just search for the words. It's already a lot better than Google or other search engines that don't understand outline structure. 
			- Anyway that's a longish answer to a question that can be answered simply by saying that an OPML file can be whatever size makes sense for the application. It's just a file format. Its signficance, I hope, is that it can provide a way for all kinds of outliners, and applications that accept outlines as input, to share the same data, making it possible for lots of outline-based tools to co-exist, and for users to be able the use the right tool for whatever job they want to do right now, without having to convert any data. It's totally possible, and I'm happy to help any way I can.
			- And btw, a plug for my product "Drummer", whose native file format is OPML. :smile:
		- Don't do this
			- One or the other.
	- December 10
		- <a href="http://docserver.scripting.com/drummer/search.opml">Daytona</a> is a search engine designed for outline-based information, perfect for Drummer. 
		- <a href="http://daytona.scripting.com/?q=beatles&collection=scriptingnews">Daytona</a> plus OPML-compatible outliners, will make an incredible information tool for lawyers, scientists, all kinds of researchers. 
		- You can now <a href="http://daytona.scripting.com/?q=tesla&collection=scriptingnews">search for Tesla</a> on this blog. This is soooo sweet. I got what I wanted. It only took 40+ years. :boom:
		- Braintrust query: <a href="https://github.com/scripting/Scripting-News/issues/215#issuecomment-991016165">Another Regex puzzle</a>. I want to do a simple replacement that's complicated by the constraint that it can't do the replacement inside an HTML element, only in text that's not.
		- I have an announcement coming shortly, having solved a problem that I've posed here as a task for [[Tools For Thought]] databases, I want to get all the OPML files that I have archived for Scripting News queryable so I can do research on my own writing. I now understand why they couldn't do it, and the solution is remarkably simple, was easy to program and imho blows away the tagging approaches the other TFT apps use. Sometimes you have to start with the use-case, not the technology. And this is a long-term problem that was solved, it goes all the way back to the beginning of outlining. The braintrust query above is for this project. I want it to be just right before showing to you. :boom:
		- BTW, another advantage of the approach we've used is that it's not just for Drummer. Literally any outliner can participate. I am indexing OPML files that are <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">stored on GitHub</a>. It's impossible to know which outliner they came from.
		- Daytona on ship day
			- I like to post a big screen shot of a product on its first day.
			- <a href="http://docserver.scripting.com/drummer/search.opml">Daytona v0.4.6</a>.
	- December 9
		- <a href="https://memex.naughtons.org/thursday-9-december-2021/35076/">John Naughton presents</a> the idealized view of Wikipedia. I consider it authoritative but seriously flawed. There is no way to get lies removed from the record. I've seen people insert themselves into stories they played no part in. I've never had an edit stick, even for mundane events like a traffic accident on the MacArthur Freeway in California that I happened to witness. But it's the best we have. 
		- The Beatles broke up because they were tired and sweet loving people, in way over their heads, and wanted some semblance of normalcy in their lives. They stayed together so long because they were best friends, and loved making music together, but when their manager died, it fell apart. Get Back tells an important story. The Beatles were and are still a huge force for good. But they were also people.
		- NYT <a href="http://scripting.com/images/2021/12/09/lennonDeath.png">report</a> on John Lennon's <a href="https://en.wikipedia.org/wiki/Murder_of_John_Lennon">murder</a>.
	- December 8
		- <a href="https://twitter.com/davewiner/status/1468716744458051585">Poll</a>: Will Tesla be Apple, or Blackberry?
		- <a href="https://strokedoc.wordpress.com/2021/12/08/will-tesla-be-apple-or-blackberry/">Really interesting blog post</a> from a new Tesla user who switched from a Subaru. I also assumed the car was going to alert me if there's a car in the left lane. I caught myself switching lanes without looking the other day, based on being trained by the Subaru. I have decades of experience that I had forgotten. Also Tesla makes a visual promise with that huge screen in the middle of everything, but then you find out it doesn't do any of the things you expect from Apple Car Play. All that promising screen real estate -- it doesn't deliver what you expect it to. How much would it cost for Subaru to add a huge screen to their 2023 or 2024 models? Heh, they <i>have</i> to be doing this. 
		- Apple and Google can get other companies, large and small, to do things for them. That goes for huge automakers to individual developers. Tesla is a loner company, and ultimately there is an ecosystem already growing around Google and Apple. I know very well what they're going up against. Back in the early 90s I built a great system-level scripting product, around simple open protocols. Apple swooped in, and first took over the protocols, and then took over scripting systems, with, imho demonstrably inferior products. Didn't matter. When Apple had a developer meeting they all came. I knew it was over when they had a meeting and I wasn't even invited. I think Elon Musk is going to know that feeling pretty soon. 
		- The de-upgrading of the web
			- Probably the worst thing to happen to the web is the gradual degradation of Google's search engine. 
			- Ever since I started in tech, I assumed everyone was at least trying to move forward. Then it hit me, quite the opposite. The biggest companies monetize the de-upgrading of tech. 
			- Reminds me of that great <a href="https://www.c-span.org/video/?118981-101/senator-dale-bumpers-defense-president-clinton&event=118981&playEvent">Dale Bumpers</a> interpretation of the great <a href="https://en.wikipedia.org/wiki/H._L._Mencken">HL Mencken</a> saying during Clinton's impeachment in 1999.
				- When they say it's not about the money, it's about the money.
				- When they say it's not about sex, it's about sex.
			- And when they say <a href="https://en.wikipedia.org/wiki/Don%27t_be_evil">don't be evil</a>, they're being evil.
	- December 7
		- Occam's News says the DoJ and Congress aren't more aggressive with the insurrectionists because they think  if they push too hard they'll end up in jail when the Repubs take over. Which is a real loser attitude because obviously they're going to end up in jail either way. 
		- What if journalism reported on the end of American democracy with the same zeal the reported on Facebook's depravity.
		- <a href="https://twitter.com/sabre23t/status/1468126923411058690">SMS</a>: "Over the years since 2000 I've been using outliners of some form for my notetaking. The last 3 outliners/notes apps that I still use all support OPML as transfer (Logseq), backup (Checkvist) or native (Drummer) formats. I guess OPML is already one useable standard format."
		- It's the tools
			- When people ask how I get so much work done I say it's the tools. I invest a lot in having the best tools. As Mr Natural says. 
			- <a href="https://en.wikipedia.org/wiki/Mr._Natural_(character)">Mr Natural</a>.
	- December 6
		- My <a href="https://twitter.com/davewiner/status/1467942360608870418">one-tweet manifesto</a> for users of note-taking outliners. "There should be a standard format for notes apps so that switching is something you could do as often as you like, so that you can always use the best tool for the job."
		- Outliners should support "OPML", then users will be able to switch between products without having to convert their work. OPML is the best candidate for interop between outliners, and we are <i>not</i> a long way from that. It's a mature format, widely deployed. it's something I think the users are going to have to ask for because the developers are either too busy, or are not on board with the idea of people being able to use their work independently of the tools they use. I'm not looking to profit here, any more than I profited from RSS or podcasting. I want the users be empowered, because we need better-organized thinkers more than anything. I'm here to help. 
		- What got me going on this was a <a href="https://twitter.com/pierce/status/1467874084608520195">tweet</a> from the editor of Protocol, about the pain in switching from different outliners, and a <a href="https://twitter.com/pierce/status/1467876578814271489">subsequent tweet</a> in the thread where he said the answer was a <a href="http://scripting.com/images/2021/12/06/longway.png">long way off</a>. Emphatically it is not a long way off. This isn't that new. We were doing outliners 40 years ago. These problems have been solved. Let's work together, users and developers. 
		- In journalism there's conventional wisdom and there's what everyone knows. Sometimes they are at odds. When that happens, they report the conventional wisdom. It's <a href="https://www.quora.com/What-does-the-phrase-Nobody-ever-got-fired-for-choosing-IBM-mean">like</a> "Nobody gets fired for buying IBM."
		- Peloton, 25 rides in
			- 25 rides.
			- I got an email from Peloton yesterday congratulating me on 25 rides. 
			- I've got a groove all righty. Here's how it works. I have my teacher, Emma Lovewell. Such a sweetie, she's like a neice to me, so nerdy and she has a lot of things right. I don't have to do this ride, I <i>get</i> to do it, she says. I am becoming something, let's find out what it is, she continues. Anyway, I found this 20-minute ride of hers that I really like, so I just keep doing that ride very day, over and over. I really like the tunes, there's a Tom Petty song (American Girl), and Fleetwood Mac, Genesis, even a Beatles song. I know them in order. I pay attention to her instructions, somewhat, but I do what I want to do. I take a break after every song, even though she wants me to keep going. As long as the music is off I don't have to pedal. I take a sip of water and let my legs recover a little. And then I'm back at it. I sing along. Close my eyes a lot. And before you know it, the ride is over. And I always feel great after the ride. Like Superman. Mind is clear, body strong, I'm directed, going somewhere. 
			- Now people say it's hard to get the shoes in and out, but I find it really easy to get them in, a little more difficult to get them out. It's like snapping ski boots into the bindings. I have the official Peloton shoes. I can't figure out how the top strap works so I leave them undone. 
			- Another thing -- I can't ride standing up. I don't feel balanced. But I think I will get it. 
			- This works. I am getting a daily exertion, no matter the weather, day or night, and am getting stronger. I only wish I had started this regimen 20 years ago, imagine how my body would have responded, but it is what it is. I'm doing great for an old dude! :boom:
	- December 5
		- Is "Web3" the web, or just a scheme to make VCs richer?
		- <a href="https://en.wikipedia.org/wiki/Amy_Coney_Barrett">ACB</a> stands a good chance of wiping out what <a href="https://en.wikipedia.org/wiki/Ruth_Bader_Ginsburg">RBG</a> did, and more.
		- The Beatles had a sad end
			- I finished <a href="http://scripting.com/2021/12/01/144612.html?title=theBeatlesWereAnInvention">Get Back</a>, and I kind of hated the way it ended, but it is what it is, it's not like there were screen writers who chose the wrong ending. The rooftop concert was a Ouija board thing. Something Ringo could have an opinion about, so they had the concert. I thought it was awful, esp for the last live performance of the Beatles. It wasn't really a concert, it was cheap, they used London, acted like dicks, it made the whole Let It Be process suck. 
			- At one point the idea of going back to <a href="https://en.wikipedia.org/wiki/The_Cavern_Club">The Cavern</a> was brought up, and I thought that would have been great. They clearly have very strong feelings for that period of the Beatles, even though it's something most of us never experienced (it was before the mania). Or they could have arranged to be surprise guests at a London club. I'm sure they were there, and any of them would be happy to host the Beatles. Then it would have been legal, the enthusiasm would have been there, and they could have fucked around and everyone would've loved it. 
			- Or maybe there was just no place for the Beatles to go in 1969. I've noted this about superstar basketball teams. Once they win a couple of championships, I felt, they should just disband the team, because there would be no joy in a third or fourth. It seems like everything they did in the album Let It Be was no more interesting than what they did in Magical Mystery Tour or the White Album or Sargent Pepper, Revolver, they were all huge leaps. Let It Be -- no -- it's great stuff, historic -- it all really matters, but none of it was necessary. Anything past that, well there was no vision for it. 
			- Another thing I learned, over the whole three episodes, is how little the Beatles cared about business and how much of it they delegated. I had read the story of Billy Joel, and was amazed about how he kept money far away, and had gotten ripped off massively by someone he trusted. Lennon was in awe of <a href="https://en.wikipedia.org/wiki/Allen_Klein">Allen Klein</a>, but he sounds like a schmuck. I think if the Beatles had a manager who loved them, and cared about them, they might have continued writing music together for many years, and gotten what they wanted out of independence. It doesn't seem like it had to be either/or, and what's also clear is how much love there was between them. It's a common pattern, something great happens, and the assholes move in and squeeze the life out of it. How strong the Beatles were that they got so far. Or how much their manager, who had just died, must've loved them. 
			- PS: A good movie to watch after finishing Get Back is the <a href="https://en.wikipedia.org/wiki/The_Beatles:_Eight_Days_a_Week">Ron Howard documentary</a> about the touring Beatles. It's on <a href="https://www.hulu.com/movie/the-beatles-eight-days-a-week-the-touring-years-d3b00689-e450-4fcb-9853-d37e78ed4c57?">Hulu</a>.  
		- Take a moment
			- Saw this on Facebook. Seems like an idea worth sending around.
	- December 4
		- <a href="https://twitter.com/davewiner/status/1467200646852096002">Poll</a>: Does your mouse have a scroll wheel? Do you use it?
		- <a href="https://twitter.com/davewiner/status/1467159571726802949">Poll</a>:  Should the US pay reparations to descendants of slaves?
		- Andrew Sullivan wrote a <a href="https://andrewsullivan.substack.com/p/why-roe-will-fall-and-obergefell-77a">piece</a> where he wonders why men don't have as much at stake in abortion as women. This is like imho "all lives matter." Fact: You and I have already been born, not aborted, so we do not have a personal interest in abortion.
		- Going forward, I don't expect to be using the relatively new <a href="http://scripting.com/2021/07/22/135636.html?title=taggingInScriptingNews">tagging</a> functionality on "Scripting News". I think that's over. I have something I believe is better that requires no effort, no forethought, no decision-making. It's one of those things that Just Works. Yes I plan to share it. And it's not just for blogging, and it's not just for [[Drummer]]. 
		- The <a href="https://radioopensource.org/a-new-history-of-humanity/">latest Radio Open Source</a> is very interesting. I'm only half-way through it. Will report when I've gone all the way.
		- I'm now on the third segment of the Beatles show on Disney. The amazing thing is how much fun they had doing Let It Be. And you can see the process, they talk about it. I had the wrong idea about the Beatles as people. I love them now even more than I did when I was a kid. 
		- My Tesla endorsement: I haven't had a car that was this much fun to drive since I had a <a href="https://en.wikipedia.org/wiki/Mazda_MX-5">Mazda Miata</a> in the early 90s. 
		- Idea: Open source patents
			- I had a radical idea about patents many years ago, when they were starting to spoil the software world.
			- The idea -- open source patents.
			- Develop something new. Document it, have it evaluated by a panel of experts. If it's new you get a "patent". 
			- The <a href="https://en.wikipedia.org/wiki/Ersatz_good">ersatz</a> patent does a few things.
				- It prevents Google or Apple from patenting it. 
				- It gives the inventor proper credit for their work.
				- It makes the idea useful to other software devs because it isn't just some random feature ready to be patented by Microsoft or Amazon.
				- You can find out if something you did really is unique or if someone did it 25 years earlier (this has happened to me, I thought I had invented outlining until I read Ted Nelson's book and leared about Doug Engelbart).
				- It's good publicity, giving people an incentive to participate. 
			- Unlike non-open patents, everyone is free to use the idea for free. However they can't claim that they invented it. It's like <a href="https://creativecommons.org/">Creative Commons</a> for patents. 
			- I must not have been very good at explaining it, I thought it was something my friends at Harvard Law School would help with, but we're still stuck in this horrible situation where inventors of new ideas are forced to put up gates to simply get credit for their work. I'm never willing to do this myself, so I've seen many of my works being ignored or even undermined (notably podcasting by the f'ing EFF) or patented by IBM or Salesforce.
	- December 3
		- I had a nice thought that maybe when you die you wake up as from a dream. And you resume your higher level reality. Life is like a procedure call. This was one of the ideas in the movie <a href="https://en.wikipedia.org/wiki/Inception">Inception</a>. When you die in a dream you wake up. I think that's how it worked. 
		- Tesla's missing app ecosystem
			- I wrote in a <a href="https://twitter.com/davewiner/status/1466594398230106113">tweet</a> yesterday that the Tesla needs to run Apple Car Play. This was a short statement with a lot packed in it.
				- My Tesla is both a car and a computer system. 
				- Almost all the controls for the car are on a big screen in the middle of the dashboard, between the driver and the passenger, slightly tilted toward the driver. 
				- There are other controls, a stick attached to right side of the steering wheel that shifts between Reverse, Neutral, Drive and Park. A stick on the left signals turns and I think adjusts the brights, but honestly I'm kind of confused about that. I think the car decides when you need lights and what intensity, and it's not possible to overrided it? 
				- There are two pedals on the floor, roughly analogous to the brake and gas pedals in a gasoline-powered car. When you press the gas pedal the car accelerates, but unlike previous cars when you let up on the gas pedal, the car slows much faster. You only need to use the brake pedal when you need to stop quickly, otherwise all your acceleration and decelration is done via the accelerator pedal.
				- There are also controls on the outside of the car. Handles on each of the doors and the two trunks (front and rear). If you tap the charging port door, it opens. There probably are other outside controls that I'm not yet aware of.
				- Otherwise, <i>everything</i> is done through the UI of the big screen in the middle of the passenger compartment. It works as it would if it were created by Apple, Google, Amazon or Microsoft. There are tech industry norms, and people move around between the companies. This is a standard tech industry UI. But the design is radically different from every other car anyone has ever driven. And it works, but -- and this is important -- there is no <a href="http://scripting.com/davenet/1995/08/22/whatisaplatform.html">app ecosystem</a>. I can play music from my iPhone via Bluetooth, but I can't control the music via the car's screen, I have to use the screen on the iPhone. Since my Subaru has <a href="https://en.wikipedia.org/wiki/CarPlay">Car Play</a> and <a href="https://en.wikipedia.org/wiki/Android_Auto">Android Auto</a>, I've gotten used to controlling music, podcasts, and anything else -- directly on the car's screen, and this is imho a must-have feature that Tesla does not have. 
				- For right now this doesn't seem to be an issue for most Tesla users. I'm happy to drive my new wonder machine knowing that it's missing its app ecosystem. Tesla (again imho) has to have one, either they start to develop it now, or they hook up with Apple and/or Google, and allow their apps to run in TeslaLand. In a few years I think it will be necessary, because esp luxury car makers are going to feel the pressure to do what Tesla does in terms of controls. I'm pretty sure Apple and Google will offer it to them. And I think both of them are capable of doing what Tesla does. And they both have app ecosystems. 
	- December 2
		- I recommend <a href="https://www.google.com/search?q=The+Power+of+the+Dog">The Power of the Dog</a>. It's a little bit of <a href="https://en.wikipedia.org/wiki/There_Will_Be_Blood">There WIll Be Blood</a> and a little <a href="https://en.wikipedia.org/wiki/Brokeback_Mountain">Brokeback Mountain</a>. Beautifully presented, great acting, took a while to realize that the hardass cowboy was Benedict Cumberbatch. I have nominated it as the first movie of this year's <a href="https://www.google.com/search?q=NakedJen+Film+Festival">NakedJen Film Festival</a>. <a href="https://www.metacritic.com/movie/the-power-of-the-dog">88</a> on Metacritic. 
		- <a href="http://docserver.scripting.com/drummer/blogging.opml">FAQ</a>: How to get started blogging in Drummer. 
	- December 1
		- Good morning and welcome to December. One more month. And then another year and another, and on and on. 
		- <a href="http://scripting.com/2021/12/01/imagineBeingPaulMcCartneyAndMeetingJohnLennonAndViceVersa.m4a">A short podcast</a> about the Beatles and Get Back and what it must've been like to be Paul McCartney and meet John Lennon and vice versa. 
		- I'm sure others have noticed that today is a symmetric day -- 12/1/21. It might be the last one in this century? Have to think about this. 😀
		- The Beatles were an invention
			- The Beatles, I realize now, have played a really important role in my life going back to when I was eight years old and in the hospital recovering from a ruptured appendix. <a href="https://www.youtube.com/watch?v=nGbWU8S3vzs">She Loves You</a> was the big hit. I only had the vaguest idea of how they made such a <a href="https://en.wikipedia.org/wiki/She_Loves_You">song</a>, I didn't think about it too much, but after watching Get Back (I'm now on the second installment) I see the magic. 
			- They invented The Beatles, it was a real thing, you can see it in the relationships and the end result. A song starts as an idea, and they hack at it, over and over, and gradually the song emerges. I kept wanted to say it's "Tucson Arizona!" but of course they didn't know that yet. 
			- I recognize the dissatisfaction of people who don't share the bond that Lennon and McCartney did. Ringo accepted his role as an onlooker, George struggled against it. And all the hangers-on with opinions about this and that. They remind me of the VCs and execs in tech. 
			- The magic was Paul working out a hit song on the bass, with Ringo and George looking on. Then John coming back and loving it, and adding his bit. 
			- The conversations reveal so much. If only we had understood all this less than 50 years after the fact. I think of all the young creative people who can watch this, and how it will help them understand, and how we got by, feeling our way around this the way the Beatles. 
			- I wrote to a friend yesterday that this feels biblical. This is how it all began. I expect we'll be talking about this for years to come 
			- I wish we had the equivalent video for all kinds of other seminal events. I'd love to see a video of all that Trump did on January 6, for example, while the Capitol was under attack. Who was he calling on cell phones, threatening them in not so subtle ways while they were feeling so vulnerable?
			- Listening to She Loves You reinforces the point made by Paul McCartney in a recent Fresh Air interview. He said when they were young, when the Beatles were starting out, mostly what they wanted was girlfriends. 
			- At one point, in the struggle over George Harrison's departure, Lennon talks about how they'll feel about all of it when they're old. How profoundly sad that he didn't get to be old, and we didn't get to learn from an older John Lennon. 
			- In the music Lennon and McCartney produced separately after the breakup there was (evidently) a lot of bitterness between them. But in this movie you feel the love they had between them. I wonder where the bitterness came from, or if it was just an illusion. Maybe we imagined it. 
			- Update: A <a href="http://scripting.com/2021/12/01/imagineBeingPaulMcCartneyAndMeetingJohnLennonAndViceVersa.m4a">podcast</a> about the invention of the Beatles. 
