- First essay of the year
	- #title "First essay of the year"
	- #postTime "1/6/03; 6:51:33 AM"
	- First essay of the year
		- I still owe you an essay to kick off the new year.
		- At the beginning of each year I look forward. Some years I nail it, but most years, hmmm -- well, it's a good exercise. ;->
		- Thanks to <a href="http://cyberlaw.stanford.edu/lessig/blog/">Professor Lawrence Lessig</a> of Stanford for being my foil in writing this essay. We had an extended email conversation at the beginning of 2003, last week, while I was in NY and he was in Japan. Much of the copy here is edited snippets from that conversation. 
		- I hope I'm not being presumptuous in saying that Lessig and I have become friends over the last year. Our discussions have been heated at times but I think perhaps we're fighting for the same thing -- respect for people, to keep the new medium from being owned the way previous media were, by companies that seek to control it. 
		- The Web uniquely wants to be used by everyone, not just for the purposes of big companies and their profits and paranoia. This is a foundation that I think we agree on.
	- The technology is here now
		- Here's what I see at the beginning of 2003. 
		- We've reached a milestone in our journey of technology to the <a href="http://www.google.com/search?hl=en&ie=UTF-8&oe=UTF-8&q=two-way+web">Two-Way-Web</a>. All the basic ingredients are in place. The back-end systems are maturing, with lots of choice for users. The XML-RPC interfaces are also maturing and (more important) standardizing. 
		- We went a lot further with the ManilaRPC interface, and the <a href="http://davenet.userland.com/1999/05/24/editThisPage">Edit This Page</a> button, the key innovation in Manila, still hasn't appeared in other mass-market CMSes -- but I have no doubt the interfaces will deepen, and the convenience for users will increase, and the content systems will do more of the work.
		- Another innovation waiting in the wings -- <a href="http://www.xmlrpc.com/stories/storyReader$1583">OPML directories</a>. It's the next step after blogrolls.
		- The wizzy editing tools are coming from all corners, all platforms, mobile and desktop, you name it, someone is working on wiring it up to the content network defined by the MetaWeblog API. 
		- Further, we have settled the outage in <a href="http://backend.userland.com/rss">RSS</a>, again with choice. People who like RDF are able to use that, at a cost in confusion, but that was factored in already. We got the features and extensibility we wanted in RSS 2.0. If there's any more work to do there it's just clarification or cleanup.
		- In summary, the interfaces will deepen, the tools will keep coming, the back-ends will support the tools. Aggregators will be able to depend on more data in the RSS feeds.
		- The next challenge is spreading the gospel. There we have just begun.
	- Not just journalism
		- So far the focus has been on weblogs for journalists and would-be journalists, leading to the question about how we make money with weblogs. This is very important, and I don't want to minimize it, but there are other important questions to ask. 
		- If a weblog is used by a workgroup to keep the members informed, and to connect with other workgroups; and if their feeds are aggregated to inform shareholders, management, regulators, and other interested parties, you might measure the money-making in the form of money saved, or shortcuts found, or new ideas discovered, or blind alleys averted. Weblogs have a place in business that's as strong as their place in decentralizing news gathering and reporting. 
		- And there's more. Imagine a weblog for each patient in the hospital. Each patient defines a community, the people who want to know what's going on and how the guy is doing. I know my friends and family would have found that useful when I was hospitalized last summer. I certainly wouldn't have minded them having the information (although I'd want to control who could access this particular weblog).
		- How about weblogs for political candidates, and weblogs for citizen activist groups to get corrupt or incompetent politicians out of the way. Weblogs for every cellphone user in the third world (and the first and second too).
		- Recently a reporter asked me if all this michegas about weblogs isn't just the Web, and I said of course it is. The first website, done by Tim Berners-Lee was a weblog in every sense of the word. All we're doing is lowering the barrier, making it easier to get in. That's a big deal of course, but in another sense, it's the same thing again and again, every year for the last decade, and each time through the loop it's bigger, because it gets easier.
	- Moblogging
		- A survey of new stuff for 2003 would be incomplete without mentioning mobile weblogging, or moblogging, a term identified by <a href="http://joi.ito.com/">Joi Ito</a>, another new friend, also in Japan. 
		- Joi is very excited about this and so are we. Imagine a small computer, a cellular telephone with a headset, and a standard qwerty keyboard, hooked up to an instant messaging network and to your weblog. To post a new item to your community, hit the Blog Post button and start typing. Hit ## to submit. Bing.
		- The <a href="http://www.xmlrpc.com/metaWeblogApi">MetaWeblog API</a> is sufficient to make this work. Just add a simple XML-RPC stack in the cellphone and a developer toolkit and we'll do the rest. To license the software, a cellphone provider should expect to pay the equivalent of two or three engineering salaries for a few years. 
	- Is it open source?
		- I was talking with a computer user a few days ago, a lawyer -- a person who makes a lot of money billing by the hour, and even though people complain about how much his time costs, they pay. He's a rich guy, and he gets richer every year. 
		- Now, I wasn't selling my software to him, I was just telling him what it does, and how there are lots of lawyers discovering it, and how much I enjoy working with lawyers, and after I got through about five sentences he interrupted me and asked the question I knew was coming -- Is it open source? He added that he would never use software that wasn't open source. 
		- So I told him it wasn't and further he would have to wait a lot of years, maybe forever, before I would give him the software I make for free, because I have to make a living, and pay lawyers and accountants, and I have a mortgage, and health insurance, and maybe (god forbid) get a vacation every few years or so (I know I'm unreasonable), and someday I'm going to retire or maybe need long-term health care; and btw the people who make open source software generally don't have much sympathy for users, and my software is all about users. 
		- Anyway, he was a reasonable person, so the conversation swung around to what he <i>really</i> wanted, and it got productive. Assume you can't get what you want (assuming you want to always be able to use open source). What would you settle for? Because it may be the flipside of what I think are the ethical requirements of being a software developer. I strongly believe there are ethical rules, we just have never written them down or even discussed them. It involves not locking users in. Giving them choice. Telling them what the risks are in using the software. Never installing persisting components without clear notice to the user. It's not what the <a href="http://www.ucitaonline.com/">UCITA</a> says it is, there's more to it, and less. 
		- BTW, the conversation I describe above never took place. It's an amalgam of dozens of conversations I've had over the years, not just with lawyers.
	- What about your data?
		- What if the computer running your weblog died?
		- What would happen to your writing?
		- If you're lucky, it's your machine, you control it -- so if you want to keep a copy of your own stuff, maybe use it for a book you're writing, you can. But do you know how? And many if not most of the people who keep weblogs these days do not control the machine, and are in no position to demand access to their own writing. 
		- This was one of the reasons we had a personal computer revolution -- so that people could gain control of their own work. This recognized that people don't stay in the same job forever, and sometimes use the employer's computer for personal work, and also that people have some ownership in their own creativity even if it was paid for by someone else, even if the ownership is only psychic. As an employer I've had to deal with this, and as an employee (at times) I've demanded it. 
		- This is much more important than having access to the source of the program, a program must give you complete control of your content, and for that, you must be able to get a copy.  And you must be able to use some other piece of software to read it, that's why interchange formats and protocols are so important.
		- Dave Winer
		- PS: CMS stands for Content Management System.
- Chapter 5 in which Dave goes to Harvard
	- #title "Chapter 5 in which Dave goes to Harvard"
	- #postTime "1/9/03; 4:41:39 PM"
	- It sure feels strange
		- The <a href="http://www.corante.com/copyfight/20030101.shtml#17482">news</a> is out all over town. 
		- I've been offered a fellowship at the <a href="http://cyber.law.harvard.edu/">Berkman Center for Internet & Society</a> at Harvard Law School, and of course I accepted. 
		- It's an exciting opportunity!
		- I'll keep writing <a href="http://www.scripting.com/">Scripting News</a>, and DaveNet, and working on XML-based protocols and formats for publishing. But now I'll be doing it in a different context. 
		- We're going to bring <a href="http://newhome.weblogs.com/historyOfWeblogs">weblogs</a> to Harvard, and then teach the world what we learn. We know XML is great for engineering and financial applications. But what about XML for the liberal arts, for the humanities? That's something new.
		- So things are going to change, in an interesting way. 
		- Of course I'll be writing much more about this. 
		- And in the meantime, relish the strangeness of this idea.
		- Dave Winer
		- PS: I remain a major shareholder in UserLand Software, and therefore am very interested in its success, but I haven't been actively working for UserLand since last summer, and that won't change now, as my interest shifts into academia.
		- PPS: Who knows how many chapters there have been in my <a href="http://scriptingnews.userland.com/cv">life</a>. I'm 47. I've re-invented myself at least four times. But who's counting?  ;->
- Whole Internet under attack on Sat morning in US
	- #title "Whole Internet under attack on Sat morning in US"
	- #postTime "1/25/03; 7:36:59 AM"
	- An interesting morning
		- I was up early today, and was fresh when news of a massive denial of service attack on the entire Internet came over National Public Radio news. 
		- "Hmmm, funny place to hear that," I said to myself, but then realized it was because my email isn't working. Later we learned that the email is out because of the attack. They're not unrelated.
		- With the help of readers world wide, and CNN, BBC, Slashdot, Beta News and Google, we are now informed and on top of the story.
	- Quick fix
		- To system managers who may be enjoying a relaxing weekend, away from their servers, a quick fix comes from Freedom.Org. "Firewall port 1434/UDP traffic, and reboot the affected SQL servers." 
		- That should shut down the virus that's causing the havoc, if it has infected any machines on your local network.
		- We're gathering all the links on <a href="http://scriptingnews.userland.com/backissues/2003/01/25#sqlVirusReports">Scripting News</a> as they come in. 
		- Dave Winer
		- PS: Of course Murphy's Law struck both this piece and my brain, the former sooner than the latter. My intention was to have this story go out via email to draw system managers to the Web. But the mail server was down because of the virus. Oooops.
- Meet The Peking Duck
	- #title "Meet The Peking Duck"
	- #postTime "1/30/03; 5:45:24 AM"
	- Meet the Peking Duck
		- Last year the big news was thousands of <a href="http://news.bbc.co.uk/1/hi/sci/tech/2044802.stm">weblogs in Iran</a>. Because I only read English, I can't read most of what they write, but I can see that there are excited people in Iran, experiencing intellectual freedom, against the law, against the religion; but doing it anyway. They're mostly young and mostly in the capital Tehran. Many are women. A repressive government with a wired populace. That can't last for long. Which one yields? Time will tell. 
		- This year I've been reading a weblog called <a href="http://pekingduck.blogspot.com/">The Peking Duck</a>. It's in English, from Beijing in the People's Republic of China, written by a courageous man named Richard. He reads Andrew Sullivan's weblog and expresses strong opinions about that and Beijing taxi cabs, rude smokers, elevators, and of course about his government, which tries to keep much of the Internet we take for granted from its citizens, especially the good parts. It's a wonderful site, he explains what it's like to be in Beijing; not the China tourists see, it's the China of the Chinese. 
		- How much longer will The Peking Duck be available outside China, or for that matter behind the firewall in China? That's the big question. That, and how many Chinese will soon have their own place to post their opinions about everything that people with weblogs have opinions about, which is of course, everything. And as with Iran, which will yield? -- the citizens and the Internet that they love, or the government who (rightly) fears it?
		- China wants a modern economy and at least some of its citizens want the Internet. Not the Internet as television, which can easily be controlled by a repressive government; but the Two-Way-Web, where every person can publish his or her own newspaper, and read each others' accounts of the news, and people can form their own political parties. 
		- I believe that China and Iran, both of which theoretically have one-party-systems, and the two-party systems of the west will experience an upheaval soon because of the Internet. Diversity is the rule. Politics isn't one-size-fits-all. Sure we have some common interests. But the Chinese government is as obsolete as the centralized media it depends on. In the future every citizen will define his or her own political party, along with his or her interests, beliefs, and whatever it is that makes people different from each other.
		- The technology of the 20th century made us all the <a href="http://davenet.userland.com/2002/05/13/monocultureAnArtifcactOfThe20thCentury">same</a>. Think about it. McDonalds, television, the Gap, MTV, even nuclear weapons made us all, even a Chinese man growing up in Beijing or a Jewish man growing up in New York, fodder for fission. But if we're going to solve the problems of our success, global warming, over-population, and the opportunities (space travel) we will celebrate our individuality in a safe way. The Internet is wonderful at doing exactly that.
		- Dave Winer
- Never underestimate Steve Case
	- #title "Never underestimate Steve Case"
	- #postTime "1/31/03; 10:59:30 AM"
	- The story up till now
		- AOL bought Time Warner a little over three years ago. 
		- Earlier this week, the new company -- AOL Time Warner, announced a record-breaking $100 billion <a href="http://media.guardian.co.uk/newmedia/story/0,7496,886473,00.html">write-down</a>, the biggest in history. A few weeks ago AOL chairman Steve Case announced that he would step down in May, to be replaced by CEO Richard Parsons. 
		- Of course any idiot would have seen it coming. But in the exuberance of the Dotcom Bubble, none of us did. We were looking the other way. 
	- Doc's rant
		- This morning I woke to an excellent rant from my good friend <a href="http://doc.weblogs.com/2003/01/31#theNewRecordLossBusiness">Doc Searls</a>, pointed to by another good friend <a href="http://www.davosnewbies.com/2003/01/31#onTheMoney">Lance Knobel</a>. 
		- "The real kicker here," said Doc, "the eleven-zero irony is that this merged company was counting on AOL, of all things, to provide understanding of the very platform on which all this inter-divisional 'synergy' was going to take place. They actually thought AOL understood the Net." 
		- I recommend reading all of Doc's words, he's a brilliant writer. 
	- Did AOL understand the Internet?
		- <a href="http://radio.weblogs.com/0001015/2003/01/31.html#a1704"><img src="http://radio.weblogs.com/0001015/images/2003/01/31/columboHead.gif" width="85" height="108" border="0" align="right" hspace="15" vspace="5" alt="A picture named columboHead.gif"></a>So back to Doc's question -- Did AOL understand the Internet? This really got me thinking. I posted four messages in rapid succession in the <a href="http://www.davosnewbies.com/discuss/msgReader$1109">discussion group</a> on Davos Newbies. Summarized here.
		- Back in 1995, when I just started writing for Wired while I wasn't actively writing software, AOL tried to hire me, and I almost went. I made several trips to Virginia, one was notable. It was an onsite meeting for AOL's CTOs, which even at that early date was an impressive gathering. They had just bought a backbone company, one of the big ones, and had bought a company that made a Web browser, and a few others, and then there were the core people who managed the AOL servers and their incredible network of dialups.
		- The reason I mention all this is that I had the opposite impression. I learned a lot from all those people. In many ways each of them understood the Internet very well. Steve Case and the people he hired, in turn, hired well. That AOL works at all is testimony to that. What they do is hard. Really hard. 
		- Now, that said, I agree fully with Doc.
		- AOL was the finger in the dyke of the Internet.
		- I have a story about this too.
		- At a party last week I met the former CEO of <a href="http://www.well.com/">The Well</a>, Maria Alioto. We talked about her experience. A total parallel to AOL. Good start. The Well probably was necessary for the Web to get going. The core of the West Coast Web. The meeting place for the future staff of Wired and EFF. All good things. But in the mid-90s when she came on, it had no future. As AOL had no future when Time-Warner was snookered into taking their stock. 
		- Moral of the story: Never underestimate Steve Case.
		- Second moral: He's like Columbo, he makes it easy for you to underestimate him. 
	- Was there synergy in the merger? 
		- Did 1 plus 1 equal 3? 
		- Sadly, it didn't even equal 1.
		- Dave Winer
		- PS: CTO means Chief Technical Officer. Companies (or divisions of companies) often have marketing or finance people running the show. The CTO is responsible for the technology of the company. In the technology industry, needless to say, this is a very important role.
		- PPS: CEO means Chief Executive Officer. This is the top person in a company. Even the chairman of the board of directors works for the CEO. From the outside it looks like AOL Time Warner's CEO fired its chairman and vice-chairman.
		- PPPS: Columbo was a television character of the 1960s played by Peter Falk. He was an unkempt detective with a dirty raincoat, broken down car, he smoked a cigar, and always said "Uhhh one more thing sir." All the stars of the 60s played opposite Falk and they all underestimated Columbo. That was the constant theme. At the end, when the trap closed and they were caught, they all understood how smart Columbo really was. I think of Steve Case the same way. Clever, clever, clever.
- Death is common
	- #title "Death is common"
	- #postTime "2/1/03; 6:41:27 PM"
	- Space Shuttle
		- Death, when it strikes a family member or a close friend, is a terrible thing. 
		- The families of the Shuttle astronauts are grieving tonight. Our hearts open. We share their sorrow. We want to do anything we can to help. Tonight, we pray for their souls, each of us, in our own way. Tomorrow, and the day after, and the day after that, the families will still grieve, while the rest of us move on. 
		- Now, just taking a guess -- this is what the people who died would have wanted us to do. Continue. Don't stop. Space exploration is important, their lives were important too, but they knew the risks. They were scientists, seekers of knowledge. Keep going.
	- Death is common
		- Talking with friends today I related a story of my father, who was striken in October with a terrible illness that put him in the hospital. By the time I arrived in New York he was unconscious; he would stay unconscious for a month. He was among people who were equally or more ill. There were hundreds. In the coming weeks many of them would die. I had never been around so much death. I came away with an impression that death is a very common thing. It's hardly the exception -- it's the rule. People are dying all the time. This is different. Up until that point in my life I believed the TV version of death, that it is unusual. And more lies.
		- Perhaps our grieving for the astronauts will gain a new proportion when we consider how many people die each day with no pity, no care, no one to be inspired by their lives, unknown, unappreciated, ungrieved. Just go to a hospital or nursing home, see for yourself. They're all over the place. Death is everywhere. Always. Television helps us avert our eyes, believe it happens to someone else, not us, not our heroes. Well it happens to us, and our heroes. Every day. Every night.
		- How many people actually say something in their lifetime? Really speak their mind and heart, express their truth, and are understood by someone, anyone, before they die? There was a real chance my father would die without us ever having had an adult conversation. He's recovering now, so there's a chance it still may happen, but I'm afraid we've still got long odds. 
		- I think understanding and communication are the exceptional things. 
		- Death, the end of all communication, is common.
	- Meaningful lives
		- Some ideas that occurred to me during the day.
		- The miracle of the astronaut's lives is that they left the planet. So few have. How many of us, knowing the risks, even today, would say yes to the opportunity to follow in their footsteps? I would.
		- These were the most honorable possible deaths, in pursuit of knowledge and adventure, exploring our frontiers, adding value to the human experience, defying death, and then (of course) dying.
		- There seems to be a sense this time that we will continue with our exploration of space, and that's a good thing. 
		- We know greatness exists in our world because we can shoot people in metal tubes into outer space and some of them live. Wow. 
		- To have a death that means something, now that's an unusual way to go. So few people believe they will leave anything behind that is meaningful. These people did.
		- I've never been sympathetic to the argument that we must solve all the problems on Earth before exploring space and living off-planet. I feel, as many scientifically educated people do, that science is an important part of the purpose of humanity and that the cost of space exploration is very small compared to the new science it creates, the new products and techniques, and the inspiration. 
		- In fact I believe that space exploration is key to solving the problems of our planet. Only the off-planet perspective can teach us to work with each other, because the universe is so large and we are so small. 
		- Dave Winer
- Space Shuttle disaster over Texas
	- #title "Space Shuttle disaster over Texas"
	- #postTime "2/1/03; 8:08:22 AM"
	- Disaster coverage
		- The Space Shuttle Columbia has crashed, early this morning, over Texas.
		- We're gathering pointers, professional and amateur, on Scripting News today.
		- http://scriptingnews.userland.com/backissues/2003/02/01
		- Dave Winer
- Moon Missions
	- #title "Moon Missions"
	- #postTime "2/2/03; 8:11:51 AM"
	- Moon missions
		- Here are some points of view you won't get from television coverage of the Columbia disaster.
		- 1. People die every day. Lots of people. Death is common, it's not unusual. 
		- 2. When people die it creates room for growth. In other words, nature abhors a vaccuum. Life goes on. And dozens of other homilies you won't hear on TV because they have a conflict of interest. They want to keep you glued to the set. They will never tell you "It's okay to resume your life now."
		- 3. Space travel is more important than the seven people who died and the billions of dollars that were lost. Every time we've gone to space there were benefits that we didn't know about before, that we reaped later. The computer you're using right now is a product of lots of space missions. This is where the <i>moon mission</i> style of development came from. I'm a big believer in it because it produces results. Declare an impossible mission and then achieve it. Then take stock. There's a pretty good chance you invented something important along the way. But you were too busy to notice. 
		- <a href="http://boingboing.net/2003_02_01_archive.html#90266780"><img src="http://radio.weblogs.com/0001015/images/2003/02/02/callpolice.gif" width="101" height="41" border="0" align="right" hspace="15" vspace="5" alt="A picture named callpolice.gif"></a>4. When a big galvanizing news event happens and I'm near a computer, I jump on it, with no holds barred. Why? Because that's the art I practice. The astronauts practiced a different art. My goal is to learn how to organize and distribute information in ever-more-efficient ways. With a speciality in timeliness. I welcomed Sept 11, we learned a lot from it. All that was in motion yesterday. And we learned even more. I sent Glenn Reynolds, editor of InstaPundit, a note yesterday asking him to remember where the glitches were in his editorial system, so in the coming weeks and months we could build more useful authoring tools that help him when he's shoveling bits from his inbox onto his weblog. And to make it all work better for users of news aggregators. Remember, if you can, amidst the tears, of ways you'd like the Web to work better in time of crisis. That's important stuff. That's a way <i>you</i> can make the world a better place, and it's a totally valid way to honor the memory of those who died.
		- 5. Back to death being common. If television wanted to do us a real service they'd take the cameras into a nursing home or the pulmonary unit of a major hospital, right here in the US, and show people what dying is like in the world we live in. Some people don't know. I didn't until last year. The Shuttle astronauts were so lucky! They had amazing lives. They went to space. They were scientists so they knew it was risky. And they were lucky because they died quickly without much time for pain and long goodbyes. Yes it's sad they died. Yes. But it's also great that they lived.
		- Dave Winer
- Comments on the Google-Blogger deal
	- #title "Comments on the Google-Blogger deal"
	- #postTime "2/20/03; 5:24:07 AM"
	- Google buys Blogger
		- In an unusual <a href="http://weblog.siliconvalley.com/column/dangillmor/archives/000802.shtml">announcement</a>, because of its timing, last Sunday we learned that Google, the leading search engine company, is buying Blogger, one of the leading weblog authoring tools. I heard the news as I was packing to return to California from New York, trying to get out before one of the biggest blizzards to ever hit the northeastern US. I made it out in time. Whew.
		- Reading all the <a href="http://www.google.com/search?q=google+blogger">speculation</a> in the blogging world, it seems most people are where I am, scratching their heads and wondering about the deal. I have some thoughts on this, but first a disclaimer. I am the majority shareholder in UserLand Software, which publishes two leading weblog authoring tools, Manila and Radio UserLand. I don't now work for UserLand, but I am obviously interested in its success.
	- Blogging grows up
		- A few years ago if I told you that writing for the Web would be much easier in the future, you might have rushed out to spend $10 million on a Vignette or Interwoven installation, or bought a license for ATG or Broadvision. Back in those days substance didn't matter as much, hype ruled, we were in a bubble. Even so, a group of developers at different companies, including Pyra and my own UserLand believed that writing for the Web would eventually be as easy as writing for a laser printer, and thus the blogging developer community was founded, in 1996 or 1999 depending on whose histories you read or believe. 
		- As in all early days, there was a comeraderie to the competition. I'm sure we will all look back on those days fondly, Ev, Meg, Matt, PB, Derek, Brent, Andre, Jake, Doug, etc. But this ain't Kansas anymore. Blogging is growing up, and when we look back, the Google-Blogger deal will probably be seen as an inflection point, perhaps *the* moment when it all changed. 
		- I think I've seen this happen before, in the Mac software market, in the mid-80s. <a href="http://www.angelicentertainment.com/jackson.htm">Charlie Jackson</a> was the first to sell out, to Aldus, and then Microsoft bought <a href="http://www.microsoft.com/office/powerpoint/">PowerPoint</a>, and then a flood of deals as the monsters of the IBM-compatible software market bought the boutiques of the Mac software market. I remember listening to Apple chairman John Sculley, speaking at a press conference where a bunch of rolled-up Mac software companies were explaining the supposed strategies and syergies. He looked bewildered, like what just happened here? In a space of two or three months, less than 100 days, the market reshaped after a frenzy of buying. Nothing was ever the same in the Mac market.
		- In other ways, the Blogger-Google deal may signal a change possibly as deep as the personal computer revolution, where huge glass palaces controlled by technologists were routed around, by software and hardware that did the same thing, for a fraction of the cost. Today, the same software that Vignette sold a few years ago for millions of dollars, can be had for hundreds, and it's much easier to install and use. 
		- So Google bought into this idea. Thanks Google, seriously. 
	- It was a surprise
		- We didn't see this coming!
		- Every so often a major company would come for a visit and ask "How much?" -- but the interest usually didn't seem to be that deep, and we never heard the question from Google, even though we know their investors and a few of the execs at Google. They bought Blogger, apparently, without talking to the field of competitors. Microsoft, for example, if they were buying into a new category, would surely negotiate with all the vendors in the space, if only to be sure they weren't paying too much, or overlooking an important competitive issue. Perhaps this is an indication that people are overestimating the importance of the deal to Google. 
		- What did Google buy? Pyra claims to have over 1 million Blogger users, with 200,000 active users. But Google didn't buy their content, because Pyra doesn't own it, the users do. They didn't buy access to the content because they already had it. The purpose of Blogger is to publish stuff, in other words to make it publicly available. Google's search engine routinely indexes <a href="http://www.blogger.com/">Blogger</a> sites, along with <a href="http://manila.userland.com/">Manila</a>, <a href="http://radio.userland.com/">Radio UserLand</a> and <a href="http://www.movabletype.org/">Movable Type</a> sites. It doesn't know the difference.
		- Blogger is not open source, in fact ordinary people can't even purchase a binary license, so there's probably the reason they did the deal -- to get the source for Blogger, which is now written in Java, and to license it to their corporate users, along with the Google search <a href="http://www.google.com/appliance/">appliance</a>, which goes for about $25K per box. If this is true, then you will be able to add, say, $1K to the price of the box and get a copy of Blogger along with the search engine, allowing people to create weblogs on a local network. This is very important for business use of weblogs, which is growing now at a fast clip. However, Google will find this is already a competitive market, UserLand already offers a deeper product, Manila, as does Movable Type, another leading competitor.
		- Of course in venture capital board rooms around the world they're plotting out every kind of weblog tool imaginable. But when these products launch in a few quarters they will find an already deep market with most if not all the niches filled. We've have had quite a few years to get ready for this moment. ;->
	- Discussion
		- Anyway, we live in interesting times. I never imagined we'd be competing with Google. Whatever comes next will also be strange. 
		- If you have comments, or suggestions, or if your tea leaves tell you something different, drop me an email. We'll keep looking at this as long as there's something to talk about.
		- Dave Winer
- Like MacArthur
	- #title "Like MacArthur"
	- #postTime "3/10/03; 8:04:28 AM"
	- General MacArthur
		- General Douglas MacArthur, on losing the Philippines in World War II, <a href="http://www.pbs.org/wgbh/amex/macarthur/filmmore/reference/primary/macspeech02.html">said</a> these prophetic words. "I shall return." And that he did, two years later leading an armada of Allied warships and marines to attack the Japanese, which led to a US victory. 
	- Japan
		- These days the Japanese are our friends. Partners in economic misery. <a href="http://info.astrian.net/jargon/terms/m/Moore_s_Law.html">Moore's Law</a> continues to rage, but somehow our economies are stuck. I think I know why, it's because intellectually we have gotten lazy. We look to big corporations for new ideas, and big corporations are not the hatchery of new ideas, in fact they <a href="http://dictionary.reference.com/search?q=annihilate&r=2">annihilate</a> them. Not their fault. By their nature, they have to hire average people who don't take risks. They are scared of people who do. So as the companies get larger, eventually the flow of new ideas is choked and our economies fall. The resurrection is always in our intellect. We have the power to rebuild. We just have to choose to. 
	- Parties
		- Last Sunday there was a miraculous party in Silicon Valley. I had stopped going to most industry parties around 1999 or so, I just wasn't interested in the latest scheme to get rich by selling pet food on the Internet. I came to California for the technology, not retailing. Then came the crash, and the party scene was still there, tentative, unsure of itself, kind of humming in the background. Last week it came back with a roar. When there are good parties with good energy, there's hope. 
	- Boston here I come
		- Later today I will lock the door on my residence of eleven years, having sold out, I will get into my car and drive to Boston where I will start a new thread in my life. I wanted to return to the east coast after spending most of the end of last year helping care for my father whose health was failing. He survived, miraculously, and on Wednesday he's going home, with his mind and body intact. And today I'm heading east, and in many ways it feels like a return to home. 
		- The Internet shrinks geographic distances. I will be doing weblogs at Harvard University and sharing what I learn. I will continue to develop and evangelize XML-RPC, SOAP, RSS, OPML, the MetaWeblog API; from a new context, academia. I will also be writing software and continue to write my own weblog at <a href="http://www.scripting.com/">scripting.com</a>. 
		- Thanks to California for being my gracious host for twenty-three years. Personal Software, Apple Computer, Living Videotext, Symantec, Kleiner-Perkins, Wired, Netscape, Bucks Woodside, thanks to all my platforms. 
		- I leave a richer man than when I came here so long ago. 
		- And like MacArthur, I will return.
		- Dave Winer
		- PS: Seeya in Boston!
- Eve of destruction
	- #title "Eve of destruction"
	- #postTime "3/18/03; 4:47:58 PM"
	- Scott Rosenberg
		- Shortly after President Bush's speech last night, Scott Rosenberg, managing editor at <a href="http://www.salon.com/">Salon</a>, posted an <a href="http://blogs.salon.com/0000014/2003/03/17.html">analysis</a> on his weblog. I sent Scott an email with my compliments. It isn't often that an essay changes minds. This one changed mine. I asked for permission to run it, and Scott said yes.
	- Eve of destruction, by Scott Rosenberg
		- Moments like the present offer a strange sense of suspension on the edge of a precipice. War is 99 percent inevitable. Yet I keep thinking, what if? Surely... But...
		- Forty-eight hours offers a million opportunities to leave the road we are on. But it is a road that Bush and Cheney chose long ago, and these are not the sorts of men to suffer 11th-hour pangs of remorse for unnecessary bloodshed.
		- The nation -- and the world -- know that Saddam Hussein is a dangerous dictator. The moral or strategic logic that makes this precise moment the time to depose him remains obscure, however. And in that obscurity we are forced back on the suspicion that the timing, for Bush, is a matter of political convenience (first war, then 2004) and logistical efficiency (can't have a quarter of a million troops sitting around idly, losing morale). And those seem like poor reasons to begin dropping thousands of bombs and killing thousands of people.
		- The president's speech tonight, full of the rhetoric of "liberty and peace," was suffused with an almost millenarian triumphalism, an attitude of certainty in U.S. victory that is no doubt borne out by the superiority of American weaponry and power and that, yet, to anyone with a sense of the twists of history, seems fatuously arrogant. War is rarely easy; the speed of the victories in 1991 Kuwait or 2001 Afghanistan was, historically, the exception, and there is no guarantee that every future American campaign will be as fast or as painless to Americans. Overconfidence breeds disaster. 
		- When you go in assuming easy victory, even the slightest setback feels enormous. President Bush has not prepared the ground for setbacks; he has not assumed the necessary burden of wartime leadership, whether through marshalling support for his plans overseas or through justifying his policies at home. Heaven help him -- and us, the electorate that did not really elect him -- if the road is longer or rougher than he and his team promise.
		- He has offered us a handful of weak words in place of a persuasive case; he has shuffled from one justification to another, shifting goals as the diplomatic climate altered; he has resorted to half-truths and outright lies and insulted the nations of the world by providing evidence that crumbled upon close inspection; and he has utterly failed to play a strategic game that looks beyond the next move. In the name of protecting the U.S. from terror attacks, he is launching us on a campaign of imperialism; in smashing open Saddam Hussein's dormant nest of horrors, he will spread the seeds of destruction to a thousand new plots.
		- These are not just vague, eve-of-war fears. In a Fresh Air interview tonight that I can only describe as "dreadful," in the primal meaning of the word, CIA historian Thomas Powers put details on the face of these fears. He predicted, as everyone does, a swift U.S. victory in a month or so. Then a couple months of calm. Then, a gradual awareness: That this project of installing a client government in Iraq, even in the sunniest of outcomes, must last a generation or more. That hundreds of thousands of American troops have now become sitting-duck targets for suicidal terrorists who will have no need to hijack a plane to access their foes. That these troops will now sit on the border with another "axis of evil" enemy, Iran, which, like Saddam's Iraq, also seeks nuclear weapons. That this war, like Bush's larger "war on terrorism," has no clear definition of its aims, its scope or its foes -- and that such a war has no end in sight and can have no victory.
- Dave on NBC News Tonight
	- #title "Dave on NBC News Tonight"
	- #postTime "3/26/03; 1:24:33 PM"
	- TV Tonight
		- I was interviewed today <a href="http://blogs.law.harvard.edu/nbcNewsInterview">on camera</a> for NBC Nightly News with Tom Brokaw, about weblogs and the war in Iraq. 
		- Of course I'll probably get edited out, but maybe I won't -- don't miss a good laugh, if you have the time, give it a watch tonight. 
		- In other news, I'm having a great time in Cambridge, everyone is being real nice to me, more later. 
		- Dave 
- Microsoft Supports RSS
	- #title "Microsoft Supports RSS"
	- #postTime "4/2/03; 4:40:53 PM"
	- As you know
		- When Microsoft screws up I'll be the first to report it; but to be fair, when they do something good, I must also tell you about that. 
		- <a href="http://scriptingnews.userland.com/backissues/2003/04/01">Yesterday</a>, out of the blue, I read on Tim Ewald's <a href="http://www.gotdotnet.com/team/tewald/default.aspx#nn2003-04-01T06:03:44Z">weblog</a> (he works at Microsoft) that they were supporting a format that I co-authored, RSS. I have been asking Microsoft to support this format for years. As I clicked on the link to one of the feeds, I held my breath. Would they support the spirit of RSS as well as the spec? 
		- When the feed revealed itself I rejoiced. A thing of beauty. Immediately compatible with my software, and with any other RSS-based aggregator. A true milestone, a BigCo that's not throwing it's weight around, for now -- letting the independent developers lead. A fight we don't have to have. Quite a nice day. Thank you Microsoft.
	- A big-enough target
		- In my first piece of 2002, I <a href="http://davenet.userland.com/2002/01/02/whenToGiveAwayTheTechnology">explained</a> how small companies or individual developers who want to maintain their independence must give away some of their technology so that when the Big's (like Microsoft) have to be compatible. " If you want to profit from your innovative ground-breaking work, you'd better create a big target, and plan in advance for the incursion of the Big's, and make sure when they arrive, their customers know that a standard format or protocol exists." 
		- RSS has now passed that test. As we go forward, <a href="http://backend.userland.com/rss">today's spec</a> will represent the baseline, the unchanging, compatible core that all content systems, search engines, and news aggregators support. There may be other formats in the future, but they will not be called RSS. They may or may not be authored by the big companies. It won't matter as long as behind it all, the market that RSS defines continues to exist.
	- Riding up front with you
		- <a href="http://davenet.userland.com/2001/04/04/aBusyDevelopersGuideToSoap11#ridingUpFront">Two years ago</a>: "This time around, BigCo's are welcome in the market, of course, but seduce us, tease us with your features, impress us with your performance, spoil us with distribution, but no more [locked] trunks, we're riding up front with you."
	- A bandwagon
		- <a href="http://scriptingnews.userland.com/2003/04/02">The day after</a> Microsoft announced their feeds, Cisco Systems, another huge technology company, rolled out twelve feeds covering all aspects of their business, all fully compatible. Fawcette Publishing, a company that serves Microsoft developers, followed suit. As the day went by, my mailbox filled with questions from developers at companies that work with and around Microsoft. One of them called it a bandwagon. A happy day. Bravo Microsoft!
		- Dave Winer
		- PS: RSS stands for Really Simple Syndication.
- NY Times pulls back
	- #title "NY Times pulls back"
	- #postTime "4/3/03; 1:56:46 PM"
	- Yin and yang
		- Yesterday uncharacteristically <a href="http://davenet.userland.com/2003/04/02/microsoftSupportsRss">good news</a> about Microsoft. 
		- Today, uncharacteristically bad news about the Microsoft of the news business: The New York Times.
		- Until today the Times archive was perfect. If you pointed to a Times article from an essay or a weblog post, as I have for almost ten years, the link would continue to work, year after year.
		- Today that ended. All my links into the NY Times archive that are older than 30 days are broken. I suspected this day would come, eventually. Advertising doesn't pay for Web publications. It probably doesn't pay for print pubs either anymore. 
		- The business model for news is gyrating wildly. So much uncertainty. But one thing <i>is</i> certain, the Times will be missed on the Web.
		- Dave Winer
- The paper-of-record
	- #title "The paper-of-record"
	- #postTime "4/5/03; 3:34:39 AM"
	- Of record
		- The New York Times has earned a reputation of being the paper of record, the place we turn to understand the events of our day, in the context of the day. It's not the history, it's the current events. When we moved to the Web, in the early 90s, the Times came too, aggressively, and naturally slipped into its role as the Web News Source of Record (not quite so easy to say).
		- We were <a href="http://dictionary.reference.com/search?q=blindside">blindsided</a> when the Times archive <a href="http://davenet.userland.com/2003/04/03/nyTimesPullsBack">went behind</a> a for-pay firewall earlier this week. This broke <i>our</i> achive too. Now not only can't they be the news source of record on the Web, but in a single move, they erased the record they had already created, and we had come to depend on. That's how powerful the technology of the Web is, and how fragile.
		- A better approach, imho, would have been to grandfather the existing archive into the previous archive policy, and let us find another authoritative publication that's committed to best-efforts at maintaining its archive over time. This would have assured a smooth transition, and would have reflected the care and steady stewardship of history that the Times is famous for. They could still change their mind, and we hope they do. However in case they don't, which publication will be our new Web-based source-of-record?
		- The BBC comes to mind. I wonder if we can trust them. I started using the BBC as a source when the <a href="http://radio.userland.com/bbc">BBC RSS feeds</a> came online, in Sept 2002. How far back does their archive go? Are they good at maintaining it? The quality of their reporting is excellent, but how good are they at creating a record? It's hard to know, since no newspaper site maintains a calendar-based archive of their front page. Consider that a feature request, btw.
		- Some data. On <a href="http://scriptingnews.userland.com/backIssues/2002/10/09">10/9/02</a> I pointed to articles at the NY Times and the BBC. The Times <a href="http://www.nytimes.com/2002/10/09/business/media/09CND-COURT.html">link</a> is dead. The BBC <a href="http://news.bbc.co.uk/1/hi/technology/2309671.stm">link</a> is good.
		- Dave Winer
		- PS: BBC stands for British Broadcasting Corporation. 
		- PPS: Imho stands for In My Humble Opinion.
		- PPPS: BTW stands for By The Way.
- NY Times archive is back
	- #title "NY Times archive is back"
	- #postTime "4/7/03; 6:34:02 AM"
	- Hold your horses
		- I'm getting tons of email from puzzled readers saying that when they click on the supposedly dead <a href="http://www.nytimes.com/2002/10/09/business/media/09CND-COURT.html">link</a> at the end of Saturday's <a href="http://davenet.userland.com/2003/04/05/thePaperofrecord">essay</a>, they get the page, without any request for money. I do too.
		- It's pretty clear that something changed at the Times in the last 48 hours. No more dead links. I proved it by producing a <a href="http://www.scripting.com/stories/2003/04/nyTimesLinks.html">page</a> of all the citations of the Times on Scripting News in the last six years. A total of 1003 links. Some are broken because I chose the wrong URL to point through, but none are broken due to the archive policy of the Times company. 
		- Bravo. In a world where such victories are few and far between, this one is truly worth savoring. Thanks to the Times for supporting the Web. 
		- I have also received a statement from the BBC in response to Saturday's piece. I want to run that separately, and will do so shortly. Today will be a two-DaveNet day.
		- Dave Winer
		- PS: <a href="http://dictionary.reference.com/search?q=url">URL</a> stands for Uniform Resource Locator. It's the address of a page on the Web. It's also the hidden bit of info in an HTML link and that's what makes the Web fundamentally different from all other written media.
		- PPS: Hold Your Horses is an idiom that means don't rush to a conclusion, we have new information. It's pretty close to Stop The Presses, something often said in movies about newspapers made in the 30s and 40s. A reporter discovers something new that makes the front page wrong. Stop The Presses, let's get the story right. The Web is more fluid. You can't really stop the presses here. But you can cover a story as it evolves.
		- PPPS: The Times has a website called <a href="http://www.nytimes.com/specials/presses/home/">Stop The Presses</a>. 
- The view from the BBC
	- #title "The view from the BBC"
	- #postTime "4/7/03; 7:31:14 AM"
	- Intro
		- Kevin Hinde is the Head of Technical Development at BBC News Interactive. 
		- In <a href="http://davenet.userland.com/2003/04/05/thePaperofrecord">The Paper of Record</a>, 4/5/03, I wondered what was up at BBC re archives. 
		- Mr Hinde's response follows.
	- Kevin Hinde, BBC News
		- Our archive of stories posted on BBC News Online goes back to November 1997, when we started publishing. As far as I know, all of those stories are still available at the same URL they were originally published to. We've had a few redesigns since then, and some of the older stories have missed out on the rebranding and still look, well, old; but we hope to fix that when we get a chance. We do maintain the archive if anyone finds any inaccuracies or errors.
		- We also have a <a href="http://www.bbc.co.uk/onthisday">showcase</a> of BBC News stories broadcast on Radio and Television since 1950.
		- We're looking at better ways to give people access to our archived online content so thanks for the suggestion. 
		- As for whether you can trust us -- I hope so. I think the way we're funded (in the UK, by public <a href="http://www.bbc.co.uk/info/bbc/">subscription</a>) means that we're more likely to be trustworthy. Our business model for news is a public service model: essentially to make good content and give it away. People in the UK have already paid for the content we produce so it's not likely we would be allowed to charge them so see it a second time.
		- The situation worldwide is less clear - our distribution costs outside the UK are funded by the BBC's World Service, which is in turn funded by government grants. The idea of restricting access to our content outside the UK has been discussed in the past and it's always been rejected. Of course all that could change. The BBC does make money by selling videos, DVDs and tapes of its non-news content. If it turned out there were a viable market for news archive material abroad we might choose to enter it. There isn't, and from where I sit it doesn't seem likely, that those ideas will gain much of a toehold in the future. I think the people who make the decisions understand that restricting access to the archive would be counterproductive. 
		- Larry Lessig came to give a talk a while ago and there's some serious interest in making much more of our non-commercial archive available under some kind of Creative Commons license.
		- Those last two paragraphs are my views; I hope they are the same as my employer's but this is a big place.
		- Kevin Hinde
- Speech and weblogs
	- #title "Speech and weblogs"
	- #postTime "4/8/03; 4:46:37 PM"
	- Intro
		- Earlier today I gave a talk at the Institute of Politics at the Kennedy School of Government at Harvard. Following are my notes from the talk. 
	- The Napster story
		- The Internet is the nicest distribution system for creative work that's ever been invented. Even that isn't a strong enough statement. Until the Internet came along creative people had to make deals with huge heartless companies to get their work distributed. This forced creativity through a very narrow funnel: the kind of stuff that fat executives can understand, and all they understand is the most crass kind of creativity, the kind of stuff that gets the largest number of people to cough up their credit cards. These people are usually fat and smelly and laugh cynically if anyone says that people create things to communicate. According to them, the only reason anyone would want to create things is to make money. If you have any other motive they think you're an idiot, and tell you so.
		- Unfortunately, at some level, the artists of the past thought the same way, but they were always frustrated because the fat smelly non-creative executive guys were good at <a href="http://davenet.userland.com/2002/03/27/eisnerMadeOver700MillionIn5Years">stealing</a> all the money, because even the most commercial of artists were still artists and given a choice, would forgoe the money (almost unconsciously) for the art. This is what the fat smelly assholes took advantage of. And they got very rich and hired lawyers and bought not just policitians but an entire politicial party, a big <a href="http://www.democrats.org/">one</a>, and they got some extra new laws passed to help throttle the most threatening technology to ever come along, and you know what I'm talking about -- it's the Internet. 
		- Now a young guy named <a href="http://scriptingnews.userland.com/pictures/viewer$795">Shawn Fanning</a> didn't understand how this worked, he just had a bunch of CDs he had ripped and he wanted to share them with his friends so he learned how to program and whipped up a hack called Napster. It worked. Everyone loved it. All of a sudden people were talking about music in supermarkets and on airplanes! This was truly remarkable. Music had gotten incredibly boring. Now, with the library of melodic memories, old and new, open for all, music was exciting again! What a change. Now instead of wanting to find a way to make money from the new technology, which of course would have required creativity, the fat smelly execs told their lawyers and politicians to stop it, which they did. We needed a media company that was run by an artist, but of course the art was all out of media companies by that time, if there ever had been art in the media companies (probably not, media is a word like "content" which makes art sound like a business). 
		- But the cat was out of the bag, the train had left the station, the idea was out there, the people knew what could be, and what they wanted.
	- The Weblog story
		- Napster would have happened without the Web. It is just as much a child of email and instant messaging as it is related to the Web. The Web was a whole other thing. Weblogs are of the Web. 
		- This is my version of the story of the invention of the Web. Please understand it's a slice, just one view.
		- Like a lot of technologies people told big stories about something called hypertext, but until <a href="http://www.w3.org/People/Berners-Lee/">Tim Berners-Lee</a> came along there really wasn't something for ordinary people to use. He pushed aside a lot of hairy technical <a href="http://www.useit.com/alertbox/980614.html">issues</a>, didn't even <i>try</i> to solve them, and cobbled together something that was brain-dead simple and incredibly ugly, and it worked and it was wonderful. I overheard <a href="http://www.edge.org/3rd_culture/bios/images/Markoff.jpg">John Markoff</a> of the Times ask at a cocktail party in the early 90s if it was as big as he thought it might be. Remarkably, it was even bigger. In the software world it's the biggest thing that has ever happened.
		- TBL's first website was a weblog. It presented links to other websites in reverse-chronologic order with comments. In the early days of the Web, the really early days (I wasn't there) TBL's weblog was the hub, and every new website was a spoke. Eventually the Web was growing too fast for one man to keep track of it so more weblogs were spawned, first at NCSA, then at Netscape, then a hiatus and then the mass movement of weblogs. 
		- All this happened in five years. An incredible period between 1992 and 1997. Then the focus turned to making the tools easy to use so more people could use them. By 1999, Blogger shipped, then Manila and Pitas, and Groksoup, and LiveJournal, then Radio UserLand and Moveable Type, and dozens of other tools, aimed at every conceivable niche of weblog-land. A competitive market developed, built on protocols and formats that are joyously open and simple. A precious beginning for something that is a loop back to the America envisioned by Jefferson, except of course it isn't just happening in America -- like the Web it's a world wide thing. Maybe the most interesting weblogs today are in countries that have never tasted the kind of creative freedom we've squandered in America.
		- The two stories meet up
		- Now Napster ran into trouble because of an ill-considered legal defense (I'm not a lawyer) and not a great enough set of non-infringing uses. They didn't fail because they failed to get the smelly execs on their side, that was impossible. That would be like Tiny Tim getting Scrooge to be a mensch without seeing any ghosts. That part comes later. 
		- But gradually we're putting together the Napster system as a bootstrap, using the Web as a basis, and we can do it safely because our tools are used by creative people in <i>totally non-infringing ways</i> and in areas where the fat smelly guys are evacuating, the written word. They aren't smart enough to see our end-run. And even if they were, they'd have to convince the Supreme Court to revoke the First Amendment. Don't worry, they've tried, remember the <a href="http://www.epic.org/cda/cda.html">CDA</a>, passed by Congress, signed by the President, but overturned by the court. 
		- <i>That's why it's especially important for creative people, programmers, to work with lawyers. That's why I, a programmer, went to work at a law school and not an engineering school. </i>
		- One day, and that day is coming soon, a creative artist will use the weblog world to distribute a musical meme, good music, a catchy tune, and then sell a CD with a high-res scan of the same music, and that will undermine the smelly assholes and their cronies, forever. Say goodbye. That's their Ghost of Christmas Past, Present and Future. Bing.
		- Weblogs are as important as having good lawyers and organizations like the <a href="http://www.eff.org/">EFF</a> and <a href="http://cyber.law.harvard.edu/">Berkman Center</a>. The lawyers are our defense. Weblogs are the offense. We push forward with weblogs with work that would make Jefferson and <a href="http://sln.fi.edu/franklin/rotten.html">Franklin</a> stand up and cheer. JFK would love what we're doing. We're not asking what the Internet can do for us, we're doing good works for the Internet. 
		- Dave
- Shaking our faith in Google
	- #title "Shaking our faith in Google"
	- #postTime "4/11/03; 2:51:38 AM"
	- Ben Edelman
		- I work in an office next to <a href="http://cyber.law.harvard.edu/edelman.html">Ben Edelman</a>, a Harvard Law student who in his spare time serves as a watchdog and lightning rod for users of the Web. He digs things up that we should be wondering out, like how good is Google, really?  
		- We depend on them being very good, and fair. When we turn on a feature like <a href="http://www.google.com/safesearch_help.html">SafeSearch</a> we expect to have pornography and other content that's not appropriate for children, or sensitive adults, eliminated from search results. But how good are their filters? Does it also filter out sites that talk about pornography; or human sexuality in an educational, non-prurient context? 
		- <a href="http://blogs.law.harvard.edu/2003/04/10#a237">Ben says</a>: "SafeSearch is intended by Google to block pornography and explicit sexual content, but my research indicates that it blocks far more. SafeSearch is easily confused by ambiguous words in web page titles -- like Hardcore Visual Basic Programming, a web page that describes intense programming for experts, without any sexually-explicit content whatsoever."
		- Edelman is a colleague of mine at Berkman Center for Internet & Society. His full <a href="http://cyber.law.harvard.edu/people/edelman/google-safesearch/">report</a> is on the Berkman website, and was written up in an <a href="http://news.com.com/2100-1032-996417.html">article</a> by Declan McCullagh at News.Com. This is something we must ask Google to explain, and any other search company that asks for our support.
		- Dave Winer
- Preacher With a Projection Screen
	- #title "Preacher With a Projection Screen"
	- #postTime "4/18/03; 5:11:32 AM"
	- Harvard Gazette
		- Here's a wonderful story by Beth Potier from this week's <a href="http://www.news.harvard.edu/gazette/2003/04.17/13-blogging.html">Harvard Gazette</a>, run with permission, explaining what's starting to happen with weblogs here at Harvard. 
	- Preacher With a Projection Screen
		- <p><i>By Beth Potier.</i></p>In a conference room in Lamont Library, Dave Winer is evangelizing, doing his best to convert to his cause the University's far-flung Webmasters who've come to this monthly meeting of the Harvard's ABCD committee. Earlier in the week, the Kennedy School of Government's Institute of Politics was his pulpit, and a few hours after his ABCD sermon, he'll reel in a few more believers at the Law School. He's a preacher with a projection screen, and, in his jeans and sneakers looking more like a software developer than a gospel-sayer. 
		- In fact, Winer is a software developer; as founder and CEO of UserLand Software, he created software that facilitates Weblogs. Not coincidentally, it's the wonder of Weblogs - simple personal Web sites that authors frequently update - that Winer is preaching as a fellow at the Berkman Center for Internet and Society at Harvard Law School (HLS). 
		- Not only are Weblogs ("blogs" to those in the know) getting a buzz as the Internet's next big thing, but Winer and the Berkman Center think blogging might change pedagogical practices at the University and create community on Harvard's famously decentralized campus. 
		- "Weblogs really are the cutting edge of Web publishing at the moment," says Berkman Center Executive Director John Palfrey '94. "[The Berkman Center] felt we had to be doing some interesting research in that space. So we sought out what we thought was a terrific person to evangelize the use of Weblogs on the Harvard campus." 
	- What a personal Web site is in 2003
		- Winer, one of blogging's pioneers and a former columnist for Wired magazine, fit the bill. His own technology-oriented Weblog, Scripting News (www.scripting.com), is perhaps the Internet's longest running. It's also an instructive example of what a Weblog is -- and isn't. 
		- "A blog is like a personal newspaper," says Winer. "It's sort of publishing on a small scale." Blogs are generally chronological, updated regularly with the most recent posting at the top, and relative: "You're often writing about something other people have written," he says. A recent post on Scripting News, for instance, refers readers to The Crimson's article describing Dean Harry Lewis' efforts to crack down on students caught sharing copyrighted songs and movies online, as well as to Palfrey's blog that comments on that matter. Palfrey's blog, in turn, points readers to resources for copyright law. 
		- A blog is not, Winer is quick to note, a mail list or a discussion group, where many parties can participate equally. Indeed, he says, this autonomy of voice gives blogs what he feels is a distinct advantage. 
		- "Mail lists often grind to a halt because they have to get consensus. Blogs don't have to get consensus," he says. "The magic of a Weblog is that it can move." Indeed, Winer's and other Weblogs are unabashedly personal in their editorializing, commenting without abandon on everything from technology-related rulings to new products to Boston's harsh "spring" weather. 
		- "It really is what a personal Web site is in 2003," says Winer. 
	- Building intellectual bridges
		- At the Berkman Center, Winer and Palfrey cautiously claim the new Weblogs at Harvard Law project to be the first blogging initiative at a major educational institution. Since Winer arrived from Silicon Valley in March, he's been simultaneously educating the University about Weblogs and debugging his Manila software, which provides an easy-to-use interface for would-be bloggers. Weblogs at Harvard Law (blogs.law.harvard.edu) offers a Weblog to anyone -- students, faculty, staff, alumni -- with a harvard.edu e-mail address. The Berkman Center hosts the blogs on a dedicated server, provides software and support, and aggregates and ranks Harvard's blogging activity to create a community of bloggers. 
		- It's the bright promise of creating intellectual community among Harvard's discreet "tubs" that launched Weblogs at Harvard Law. The initiative arose, says Palfrey, from a conference the Berkman Center sponsored in November 2002 called "What Is Harvard's Digital Identity?" At that conference, Provost Steven Hyman challenged the assembled deans, faculty members, and technology-forward administrators to harness the Internet to build intellectual bridges that would facilitate the flow of information and ideas between the University's disparate schools and centers. 
		- "There's absolutely no doubt in my mind that Weblogs are the technology for doing exactly that," Winer says. "It is an incredible medium for sharing ideas and information. There's a big bright promise for the future." 
	- Early signs of success
		- With the Weblogs project in its infancy, not all early blogs on the Berkman Center server take an intellectual tack. Among the blogs probing technology, politics, and culture are pictures of a blogger's dog, praise of the produce selection at the local Bread and Circus grocery store, and a rant about one blogger's lousy mood. 
		- "I want to be really careful not to claim victory before we have victory," says Winer, acknowledging repeatedly that he's just beginning to probe the promise of blogging at Harvard. 
		- Still, Winer is convinced of blogs' power to link at least some of Harvard's distinct intellectual voices and ideas. 
		- To him, success will be creative, interesting applications of blogging technology. As he spreads the gospel of blogs, such applications are springing up. From a recent talk at the Kennedy School, for instance, arose the idea of covering the next New Hampshire presidential primary elections from the perspectives of Harvard bloggers from around the University. At the ABCD meeting, a Graduate School of Education student describes his Weblog, which observes the vibrant blogging community in Iran. 
		- Weblogs and the academy, which both trade in the currency of ideas and information, are natural partners, says Winer. 
		- "The idea of having a laboratory like Harvard University for learning about this technology is incredible," he says.
- Citizen bloggers in New Hampshire?
	- #title "Citizen bloggers in New Hampshire?"
	- #postTime "4/30/03; 3:52:12 AM"
	- Note to regular readers
		- This is an op-ed piece I've written for <a href="http://www.thecrimson.com/article.aspx?ref=347932">The Harvard Crimson</a>, the student newspaper of Harvard College. I've asked for permission to distribute it via email and to post it on my essay site, and they said yes. Because of space constraints in print, this version is slightly longer. 
		- I find this way of writing awkward because I'm not really a print writer. By writing it on the Web I hope to trick my mind into thinking this is a normal piece. Wish me luck! 
		- As this piece was in process a <a href="http://www.washingtonpost.com/wp-dyn/articles/A53618-2003Apr29.html">column</a> appeared in the Washington Post written by Howard Kurtz that almost got the key idea here. He talked about candidate weblogs in 2004 <a href="http://www.userland.com/whatIsDisintermediation">disintermediating</a> professional journalists. I don't believe in that scenario. I believe in citizen journalists informing other citizens, disintermediating both the professional journalists and the professional politicians and their pollsters. Nonetheless, Kurtz got close, and I wanted to get this idea out while it's still fresh -- I wanted the scoop. Read on.
		- Note to reviewers, this part should not appear in The Crimson.
	- Greetings
		- Hello, my name is Dave Winer. I am a Web writer and programmer, and I write in the style of my medium and profession. I know my style may seem unusual for this publication, but that's as much a part of this piece as its topic, what's going on with Weblogs in democracy and politics and other humanities.
		- I'm also a newly minted fellow at Berkman Center at Harvard Law School. I am not a lawyer, or as we say on the Web, IANAL. But I work with lawyers. That doesn't make me a bad person. Please don't hate me. Like cholesterol there are good lawyers and bad lawyers. I work with the good ones. 
	- Weblogs, defined
		- As an expert on weblogs, I'm often asked what they are.
		- I like to say that there are two definitions, one narrow, one broad. Narrowly, a weblog is a site written by one person or a small number of people, in a personal style, presented chronologically, generally not for pay. 
		- More broadly, a weblog is what a personal website is in the early 21st century. The software used to edit a weblog is both easier and more powerful than personal website software of the 1990s. The innovation in weblog software is that engineers, like myself, have learned how to make writing for the Web easier, while the users have learned more, and therefore are able to do more. In the future both trends should continue. This has been the process of publishing on computers ever since the first CPU crawled on land and said Hello World.
	- The Web at Berkman
		- At Berkman our job is to understand and help the Web. In the early days of the Internet much of the innovation happened at the great engineering schools, MIT, Berkeley, Illinois, Utah, Carnegie-Mellon. Now the Internet is entering a new phase, and the action is in the humanities, the liberal arts, business, law, education, journalism, design, medicine, even religion and certainly politics. 
		- My interest, as a software developer, is the Web as a writing environment. The current state of the art in writing on the Web is the phenomenon of Weblogs, which have been written about far and wide, but in many ways are still just getting started. 
		- Where much of what Berkman does is defensive, protecting the Bill of Rights, especially the First Amendment, in the context of the Internet, I represent the offense. My job is to help people use the Web to exercise rights in clearly non-infringing ways. If the people I help get in trouble with the government, so the theory goes, our country and perhaps the world is in serious trouble.
	- An example
		- An example of weblogs at work. In early April, Harvard College dean Harry Lewis published a <a href="http://www.college.harvard.edu/dean/dmca.html">letter</a> about copyright on the Internet. Shortly thereafter Wendy Seltzer, a fellow at Berkman published a <a href="http://blogs.law.harvard.edu/seltzer/2003/04/18#a13">critique</a> of Dean Lewis's policy. Seltzer is an expert on copyright on the Internet, and her opinion, very respectfully stated, while critical of Dean Lewis, was of obvious interest to the community defined by our weblog. So I <a href="http://blogs.law.harvard.edu/2003/04/18">linked</a> to Wendy's piece, and the Dean's letter, without comment, from the main Berkman weblog. 
		- All this happened very quickly, in hours, and while the University has justifiably expressed an interest in our use of the Harvard name and logo, the comment from Seltzer, and our inclusion of it on the Berkman blog, caused no waves. I find this very gratifying -- weblogs are playing a valuable role in respectful debate among powerful and informed people. The Dean had to do his job, and we had ours. This is scholarly discourse in the age of the Web, it's quick -- and thoughtful. It's everything I hoped it would be when I accepted the fellowship at Berkman.
	- How big are they?
		- I think weblogs are a very big idea. In fact I have a <a href="http://www.longbets.org/2">bet</a> with Martin Nisenholtz of The New York Times, saying that by 2007 the top stories in world news will break on weblogs. This is not a merely a bet between gentlemen, there's real money on the line. I'm sure I will win.
		- We're returning to what I call amateur journalism, people writing for the public for the love of writing, without any expectation of financial compensation. This process is fed by the changing economics of the publishing industry which is employing fewer reporters, editors and writers. But the Web has taught us to expect more information, not less, and that's the sea-change that the big publications face -- how to remain relevant in the face of a population that can do for themselves what the BigPubs won't. 
	- Citizen bloggers in New Hampshire?
		- One of the best ideas I've heard so far came from Mike Clough, a foreign policy expert I met at Berkman. The idea is to somehow give a weblog to any New Hampshire voter who wants one, and then, much as I'm helping people at Harvard get started, we work together to help the citizens of New Hampshire get started. 
		- Citizen bloggers covering the candidates for US president. Everyone who hears the concept goes Hmm, that might work. More than anything, I want the US presidential election of 2004 to be a real election, to mean something. I wonder if many other citizens feel the same way? 
		- New Hampshire, so close to Cambridge, and with the technology so ripe, and the candidates so willing, it seems we may actually be able to route around the professional press and make something real happen this election cycle. 
		- I'll be visiting Dartmouth College (in New Hampshire) on May 9, and then will return during the summer, perhaps often, to interview candidates, and write about it on my weblog. 
	- Our server is open
		- We're just getting started with weblogs here at Berkman. We've opened a server, where anyone with a harvard.edu email address can <a href="http://blogs.law.harvard.edu/createSite/">create</a> a free weblog. Our hope is that many people will take us up on this offer, and we can explore the potential of this new medium together. 
		- Toward that end we have regular meetings every Thursday at Berkman, 7PM, see <a href="http://blogs.law.harvard.edu/thursdays">our weblog</a> for details. Every meeting we spend about one hour reviewing the software, I answer questions, take requests, and drill the core stuff every week, so that newbies always learn something, and always feel welcome. Then we spend about a half-hour talking about what we're learning and sharing ideas on how the technology might be better used. 
		- Dave Winer
- If you want to be in Google, you gotta be on the Web
	- #title "If you want to be in Google, you gotta be on the Web"
	- #postTime "5/18/03; 9:26:01 AM"
	- First the Register, now the NY Times
		- A few weeks ago a colleague of mine at Berkman Center, James Moore, published a rant about a theoretical <a href="http://cyber.law.harvard.edu/people/jmoore/secondsuperpower.html">Second Superpower</a>, formed from elements in the west that don't think and act like the Republican Party. I'm summarizing grossly, read Jim's paper, it's a thoughtful gem. 
		- Andrew Orlowski, who writes at the Register, did a Google <a href="http://www.google.com/search?&q=second+superpower">search</a> for "second superpower" and discovered that Moore's article was the first hit. This is not surprising because a number of A-list bloggers, including yours truly, had <a href="http://scriptingnews.userland.com/2003/03/31#le1ef693be362661465a0057b756aa3ff">pointed</a> to it. Google gives us considerable power, because of our longevity and regularity and incoming and outgoing pointers. Popular weblogs can confer a lot of page-rank, and that's a good thing, imho. 
		- Orlowski <a href="http://www.theregister.co.uk/content/6/30087.html">thought</a> this was bad because he had read an article in the NY Times earlier in the year that used the Second Superpower term before Moore did. Somehow, in a perfect world, Orlowski reasoned, Google would remember not only that the Times had used the term first, but that somehow the Times is more important than weblogs. Pfui. The Times can't possibly be a factor in Google searches for the simple reason that the Times archive is not accessible to Google. It's behind a for-pay firewall. Can't get there from here. 
		- Weblogs, on the other hand, are not only on the Web, but beautifully organized for search and retrieval. Google is just indexing what's on the Web. Most print pubs aren't there. Not much more to say. Except the Times jumps on board the bandwagon today, in the News Of The Week In Review, Geoffrey Nunberg <a href="http://www.nytimes.com/2003/05/18/weekinreview/18NUNB.html">repeats</a> Orlowski's story and theory, and like Orlowski, either doesn't understand the relationship to being on the Web and being in a search engine, or chooses not to clue his readers in.
		- There's basically a very simple rule. If you want to be in Google, you gotta be on the Web. 
		- Dave Winer
		- PS: The Times piece, like the Register piece, makes a lot of derogatory and condescending statements about bloggers. An example -- "the Web is a tool that enables people who have a life to benefit from the efforts of those who don't." This kind of writing is unbecoming a paper of the stature of the Times, and probably reflects a bias, perhaps even a conflict of interest, on the part of the author of the article and the editorial staff at the Times. This is not the first time this has happened. I've written about this publicly many times. The editors of the Times have yet to respond. 
		- PPS: These days respected professional journalists have weblogs. Even fellows at Harvard Law School have weblogs. Someday perhaps the NY Times will employ writers with weblogs. 
- Who will pay for software?
	- #title "Who will pay for software?"
	- #postTime "5/24/03; 4:12:25 AM"
	- Who will pay?
		- For the last few weeks I've been asking anyone who will listen if it isn't weird that our economy is based on software, more and more, yet users don't want to pay for software. 
		- In the same breath I express sympathy for the music industry, because they're going through the same devaluation we went through in software in the 80s and 90s. An average song is a bit bigger than the average software program of ten or twenty years ago, so it has taken a while for the distribution pipes to catch up. Today songs travel freely over the Internet, some people are optimistic about people paying -- I am not.
		- In the NY Times on Thursday, a stirring <a href="http://www.nytimes.com/2003/05/22/opinion/22ULLM.html">op-ed piece</a> by Ellen Ullman, about what we've lost in software. In the 90s it was common for two or three generations of software developers to work in the same organization. There was a handing-down of ideas, practices, tradition -- the verbal history of how things came to be as they are, Ullman says. After the dotcom bust software is becoming a detail, again, something that workmen do, not artists. We lost something important when our folk heroes became the 20-something instant-multi-billionaire CEO. There's so much more to software than that, there really is. As I mentioned above, our whole economy is based on it. Our culture is too. 
		- I went to academia to re-find my roots, to find something that worked, to see if it can work again. In the 60s and 70s at Stanford University, professors worked with students to find ideas worth implementing. Financiers invested (see <a href="http://scriptingnews.userland.com/2003/05/26#When:4:00:22PM">correction</a>), and gave back to the university so the next generation of technology entrepreneurs could be educated, nutured and launched. Today the challenge is more subtle, we're at a point of convergence where the liberal arts, music, writing, film; are ready to merge with the technological arts. That's why a university like Harvard is so well-positioned to lead the way in a rebirth of the university-rooted incubation system for technology.
		- Ultimately we'll have to find an answer to this question, or find that it has no answer. Who will pay for software and how will they pay? Today software and music, software and writing, software and all kinds of creativity, are indistinguishable. There is no clear line dilineating where one ends and the other starts. Nor is there a line between people. To be creative in either technology or the arts requires an understanding of both.
		- Dave Winer
		- PS: Thanks to Chris Lydon for a great lunch conversation yesterday where all this came together for me.
		- PPS: There's an <a href="http://davenet.userland.com/2003/05/27/whoWillPayPart2">addendum</a> to this column.
- Who will pay, part 2
	- #title "Who will pay, part 2"
	- #postTime "5/27/03; 6:17:03 AM"
	- You pay one way or the other
		- There's been a bit of discussion about my last DaveNet <a href="http://davenet.userland.com/2003/05/24/whoWillPayForSoftware">piece</a>, mostly users talking about what they're willing to pay, as if they have all the power. They don't. 
		- The power of the software developer <i>not to develop</i> is largely silent, so people often don't consider it. Sure the original author may toil at a money-losing labor-of-love long past the point where it has been proven not to be viable, but what about the people he or she is not hiring, the manual writers, testers, more programmers, a sales person, a marketing person perhaps, to work on ease of use and to keep the website current. How about a couple of tech support people (so they can take a vacation once in a while, it's a tough job). It goes without saying, I hope, that these people don't work for free. So if you don't want to pay, you can't have any of it. 
		- A professional software organization for a well-supported product has 10-20 people, maybe as many as 30 to 40. So when you hear yourself complaining about software quality, think about how much money the developer of the product has to fully support it. Could you run a car in the <a href="http://www.indy500.com/">Indy 500</a> with no money? You could try, and that's what a lot of software developers do, to no avail. Sooner or later you have to pay the bills. It costs money to live. That's as true of software as it is of people.
		- When I say there's no money for software, that's not a literal statement, of course. Sure there is some money. When you buy a new computer you probably pay a hundred dollars for software, most of it going to Microsoft. So they've figured out how to get money to flow. And if you pay $10 or $20 to use a piece of software, the software isn't paid-for if the software isn't generating enough money to be fully supported or developed. You can certainly feel good about giving the money, but you're probably not going to get what you want or think you deserve in the way of support or upgrades for that kind of money.
		- Let's say you spend 100 hours a year using a piece of software and assume your time is worth $50 per hour. So that's $5000 of your time flowing through the software. How much self-respect is there in paying nothing for software that leverages so much of your time?
		- It gets worse. If you're like most people you're paying bills and buying stuff using software. So even if you don't want to pay for the time-leverage software delivers, would you pay money to keep your money safe? Mark my words, as a software engineer, there's a security meltdown coming. Our money-handling system is not secure. Look into identity theft, esp if you're a software engineer. What happens when someone else spends your money? Do you think you're liable for that? Check it out. (In most cases you are.)
		- It just seems silly. I pay $1 to ride the subway downtown. It costs $300 to fly to NY and back (two hours in the air). A cab ride to the airport -- $40. My monthly rent is in the thousands. Medical insurance about $10,000 per year. Everything costs money. So does software. Don't fool yourself.
		- If you don't pay, the bottom-line is that you lose. It may look like you're not losing, but you are. If you paid nothing for health care, you'd likely die sooner. If you pay nothing for software, you probably won't die from it, but you may lose data, you're virtually certain to waste time, and at some point, money.
		- Dave Winer
		- PS: A correction to Saturday's <a href="http://davenet.userland.com/2003/05/24/whoWillPayForSoftware">column</a>. "Financiers invested, and gave back to the university so the next generation of technology entrepreneurs could be educated, nutured and launched." It wasn't clear that financiers invested in the companies started by the students, not in the work done at the universities. The bug was caught by <a href="http://blogs.law.harvard.edu/minskypic">Marvin Minsky</a> of MIT. (!)
- New York Times Archive and Weblogs
	- #title "New York Times Archive and Weblogs"
	- #postTime "6/6/03; 5:13:07 AM"
	- <i>This story will run on Monday June 9.</i>
	- <rules>
		- <rule level="1" to="1">
			- <internalLink></internalLink>
			- <textStyle>bold</textStyle>
			- </rule> 
		- </rules>
	- Weblogs keynote
		- On Monday I am giving the opening keynote at the Jupiter weblogs <a href="http://www.jupiterevents.com/blog/spring03/">conference</a> in Boston. I'll start by talking about what makes a weblog a <a href="http://blogs.law.harvard.edu/whatMakesAWeblogAWeblog">weblog</a>, how they differ from sites created by large organizations and reflect the thoughts and experience of an individual. I also want to talk about the role weblogs play in the journalism of the future, now that anyone with a mind and a weblog is a reporter.
		- I will also talk about my recent experiences working with the New York Times on their archive policy as it relates to weblogs. And that's the subject of this piece, an advance on how the new archive system works at the Times.
	- Background
		- In September 2000, the Times initiated a new policy re archives. All material on the Times website posted before September 2000 would remain openly accessible without charge, as it had been since the inception of the website, but material posted subsequently would be public for seven days, and then would cost $2.95 to access through the archive. They changed the policy in 2000, but, key point, they didn't change the software, and since most people didn't read the agreement, including yours truly, we were not aware of the change.
		- Then in April 2003, the Times implemented the policy. All of a sudden the archive of my weblog, which frequently points into the Times archive, had lots of broken links. I wrote several DaveNet <a href="http://davenet.userland.com/2003/04/03/nyTimesPullsBack">pieces</a> <a href="http://davenet.userland.com/2003/04/05/thePaperofrecord">lamenting</a> the change. Then the Times, apparently taking note of my writing, changed the policy and once again the archive was <a href="http://davenet.userland.com/2003/04/07/nyTimesArchiveIsBack">open</a>. Then I got an email from Martin Nisenholtz, CEO of New York Times Digital saying that they would switch back to the closed archive again. Rather than mirror the current state of their archive every time there was a change, we began an offline conversation so I could get educated on their business issues, and they could learn more about how it looked from a weblog writer's point of view, and we could see if there wasn't some way to accomodate both. Happily, I think we found a way.
	- Common goal
		- The Times sees itself as the newspaper of record; it's only natural that it wants to extend that to the Web where it would like to be the news source of record. However, with a closed archive, and broken links from weblogs, it's impossible for the Times to achieve that goal. 
		- From the weblog writer's point of view, even if the Times isn't always correct, even I don't always agree with what they say, I do believe that what they say is important. Without constraints, I will point into the Times archive regularly. In the brief period where I thought it wouldn't work out, I really felt a loss by not having the Times as a full participant in the Web that I write for. 
		- But we did come up with a solution that I think works; a simple way for the Times to maintain its revenue stream from its archive, yet remain open to weblog authors.
	- How it works
		- Check out the New York Times <a href="http://backend.userland.com/directory/167/feeds/newYorkTimes">RSS feeds</a>, which are maintained in partnership with UserLand Software, the company I founded, and am majority shareholder of. If you look at the URLs of each of the stories, you'll see that there's information encoded after the question mark. I've included an example below.
		- http://www.nytimes.com/2003/06/06/business/media/06REAC.html?ex=1370318400&en=8ff05c6562960005&ei=5007&partner=USERLAND
		- The special coding tells the Times's server that the link is coming from a weblog, and now and in the future, this link will work without a fee to access the archive. So if you link into the Times archive through a link generated by the Radio UserLand aggregator, or compatible software, the link will continue to work in the future, as long as there is no substantial abuse to this system. 
		- As I undestand it, the Times wishes to encourage people with weblogs to point to and comment on New York Times articles, but it also must protect sources of revenue that are not related to weblogs. 
		- Dave Winer
		- PS: If you have questions or comments, I've created a <a href="http://blogs.law.harvard.edu/2003/06/06#a440">space</a> to do so.
- NY Times Archive, Weblogs and RSS
	- #title "NY Times Archive, Weblogs and RSS"
	- #postTime "6/16/03; 4:12:13 AM"
	- About Web archives
		- As news organizations like the San Jose Mercury News or the New York Times publish on the Web, they accumulate an archive of stories from the past, last week, last month, last year, etc. The Mercury and the Times were two of the first news organizations to publish on the Web, so their early issues, dating back to the mid-90s form a history of the Web. But there's one important difference, the Mercury archive is long gone and the Times archive is largely intact. One news organization burns their archive, the other hires curators to care for the archive. One sells news and ads, the other strives to be the paper of record (and sells news and ads).
		- Archives are one of the greatest things about the Web, they accumulate our history, and if lots of sources archive reliably, we get to view the history from many perspectives. As more information shows up on the Web, more of the past will be documented. Today, there are people in their teens who can read about events that happened in their infancy, on the Web. I think that's very cool. As that generation grows up, they will expect to find things on the Web.
		- Of course news archives are not a new idea. When I grew up I read about the Great War and World War II on the NY Times microfilm archive available at the New York public library. I didn't pay to access this archive. To a child who loved history, there was something special about reading of famous events in the words of people who were there when they happened. Their point of view is preserved; even if they are dead, their thoughts and ideas live on.
	- Sidebar
		- Before moving on to the story of the New York Times archive, three notes.
		- 1. Brewster Kahle's <a href="http://archive.org/">archive.org</a> is doing a wonderful job of preserving the Web. Kahle became a mega-millionaire when he sold his company to AOL in the early days of the dotcom boom. It's great to see him put his money to such good use. Bravo.
		- 2. The Harvard Crimson, the student newspaper of the university where I have a fellowship, has a Web <a href="http://www.thecrimson.com/archives.aspx">archive</a> that goes back to 1900. That may be the deepest free and open archive on the Internet. If there are others I certainly would like to hear about them.
		- 3. Other organizations that claim near-perfect archives: the <a href="http://news.bbc.co.uk/hi/english/static/advquery/advquery.htm">BBC</a> and <a href="http://www.guardian.co.uk/Archive/">Guardian</a> in the UK. The BBC is funded by public money, an important consideration; the Guardian is the beneficiary of the <a href="http://www.gmgplc.co.uk/gmg/scotttrust">Scott Trust</a>.
	- A public, for-profit corporation
		- <a href="http://www.nytco.com/company.html">The New York Times Company</a> is a publicly-held company, listed on the New York Stock Exchange. It is not government funded, as the BBC is. It's a for-profit corporation. 
		- On their corporate Web page, they say "The Company's core purpose is to enhance society by creating, collecting and distributing high-quality news, information and entertainment." That's certainly consistent with what we know about the Times, but it's also necessary to add that the Times exists to create value for shareholders.
		- So, while they wish to be the paper of record, their first purpose is ROI for their shareholders. Given a choice between serving the public good and serving the interests of their shareholders, they must choose the latter. This isn't wrong, it's the nature of what they are, a public, for-profit corporation.
	- Free subscription required? Not always
		- If you browse the Times website, www.nytimes.com, you must be logged on with a username and password, which is available at no charge. The term for this is "Free subscription required." You'll often see this disclaimer next to links to Times articles from weblogs. It's such a well-known policy that many sites leave it out, assuming the reader knows that the username and password will be requested.
		- There's a little-known exception to this rule. If you're browsing from a site that has a previously-established relationship with the Times, the free-subscription requirement is waived. The company I founded, UserLand Software, has such a relationship with the Times, so when I point to a Times article from my weblog, I don't have to say "Free subscription required," because it is not required. You can click through even if you're not logged onto the Time site. 
	- How the Times archive works
		- Now I'm going to try to explain, as simply as possible, how the Web archive of the Times works.
		- First, they charge $2.95 per article to access articles that are over seven days old. I have been told, and accept at face value that the archive is a profitable business for the Times, it's an important part of their business model.
		- However, if you point to an article in the Times archive from a weblog, if you use a URL that comes from one of the Times's <a href="http://backend.userland.com/directory/167/feeds/newYorkTimes">RSS feeds</a>, provided in partnership with UserLand, there is no access fee for your readers. This works for any kind of weblog, not just ones created with UserLand's weblog tools, as long as you use a URL from the RSS feeds. 
		- This method is a compromise, it's certainly not the best we could wish for, but imho, it's good enough. I can point to Times articles, and so can everyone else, and our archives will continue to work over time. You probably have to use an <a href="http://backend.userland.com/directory/167/aggregators">aggregator</a> to read the Times, if you run a weblog and want to point to Times articles, but imho, if you're serious about weblogs and news, you're probably already doing it this way. The Times business model is protected, and we may have established a template for other publications to continue to charge for access to their archive, yet remain open to weblog writers. 
		- I've started a new <a href="http://backend.userland.com/2003/06/16#a265">page</a> for pointers to the Times RSS feeds, notes and answers to questions that come up.
		- Dave Winer
		- PS: ROI stands for Return On Investment.
- NY Times Archive, Weblogs and RSS
	- #title "NY Times Archive, Weblogs and RSS"
	- #postTime "6/16/03; 4:12:13 AM"
	- About Web archives
		- As news organizations like the San Jose Mercury News or the New York Times publish on the Web, they accumulate an archive of stories from the past, last week, last month, last year, etc. The Mercury and the Times were two of the first news organizations to publish on the Web, so their early issues, dating back to the mid-90s form a history of the Web. But there's one important difference, the Mercury archive is long gone and the Times archive is largely intact. One news organization burns their archive, the other hires curators to care for the archive. One sells news and ads, the other strives to be the paper of record (and sells news and ads).
		- Archives are one of the greatest things about the Web, they accumulate our history, and if lots of sources archive reliably, we get to view the history from many perspectives. As more information shows up on the Web, more of the past will be documented. Today, there are people in their teens who can read about events that happened in their infancy, on the Web. I think that's very cool. As that generation grows up, they will expect to find things on the Web.
		- Of course news archives are not a new idea. When I grew up I read about the Great War and World War II on the NY Times microfilm archive available at the New York public library. I didn't pay to access this archive. To a child who loved history, there was something special about reading of famous events in the words of people who were there when they happened. Their point of view is preserved; even if they are dead, their thoughts and ideas live on.
	- Sidebar
		- Before moving on to the story of the New York Times archive, three notes.
		- 1. Brewster Kahle's <a href="http://archive.org/">archive.org</a> is doing a wonderful job of preserving the Web. Kahle became a mega-millionaire when he sold his company to AOL in the early days of the dotcom boom. It's great to see him put his money to such good use. Bravo.
		- 2. The Harvard Crimson, the student newspaper of the university where I have a fellowship, has a Web <a href="http://www.thecrimson.com/archives.aspx">archive</a> that goes back to 1900. That may be the deepest free and open archive on the Internet. If there are others I certainly would like to hear about them.
		- 3. Other organizations that claim near-perfect archives: the <a href="http://news.bbc.co.uk/hi/english/static/advquery/advquery.htm">BBC</a> and <a href="http://www.guardian.co.uk/Archive/">Guardian</a> in the UK. The BBC is funded by public money, an important consideration; the Guardian is the beneficiary of the <a href="http://www.gmgplc.co.uk/gmg/scotttrust">Scott Trust</a>.
	- A public, for-profit corporation
		- <a href="http://www.nytco.com/company.html">The New York Times Company</a> is a publicly-held company, listed on the New York Stock Exchange. It is not government funded, as the BBC is. It's a for-profit corporation. 
		- On their corporate Web page, they say "The Company's core purpose is to enhance society by creating, collecting and distributing high-quality news, information and entertainment." That's certainly consistent with what we know about the Times, but it's also necessary to add that the Times exists to create value for shareholders.
		- So, while they wish to be the paper of record, their first purpose is ROI for their shareholders. Given a choice between serving the public good and serving the interests of their shareholders, they must choose the latter. This isn't wrong, it's the nature of what they are, a public, for-profit corporation.
	- Free subscription required? Not always
		- If you browse the Times website, www.nytimes.com, you must be logged on with a username and password, which is available at no charge. The term for this is "Free subscription required." You'll often see this disclaimer next to links to Times articles from weblogs. It's such a well-known policy that many sites leave it out, assuming the reader knows that the username and password will be requested.
		- There's a little-known exception to this rule. If you're browsing from a site that has a previously-established relationship with the Times, the free-subscription requirement is waived. The company I founded, UserLand Software, has such a relationship with the Times, so when I point to a Times article from my weblog, I don't have to say "Free subscription required," because it is not required. You can click through even if you're not logged onto the Time site. 
	- How the Times archive works
		- Now I'm going to try to explain, as simply as possible, how the Web archive of the Times works.
		- First, they charge $2.95 per article to access articles that are over seven days old. I have been told, and accept at face value that the archive is a profitable business for the Times, it's an important part of their business model.
		- However, if you point to an article in the Times archive from a weblog, if you use a URL that comes from one of the Times's <a href="http://backend.userland.com/directory/167/feeds/newYorkTimes">RSS feeds</a>, provided in partnership with UserLand, there is no access fee for your readers. This works for any kind of weblog, not just ones created with UserLand's weblog tools, as long as you use a URL from the RSS feeds. 
		- This method is a compromise, it's certainly not the best we could wish for, but imho, it's good enough. I can point to Times articles, and so can everyone else, and our archives will continue to work over time. You probably have to use an <a href="http://backend.userland.com/directory/167/aggregators">aggregator</a> to read the Times, if you run a weblog and want to point to Times articles, but imho, if you're serious about weblogs and news, you're probably already doing it this way. The Times business model is protected, and we may have established a template for other publications to continue to charge for access to their archive, yet remain open to weblog writers. 
		- I've started a new <a href="http://backend.userland.com/2003/06/16#a265">page</a> for pointers to the Times RSS feeds, notes and answers to questions that come up.
		- Dave Winer
		- PS: ROI stands for Return On Investment.
- Boucher on Hatch; Microsoft aims at Google
	- #title "Boucher on Hatch; Microsoft aims at Google"
	- #postTime "6/18/03; 10:42:40 AM"
	- Two scoops, one day
		- These days it's unusual to have two DaveNets in one day, most of the action is on my various websites and weblogs, but today we have two interesting scoops, and it's worth spreading the news a little more broadly than usual.
	- Cone on Boucher on Hatch
		- Senator Orrin Hatch (R-UT), previously thought to be a friend of music-on-the-Internet, <a href="http://news.bbc.co.uk/1/hi/entertainment/music/2999780.stm">yesterday</a> called for destroying computers used to distribute music in violation of copyright law. Side-stepping issues of punishment fitting the crime, the Senator possibly isn't aware that such a dragnet would almost certainly snare non-infringing users, and punish them for sharing music that they are legally permitted to share. 
		- For example, if I have an MP3 audio recording of a speech I made and recorded with my own equipment, and publish it on my own server, Mr Hatch's robot might conclude I was a pirate and destroy my recording and possibly my computer. Needless to say this would be wrong. 
		- It's not the first time such an idea has floated in Congress. Last year, US Representative Howard Berman (D-CA) <a href="http://www.politechbot.com/docs/berman.coble.p2p.statement.072502.html">introduced</a> a bill that would have eliminated penalties for damage caused to users' computers when music industry robots erase copyrighted works over the Internet. Such a bill would legalize hacking, usually a prohibited act (along the lines of breaking and entering) for the RIAA and its contractors. 
		- Ed Cone, an enterprising journalist with a weblog, thought to call another Representative, Rick Boucher (D-VA), to find out what he thought of Hatch's idea, and got an on-the-record <a href="http://radio.weblogs.com/0107946/2003/06/18.html#a557">statement</a> saying it's very unlikely that such legislation would make it through Congress.
	- MSNBot
		- Now for scoop number two. Jeremy Zawodny, an engineer at Yahoo, noted a new agent named MSNBot crawling his site. He wrote a speculative <a href="http://jeremy.zawodny.com/blog/archives/000797.html">weblog post</a> about it, and I pointed from Scripting News. An hour later I got an email from an engineer who had interviewed at Microsoft for a job in the group that wrote and runs MSNBot, which, he says, is an important development.
		- <a href="http://scriptingnews.userland.com/msnBot">The entire email</a> is on my weblog. Summary: Microsoft is employing the same strategy re Google that worked so well with Netscape. They offered to buy Google, but were turned down. Search makes $150 million in profit for Microsoft, with a staff of 50, making it one of the most profitable activities for them. Search will be baked into the next version of Windows, codenamed Longhorn. 
		- Dave Winer
- What makes a weblog a weblog?
	- #title "What makes a weblog a weblog?"
	- #postTime "6/18/03; 6:10:44 AM"
	- What are they?
		- As part of my work at Berkman Center, where we're studying weblogs and learning how to apply them in academia, I wanted to get closer to a definition, to try to answer the question posed by the title of this piece. 
		- Rather than saying "I know it when I see it" I want a list all the known features of weblog software, but more important, how a weblog is different from a wiki, or a news site managed with software like Vignette or Interwoven. I draw from my experience developing and using weblog software (Manila, Radio UserLand) and using competitive products such as Blogger and Movable Type. 
		- I had originally planned to publish this piece via email, but the work continues, and rather than freeze it in time, I wanted to give it a chance to continue to evolve, especially the bibliography, which may be the first of its kind.
	- Pointer
		- I hope you take the time to consider this approach to defining weblogs, and if you have ideas and/or information to add, please send them my way.
		- http://blogs.law.harvard.edu/whatMakesAWeblogAWeblog
		- Dave Winer
- BBC Archive, Weblogs and RSS
	- #title "BBC Archive, Weblogs and RSS"
	- #postTime "6/24/03; 2:01:24 PM"
	- 68 new feeds
		- The BBC first produced a limited number of RSS feeds in <a href="http://scriptingnews.userland.com/backissues/2002/09/03">September 2002</a>. At the time they said they would extend the feeds to cover the entirety of their publication. Today they did so, releasing sixty-eight new feeds, broken down by geography and area of interest. 
		- You can subscribe to news of Northeastern Wales, Africa, Iraq, e-commerce, health, education or news of summer music festivals in Britain. Every bit of content on the BBC website is now also accessible through syndicated RSS feeds, and can easily be incorporated in weblogs. They have an excellent record re <a href="http://www.webopedia.com/TERM/L/linkrot.html">linkrot</a>.
		- A list of the new feeds is at this address:
		- http://backend.userland.com/2003/06/24#a302
		- This is a milestone in the world of open syndication on the Internet. I can't recall a day when so much great content came on line. Bravo BBC.
		- Dave Winer
		- PS: The BBC is non-commercial and government <a href="http://www.bbc.co.uk/info/running/">funded</a>. Their archive is open and free to all who want access, anywhere in the world. Paid for by British taxpayers, it's a dividend to a former colony, for borrowing their language. ";->"
- Chris Lydon Speaks of Ralph Waldo Emerson and Weblogs
	- #title "Chris Lydon Speaks of Ralph Waldo Emerson and Weblogs"
	- #postTime "7/1/03; 2:38:15 PM"
	- Audio blogging
		- From time to time I open DaveNet to a guest columnist whose writing inspires me, whose inspiration I wish to share, as far and wide as possible. Today's guest piece was spoken, not written, by <a href="http://blogs.law.harvard.edu/lydon/">Christopher Lydon</a>, a very good friend, and fellow fellow at Berkman Center. Chris, like me, is studying weblogs, a new medium. We're trying to figure out what they are and what they mean. 
		- Chris is a former New York Times reporter, television news anchor, candidate for mayor of Boston, and host of The Connection on National Public Radio. Chris's show was much like a weblog. He has a golden voice and deep ideas. He recently wrote a <a href="http://blogs.law.harvard.edu/lydon/2003/06/21#a131">piece</a> about Ralph Waldo Emerson and weblogs, and as I read it, I had a flash -- I could hear Chris speaking it. I asked him to record it, and with the help of <a href="http://www.abcd.harvard.edu/public/multimedia/1997/mm_bob_doyle_bio.html">Bob Doyle</a>, it's now on the Web in MP3 format.
		- If you can clear five minutes, click on the link below and listen. It's literate, interesting, even revolutionary. 
		- http://cyber.law.harvard.edu/blogs/audio/emerson.mp3
		- This, my friends, is what audio blogging sounds like.
		- Dave Winer
- On AOL's entry into weblogs
	- #title "On AOL's entry into weblogs"
	- #postTime "7/6/03; 4:20:54 AM"
	- Happy Birthday
		- Good morning America, and happy birthday. I spent the fourth at Tanglewood with friends, listening to 50s and 60s soul music. Very nice. Very hot. Now I'm back in Boston, where it's totally hot and sticky, to report on some important news in the weblog world, and to offer a little perspective on it.
	- Welcoming AOL
		- Yesterday there was an <a href="http://www.buzzmachine.com/archives/2003_07.html#004146">announcement</a> on BuzzMachine, the weblog of Jeff Jarvis, of a demo of AOL's new weblog software for a few people from the NYC area. 
		- We've known that AOL was working on this software for quite some time. We pitched them on acquiring UserLand's blogging tools, but they opted for in-house development. 
		- Now their strategy is coming out, and there are some surprises. Today I'm going to discuss, briefly, just one, the Instant Messaging connection with weblog tools, and how it leads into the quagmire that the weblog world is caught up in (and a plea to swallow our respective prides and compromise now).
	- Instant Messaging and weblog tools
		- Posting to weblogs via Instant Messaging (IM) sounds appealing at first, but when you try it, as we <a href="http://frontier.userland.com/tcpIm#postingToYourWebsiteViaIm">did</a> at UserLand, you realize it's great only if you never make a spelling or grammatic error, or spot a way to say something better in a few minutes. 
		- When it's time to make a change you have to use a command-line-interface for writing, which takes you back to the 1970s. It requires memorization of commands, and post numbers and stuff that users don't like to do. 
		- Now of course it's conceivable that AOL has solved this problem, if so I bet it leverages their ownership of two big IM systems. Do they use the popular blogging APIs to connect the two? Heh. There's the rub. This is what I have been warning about. AOL is a bigger company than even Google is (said with a hint of irony), and may not care to protect them, or the rest of the weblog tools vendors. 
	- Irony
		- The irony is that last month Google came out with a new version of their <a href="http://toolbar.google.com/index-beta.php">toolbar</a> -- it has a "Blog This" button which would be totally cool except that it only works with their blogging tool, even though there is a fantastic API supported by all the blogging tools, including Blogger, invented by Blogger that would have allowed users to use the toolbar with any blogging software they like, not just Google's. If they really believe their Don't Be Evil <a href="http://www.wired.com/wired/archive/11.01/google_pr.html">philosophy</a>, if it's not just marketing hype, this must be changed.
		- So now the next question: Will AOL's equivalent of the "Blog This" button in their IM user interface work with Radio, Movable Type, Manila or Blogger? Or, more likely, will it just work with their blogging software? For all we know AOL took the high road, that would be unique and very cool, and would set the bar high. But I'd bet against it. No one at their level of the industry is open unless the market forces them to be. (As far as I know AOL doesn't have a Don't Be Evil ethos.)
		- BTW, of course all this provides Microsoft with justification for building their own gated weblog community. I wonder if Google's search engine will be able to get in there? (Of course not.) 
	- Last minute plea
		- Weblogs were started by a very small group of people who, for the most part, are still active in the community. Are we even in agreement among ourselves that we should have compatibility between the products? Perhaps at some level, but when it's so close as it is now, are we moving towards each other or flying apart? It's sad to report we're flying apart. 
		- Once again, sounding like a broken wheel, there's no time to waste. We must circle the wagons. Google, swallow your pride and let's get the <a href="http://www.xmlrpc.com/metaWeblogApi">MetaWeblog API</a> adopted as the standard cross-blogging-tool API. We'll make last-minute changes to accomodate you. In other words, the pride-swallowing is two-way. Tell us what you want and we'll do it. This is what never happened with Netscape. Let's build this time, instead of what we did last time, commiserate over the missed opportunity.
		- We're a house-divided for users but united on destruction. Ten years from now we will get here again, as we were ten years ago, at a place where if we acknowledged each other we'd get another layer and lots of growth. 
		- A very small number of people right now make the difference. It'll never be so easy again to get a layer of compatibility and choice for users. If you aren't sure your software will sweep-clean the field, getting together on the API now is in your interest, imho.
		- Dave Winer
		- PS: Yes, I know that Google's toolbar is beta, so I hope they fix the bug. Otherwise, should I have waited to comment until it was released? Also, I bet a few million people use the beta, so the argument that they didn't really "mean" to do something evil is kind of ummm, unbelievable.
- On Beauty in Women
	- #title "On Beauty in Women"
	- #postTime "7/23/03; 3:45:45 PM"
	- The male Web
		- On the Web we debate and we move. We argue and fight. We do things, we think deep thoughts, we express our frustration, we try to change the world. 
		- A long time ago I wrote stories about people and children and eagles and soaring. I sometimes forget how much I liked to write those stories, and how much I enjoyed hearing from people who enjoyed reading them. 
		- I also <a href="http://davenet.userland.com/1995/11/02/newcaveneedscurtain">wrote</a> about our cave needing curtains, how the Web wouldn't be wonderful until it was a home for feminine as well as masculine energy. That was eight years ago. 
	- A way with words
		- A few days ago I ran across an old <a href="http://scriptingnews.userland.com/backIssues/2000/07/21#epiphany">essay</a> I wrote about using the Internet to search for a Charles Ives symphony and finding a Burl Ives folk song that I used to dance to when I was three years old! That is the power of the Internet, it can reach through forty-five years of cruft and find the dancing baby that I used to be. He still remembers how to dance. What joy. 
		- That's why simple stories about people and love are so powerful. Our reasoning bodies, our intellects, are relatively powerless; compared to the power of memory, the subconscious. If the intellect is a skinny stick figure standing on the side of a narrow road, the subconscious is a 16-wheel semi-truck barreling down the road at 90 miles per hour. Think of the stick figure waving and signalling, "Slow down slow down," and the truck keeps on going as if nothing were happening (nothing is happening). 
		- We're fooled into thinking that any of our debates mean anything. The world will keep on doing what it's doing; as long as we're on the sidelines, hey, we might as well have a little fun.
	- Ma&ntilde;ana
		- <a href="http://dictionary.reference.com/search?q=Manana">Tomorrow</a> I'll write a piece about technology. Its been a while since I wrote an essay. I wanted to restart the flow with something more personal, more human.
	- Girlism
		- Halley Suitt writes about <a href="http://www.halleyscomment.blogspot.com/2003_07_13_halleyscomment_archive.html#105836190436410212">Girlism</a>.
		- That got me thinking.
	- About beauty in women
		- I had a flash of insight on a flight from Boston to Seattle last week on American Airlines. I picked up the inflight <a href="http://www.americanwaymag.com/">magazine</a> and leafed through it. It had been a while since I had done that, as its been a while since I watched television. This time I noticed how incredibly polished all the pictures are, how devoid of humanity. In contrast to the pictures you see on weblogs, they are so perfect, but so lifeless. Then I considered the writing. It also is perfectly polished and totally soul-less. Now according to some these are the most beautiful photographs and writing, but to me they are the least beautiful.
		- I like photos taken by people with weblogs. I like weblog writing, rough and rambly, even angry and reckless. See, I think people expressing themselves honestly is where beauty comes from. We all need love, to be heard, appreciated, admired, cared for, but so few of us accept that we're entitled to it. We see our imperfections and want to erase them. But when I see an imperfection, I see something real, and to me that's beautiful. I'm not just saying that, I didn't feel that way when I was 24, but now that I'm 48, that's what's inside me. I don't love women for the attributes that the inflight magazines idealize, quite the opposite. I find the airbrushed, silicon-corrected bodies to be worse than ugly, they suck life out of all they come in contact with. Beauty is in the reality, in the expression of reality. 
		- I don't really know why some women like to dress up, wear clothes that call attention to themselves, say silly things that I don't understand, spend hours getting ready to go out, cleaning everything and then cleaning again. I like that kind of stuff, but it kind of scares me. In a way I wish women were more like men. But on the other hand, I'm glad that they're not. 
		- But please -- why does it bother so many women that some women like to be feminine, that this way of expressing themselves is threatening to them? They seem to confuse their girlishness with the idealized form of beauty. Hey, the women I love aren't like that. But get this, they aren't men either. They're different. And dammit I'm glad they are because that leaves me room to be who I am, a hairy guy with a big laugh. They can make more money than me, they can be smarter than me, and at the same time they can wear high heels and perfume and go out with their friends, and laugh a lot and watch <a href="http://www.apple.com/trailers/mgm/legally_blonde_2/">Legally Blonde</a> and think that's pretty good stuff. I watched The Godfather and felt that way. And we can go see Casablanca <i>together</i> and think that's it's great that there's more than one way to be, and feel safe that it's great to be who we are and nothing more and nothing less.
		- So many people need to hear this. The inflight magazine view of the world is a lie. Nothing is like that. Don't measure yourself against that. And do what you enjoy, and what you <i>can</i> do, and then and only then will you be beautiful. And don't worry so much about the little things, even the ones that seem really big. The things you think are imperfect are the things that make you so pretty.
		- Hey if you want to know where I'm coming from, go get a copy of Joe Cocker's You Are So Beautiful. In his crackly, squeaky imperfect way he speaks for every man who has ever loved a woman. Hey I know I'm a dork, but I love you. Now if we can all accept that about ourselves and each other, think of all the fun we can have.
		- You are so beautiful to me. You are so beautiful to me. Can't you see? You'r\e everything I hoped for. You're everything I need. You are so beautiful. To me.
		- Dave
- Berkman Hosts RSS 2.0 spec
	- #title "Berkman Hosts RSS 2.0 spec"
	- #postTime "7/28/03; 5:09:48 AM"
	- News
		- On July 15, UserLand Software transferred ownership of its RSS 2.0 <a href="http://blogs.law.harvard.edu/tech/rss">specification</a> to the Berkman Center for Internet & Society at Harvard Law School. 
		- Berkman then placed a Creative Commons license on the spec, allowing it to be customized, excerpted and republished. Since UserLand specifically disclaimed ownership of the format, no transfer took place on the RSS 2.0 format.
		- An <a href="http://blogs.law.harvard.edu/tech/advisoryBoard">advisory board</a>, independent of Berkman and Harvard, was formed to broaden the public understanding of the uses and benefits of RSS, and to guide developers who create RSS applications. The initial members of the board are Jon Udell, lead analyst for InfoWorld and columnist for the O'Reilly Network; Brent Simmons of Ranchero Software, author of NetNewsWire, a leading RSS-based application, and myself.
	- Press comment
		- I wrote about the transfer <a href="http://scriptingnews.userland.com/2003/07/18#rss20News">on Scripting News</a> on July 18. The Crimson, Harvard's student newspaper, as usual, got a <a href="http://www.thecrimson.com/today/article348552.html">great story</a>. "Harvard Law School�s Berkman Center for Internet and Society has acquired the most popular specification for Internet weblogs, RSS 2.0, making Harvard a leading institution in one of the Internet�s most popular trends." They do such an excellent job at the Crimson. Thanks!
		- Charles Cooper, at News.Com, <a href="http://rss.com.com/2010-1071_3-5054062.html?type=pt&part=rss&tag=feed&subj=news">covered</a> it from the industry side. "Instead of opting for a proprietary land grab, a company that was an RSS tools builder freely gave up its guardianship to a nonprofit trust." 
		- As a UserLand board member, I'm glad he noticed. The company benefits if RSS grows. It didn't need to own the spec in order for RSS to grow. Since a vibrant and competitive market had already grown around RSS, we felt strongly that it was time to let the spec move freely. It didn't need our protection any longer, it's a strong broadly-supported format, with lots of support from publications and technology companies that have an interest in its remaining simple and consistent. 
		- Cooper said "Politics doesn't always have to trump good sense." RSS, for all the battles about it, is a testament to that principle. We're accumulating links to articles about RSS in the <a href="http://blogs.law.harvard.edu/tech/directory/5/howtosarticles">directory</a> at the new RSS 2.0 website at Berkman.
	- Broad support
		- The BBC, News.Com, NY Times, Christian Science Monitor, Knight-Ridder, Wired, the American Bar Association, Cornell Law School, and hundreds of other publications publish feeds that conform to the RSS 2.0 specification. 
		- Thousands of weblog sites syndicate in RSS 2.0, alongside the professional publications, making RSS a democratic format that levels the playing field and provides a venue where amateurs and professionals can compete on equal terms.
		- <a href="http://scriptingnews.userland.com/2003/07/17#When:9:15:47PM">Microsoft, AOL</a>, <a href="http://blogs.law.harvard.edu/tech/2003/07/25#a144">Amazon</a> and <a href="http://jeremy.zawodny.com/blog/archives/000864.html">Yahoo</a> support the format, compatibly, as do Apple, Oracle and Cisco. Almost without exception, tech companies aren't fighting over this format.
	- The road ahead
		- One of the key features of RSS 2.0 is its extensibility. Any developer can add new <a href="http://blogs.law.harvard.edu/tech/directory/5/specifications/rss20ModulesNamespaces">modules</a> to the format and lobby other developers to support their extensions. In a phone talk with AOL developers last week we encouraged them to take the lead in multimedia and community extensions, areas where they have expertise, and power due their enormous installed base. 
		- The RSS advisory board offers its help to any developer who has a vision to extend RSS. There's room for infinite innovation in this most popular XML-based format. It's already a very rich vocabulary, and every developer has the power to extend it. 
		- So things are looking pretty good. The RSS 2.0 spec is almost universally supported, it's extensible, and now the spec is distributed by a non-profit with a fresh slate in the world of technology. The spec can circulate freely thanks to the Creative Commons. Things are looking up. I think my work with RSS may be coming to a happy conclusion. Getting pretty close.
		- Dave Winer
- Rolling Stone supports RSS 2.0
	- #title "Rolling Stone supports RSS 2.0"
	- #postTime "7/30/03; 5:09:51 AM"
	- Sex, drugs, rock & roll?
		- In the last <a href="http://davenet.userland.com/2003/07/28/harvardHostsKeyWeblogSpec">piece</a> I talked about the transfer of the RSS 2.0 specification from UserLand to Berkman Center at Harvard Law School. That's interesting, of course, to people who are concerned with technology, but what about people whose concern is sex, drugs and rock and roll? Well, we have something for them too. ";->"
	- Ready to roll
		- While I was in California earlier this month, along with business and social duties, I also worked with the production people at RollingStone.Com to get their content flowing through the emerging network of RSS software tools. The whole process, from beginning to end, took about two weeks. And today, we're ready for everyone to start subscribing to their feeds.
	- Here's what RSS looks like
		- There's a <a href="http://blogs.law.harvard.edu/tech/directory/5/feeds/rollingStone">sub-directory</a> containing links to all the feeds, and a <a href="http://blogs.law.harvard.edu/tech/2003/07/30#a160">place</a> for questions and comments, but I wanted to publish the URLs of the feeds themselves here so that you can see how simple and easy the format is. 
		- http://www.rollingstone.com/rssxml/album_reviews.xml
		- http://www.rollingstone.com/rssxml/movie_reviews.xml
		- http://www.rollingstone.com/rssxml/dvd_reviews.xml
		- http://www.rollingstone.com/rssxml/music_news.xml
		- http://www.rollingstone.com/rssxml/photos.xml
		- It's <a href="http://davenet.userland.com/2000/09/02/whatToDoAboutRss#rssIsAboutSimplicity">designed</a> to be comprehensible to a person who might know how to set up a stereo system or program a VCR. And it's even easier to use than either of those earlier technologies. You just tell a <a href="http://davenet.userland.com/2002/10/08/whatIsANewsAggregator">reader</a> (there are <a href="http://blogs.law.harvard.edu/tech/directory/5/aggregators">lots</a>, it's a <a href="http://dictionary.reference.com/search?q=burgeon">burgeoning</a> market) to subscribe to one or all of these feeds, and every hour it will check for new stuff and show it to you. 
		- The advantage to Rolling Stone, the publisher, is increased distribution for their CD, DVD and movie reviews, picture essays and music news.
	- That's all there is to it
		- If you know someone who's been ranting about RSS being the future of the free world, please send them these links and watch them zoooom into outer space.
		- Namaste y'all and we're still diggin!
		- Dave Winer
- Chris Lydon's weblog for the ears
	- #title "Chris Lydon's weblog for the ears"
	- #postTime "7/31/03; 6:08:25 AM"
	- Alice's Restaurant
		- If Napster were still around I'd download a fresh copy of Arlo Guthrie's <a href="http://www.arlo.net/lyrics/alices.shtml">Alice's Restaurant</a> and play it for you. 
		- I bought it on vinyl many years ago. My copy is in a dump near San Jose or Palo Alto. Hey if Napster still existed they would have found a way for me to pay for it by now. 
		- So much for nursing my guilt. I still have the song in my brain. I can sing it for you right now. Here goes.
		- You can get anything you want. At Alice's Restaurant. You can get anything you want. At Alice's Restaurant.  Walk right in it's around the back. Just a half a mile from the railroad track. You can get anything you want at Alice's Restaurant. 
		- He repeats the chorus over and over throughout the song, with a great story in the middle, which starts in a dump, which is where my copy of his song is right now. So there is a certain beautiful symmetry to the universe after all.
		- Anyway, you might wonder why I am thinking of an old funny song on a cool New England summer morning.
		- Chris Lydon made me do it
		- Berkman has this great fellowship program. They invite people like Chris Lydon and Jim Moore, Ben Edelman and John Perry Barlow to hang out and shoot the breeze and get each other excited about things we get excited about. They're smart and excitable people, and that's why it's so much fun to be here. They take good care of us, intellectually. A <a href="http://dictionary.reference.com/search?r=2&q=smorgasbord">smorgasbord</a> for the mind.
		- So, a few weeks ago Chris did his first audio blog <a href="http://davenet.userland.com/2003/07/01/chrisLydonSpeaksOfRalphWaldoEmersonAndWeblogs">post</a>. It was one of those Berkman cross-pollination things. I read an essay he wrote about blogging and Ralph Waldo Emerson, and I thought to myself that I could hear Chris reciting these deep thoughts in his golden voice. Sure enough, when he read it it into a microphone and put it on the Web -- goose bumps. So a couple of days later we did an <a href="http://blogs.law.harvard.edu/lydon/2003/07/09#a166">interview</a>, he wore <a href="http://blogs.law.harvard.edu/pictures/viewer$558">headphones</a> and asked me questions, really good ones, just like the lunch conversations we have, but even tougher. It was probably the best interview I've ever done. Chris is that good at what he does.
		- He didn't stop there. He did interviews with many of the lions of the weblog world, and introduced us to new people he found. Then he branched out to people he knew through his NPR radio <a href="http://www.google.com/search?q=lydon+%22the+connection%22">show</a>, a NY Times reporter, Steve Kinzer, talked about his new book; and literary critic Elaine Scarry talked about a gap in American defenses that the 9/11 attack revealed.
		- You can hear all the interviews in the left margin of Chris's weblog. There's a few hours of audio, I think they may be the finest Web-only interviews ever produced. Well worth checking out on a long lazy summer afternoon.
	- Back to Alice
		- At the end of the song Arlo goes to the draft board on Whitehall Street in NYC. This was the 60s, during the Vietnam war, when there was a draft. 
		- Arlo had an idea. If he went in to see the shrink singing the chorus to his song (it's recursive) they'd think he was crazy and give him a deferral. 
		- His reasoning continues, if two people went in singing the chorus, they'd think they're both gay (not the word he used) and kick them both out. (This was before <a href="http://www.hrw.org/press/2003/01/us012303.htm">don't ask don't tell</a>.)
		- If three people went in and sang the chorus to Alice's Restaurant they'd think it was an organization. 
		- And so it goes until fifty people a day, I said fifty people a day, walk in to the shrink and sing the chorus to Alice's Restaurant, and friends (says Arlo) they'll think it's a movement. 
		- And friends, I think that's what we're seeing. Do-it-yourself radio with no sponsors, no interest other than curiosity, a searcher and his friends seeking the truth and nothing but the truth. 
		- http://blogs.law.harvard.edu/lydon/
		- A weblog for the ears. 
		- I'm excited.
		- A movement? 
		- Could be.
		- Dave Winer
- The 2004 Election
	- #title "The 2004 Election"
	- #postTime "8/11/03; 7:26:15 AM"
	- BloggerCon
		- We're having a weblog <a href="http://blogs.law.harvard.edu/bloggerCon/">conference</a> at Harvard Law School on October 4. 
		- It's probably the first academic conference on weblogs, but it certainly won't be the last. 
		- We're going to look at how weblog technology will be used in politics, business, journalism, the law, medicine, engineering and education. 
		- Because we're coming into a political year, 2004, when the US will elect a new president, I'm focusing on the role weblogs will play in the campaign.
	- Candidate schedules
		- Over the weekend I scanned the candidate websites and put together a list of <a href="http://blogs.law.harvard.edu/bloggerCon/directory/93/candidateSchedules">candidate schedules</a> that say where the candidates are going to be when. 
		- By making the list public, it'll be easier for people with weblogs to visit the candidates and tell us what they learned. I don't think there have been any such reports yet, if you know of any please send me a link. 
		- There are plenty of candidates with weblogs, they are mostly pointless, dull and uninteresting, now. It will get interesting when voters with weblogs make their presence felt with the candidates, and then (get this) invent new candidates. 
		- None of the existing candidates have met any of us, really, and if they did we'd probably just get a pat on the head and a photo op. Look at the candidate posing with the cute blogger. Dean is the first candidate to get a glimmer of a clue, but he's still playing the old game of marketing to voters and getting dollars so he can buy TV commercials. The new game is the voter-as-journalist, writing what they see, and sharing it with anyone who cares. Doing the job that the press no longer does. Then the next level is voters as candidates, when they find all the candidates look really shitty without the airbrushing that commercial television adds, that weblogs subtract so well. Digital cameras keep getting cheaper too. Then, after a while, and who knows what it will look like, we will have voters as voters, informed and opinionated, with the opinions expressed and the minds involved. This is the Web I was writing about in 1994, 1995 and 1996. We took a detour to appease the greed of Wall Street and SIlicon Valley, but now we're firmly back on track. 
		- If you want an idea of what the new game looks like, check out the <a href="http://www.ss.ca.gov/elections/recall_cand.htm">cast of characters</a> in the California recall. Look at all the citizens participating in the electoral process. Everyone told us they don't care. Heh. And even that's just a hint of a glimpse. Government of the people, by the people and for the people, for better or worse, is what's coming. That's my stake in the ground. All this may happen in the next few months. 
		- Dave Winer
- Nutch, an open source search engine
	- #title "Nutch, an open source search engine"
	- #postTime "8/13/03; 2:47:43 AM"
	- Two horses, please
		- Every time Google gets competition, I hope this is the one that sticks, the one that makes search a two horse race. 
		- As a heavy user of search, I know this is not a good situation, one Silicon Valley company with so much power. When one of them takes hold it's as if we have a new royal family, people who breathe air that's finer than ours. They "get" things we don't. They think outside the box, we're stuck inside. 
		- Every time around the loop I wonder if this time it might be different, that instead of getting a royal family, we might get some <a href="http://www.ushistory.org/brandywine/special/art01.htm">Minutemen</a>, destined to win the revolution, people ready for the long haul, anxious to work with others on equal terms, who want to win so bad they see the brilliance that's not on their payroll. A company that wants to be built into the infrastructure the way leading technology companies are, not alone and singular like so many Silicon Valley phenoms. 
		- So when Teoma showed signs of life, we hoped. We hoped when Yahoo bought Overture, with each rumor about Longhorn, and now with Nutch, an open source search engine that people seem very excited about. 
	- What I know about Nutch
		- I first heard about Nutch at a lunch in Cambridge last week with John Battelle, a visiting professor at UC Berkeley, and former editor of the high-flying dotcom journal The Industry Standard. He has been watching Nutch in his role as a columnist for Business 2.0. 
		- After the lunch I did a Google <a href="http://www.google.com/search?q=nutch">search</a> for Nutch, found it; confirming some but not all of what Battelle told me. So I <a href="http://www.nutch.org/">linked</a> to it on Scripting News and waited to see what would come next.
		- On Monday, Gary Price <a href="http://tinyurl.com/jnpm">summarized</a>, on his weblog, a Battelle article in Business 2.0 with lots of details about Nutch. Everything Battelle told me, and more, was on the record. So I <a href="http://scriptingnews.userland.com/2003/08/11#When:10:12:06AM">linked</a> to Price's summary saying that Nutch is "an open source search engine that aims to dethrone Google." 
		- Last night I got an email from Nutch board member Tim O'Reilly. "Actually, Nutch has no ambitions to dethrone Google. It's just trying to provide an open source reference implementation of search to help keep Google and other search engines honest, by letting people compare the results of an engine whose algorithms and methodologies are transparent and accessible. It also aims to give a platform for people outside of the search heavyweights to research new search algorithms."
		- Excellent. Keeping Google honest is good, I'd also like them to be hungry and on their toes. 
		- Lots of developers, myself included, would love to be able to tweak up the ranking algorithms of a search engine. Let's hope that Nutch makes it easy to do that. 
		- Open source might be just the right thing for search, right now.
		- We'll be watching this one, carefully.
		- Dave Winer
		- 
- Tips for Candidates re Weblogs
	- #title "Tips for Candidates re Weblogs"
	- #postTime "9/2/03; 9:22:28 AM"
	- New Hampshire
		- Earlier this year I wrote an op-ed <a href="http://www.thecrimson.com/article.aspx?ref=347932">piece</a> for the Harvard Crimson explaining the next step in democracy, voters with their own publications, everyone with an op-ed page, citizens with weblogs, a revolution in politics.
		- Now, later in the year, I've been to New Hampshire twice, visited the <a href="http://blogs.law.harvard.edu/bloggerCon/picsEdwardsDeanNH">Edwards, Dean</a> and <a href="http://blogs.law.harvard.edu/bloggerCon/stories/storyReader$149">Graham</a> campaigns. I'll go again this week. A handful of other bloggers have traveled with the candidates, mostly with Dean, and there are strong signs that the candidates are starting to understand that there's more to the blogosphere than another channel for political advertising. 
		- It's not surprising to me, in a way, that weblogs have become such an important part of the early 2004 presidential campaign. I expect this campaign will take place more on the Web than it does on TV networks. That's why I think candidates who use the Web to raise money for TV ads aren't making enough of a bet on the Web, and are leaving the door open for those who do. But it must be hard to let go of a way of life. Politics has "always" worked that way, right? Anyway, it's surprising when a vision comes true, no matter how strongly you felt it would. 
		- In this piece I outline advice for people running campaigns in a world with weblogs. In the spirit of the Web, the advice is available to all. These are just my opinions. Your mileage may vary, and the advice may change as the campaign goes forward.
	- 1. Run a real weblog
		- Embrace the key feature of the Web, linking -- which means you must link to all articles about your candidate, not just favorable ones. You should also link to articles about your opponents. 
		- When deciding what to link to ask yourself this question: "Would an informed person want to consider this information or point of view?" If the answer is yes, link to it. This way you attract informed people and can help shape their opinion, even if they don't support your candidate. That's how you're going to win the election, btw, by converting the other guys' voters. You don't get anywhere by preaching only to the choir (but you have to do that too).
	- 2. Get a pied piper
		- A pied piper is someone who your advocates can learn from by example. Don't delay. Get an experienced blogger with a large community to write your main weblog. You don't have time to learn. Enlist as many of these bloggers as you can. Any of them could turn out to be the killer app for the other guy. ";->"
	- 3. Include independent bloggers
		- On the press bus, include people who are gathering information because they're interested in the election, people who are making their minds up, people who will ask challenging questions -- you know -- like reporters. 
		- It's insulting to bloggers when a candidate has people with weblogs on the press bus who are advocates for the candidate. Bloggers are people who do it for love, not money. Hobbyists. Amateurs. But otherwise the rules of journalism apply. 
		- Sure you can have PR people on the press bus, but you can't <i>only</i> have PR people. 
	- 4. Publish advocacy guidelines
		- I suggest studying the <a href="http://www.datasync.com/~rogerspl/Advocacy-HOWTO-5.html">Linux Advocacy MiniHowto</a>. It's a gem. Teach the people who represent you on the Web to do so with respect for others, respect for the candidate and the campaign, but most important, self-respect. To be part of the Web, your campaign must communicate with the values of the Web. For a bonus point, encourage your opponents to adopt your guidelines for online advocacy. ";->"
	- 5. Publish your schedule
		- Make sure your candidate's schedule is on your website and it's current.
		- Also, keep track of where your competition is, and consider publishing that as well.
		- Your interest (as with linking) should be aligned with an informed electorate. The more people know, the more likely they'll vote for your guy. Candidates should compete to be the authoritative source of information about the campaign.
	- 6. Choice in tools
		- The Dean campaign made a big mistake, imho, by getting <a href="http://deanspace.org/">into</a> the software business. Now it looks like the Edwards campaign is following them. Software and the candidates should be separate. A blogging tool can just as easily be used to advocate for a Republican or a Democrat. 
		- Build on what the weblog development community has accomplished, and will continue to accomplish through November next year. Be open to users of all platforms. You can get the leading weblog tools vendors to help your candidacy and to help the election, but not if you exclude them from participating in your campaign! 
		- Users of software tools don't generally want to switch, so don't try to make them do it just to support your campaign. Again, think about bringing more bloggers into your tent, not creating a tent that excludes existing bloggers. Let weblogs grow independently of your campaign, no matter how big you are, they will anyway. 
	- 7. Speak about democracy
		- Advocate the benefits of citizens participating in government. Use some of your campaign money to buy Internet presence for voters. It will be money well spent even if they advocate for other candidates. Talk about Jefferson, the First Amendment, etc etc. Ralph Waldo Emerson. How great is America? Very. Blogs are a very American thing. 
		- Dave Winer
- Nine Years of DaveNet
	- #title "Nine Years of DaveNet"
	- #postTime "10/8/03; 5:00:09 PM"
	- Some time
		- Nine years ago, in October 1994, I wrote my <a href="http://scriptingnews.userland.com/2003/10/07#theFirstMonthOfDavenet">first</a> DaveNet essays. 
		- And people say this a fad.
	- Unedited voice of an individual
		- I haven't counted all the essays I've published, but there are a lot of them. Except for the guest pieces, they were all written by me.
		- And the only editor was me. Yeah there are some spelling errors. But it's all what I think, what I really think, for better or worse. 
		- Look ma. No hands!
	- BloggerCon
		- Last weekend was BloggerCon, at Harvard Law School, the first conference I have ever hosted. I've talked about doing a conference for many years, but now I've done one. We filled the room with brains and enthusiasm. Hardly a hitch. It was great. Totally 1.0.
	- Red Sox
		- Of course the American League is not a "real" league, but if it were, Boston fans could teach the rest of the country a thing or two (except the Mets). Red Sox fans might say: Hell or high water, through thick and thin, in sickness and in health, etc etc. The fans have a philosophy. "We lose but we love." And what a stadium. 
		- This year the losers have a chance to win. Even better, the perennial National League losers, the Chicago Cubs, have a chance too. All things being equal, there's only a 25 percent chance of the dream series, but the <a href="http://davenet.userland.com/1995/04/24/thebaseballgod">Baseball God</a> is especially <a href="http://slate.msn.com/id/2089466/">powerful</a> and good at making deals with the other gods. And of all the gods he has the worst sense of humor (or the best depending on how you look at it).
	- Nine years
		- In the nine years we've accomplished a lot. Lots of trial balloons that didn't fly. And some that did. 
		- Lots of BigCo's and fat smelly music industry execs. 
		- Occasionally someone who made a difference.
		- All the people who presented at my conference are people who count. Most of them aren't rich. But they write, and lead, and have visions, and people listen when they speak. That's why they're the ones I chose to speak.
		- We didn't have sponsors, so everyone who spoke told you what they think. 
		- And nine years is a long time. 
		- Still diggin.
		- Dave Winer
- Thanks in the U.S.A.
	- #title "Thanks in the U.S.A."
	- #postTime "11/27/03; 12:17:38 PM"
	- Thankful
		- I thought I might be too busy to write today, but it turns out I do have a bit of time to write some thanks this morning, as has been the tradition <a href="http://davenet.scripting.com/directory/952/thanksgiving">here</a> in Thanksgiving-pasts.
		- First a tiny bit of philosophy, nothing new, just a restatement of something obvious. 
		- <img src="http://monster2.scripting.com/z/images/archiveScriptingCom/2003/11/27/turkey.gif" width="100" height="118" border="0" align="right" hspace="15" vspace="5" alt="A picture named turkey.gif">Why Thanksgiving is our greatest holiday, by Dave Winer. It's a holiday for everyone. While it's steeped in the legend of the colonization of America, the idea is even bigger. It's about being thankful. And how could a human being be anything but thankful. A tiny spec of dust that exists for the briefest of moments, yet is conscious, sensual and intelligent. We are miracles, even in our lowest moments, and when you are miraculous, what else can you be but thankful? The universe is so huge and ancient and mysterious, but our little nook is so comfortable, even cozy. So first and foremost, thanks to the universe for being, and thanks for letting us be part of it, and thanks for making it so darned pleasant here.
		- Now, on a more terrestrial level, I'd like to thank everyone who's been so kind to me in Cambridge. John Palfrey and Charlie Nesson for inviting me to be part of Berkman Center. Betsy Devine and Bob Doyle for helping me through my first weeks in Cambridge. Wendy Koslow for making BloggerCon work so smoothly. Everyone at Berkman, esp Jim Moore and Chris Lydon, for making the experience so far so rewarding, and thanks to Larry Lessig for helping make this happen. Thanks to Silicon Valley for letting me go, and thanks for still being here when it's time to come back for a visit.
		- Thanks to Tori Ryan, Dave Jacobs and Robert Scoble, my three main West Coast friends, for being there in my time of need, last summer. On a hike with Tori this week she asked what I learned most from the experience. I paused for a moment, and said I learned who my friends were, and I learned how important friends are. You don't really find out until your moment of need.  I always felt I should be self-sufficient, but you can't always be, no matter how strong you are.
		- Thanks to everyone who came to BloggerCon and brought their good spirits, ideas, experience. Yes, we sang a song, and Joey played the accordian. Thanks for the music. We gotta do it again.
		- Thanks to the Presidential candidates with weblogs. It's a step. In 2000, McCain ran ads on the Internet, we hoped for more, and this time around we're getting it. In 2008 we'll do even more with the Internet, and in the elections between 2004 and then, we'll elect entire state legistatures with blogging technology, perhaps even the House of Representatives and the Senate. 
		- Thanks to all the developers who collaborate, who accept someone else's imperfect idea, and run with it, for the sake of progress. A special thanks to developers who stick their necks out and lead. It's a rare thing that I hope will be come less so.
		- A random thank you to Aaron Sorkin for the West Wing, my favorite TV show ever. And that's a big endorsement from someone who rarely watches TV. You can tell how great Sorkin is by how normal and mediocre the show is, in his absence. Thanks for making the first season available on DVD. I plan to savor each episode, and am grateful that I didn't tune in until much later. I can't wait. 
		- Thanks to Sylvia Paull for organizing the dinner in Berkeley on Tuesday. Thanks to the new management team at UserLand. Thanks to Jake Savin and Lawrence Lee for sticking with it. Thanks to all the Radio and Frontier developers who stuck it out through the confusion of 2003. Let's hope 2004 is a much straighter line, with great software and successful businesses for all who innovate and work hard. Thanks to Andrew Grumet and Tracy Adams for working with me in Cambridge. It's a bright future in software development, round the world, coast-to-coast, 24-by-seven.
		- Thanks to the Berkman Thursdays team. We've planned a conference, been to New Hampshire, we're getting ready to bootstrap the next generation of blogging tech. This group, the Berkman Brigade (perhaps) is ready to kick butt in 2004, and I'm ready to do it with yuz. Let's go!
		- Thanks to my dad, for pulling through after nearly dying earlier this year. He's retired now, spending his days organizing the pictures he took in his life. He walks, he tells jokes, he loves his grandchildren, and flies all over the world with my mom. Taking care of him earlier this year is something I feel very very good about, it may be the best thing I've done in my life. It was great to be able to help this man, who helped me get on my feet. 
		- Thanks to my uncle, Ken Kiesler, for all his wisdom, his example of rational thinking, his windmills and water towers, his daring to be different, his love of me. I'll miss him for the rest of my life, that's for sure. 
		- And thanks for the future. I'm so glad to have one. Every day feels like a gift, every hour a luxury. Sometimes I count the hours in a day and am amazed at how much time I have. This is a new experience. What will I be doing next year at this time? I don't know. I have no idea. And to me that's the greatest thrill of all. I might live in Europe, or the southwestern US, maybe Florida, or Cambridge, perhaps Palo Alto, who knows. Not me. ;->
		- And finally, thanks to the Chicago Cubs and Boston Red Sox, who are still the lovable losers, there's still, as always, next year. ";->"
		- Dave Winer
