- January 2001
	- January 31
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- XML Magazine: <a href="http://www.xmlmag.com/upload/free/features/xml/2001/01jan01/dw0101xml/dw0101xml.asp">Bootstrapping</a>. "I chose Python deliberately, knowing that it would not be familiar to most readers of this column. Truthfully, I had not programmed in Python myself before writing the column."
		- As you may <a href="http://scriptingnews.userland.com/backissues/2001/01/18#theNewYorkTimesAndXml">recall</a>, a couple of weeks ago I wished we could add the Washington Post, Wall Street Journal and New York Times to the roster news sources syndicating in RSS. The next day a friend sent a pointer to a public Web server where XML versions of the Times feeds were being updated. Their format, while transparently simple, required conversion before it could plug into RSS-based aggregators. On this <a href="http://backend.userland.com/nyTimesRssRouter">page</a> I describe the conversion, and point to a folder on a UserLand-run server where the RSS versions of the feeds are updated hourly. There's much more to say. They're pushing links to articles, following the grain of the Web; not pushing story content. This builds flow for their site, and allows them to add interactive features at the single canonical location for the story. It's a win for news readers and software developers, because with the Times flow in the mix, we have news that covers the world and technology, the Times book and movie reviews, art and education news, sports and editorial pages. This is by far the broadest availability of syndicated content for a major newspaper. So the Times is again a leader, not just in print, and on the Web, but also in the newest XML-based syndication technologies. Of course this raises the question "Is this appropriate?" and I've debated this with myself and others over and over. I've attempted to contact the Times, to let them know what we are doing. While they have not given their approval, or responded in any way, the XML files are updating and remain accessible. We are not disclosing their location or format. I see this as a potential flow-builder for the Times, and a big boost for the developing medium. While I hope the Times keeps these resources accessible, of course it's their choice.
		- Interesting. <a href="http://www.airwave.com/find_location.tp">AirWave</a> is a wireless ISP in the Bay Area.
		- Also <a href="http://www.microsoft.com/presspass/press/2001/Jan01/01-30ValleyPR.asp">interesting</a>. Dan'l Lewin signed on at MS as busdev veep for dot-net. He's got a rep as a good guy in hard jobs. Well-known in the Valley.
		- I was interviewed today about RSS, and the reporter asked "Well, my readers are IT People, why should they be interested in software from a small company?" I responded with a question of my own. "When do large companies create truly new things?" 
		- BusinessWeek: <a href="http://www.businessweek.com/2001/01_06/b3718158.htm">Crossgain vs Microsoft</a>.
		- It's official, I can no longer even maintain a semblance of keeping up with email. Overload to the nth degree.
		- Spent the day yesterday at Microsoft. 830 emails waiting. As usual Microsoft impresses. I will not be able to report on the meeting, unfortunately, although I would like to. ";->"
		- In the meantime, <a href="http://www.google.com/search?q=microsoft+clr">read these articles</a> about Microsoft's CLR, and think and read between the lines. I hadn't understood how pervasive the CLR was going to be. My surprise is not based on anything new, MS has been talking about the CLR since last summer, I just wasn't fully tuning in. 
		- The thing to watch for is Microsoft's version of the Web. Now that they basically control the Web browser (deprecate the word "basically") this becomes more of an issue. I like HTTP. I like XML. I like SOAP. It's like a stack. (It is a stack.) It's open, and therefore subject to innovation. I am not a Microsoft developer and never will be. That shouldn't be a problem for Microsoft. But, I think it is, for some at Microsoft, perhaps.
		- <a href="http://www.davosnewbies.com/2001/01/30">Davos</a>: "No one shared Joy�s pessimism.."
		- Tim O'Reilly was at the Microsoft meeting. We talked quite a bit. I found out more about their XML-RPC book, which apparently will be out soon. 
		- It's good to know that Clint Laskowski is <a href="http://www.scripting.com/images/notAngry.jpg">not angry</a>.
		- <a href="http://www.machttp.org/">MacHTTP</a> is back.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 30
		- Good morning sports fans, live from behind the Microsoft firewall, a realllly fast net connection. But I can post notes (even though I can't use my outliner behind the firewall).
	- January 29
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1223">Andrew Wooldridge</a>: "Betty I could kiss you!"
		- Not surprisingly, <a href="http://msdn.microsoft.com/workshop/networking/pluggable/overview/overview.asp">Microsoft already has</a> something similar to Protozilla.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/29</internalLink>
				- </rule> 
			- </rules>
		- Davos & Peace
			- <a href="http://www.davosnewbies.com/2001/01/29">Davos</a>: "Arafat's speech was unquestionably the death knell for the Labour party's chances in the upcoming elections, and a probable coda to Peres's own political career."
			- Reading Lance's piece I get a glimpse of how much things have changed in the Middle East in the last year. At <a href="http://davenet.userland.com/2000/02/04/howToMakeMoneyOnTheInternet">Davos 2000</a>, King Abdullah of Jordan said that peace is something we must have in our generation. Shimon Peres said "Peace is hard work." To see it unravel in such a short period is disheartening. 
		- Microsoft & P2P
			- This afternoon I'm flying to Seattle to participate in an all-day design preview at Microsoft for P2P technology. These meetings of high-tech CTOs are like mini-Davoses, Microsoft always gets interesting groups of people together, and the offline talks are every bit as interesting as the on-stage talks. The meeting itself is on background, so I won't be able to talk about what takes place there, without permission from Microsoft. 
			- Our work in P2P is wide-open and available to be talked about, or implemented, by anyone. The most concise statement of our plan is in a letter to Eric Kidd, <a href="http://www.xmlrpc.com/discuss/msgReader$1217">posted</a> this weekend. It describes a cloud that connects authors and users with resources via XML-RPC (or SOAP or http-post). Given the rate of development in the XML-RPC-in-C world, I would not be tremendously surprised if this software was deployed before the end of the week. Lurking just over the horizon is the P2P conference in mid-February which everyone, ourselves included, is getting ready for.
		- Final look for Radio
			- Over the weekend we finalized the top-level user interface for the first "real" release of Radio UserLand.
			- To mark the occasion, here's a <a href="http://www.scripting.com/images/radioUserLandFinalLook.gif">screen shot</a>.
			- Yes there will still be little tweaks and fixes, and we've yet to produce a build that has this functionality baked in, but we should make it in time for the P2P conference.
			- Lots more to say, of course. ";->"
	- January 28
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Had a great time getting <a href="http://scobleizer.manilasites.com">Scobleized</a> at Woz's for the Superbowl. Robert's 7-year-old boy Patrick came too. <a href="http://paulandrews.manilasites.com/">Paul Andrews</a> and his weird but lovable poodle-like dog Maggie. Woz has a full video arcade in his basement and an indoor-outdoor swimming pool. Andy Hertzfeld of Eazel says they're going to use "XML-RPC". I shook his hand saying, "Looks like we're working together." I also saw one of the new Titanium PowerBooks. It's a beautiful computer for sure. <i>Nice!</i>
		- <a href="http://www.wiredfool.com/2001/01/27">Eric Soroos</a> is working on the connection betw email and RSS. This is quite interesting. He's providing an <a href="http://main.wiredfool.com:8080/manila/rss.php?folder=manila">RSS view</a> of the traffic on the Manila-Newbies mail list. Obviously he's going to make this work for any mail list.
		- Follow-up on my neighborly exploration in orgcharts from a database. I'd love to see a Flash rendering of "OPML" documents. This would give us more than MORE <a href="http://www.outliners.com/images/more11c/treeChart.gif">had</a> in tree charts, only 14 years ago. It's amazing how prior art gets lost in history, and how lost we got when the dotcom boom hit. We should have retooled the whole productivity app business. But it's not too late now. Flash is a sexy rendering-runtime environment. Hey PDF is pretty popular too. What about SVG?
		- My uncle has a new <a href="http://www.scripting.com/images/vavaBusinessCard.jpg">business card</a>. Coool!
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 27
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1217">To Eric Kidd</a>: "It seems like you're looking for cool sexy projects to do with XML-RPC that take advantage of the performance you can get from writing a server in C."
		- Joel Spolsky: <a href="http://joel.editthispage.com/stories/storyReader$295">Daily Builds are Your Friend</a>.
		- <a href="http://www.davosnewbies.com/2001/01/27">Davos</a>: "In the Congress Centre, there was very, very little awareness of the protests."
		- <a href="http://weblog.mercurycenter.com/ejournal/2001/01/27">Dan Gillmor</a> has comments on the Davos protests as well.
		- Kevin Drennan started a <a href="http://deadend.editthispage.com/">Grateful Dead Weblog</a>. Hey it's cool, he even has a <a href="http://deadend.editthispage.com/directory/61">directory</a>. <i>A Frontier 7 feature.</i>
		- Hey <a href="http://protozilla.mozdev.org/white-paper.html">Protozilla</a> is cooool! "Protozilla enables Mozilla to execute any CGI program on the local disk directly, without passing it through an HTTP server." Interesting?
		- <a href="http://scobleizer.manilasites.com/pictures/viewer$50"><img src="http://www.scripting.com/images/wozGettingScobelized.gif" height="28" width="24" border="0" hspace="10" vspace="10" align="right"></a>This is a very <a href="http://scobleizer.manilasites.com/pictures/viewer$50">strange picture</a>. At 1AM last night Robert Scoble called Steve Wozniak to tell him about his Manila blog. <a href="http://wozcam.woz.org/">Wozcam</a> picked up a picture of Steve using Robert's site. And of course Robert being the born-blogger that he is, put the pic on his <a href="http://scobleizer.manilasites.com/">site</a>. 
		- Here's a new bit of data. Scoble has a <a href="http://63.192.218.207/scoble.jpg">webcam</a> too.
		- As we move towards Frontier 7, Brent is adding notes to the <a href="http://frontier.userland.com/news/">Frontier News</a> site. 
		- <a href="http://www.scripting.com/mp3s/crazyFingers.mp3"><img src="http://www.scripting.com/images/sound.gif" height="11" width="10" border="0" hspace="10" vspace="10" align="left"></a>Perhaps I should rename this site <i>Dead-Newbies.</i> I have so much to learn about the <a href="http://www.gratefuldead.com/">Grateful Dead</a>. I never had a copy of Blues for Allah, and therefore never had a copy of <a href="http://arts.ucsc.edu/gdead/agdl/crazy.html">Crazy Fingers</a>, which I just love. It must have gotten a little bit of radio play because it's familiar. It's tonight's song for sure. BTW, deadnewbies.com is <a href="http://whois.userland.com/default$deadnewbies.com">available</a>. Did you ever see the movie <a href="http://movie.epinions.com/mvie_mu-1001944">Beetlejuice</a>? They have a book called something like Handbook for the Recently Deceased. That would be the Dead-Newbies of course. ";->"
		- <a href="http://www.zeldman.com/glamorous/glamorous30.html">Zeldman</a>: "Like Mafia members, we love our families, but long for the company of other wiseguys."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 26
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- An interesting day in the neighbors and family department. My parents told me that they want to start a website. My father is a college professor, my mother a school psychologist. They both write and teach. They have ideas about how education can work better. When I saw them in October, I said they could start a website. They didn't seem to understand why. My mother called today to say she had a great idea. "I want to start a website!" she said. "Good idea," I said. So now you're going to get two more Winers. Oy. I wonder if they have a clue what they're getting into. Actually, I wonder if <i>I</i> do. ";->"
		- BTW, my uncle, who is not a Winer (he's a Kiesler) already has a <a href="http://www.greatvavavoom.com/">website</a>. I think it was the third Manila site, after <a href="http://weblog.mercurycenter.com/ejournal/">Dan Gillmor's</a> and <a href="http://www.buckswoodside.com/">Buck's</a>.
		- Meanwhile a neighbor has been trying, in his spare time, to build an application on Windows that connects Filemaker and Microsoft Chart. He wants to build orgcharts of all his companies and keep them current. He called today to find out if I knew how to do this. I don't, I'm a Web-scripter-only these days. But I said I'd try to find someone to work with him. If you know VBA or something like that and have time this weekend, I promise it'll be interesting. I asked if he would pay, he said yes. Send me email if you can help. (They also use Macs, so if you have a way to do it with AppleScript or Frontier, that would be OK too. Hmm. I wonder if it would work with Frontier on Windows? Now I'm getting interested.)
		- Finally I'm going to a SuperBowl party at Woz's with Paul Andrews formerly of the Seattle Times. Should be an interesting weekend.
		- <a href="http://inessential.com/2001/01/26.html">Brent</a>: "Here's a real-life tale of customer support. The URLs have been changed to protect the innocent."
		- <a href="http://www.guardianunlimited.co.uk/international/story/0,3604,428617,00.html">Guardian</a>: "Old hands of the Clinton administration yesterday said that when they took over the White House from Mr Bush's father's administration in 1993, they also found a few unpleasant surprises left by the previous tenants - including in several desk drawers a prophetic note inscribed: 'We'll be back.'"
		- <a href="http://www.scripting.com/mp3s/theOtherOne.mp3"><img src="http://www.scripting.com/images/sound.gif" height="11" width="10" border="0" hspace="10" vspace="10" align="left"></a>Tonight's song: <a href="http://arts.ucsc.edu/GDead/AGDL/other1.html">The Other One</a>, instrumental, very rhythmic and spacy, you can listen to it many times, enjoy something new every time. Tomorrow's song is going to be Crazy Fingers from Blues for Allah. Totally mesmerizing. Very Weather Reportish. Jazzy and bright.
		- Like Vignette, <a href="http://news.cnet.com/news/0-1007-201-4605647-0.html?tag=ch_mh">Broadvision</a> has become gloomy.
		- <a href="http://www.scripting.com/images/nameWithheld.gif">I obscured</a> this guy's name for obvious reasons.
		- <a href="http://news.cnet.com/news/0-1003-201-4607093-0.html?tag=lh">News.Com</a>: "People who want to throw stones at Microsoft should realize that they also live in glass houses."
		- <a href="http://www.salon.com/tech/col/rose/2001/01/26/microsoft_outage/index.html?CP=RDF&DN=310">Scott Rosenberg</a>: "When Microsoft fell off the grid, its first reaction was to cover its butt."
		- <a href="http://www.wirednews.com/news/business/0,1367,41435,00.html">Wired</a>: "Microsoft's practice of staying silent until -- and if -- it's ready to speak angered many who felt that they'd been left to pick up the pieces this week after the software giant took a tumble."
		- OK, in the spirit of the above article, while Microsoft was scrambling to put its online empire back together, we were doing the same with our little village. We were pretty lucky this time. But..
		- There were three sites we weren't able to fully recover in yesterday's crash. One of them was <a href="http://rollbergnews.editthispage.com/">Rollberg News</a> by Jorg Kantel. In a post on the Manila-Newbies list I said: "We tried to piece it together the best we could but major parts of the site were damaged beyond repair. We didn't know who to contact or if the site was active. Same with the other two sites. I'm sure this is no consolation for you, but I wish it had been my site instead of yours."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/26</internalLink>
				- </rule> 
			- </rules>
		- Where we're at
			- Now as CEO of UserLand, I want to comment. Take the current motto of this site seriously. As you use Manila daily, it's easy to be lulled into the belief that there's a magic thing going on that keeps your data safe. There is no such magic. We back up every night, but it's possible for us to back up a bad version of a database. At that point we cannot restore from a backup, and content, perhaps whole sites, will be lost. It happened yesterday to Rollberg News. It could have been any site. It was totally random.
			- Further, the system is only as good as the people running it. We have very good people at UserLand, but we're just human, and we make mistakes. We have been working long hours without enough compensation or vacations <i>for years.</i> It takes a toll, we get less reliable as time goes by. Human error was a factor in yesterday's outage. A database reached its size limit. The software does a somewhat decent job of dealing with this situation, but it could do better. We're going to put in some new alarms that go off as yesterday's situation approaches. And if it happens that we miss the alarm, the server will shut down immediately and automatically so no further damage will occur. (Murphy-willing of course.)
			- Now that's a band-aid, what are we <i>really</i> going to do about this situation?
			- There will come a time, probably not that far away, when we will ask people to transition to a new way to work on their UserLand-hosted Manila sites, where the data is stored on your computers, and only renderings are stored on ours. You will be able to back up your own data, and you will be able to transfer it to other software if you choose to, or render it through a variety of protocols, including FTP, to another server altogether. We think this is the responsible way forward, and one that will be good for our business. That's why we're working so hard, while keeping the servers running, to get Radio done, with its "desktop website" approach to content creation
		- Tipjars
			- Yesterday I received a few emails from people asking where our Tipjar is. I appreciate the sentiment, but.. I'm not interested in tips, yet. Think about it this way. When you go for a meal at a restaurant you get a bill, which you pay, and you may if you choose, leave a tip. I'm interested in earning money, not having it given as a gratuity. Think about Stephen King's experiment last year to get paid for writing stuff that's distributed through the Internet. He wasn't asking for tips, he was asking to be paid. That has integrity. Asking for <i>only</i> a tip acknowledges somehow that the work itself isn't worthy. Our work is very good and worthwhile. So I will appreciate tips from paying customers who are happy with the service, but first we have to bill for it. 
			- Another option open to Manila users is to purchase a license for Frontier and operate a server yourself. It's not that hard to do, and it's not very expensive. One $2000 W2K box can serve a thousand sites. Add connectivity and software expenses, I would guess the first year the server would cost about $5000. That's $5 per site in the first year. In the second year it would be even less expensive. Such a server would carry a much lighter load than UserLand's servers. A safer backup policy could be implemented.
			- Someone's going to say we should offer $5 sites, but no way. We're not a service business, although almost by accident we have become one. Oy. We make software. We love doing that. Operating free or even inexpensive public servers is a whole different thing.
			- There will be more to say about this in the coming weeks as we Get Real, and back onto a solid foundation, professionally, financially, and personally.
		- Growth
			- One thing is really noticable -- no flames. Thank you. 
			- A couple of questions came about Manila. Its future is strong. Only now is it becoming clear to so many others how rational a product it is. Unlike other free hosting services, we license our software. We <i>want</i> people to start Manila sites. But it isn't rational for us to offer free hosting indefinitely -- for a lot of reasons. 
			- Anyway, thanks for the good vibes. Let's keep diggin and writing. 
		- Doc's friend Craig
			- Doc Searls quotes a friend of his, Craig Burton, who sees the Internet as a <a href="http://members.aol.com/jynelms/tv/simpson1.jpg">donut</a>.
			- I immediately understood and agreed. It is a donut. It's a layered donut.
			- At the core, where there is nothing, is the first TCP packet to go from one place to another.
			- One ring out, again, empty space, is the first email message. 
			- In the same ring, the first DNS lookup.
			- Then the first Usenet group, then the next 10 Usenet groups, then the next 1000 groups and so on, and at the edge of these rings, it's starting to gain some substance, not just be empty space.
			- Then we start getting into the solid rings, the Web browser, email clients, chat systems, content tools, scripting languages, the things that most people  use now.
			- There are rings beyond, that are starting to form, and as they gain substance, the next-inner rings will start to fade. At the edge of substance is Manila. It's coming into existence. In the last few weeks there has been a deluge of new free sites, the same wave that hit Blogger earlier. We see it in the migration of people from other communities. As word spreads "Hey there's something neat going on here" more and more sites get created.
			- And that's cool, we just need to deploy the servers more fully.
			- Imagine if everyone used one mail server or one DNS server.
			- You wouldn't want to do that.
			- So here we go!
			- "cheesecake"
	- January 25
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- About the outage. It looks like we'll be able to do a full recovery. However it's going to take a few more hours. We've had this problem before, once, when we were first starting EditThisPage.Com, but we have a lot more sites now, so it takes longer to recover. Sorry for the outage, but.. what can you say -- it happens.
		- Oy Microsoft is <a href="http://www.msnbc.com/news/521625.asp?0na=22045P2B">still fighting</a> with Sun over Java. Prediction: Java developers won't switch to Microsoft. They want Write Once Run Anywhere. It's such a boring argument. It's why things stay small. Better bet -- build stuff that embraces Java, not routes around it. It won't work. Bad philosophy.
		- Alan Cooper: <a href="http://www.cooper.com/newsletters/jan01/the_iteration_trap.htm">The Iteration Trap</a>.
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1208">Eric Kidd</a>: "After speaking with Adrian Likins at RedHat, I've been thinking about ways to boxcar XML-RPC calls without changing the official specification."
		- <a href="http://biz.yahoo.com/bw/010125/ca_imagine.html">A peek behind</a> the scenes at how news is manufactured.
		- The National Archives has the <a href="http://clinton1.nara.gov/">four</a> <a href="http://clinton2.nara.gov/">Clinton</a> <a href="http://clinton3.nara.gov/">websites</a> <a href="http://clinton4.nara.gov/">archived</a>.
		- <a href="http://www.wirednews.com/news/technology/0,1282,41412,00.html">Wired</a>: "Microsoft's websites were offline for up to 23 hours -- the most dramatic snafu to date on the Internet -- because of an equipment misconfiguration, the company says."
		- <a href="http://www.wirednews.com/news/business/0,1367,41423,00.html">Wired</a>: "Just when Microsoft thought its Web server woes were resolved, they returned."
		- Microsoft: <a href="http://www.microsoft.com/mobile/pocketpc/stepbystep/msnet.asp">Get ready for .NET</a>.
		- I've been hearing great things about <a href="http://www.apress.com/">Apress</a>. It was described to me as an author's book publishing company. If you write a book for them you get stock. Right on. Now we need an author's <i>software</i> company, one that won't disappear when the latest fad dies. One that supports software developers based on reality, not a 24-by-7 deathmarch and has values that go beyond the balance sheet.
		- Wow, tons of new feeds on <a href="http://newsfeeds.manilasites.com/">Newsfeeds</a>.
		- Moshe Weitzman says Shakedown Street is what I'm lookin for for tonight. I'm listening right now. It's one of my favorites. "Don't tell me this town ain't got no heart." Too bright. I like the jazziness of Weather Report Suite. Dreamy and soft. How about The Other One? "Spanish lady come to me.." Michael Fuller suggests the entire Blues for Allah album. I'm listening to Blues for Allah right now. It's beautiful. Bluesy not jazzy. Quite dreamy and soft. I think it's a good choice.
		- Tonight's song is <a href="http://www.cs.cmu.edu/~mleone/gdead/dead-lyrics/Franklin's_Tower.txt">Franklin's Tower</a>, a live version from One From The Vault.
		- BTW, the Grateful Dead channel, in addition to being an XML <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/gratefulDead.xml">thing</a>, now also has an HTML <a href="http://www.scripting.com/blog/categories/gratefulDead.html">rendering</a>. (And it almost validates!)
		- <i>Happy Birthday!</i> to <a href="http://andrea.editthispage.com/2001/01/25">Andrea's Weblog</a>.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/25</internalLink>
				- </rule> 
			- </rules>
		- Outage
			- Houston this is Apollo 13, we have an outage. 
			- Murphy struck one of our servers last night. It must have happened as I was posting an email saying "Our servers don't crash anymore." 
			- Anyway, one of our machines is offline, the one hosting EditThisPage.Com, and a bunch of user sites. We will probably have to restore from a backup, but we're not totally sure at this time. We're going to find out how good our backup system is. And we're going to find out how fault-tolerant (some of) our users are. 
			- "curly"
		- Crediting sources
			- As the Desktop Website part of Radio gets close to completion, more people are using it (cool) and doing blogs with it. One of the nicest features is its "content router." Let's say I see a story in <a href="http://www.tomalak.org/">Tomalak</a> or <a href="http://www.myapplemenu.com/applesurf/">AppleSurf</a> and decide to route it to my Dot-Com channel or my Macintosh channel (just examples). To do that, I click on the Edit <a href="http://www.scripting.com/images/myBlogScreen1.gif">button</a> next to the item, it flips to the My Blog page, where I can add comments, and <a href="http://www.scripting.com/images/myBlogScreen2.gif">choose</a> categories. Then I click on Post or Post and Publish. Off it goes to my <a href="http://www.scripting.com/blog/">blog</a> and to the RSS channels for <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/music.xml">Music</a> and <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/macintosh.xml">Mac</a>. But wait a minute, I just took something from Tomalak and AppleSurf without giving credit. (Some of our bloggers have been manually inserting the credit, they're good people, of course.)
			- <a href="http://www.egroups.com/message/radio-userland/6748">Last night before</a> going to dinner I added a feature that made credit-giving and flow-sharing automatic. Now when you blog something, the source information goes along with the link and is included in the RSS output. (This is why I added the <source> element a few weeks back, anticipating this.) Now, I got an email from Heng-Cheong Leong, the editor of AppleSurf, asking about this, this morning, and I was glad to have last night's post ready to show him. Yes, as the author of an oft-quoted weblog, I share his concern. I want my name and a pointer to my site to go along with the routings.
			- Of course some idiot is going to patent this three years from now and sue me. "It's even worse.. etc."
			- Meanwhile Karl Lewin is working on a Radio-like <a href="http://www.scripting.com/images/zopeMakeRadioCool.gif">website</a> in Zope. And this is cool. Spread the load. Let's get a new content-routing network going. The more the merrier.
	- January 24
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1201">Eric Kidd reports</a> that the XML-RPC Howto is now part of the Linux Documentation Project. 
		- The NY Times channels are <a href="http://www.scripting.com/images/nyTimesInRuotd.gif">flowing through</a> our desktop website app. It's every bit as great as I hoped it would be.
		- <a href="http://newsfeeds.manilasites.com/">Jeff Barr continues</a> to review XML-based news feeds. 
		- <a href="http://www.egroups.com/message/opml-dev/32">We fixed</a> several important OPML-related bugs in Radio today.
		- <a href="http://www.technocrat.net/979412711">Bruce Perens</a>: "Technocrat will be re-launched with a new format. It will not be a discussion site any longer. Instead, it will offer tech stories and legislation alerts to be syndicated by other web sites, including discussion sites." The Technocrat RSS feed is <a href="http://www.technocrat.net/rdf">here</a>.
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1204">David Singer wants</a> a <a href="http://www-106.ibm.com/developerworks/library/w-wsdl.html?dwzone=web">WSDL</a> description of the Manila-RPC <a href="http://www.xmlrpc.com/stories/manilarpc">interface</a>. I don't begin to know how to create one, but I'd like to see it too, if anyone is up for it.
		- <a href="http://paulandrews.manilasites.com/2001/01/24">Paul Andrews</a>: "What a wimpy way to end the Java lawsuit."
		- <a href="http://editorial.inessential.com/2001/01/24">Brent</a> wrote a list of tips about logging on Frontier servers.
		- <a href="http://biz.yahoo.com/bizwk/001229/q.html">Guy Kawasaki</a>: "Instead of hiring more patent attorneys, why don't you hire more engineers?'" <i>Exactly.</i>
		- <a href="http://arts.ucsc.edu/GDead/AGDL/cumb.html">Tonight's song</a> is a real rocker. "Lotta poor man got to walk the line just to pay his union dues." (I chose the live version from Europe 72.) Now I gotta tell the truth. I've been listening to Weather Report Suite consistently for the last few days. It's fantastic programming and writing music. I'll take recommendations for tomorrow. What Dead song is most  like Weather Report?
		- <a href="http://partners.nytimes.com/2001/01/24/opinion/24WED2.html?Partner=UserLand&RefId=mya,EFnnunuF-4=">The NY Times slams</a> Clinton for his pardon of Marc Rich.
		- It doesn't take long to find the <a href="http://www.scripting.com/images/newAdSizeForNewsCom.gif">gotcha</a> in the redesign at News.Com. There's a big huge ad in the middle of almost every story. News.Com, like every other dotcom, is radically altering its formula, wanting to be one of the survivors. If this proves economic (that is if people continue to read the stories wrapped around the flashing TV-size ads) then you can truly see the cost of being an eyeball. Judge for yourself if the editorial that surrounds the ads is worth the distraction. 
		- Rube Goldberg would love this. Moreover produces a <a href="http://www.moreover.com/cgi-local/page?feed=139&o=rss">channel</a> that contains News.Com syndicated headlines. I subscribe to that channel. It sends me a <a href="http://c.moreover.com/click/here.pl?r14581676">link</a> back to Moreover. I click on it and am sent to a <a href="http://news.cnet.com/news/0-1007-200-4585441.html?tag=unkn">page</a> on News.Com. To read a story distributed by Reuters. 
		- <a href="http://www.wiredfool.com/2001/01/23">Eric Soroos</a>: "Two weeks ago monday, we lost 2/3rds of the staff. Last friday, the rest of us stopped getting paid. But something strange is happening. It's not dying that easily. We're fighting for it, since we don't know what else to do, and we're not going to let it go quitely into that good night. We have cool apps, we have customers that are happy, and we have bandwidth for a little while longer." <i>Integrity.</i>
		- <a href="http://www.latenightsw.com/macosx/differences.html">Late Night Software</a> is accumulating a list of differences in AppleScript on Mac OS X. 
		- <a href="http://dailynews.yahoo.com/h/ap/20010120/wl/us_world_forum_1.html">Davos</a> starts tomorrow. I'm sad I'm not <a href="http://scriptingnews.userland.com/stories/storyReader$174">there</a>, but my rabbi lost his job. Oy. I said to <a href="http://www.davosnewbies.com/">Lance</a> I have to start my own Davos. He agreed. Then I got giddy. It turned into My.Davos and then, of course, My.Davos On The Desktop. I'll return someday, with my camera and a continued vigilance about software <a href="http://davenet.userland.com/2001/01/21/theUsBlues">patents</a>. I know so many people who are there this year. Please if you see Jay Walker tell him to donate his patents to the public domain. And give <a href="http://scriptingnews.userland.com/pictures/viewer$122">Esther</a> a hug for me. (I wonder if Katherine Harris will be there?)
		- It had been a long time since I looked at the OFS <a href="http://www.ourfavoritesongs.com/">Top 100</a>. It's still running! Amazing. 1390 users. Where did they come from? Sheez. Blows me away.
		- One of the cool things about UI on a long Web page is that you can put the docs in the user interface. Here's an <a href="http://www.scripting.com/images/longPromptsOnBrowserUi.gif">example</a>. I can take the user through the security options one step at a time. Do you want to turn off remote access. Do you want to turn off POSTing. And do you want to require a password. The cool thing is that I can explain *why* you might want to do these things right inline. This is a different philosophy from GUIs which depended on never-effective Help systems to get you the information you need. 
		- <a href="http://www.slacker.com/lists/clueless.html">Clueless</a> may sound cruel, but the idea is to get people to learn how to extract themselves from mailing lists.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/24</internalLink>
				- </rule> 
			- </rules>
		- I'm doing an experiment here
			- <a href="http://127.0.0.1/myuserland/addChannel.wsf?url=http%3A%2F%2Fscriptingnews.userland.com%2Fxml%2FscriptingNews2.xml"><img src="http://www.scripting.com/images/addToMUOTD.gif" height="13" width="20" border="0"></a> 
	- January 23
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- WebReference: <a href="http://www.webreference.com/dhtml/column46/">Hiermenus Go Forth</a>. "What seemed stable and solid several weeks ago, now looks more like a beta than anything else. Thanks to the largest Quality Assurance department in the world (you) we have discovered and fixed quite a few problems."
		- <a href="http://dailynews.yahoo.com/h/nm/20010123/pl/bush_keyboards_dc_1.html">Reuters</a>: "In an apparent prank carried out by departing Clinton administration staffers, Bush aides discovered that dozens of computer keyboards were missing the W key."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/23</internalLink>
				- </rule> 
			- </rules>
		- The wind and rain
			- It's a beautiful stormy day in California. 
			- I'm listening to last night's song, one more time, while preparing to choose tonight's
			- <i>"Golden hills, now veiled in grey. Summer leaves have blown away. Now what remains? The wind and rain."</i>
		- You win again
			- <a href="http://www.scripting.com/mp3s/youWinAgain.mp3">The news is out</a>, all over town..
			- You've been seen, out runnin round. 
			- The lyrics are <a href="http://www.cs.cmu.edu/~mleone/gdead/dead-lyrics/You_Win_Again.txt">here</a>, short and sweet. 
			- <i>You win again!</i>
		- A new hotlist
			- <a href="http://www.scripting.com/images/radioHotlist1.gif">A new feature</a> came online tonight in our Desktop Website project. Like every community there's the ranking thing, the place you want to be. Who's on top and who's the rising star? Our little den of RSS lovers is no exception. <i>"Black dirt live again!"</i>
			- Interesting thing about the hotlist, it recalcs every hour and is a function of who's logged in. (A login lasts 25 hours.) This morning I looked at it and my number had decreased from 11 to 7. Still tied for number one. 
			- BTW, we're going to release the source code for the cloud when it settles down so that all different kinds of communities can develop. It's all XML and XML-RPC/SOAP. I know of one developer working in Zope to parallel our development, and of course we welcome this.
			- I can also see which categories of mine people have subscribed to. A lot of people have subscribed to Scripting and Frontier, but I rarely route stories to these channels. It's as if there's a small audience waiting. So I just routed <a href="http://www.webreference.com/dhtml/column46/">something</a> to Scripting, and am going to create some things to route to Frontier. Feedback in the form of a hotlist really helps. 
			- Another example of that is the <a href="http://www.xmlrpc.com/stats/referers">Referers page</a> for the XML-RPC site. As news of Eric Kidd's work spreads, the XML-RPC site is getting linked into more developer sites. And it distributes the flow to the implementors and they in turn point back to us. This is the Web doing its work, telling developers about good stuff they can use and in return encourages us to create more good stuff. 
			- Anyway, if the hotlist is such a good idea, then an <a href="http://www.userland.com/updates">Updates</a> page can't be far behind, right? Well, in the next level, the Updates page is much hotter. You don't get a list of sites that changed,  you get the bits from the sites, delivered into your template along with items from MacNN, The NY Times (we <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/nytimes/technology.xml">got</a> it working!) and Salon, Herring, Wired and Fool, and a bunch of others. It's kind of a mix of chat, the Web, and mail lists. 
			- Who was it who <a href="http://www.thetwowayweb.com/payloadsforrss#aTouchOfGrey">said</a> "Everything on the Internet is just like something else. Or if it's any good it's just like <i>everything else."</i>
			- "curly"
		- Redesigns
			- <a href="http://www.news.com/">A redesign</a> at News.Com. As much as I like the design, I'd really like to see CNET support "RSS". Then their stories could show up when I'm reading and routing stories from other popular Internet news sources.
			- "Reading and routing" <i>..and 'rithmetic?</i>
			- On the other hand, the ZDNet <a href="http://www.zdnet.com/zdnn/">redesign</a> is a <a href="http://www.scripting.com/images/zdnetRedsign2001a.gif">disaster</a>. Did they test it with MSIE 5.5/Win?
	- January 22
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.atomz.com/services/atomz_publish/how_publish_works.htm">Atomz.Com</a>: "The key to the Atomz Publish system is its patent-pending templating system, which allows Web designers to clearly separate Web content from site design, and then give access to non-technical users of the Web site so that they can edit the content themselves." <i>It must be a joke.</i>
		- I did a mini-prior-art search on my own websites. The first templating system I did was <a href="http://davenet.userland.com/1994/11/07/davesautomatedwebster">in 1994</a>. In early 1995 <a href="http://www.scripting.com/autoWebDocs/whatisautoweb_119.html">AutoWeb</a> did <i>not</i> do templates. Now I'm going to check Clay Basket (also in 1995, I think).
		- <a href="http://www.scripting.com/clay/whatisclaybasket.html">Clay Basket</a>: "Templates for page layout give the designer total control over the appearance of each page. Text editing is easy for writers." That was October 1995. In spring 1996 we started on Frontier's website framework, which is still supported. (It's at the core of Manila.)
		- <a href="http://www.scripting.com/mp3s/weatherReportSuite.mp3"><img src="http://www.scripting.com/images/sound.gif" height="11" width="10" border="0" hspace="10" vspace="10" align="right"></a>Tonight's song: <a href="http://www.getlyrics.com/lyrics/grateful-dead/wake-of-the-flood/07.htm">Weather Report Suite</a>. "Winter rain, now tell me why, summers fade, and roses die? The answer came. The wind and rain."
		- Reminder, it's a <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/gratefulDead.xml">channel</a> with <a href="http://www.thetwowayweb.com/payloadsForRss">payloads</a>. 
		- <center><table><tr><td valign="top"><i>I'm Uncle Sam.<p>That's who I am.<p>Been hiding out..<p>In a rock and roll band!</ul></i></td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td valign="top"><a href="http://www.scripting.com/images/uncleSam.gif" title="How do you do?"><img src="http://www.scripting.com/images/uncleSamFullThumb.gif" height="120" width="91" border="0"></a></td></tr></table></center><br><a href="http://weblogs.userland.com/zopeNewbies/2001/01/22">ZopeNewbies</a>: "It looks like the big boys are starting to use XMLRPC. Last night I installed RedHat 7. This morning, while mucking about the config files, I came across the one for RedHat's new auto-update tool. It queries a server at RedHat for a list of new updates available for your box, and you choose whether or not to install the updates. Anyway, it looks like that new service relies upon XMLRPC."
		- Dave Warner: "Re Red Hat's implementation, I checked it out as part of the research for my last article. The client portion looks fine, in line with your spec. The only enhancement I saw was the addition of SSL capabilities." <i>Fan-tas-tic!</i>
		- <a href="http://newsfeeds.manilasites.com/">Jeff Barr started</a> a Manila site to highlight XML newsfeeds he discovers. Good idea. Discovery can be overwhelming. Too many channels, it can be hard to find the good ones. We need curators and critics, people who appreciate a good channel. Let's also learn what makes a channel good. What's your favorite and why? As the tools get better we'll be asking these kinds of questions.
		- AP: <a href="http://dailynews.yahoo.com/h/ap/20010122/sp/bbn_obit_agee_3.html">Tommy Agee dead at 58</a>. <i>Ouch.</i>
		- NY Times: <a href="http://partners.nytimes.com/aponline/national/AP-Prison-Escape.html?Partner=UserLand&RefId=ly_WLmY_WEFnnunuFF">Texas escapees arrested in Colorado</a>.
		- <a href="http://dailynews.yahoo.com/h/p/ap/20010120/us/inaugural_balls_1do.html">Katherine Harris</a> <a href="http://dailynews.yahoo.com/h/p/ap/20010120/us/inaugural_balls_bsz.html">attended</a> the Florida inauguration ball on Saturday night. 
		- ZDNet: <a href="http://www.zdnet.com/intweek/stories/news/0,4164,2676785,00.html">IBM Touts Napster-proof Music Locks</a>.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
		- P2P2P2P2P..
			- It's official. I'm starting another craze. P2P isn't enough. We need more P's. You and me and him and her and them and everyone else. Of course if you have more P's you need more 2's.
		- A serious political question
			- OK, Bush is cutting aid to family planning overseas. He's also proposing a tax cut. So why can't we take the money we'll get in the tax cut and spend it on family planning overseas? Just curious where the leverage is in having the government spend the money for us. 
			- BTW, in case I haven't said it before clearly enough I am strongly pro-choice. I think there are far too many people on the planet already, and if people want to have fewer children I totally support that. However, the moral issue is real. I hate the idea of killing unborn children. I don't see where the line is though. But I also think that fewer children is much better than more children. Not that I don't like children. Oy see the circle?
	- January 21
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- DaveNet: <a href="http://davenet.userland.com/2001/01/21/theUsBlues">The U.S. Blues</a>. "The patent hypers have no shortage of stories about lovely little guys with high ideals and strong principles. But a software guy who puts up gates that keep people out doesn't really understand software, imho. Software is about communication and sharing and working together. At least if you use computers, you'd better hope so."
		- Eric Kidd: <a href="http://xmlrpc-c.sourceforge.net/xmlrpc-howto/xmlrpc-howto.html">XML-RPC Howto</a>. "It includes sample clients and servers in Perl, Python, C, C++, Java and PHP. It shows you how to implement an XML-RPC server as a CGI, using either Perl or C." <i>A tour de force.</i>
		- I love how Eric works. With other people I'd worry that they're going to leave me out of the success of my creation. Eric gets to work, delivers a key <a href="http://xmlrpc-c.sourceforge.net/">implementation</a>, and then turns to <a href="http://advogato.org/article/232.html">evangelism</a>. He's total fresh blood. I moved on from XML-RPC a long time ago, working on OPML and RSS, and desktop websites, directories, bionic pages, content routing, Magic Folders (see below) and back to <a href="http://davenet.userland.com/2001/01/21/theUsBlues">music</a> (one more time). All these activities assume that XML-RPC exists, and of course it does. Eric correctly realized that what was needed was the option for upward scaling, and his C implementation gives us that. Frontier is great for bootstraps, but if we had millions of users, well, I'd rather use C. Eric's work with the generous help of others gives me, and every other XML-RPC developer, that path forward.
		- Dictionary.Com: <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=tour%20de%20force">Tour de force</a>. "A feat requiring great virtuosity or strength, often deliberately undertaken for its difficulty."
		- <a href="http://www.ohio.com/dist/ns/004341.htm">Ohio.Com</a>: "Menusaver Inc contends it holds a patent for crustless peanut butter-and-jelly sandwiches and intends to maintain its exclusive rights to the lunchtime staple."
		- Yesterday I did a feature for Radio called Magic Folders. A router for folders. Now if you plop a file into the images folder it goes into the <a href="http://www.scripting.com/blog/images/">images</a> folder (via FTP) on My Blog. I think essays are going to work the same way. Just a little bit of glue to create a workgroup. They're magic because there's almost nothing there, like any good router it's just a glue-bit. "When you see one of these, do this."
		- Someone sent a <a href="http://www.nationalpost.com/home/story.html?f=/stories/20010116/438132.html">pointer</a> to OpenCola's "smart folders" thinking they were like our magic ones. Not so. Their folders are not magic in the same way that ours are. You could probably implement their kind of folder with our kind, but it would take some smarts elsewhere to make them smart. Ours are actually pretty dumb. ";->" 
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 20
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.sixties.com/html/garcia_stack_0.html"><img src="http://www.scripting.com/images/captainTripsSmall.gif" height="51" width="42" border="0" hspace="10" vspace="10" align="right"></a>In celebration of today's inauguration, after hearing all those great patriotic songs, America the Beautiful, even The Star Spangled Banner made my eyes mist up. It made my choice of Grateful Dead song of the night realllly easy. <a href="http://www.scripting.com/mp3s/usBlues.mp3"><img src="http://www.scripting.com/images/sound.gif" height="11" width="10" border="0" hspace="10" vspace="10" align="left"></a>Here are the <a href="http://searchlyrics2.homestead.com/gd_usblues.html">lyrics</a>. Click on the audio icon to the left to give it a listen. "Red and white, blue suede shoes, I'm Uncle Sam, how do you do?" It's a different kind of patriotic music, but man I love my country and I love Jerry and the band. <i>I truly do!</i>
		- <a href="http://www.internetworld.com/011501/01.15.01interview.jsp"><img src="http://www.scripting.com/images/weatherallthumb.gif" height="34" width="35" border="0" hspace="10" vspace="10" align="right"></a><a href="http://www.internetworld.com/011501/01.15.01interview.jsp">InternetWorld</a>: "[Alta Vista owns] 38 patents, many of which we think are fundamental in the search area. They were the first to spider and index the Web. And Digital did a good job of recognizing the potential value of that intellectual property. And they were very thorough in filing broad and deep and narrow patents. And we have another 30 patents that are in application. So we believe that virtually everyone out there who indexes the Web is in violation of at least several of those key patents." 
		- <i>"Son of a gun, better change your act."</i>
		- NY Times: <a href="http://www.nytimes.com/2001/01/20/technology/20ANNIVERSARY.html">Five Years on the Web</a>. "The site looks quite a bit different than it did in five years ago, but its aspirations are largely the same: to be the best news and information site on the Internet."
		- Yup it was another kickass speech, and a real tear-jerker, all that music, the songs we sang in grade school. What memories it pulls to the surface. Whoooaa. Now, back to our regularly scheduled program.
		- <a href="http://www.whitehouse.gov">The White House Website</a> rolled over, nice simple <a href="http://www.scripting.com/blog/images/whiteHouseBushWebsite.gif">design</a>. 
		- <i>"I'm Uncle Sam, that's who I am; Been hidin' out in a rock and roll band."</i>
		- Heard on NPR. Senators who attend an inauguration bare-headed want to be President. 
		- AP: <a href="http://dailynews.yahoo.com/h/ap/20010120/pl/clinton_pardons.html">Clinton Pardons More Than 100</a>. Including Susan MacDougal, his brother Roger Clinton, and former CIA Director John Deutch. The <a href="http://www.washingtonpost.com/wp-srv/aponline/20010120/aponline135239_000.htm">full list</a> is on the Washington Post site.
		- Scary thought. We really <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=depend">depend</a> on <a href="http://www.egroups.com/">eGroups/Yahoo</a>. They take care of a nasty job and do it really well. We pay them nothing. At some point we're either going to have to pay or lose the data we're accumulating. The responsible thing is to work with them to figure out how to make it work financially. 
		- If you think it <i>can't</i> go away, you don't live in California, or you're not paying attention. The electricity situation, like a chapter out of <a href="http://www.aynrand.org/fiction/atlas_shrugged.html">Atlas Shrugged</a>, is pretty dire. They're talking about 12-hour rolling blackouts by summer. Think about how that might effect your life even if you don't live in California. 
		- <i>"Summertime, come and gone, my oh my."</i>
		- <a href="http://dailynews.yahoo.com/h/ap/20010120/pl/clinton_indictment_16.html">Bill Clinton</a>: "I tried to walk a line between acting lawfully and testifying falsely,'' but "I now recognize that I did not fully accomplish this goal." 
		- <a href="http://www.salon.com/politics/feature/2001/01/19/clinton/index.html?CP=RDF&DN=310">Salon</a>: "Thanks, President Clinton! Your lying and philandering turned the country over to George W. Bush."
		- NY Times: <a href="http://partners.nytimes.com/2001/01/20/technology/20MANI.html?printpage=yes">Text messaging is a blizzard that could snarl Manila</a>. "Filipinos punch out electronic messages on their mobile phones because it is much cheaper than calling. This week, an invisible blizzard of messages summoning people to join demonstrations against Mr. Estrada has fluttered across Manila like propaganda leaflets scattered from airplanes."
		- O'Reilly: <a href="http://www.oreillynet.com/lpt/a/554">The Power of Metadata</a>.
		- They make some good points. We don't need different protocols and formats for all different media types. But we sure don't need RDF and Dublin Core. We do need <a href="http://scriptingnews.userland.com/directory/1026/xmlEditors">tools</a>. 
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 19
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.bbc.co.uk/webwise/guides/easyweb/easyweb1.shtml">The BBC reviews EditThisPage</a>, Free-Conversant and WikiWeb. <i>Nice!</i>
		- This morning a reader asked me to define "michegas" and I told him to use Google. I just tried the <a href="http://www.google.com/search?q=michegas">search</a> myself, and found that I pretty much own the word. Sometimes Google makes me giggle.
		- Good morning. What to do today? Something interesting I hope. Meetings and michegas. I hope to port <a href="http://whois.userland.com/">WhoIs</a> to the desktop. That should be interesting. 
		- In a bookstore today I bought copies of Wired, Red Herring and Business 2.0. These magazines have gotten <i>very very thin.</i> 
		- <a href="http://www.stuffeddog.com/archive/post/756">David Adams</a> on filters. "Filters are a very bad idea for several reasons. For one, they don't work!" I agree. Scripting News is blocked by some of the filters. Hmm. Weird. This means you can't read Scripting News in airport lounges, I've heard. Does that make sense?
		- <a href="http://www.backupbrain.com/2001_01_14_archive.html#2033076">Backup Brain</a>: "So then, why doesn't he ever link to us?"
		- <a href="http://inessential.com/2001/01/19.html">Brent</a>: "Don't hide bugs -- find 'em, grind 'em up, sprinkle them on your eggs, eat 'em for breakfast. You're a programmer."
		- Yesterday I got a lot of requests from people wanting to be in the loop on our Desktop Website project. We have a new build of Radio in testing right now. Hopefully later today it will be available to download. But we want to do a corner-turn on the desktop websites project before releasing it. Doing the corner-turn would be quite a bit more difficult with more users. I wish we had already done it, but things are going slowly. I'll keep you updated here. Please keep the enthusiasm, and I'm sorry we're not quite ready yet.
		- <a href="http://curry.com/users/adam/blog/index.html">Adam</a> keeps plopping cool stuff into my enclosures folder. This morning I watched a short movie called The Battle of the Sexes. A guy is wanting to take a sexy babe home with him. She smiles innocently and excuses herself. "I'm going to the ladies room," she coos. He smiles. She smiles. The camera follows her into the bathroom, where all hell breaks loose.
		- <a href="http://iowa.weblogger.com/2001/01/18">John VanDyk</a>: "But you must be able to think!" <i>Amen.</i>
		- Pushback from Mac users. I was browsing around the Web last night with my new fast Weblogs.Com interface, re-programming my favorites in the new environment, and came across a couple of sites that were trashing me on a personal level for my opinions about Mac OS X. Since I gave up TV, I find it's easier to give up other things, like getting embroiled on a personal level with someone just because they say nasty stuff about me. I know I'm not stupid. If these people still think, after reading my site for years, and using my software, that I'm stupid, that's their problem not mine.
		- BTW, it's going to be tough not having a TV tomorrow when the US government flips over. I'll probably watch it on <a href="http://www.whitehouse.gov/">the Web</a> somehow.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 18
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <i>One of our static server is down at 9:45PM Pacific. Lots of images broken all around UserLand. We're getting the machine rebooted right now. Hopefully it's not worse than it appears. ";->"</i>
		- 10:01PM. The static server is back up. Bonus for Web readers. I usually don't add anything after 10 PM, when the emails go out, but today I'll make an exception since I have to stick around until 15 after. I did a cool feature today, I call it Weblogs.Com On The Desktop. Guess what it <a href="http://www.scripting.com/images/thisMightBeAMindBomb.gif">does</a>. 
		- It's totally brain-dead simple, it reads this <a href="http://static.userland.com/weblogMonitor/changesShort.xml">XML file</a> produced by Weblogs.Com-At-Exodus once an hour. But you don't have to compete with 18,000 other people reloading all at the same time. That's why it's so much faster.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/18</internalLink>
				- </rule> 
			- </rules>
		- XML-RPC and open source
			- I hoped that eventually the open source community would catch on that XML-RPC was for them and now it seems to be happening. Dave Warner, whose name is very close to my own, is a spirited fellow, who I've gotten to know as he's been writing about XML-RPC and Python over at O'Reilly. His latest <a href="http://www.oreillynet.com/pub/a/python/2001/01/17/xmlrpcserver.html">article</a>, published yesterday, is a gem.
			- Basically "XML-RPC" is an open source project, and quite a bit more complex than most, because it has implementations in virtually every environment and language in wide use in 2001. They interoperate. This is something that no other distributed computing protocol can claim. I am very proud of what we've been able to accomplish, off on the side, almost while no one was watching. And that it should start to become a standard development platform for developers of all persuasions was my fondest hope when starting the process in the spring of 1998.
			- Some philosophy. The <a href="http://static.userland.com/images/XML-RPC/Header.jpg">logo</a> for XML-RPC is a dove with an olive branch, with the backdrop of the United Nations and the NY skyline. The skyline is about commerce. The UN is about working together. And the dove explains our cause. 
		- The New York Times and XML
			- On <a href="http://scriptingnews.userland.com/backissues/2001/01/16">Tuesday</a> I wrote about wanting NY Times headlines to flow through RSS and later that day a friend sent me a link to a folder of XML files on the Times website containing an RSS-like format called <NewYorkTimes>. 
			- I <a href="#plotzed">plotzed</a> on the spot. "What a goldmine!" I said. 
			- Their XML format, clearly of their own invention, is very much like RSS 0.91, with several extensions that made complete sense. It took me about 2 hours to write a translator that generated RSS from their format.
			- I then subscribed to the new channels, and voila, less than 24 hours after my wish, it had come true! Now I don't know what the Times' policy is on this. It seems it should be OK with them, because we're simply driving traffic to their site, for free. And we've set it up so that their XML server is not getting the hits, nor is their format being disclosed. 
			- I'm tiptoeing carefully, but I felt, after giving it 24 hours to settle in, that I should say something here. We have Times headlines flowing through our syndication system. And since I grew up reading The Times (it's still my favorite news source) it's like a homecoming.
			- If you know anyone who works at the Times in system management or Web development, please help us get in touch, we want to be completely above-board on this. Thanks.
		- My Blog on the Desktop
			- Last night we released a new tool to testers of our Desktop Website app, it's the My Blog page, a simple blog editor, with all kinds of preferences, and a connection through FTP. It also supports RSS and notification via XML-RPC.
			- Our tool is very simple, however behind the simplicity is a new formula for Internet applications. The rendering code and all your data reside on <i>your computer.</i> This is important for a couple of reasons. First, we won't need to ask users to pay for servers since our servers aren't doing anything when you're blogging. Second, you control your data. This is, only now, starting to become an issue for users. It's guaranteed to become a bigger issue over time because we're repeating a loop. Back in the mainframe era data ownership became a big issue, and that resulted in the personal computer revolution, where the users took control of the data, and built their own apps, using VisiCalc, Lotus 1-2-3, dBASE, etc. In our setup, all your blog data are sitting in a scriptable database on your own machine. If other developers want to build apps that suck the data out of our database into their own, we're wide open, as they say in Japanese, gambatte.
			- Now, some people say they like a browser interface, and so do we, that's why the My Blog page is in the browser. But you say you like to update your blog anywhere. We do too. That's why the My Blog page is in the browser. You can access it from your desktop (fast) or you can access it from work (convenient) or from an Internet cafe (cool).
			- In private email I extended an invitation, and now publicly, to the Blogger folk to work with us. I'd love to see Blogger On The Desktop. We'll give them the source code for our blogging tool, if they want, and they can take it where ever it makes sense. We love to make software, and that's what we do well. And we also love to share. 
		- Brent's insight
			- Brent has been thinking about how to configure the Web server in Radio. After readng my story about Blogs and Blogger, above, he posted an email explaining how he felt the server should be configured. I immediately realized that he had the answer, and asked him to <a href="http://inessential.com/2001/01/18.html">write it up</a>.
		- News and links
			- Lance Knobel's <a href="http://www.worldlink.co.uk/discuss/msgReader$513">interview</a> with HP CEO Carly Fiorina. 
			- <a name="plotzed">I looked</a> for "plotz" in several online dictionaries, and it's not there. It's such a big word. Let me try to define it. Plotz is a verb meaning "to faint in surprise or disbelief." There's an element of hysteria in there. When I was a kid if I got straight A's on my report card (never happened) my mother would have plotzed. Like all Yiddish words, it's overdone, with humor. We often <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=feign">feign</a> plotzing, and everyone has a good laugh.
			- <a href="http://www.internetnews.com/bus-news/article/0,,3_563731,00.html">Internet.Com</a>: "Despite reporting record fourth-quarter results that met analysts expectations, e-commerce software maker Vignette Corp. Thursday said it anticipates lower results in 2001, which will lead to about 300 job cuts and facility consolidation."
			- <a href="http://www.businessweek.com/bwdaily/dnflash/jan2001/nf20010118_221.htm">BusinessWeek</a>: "But the intractable crowd remained silent until he pointed out that the familiar Apple icon -- now colored blue -- had been returned to the far left-hand corner of the screen. At last, they cheered."
			- Oh goodie,  a new <a href="http://joel.editthispage.com/stories/storyReader$287">Joel piece</a>. <i>Excellent!</i>
	- January 17
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://macworld.zdnet.com/2001/02/reviews/scriptdebugger.html">Dori Smith reviews</a> Late Night's Script Debugger.
		- Motley Fool: <a href="http://www.fool.com/news/foolplate/2001/foolplate010117.htm">Macromedia Inhales Allaire</a>. "Web design software company Macromedia hopes the purchase of Allaire will boost its business, but economic effects that have damaged the company's customer base will nevertheless lead to slower growth in the upcoming fiscal year."
		- WebReference: <a href="http://www.webreference.com/html/tutorial28/">HTTP for HTML Authors</a>. 
		- <a href="http://joel.editthispage.com/stories/storyReader$25">Joel</a> on Microsoft non-competes. "I signed such a contract at Microsoft without paying too much attention. When I left, I realized that because Microsoft has a finger in everything related to software, technically I could not work in my field <i>at all</i> for 12 months after leaving Microsoft."
		- Paul Kulchenko: <a href="http://soap.weblogs.com/discuss/msgReader$168">SOAP::Lite 0.45</a>.
		- <a href="http://www.pbs.org/cringely/pulpit/pulpit20010111.html">Cringely</a>: "Steve wants to suck another $129 in almost pure profit from the very customers who will already be saving his and Apple's butts." I doubt it. The reason Apple is delaying the release of Mac OS X, purely based on tea-leave reading, is that it is not ready for users yet. The March release will certainly slip. Steve will say "There's no real reason to ship it to stores, people can download it over the Internet." And the July date will slip. It would be suicidal for Apple to put OS X in real users faces before it's exactly a clone of Mac OS 9, with a few minor improvements that aren't in your way. Unless they're stupid or very fast (it'll never happen) Mac OS X can not be pre-installed on anything other than servers for another couple of years. Software takes time. You can't hurry love. Look at the features they're bringing online now. Core stuff. (Until a couple of weeks ago the Apple logo was in the middle of the screen for crying out loud.) It might be a management technique. Keep the engineering team in 24-by-7 death-march mode. But that's probably already been going on for a couple of years. That was how Copland died, btw. Remember Copland?
		- What if Apple had done the deal with Be instead? Oy. They made the wrong friggin choice. There, I said it. 
		- <a href="http://surveys.userland.com/surveys/run/dave@userland.com/nextOrBe">Survey</a>: "Given the benefit of hindsight, would Apple have done better by merging with Be Labs instead of NeXT, Inc?"
		- Brrrr. It's collllld today.. Brrrr. Ice on the swimming pool. Is this really California? I guess.
		- We're still at <a href="http://www.caiso.com/SystemStatus.html">Stage 3</a>. Bring on the rolling blackouts. I've been turning things off. Last night I turned off the VCR with the blinking clock. Since my cable TV is off, I don't think I'm going to be recording any shows. ";->"
		- I want to show you what I've been working on. But I can't. Yet. 
		- Hint: I've been learning to love the word blog. Weird thoughts pop into my head. What would a bloglet be? In a comment I find myself talking about a blogbox. A boolean variable named flFreshBlogBox.
		- I want to show you what I'm listening to. I can do <a href="http://www.scripting.com/mp3s/tennesseeJed.mp3">that</a>. A song for Al Gore?
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 16
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://lists.xml.org/archives/xml-dev/200101/msg00662.html">In a post</a> on the XML-DEV list I outlined what I've learned about syndication and aggregation in the last couple of years, working on numerous approaches that turned into blind alleys. They're talking about a distributed subscription system for resources that describe namespaces.
		- After a very productive day working on my desktop website app, I realize that things are changing a lot all around the Internet industry, and especially around here. Change can be unsettling. But change is good. Some of what we were all doing for the last few years wasn't leading anywhere, it turns out. But some of it is very valuable. Editing in a Web browser is still fantastic. It works a lot faster if the server is nearby and carrying a light load. These things may sound obvious now, but they haven't been obvious for the last couple of years. 
		- BTW, I hesitated to announce this when I made the decision at the beginning of last week to turn off my cable TV service. I went through a lot of withdrawal. Now the urge to zone out on TV is much less. I've read four books in the last week and I feel like I'm leading a more wholesome existence. More hot tub time, more dinners, more focus in my work. Amazing. What other habits can I give up?
		- Press release: <a href="http://biz.yahoo.com/prnews/010116/ca_macrome_3.html">Macromedia and Allaire to merge</a>. "The combined company will evolve its Web development platform with support for open industry standards." <i>Makes sense.</i>
		- Rebecca Mead: <a href="http://www.rebeccamead.com/2000_11_13_art_blog.htm">You've Got Blog</a>. 
		- <a href="http://inessential.com/2001/01/16.html">Brent</a>: "Here's a major tip: always look at prior art." <i>Amen.</i>
		- <a href="http://www.xent.com/dec00/0724.html">Posted</a> on the FoRK list, a WSJ story about Crossgain, the company founded by Tod Nielsen and Adam Bosworth, both of whom I knew when they were at Microsoft. They were working on a project in the SOAP space, which I have been briefed on, on background. Now they've been forced to quit under heavy pressure from Microsoft. I can't believe Microsoft is playing hardball here. There's so much room in this new space, we need all the smart technologists working diligently to explore all the new territory. Not just at Microsoft of course. 
		- <a href="http://march25.editthispage.com/pictures/viewer$296"><img src="http://www.scripting.com/images/kenDowThumb.gif" height="46" width="35" border="0" hspace="10" vspace="10" align="right"></a>Ken Dow is doing <a href="http://www.kendow.com/manilacourses.html">three Manila courses</a> in San Jose, CA at the end of February. Highly recommended. Ken knows Manila as well as anyone and he's a great teacher and really nice guy. If you've been fumbling around the edges of Manila wanting to become an expert, Ken is the guy who can get you there. 
		- Last night at dinner with Jeff Barr, the author of <a href="http://www.vertexdev.com/HeadlineViewer/index.html">Headline Viewer</a>, we agreed it was time to get new publications signed on to RSS. This morning there's a note on Jake's site that <a href="http://www.theregister.co.uk/">The Register</a> has <a href="http://my.userland.com/viewChannel$3877">signed on</a>. Their RSS feed is <a href="http://www.theregister.co.uk/tonys/slashdot.rdf">here</a>. That's really cool. Jeff is a persuasive and persistent salesman. He inspired me. We won't stop pushing until we get the Big Three on board. Who are they? The Washington Post, Wall Street Journal and New York Times. It's so sensible. "RSS" is like free banner ads. A no-brainer, if we can find the right person to pitch in each organization.
		- This morning there was a 93 megabyte MPEG movie in my enclosures folder, a beautiful graphic rendering of the inner-workings of the Internet from Ericsson. It took 18 minutes to download. But I didn't wait for it. 
		- Back when I was a kid, many centuries ago, the cool thing to have was a <a href="http://www.scripting.com/images/radioFlyerSled.gif">Radio Flyer</a> sled. Why do I mention this? Because Radio is a cool name for a product. ";->"
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
		- Tonight's song
			- Ed Cone: "Had a nice Deadhead experience with my wife, who never was one but gets the vibe and knows and likes a lot of the music. Somehow she made it to the age of 40 without ever hearing Wharf Rat. We drove to Jersey and back over Christmas with the live album commonly known as Skull and Roses in the CD player much of the way, and it was cool to see her discover one the band's finest moments. That song is unique and underappreciated. Fun to hear that disc again after a few years off -- you get Jerry as blues-guitar hero on Big Railroad Blues and a nice version of Bertha."
	- January 15
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://jake.editthispage.com/"><img src="http://www.scripting.com/images/jakeSavinThumb.gif" height="44" width="36" border="0" hspace="10" vspace="1" align="right"></a> Wired: <a href="http://www.wired.com/news/business/0,1367,41065,00.html">Cache at the End of His Rainbow</a>. "Although it had been six weeks since Savin lost his site, he found everything, all 400 pages, in Google's cache."
		- Jake was interviewed on CNET Radio, archived in <a href="http://tm.intervu.net/template/s2/iv/g2_vod.ram?stream=smirror/cnetradio/pm01-15.rm;xtn=.ram">RealAudio</a> or <a href="http://tm.intervu.net/smirror/cnetradio/pm01-15.asx">Windows Media Player</a> format. Jake says "They're good for 24 hours. The interview starts a little less than 7 minutes in." I just listened to it. Jake is a smart dude and tells a good story. In case you don't know, he works at UserLand. And we're proud of that fact.
		- Little-known fact. <a href="http://www.netlingo.com/lookup.cfm?term=YYSSW">YYSSW</a> stands for "Yeah yeah sure sure whatever." After hearing Dubya stumble through a one-minute speech about Martin Luther King Jr I realized I'm going to be saying YYSSW a lot for the next four years.
		- Here's something you could put on your business card. "I would be doing Web software even if the dot-com thing never happened." <i>YYSSW.</i>
		- <a href="http://inessential.com/2001/01/15.html">Brent</a>: "Hello, is this thing on?"
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/15</internalLink>
				- </rule> 
			- </rules>
		- Two-Way movie previews
			- Last night Adam (I think) plopped a preview for a movie called The Bachelor into my enclosures folder. I was surprised to find how captivating it was. Movie previews tell a story with a little sex, greed, intrigue, and something outrageous.  500 women in wedding gowns chasing the protagonist screaming "He's mine!" They give away the plot in two minutes. I think they push some of their most expensive scenes out this way. You wouldn't want to wait for it to download unless you had a T3 line, on my slow DSL it took 580 seconds, but I wasn't here when it downloaded. Big difference. (What an incredible marketing channel.)
		- Patent madness
			- Thanks to <a href="http://wmf.editthispage.com/">Wes</a> for the pointer to this <a href="http://www.borland.com/about/press/2001/justintime_patent.html">announcement</a> of a Borland <a href="http://164.195.100.11/netacgi/nph-Parser?Sect1=PTO2&Sect2=HITOFF&p=1&u=/netahtml/search-bool.html&r=1&f=G&l=50&co1=AND&d=ft00&s1='6151703'.WKU.&OS=PN/6151703&RS=PN/6151703">patent</a> on Just-In-Time compilation. 
			- "The new patent, which is the 93rd patent received by Borland, describes an optimization enhancement contained inside the Borland JIT. This enhancement greatly speeds the execution of Java code by delaying the compilation of a called method until it is actually executed." 
			- If this is the full extent of the Borland patent, it's worthless, we've been doing that in "Frontier" since 1992, way before Java existed. It's not only a speed optimization, but a memory optimization too. You don't need to keep around compiled-code for routines that aren't being executed.
			- If you're against software patents, you can fight back by not buying products from <a href="http://www.ibm.com/news/2001/01/10.phtml">companies</a> that file patent claims. By advertising their patent abuse they're telling us not to buy their products. Force them back into the closet. Make them scared to use their lawyers as competitive weapons.
			- "Martin Luther King"
	- January 14
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Jeff Barr: <a href="http://www.vertexdev.com/HeadlineViewer/hist_095.html">Headline Viewer 0.95</a>.
		- <a href="http://macweek.zdnet.com/2001/01/14/0114jcwkeynote.html">MacWEEK</a>: "Macworld Expo keynotes are always events to behold, as we wonder how hard Steve Jobs will work his reality distortion field. In truth, he didn't have to. Apple introduced solid products, and no RDF mojo was needed to sell them."
		- Yes, it's true. Until today I didn't know that <a href="http://home.inreach.com/blindowl/maynard.htm">Maynard G Krebs</a> is spelled with one B, not two. <i>You rang?</i>
		- And I have some bad news. <a href="http://www.maynardgkrebs.com/">maynardgkrebs.com</a> *is* <a href="http://whois.userland.com/default$maynardgkrebs.com">taken</a>.
		- <a href="http://graphics.nytimes.com/images/2001/01/13/politics/14BUSH.1.jpg"><img src="http://www.scripting.com/images/dubyaWithFingerInEar.gif" height="38" width="45" border="0" hspace="10" vspace="1" align="right"></a>Are they going to flip the White House <a href="http://www.whitehouse.gov/">website</a> on Jan 20?
		- <a href="http://www.faz.de/IN/INtemplates/faznet/default.asp?tpl=faz/dossier_show.asp&rub={53EAF4CA-9CE5-4464-9706-368DF652E193}&sub={45E0EBC9-8904-477B-B730-6D97454694B5}&doc={EEA86728-7E11-4ED8-991E-136327A7D7E6}">Hey I got</a> quoted in a Frankfurt newspaper. "Der durchschnittliche IQ der Silicon-Valley-Unternehmer steigt wieder auf sein fr�heres Stratosph�renniveau." Nice.
		- <a href="http://arts.ucsc.edu/GDead/AGDL/fotd.html">Tonight's Song</a>: "If I get home before daylight I just might get some sleep tonight."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/14</internalLink>
				- </rule> 
			- </rules>
		- Payloads bootstrap
			- I just got this <a href="http://www.scripting.com/images/adamGetsTheDead.jpg">screen shot</a> from Adam, indicating that he is now getting The Dead over RSS. 
			- These bootstraps require patience. An event that happens once every 24 hours on <i>someone else's machine</i> can be difficult to debug. But we're now in blade-popping mode on this little <a href="http://www.thetwowayweb.com/payloadsForRss#anExample">project</a>. Adam wants this as much as I do, that's why the project is working. It takes two. And it's even worse than it appears.. 
			- Adam plopped a 19 megabyte Quicktime movie into my enclosures folder last night. It took 1218.833 seconds to download at 2:04:13AM. I clicked on it on my Log page. It played. No wait. <i>Yes!</i>
			- This is what we mean by "The Two-Way-Web." ";->"
		- Totally
			- BTW, "plopped" is the sound that a 19 megabyte file makes. Our memory management needs some refinement now that we're receiving such large things over HTTP. 
			- But this is what I get up in the morning for. Some people do it for world peace, others like to debate in the Senate, or file a patent, drive a cab, teach some kids, make a cheesecake, or pitch an excellent baseball game. I like walkie-talkie sets made out of software. 
			- It's the old <a href="http://www-personal.umd.umich.edu/~nhughes/htmldocs/micro.html">Microserfs</a> <a href="http://www.google.com/search?q=totally+1.0+microserfs&hl=en&lr=&safe=off">thing</a>. Remember them? 
			- Totally 1.0. 
			- It's <a href="http://www.scripting.com/images/folderIconsWorkNow.gif">still</a> on my To-Do list.
		- Automatic XML-RPC?
			- <a href="http://www.xmlrpc.com/discuss/msgReader$1181">Chris Melville</a>: "Is there any automated way to take the IDL files I already have for the server (still written in C, IDL processed by Microsoft's MIDL.EXE) and generate XML-RPC definitions. I've got hundreds of interfaces in dozens of IDL files."
	- January 13
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://www.egroups.com/message/radio-userland/6414">Sean Elfstrom has</a> Radio glue for Apple's new iTunes music player app. He says "I 'borrowed' a lot of it from the original driver for Sound Jam (since they are built on the same codebase), but the scripting support is pretty broken."
		- Hey Dean has a <a href="http://deanonbaseball.weblogs.com/">Baseball Weblog</a>. And he's opinionated too. That's the way to go. Oh no, he's a Yankees fan. <a href="http://www.scripting.com/wavs/fargo5.wav">Oh geez</a>. Meanwhile <a href="http://sheila.inessential.com">Sheila</a> is counting the days to spring training. Didn't we just finish the World Series? Are we really going to do this again?
		- <a href="http://arts.ucsc.edu/GDead/AGDL/uncle.html">Tonight's song</a>: "Come hear Uncle John's Band by the river side. Got some things to talk about here beside the rising tide."
		- <a title="Surely you jest!"><img src="http://www.scripting.com/images/maynardGKrebbs.gif" height="263" width="95" border="0" hspace="10" vspace="10" align="right" alt="Surely you jest!"></a>I got all the answers right on <a href="http://all4freegraphics.com/quiz/ny2quiz.html">this stupid quiz</a>.
		- I forgot that Bob Denver played Maynard G Krebbs, the good-natured teenage beatnik on <a href="http://www.tvparty.com/recdobie.html">Dobie Gillis</a> before he was Gilligan. (His picture is to the right.) Dwayne Hickman, who played Dobie, has a <a href="http://www.dwaynehickman.com/">website</a>, of course. "I have been in show business since I was six years old but my true love has been art and architecture." 
		- BTW, maynardgkrebbs.com is <a href="http://whois.userland.com/default$maynardgkrebbs.com">not taken</a>.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/13</internalLink>
				- </rule> 
			- </rules>
		- Morning links
			- Good morning Scripting News people. It's coffee-time, and catch up on what's new. <a href="http://www.ourfavoritesongs.com/users/adam@curry.com/rss/html/curryCom.html">Adam asks</a> me to send him a bill. He picked up on my "tip jars are for tips" quote in Fortune yesterday. Where does Salon dig up stories like <a href="http://www.salon.com/sex/world/2001/01/12/airplane/index.html?CP=RDF&DN=310">this</a>? A <a href="http://www.pcworld.com/reviews/article.asp?aid=37642">product</a> I've been waiting for. O'Reilly posted the <a href="http://conferences.oreillynet.com/cs/p2p2001/pub/w/125">schedule</a> for the P2P conference next month. I'm speaking twice, on the Two-Way-Web and on amateur journalism. <a href="http://www.peterme.com/">Peterme</a> rants back at Dale: "Journalists don't actually know anything." <a href="http://surveys.userland.com/surveys/results/dave@userland.com/desktopWebsitesSurvey">Surprising results</a> from yesterday's survey. A majority of the participants have a server on their desktop machine. Glad I asked! Wow.
			- This is a programming weekend for me. I'm going to take care of lots of little loose-ends in our Desktop Website project. We've got a nice user base testing the stuff. Everyone's using it differently. Our prefs system is really easy to work with, so I'm going to (try to) give everyone what they want.
			- <a href="http://radiodiscuss.userland.com/discuss/msgReader$4389#4596">Adam Curry</a>: "If you use MSIE5 on a Mac, whenenever you request a page from localhost, click to another app or the desktop, this will allow the page to load. It is stupid and sucks, but you get used to it after a while and at least it works."
	- January 12
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- DaveNet: <a href="http://davenet.userland.com/2001/01/12/theW3cAPatentJakobNielsenAndSun">The W3C, a patent, Jakob Nielsen, and Sun</a>.
		- <a href="http://xmlhack.com/read.php?item=985">xmlhack</a> has been covering the Sun patent controversy.
		- Fortune: <a href="http://www.fortune.com/fortune/technology/daily/">Freebies aren't forever</a>. "A tip jar is for tips." 
		- Dan Gillmor: <a href="http://weblog.mercurycenter.com/ejournal/2001/01/12">Bill Hewlett dead at 87</a>.
		- <a href="http://surveys.userland.com/surveys/run/dave@userland.com/desktopWebsitesSurvey">Survey</a>: Do you run a dynamic Web server on your desktop?
		- Looking for the next Web phenom? You just <a href="http://www.stor.co.uk/troopers2.php">found</a> it.
		- Here's the <a href="http://www.scripting.com/images/anAvatarByStor.gif">avatar</a> I created. Feature requests: beards and glasses. I like the aliens! Totally.
		- <a href="http://inessential.com/2001/01/12.html">Brent</a>: "Well, small person, you're on my turf now."
		- She's <a href="http://dailynews.yahoo.com/h/p/ap/20010112/us/florida_elections_keo.html">back</a>. And dressed to kill. 
		- Bill Appleton says <a href="http://www.delphion.com/cgi-bin/viewpat.cmd/WO00075001A1">this</a> is it.
		- NY Times: <a href="http://www.nytimes.com/2001/01/12/national/12POWE.html?pagewanted=all">Silicon Valley's Achilles' Heal</a>. "In Silicon Valley, where electricity has been the mother's milk of the technology boom, the risk once again of blackouts like the one last June threatens the economy's very lifeblood."
		- <a href="http://rc3.org/cgi-bin/archive.pl?year=2001&month=1&day=12">Rafe Colburn</a>: "How do you know you're a geek? Someone sends you a URL to a story in the National Enquirer. Instead of opening it, you look at the file extension, see that it's .cfm, think, 'That's interesting, they use Cold Fusion,' and move on without ever seeing what's on the page."
		- <a href="http://www.scripting.com/images/truckinOffToBuffalo.gif">Sometimes</a> things work just like you wanted them to. 
		- Tonight's song: <a href="http://www.cs.cmu.edu/~mleone/gdead/dead-lyrics/Me_and_My_Uncle.txt">Me and My Uncle</a>.
		- One of my favorite <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/misc/mySubscriptions.opml">sources</a> is Dictionary.Com's Word of the Day <a href="http://www.dictionary.com/wordoftheday/wotd.rss">channel</a>. Today's word is <a href="http://www.dictionary.com/wordoftheday/archive/2001/01/12.html">vet</a>.
		- It's great to have <a href="http://wmf.editthispage.com/">Wes back</a>, but I gotta say he doesn't know <a href="http://www.randomhouse.com/wotd/index.pperl?date=19980302">bupkis</a> about content management. Stay tuned.
		- Remember my shiksa girlfriend? She used to pronounce bupkis as if it were boob kiss. Bupkis is Yiddish for nothing. If I say "I have bupkis" I'm saying that I have nothing. A boob kiss is what it seems like. Totally different from bupkis. ";->"
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 11
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Two-Way-Web: <a href="http://www.thetwowayweb.com/payloadsForRss">Payloads for RSS</a>. "When I started talking with Adam late last year, he wanted me to think about high quality video on the Internet, and I totally didn't want to hear about it."
		- Tonight's song on the Grateful Dead <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/gratefulDead.xml">audio weblog</a> is Truckin. "Like the doo-dah man once told me gotta play your hand. Sometimes the cards ain't worth a dime, if you don't lay em down."
		- Salon: <a href="http://www.salon.com/tech/books/2001/01/11/dot_com_riches/index.html?CP=RDF&DN=310">Finishing last in the dotcom race</a>. "Actually, there <i>have</i> been better times than now to raise VC money for dot-com start-ups -- during the crusades, for instance, or during those torrid years when dinosaurs walked the earth."
		- <a href="http://www.xmlrpc.com/discuss/msgReader$1176">Graham Dumpleton reports</a>: "XML-RPC support has now been added to the OSE C++ class library." <i>Thanks!</i>
		- <a href="http://news.cnet.com/news/0-1003-201-4448595-0.html?tag=st.ne.1002.tgif.sf">News.Com</a>: "[Microsoft] seems unsure about where it wants to go with its Internet Explorer Web browser."
		- I met with Charles Fitzgerald of Microsoft this afternoon to get briefed on what they're doing with Dot-Net and other stuff. I'm going up north for a design session at the end of the month.
		- <a href="http://dailynews.yahoo.com/h/kpix/20010111/lo/update_iso_warns_blackouts_likely_for_early_evening_1.html">Rolling power outages</a> expected in California betw 4PM and 8PM. "The interruptions normally last approximately one hour per group of customers taken offline."
		- <a href="http://weblog.mercurycenter.com/ejournal/">Dan Gillmor</a> provides a <a href="http://www.caiso.com/SystemStatus.html">pointer</a> to the California ISO system conditions page, which gives a realtime readout of how close to overload the system is at any given time.
		- Reports from the <a href="http://www.sfgate.com/cgi-bin/article.cgi?file=/chronicle/archive/2001/01/11/energy.DTL">SF Chronicle</a>, <a href="http://www.latimes.com/business/reports/power/ap_power010111.htm">LA Times</a>. 
		- <a href="http://www.dailyradar.com/xboxmag/newissue2/oxm/usa/thebasics.html">What</a> is the XBox?
		- Philly.Com: <a href="http://inq.philly.com/content/inquirer/2001/01/11/magazine/EMAIL11.htm">if yr e-mail looks like this, u must be the boss</a>.
		- <a href="http://www.webtechniques.com/archives/2001/02/redi/">A fantastic rant</a> by Dale Dougherty. The real Dale comes out swinging. It's amazing to me that Jakob Nielsen inspires such passion. User interface guidelines, imho, are a good thing. In 1984 I had a similar pov to Dale's. But then I saw the good in standardized UIs. Not every programmer has ideas about user interface, or sometimes they have really bad ideas. The problem of course is that the Web is such a weak UI environment that even if you follow Jakob's rules (some of which I totally reject, btw) you end up with a weak user interface. Whatever. It's nice to see Dale come out of his shell.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/11</internalLink>
				- </rule> 
			- </rules>
		- Late night stuff
			- <a href="http://www.inside.com/jcs/Story?article_id=20419&pod_id=9">Inside.Com</a> on the Future of Music Summit and Senator Hatch, with a touch of John Perry Barlow.
			- <a href="http://www.evhead.com/?archive=2001_01_01_ev.xml#1926999">Evhead</a>: "Building stuff is fun!" I totally <a href="http://www.scripting.com/images/jerrySingsForMe.gif">agree</a>. ";->"
	- January 10
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Eric Kidd and FirstPeer <a href="http://www.xmlrpc.com/discuss/msgReader$1170">released</a> XML-RPC for C/C++. <i>Bravo!</i>
		- John Robb: <a href="http://www.thetwowayweb.com/the2xInternet">The 2X Internet</a>. "The Internet is undergoing a transformation to a new system that scales better, costs less, and provides better end-user performance than the Web."
		- <a href="http://www.pfeifferreport.com/trends/ett_dtcs.html">Pfieffer Report</a>: "In a funny way, we are back to where publishing was before DTP came around: content creation and management is once again the playground of larger players, and requires heavy investment, just as publishing technology did before XPress arrived." <i>Amen.</i>
		- <a href="http://www.xml.com/pub/r/911">XML.Com</a> is helping spread the news about "OPML" and XSLT. 
		- Reuters: <a href="http://dailynews.yahoo.com/h/nm/20010110/pl/tech_music_dc_2.html">Hatch speaks up for Napster</a>.
		- My newest channel, which I'm not ready to show yet, has a musical component, thanks to the generosity of the <a href="http://www.gratefuldead.com/">Grateful Dead</a>, who left a legacy for technologists that may be as important as the legacy they left in music. 
		- Another kind of <a href="http://www.scripting.com/images/anotherEmailIDig.gif">email</a> I really like to get. (If it's heartfelt.)
		- <a href="http://www.turtleprod.com/greg/">Greg Pierce</a>, working on Free-Conversant, is rendering RSS boxes. Good work.
		- Adam Curry: <a href="http://tmp.manilasites.com/stories/storyReader$9">What is Jamby?</a>
		- <a href="http://www.trenchant.org/rants/51.html">Organizine</a> closes after one week. "I just don't want to be responsible for hundreds of users' content, and supporting and maintaining a web application. It's too much responsibility that I don't want."
		- 01/10/01: Another binary day. Nice symmetry. Tomorrow will be binary too, of course. Won't see another one until October. Useless facts. Nice.
		- Bert Zwaving: "Integrity is speaking even nicer about someone behind his back than in his presence."
		- New Bionic Page: <a href="http://www.thetwowayweb.com/mindBombNews">Mind Bomb News</a>.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 9
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- DaveNet: <a href="http://davenet.userland.com/2001/01/08/whatIsIntegrity">What is Integrity</a>? 
		- It was short day on Scripting News, meetings and other stuff around town. I didn't go to MacWorld Expo. <a href="http://surveys.userland.com/surveys/run/dave@userland.com/wereYouAtMosconeToday">Did you</a>?
		- MacWEEK: <a href="http://macweek.zdnet.com/2001/01/07/0109newapple.html">Apple's Expo announcements</a>. "Apple will bundle OS X as the default OS on systems beginning this July."
		- <a href="http://www.inside.com/jcs/Story?article_id=20218&pod_id=8">Inside.Com</a>: "Jobs is quoted as saying: ''If enough people see the machine you won't have to convince them to architect cities around it. It'll just happen.''' 
		- <a href="http://www.scripting.com/images/deliveryProblemsIntegrity.gif">Today's bounces</a> have a philosophical theme. ";->"
		- NY Times: <a href="http://www.nytimes.com/2001/01/09/technology/09MAG.html">Time to Publish Magazine About Web</a>. "Our magazine itself is completely independent, and we will write about the world in any way we want to. I have complete editorial independence."
		- First Monday: <a href="http://www.firstmonday.dk/issues/issue6_1/kahin/index.html">The expansion of the patent system</a>.
		- Today's Bionic Page: <a href="http://www.thetwowayweb.com/patentNews">Patent News</a>.
		- Microsoft's <a href="http://www.microsoft.com/Servers/Sharepoint/">SharePoint</a>: "The new server provides knowledge management -- seamlessly integrating with the Microsoft Office and Microsoft Windows productivity desktop environment."
		- NY Times: <a href="http://www.nytimes.com/2001/01/09/science/09QUES.html?pagewanted=all">Minds Meet Online</a>.
		- <a href="http://www.edge.org/documents/questions/q2001.3.html#winer">My entry</a> is on page 3. "The average IQ of Silicon Valley entrepreneurs is zooming to its former stratospheric levels."
		- Pigdog: <a href="http://pigdog.org/auto/mr_bads_list/shortcolumn/1914.html">Things to say when you're losing a technical argument</a>. "1. It won't scale."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 8
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Today's Bionic Page: <a href="http://www.thetwowayweb.com/xmlNews">XML News</a>.
		- <a href="http://www.sfgate.com/technology/expound/">SF Chronicle</a>: "More and more, our own government has proven itself willing to hand big corporations like Cisco this kind of financial home court advantage -- for a fee. It comes in the form of U.S. Patent Law."
		- <a href="http://www.salon.com/tech/col/garf/2001/01/08/bad_java/index.html?CP=RDF&DN=310">Simson Garfinkel</a>: "I hate Java."
		- Comment on the Garfinkel article. This is exactly what I was talking about when I said "Technologists: Write!" at the end of yesterday's DaveNet <a href="http://davenet.userland.com/2001/01/07/whatIfTechnologistsHadIntegrity">piece</a>. He's <i>doing</i> the stuff he writes about. Whether you agree or disagree, this is the most valuable kind of writing, engaging, and real. This is what we need more of.
		- <a href="http://www.webreference.com/interviews/veen/">WebReference interviews</a> Jeff Veen on his new book.
		- Paul Nakada on Replay TV: \"These guys are doing 'set-top' publishing. Basically, I can make changes to my Replay TV set-top settings either directly on the set-top, or <a href="http://www.scripting.com/images/replayTvCloud.gif">over the Web</a> at <a href="http://my.replaytv.com/">my.replaytv.com</a>. Every night, the 'cloud' of my Replay TV configuration is synched up when the box dials out to the server.\"
		- <a href="http://www0.mercurycenter.com/svtech/news/indepth/docs/qa010801.htm">Marc Andreessen</a>: "It's a classic bubble thing. The bubble only bursts when there's no more people left to convert into being true believers, which is what happened in March."
		- <a href="http://webword.com/moving/ghost.html">I don't really know</a> what John Rhodes is saying but it sounds pretty good, it's certainly worth a link. Wait a minute. I found the gist of what he's saying. Start here. "First, the two way web to me is about having easy interfaces available to write and publish content. It should be easy for me to read too! Very easy. Second, the idea of the desktop web site is that we can push things to my ever-more-powerful desktop." Yes yes yes, it's about making the <i>things you want to do</i> easy.
		- <a href="http://iowa.weblogger.com/2001/01/08">John VanDyk found</a> a fantastic four-item shopping list in an Iowa supermarket parking lot.
		- <a href="http://manilanewbies.userland.com/usersguide/admin/pageaddresses">Ken Dow did</a> a list of standard page addresses for all Manila sites. <i>Thanks Ken!</i>
		- <a href="http://www.scripting.com/images/p2pconf_speaker.gif"><img src="http://www.scripting.com/images/p2pThumb.gif" height="50" width="50" border="0" hspace="10" vspace="10" align="right"></a>O'Reilly: <a href="http://www.oreillynet.com/pub/a/linux/2001/01/05/record_cd.html">Creating Audio CDs with Linux</a>. "This article follows the process of recording the material to the hard disk, editing and filtering it with signal processing software, and finally creating an audio CD from the results, complete with custom covers for the jewel case."
		- Very interesting. Check out the <a href="http://www.evhead.com/evhead.xml">XML behind Blogger</a>.
		- <a href="http://www.ourfavoritesongs.com/users/rssChanges.xml">Examples</a> of RSS files with <cloud> elements.
		- <a href="http://inessential.com/2001/01/08.html">Brent</a>: "Oh yeah, right, I forgot, it's because I'm a total freakin' geek. I'll try to remember."
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/08</internalLink>
				- </rule> 
			- </rules>
		- G'zai G'zint
			- <a href="http://cabinet.editthispage.com/2001/01/08">Cabinet</a>, one of the very best weblogs, is one year old today. 
			- Steve Lewis, its editor, writes: "What started as a lark has turned into a chunk of my life and given me a huge amount of pleasure.  I started the site because I read I could and because I wanted to see the software and because of the enthusiasm with which you wrote about it.  No plan in my head other than 'looks cool � must touch.'  A year later I�m still getting up way before the sun so I can tend to it. You the man! (Except for that unfortunate Mets thing you have)." 
			- Mazel tov Steve, and thanks for all the entertainment and thought inspiration.
		- Directories
			- Now after pouring huge amounts of time into <a href="http://www.thetwowayweb.com/soapMeetsRss">RSS</a> over the holidays, it's time to pay more attention to directories.
			- I know we're doing something good because people seem to take them seriously. Yesterday when I pointed to my <a href="http://www.superopendirectory.com/directory/4/software/webApplications/dictionaries">list of dictionaries</a> I got a half-dozen great <a href="http://www.superopendirectory.com/directory/4/software/webApplications/dictionaries?command=suggestALink">suggestions</a> and added almost all of them to the category. 
			- This is the "timeless weblog" concept I was talking about a few months ago. The resource is persistent, it doesn't scroll off. In my world dictionaries are important resources so they're near the top of the <a href="http://www.superopendirectory.com/">tree</a>. Now if you're looking for a dictionary, think "Dave probably has a good list." And I do, thanks to <i>you.</i>
			- I posted a <a href="http://www.egroups.com/message/decentralization/1061">brief note</a> about this on the Decentralization list yesterday. People tend to think that P2P applies only to other people's content, but this is a P2P approach to developing a public resource. It's Weblike. And thanks for all your help.
			- And it's open. You can have the "OPML" text of all my directories if you know how to construct a URL to reference the source text. Here's the <a href="http://www.superopendirectory.com/discuss/reader$4.opml">URL</a> for the top directory on SuperOpenDirectory.Com. All you have to know is that the directory is stored in message 4. This technique works for any directory on any Manila site. This is the key to "inclusion" -- the ability to construct directories out of other (people's) directories. It's the equivalent of linking in the outline-oriented Web.
			- <a href="http://scriptingnews.userland.com/directory/1026/xmlEditors">Here's another example</a> of a directory that's growing nicely, based on community participation. 
		- RSS and directories
			- There *is* a method to my madness.
			- Directories and RSS are two sides of the same coin.
			- Here's a <a href="http://www.superopendirectory.com/directory/4/software/operatingSystems/~46~">directory</a> of information for Macintosh developers.
			- Here's a <a href="http://www.thetwowayweb.com/macintoshNews">channel</a> of news about the Macintosh.
			- How long before you see both on the same page? ";->"
			- "cheesecake"
	- January 7
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- DaveNet: <a href="http://davenet.userland.com/2001/01/07/whatIfTechnologistsHadIntegrity">What if technologists had integrity</a>?
		- <a href="http://seattletimes.nwsource.com/cgi-bin/WebObjects/SeattleTimes.woa/wa/gotoArticle?document_id=134258419&zsection_id=268448455&text_only=0">Glenn Fleishman</a>: "[Mac OS X] is like leaving the food on your plate untouched while replacing the table with a solid granite block, the tablecloth with a fancy embroidered tapestry, and the place settings with modern Danish shiny stuff. The food still tastes the same - but the surroundings are suddenly oddly unfamiliar."
		- <a href="http://www0.mercurycenter.com/svtech/columns/gillmor/docs/dg010701.htm">Dan Gillmor</a>: "Apple still matters, just not as much."
		- <a href="http://paulandrews.manilasites.com/2001/01/07">Go househunting</a> in San Francisco with Paul Andrews.
		- <a href="http://www.scripting.com/images/coffeeMug1.gif">Two</a> <a href="http://www.scripting.com/images/coffeeMug2.gif">designs</a> for the UserLand coffee mug/mouse pad.
		- You just knew I had to do a <a href="http://surveys.userland.com/surveys/run/dave@userland.com/whichPicForTheCoffeeMug">survey</a> on this!
		- <a href="http://www.thecomicreader.com/html/icst/icst-5/icst-5.html">Fantastic</a> I Can't Stop Thinking.
		- A group of developers including Jonathan Borden and Tim Bray are <a href="http://lists.xml.org/archives/xml-dev/200101/msg00117.html">discussing</a> a new format called <a href="http://www.openhealth.org/RDDL/">RDDL</a> to give meaning to URIs that identify XML namespaces. Bray says: "Namespaces have names, and the names are URIs, which usually means URLs. What does the URL point at?  So far, nothing in particular. RDDL is an attempt to imagine something useful to have a namespace name point at. It's mostly a human-readable discussion, with labeled links built in, pointing at... well anything that might be helpful with that namespace. Like a stylesheet, or some useful code, or some copyright notices."
		- Jake's all-new <a href="http://bionic.manilasites.com/">bionic weblog</a>. <i>Woo hoo!</i>
		- I love getting <a href="http://www.scripting.com/images/jeffBarrClientSideSOAP.gif">emails</a> like this one. Makes my day.
		- I'm falling way behind on responding to emails. Next week is going to be very very busy. Everyone I know is coming to town, and it's not all because of MacWorld Expo. Oy.
		- When I'm doing the final edit on DaveNet pieces I often use <a href="http://www.dictionary.com/">dictionary.com</a> to look up spelling and to be sure I'm using the right word. This is one way I expand my vocabulary and make my stories more interesting. This morning their server is very slow. Almost non-functional. Then I imagine that their servers are getting pounded by a dozen stupid search engine crawlers looking up every stupid word to see if its definition has changed. (Clue: they don't change very often.) The Internet is so stupid sometimes. Not sure this is happening at dictionary.com, but I can't tell you how much time we waste fighting idiotic agents on our servers.
		- For just these occasions I have a list of <a href="http://www.superopendirectory.com/directory/4/software/webApplications/dictionaries">alternate dictionaries</a>. Send me pointers to others you like. And if anyone from dictionary.com is tuned in, thank you, I couldn't write without your service. You can quote me on that. 
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/07</internalLink>
				- </rule> 
			- </rules>
	- January 6
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Two-Way-Web: <a href="http://www.thetwowayweb.com/soapMeetsRss">SOAP meets RSS</a>.
		- BTW, the system described above works and is deployed. It took less than 24 hours to code it top to bottom (we already had working SOAP, XML-RPC and RSS implementations). 
		- To get a system like this running you must have good diagnostics so you can see what the various machines are saying to each other. Check out this <a href="http://www.scripting.com/images/muotdLogCloudMsgs.gif">screen shot</a> of my Log page. Start with the "Hourly scan" event at 8:01:17AM and read up from there. You'll see a "Please notify" event immediately following the hourly scan because it had just discovered a <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/radioUserland.xml">channel</a> with a <cloud> element. MUOTD automatically subscribes to any channel that has such an element. Then at 8:05:28AM we get the payoff with the "Channel change" event. At this point all MUOTD does on receipt of such an event is log it. 
		- <a href="http://www.egroups.com/message/syndication/928">On the Syndication list</a>: "Basically it flips around the Akamai equation. My goal isn't to get the bits to you as fast as possible while you wait for them, but to have the bits arrive before you even know they're there."
		- Scott Hansen has been playing with the <a href="http://macros.userland.com/stories/storyReader$59">includeHttp</a> macro. He has one weblog <a href="http://shanson.editthispage.com/stories/storyReader$470">displaying</a> inside another. And vice <a href="http://andrea.editthispage.com/discuss/msgReader$1668?mode=day">versa</a>.
		- I just went for a walk and as I was getting back home I wished for something sweet or salty to eat. "What a schlep it'll be to go to the store," I thought to myself. Checked my mail. There was a box of chocolate-covered macadamia nuts in the mailbox. I kid you not. Five or six would have been enough but there seem to be 200. I'm afraid I'm going to eat them all. <i>Help!</i> ";->"
		- <a href="http://napster.weblogs.com/">Another weblog</a> goes <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=bionic">bionic</a> with <a href="http://macros.userland.com/viewrssbox">viewRssBox</a>.
		- The Manila side of notification now works, when I update a channel on my desktop, in a few seconds references to it update within seconds. This feature will be available on all UserLand-hosted Manila sites tomorrow, and is available to Frontier subscribers now. Update Frontier.root and Manila.root.
		- <a href="http://dailynews.yahoo.com/h/nm/20010105/pl/bush_leadall_dc_80.html">Reuters</a>: "Fleischer declined to specifically comment on the actions, but said Clinton had been 'pursuing aggressively'' steps that were within his power as president. 'He has been a busy beaver,'' Fleischer said."
		- Nathan Lineback: <a href="http://www.pla-netx.com/linebackn/guis/guitimeline.html#notes">Graphical User Interface Timeline</a>.
		- This lovely plate of sushi is brought to you by <a href="http://partykeller.editthispage.com/">Partykeller</a>.
		- <a href="http://partykeller.editthispage.com/"><img src="http://www.scripting.com/images/sushi3.gif" height="34" width="71" border="0"></a>
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 5
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Red Herring: <a href="http://www.redherring.com/vc/2001/0105/vc-mag-90-storm010501.html?id=userland">VCs weather the perfect storm</a>. "The crash in Internet stocks and the uncertain economy have venture capitalists sailing against the wind in choppy seas. Most claim they are not worried. But the truth of the matter is that for the past three years VCs have invested for the short term."
		- Paul Andrews: <a href="http://www.unionrecord.com/biz/display.php?ID=1785">Was 'free' such a good idea?</a>
		- <a href="http://jake.editthispage.com/2001/01/05">Jake Savin</a>: "Then a couple of days later, while doing a search for some totally unrelated information using Google, I had an epiphany - maybe my whole site is still cached on Google's servers! Sure enough, doing an advanced search for the word Jacob on the domain jspace.org, I found all of my copy! Google saved my ass!"
		- Dylan Tweney: <a href="http://www.ecompany.com/articles/web/0,1653,9075,00.html">Infrastructure is big in 2001</a>. "If you've got a website, chances are you'll be spending significantly more this year than you did last year to beef up your site's capacity to handle traffic, customers, and content. Sites that don't invest in these improvements will find themselves falling behind, as the number of Web users mushrooms and puts a heavier strain on their servers."
		- WSJ: <a href="http://public.wsj.com/sn/y/SB978651615824742861.html">Apple seeks new role of maker of Killer Apps</a>.
		- Yesterday I added a new <a href="http://davenet.userland.com/2001">page</a> to the DaveNet site called 2001. I looked down the list of years. 1994. 1995. 1996. 1997. 1998. 1999. 2000. 2001. In three years it will be the tenth anniversary of DaveNet. Where did the time go?
		- <a href="http://inessential.com/2001/01/05.html">Brent</a>: "When I freakin' double-click on a freakin' word, it should not freakin' select the freakin' space after the freakin' word, it should just freakin' select the freakin' word it-freakin'-self." <i>Agreed.</i>
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/05</internalLink>
				- </rule> 
			- </rules>
		- Mood gorning!
			- Good morning! Rise and shine. Strrrrrrrrrrrrrretch. Let's have a great day today. 
			- Tons of email. As usual some of it is accusatory. You did this! You lied about that! You stole my idea! What you're doing is really Push! Oy yoy yoy, as my father used to say. (BTW, we <i>are</i> doing Push, but that's not all we're doing.)
			- In any case Desktop Websites they are. In the model we're actively developing now the URLs in your browser go to a bit of software running on your machine. It looks like a website. It totally is a website. It's running on your desktop. So if that isn't a Desktop Website my name is Pope John Paul. ";->"
			- "the pope"
	- January 4
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- DaveNet: <a href="http://davenet.userland.com/2001/01/04/desktopWebsites">Desktop Websites</a>.
		- I got an email from Andrew at <a href="http://www.pitas.com/">Pitas.Com</a> saying he's planning on doing something similar with desktop websites. There was some confusion about how our stuff works. The user's desktop machine does not serve content to the outside world, unless you really want it to. I don't want to share my desktop machine with the world, and because of firewalls and bandwidth constraints, many people cannot. I want to use my machine in the same mode as Manila, Blogger, Pitas, Groksoup, etc, and have it publish to the cloud where everyone can read it, crawl it, filter and republish. For some reason doing as much as possible in the browser makes it easier. That's why people like these tools. I said to Andrew that I thought the next few months would be really interesting, and he agreed.
		- Joshua Allen: <a href="http://www.netcrucible.com/xslt/opml.html">OPML and XSLT</a>. "OPML is a great balance between the wide open freedom of raw XML and the feeling of security of a formal vocabulary. You should be able to read and understand the very small specification in just a few minutes."
		- What is <a href="http://www.sun.com/research/brazil/">Brazil</a>?
		- <a href="http://www.mvps.org/vb/index.html?rants/dotnot.htm">Karl Peterson lists</a> the ways VB.Net is not VB.
		- <a href="http://inessential.com/2001/01/04.html">Brent</a>: "We ate generic macaroni and cheese because Kraft macaroni and cheese was too expensive."
		- <a href="http://www.thetwowayweb.com/dotComNews">A channel</a> a day keeps the doctor away? I started a new flow with stories about the transition in DotComLand. I also tweaked the <a href="http://macros.userland.com/viewrssbox">viewRssBox</a> macro, changing the icon to a black bullet, moving it to the left of the story and using a cellpadding of 5 in the table. Most important, the black bullets on these pages are links to the XML source of the item. Even though I assembled the flow, many of the items were written by someone else. (I'm confused too!) We're including links to the XMLizations so it's easy for other people to walk the network that's building. When you spot a channel you like you can add it to your personal aggregator (only a few people have <a href="http://www.scripting.com/images/muotdDotComsCategory.gif">one</a> now) and it'll become part of <i>your</i> input flow. I'm using a web-like reward system. You help me write my channel, and I help build flow for your channel. It's the usual Web thing -- reciprocation. If people like your flow that's cool because it's good for the Web. "Ask not what the Internet can do for you" is still the right idea.
		- It's getting easier to create channels. Here's the <a href="http://www.scripting.com/images/dotComsNewsInRadio.gif">source</a> for the Dot-Com News page. It's not any harder than HTML. There's no reason it has to be. You don't even have to see the XML if you don't want to. Keep it simple. (Or more accurately, work and work on <i>making</i> it simple, but keep the power.)
		- Another change, the <a href="http://soap.weblogs.com/">SOAP weblog</a> gets <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/soap.xml">XMLized</a>. Now I add links to that page through MUOTD. Happy.
		- WebReference: <a href="http://www.webreference.com/js/column74/index.html">Netscape 6's Event Model</a>. "Netscape 6's event model was influenced by both Netscape Navigator's event model as well as Internet Explorer's event model."
		- <a href="http://www.davosnewbies.com/2001/01/04"><img src="http://www.scripting.com/images/lanceHeadShot.gif" height="43" width="40" border="0" hspace="10" vspace="10" align="right"></a> <a href="http://www.davosnewbies.com/2001/01/04">Lance's five keys</a> to great moderation. "Ask the unpopular question. Remember that the participants in the audience need discomfitting as much as the panelists." That's why I think Lance is so smart. He doesn't just say this stuff, he does it. If I have a choice I'd rather be asked the unpopular question. If it goes unasked, people seem to assume the worst. I'd offer Lance another soundbite from my longtime friend Marc Canter. Marc says "As soon as the lights go out someone goes to sleep." In other words, no speeches. However, most of the sessions at Davos are not sleep-inducing, there's so much going on. You hardly get to sleep at night even. I totally look forward to Lance's reports from Davos. He's our rep there. ";->"
		- <a href="http://www.scripting.com/images/wizzyEditorMuotd.gif">Screen shot</a>: My UserLand On The Desktop gets a new text editor. We're getting close to releasing it, it's getting nice and solid.
		- What is <a href="http://www.filefunnel.com">FileFunnel</a>?
		- Last night talking with Brent about the <a href="http://www.wirednews.com/news/business/0,1367,40979,00.html">scaling wall</a> that Pyra is climbing I said they should do <i>"Blogger On The Desktop."</i> Then everyone using Blogger could add their computer to the mix. Decentralization and P2P. I've got to write an essay about this. Maybe in a few minutes. Desktop websites. It's the cure for Dotcom Disease, which we've all got a bad case of.
		- Hey I guess we won't be <a href="http://www.sun.com/dot/">seeing</a> any more "We're the Dot in Dot-Com" television ads. Something to be thankful for.
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 3
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://scobleizer.manilasites.com/2001/01/03">Robert Scoble</a>: "I'm playing with Whistler at home."
		- <a href="http://www.oreillynet.com/pub/a/network/2001/01/02/streaming_alternative.html">Dale Dougherty</a>: "Low bandwidth and poor quality continue to limit the successful distribution of audio and video on the Web. There may be a better way, however, to distribute multimedia content online, by scheduling downloads of high-quality content for appointment viewing or listening." <i>Yes.</i>
		- <a href="http://www.thetwowayweb.com/p2pNews">I started a new channel</a> covering P2P developments.
		- A friend at a publishing company asked if it was OK to flow the news in the P2P channel through their website. The answer is yes. <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/p2p.xml">This is where</a> the source is. It's on a fast static server, read it once an hour and flow flow flow. In general, on the news pages I'm doing, the link to the XML source file is at the bottom of the page. 
		- Look who owns <a href="http://whois.userland.com/default$2w2.com">2w2.com</a>.
		- How can you tell you're a real geek? When you code right through <a href="http://tv.yahoo.com/tvpdb?d=tvp&id=167401851&cf=0&lineup=us_CA54999&channels=us_KRON&chspid=166022263&chname=NBC+4&title=The+West+Wing&normalized=The+West+Wing&progutn=978584400&.intl=us">The West Wing</a> and don't think about it until there are only 15 minutes left in the program. <i>Oy.</i>
		- Jake's Braincase '<a href="http://www.arrowweb.com/jsavin/archive/2001/01/03.html#125356">Blog</a>. <i>RSS Everywhere!</i>
		- <a href="http://www.salon.com/tech/feature/2001/01/03/predictions/index.html">Salon</a>: "One day in mid-2001, AOL Time Warner workers are roused from their corner offices for a stunning announcement: The company has fallen prey to a hostile takeover by AmIHotOrNot.Com."
		- B�rd Farstad: <a href="http://zez.org/article/articleprint/47/">Communicating with XML-RPC</a>. "This is an implementation of the XML-RPC spesification written in object oriented PHP."
		- What is <a href="http://www.zdnet.com/pcmag/stories/pipreviews/0,9836,452016,00.html">Consilient</a>?
		- <a href="http://www.blogger.com/server_fund.pyra">Pyra asks</a> for donations from Blogger users to buy new servers. With over 20K new sites in the last couple of months they're caught in the dotcom crunch, like everyone else, like us. We started our hosting services when "business models" promised to reward us for capturing users in some way, on the assumption that we could turn some of them into paying customers, someday. That day has come for Blogger. BTW, I became a member of Paypal to give them $25. It's not much money for me, but if it helps gets them some more servers, that's cool with me. 
		- <a href="http://www.weblogs.com/stats/findinweblogs?q=server_fund.pyra">Sites linking</a> to the Pyra fund. <i>Thanks Onfocus!</i>
		- <a href="http://surveys.userland.com/surveys/run/dave@userland.com/howMuchMoney">Survey</a>: "Just curious, how much would you pay per month for a UserLand-hosted Manila site? This is not binding, in any way, I'm just interested in knowing what you think."
		- Dylan Tweney: <a href="http://www.tweney.com/archive/2000-03-29misery.htm">The misery of Web applications</a>. "If you think people complain a lot about Windows, just wait until Web applications become more widespread -- you ain't seen nothing yet." <i>Thanks Camworld!</i>
		- Imho the <a href="http://radiodiscuss.userland.com/stories/storyReader$4389">issue</a> with Microsoft's Mac Web browser is central to turning this corner, yet the Microsoft people either don't get it or don't want to. Web services must migrate to the desktop so small companies like Pyra and UserLand can stay focused on delivering features their users want. To me this is a holy jihad to keep the creativity of the Web Development World, such as it exists, from going under. 
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/03</internalLink>
				- </rule> 
			- </rules>
		- A story
			- Comdex in Las Vegas in 1987. 
			- Walking around and who do I run into but Bill Gates!
			- Ever the evangelist Bill wants to know where my Windows product is.
			- "Bill, the customers aren't asking for it," I said.
			- Apparently he had heard this line before.
			- "Were your customers asking for ThinkTank when you first developed it?"
			- <a href="http://www.davosnewbies.com/pictures/viewer$56"><img src="http://www.scripting.com/images/billGatesThumb.gif" height="43" width="45" border="0" hspace="10" vspace="10" align="right"></a>I have to admit he had me there. Except for one thing. At the time ThinkTank was one of the best-sellers on the Softsel Hot List. When I was implementing it, it was not. I had no customers to tell me what to do, so I had to make it up. It's perhaps sad but true that your motivations change when you have customers and employees and payroll to meet, and all the michegas that comes with that.
			- What's the point of this little story? Well, we're not getting a positive response from Microsoft re the <a href="http://radiodiscuss.userland.com/stories/storyReader$4389">problems with MSIE/Mac</a> talking to a server running on the same machine. It's true that most of Microsoft's users aren't asking for them to fix this. But it will hold up something very important and innovative, something I believe, in my heart, is as important as Windows was in 1987, if not more.
			- If Bill happens to read this -- we eventually <i>did</i> do a Windows product. ";->"
	- January 2
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- <a href="http://paulandrews.manilasites.com/2001/01/02"><img src="http://www.scripting.com/images/paulAndrews.gif" height="51" width="36" border="0" hspace="10" vspace="3" align="right"></a><a href="http://paulandrews.manilasites.com/">Paul Andrews</a>, on-strike reporter for the Seattle Times, has started a weblog. "Yes I'm on strike! from the family-owned, independently produced Seattle Times, where I covered Bill Gates, Microsoft and technology for 12 years." <i>Welcome!</i>
		- <a href="http://www.scripting.com/images/bryanOnTheDesktop.gif">A new look</a> for My UserLand On The Desktop. 
		- <a href="http://brdbrain.editthispage.com/2001/01/02">Kate</a>: "I spent a good part of yesterday afternoon dancing around with a Kleenex box, chanting 'Dead Boogers!', and giggling hysterically."
		- <a href="http://www.macworldexpo.com/keynote.html"><img src="http://www.scripting.com/images/steveJobsThumb.gif" height="32" width="32" border="0" hspace="9" vspace="10" align="right"></a><a href="http://www.macworldexpo.com/keynote.html">MacWorld Expo</a> is coming up, so I opened a <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/macintosh.xml">new channel</a> for Mac news, and <a href="http://www.thetwowayweb.com/macintoshNews">created a page</a> on a <a href="http://www.thetwowayweb.com/">new site</a> devoted to studying and developing The Two-Way-Web.
		- I added a news box to the <a href="http://backend.userland.com/rss091">RSS 0.91 page</a>. It now takes me less than five minutes to add a box to a page. I'm finding that there's a pretty good correspondence betw the subjects I'm interested in and the high flow pages on various UserLand servers. Go figure. ";->"
		- For those who asked, here's what the macro looks like: 
		- <font size="-1">\{viewRssBox ("http://www.ourfavoritesongs.com/users/dave@userland.com/rss/rss.xml", boxTitle:"RSS News", align:"right", width:"75", frameColor:"#000000", titleBarTextColor:"#000000", titleBarColor:"#F5F5F5", boxFillColor:"#FFFFFF", timeZone:"PST", hspace:25, vspace:0)\}</font>. 
		- Hey they call it Scripting News for a reason! <i>Get it?</i>
		- <a href="http://macros.userland.com/viewrssbox#infiniteWidth">Update</a> to viewRssBox macro, now if you specify a width of infinity, you get a RSS box without the box.
		- What is <a href="http://www.organizine.com/about.pl">Organizine</a>?
		- Wired: <a href="http://www.wirednews.com/news/technology/0,1282,40922,00.html">Geoworks settles patent claim</a>. "Openwave Systems, the combination of Phone.com and Software.com, and mobile device service provider Geoworks Corporation announced last week they would enter into a royalty-free patent cross-license and strategic business partnership." <i>Confusing!</i>
		- Updated: <a href="http://scriptingnews.userland.com/directory/1026/xmlEditors">XML Editors page</a>. Somehow this page lost its links. It's getting a lot of reads since it was <a href="http://www.xml.com/pub/r/874">pointed</a> to from XML.Com. Sorry for the screwup, not sure how it happened. The links are there now.
		- Reminder to those who put up <a href="http://www.scripting.com/images/xmasTree.gif">Christmas trees</a> on their sites. It's the New Year. Time to drag them to the trash. There will be another Holiday Season in eleven months. 
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>xxx</internalLink>
				- </rule> 
			- </rules>
	- January 1
		- <rules> 
			- <rule><outlineSpacing>1.5</outlineSpacing></rule>
			- </rules> 
		- Good morning and Happy New Year!
		- <a href="http://www.smeed.org/2001/01/02">Duncan Smeed</a> has pointers to computers you can program through front-panel switches.
		- Tease: <a href="http://www.ourfavoritesongs.com/users/dave@userland.com/rss/misc/mySubscriptions.opml">mySubscriptions.opml</a> contains the RSS channels I'm tuned into. 
		- BTW, you can <a href="http://www.scripting.com/images/mySubscriptionsInTheOutline.gif">open that outline</a> in Radio, choose Open Url from the File menu. When you expand an RSS channel, it gets it over the Internet and fills in the stories. 2Click on the story to read it in your browser.
		- I keep seeing that <a href="http://www.scripting.com/images/dutchBonerCream.gif">headline</a> from Salon everywhere I go. I like the idea. Makes me want to go to Amsterdam.
		- Speaking of 2W2, I started a <a href="http://www.egroups.com/message/decentralization/991">thread</a> on the Decentralization list about possible acronyms for The Two-Way-Web. Seems we should do a survey.
		- Survey: <a href="http://surveys.userland.com/surveys/run/dave@userland.com/chooseAnAcronym">Choose an acronym</a> for The Two-Way-Web.
		- <a href="http://jimfl.tensegrity.net/">Jim Flanagan</a> has an interesting idea. He says it should be 2W4 because the last W in Two-Way-Web is an abbreviation for World Wide Web. He expanded the macro. ";->"
		- <rules>
			- <rule level="1" to="1">
				- <textStyle>bold</textStyle>
				- <internalLink>http://scriptingnews.userland.com/backissues/2001/01/01</internalLink>
				- </rule> 
			- </rules>
