- June 2007
	- June 30
		- Today's iPhone isn't a reading device
			- <a href="http://flickr.com/photos/scriptingnews/678865973/"><img src="http://farm2.static.flickr.com/1408/679744446_5a47081a2c_o.jpg" width="68" height="198" border="0" align="right" hspace="15" vspace="5"></a>Here's how the browser on my desktop works.
			- I click on a link and immediately start reading the text on the screen.
			- When I click on a link in Safari on the iPhone, before I can read anything, I have to futz with the display resolution of the browser to make the text visible. This may not sound like a problem, but what a distraction, when following a link, before getting the idea, your mind has to take a detour into managing the device. In reading as in the movies, suspension of disbelief is broken when your mind has to exit the space of ideas and manage the projection device. It's wrong for the device to ask you this, even as a setup issue it should be usable out of the box, but it's unacceptable that it make the user configure the browser every time it displays a new page. 
			- Today's iPhone isn't a reading device. It wouldn't take much to configure the browser to be an excellent reading device, but Apple will have to give up the idea that the browser should work the same as the desktop browsers do. The iPhone is nowhere near as capable as a desktop display. Wishing it were so, and shifting the burden to the user to make it so, is not an acceptable solution.
			- I thought I could overcome this by creating a special version of a site just for the iPhone that crammed all the text into a narrow column, thinking that the browser wouldn't see any need to make the text small because it would have all the necessary horizontal screen real estate to display every character at a fully visible resolution. 
			- Nope. It still displays the text in an unreadably small font. 
			- <a href="http://flickr.com/photos/scriptingnews/678865973/">Here's a photo</a> of the iPhone displaying a <a href="http://www.scripting.com/gems/support/iphonetimesriver.html">test page</a>. 
			- It's behaving like no web browser I've ever seen, and it's behaving badly. It's breaking an implicit agreement between all platforms that co-exist on the web. We create sites that assume nothing about the device they're being rendered on, and browsers should take care to make our text readable for users of their device. The iPhone web browser doesn't keep that promise. 
		- Caveat about 'initial' reviews
			- <img src="http://farm2.static.flickr.com/1116/673576088_9b41736e96_o.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5">One of the things I've learned from being a developer is to keep a notebook with my impressions, the things that confused me, the questions I have. That was before I had a weblog. Nowadays that notebook is public, which helps me share my process with others. 
			- This has a lot of advantages, for one, it gets me answers more quickly. It also teaches other developers how users think, think of this as a small contribution to improved usability in all products. It also provides feedback to the developers of the products I'm using, if they're listening (I find out later they often are). 
			- So with that caveat -- I'm still not able to synch the iPod in the iPhone the way I want to do it. I turned off the automatic synching on the front page of the iPhone panel in iTunes, now all the songs appear, but they're <a href="http://flickr.com/photos/scriptingnews/672285433/">grayed</a> out. I want to remove them all. I can't for the life of me figure out how to do it.
			- Another problem, I tried connecting a set of Bose headphones into the headphone jack on the iPhone. No music comes out the other end. <i>Huh?</i>
			- PS: I was able to reclaim all the space used by the deleted songs by <a href="http://farm2.static.flickr.com/1294/673241333_3dd3b76aab_o.gif">choosing</a> to Synch only selected playlists, and selecting none of them. When I hit the Apply button magically my used space went from 3.8GB to 0.2GB. I have no idea why this worked, but it did. 
		- Picture worth 1,000,000 words
			- <a href="http://blog.broadbandmechanics.com/2007/06/paolo-and-i-drove-to-milan">Paulo</a>: "Nothing like a good conversation with a friend."
			- <a href="http://blog.broadbandmechanics.com/2007/06/paolo-and-i-drove-to-milan"><img src="http://farm2.static.flickr.com/1070/672369358_fe984fc554_o.jpg" width="320" height="167" border="0"></a>
		- Initial review of iPhone
			- <img src="http://farm2.static.flickr.com/1116/673576088_9b41736e96_o.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5">I just spent a couple of hours playing with my new iPhone.
			- I remember that the first few times I try a new cell phone, I wish it would just work the way my old one did. So I'm trying to factor that in, and imagine what it will be like to use it later, but it's not easy.
			- I was able to register with AT&T, choose a service plan, get a phone number, and make a phone call. I was able to use Google Maps to locate my house, and while YouTube was slow, and so was the email app, even though both were running over my fast wifi as opposed to the relatively slow AT&T network, they were all usable and useful, and in some cases represent features the Blackberry doesn't have, and would be nice to have. But there are optimizations I hope Apple makes soon. 
			- This is my fifth iPod, and it works differently from the last one. I like to use my iPod with manual synchronization, but that doesn't appear to be possible with this one. I'm not happy about that! I have my iPod act down, and I want to use this relatively small one (it has just a 4GB capacity) the same way I use my larger, 60GB video iPod. It doesn't seem possible. 
			- Look, all the other people reviewing the iPhone are gushing. I just don't have that in me, at least at the beginning. 
			- And there's a major usability problem with the Safari web browser, it's hard to believe that Apple didn't see and fix this problem before shipping, because it seems to make all websites unusable in the default configuration, with the default font choice, and there doesn't seem to be a way to change their choice of font. Is it possible they made this choice so that the <a href="http://www.apple.com/iphone/ads/ad3/">TV commercial</a> would look good, and forgot to test the browser the way real people will use it? I must be missing something??
			- (After watching the commercial I have an idea how this might work. There seems to be a tapping interface that <a href="http://flickr.com/photos/scriptingnews/667951351/">makes the text larger</a>. Hmmm.)
			- Given that all developers are going to be using Safari as their development platform, this problem seems vexing. 
			- I took a couple of screen shots to illustrate.
			- Here's my Blackberry, in its default configuration, being used to read this weblog. You can click on the picture to enlarge it.
			- <a href="http://flickr.com/photos/scriptingnews/668580860/"><img src="http://farm2.static.flickr.com/1025/668580860_0d600a776e_m.jpg" width="240" height="180" alt="The Blackberry isn't very stylish..." /></a>
			- And here's the same site on my iPhone. My eyesight isn't great, but I can't imagine even someone with perfect eyesight being able to read this.
			- <a href="http://flickr.com/photos/scriptingnews/668580874/in/photostream/" title="Photo Sharing"><img src="http://farm2.static.flickr.com/1088/668580874_48b58d5ce4_m.jpg" width="240" height="180" alt="The iPhone is elegant..." /></a>
			- Has anyone figured out how to change the default font size in Safari?
			- <a href="http://www.scripting.com/stories/2007/06/30/caveatAboutInitialReviews.html">Postscript</a> about "initial" reviews. 
			- <a href="http://citmedia.org/blog/2007/06/30/the-iphone-is-a-beta-product/">Dan Gillmor</a>: "This feels like a beta product."
	- June 29
		- Phone-to-twittergram breakthrough!
			- <img src="http://images.scripting.com/archiveScriptingCom/2006/08/01/uncleCrackBerry.jpg" align="right" hspace="5" vspace="15" width="118" height="166" alt="Blackberry"><a href="http://blog.slapcast.com/twitogram/">Roger Strickland</a> has a bare-bones phone to Twittergram system working. 
			- I just called his service on my Blackberry, <a href="http://mp3.twittergram.com/twitophone/gram00228.mp3">recorded</a> a Twittergram, and it was posted through the <a href="http://docs.twittergram.com/">web service</a>. 
			- <i>Yehi!!</i>
			- The number to call is 888-281-3613. Don't talk too long (remember the 200K limit). Hang up when you're done.
			- <i>Awesome!!</i>
			- Others are working in this area as well, but Roger was the first to break through with working functionality. 
			- I'll be leaving a voice TwitterGram from my iPhone, with any luck, in less than an hour. 
			- This is <i>coooooool.</i>
		- Peets on University has great wifi
			- The free wifi from the Apple store reaches across the street into Peets. So you get excellent coverage here and it's free and <i>fast.</i> Thanks Apple. 
		- m.twittergram.com is live!
			- Want to hear what people are twittering about on your mobile device?
			- http://m.twittergram.com/ 
			- It works on my Blackberry, it launches a music player app when I click on one of the links, but I haven't figured out how to get it to play. Ooops.
			- Does it work with the iPhone? We'll find out sooon. ";->"
			- How does it work on your mobile device? Is it TwitterGram-capable?
			- BTW, we should have a way to post a TwitterGram from a cellphone soon, maybe even later today.
		- iPhone day arrives
			- <a href="http://flickr.com/photos/scriptingnews/662288946/">Big news from Palo Alto</a>. A UPS truck pulls up at the Apple Store. Does it contain the iPhones. No one knows for sure!
			- It's fun to <a href="http://www.scripting.com/stories/2007/06/28/waitInLineWithoutWaitingIn.html">watch</a> the play by play!
			- Everybody please remember, it's just a phone, okay?
		- uncov reviews Pownce
			- I love these <a href="http://www.uncov.com/2007/6/29/kevin-rose-you-are-doing-it-wrong">guys</a> whoever they are.
			- "Pownce also feels a little bit like Twitter except that its user interface makes you want to gouge your eyeballs out with a fork."
			- They also point out that it's a lot like FTP, and is an overpriced repackaging of Amazon S3. And that the size limits prevent you from sharing anything really useful.
		- ISPs from the AOL era
			- Quickly, I thought this morning I'd install the Comcast self-install network interface that arrived via UPS yesterday. Well, the first part went quickly, I got connected, but then it wanted me to download an installation kit, which once downloaded on my Mac (it came in as an hqx, so they clearly understood it was a Mac) wouldn't run because it required Internet Explorer. I imagine that's a big support headache for them. 
			- No problem for me, I just launched Parallels, but it couldn't find the cable modem, so I'm stuck, which is probably okay, because I don't really want to install anything to get my second ISP connection in the house. I have six computers, so only one is going to get anything installed on it. And the clue that I didn't want to do it was the requirement that you disable all anti-virus software. Uh huh. Yeah, and why exactly should I do <i>that?</i>
			- They also require that you get a comcast.net mail address.
			- When do you think buying Internet connectivity will get you that and only that.
			- PS: <a href="http://scripting.wordpress.com/2007/06/29/scripting-news-for-6292007/#comment-84800">Don Cook</a>, a Mac user, called Comcast, they set it up on their end, and that was that. I figured that's all we had to do. I'll call them tomorrow.
	- June 28
		- Today's stuffff
			- <a href="http://nytimesriver.com/">nytimesriver.com</a> is updating again. Anything you can do to help build word of mouth would be much appreciated! ";->"
			- A Morning Coffee Notes <a href="http://mp3.morningcoffeenotes.com/cn27Jun07.mp3">podcast</a> where I discuss where twittergram.com is at.
			- <a href="http://twitter.com/Scobleizer/statuses/124898272">Scoble & Son</a> are <a href="http://www.flickr.com/photos/41585316@N00/653064635/in/photostream/">first</a> in line at the <a href="http://www.apple.com/retail/paloalto/week/20070624.html">Apple store</a> in <a href="http://flickr.com/map/?&fLat=37.448237&fLon=-122.159943&zl=3">Palo Alto</a>. Oh the humanity.
			- <a href="http://scobleizer.com/2007/06/28/first-in-line/">Scoble</a>: "Drop by and make fun of me."
			- <a href="http://www.nik.com.au/archives/2007/06/28/no-third-party-iphone-love/">Nik Cubrilovic</a> on iPhone as a <a href="http://www.scripting.com/davenet/1995/08/22/whatisaplatform.html">platform</a>.
			- My profile <a href="http://pownce.com/davew/">page</a> on Pownce. 
		- Wait in line without waiting in line
			- <embed width="320" height="261" src="http://ustream.tv/BGqYu.Et6tQQAwX5knnMQg.usc" type="application/x-shockwave-flash" wmode="transparent" \>
			- Join Thomas Hawk and the Scobles as they wait in line outside the Apple store in Palo Alto. 
		- As I explain in today's podcast...
			- Two features I want to add to twittergram.com, asap.
			- <a href="http://www.scripting.com/stories/2007/06/25/twittergramsDay3.html"><img src="http://farm2.static.flickr.com/1393/650081337_42fda21418_o.jpg" width="95" height="133" border="0" align="right" hspace="15" vspace="5"></a>1. A telephone interface. Remember the use-case with a <a href="http://www.scripting.com/stories/2007/06/25/twittergramsDay3.html">driver in a car</a>, wanting to send a brief message of love to his or her pal, alone at home? <a href="http://odeo.com/">Odeo</a>, the company that Twitter grew out of, has this software. <a href="http://blogtalkradio.com/">BlogTalkRadio</a>, <a href="http://scripting.wordpress.com/2007/06/28/scripting-news-for-6282007/#comment-84158">Jott</a>, and others, have it too. A simple feature that allows such a service to send an XML-RPC message to the TwitterGram <a href="http://docs.twittergram.com/">web service</a> is all that's required to make the connection.
			- 2. A Flash module that records an MP3, as a standalone app, or to be embedded in the twittergram <a href="http://www.twittergram.com/">home page</a>. This removes a step in the "authoring" process, having to find and launch an MP3 recording app, and then save the result to disk, then find that file in the web page. All that can be reduced to a single step with a Flash module.
			- I have several other items on my to-do list, that I won't need help to accomplish, but these two sub-projects are outside my reach. 
		- twittergram.com can now handle wav files
			- As an experiment, I uploaded a <a href="http://twitter.com/twitogram/statuses/125029392">mini-podcast</a> I did with my parents in 2004. It's a wav file.
			- There is a new optional parameter on the <a href="http://docs.twittergram.com/#changes1">web service</a>. Scroll down to the section in red to see the change (eventually the color will be removed). 
			- <a href="http://www.twittergram.com/">The web interface</a> has also been changed to support wavs. You don't need to know anything other than you can choose a wav from the file dialog and if it meets the size criteria, it should work.
			- This feature was added to help it work with another service that can only generate wav files. In other words, it's a market-driven feature. ";->"
	- June 27
		- Twittergrams, Day 5
			- <a href="http://twittergram.com/"><img src="http://farm2.static.flickr.com/1017/640101174_897f8a9386_o.gif" width="105" height="209" border="0" align="right" hspace="15" vspace="5"></a>We reach a new milestone today, now, in addition to a web service that developers can hook into, there's now a web app, that anyone can use to upload a small 200K or less MP3 to the TwitterGram service.
			- http://twittergram.com/ 
			- Enter your Twitter username and password, a title for your gram, and choose the MP3 file on your local system. Most people who have tested it have been successful. If you have any questions or comments, post them <a href="http://scripting.wordpress.com/2007/06/25/scripting-news-for-6252007/#comments">here</a>.
			- An obvious next step is to include in the web app the ability to record the MP3, which will remove one more big step from the process. Anyone who can help with a Flash app that I can embed to do the recording, please post a comment. Thanks in advance!
			- Yesterday, Wired ran a very nice <a href="http://blog.wired.com/business/2007/06/rss-pioneer-unv.html">piece</a> on TwitterGrams. Like everyone, including me, they say the jury is out on the idea. But they're willing to give it a chance. Excellent and thank you. Nice picture too, I like the glasses. ";->"
			- I recorded my <a href="http://twitter.com/davewiner/statuses/123244002">own</a> TwitterGram this morning to introduce the new web app.
		- Some of today's grams
			- 200K turns <a href="http://tinyurl.com/ytxmpt">some</a> people into Haiku poets.
			- <a href="http://twitter.com/shareski">Shareski</a> wants you to <a href="http://tinyurl.com/2wuc2s">name</a> that tune.
			- Or this funk <a href="http://mp3.twittergram.com/shareski/gram00117.mp3">classic</a>. (On the tip of my tongue.)
			- <a href="http://twitter.com/Amyloo/statuses/123863692">Amyloo</a> wants to know what movie?
			- Yes, <a href="http://mp3.twittergram.com/drewdomkus/gram00104.mp3">it's</a> an <a href="http://mp3.twittergram.com/nickreynolds/gram00114.mp3">advertising</a> <a href="http://mp3.twittergram.com/drewdomkus/gram00102.mp3">medium</a>, with just 200K.
			- And it's good for some <a href="http://mp3.twittergram.com/lmorchard/gram00122.mp3">things</a> that are too painful to contemplate.
			- It's all every bit as pointless as Twitter itself. ";->"
			- <a href="http://mp3.twittergram.com/rss.xml">Here's the RSS 2.0 feed</a>, with enclosures. Try it in your favorite podcatcher, or iTunes. 
		- Since we're into puzzles today
			- <a href="http://en.wikipedia.org/wiki/Uma_Thurman"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/27/uma.gif" width="65" height="217" border="0" align="right" hspace="15" vspace="5" alt="A picture named uma.gif"></a><a href="http://blog.broadbandmechanics.com/2007/06/pageflakes-now-a-social-network">Marc Canter</a> and many other people think I'm full of it when I say the right number of identity systems for each user is 1. But I am right. And I know it.
			- It's a Zen puzzle, almost a riddle, one which a smart user like my pal <a href="http://www.scripting.com/stories/2007/06/27/sheNailsIt.html">Ponzi</a> would never be confused by. You have to be a great geek tech genius like Marc to get it wrong. ";->"
			- Here's the puzzle. If all identity systems you use interoperate seamlessly, grasshopper, how many identity systems do you use?
			- Here's a hint. How many email systems do you use? RSS systems? Web systems? The correct answers are 1, 1, and 1.
		- The meme spreads nicely
			- <a href="http://www.webware.com/8301-1_109-9736178-2.html">Rafe</a>: "Pownce an interesting alternative to Twittergram."
			- And everyone is invited to use Twittergram. <i>If you dare!</i> ";->"
		- Tinyurl has an API
			- Of course I'd like to do what Twitter does, and generate a Tinyurl in place of a longish URL for each TwitterGram. I had assumed all along that Twitter had a special deal with the TInyurl folks, but apparently not so. They have an open API that is simplicity itself. It's so simple it's almost hard to describe.
			- Try clicking on this link: 
			- http://tinyurl.com/api-create.php?url=http://scripting.com/ 
			- It returns a Tinyurl. Copy it to the clipboard, and paste it into the address bar of your browser. it should take you to the home page of my weblog. Apparently it works for any URL you give it. And of course you can call it from a <a href="http://images.scripting.com/archiveScriptingCom/2007/06/27/tinyUrl.create.gif">script</a> just as easily as you click a link in a browser. <i>Very nice!</i>
			- I'm going to put this into twittergram.com, posthaste.
			- PS: It's in, and it <a href="http://twitter.com/twitogram/statuses/123426962">works</a>. ";->"
		- She nails it
			- <a href="http://twitter.com/ponzarelli/statuses/123326072">Ponzi</a>: "How do we decide how many social networks is enough? Are there any central tools that can load all our info for us into multiple sites?"
			- The answer to the first question, imho, is: 1.
			- To the second, no, not until we know which one is the answer to the first question.
			- White man speak with forked tongue! ";->"
			- PS: <a href="http://www.scripting.com/stories/2007/06/26/wereGettingClose.html">Yesterday's post</a> on identity is required to understand my answers here.
	- June 26
		- Tonight's message
			- Find out about tonight's dinner by listening to my latest <a href="http://twitter.com/davewiner/statuses/122275252">TwitterGram</a>. 
			- Always a quickie, guaranteed to be 200K or less. A bite-size podcast. 
			- BTW, the blogger whose name escaped me is Berkeley neighbor <a href="http://wordyard.com/">Scott Rosenberg</a>. 
			- Does Peter have an iPhone? We'll let you know. 
			- You can <a href="http://share.opml.org/camimages/webcam.jpg">spy</a> on the festivities through the KitchenCam!
		- River of News everywhere, now, please
			- <a href="http://flickr.com/photos/scriptingnews/632951121/"><img src="http://farm2.static.flickr.com/1274/633802644_f512a32853_o.jpg" width="105" height="103" border="0" align="right" hspace="15" vspace="5"></a><a href="http://www.downloadsquad.com/2007/06/26/aol-launches-new-blog-like-news-site/">AOL embraces River of News</a>. Why doesn't everyone else just go ahead and do it too. Think about it. When you want news, you want the new stuff, you don't want to wade through sections looking for the new stuff. You want the computer to find it for you. Too many electronic news sites are patterned after news<i>papers,</i> that published once a day. In the real world of today, news is published all the time. Might as well get used to it, it's not going to change. Oh the insanity of the Apple iPhone ads. They <a href="http://www.apple.com/iphone/ads/ad3/">show</a> the user panning over the NY Times website front page and it <a href="http://flickr.com/photos/scriptingnews/632951121/">looks</a> like paper news. What a joke. 25 years from now today's kids will look at that as the definition of insane. 
			- <a href="http://news.yahoo.com/s/zd/20070625/tc_zd/210353">John Dvorak</a>: "This is so easy that I'm going insane!"
			- <a href="http://www.nypost.com/seven/06262007/news/columnists/dont_get_hung_up_on_buying_an_iphone_columnists_glenn_fleishman.htm">Glenn Fleishman</a>: "The iPhone has a very small screen compared to even the tiniest laptop."
		- TwitterGram, Day 4
			- <a href="http://garrickvanburen.com/projects/twittergramhijacking/">Garrick Van Buren</a> has the first client for the <a href="http://docs.twittergram.com/">TwitterGram</a> web service, written in AppleScript, for Audio Hijack Pro.
			- I'm working on a website that connects up to the web service. Slowly at first, the bootstrap begins. 
		- Today's links
			- <a href="http://www.uncov.com/2007/6/26/your-grocery-shopping-needs-a-good-revolutionizin">Uncov</a>: "Ikan is a barcode scanner that you use to scan the empty packages of shit when you throw it out so you know to buy more. It's got some web integration thing so it will e-mail you a shopping list. It will even send your list to an online grocer!"
			- <a href="http://blogs.opml.org/decafbad/2007/06/26#When:7:44:16AM">Les Orchard</a>: "If I were Scoble, and I read this, my immediate response would be to write a nice, long essay on arm farting."
			- <a href="http://nakedjen.blogs.com/nakedjen/2007/06/the-state-of-ou.html">NakedJen</a>: "I'm going to keep wearing my seatbelt."
		- We're getting close
			- <a href="http://paolo.evectors.it/2007/06/26.html#a3303">Paolo writes</a> about open relationship standards.
			- <img src="http://farm2.static.flickr.com/1107/631335719_53f2f03118_o.gif" width="95" height="236" border="0" align="right" hspace="15" vspace="5">In the last couple of days I've written, debugged and refined a web service that does TwitterGrams. It builds on Twitter's identity system, much the way I imagine I'd build off an open identity system. That is to say that Twitter is almost everything I'd want from an open identity system. But not everything. I have a feeling that Mike Graves is nodding as he reads this, and I believe he knows what the missing piece is. And it's one that Twitter (or anyone else) could add, almost trivially.
			- What's missing: The ability for any app to store information associated with an account. Each person defines a namespace that can connect up to any other person with a namespace. At the intersection between two users could be (I'm channeling Marc Canter here) an appointment, a photograph (or many), a movie, a weblog, you name it. Marc could decide that this post belongs in his namespace in addition to mine (where the original lives). That's what the permalink is for.
			- Are we close? Yes we are. The <a href="http://docs.twittergram.com/">API</a> for TwitterGrams borrows a key idea from the MetaWeblog API, that a RSS item can hitch a ride with every bit that travels over the pipe. There's the metadata. David Weinberger should be happy. ";->"
			- BTW, the connection to Twitter's identity system is simplicity itself. They do nice work over there. Thanks!
	- June 25
		- Web service docs
			- The TwitterGram web service is up and running.
			- <a href="http://docs.twittergram.com/">Documentation</a> with sample code is up too.
			- <a href="http://scripting.wordpress.com/2007/06/25/scripting-news-for-6252007/#comments">Questions</a>, comments are welcome, as are client apps. ";->"
			- Lots of stuff remains to be done. A web browser user interface, RSS feed, press tour.
			- <a href="http://www.paulofierro.com/archives/478/">Paulo Fierro</a> has a Twit O'Gram player.
		- TwitterGrams, Day 3
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/25/pupinpot.jpg" width="95" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named pupinpot.jpg"><a href="http://www.newscientist.com/blog/technology/2007/06/twitter-ye-not.html">Tom Simonite</a> at New Scientist has mixed feelings about TwitterGrams.
			- Here's an example use-case. You're driving in your car and thinking of your dog at home, alone, missing you (and you missing your bud too of course). So you pick up the cell phone, speed dial the TwitterGram voice service (it doesn't exist yet) and say some reassuring words to your pal.
			- Now at home you have a special PuppyGram client running on your MacMini or AppleTV or somesuch. Your picture comes on the screen, and the computer barks three or four times to get the attention of your best friend. And then your little message comes on screen.
			- Okay, that's a trivial example, but Twitter is <i>all about</i> trivial examples. It's the stuff of no importance whatsoever that make us feel nice about being human. 
			- In any case I'm having a blast writing the <a href="http://docs.twittergram.com/">web service</a>. it's <s>almost</s> ready to deploy. 
			- PS: Almost every domain with the word "cast" is taken. We have podcasting to thank for that. ";->"
			- PPS: Yesterday there <a href="http://flickr.com/photos/scriptingnews/617212230/">were</a> 29 hits <a href="http://www.google.com/search?q=twittergram">on Google</a> for TwitterGram. At noon today there are 406.
		- Am I competing?
			- Yes and no.
			- I had a philosophical talk about this last week with Marc Canter. For a long time, he and Doc Searls had been saying publicly that I ought to do something to help unify the identity space. Mike Graves, formerly of VeriSign, was saying similar things. I always wondered what they meant. Did they know how I would do it, if I would try to do it?
			- Last week I spelled it out for Marc. If I try to coalesce some kind of standard the only way to do it is by competing. Writing a spec and asking nicely if everyone would implement it gets you nowhere. The only way to get something to stick is to put up a compelling app, and let the <i>market</i> drive a standard. Tech people don't play nice unless the market <i>forces</i> them to.
			- That's how it worked with RSS. There was a period of a few years when my software and content dominated, and that's how RSS came to be the powerhouse it is. I had the three sides of the puzzle needed to drive a standard. 1. A tool that generates the content. 2. A tool that consumes the content (two horrible words, but what are you going to do) and 3. Content.
			- 1. and 2. were Radio UserLand. It was a blogging tool that generated RSS 0.92 and then RSS 2.0, and an aggregator that consumed these formats (and all others of course). Following the logic of Postel's Law, we were conservative in what we send, and liberal in what we receive. And #3 was at first Scripting News, and then the content flow of our very powerful partner, The New York Times. 1, 2 and 3, that's all it took. In other words, everything. ";->"
			- So if TwitterGrams take off, and I think they might, I'm going to have to put some software in the middle of it. A new branch to the <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">coral reef</a> that Twitter is. And then people can build compatible front ends, and compatible back ends, and everybody will be happy. Hopefully when the dust settles, if there is something to this, I'll be left with something of value to reward me for the risk and effort (and the years of barking up fruitless trees and chasing down blind aleys, and convincing people they should listen to me). But, as I have found out many times, there are no guarantees if you choose to work openly, which I do.
			- BTW, hats off to the folks at Twitter for having the guts to work openly themselves. Without their very courageous and liberal API I would never attempt such a project.
			- Anyway, if you have a service that could be turned into the PuppyGram service described above, go for it. I may do one myself, I do have a desktop client I like to work in, but there's room for so many, in so many different environments. Think about all the places RSS reaches and that'll give you some idea how diverse this kind of market can be.
		- Between Mike and Charles
			- <a href="http://news.com.com/8301-10784_3-9734439-7.html">Charles Cooper</a> says "the blogosphere" needs to get real about the line between church and state.
			- My response: The tech blogosphere was invented because of the sloppy church-state line at CNet and other professional pubs. They're the last people who get to preach this particular gospel.
			- <img src="http://farm2.static.flickr.com/1211/627396285_03861151c5_o.gif" width="62" height="53" border="0" align="right" hspace="15" vspace="5">Inside the tech industry, we all know what's going on there. In private, no one is confused. They always take the side of big companies over small ones, even when it's ridiculous to do so. The reason -- big companies advertise, they pay their salaries. And the little ones are too little to make a difference. Even if their products are standard-setters. Do they look out for their readers or their bottom lines? Of course, they throw the readers under the bus (a metaphor that should be thrown under the bus, btw).
			- Further, there is no such thing as "the blogosphere" and there's no way for the lines to be anything other than what they are. Of course, individual bloggers can do something about it. And of course we all know who Cooper is talking about, Mike Arrington.
			- Now this is going to blow Mike away -- I'm going to defend him. Not because he's my friend, even though he is, but because he's doing a bunch of things right, and before everyone goes too far, let's understand what that is.
			- Mike doesn't tell bedtime stories, or mask his position behind vague words. He comes right out with it, and tells you he's pissed off, or to pound sand, or worse. Sometimes I can't believe the things he says, but at least he's not dancing around it, like some other people do. (More on that in a bit.)
			- Mike gets stories that CNet doesn't get, that no one else gets. Look at the <a href="http://www.techcrunch.com/2007/06/25/mitch-kapors-foxmarks-to-leap-into-search-world/">piece</a> he did on Mitch Kapor's product earlier today. Compare that against the nonsense that passes for tech news done by the pros. They put reporters on the stories who have no idea what they're writing about, and you can tell. Or old school guys who only quote their friends, and haven't found a new trend or product in years. All they know is that Apple, Google and Microsoft are important and that little companies are not. So it's a long time before a CNet hack gets to tell Mike how to do his job, even if he does act as a mouthpiece for a crappy Microsoft campaign (I wish he wouldn't do that).
			- <img src="http://farm2.static.flickr.com/1395/628268432_99db2df8ff_o.gif" width="76" height="99" border="0" align="right" hspace="15" vspace="5">On the other hand, Mike says he values loyalty above all else, but he turns his back on his friends far too often, and doesn't call some people on their hypocrisy when he really should. If he's really a gunslinger, he needs to take it out of the holster a little more frequently, and aim it at some people who aren't such easy targets. I want the doors to open wide, and the self-dealing in-breeding to stop. It's making it really hard to make progress. Too hard.
			- The fact is that it's a fucked up little industry, and <i>everyone</i> needs to clean house. There are some pockets of brightness, and we need to help those shine, and we also need to shine the light on the dirty practices that pay your bills, but hurt everyone else. That's creeping into what we used to call the blogosphere, and that's the scary thing. It's not that Mike needs to become more like CNet, it's that Mike is becoming too much like CNet. 
			- Charles, Mike, back to you.
	- June 24
		- I give up
			- I don't identify as a consumer. Why not get it over with and refer to me as a parasite.
		- Will Linked-in open up?
			- <a href="http://www.typetive.com/candyblog/item/hot_tamales_and_hotter_tamales/"><img src="http://farm2.static.flickr.com/1351/616364163_d8b17e27e7_o.gif" width="125" height="78" border="0" align="right" hspace="15" vspace="5"></a>Apparently Linked-in is <a href="http://blogs.zdnet.com/BTL/?p=5482">considering</a> its options as a platform with an API. The reason: Facebook, newly open to developers, is stealing its thunder. It would be cool if they just implemented an identity service that managed relationships between users, and allowed developers to define the relationships. Rather than incrementally one-upping each other by being slightly more open, why not go all the way, and operate an indentity service for your own application <i>and</i> for everyone else. This would put Linked-in (or whoever) at the center of <a href="http://www.scripting.com/davenet/2001/02/19/internet30.html#6">Internet 3.0</a>. 
			- A few days ago, I <a href="http://www.scripting.com/stories/2007/06/22/whatIsAnIdentitySystem.html">wrote</a> about explosive deconstruction of social networks, and said I didn't know how it was going to happen but it was definitely going to happen. I posited that perhaps Twitter was enough of an identity system to serve as the core, and since then I have been able to latch a compelling app onto Twitter, one that captured a lot of people's imaginations in less than 48 hours. So that tells me that Twitter is probably sufficient (I have to finish the implementation). 
		- Twitter meets podcasting, day 2
			- Continuing yesterday's <a href="http://www.scripting.com/stories/2007/06/23/twitterMeetsPodcasting.html">thread</a>.
			- I'm now working on a web service that takes four parameters:
			- 1. username (a string)
			- 2. password (a string)
			- 3. MP3 bits (base64-encoded binary)
			- 4. metadata (a struct)
			- The username and password are for the user's Twitter account. This data passes through the web service, it is not retained. You have my word of honor on that.
			- The bits are the "gram" -- the official limit is 200K, but there's a little bit of grace. (We'll accept slightly more than 200K.)
			- <a href="http://www.dreyers.com/brand/dibs/flavorlisting.asp?b=1391"><img src="http://farm2.static.flickr.com/1053/617714580_6870aa8975_o.gif" width="115" height="115" border="0" align="right" hspace="15" vspace="5"></a>The metadata is a struct that can contain fields that have the same names as an RSS 2.0 item, such as title, link, description, category, source, etc. Very much like the Metaweblog API. Not all the elements are acceptable, but ones that aren't are ignored. (For example, enclosure.) All are optional, as is the struct itself. The title, if present, is used in forming the Twitter post. The remaining elements are retained, and used to form feed(s). 
			- The twits are also posted to a global Twitter account -- <a href="http://twitter.com/twitogram">twitogram</a>. (They don't allow accounts whose name begin with "twitter.")
			- The username and password must be valid for the MP3 to be retained.
			- The service returns a string, if successful, the URL where the gram is stored. (I'm using Amazon S3 for the storage, so it should be fairly reliable.)
			- There's a limit to the number of grams you can post over time. Not sure exactly what the limit will be. Maybe no more than one every ten minutes? Interested in people's opinion.
			- The ideal client for this service, it seems, is Flash, because it can do the MP3 recording and has XML-RPC support. I will also implement a RESTful interface.
			- Disclaimer #1: Who does he think he is? Just some guy. ";->"
			- Disclaimer #2: My mother loves me. (I think.)
			- More dislcaimers will follow.
			- Postscript #1: <a href="http://flickr.com/photos/scriptingnews/617212230/">29 hits</a> today for <a href="http://www.google.com/search?q=twittergram">TwitterGram</a>.
		- Sign of the time
			- <a href="http://twitter.com/Rafe/statuses/118834162">Rafe Needleman</a>: "Go to friend's wedding or blog Federated fracas?"
		- Berkeley hills
			- <a href="http://www.flickr.com/photos/scriptingnews/612604692/" title="Berkeley hills"><img src="http://farm2.static.flickr.com/1390/612604692_a645c7c653_m.jpg" width="240" height="180" border="0" alt="Berkeley hills" /></a>
			- This is the neighborhood I take my walks in. 
			- What you can't tell from the picture is how perfect the climate is for exercise. 
			- I think it's the nicest weather in the whole United States. 
	- June 23
		- Twitter meets podcasting?
			- <img src="http://farm2.static.flickr.com/1090/604315093_9f45b1a34c_o.gif" width="85" height="157" border="0" align="right" hspace="15" vspace="5">The other day I was thinking about other kinds of Twitters. The thing we like about Twitter is that you <i>can't</i> post a book-length story about what's going on right now, you can only do a 140-character synopsis -- "I just got on BART" or "Driving to NoobCamp." It's one of those <i>Worse Is Better</i> or <i>Less Is More</i> things we like so much about the Internet. So I started making a list of different kinds of Twitter, and immediately gravitated to something I call TwitterGram, where you use the 140 characters to link to a 200K audio message. Think of it as Twitter meets podcasting. 
			- So I created one these messages. Click on the link below to listen to it.
			- http://twittergram.com/dave/audiogram001.mp3 
			- I linked to this message <a href="http://twitter.com/davewiner/statuses/117747132">from my Twitter acct</a>.
			- If you want to play the game, record a response, no more than 200K, upload it somewhere, and link to it from your Twitter account, and put @davewiner somewhere in the text of the twit (so I will see it). Of course I'll be surprised if anyone actually responds, but what the heck, maybe people will. 
			- I have a funny feeling <a href="http://scripting.wordpress.com/2007/06/23/scripting-news-for-6232007/#comment-81113">Chris Pirillo</a> will like this. ";->"
			- <a href="http://tom.opiumfield.com/podcast/responseogram.mp3">Tom Morris</a> responded! <i>Yehi!!</i>
			- <a href="http://twittergram.com/dave/audiogram001.mp3 ">My response</a> to Tom's twittergram. ";->"
			- <a href="http://www.divshare.com/download/1051927-d79 ">George Ellenberg</a> says it's a great idea, but not practical because it's too much work. 
			- <a href="http://twittergram.com/dave/audiogram003.mp3 ">My response</a> to George is basically, yes, but if it's fun and people like it, it can be made easy.
			- Tom Morris <a href="http://tom.opiumfield.com/podcast/responseogram2.mp3">suggests</a> a URL scheme for TG's.
			- <img src="http://farm2.static.flickr.com/1086/605087382_1ab77049aa_o.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5"><a href="http://twittergram.com/dave/audiogram004.mp3 ">Twittergram #4</a>. In the first few hours of <a href="http://www.brainstorming.co.uk/tutorials/brainstormingrules.html">brainstorming</a> you don't have to deal with every issue every person might raise. Sometimes it's better just to suspend criticism, you don't even know if the idea of the moment is what you're going to implement. There's always someone who says you can't do it. Amazing how many of the big ideas of the Internet had to go through the objections of people who thought it couldn't work. 
			- <a href="http://amyloo.com/miscaudio/amygram.mp3">Amyloo</a> stays well within the 200K limit. <i>Thanks!</i>
			- This is kind of like the <a href="http://intepid.com/stuff/dixie-5-plus-1.mp3">Dixie podcast</a> we did in 2005. ";->"
			- <a href="http://twittergram.com/dave/audiogram001.mp3 ">Twittergram #5</a>. I'm going out for a bit, but when I get back I'll put up a web service that takes care of a bunch of the details of doing Twittergrams. Not all of them, but a lot. You'll need to have software on the desktop that can record an MP3, and that can send an XML-RPC or REST message to a server. You'll get back a URL, but you won't really need it, because it'll also take care of posting the MP3 to Twitter. And it'll probably also generate an RSS feed (it would be kind of ridiculous if I didn't do that too, as far as I know Twitter doesn't understand enclosures, and this app begs for them).
		- Moving day for Berkman Center
			- <a href="http://www.flickr.com/photos/ericag/604015032/in/set-72157600453606750/"><img src="http://farm2.static.flickr.com/1368/605766410_3cc81fdd78_o.jpg" width="95" height="83" border="0" align="right" hspace="15" vspace="5"></a><a href="http://www.flickr.com/photos/ericag/sets/72157600453606750/">Baker House</a>, the old Berkman Center building, where I had an office for a couple of years, is on the move. The building is moving down Mass Ave. It's a historic building so it can't be demolished and the law school wants to buid something new and modern where the building used to be. 
			- <a href="http://www.flickr.com/photos/scriptingnews/206669784/">The Ukranian Center</a>, another historic building, is also moving today.
		- Comments on people-ready
			- Re the "people-ready" <a href="http://www.scripting.com/stories/2007/06/22/didMicrosoftPayStarWriters.html">discussion</a>.
			- There are a couple of reasons why the writers shouldn't have done what they did, and in all the comments already posted, no one has gotten to this. 
			- First, <a href="http://www.crunchnotes.com/?p=409">Mike Arrington</a> implies, in the title of his post, that everyone knows about this practice. Maybe it's disclosed, quite possibly he has written about it and I missed it. But to imply that everyone knows they're doing it is wrong. I didn't. I'm sure others didn't as well.
			- Second, and this is the really important one. It's one thing to let Microsoft buy space on your site (it's called advertising) and quite another to accept Microsoft money for words coming out of your mouth. Next month when we read something positive on these sites about Microsoft, how are we supposed to know if it's an opinion, or just another example of being paid to say something supportive of Microsoft. 
			- The only one of the people involved who showed any interest in what others think is <a href="http://gigaom.com/2007/06/22/on-the-microsoft-ad-campaign/">Om Malik</a>, and even his interest was conditional. In public writing, what people think of your writing is very important. They may not agree with you, they may not like what you say, they may not like <i>you,</i> but you want to be sure they know where you're coming from. Any doubt about that removes value from your work. Do it often enough and it removes all value.
			- Mike says that this discussion cost him money that he needs to make payroll. I encourage him to look at a bigger picture. Any cloud over his integrity with readers will have a much bigger impact, imho.
			- Comprehensive <a href="http://www.buzzmachine.com/2007/06/23/buying-their-voices/">roundup</a> from Jeff Jarvis.
			- <a href="http://doc.weblogs.com/2007/06/23#shiftingSands">Doc Searls</a>: "The question isn't whether advertisers are paying for text in a box. It's whether they're they're also buying kinder treatment in editorial postings. We need to hear that. Not to be told where to go."
			- <a href="http://danblank.com/blog/2007/06/24/are-bloggers-and-marketers-really-evil/">Dan Blank brings</a> some welcome comic relief to the drama. ";->"
	- June 22
		- Did Microsoft pay star writers?
			- Valleywag has a <a href="http://valleywag.com/tech/federated-media/microsoft-pays-star-writers-to-recite-slogan-271485.php">story</a> that Federated Media is paying "star writers" to recite a Microsoft marketing slogan.
			- I sent emails to several of the writers and Microsoft PR. I also asked John Battelle, the founder of Federated Media, if this is true. He said: "As usual, it's a bit more naunced."
			- I have reason to not trust Valleywag, they've said things in the past I've known were not true, so right now I don't know what to believe. 
			- On the other hand the <a href="http://www.peoplereadybusiness.federatedmedia.net/?WT.mc_id=FED">Federated Media site</a> is for <a href="http://flickr.com/photos/scriptingnews/593801597/">real</a>, and it has quotes from the people Valleywag says are quoted. So some of it is true. Battelle didn't deny it.
			- <a href="http://gigaom.com/2007/06/22/on-the-microsoft-ad-campaign/">Om Malik</a>: "I have requested Federated Media, our sales partners, suspend the campaign on our network of sites, and they have."
		- What is an identity system? 
			- <img src="http://farm2.static.flickr.com/1053/590402870_9b19cdffbf_o.jpg" width="125" height="183" border="0" align="right" hspace="15" vspace="5">Dinner last night was with <a href="http://doc.weblogs.com/">Doc Searls</a>, <a href="http://maps.google.com/?q=335+Powell+St,+San+Francisco,+CA+94102&sll=37.0625,-95.677071&sspn=46.409192,75.585938&ie=UTF8&z=16&iwloc=addr&om=1">at</a> the <a href="http://www.tripadvisor.com/Hotel_Review-g60713-d81461-Reviews-The_Westin_St_Francis-San_Francisco_California.html">St Francis Hotel</a> in San Francisco. 
			- When I got on the BART in Berkeley, I sent an email to Doc from my Blackberry saying I was on the train. When I got to the Powell Street BART station, I sent an SMS saying I had arrived. I walked three blocks to Union Square, and there was Doc, smiling and ready to talk about identity, which is much on my mind these days.
			- We covered a lot of ground, I reviewed my <a href="http://www.scripting.com/stories/2007/06/17/itsTimeToOpenUpNetworkingA.html">belief</a> that the features of social networks are due to deconstruct into simple services that can be recombined by skilled users in an infinite number of ways. At the core of all of it is an identity system. So what is an identity system? Is there a good definition somewhere? How many features can you add before it becomes more than an identity system? This is important because in this area, it's important to strip it down to its bare minimum, so that the first component of any network of people, events and resources can be maximally combined with features that depend on identity. The goal is to give the user the most options with the fewest identities. 
			- Now this need to be minimal explains the interest I have in Twitter. Could it be that the ability to post 140-character status messages should be part of any identity system? Should every identity service minimally have a web browser interface, an IM interface and an SMS interface? Or is a back-end service enough, allowing applications to serve as front-ends, exclusively?
			- It seems that these are the questions we'll answer in the coming months. But my gut feel is that if Twitter has more functionality than is required to define an identity system, it's <i>not much</i> more. Not too much more. To prove it, one would have to build an application that required identity using Twitter as the identity server, and see if the extra features turned out to be useful, redundant, or in the way. My guess is that they would be useful, not redundant, and not in the way.
			- Then I had a conference call with <a href="http://marc.blogs.it/">Marc Canter</a> this morning where we talked about the same issues from a whole different perspective. Marc believes in the explosive decontstruction of social networks, although he uses more polite terminology, because he believes in vendors, and true to form, I'm out to subvert the vendors. ";->"
			- Doc and I reached a very interesting place, but I don't want to, at this time, talk about exactly what that was. Not sure I could do the idea justice. Might be better to put up an example app.
			- Also I should mention that <a href="http://resellers.tucows.com/about/team2">Elliot Noss of Tucows</a> was at the dinner too. Identity services and domain services are related, don't you think? 
			- PS: In 2001, I <a href="http://www.scripting.com/davenet/2001/04/17/theWebIsAWritingEnvironmen.html#2">wrote</a> about the "explosive deconstruction" of the brand names of journalism, a process that today, is well underway.
		- What's up with Twitter?
			- <a href="http://flickr.com/photos/scriptingnews/590742947/">Last update</a> was 2 hours ago.
			- Only five updates in the last 12 hours?
			- What's going on wit da Twit?
		- Today's links
			- Soup of the day: <a href="http://flickr.com/photos/scriptingnews/593964645/in/photostream/">Spicy Chicken Soup</a>.
			- Drag queen of the day: <a href="http://www.youtube.com/watch?v=4IrE6FMpai8">Rudy Giuliani</a>.
			- Soul artist of the day: <a href="http://en.wikipedia.org/wiki/Al_Green">Al Green</a>.
		- Buongiorno!
			- Sports fans!!
	- June 21
		- Dell Hell
			- I was thinking of getting an inexpensive Dell desktop for a home server, but after reading this <a href="http://www.amazon.com/gp/product/customer-reviews/B000AXSHHU/sr=8-9/qid=1182466866/ref=cm_cr_dp_all_top/104-0619295-2952700?ie=UTF8&n=172282&s=electronics&qid=1182466866&sr=8-9#customerReviews">review</a> of their customer service, I was reminded why sticking with Apple is probably the best bet. 
		- Today's links
			- Todd Cochrane: <a href="http://www.geeknewscentral.com/archives/007116.html">AT&T's Secret $10 DSL</a>.
			- Get my <a href="http://twitter.com/davewiner">most recent trivia</a> on Twitter.
		- Gets to the point
			- An idea for a conference session...
			- A-list blogger sits at table in front of room.
			- Participants line up. Each, in turn, dictates a 140-character blog post, which the blogger dutifully enters, verbatim. Two or three links. Next.
			- Sort of an open blog. 
			- Only works for bloggers with a certain amount of flow, or A-list goodness to bestow.
		- Happiness
			- Happiness is a doctor's office with open wifi.
		- More happiness
			- Happiness is your blog moving from rank 260-something to 140-something on Technorati for no apparent reason.
			-  It would be wonderful to break into the <a href="http://www.technorati.com/pop/blogs/">top 100</a> again. At the beginning, this blog was #1 on Technorati. 
	- June 20
		- Question about Creative Commons
			- I like to ask technical questions here on Scripting News for a few reasons: 
			- 1. If I have the question, there are probably others who have it too. So everyone has a chance to learn.
			- 2. We create an archived thread of knowledge on the subject for the search engines. I benefit from other groups that discuss things that I need to know, there's nothing like practical answers to problems real people have.
			- 3. It gives readers a chance to show off what they know, and gives me a chance to learn about the people who read this site. I am always impressed with the deep knowledge of these people, and their generosity, their willingness to help.
			- <a href="http://flickr.com/photos/rachaelvoorhees/436000634/"><img src="http://farm2.static.flickr.com/1257/577637723_82461d2740_o.jpg" width="55" height="109" border="0" align="right" hspace="15" vspace="5"></a>So with that in mind, I have a technical question about something that isn't technology, but is something technologists are using, the Creative Commons.
			- Back in 2004, when the Creative Commons was very new, and I was working at <a href="http://cyber.law.harvard.edu/home/">Berkman Center</a> which was one of the proponents of the Commons, it seemed natural to release the <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS 2.0 spec</a> under one of the <a href="http://cyber.law.harvard.edu/rss/rss.html#licenseAndAuthorship">licenses</a>. Subsequently, it became a common practice in spec-writing, for example when Microsoft released the <a href="http://www.caltrain.org/timetable.html#weekday-northbound">SSE spec</a>, they also <a href="http://flickr.com/photos/scriptingnews/576210162/">used</a> the Creative Commons.
			- It made sense to do so, because it follows in the precedent set by the IETF, the share-alike, for-attribution license, to this non-legal mind, is more or less the same license that the IETF has used for many years for its specs.
			- <img src="http://farm2.static.flickr.com/1139/576424382_0964ff92b3_o.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5">So the question is this -- if there are disputes about a work that's licensed under the Creative Commons, what are the mechanisms available to mediate or arbitrate such disputes? Perhaps such mediation is a service that one of the law schools, Stanford or Harvard, might provide? It seems that when a work is licensed under the CC, there should be some free help available to guide the use of the licensed material, since (I presume) one of the goals of the CC is to encourage creative people to be non-commercial with their works. If there's no way to profit from the work, it seems unfair that it should cost money to enforce the terms of the license (however these days <i>nothing</i> about the legal system seems fair to me).
			- So this is a technical question addressed to lawyers who read Scripting News. Thanks in advance for any <a href="http://scripting.wordpress.com/2007/06/20/scripting-news-for-6202007/#comments">help you can offer</a>.
			- <a href="http://scripting.wordpress.com/2007/06/20/scripting-news-for-6202007/#comment-79003">Dan O'Shea</a> is a lawyer who is interested in doing this work.
			- <a href="http://wiki.creativecommons.org/Frequently_Asked_Questions#Will_Creative_Commons_help_me_enforce_my_license.3F">Creative Commons</a>: "A Creative Commons license terminates automatically if someone uses your work contrary to the license terms."
		- Italians want to know
			- <a href="http://paolo.evectors.it/2007/06/20.html">Paolo says</a> they want to know what we think of them.
			- <a href="http://flickr.com/photos/scriptingnews/529575140/in/set-72157600308400304/"><img src="http://farm2.static.flickr.com/1025/576090570_8d19fbe5fb_o.jpg" width="105" height="130" border="0" align="right" hspace="15" vspace="5"></a>I was talking yesterday with my friend <a href="http://marytrigiani.typepad.com/">Mary Trigiani</a>, who as you can tell by her last name, is of Italian descent. Her grandparents were born in the old country. I told <a href="http://scripting.wordpress.com/2007/06/20/scripting-news-for-6202007/#comment-78953">her</a> my impression, that for a country of such beauty, and a people so intelligent and friendly, and one that seems from the outsider's point of view to run so well, they sure think very little of themselves!
			- I didn't see any homeless people in Italy. There were some beggars, they were very aggressive, but they didn't persist if you ignored them. But even they seemed to be taking reasonably good care of themselves.
			- And the cities are so fantastically beautiful. When Italians visit the United States, what must they think of us. We can't even keep our streets clean. True, NY is doing much better, but we have a long way to go. And our food, it's nothing compared to theirs. Honestly I don't think I had ever really tasted fish until I had lunch with Marco and Paolo in Genova. You can ask them how I was gushing over the flavors and textures.
			- <img src="http://farm2.static.flickr.com/1293/576112428_8ea7da41cb_o.gif" width="95" height="63" border="0" align="right" hspace="15" vspace="5">I go back to the <a href="http://www.scripting.com/stories/2007/06/07/graziaBuonGiornoImmobiliar.html">advice</a> I gave at the end of my trip. Let's have an international blogger's camp in rural Italy, off-season, a week retreat, where we talk about the world, in an expansive way. Let Italy be the first host. Then we go somewhere else, maybe South America, New Zealand, Korea. Let's find what's great about all our cultures, and learn from each other.
			- I think if Italians use the rest of us a mirror they might learn to appreciate what they have more than they do now. It's a <a href="http://flickr.com/photos/scriptingnews/sets/72157600308400304/">beautiful</a> place. And the people are nice. What more could you ask for!
		- OJ's confession on BitTorrent
			- <a href="http://en.wikipedia.org/wiki/O.J._Simpson"><img src="http://farm2.static.flickr.com/1427/576078533_ab748358e9_o.jpg" width="65" height="101" border="0" align="right" hspace="15" vspace="5"></a><a href="http://torrentfreak.com/oj-simpsons-murder-confession-leaked-to-bittorrent/">TorrentFreak</a>: "In 2006 O.J Simpson announced he was releasing a book in which he would detail what would have happened, had he really committed the horrific murders of his ex-wife and her boyfriend in 1994. After public outrage, the book was shelved and 400,000 copies of the book were destroyed but now a digital version has been leaked to BitTorrent."
	- June 19
		- What to doo with Yahoo?
			- <img src="http://farm2.static.flickr.com/1422/570004327_ca42c2345c_o.gif" width="46" height="211" border="0" align="right" hspace="15" vspace="5">The big win for Yahoo was My.Yahoo, it was the perfect example of <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">send them away</a> to get them to come back. Any comeback for Yahoo must include revitalizing this service, quickly, because this is yet another area where Google is gaining ground on the sleeping giant. Scott Gatz, the exec who made My.Yahoo what it is, is still at the company. 
			- I'd also suggest decentralizing the company more. Some analyst told them they needed to gain economy and synergy from their acquisitions by centralizing and eliminating duplication, but this makes no sense. Their goal isn't to economize, the goal is to grow. That's the only thing that matters. 
			- The problem with Yahoo is too many people for too few opportunities. But, ironically, they need to make the problem worse in order to get back on a growth track. They also need more startups outside Yahoo to view Yahoo as the logcial company to acquire them. The way to do this is to set some standards by unbundling basic services, most important being identity. Yes it's nerdy, and hard for a Hollywood guy like Semel to understand, but now that the Hollywood guy is gone, maybe Yahoo can start being a technology company instead of the 21st century equivalent of a pet food retailer. That means implementing some big ideas that are rooted in technology not merchandising.
			- <img src="http://farm2.static.flickr.com/1223/569993133_faad1554be_o.jpg" width="125" height="183" border="0" align="right" hspace="15" vspace="5">Basically the problem of Yahoo is the problem of Silicon Valley (and that includes Google btw). But it's <i>not</i> the problem of Apple, which people tend to overlook in their analysis of Silicon Valley (a big mistake, Apple is practically the only Silicon Valley company left). 
			- The business of the valley is not publishing. It is not advertising. It is not retailing. It is not pet food. It <b>is</b> <i>cool packages of technology that thrill people with empowerment and novelty.</i>
			- So start by giving My.Yahoo some space, and money, and get some new hot features out there ASAP.
			- And then unbundle some services and offer them to internal users and to developers. It's not mandatory for the internal users to build on them, but there's no guarantee that management won't acquire an external competitor that does a better job of hitching up to the backbone that Yahoo is using.
			- Google hasn't been very successful with GData, and there are good reasons for this. They think like an advertising company. Try thinking like a technology company instead, and all of a sudden Yahoo will start growing again.
			- PS: Invest in open source projects. You <i>can</i> buy love.
			- PPS: Invest in <i>anything</i> that undermines Google.
			- PPPS: Merging with Microsoft is death.
			- PPPPS: <a href="http://doc.weblogs.com/2007/06/19#quoteDuJour">Doc pulls</a> the killer quote.
		- Networking puzzle, day 2
			- <img src="http://farm2.static.flickr.com/1221/571267566_3eb62afc5e_o.jpg" width="85" height="114" border="0" align="right" hspace="15" vspace="5"><a href="http://www.scripting.com/stories/2007/06/18/anotherNetworkingPuzzle.html">Yesterday</a> I wrote up a Macintosh networking problem. With two ISPs, I wondered how I could use both networks on one LAN. There was a huge <a href="http://scripting.wordpress.com/2007/06/18/scripting-news-for-6182007/#comments">outpouring</a> of very high quality information that almost immediately pointed to a class of hardware product that provides a very elegant solution. But I want some more information before deciding how to proceed, because something even simpler might make more sense for what I want to do.
			- Suppose, for the sake of argument, that I have a Mac OS X server colocated offsite, but I want to be able to use it as a file sharing server from my home. The machine has a fixed IP address. Of course it doesn't show up as a server under the <a href="http://flickr.com/photos/scriptingnews/571695959/">Network section</a> in the Mac Finder. Now the question. Is there some way to get my desktop Mac at home to connect to the server with just an IP address? 
			- If so, my problem is solved because I have five static IP addresses from one of my ISPs. And if I can just put up a server at a fixed location, that solves the problem.
		- Me, a cranky geek?
			- <a href="http://mp3.morningcoffeenotes.com/geekpolka2.mp3"><img src="http://farm2.static.flickr.com/1426/570585798_2b036e13e2_o.jpg" width="125" height="81" border="0" align="right" hspace="15" vspace="5"></a>I gotta admit, I enjoy watching the <a href="http://www.crankygeeks.com/">Cranky Geeks</a> video podcast, mostly because I like the nerdy picture of John Dvorak on the opening screen and the <a href="http://mp3.morningcoffeenotes.com/geekpolka2.mp3">corny polka music</a> that plays in the background. I sometimes even watch the rest of it because Dvorak is such a curmudgeon, and the guests are interesting too. That's why I agreed to be on two of the shows, one which will be recorded tomorrow and the other on July 25 (Jason Calacanis is the other guest).
			- They just sent me a <a href="http://scripting.wordpress.com/2007/06/19/scripting-news-for-6192007/#comment-78359">list of topics</a> they want to discuss. If you have something to say, please post a comment, esp if they make you cranky in a geekish sort of way. That'll give me some idea of what people think, and may get my juices flowing. ";->"
		- podcasting.opml.org
			- Last night a <a href="http://groups.yahoo.com/group/podcast-directory/message/157">message</a> was posted on one of the podcasting support mail lists, observing that an opml.org <a href="http://podcasting.opml.org/">directory</a> was showing some weird content. It was pretty late, so even though I found the problem right away, I didn't fix it until this morning. 
			- It wasn't a hack job as some people thought, and I hadn't decided to monetize the directory by pointing it to some porn sites, rather it was a dangling pointer left over from a server purge in April, when I was able to turn off four of my six servers, thereby saving a bunch of money every month. The directory had been hosted on one of the machines that I turned off. The ISP reassigned the server to a new customer, who was keeping a directory of porn sites on the machine. 
			- Fixing the problem was simply a matter of redirecting the sub-domain to one of the two remaining servers and telling it to display the <a href="http://hosting.opml.org/dave/podcasting.opml">OPML file</a> for the directory.
		- Today's links
			- <a href="http://www.artima.com/weblogs/viewpost.jsp?thread=208528">Artima</a>: "Combine the power of Python with the polish of Flash to create a desktop application."
			- Rolling Stone: <a href="http://www.rollingstone.com/news/story/15137581/the_record_industrys_decline?source=music_news_rssfeed">The Record Industry's Decline</a>.
			- <a href="http://blogs.opml.org/amyloo/2007/06/18#oneLifePerCongressperson">Amyloo</a>: "We should present each congressperson with the bios and pictures of our dead during the funding cycle, and ask which snuffed-out life they'd like to claim for personal sponsorship."
			- <a href="http://www.wordyard.com/2007/06/19/semel-yahoo/">Scott Rosenberg</a>: "To this outsider, Semel doesn't appear to have been the Hollywood idiot some now see."
			- <a href="http://tba2007.confabb.com/conferences/tba2007/details">Take Back America</a>, a conference of presidential candidates today in Washington, is powered exclusively by Confabb, a company I am an investor in. 
	- June 18
		- Today's links
			- News.com: <a href="http://news.com.com/8301-10784_3-9730999-7.html?part=rss&subj=news&tag=2547-1_3-0-5">Yahoo's Semel steps down, Yang takes over</a>.
			- <a href="http://yodel.yahoo.com/2007/06/18/my-new-job/">Jerry Yang blogs</a> about the <img src="http://farm2.static.flickr.com/1418/566330543_34f40f968c_o.gif" width="28" height="11" border="0"> Yahoo!
			- A 1999 picture of <a href="http://flickr.com/photos/scriptingnews/563366692/in/photostream/">Scoble 2.0</a> at age 5.
			- Jeremy Toeman: <a href="http://www.livedigitally.com/2007/06/18/uspto-launching-p2p-patent-review/">USPTO launching P2P patent review</a>.
			- <a href="http://flickr.com/photos/scriptingnews/565652122/">My first software review</a> was in the NY Times, in 1983.
			- <a href="http://blog.broadbandmechanics.com/2007/06/its-a-lifestyle-thing">Marc Canter enjoys</a> the relaxed lifestyle of Trieste.
			- <a href="http://www.kottke.org/07/06/ratatouille">Kottke reviews Ratatouille</a>. Sounds like a good movie!
			- <a href="http://www.pcmag.com/article2/0,1895,2147572,00.asp">Dvorak</a>: "Wake me when Matlock comes on."
		- Another networking puzzle
			- <img src="http://farm2.static.flickr.com/1136/565859782_13e737d2d7_o.jpg" width="85" height="164" border="0" align="right" hspace="15" vspace="5">After all the michegas about <a href="http://www.scripting.com/stories/2007/06/13/iDontBelieveInTheDeathPena.html">AT&T</a> last week, I decided to order a second Internet connection. I was pretty happy with their high speed DSL, but if they're going to gang up on customers with the record industry, I want to be sure I have an exit planned out.
			- So I ordered a Comcast network interface. It should arrive in a few days.
			- The question is can I have both network interfaces running on the same LAN?
			- I was thinking if I plug the Comcast box into a G4 desktop that has two Ethernet jacks, while the other is plugged into the big <a href="http://www.amazon.com/Netgear-ProSafe-16-Port-Gigabit-Desktop/dp/B00023DRLO/ref=sr_1_1/104-4862968-5881555?ie=UTF8&s=electronics&qid=1178563154&sr=8-1">switch</a> I bought <a href="http://www.scripting.com/stories/2007/05/07/iLoveWritingReportsLikeThi.html">a few weeks ago</a> (and it's working great, btw) that's connected into the DSL line, that somehow all my computers would be on both nets at the same time? 
			- I figured some of the network gods tuned into this station may have some ideas.
			- Is there any way to make use of two net connections on one LAN? Or does it necessarily mean two separate local nets?
			- Comment <a href="http://scripting.wordpress.com/2007/06/18/scripting-news-for-6182007/#comments">here</a>, please.
			- And sorry for destroying our culture, Andrew. ";->"
		- Driving test
			- I have to take a written driving test tomorrow. They have <a href="http://www.dmv.ca.gov/pubs/interactive/tdrive/exam.htm#sample">example tests</a>, which is useful. I've never failed one of these tests, but I'm getting a fair number of the practice questions wrong. 
			- One thing that's really cool about the <a href="http://www.dmv.ca.gov/fo/offices/fo.cgi?fo=oakland504">DMV site</a> is they <a href="http://farm2.static.flickr.com/1262/566129541_a884967c4e_o.gif">tell you</a> what the current wait time is at the local office, and other nearby offices. It's been a long time since I've been to a California DMV.
			- BTW, according to Andrew Keen, posts like this are ruining our culture. Sorry for that. 
	- June 17
		- It's time to open up networking, again
			- <img src="http://farm2.static.flickr.com/1002/561156846_893daed157_o.jpg" width="94" height="240" border="0" align="right" hspace="15" vspace="5">Last week I had a meeting with a serial entrepreneur who's working on a new company whose product is a calendar for social networks, or a social network of calendars, depending on which thread you pick up. It's basically a good idea, a no-brainer, because time and networking relate to each other. I have relationships with individuals, or any group of people I choose to meet with. Of course systems can work better if there's a way to express those relationships.
			- Earlier today I signed up for a service a friend works for, to try it out and give feedback. It's the 20th new service I've signed up for in the month of June (I made up the number, I don't know how many I've signed up for, but it's not far from 20). Every time I sign up, I have to enter the same pieces of information. We all know the drill, we all do it. There is even a social <a href="http://www.google.com/search?q=identity+workshop">network</a> of people who meet a few times a year to discuss this, but progress comes slowly, if at all.
			- Everyone is going ga-ga over Facebook, but like the people who hold out on Twitter, I'm not ready to give my life to a service that <a href="http://images.scripting.com/archiveScriptingCom/2007/05/29/howdoyouknow.gif">views me</a> as a college student. My relationships are adult relationships. Okay, I probably won't even use Facebook when they offer me some realistic choices on labels for the arcs that connect me with people in my network, because what we really need is an <i>architecture</i> that allows anyone to add a tag to an arc, the same way we add tags to pictures on Flickr. 
			- <img src="http://farm2.static.flickr.com/1168/561600695_e0431ecb3d_o.jpg" width="125" height="135" border="0" align="right" hspace="5" vspace="1">All these things point in one direction, esp Facebook. Closed systems are fine in the early stages of a new technology. They're the training wheels for a new layer of users and uses. But, as we always see, the training wheels eventually come off, explosively, creating new systems that throw out the assumptions of the old. Oddly, I think this is what's really behind the <a href="http://www.scripting.com/stories/2007/06/17/theNextBigThing.html">Fred Wilson thread</a>, it has little to do with the age of the people, and has more to do with the age of the technology. (The personal computer was "invented" by a group of people, with wide ranging ages. Bill Gates was a teen, but many of the other people were adults. How old were Chuck Geschke, John Warnock and Paul Brainerd when Desktop Publishing came online? Tim Berners-Lee was in his 30s when he created the web.)
			- Eventually, soon I think, we'll see an explosive unbundling of the services that make up social networks. What was centralized in the form of Facebook, Linked-in, even YouTube, is going to blow up and reconstitute itself. How exactly it will happen is something the historians can argue about 25 years from now. It hasn't happened yet, but it will, unless the rules of technology evolution have been repealed (and they haven't, trust me).
		- The next big thing
			- Re the current thread about entrepreneurship and aging...
			- 1. I think <a href="http://avc.blogs.com/a_vc/2007/06/the_age_questio_1.html">Fred Wilson's</a> intentions are good. 
			- 2. I think it's great that VCs have blogs now, so they can post ideas like the one he did, so we can respond to them, and hopefully figure out how to bridge the gap between our understanding of the world and theirs.
			- 3. I am <u>not</u> the entrepreneur I was in my 20s, and that's where I'd like to begin today's story.
			- When I was young, I had an incredible drive to prove myself and that caused me to invent something new, want to use it to change the world, and made it possible for me to go through some horrible stuff to make it work. Really horrible stuff. 
			- Once, I remember having a thought, at work very late at night, the ony person in the office (I had been the first in the office that morning too) wondering what my last day at Living Videotext would be like. I couldn't visualize it. I was so dug in, so committed, and the situation was so hopeless, I just couldn't see a positive outcome. But in my 20s, I didn't give up. I kept going.
			- Later, when my board of directors, most of whom were a generation older than me, told me to shut the company down, I told them to fuck off. I knew I had a hit product in the pipe, we just had to get through a couple of months of hell and then the sun would shine. (BTW, thanks to Guy Kawasaki, a VC who blogs, for believing in me, and helping us dig out of that hole.)
			- <a href="http://www.scripting.com/stories/2007/06/16/iDidItAnyway.html"><img src="http://farm2.static.flickr.com/1429/561083633_c3070bf086_o.jpg" width="83" height="194" border="0" align="right" hspace="15" vspace="5"></a>Today's Dave would never do any of that. I would give up long before I made my investors their 20x return. Fred's theory is correct, when applied to me. I am a cashed out 50-something ex-entrepreneur. But the problem with Fred's theory is that it flushes away the biggest opportunities in front of him, the ones that could make him an investor in the next Apple, Nikon, CNN or Sony -- <i>at their startup.</i> All it takes is a little flexibility. In other words, our pair of posts present an opportunity to close a big gap, and create a new kind of entrepreneurship that takes advantage of the power of youth, and also takes advantage of the rarest of things, a 50-something person who has spent a life studying creativity, and knows how to keep the wheels moving, even if experience has taught him some very hard lessons about what to try and what not to try (in other words Clay Shirky's thesis is correct too, even though it's only a sliver of the whole picture).
			- Here's a challenging question. If age is such a killer, why is today's Steve Jobs doing so incredibly well, where the young Steve Jobs shipped a loser (Lisa), then an almost loser (Mac) which was saved over his objections (he had some very wrong ideas about users and stubbornly held to them) and then was either fired or quit in a rage (depending on whose story you believe). Today, people seriously consider the possibility that Jobs's vision of the future may prevail over Gates's. I only use Macs these days. Did I think that would be possible, even five years ago? Never. So did we underestimate Jobs? Absolutely! The 50-something Steve Jobs disproves Wilson's hypothesis.
			- <a href="http://en.wikipedia.org/wiki/Macintosh_128K"><img src="http://farm2.static.flickr.com/1229/560855166_1f8a550a17_o.jpg" width="95" height="111" border="0" align="right" hspace="15" vspace="5"></a>Me, I'm discovering not only new ideas that are world-shakers, at an incredible pace, but I'm also learning how to make them work in the real world in ways I never could have before. In the 80s, with all my focus and intensity and will to succeed, I only managed to make a modest success, and when we flipped the company, the products died shortly after I left. I suspect that will be true of many of today's flips as well. 
			- But in my 40s, I learned how to make three things work, all non-commercial, but all huge, and all will eventually create commercial opportunities and wealth for people like Fred Wilson. And in the last year, I have openly proposed four more ideas that I believe are all world shakers, each of which could turn into an Apple-sized company, and while I would never volunteer to be the CEO of the company (I'd leave that to a younger person) I would like to play a key role, akin to that of a producer or a director of a movie or HBO series, in the creative side of the work. That's where a guy like me shines. And if there had been a better talent system when I was younger, I would have been cast in that role then too.
			- <img src="http://farm2.static.flickr.com/1299/560863098_bc76968dc2_o.gif" width="85" height="114" border="0" align="right" hspace="15" vspace="5">So maybe that's the point. Maybe this is the beginning of a conversation that can last a few years (long blocks of time are something older people understand much better than younger people). I've sure had my complaints about venture capitalists. Now we're hearing their complaints about us. Does Fred have an open enough mind to consider <a href="http://www.flickr.com/photos/scriptingnews/87587076/">Hypercamp</a>, <a href="http://www.scripting.com/futureNews.html">Checkbox News</a>, <a href="http://news.bbc.co.uk/1/hi/technology/6748103.stm">Podcast Player</a> or <a href="http://www.scripting.com/stories/2007/06/14/newIdeaSocialCameras.html">Social Camera</a> as possibile businesses? Does he know enough young possible CEO types who could contribute their talents to such ventures? Does he have the vision to help create a system that can take advantage of <i>all</i> our talents?
			- BTW, I could never have written a post like this when I was in my 20s. While in my heart I knew the answer was "working together" I didn't know how to actually do it.
		- Thought I'd heard it all
			- <a href="http://doc.weblogs.com/2007/06/17#lightsOut">Doc Searls</a> has an analysis of the end of The Sopranos that's actually new. I thought I had heard every possible angle, and was bored with it. That's why it's good to have a guy like Doc around, he finds something to talk about even when you think it's been talked to death.
	- June 16
		- I did it anyway
			- <a href="http://flickr.com/photos/amberandadolph/19186965/"><img src="http://farm2.static.flickr.com/1113/557336140_e67adddc53_o.jpg" width="83" height="194" border="0" align="right" hspace="15" vspace="5"></a><a href="http://avc.blogs.com/a_vc/2007/06/the_age_questio.html">Fred Wilson says</a> that kids are net natives, and that people over 30 don't invent new paradigms. To say that ticks me off is an understatement.
			- I've been a net native since before I was 20. Yes, I read newspapers growing up, but I also blogged before it was called blogging, and created a lot of the technology that the kids are developing now. Yet I've had arrogant idiotic asshole kids tell me I don't understand the net. Yeah sure. 
			- At this point in my career I'm ready to do the really big ideas, and it sucks that attitudes like the one exemplified by Wilson are in my way. Stop thinking about who <i>can't</i> do what, and start paying attention to who actually does it.
			- I listened to an interview on public radio with one of the founders of YouTube, a young guy. The things he says were new <i>20 years ago.</i> He's a good marketer, and no doubt has attracted the people he needs to build a wonderful system. But he doesn't have all the answers. Sometimes a bit of experience can help, not hinder, progress.
			- In every other creative field people are active into their sixties, seventies or eighties. For some reason in tech we assume people are washed up at 30? Based on what? Marc Andreessen's experience. Hmm.
			- BTW, when I was a kid, the VCs had reasons why I couldn't do it then. I did it anyway.
			- <a href="http://scripting.wordpress.com/2007/06/16/scripting-news-for-6162007/#comment-76576">Rex Hammock</a>, who's my age, weighs in.
			- <a href="http://www.scripting.com/stories/2007/05/29/easyUpgradeToFacebook.html">One more thing</a>, since this thread is about Facebook, why is their network so tone-deaf to the lives of adults? Maybe it's because the kiddies don't have a clue about business relationships, adult sexual relationships, or family relationships more specific than "In my family?" How long does it take to add some checkboxes to a dialog? These are the new heroes? It seems we've set the bar too low.
			- <a href="http://many.corante.com/archives/2007/06/16/the_future_belongs_to_those_who_take_the_present_for_granted_a_return_to_fred_wilsons_age_question.php">Clay Shirky</a> agrees with his friend Fred Wilson that people over 30 don't invent new stuff. 
			- Shirky also said a few years back that IBM would rule in web services. He was wrong then, he's wrong now.
			- <a href="http://www.winextra.com/2007/06/16/thank-you-dave-winer/">Steven Hodson</a>: "To Fred -- kiss my ass."
	- June 15
		- Why no iPhone SDK?
			- <a href="http://scobleizer.com/2007/06/14/steve-jobs-is-not-an-idiot/">Scoble says</a> Steve Jobs isn't an idiot, he knows that developers make a big difference in the success of a platform. He concludes that an <a href="http://en.wikipedia.org/wiki/Software_development_kit">SDK</a>, turning the iPhone into an open platform, will come at some point after the initial release, maybe as early as January 2008.
			- But then there's this angle...
			- <img src="http://farm2.static.flickr.com/1312/552596007_5e79c65325_o.gif" width="105" height="122" border="0" align="right" hspace="15" vspace="5"><a href="http://www.msnbc.msn.com/id/16566968/site/newsweek/page/2/">Steve Jobs</a>, quoted in a Newsweek interview: "Cingular doesn't want to see their West Coast network go down because some application messed up." This explanation has largely been dismissed as a Jobs attempt at <a href="http://en.wikipedia.org/wiki/Reality_distortion_field">reality distortion</a> that didn't work. 
			- But maybe it isn't such a far-fetched idea...
			- There's one application, for sure, that could mess up not just Cingular's West Coast network, but the whole idea of an Internet-capable PDA with wifi that wants to be a conventional cell phone. It's called Skype, and it really worries the phone companies. So much so that they might have made the closedness of the iPhone a condition of working with Apple.
			- Shortly after Apple opens the iPhone, if they ever do, expect a compatible version of Skype to follow shortly after. 
			- But the <a href="http://www.pantheon.org/articles/l/little_dutch_boy.html">finger-in-the-dyke</a> approach may not hold back the flood this time...
			- <a href="http://skype.com/"><img src="http://farm2.static.flickr.com/1118/552396346_93a8dbdfc7_o.gif" width="85" height="85" border="0" align="right" hspace="15" vspace="5"></a><a href="http://news.com.com/Skype,+Wal-Mart+strike+retail+deal/2100-1033_3-6183530.html">News.com</a>: "Wal-Mart is the first major retailer to dedicate a section to Skype equipment."
			- Finally, you gotta wonder why Apple, the <a href="http://www.scripting.com/davenet/1999/07/21/applesAirport.html">pioneer</a> of 802.11 wireless networks, went with such old, expensive, <a href="http://www.scripting.com/stories/2007/06/13/iDontBelieveInTheDeathPena.html">customer-hostile</a> and likely obsolete technology, instead of partnering with Skype, and sticking with businesses they know and have mastered. This might be the mistake of iPhone. 
			- Talking with Scoble yesterday, who says he's going to camp out to buy an iPhone on June 29, I suggested it might not be like buying a Playstation or new version of Windows. Remember, you have to buy a service plan from AT&T when you buy an iPhone, and that involves lots of time. A credit check, options to choose, service plans, etc. It might not be the party everyone thinks it will be.
		- I still love my Blackberry
			- <img src="http://farm2.static.flickr.com/1124/552635595_c96f5da21c_o.jpg" width="118" height="166" border="0">
			- According to <a href="http://crunchgear.com/2007/02/19/blackberry-8820-wifi-tastic/">CrunchGear</a>, the next Blackberry has wifi.
		- Important new Twitter feature
			- <a href="http://flickr.com/photos/scriptingnews/552756467/">The Replies tab displays</a> messages posted on Twitter that are directed to you even if you aren't subscribed to the person who wrote it. Very good!
			- <a href="http://twitter.com/replies">Click here</a> to see your Replies tab (assuming you have a Twitter account).
			- <a href="http://flickr.com/photos/scriptingnews/552756467/#comment72157600366730289">Andy Carvin</a>: "It has an RSS feed." <i>Awesome!</i>
	- June 14
		- New idea: Social Cameras!
			- Here's an idea that came to me while waiting for a train to Genova. I was standing on a platform, across a pair of tracks a man was taking a picture of something in my direction. I was in the picture, the camera seemed to be pointed at me. 
			- I thought to yell my email address across the tracks asking him to send me a copy of the picture. (Assuming he spoke English and I could be heard over the din of the station.)
			- <a href="http://www.flickr.com/photos/scriptingnews/548784903/"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/14/dave.jpg" width="75" height="86" border="0" align="right" hspace="15" vspace="5" alt="A picture named dave.jpg"></a>Then I thought my cell phone or camera could do that for me. It could be beaming my contact info. Then I had a better idea. What if his camera, as it was taking the picture, also broadcast the bits to every other camera in range. My camera, sitting in my napsack would detect a picture being broadcast, and would capture it. (Or my cell phone, or iPod.)
			- Wouldn't this change tourism in a nice way? Now the pictures we bring home would include pictures of ourselves. Instead of bringing home just pictures that radiate from me, I'd bring home all pictures taken around me while I was traveling.
			- Of course if you don't want to broadcast pictures you could turn the feature off. Same if you don't want to receive them.
			- A standard is needed, but the first mover would set it, and there is an incentive to go first because it would be a viral feature. Once you had a Social Camera, you'd want other people to have one. And you'd tell them about it. 
			- Not sure what technology would work best here. Bluetooth isn't fast enough. Is wifi overkill? Maybe a low-power radio transmitter?
			- When I told this idea to a bunch of friends at breakfast they said they probably already have these cameras in Japan. Do they?
			- Personally I think this idea is as good as <a href="http://www.scripting.com/stories/2007/04/23/tvNewsOfTheFuture.html">Checkbox News</a> or <a href="http://www.flickr.com/photos/scriptingnews/87587076/">HyperCamp</a>, neither of which have been done yet, btw. ";->"
			- <a href="http://scripting.wordpress.com/2007/06/14/scripting-news-for-6142007/#comment-75791">Kevin Marks says</a> wifi is the way to go.
		- Gulllp
			- <a href="http://www.scripting.com/2002/06/14.html">Five years ago today</a>: "Lots of non-Internet stuff going on."
			- That was an understatement. ";->"
			- <img src="http://farm2.static.flickr.com/1063/549105106_f0c0073aae_o.jpg" width="105" height="189" border="0" align="right" hspace="15" vspace="5">I choose to remember 6/14/02 as the day I had my last cigarette. On my way to the doctor's office I bought two packs of Marlboro Lights. I smoked one on the way to the appointment. That was the last cigarette. 
			- It was a Friday. I would spend Saturday and Sunday in the hospital, and on Monday I had heart surgery. A life-changing event, for sure. A life-<i>saving</i> event too.
			- Over the years I've written lots about it. As my body recovered from the surgery little victories seemed pretty big. First, a walk down the driveway. Then a five minute walk down <a href="http://maps.google.com/maps?f=q&hl=en&q=425+Manzanita+Way,+woodside,+ca&sll=37.41758,-122.24643&sspn=0.021916,0.033689&layer=t&ie=UTF8&t=h&z=16&iwloc=addr&om=1">Manzanita Way</a>. Then ten minutes, then twenty. My first trip to the city. Dancing with a 6-foot cigarette in my dreams. And on and on. 
			- <a href="http://flickr.com/photos/scriptingnews/550174569/"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/14/iraq.jpg" width="85" height="70" border="0" align="right" hspace="15" vspace="5" alt="A picture named iraq.jpg"></a>I think today is a big milestone in that I didn't remember to look at the calendar until 2PM, and I had to go back to the archive page to be sure I had the day right. I am so not a smoker that I didn't even remember to mark the day until well past lunch.
			- I owe a lot of gratitude to people who helped me get through the toughest part of the recovery. 
			- And I thank Murphy for letting me live another five years. Whew. Think I'll go walk in the hills. ";->"
			- Today's song: <a href="http://youtube.com/watch?v=CbgqM29_ZlA">Respect Yourself.</a>
		- Kudos to Progresso
			- <a href="http://scripting.wordpress.com/2007/06/13/scripting-news-for-6132007/#comment-75454">Vlad</a>: "I'll probably be the only one to make this comment, but it's about time someone noticed the awesome jobs Progresso and Campbell are doing with the gumbo soups."
			- I haven't tried Campbell's, but Progresso's gumbo is an excellent soup. I buy four or five cans whenever I can. True, most markets don't stock them. Good food!
		- BBC piece
			- I wrote a piece for the BBC a few months ago.
			- It's on the <a href="http://news.bbc.co.uk/2/hi/technology/6748103.stm">BBC website</a> today.
		- AT&T, day 2
			- <img src="http://farm2.static.flickr.com/1213/547706463_2deca8c557_o.gif" width="105" height="122" border="0" align="right" hspace="15" vspace="5">Re yesterday's <a href="http://www.scripting.com/stories/2007/06/13/iDontBelieveInTheDeathPena.html">post</a> on AT&T.
			- <a href="http://scripting.wordpress.com/2007/06/13/scripting-news-for-6132007/#comment-75560">Gary Secondino wonders</a> if Apple supports them. AT&T is the exclusive service provider for iPhone.
			- <a href="http://scripting.wordpress.com/2007/06/13/scripting-news-for-6132007/#comment-75610">Jake asks</a> if they might also guard against Slingbox users on behafl of Major League Baseball.
	- June 13
		- I don't believe in the death penalty... for people
			- But I <i>do</i> believe in the death penalty for corporations. 
			- Sometimes they do something so heinous, so unacceptable, that the only just punishment is oblivion.
			- An example: We should have put <a href="http://en.wikipedia.org/wiki/Exxon_Valdez_oil_spill">Exxon to death</a> after their tanker wrecked the ecosystem of a pristine bay in Alaska.
			- <img src="http://farm2.static.flickr.com/1046/545009453_0da96ac6c6_o.gif" width="105" height="122" border="0" align="right" hspace="15" vspace="5"><a href="http://www.techmeme.com/070613/p42#a070613p42">And today</a>, If there were a death penalty for corporations, AT&T may have just earned it.
			- Imagine, they have designs of selling access to movies and stuff over the Internet, so they decide to join with the MPAA and the RIAA to spy on and <i>prosecute</i> their customers. 
			- What a lack of awareness of their relationship with customers. They should do things to <i>reward</i> customers for being smart enough to have chosen AT&T as their Internet service provider. Instead, they would make their customers the stupidest people on the planet, choosing the only ISP that will send you to jail to create a new business model for them. Instead of competing to provide great service at the lowest possible price, they want to drive their customers to financial ruin, for having made the mistake of choosing AT&T.
			- AT&T -- a company that doesn't deserve to live.
			- <a href="http://doc.weblogs.com/2007/06/13#dearAtamptPleaseGoToHell">Papa Doc</a>: "Kinda gives ya the warm scuzzies, huh?"
		- Sopranos finale screen shot
			- <a href="http://flickr.com/photos/scriptingnews/544968874/"><img src="http://farm2.static.flickr.com/1345/545118959_7bacdcbd6f_o.jpg" width="325" height="156" border="0"></a>
		- Apple & developers
			- <a href="http://daringfireball.net/2007/06/wwdc_2007_keynote">Daring Fireball</a>: "Perhaps it's playing well in the mainstream press, but here at WWDC, Apple's 'you can write great apps for the iPhone: they're called web sites' -- message went over like a lead balloon."
			- <img src="http://farm2.static.flickr.com/1094/544370431_e171d50fbe_o.gif" width="45" height="138" border="0" align="right" hspace="15" vspace="5">Read the whole piece about how developers are reacting to Apple's news at WWDC this week, and consider another theory to explain what's going on.
			- Apple makes a lot of software that developers used to make. Over time they'll make more. And while that's going on they're becoming more of a consumer products company and less of a computer company. How does that translate for developers? The platform is less important and the package is more important. What the consumer gets out of the box matters. The ability to make a phone call, or listen to music or get directions to a restaurant. But run some random app that someone other than Apple made? There's not much demand for that with users.
			- How do I know? I've been there. When Apple made very little of the software people used, I still had a hard time explaining to people I met on airplanes or ski lifts, generally well educated people who used computers, that I didn't work for Apple, that I was an "independent developer." What's that. 
			- <a href="http://www.scripting.com/stories/2007/03/26/myFavoriteNewSoup.html"><img src="http://farm2.static.flickr.com/1242/544272080_5ccf165c12_o.gif" width="105" height="157" border="0" align="right" hspace="15" vspace="5"></a>Apple doesn't open up the iPhone because they don't have to and they don't want to. The security argument is bogus. Skype runs <i>only</i> on computers that are wide open. The phone is just one app, as it is just one app on the iPhone. And Apple has some special understanding of security? Well, that was disproven quickly after Safari shipped for Windows, holes were discovered <a href="http://www.betanews.com/article/Day_One_for_Safari_for_Windows_Becomes_ZeroDay_Nightmare/1181661606">within hours</a> of its release. No it's not security, it's a shift in positioning. Apple didn't come prepared this year for WWDC because it's not a computer company, and they don't need a developer community.
			- Which of course is a total shame and utter waste because they have one of the best, if not the best, developer communities in existence. Surely <i>something</i> could be done with all that motivated talent that effectively works for free for Apple? 
		- Mahalo has a community program
			- <img src="http://farm2.static.flickr.com/1365/543916154_5841b78fa2_o.jpg" width="107" height="79" border="0" align="right" hspace="15" vspace="5"><a href="http://www.calacanis.com/2007/06/13/mahalo-greenhouse-launches/">Jason Calacanis announced</a> earlier today that <a href="http://www.mahalo.com/">Mahalo</a> now has a way for people who aren't on their payroll to create and maintain pages on their <i>human-powered search engine.</i> Each author and page has to be approved by one of his staffers. Authors get between $10 and $15 per page. Not sure what tools they have, or what protocols they support (that's what interests me most right now).
			- But $15 seems like not very much money. Do a little math to see how many pages you have to write to make a living. Suppose an employee costs $100K per year after benefits, that means they must do 6666 pages per year. If a book has 300 pages, then a Mahalo staffer would have to write 22 books a year to earn a fairly modest salary. All this is assuming that there is no disparity, that internal authors are paid the same as external ones.
			- <img src="http://farm2.static.flickr.com/1226/543923744_17e483c789_o.gif" width="82" height="150" border="0" align="right" hspace="15" vspace="5">I don't see why people should line up to do this work? I mean, I understand why Jason wants them to do it (he puts ads on the pages). But what value do they provide to authors? I suppose at some point there is flow, but you're not allowed to spam them, so it's just a good feeling that you're helping people? But isn't Jason going to get a personal jet if this thing is successful? Seems like a bit of a <a href="http://en.wikipedia.org/wiki/Plantation">plantation</a> to me. 
			- Yes, he's flowing some of the money to Wikipedia, but isn't it obvious that he's wanting to <i>displace</i> Wikipedia's position in Google. Search for almost anything on Google and you'll find the Wikipedia page either at the top or very near the top. Today Mahalo is nowhere, but Jason, the kickass promoter that he is, plans to change that! ";->"
			- So, I don't understand the business of Mahalo, although at a technology level though, I do, and have some ideas. Basically everything we've done with the OPML Editor applies. I'm going to ask Jason for some money to develop the editor (it's an open source project after all, and he's got lots of VC money) so we can put together a great editorial toolkit for Mahalo authors both internal and external, and leave it to him and others to figure out the economics.
			- <a href="http://scripting.wordpress.com/2007/06/13/scripting-news-for-6132007/#comment-75109">Christian Burns</a> has a theory about the economics.
			- <a href="http://scripting.wordpress.com/2007/06/13/scripting-news-for-6132007/#comment-75345">Brian Benz</a>: "Anyone who has written a technical book with a traditional print media publisher will recognize these numbers."
		- Video recording is a felony?
			- <a href="http://blog.pennlive.com/patriotnews/2007/06/brian_d_kelly_didnt_think.html">Patriot-News</a>: "Brian D. Kelly didn't think he was doing anything illegal when he used his videocamera to record a Carlisle police officer during a traffic stop. Making movies is one of his hobbies, he said, and the stop was just another interesting event to film. Now he's worried about going to prison or being burdened with a criminal record."
	- June 12
		- New scanner arrived today
			- Click on the pic for the Amazon page.
			- <a href="http://www.amazon.com/Canon-1307B002-CanoScan-CS8600F/dp/B000HDQ2FW/ref=pd_bbs_sr_1/104-0619295-2952700?ie=UTF8&s=electronics&qid=1181673448&sr=8-1"><img src="http://farm2.static.flickr.com/1103/542646500_c97ea61ed0_o.jpg" width="225" height="108" border="0"></a>
			- Aside: I'm now using Flickr to store all the little pics on Scripting News. As before I just drop them in a folder that my script is watching, and when it sees a new pic, it uploads it and puts the HTML for the image in a little <a href="http://flickr.com/photos/scriptingnews/542760683/">window</a> for me to copy/paste.
			- Later: The scanner is here. An <a href="http://flickr.com/photo_zoom.gne?id=543134109&size=o">example</a> of a scan.
			- <a href="http://flickr.com/photo_zoom.gne?id=543134109&size=o"><img src="http://farm2.static.flickr.com/1175/543134109_88e748ad33_t.jpg" width="77" height="100" border="0" alt="Example of color scan" /></a>
		- David Bianculli on the Sopranos finale
			- Fresh Air TV critic has a <a href="http://www.npr.org/templates/story/story.php?storyId=10936209">great summary</a> of how fans view the Sopranos finale. 
		- Just saw an iPhone ad on CNN
			- <a href="http://www.flickr.com/photos/scriptingnews/543002213/"><img src="http://farm2.static.flickr.com/1307/543002213_a228c96b1d_o.jpg" width="105" height="189" border="0" align="right" hspace="15" vspace="5"></a>And it's good. Really good.
			- Here's how it goes...
			- Narrator: "You're watching Pirates of the Caribbean (on AppleTV of course), and someone says they'd like calimari."
			- The user clicks a button. Google Maps comes up. Click. A keyboard comes up. Types C-A-L-A-M-A-R-I. Enter.
			- Pushpins appear on the map. (The phone knows where you are?)
			- The user touches a pin. A small card with a phone number pops up. Clicks the number. The phone dials. Hello, please send over some calamari.
			- It's a subset of the <a href="http://www.youtube.com/watch?v=3WdS4TscWH8&eurl=http%3A%2F%2Fwww%2Egoogle%2Ecom%2Fsearch%3Fq%3Dknowledge%2Bnavigator%26ie%3Dutf%2D8%26oe%3Dutf%2D8%26aq%3Dt%26rls%3Dorg%2Emozilla%3Aen%2DUS%3Aoffi">Knowledge Navigator</a> without the <a href="http://farm2.static.flickr.com/1262/543014293_6902aace7d_o.jpg">guy</a> in the bow tie.
			- Quite compelling. My Blackberry can't do it. Okay maybe I just decided to buy one.
			- Ooops. ";->"
			- PS: <a href="http://scripting.wordpress.com/2007/06/12/scripting-news-for-6122007/#comment-74787">Rich Karpinski says</a> my Blackberry can do it, and iPhone doesn't have GPS. At least it's a good ad.
			- PPS: <a href="http://www.apple.com/iphone/ads/ad3/">The ad</a> is on the Apple site, along with <a href="http://www.apple.com/iphone/ads/">all the others</a>.
		- Party fire pit
			- I tried to post a <a href="http://blip.tv/file/263485">movie of a fire pit</a> at a party I went to last night, but YouTube doesn't seem to like it. So I put it on blip.tv. That's better. ";->"
	- June 11
		- It's true, bloggers *can* be mean
			- <a href="http://www.nytimes.com/2007/06/11/business/media/11scooter.html?ex=1339214400&en=c55201bd7d37e2d7&ei=5088&partner=rssnyt&emc=rss">NY Times</a>: "The lawyers for I. Lewis Libby Jr. last month invoked the rarely used courtroom tactic: the 'bloggers can be mean' defense."
		- The Sopranos aftermath
			- Got a call from my mom today, she watched the Sopranos finale, like everyone. When the phone rang I fumbled with the Blackberry, hit a wrong key and disconnected the call. I tried calling back while she left a voicemail, and all the while I got more anxious that someone in the family had died or was horribly sick, and the more time went by the more sure I was and the more prepared I was for something horrible.
			- Call it Post-Traumatic Sopranos Stress Disorder. 
			- An unresolved mass of stress, the feeling of sickness that comes from a huge buildup and letdown.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/11/fu.gif" width="75" height="60" border="0" align="right" hspace="15" vspace="5" alt="A picture named fu.gif">People say this was the best series ever, well no it wasn't, it turns out. It could have been, had it been building to some kind of ending. Who cares if it was cliche. The end of The West Wing was cliche. The President and President-elect ride in a limo to the Capitol steps. The new President takes the oath, gives his inaugural speech. The old President takes his last ride in Air Force One. Thinks about the rest of his life, and we go there with him. It's why we watch dramas, to experience a richness that life doesn't offer. It wasn't supposed to be realistic, it's fantasy, fiction, drama. Go ahead and schmaltz it up, that's what we want and expect. 
			- Rome was pretty good. Six Feet Under was great. The West WIng did it right. The Wire hasn't finished yet, but I bet they'll do it right, same with Entourage. The Sopranos was a mess, and it ended in an unsatisfying cop-out. 
			- In this age of blogs, podcasts, unconferences and level playing fields, it's sometimes nice to just be in the audience. Let someone else do the work. Relax and reach deep inside our emotional being, and yank out something beautiful or horrible, and have a look. 
			- Our lives can be pretty mundane. Please, give us some inspiration, some drama on TV. 
		- The story of encoding
			- Which <a href="http://www.scripting.com/98/04/stories/theLastChickenAndEggJoke.html">came</a> first, the platform or the developer?
			- It's like the chicken and the egg, they both have to exist at the same time in order for either to exist. A paradox, that's resolved by evolution. 
			- Before there could be <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a>, there had to be <a href="http://www.w3.org/XML/">XML</a>, a language for expressing data in a way that both computers and humans can read. The great thing about XML is that if the techies are careful, anyone with a little time and intelligence can understand what they're doing. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/11/chicken.jpg" width="85" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named chicken.jpg">But XML couldn't have happened until there was a way to <i>encode</i> alphabetic characters, the letters A through Z, numeric characters, 0, 1, 2, 3, 4, 5, 6, 7, 8 and 9, and "special" characters like parentheses, commas, question marks, etc. Encoding is how you take something that a human can read and convert it into something a machine can read, a language called "binary." While some humans can read binary, if they try hard, almost no one <i>wants</i> to read it, because it is so cumbersome and verbose. 
			- There are only two letters in the alphabet of the binary language, 0 and 1. So a number like 27 is expressed in binary as 11011. My name Dave is ridiculously complicated in binary: 01000100 01100001 01110110 01100101. (I did the conversion in my head, so there are probably mistakes. And I added the blanks so if you want to check my work, it won't make you go blind. But the blanks aren't part of the binary language.)
			- Hopefully, you can see why the smart people who invented "encoding" did so. It's much easier to write \"Dave" than all those 1s and 0s! How would you remember them? And would your eyes be able to quickly recognize the string of 1s and 0s as the sounds your mouth makes when you say my name? It was invented to make life easier, and it does.
			- <a href="http://en.wikipedia.org/wiki/Punch_card"><img src="http://farm2.static.flickr.com/1244/541142725_d1fb1e5f61_o.jpg" width="125" height="271"border="0" align="right" hspace="15" vspace="5"></a>This encoding stuff was invented before I was born, when information for computers was stored on cards made of the same stuff as file folders, and to record a bit of data, you'd punch a hole where you wanted a 1 and not punch one where you want a 0. Long before there were iPods, disks, thumb drives or even magnetic tape, there were specialized computers used by the government and business that recorded information on mountains of these punched cards.
			- And of course, there was more than one way to encode the data. So the cards that could be read by National Cash Register's computers couldn't be read on machines made by Burroughs or UNIVAC. The companies sometimes deliberately set it up this way so their customers couldn't switch. Once they had you they didn't want to give you up. (This is called lock-in. Today's computer companies do it too.)
			- So there were wars about how to encode data, not wars with guns and people dying, but economic wars, with users caught in the middle. The users would prefer to have choice, so they would have more money to spend on other things, or increase their profits, or allow them to do more with the same amount of money. Eventually the wars ended, leaving us with a confusing mishmash of ways to encode bits, it's more complicated than anyone wants it to be, but things work as long as you do them the way we do them in America on IBM-compatible equipment, and of course people in other countries don't like that. That's why sometimes when you display a document that was written on a Mac in Italian on a PC that's used in Korea, you see lots of junk on the screen instead of letters that make sense.
			- We could spend a lot of time arguing about why that happened, but every reasonable person agrees it's not a good thing. 
		- At least he's consistent
			- <a href="http://www.flickr.com/photos/scriptingnews/112132322/"><img src="http://farm2.static.flickr.com/1346/541464860_684c214b7a_o.jpg" width="100" height="75" border="0" align="right" hspace="15" vspace="5"></a><a href="http://www.tbray.org/ongoing/When/200x/2007/06/10/So-Lame">Like Tim Bray</a>, I've seen this movie.
			- I don't know if Dare Obasanjo makes valid criticisms of a technology that Tim co-created, but instead of responding to Dare's technical points, Tim makes Dare's personality the issue. I've seen him do it before, he's even done it to me. 
			- I don't always agree with Microsoft (Dare works at MS), and of course I'm scared of them, but I'm scared of Google too and at one point Tim's <a href="http://www.sun.com/">employer</a> threw its weight around in fearsome ways, but come on, keep the personal attacks out of it. 
			- And to Dare, my sympathies. 
			- PS: Microsoft fully supported RSS when it was just past its tipping point, so Tim's historical argument doesn't really wash. If APP were really ready for everyone to use it, I'm sure MS would be on board.
		- Apple browser on Windows
			- Apple announced today that Safari will be available for Windows. Allrighty. I can't imagine the Windows world will care much, but I bet the malware writers are taking note.
			- A new attack vector. So is Apple's security better, or are they just untested. Maybe we'll find out now.
		- Have a latte
			- <a href="http://www.flickr.com/photo_zoom.gne?id=541090198&size=o"><img src="http://farm2.static.flickr.com/1337/541090198_3cebffb98b_o.jpg" width="95" height="156" border="0"></a>
	- June 10
		- Brief comment on Sopranos finale
			- Okay, I saw the finale at 6PM, the east coast feed.
			- I don't want to spoil it, but if you saw it too, you'll understand my <a href="http://www.flickr.com/photos/scriptingnews/539818996/in/photostream/">one word comment</a>.
			- Jeff Jarvis <a href="http://www.buzzmachine.com/2007/06/10/sopranos/">thought</a> it was an appropriate end.
			- <a href="http://www.buzzmachine.com/2007/06/10/sopranos/#comment-351152">Interesting theory</a>. The blackout at the end was Tony's death. Remember the conversation with Bobby in episode 1. It is interesting, and tempting, but the show was never shot in the first person, not from Tony's point of view. It seems if Tony was killed, we'd see it, even if he didn't.
		- More Flickr API stuff works
			- Here's an image that was uploaded through the API, and was <a href="http://www.flickr.com/photos/scriptingnews/539319886/in/photostream/">located</a> through the API.
			- <a href="http://www.flickr.com/photo_zoom.gne?id=539372113&size=o"><img src="http://farm2.static.flickr.com/1314/539372113_5558c06926_o.jpg" width="232" height="301"border="0"></a>
		- It works!
			- Man, that was a lot harder than I thought it was. 
			- Flickr chose to use a multipart forms to upload pictures, and my knowledge of those is pretty rusty. I've only used them in programs once, and that was in 1999, when we were working on Manila. The docs on the web on stuff like this really suck, but I stared at it long enough and took a long break, and got it to work.
			- <a href="http://flickr.com/photos/scriptingnews/539078796/">So my screen shot</a> was uploaded by the code that the screen shot made possible.
			- How about that!
		- I love this shit, I admit it
			- I've wanted to play with the <a href="http://flickr.com/services/api/">Flickr API</a> for quite some time, so I woke up in the middle of the night (my body clock is still in Europe) and dug into the docs, which are pretty dense, but they make sense if you take it a step at a time.
			- As a result I've now got the OPML Editor authorized to talk to Flickr on my behalf, and of course it's coded in such a way that it'll work for all users of the OPML Editor (and Frontier and Radio) once the code is released.
			- I have some apps in mind, but as usual, this glue is there to make it possible for others to build on the connection, much as we connect with Google, Amazon, Wordpress and other Internet-based services. 
			- I spent a bunch of time talking with friends in Europe about connecting our desktop environment with web services in this way. It's a callback, to the early part of the decade when I was excited about all these things that now are starting to mature. Yeah, I took a few years off, but the lights are coming back on. 
			- What am I working on, well recent experience has taught me it's better to hold my cards a little closer to my chest. There are people who think I am working for them, but it's time for me to be working for me. Tired of being other people's business model. Actually more like fed up with it. ";->"
			- You'd be surprised at how rich some of the people are who think I like to work for free while they make millions from my work.
			- Anyway, I'll have a screen shot of Flickr working with the OPML Editor once I have code that uploads the screen shot to Flickr. In programming we call that one of two things: 1. Recursion or 2. Eating the dog food. 
	- June 9
		- Sopranos speculation
			- <a href="http://www.hbo.com/sopranos/"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/09/liberty.jpg" width="105" height="223" border="0" align="right" hspace="15" vspace="5" alt="A picture named liberty.jpg"></a><i>Warning -- spoilers follow. If you aren't caught up with the series, be forewarned. </i>
			- Tomorrow is the <a href="http://www.hbo.com/apps/schedule/ScheduleServlet?ACTION_DETAIL=DETAIL&FOCUS_ID=637002">finale</a> of The Sopranos, and like many other people, I'll be glued to my set at 9PM anxious to find out how the series ends. I've read lots of speculation from lots of reviewers and bloggers, and I'm speculating too, but I think some of the obvious choices are very unlikely, at least I hope they are.
			- Everyone says not to expect every loose-end to be tied up, don't expect the series to end with a feeling that you know how every plot line finishes. The Sopranos is not <a href="http://www.hbo.com/sixfeetunder/episode/season5/episode63.shtml">Six Feet Under</a>, a series with the most satisfying completion ever. And The Sopranos is not <a href="http://en.wikipedia.org/wiki/Goodfellas">Goodfellas</a>, I don't believe (as some do) that Tony will end up a schnook in Utah or suburban Seattle, working a straight job. And I don't see Carmella driving a Toyota and wearing clothes from Banana Republic.
			- What other choices are there? Well, Tony could end up boss of NY, tracking down <a href="http://en.wikipedia.org/wiki/Phil_Leotardo">Phil Leotardo</a>, and killing him. That would be satisfying, even if Tony is depraved, as the writers keep reminding us, at least he's the top depraved bad guy. 
			- Or Tony could end up dead. I think that would take guts and I think it would be right. Why is it right for Tony to die? <a href="http://en.wikipedia.org/wiki/Adriana_La_Cerva">Adrianna</a>. I feel she is the central character of the show, more than Big Pussy, or Ralph Siparetto, or Janet's fiancee or Tony's cousin Tony, or Christopher. Adrianna is pivotal because her death proved for sure that Tony really is evil, without a redeeming quality, a pure gangster, period. Remember that Tony got a crush on Ade just before he told her to go with Silvio to see Christopher in the hospital. Remember how that ended for Ade. If any character had our sympathy, even our love, it was her. And how could you feel anything but rage for Tony when she meets her end, especially the <i>way</i> she meets her end.
			- <a href="http://en.wikipedia.org/wiki/Image:Adriana_La_Cerva.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/09/adrianna.jpg" width="75" height="116" border="0" align="right" hspace="15" vspace="5" alt="A picture named adrianna.jpg"></a>To me, that's the just ending. Tony dies the way Adrianna died. Crawling on his hands and knees, suprised to be about to die, crying and begging to be left to live. There should be a sliver of justice to his death, the same way there was a sliver of justice to Ade's death (she was collaborating with the Feds, but not really, she hadn't ratted anyone out, she was just trying to live, her death was tragic and unnecessary, but Tony had no way of knowing that). 
			- And what about Carmella, who surely knew that Adrianna was killed, and who did it. She's almost said it a half-dozen times. What price does she have to pay for her complicity? 
			- So with Tony gone, and maybe Carmella too, would it surprise us if AJ all of a sudden finds that life makes sense. And I think we're going to see Meadow one more time, and her future will be surprising. I'm pretty sure she survives, based on an interview Jamie-Lynn Sigler did on Fresh Air. (Yes, I really have been paying attention.)
			- How much further out on a limb I can go? What about Paulie? Somehow I think, even with all his flaws, he figures out how to survive. I think Phil dies, and Carmella, and Tony, in that order. I think the kids survive, I don't think Janice becomes the new captain (but it does make some sense, she is a Soprano, after all).
			- And what about Uncle Junior? He hasn't appeared in a long time, and for such a major character, can they leave it at that? Somehow I don't think so.
			- Oh I'm so confused! Will I still be confused on Monday morning? Do I want to have it all sorted out? I don't know, I just don't know. I haven't looked forward to an hour of TV this much since the finale of The West Wing.
			- In summary -- I think Tony dies, and Carmella. Why? They both have to pay for Adrianna.
			- All the while we've been watching Tony get satisfaction when people betray him. In the end, it would be fair for us, the viewers, to get satisfaction because Tony betrayed us. Adrianna was our heart, which he broke by killing her. Silvio is dying in the hospital, and he deserves it. Tony is next. And Carmella can't get off the hook, she has to pay too.
			- Or (sorry) maybe Carmella kills Tony when she finds out for sure that he killed Ade. Hmmm. Then Carmella could live.
		- Patents meltdown
			- <a href="http://www.nytimes.com/2007/06/09/opinion/09lee.html?ex=1339041600&en=22f3d8f9f3cfc921&ei=5088&partner=rssnyt&emc=rss">Fascinating article</a> about patents in today's NY Times.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/09/thumbdrive.gif" width="75" height="185" border="0" align="right" hspace="15" vspace="5" alt="A picture named thumbdrive.gif">Going to Europe was great for creativity. With much of the UserLand mess settled, I've been having thoughts about doing more products, but then things pop up that remind me that it's not as simple as just creating a product and marketing it, there are always people who show up wanting to take what you created for themselves. More so these days than ever before, likely because my track record for creating wealth for other people keeps getting better. 
			- It may be time to just write a book, and smell the roses. To the extent that I come up with product ideas that excite me, just describe them here so someone else can make them. There might be a limit to how much you can create in one career, because as the parasites become more clever, my energy declines, as does my ambition. 
			- But then articles like this one in the Times come along and make you wonder whether there's any hope for individuals and small companies, for anyone, not just a person like myself.
		- Political tidbits
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/09/california.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named california.gif">Governor Schwarzenegger can't run for President, but what's stopping a Presidential candidate from assuming the epiphany he had when he realized he could succeed as a politician with a very simple formula. Listen to the people, figure out what they want, and then do it. It's taken him from dismal to resounding support in the electorate, and the confidence that only comes with understanding your job, and how your success will be measured.
			- Which leads me to the "war" in Iraq. The problem is that we bought into the positioning of it as a war. It isn't a war, it's a mess, a debacle, a catastrophe. A war is something where there are two sides, and one wins and the other loses. That's why the President's story about losing or winning is so frustrating. If he wants to play that game, we should pin him down and get him to explain what winning looks like. I know, Iraq becomes an ally in the war on terror, there's the war word again. Of course that isn't a war either.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/09/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">And where are the Democrats? It seems they could learn from Governor Schwarzenegger, and just do what the electorate wants. If they won't we need to get rid of them too. Imho, we don't use impeachment enough in this country. Ultimately it may be the only way we get the attention of our elected representatives. As strong as our system is, we have a weakness, the mechanisms for recall aren't often used. We must get over that. We should start considering impeachment the day a president takes office until they start taking us seriously. Maybe in 20 or 30 years we can relax. But we've let this go too far. The Democrats see the Constitution as an issue of election cycles. It is so much bigger than that. I don't care which party wins the White House when our basic freedoms are in such peril. Impeach Bush and Cheney now and let's get on with it. Let's send a message to the 20 or so Presidential hopefuls that they should pay close attention to what happened and continues to happen in California. If we don't like what you're doing we're not going to wait until your term is up to get you out of the way. Ultimately, you serve at <i>our</i> pleasure Mr or Ms President, and don't you forget it. 
			- Finally, I think the country may be ready for Al Gore and vice versa. I don't see an announced candidate for either party that will get my vote. They're all deeply in bed with the war industry and/or the media industry. Gore is independently wealthy, and while he's maintained his personal relationships in Washington, it seems he's burned his bridges with the industries that quietly pull the strings of politicians in Washington. We just need a little more evidence of his independence before he gets the endorsement of Scripting News.
		- Apache question, day 2
			- I got a few interesting responses to the <a href="http://www.scripting.com/stories/2007/06/08/apacheQuestion.html">question</a> I asked yesterday about file writing to a folder served by Apache on Windows 2000.
			- The only concrete suggestion came from <a href="http://scripting.wordpress.com/2007/06/08/scripting-news-for-682007/#comment-72943">Don Hopkins</a>, who said that turning off automatic file indexing by the OS would cure the problem. I have my doubts since he implied that in his experience the problem clears after a few seconds. As I reported, in my case, the problem only clears after I restart both pieces of software. But I tried it anyway, no need to index files on the server. The only way I'll know if it worked is if the problem goes away. I'll let you know after I update 20 or 30 times.
	- June 8
		- Apache question
			- The server that runs this site is running Windows 2000 and Apache for Windows. My CMS is the OPML editor. I use a desktop tool to communicate with the editor on the server via XML-RPC.
			- When I save the document locally, it sends a copy to the server, where it renders it in HTML and writes a file in a folder that Apache serves from.
			- There are two applications running on the server, one writes into the folder and the other serves from the folder. The first is the OPML Editor, the second is Apache. (There actually are other apps on the server, but I don't think they're part of the problem I'm describing.)
			- This usually works fine, but one in 20 times (or so) there's trouble. When the editor tries to write the file, it gets an <a href="http://images.scripting.com/archiveScriptingCom/2007/06/08/accessdenied.gif">error</a>, saying the file can't be accessed. When you try to access the file in a web browser (the home page of this site) you get an access error. (I'll link in a screen shot next time it happens.)
			- The only way to clear the error is to quit the OPML Editor, restart Apache, and relaunch the OPML Editor. Then it all starts working, until it happens again.
			- My current theory is that the OPML Editor is trying to write the file while Apache is reading it, and somehow this puts both programs into an untenable condition (the latter part is really confusing).
			- So I guess the question is this -- is there any way for an app running on the same machine to lock a file, like a semaphore, to basically wait until Apache isn't using the file, causing Apache to stand by until the semaphore clears. There must be some way to avoid this, other than the manual workaround I've found.
		- I'm an amateur and proud of it
			- There's a headline making the rounds of professional pubs, from CNN to South Africa, saying that bloggers are "infuriated" at being called amateurs. I'm listed as one of these alleged fury-filled people. 
			- Now tell me this, if I was so upset about it, why would I <a href="http://www.google.com/search?q=site%3Ascripting.com+amateur">use the word</a> so often to describe bloggers, including myself? 
			- Eric Auchard of Reuters (normailly, a reasonable guy) is the author. I know, I know, you don't write the headlines, some evil editor somewhere puts them over your words. And you know what, I don't care. ";->"
		- I'm 6 foot 2
			- The bloggers in Milano thought I was a short guy.
			- Not so. In school I was usually the tallest, or tied for tallest, in the class.
			- But I'm a couple inches shorter than Arrington, so if you see me in a picture with him, I Iook shorter.
			- But I've never heard that anyone thought I was short. Kind of funny. Nothing wrong with being short, of course, but I'm tall.
			- So in case you've never met me, I'm two inches taller than 6 feet. What is that in meters? I don't know.
		- Good morning!
			- <a href="http://www.google.com/url?sa=t&ct=res&cd=1&url=http%3A%2F%2Fwww.amazon.com%2FKingston-DTI-4GB-Flash-Drive%2Fdp%2FB000M2GYF6&ei=Qc9pRuf8EIK8gAPgqYHgAg&usg=AFQjCNGQn9NE6rl8w-SIgBvfxQ4sG5rSFg&sig2=wd_FFGABSfhz09-zu2CuTg"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/08/thumbdrive.gif" width="75" height="185" border="0" align="right" hspace="15" vspace="5" alt="A picture named thumbdrive.gif"></a>My motor skills are really sucking, but I got 14 hours sleep, so I'm not drooping-over tired any more. I really wilted at the Powell St BART station, switching to the Pittsburgh Bay Point line. It hit me. I had only slept 3 hours in the last 48. That's some kind of record. Where did all the hours go? I'll figure it out later.
			- In the middle of all the jetlag inspired deleria, I had a thought. Where is the TechCrunch of the auto industry? The Engadget of oil? What about the defense industry? Kitchen appliances? Furniture? Sweaters? Skiing? A constant theme here, when we see the pros blame blogs and Craig for their problems -- "Why didn't you do it first?" Time to ask the question again. These blogs have become professional pubs, and they're raking in big bucks. Okay so you didn't invent the model, but why not compete? Isn't this something you supposedly do well, even better, than us poor amateurs?
		- Buon giorno, Paolo
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/08/flag.gif" width="95" height="63" border="0" align="right" hspace="15" vspace="5" alt="A picture named flag.gif">Paolo, my main Italian host, tells me that his schedule gets all whacked out when I'm in Europe. He expects to see the first new post on Scripting News in the mid-late afternoon. But when I'm in Europe, the first post comes in the morning. Not quite jetlag -- bloglag? I guess things are all sorted out and back to normal for my buddy Paolo, cause it's approx 4PM there now as I boot up, pre-coffee, eyes still fuzzy. Buon giorno!
	- June 7
		- Grazia, buon giorno, immobiliare!
			- So many thanks to my hosts in Copenhagen, and in Italia. 
			- Especially in Genova and Milano, where they have blogger communities that remind me very much of the one in Greensboro I met a few years back. I told them about the strange little city in North Carolina with more bloggers per capita than San Francisco, Cambridge or Sunnyvale.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/07/flag.gif" width="95" height="63" border="0" align="right" hspace="15" vspace="5" alt="A picture named flag.gif">They were so gracious and so well-informed. In both places, they asked me about <a href="http://www.flickr.com/photos/scriptingnews/87587076/">Hypercamp</a>, an idea that I have to admit, no one in California has ever invited me to discuss, to my chagrin. I suggested that Hypercamp was not their next step,  that they ought to try a structured <a href="http://scripting.wordpress.com/2006/03/05/what-is-an-unconference/">unconference</a>, like <a href="http://www.bloggercon.org/iv/format">BloggerCon</a>, with fully empowered and respected discussion leaders who are benevolent dictators, cutting off people who repeat themselves or who promote their products or companies, calling on people with important ideas and perspectives even if they don't have their hands raised, and where there are no presentations, no panels, no speakers and no audience. 
			- They have had a <i>lot</i> of BarCamps, of all flavors, all over the country, and they are looking for the next thing to do.
			- <a href="http://mp3.morningcoffeenotes.com/cnMay12.mp3"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/07/tower.jpg" width="45" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named tower.jpg"></a>I asked that they please consider creating a small subset of their interests on an English-language blog, so we can integrate their work with that of bloggers in the non-Italian speaking world, which is virtually everywhere but Italy. These are very smart, very good, very natural-born bloggers, and it would be great if they could share their enthusiasm and knowledge with all of us around the world. I pointed out that Italy is a popular tourist destination. Wouldn't it be great to have a TouristCamp, where people come from all over the world to taste La Dolce Vita while they work on new ideas and technology for social networking over a plate of delicious Italian food, breathing fresh Mediterranean air?
			- In other words, would Italy like to be our host? All that's standing in the way, imho, is a little international outreach. 
			- More to say, when I get some of that famous perspective that comes from sleeping and walking and breathing, back home in California.
			- Prrrrrego! ";->"
		- Worth considering
			- Salon: <a href="http://www.salon.com/books/review/2007/06/07/rome/">Are We Rome?</a>
		- Pics from Pisa
			- <a href="http://www.flickr.com/photos/scriptingnews/534359461/in/photostream/">Here</a> are the much-delayed pictures from my Tuesday in Pisa. Click back in the sequence to see all 10 pics.
		- Homeward bound
			- My clock is all kablooey again.
			- After the very nice blogger dinner in Milano on Wednesday night, I got a ride with <a href="http://www.gaspartorriero.it/2007/06/cena-con-dave-winer.html">Gaspart</a>, a blogger from Como, to a hotel near the Malpense airport, where after logging in, I got three hours sleep before I had to wake up, shower and get over to the airport to make a 6:15AM flight. 
			- On the way to the airport Gaspart asked what was the most impressive thing I saw in Italy, and I hesitated, explaining that I figure things like that out after I have a chance to walk and sleep and process all the events. But I answered anyway. The ruins of ancient Rome. (And I was thinking the beauty of Italian women.)
			- Anyway when I woke up this morning, it was 7PM Wednesday night in Berkeley. That's important because in a few minutes, when I board the plane to SFO, I'll switch my watch to that time zone. At that time it will be 2AM. I still will have only slept 3 hours in the last 24. 
			- By the time I get to Berkeley, it will be 3PM local time (which is midnight in Europe).
			- Will I sleep on the plane? Should I try? (My guess is not. It would be better to arrive exhausted, and then, again, try to stay up as late as I possibly can, to get my sleeping clock synched up with local time.)
			- But we'll find out.
			- And it's also worth mentioning that KLM said my return reservation had been cancelled and rebooked six times since I arrived in Europe. I had a major panic in Pisa when I saw that my reservation had been cancelled on the KLM website. It took two long calls over two days to get it reinstated, but when I arrived at the airport today in Milan, it was cancelled again. It took a lot of insisting I wasn't going to leave without a boarding pass to actually get one, and they had to issue a <i>hand-written one</i> because the system wouldn't let them print a boarding pass. 
			- Then it occurred to me that it's possible that somehow someone who reads this blog and saw I was returning via Milan, guessed which flight I was on (not too hard, there's only one way to connect from Milan to SFO each day) and it doesn't require a password or mother's maiden name to cancel a reservation. Scary thought. Reading in yesterday's WSJ or IHT (can't remember which) that printed tickets are going to be completely phased out soon, this is not a pleasant thought. Seems they'd better get some kind of identity system going for the online ticketing system before making the full switchover? Not sure about this, obviously. It's totally possible that it was a computer glitch or a leftover Y2K bug that kept knocking my reservation off the system.
	- June 6
		- Services at the Duomo
			- <object width="425" height="350"> <param name="movie" value="http://www.youtube.com/v/1LiM8Pawr8Y"> </param> <embed src="http://www.youtube.com/v/1LiM8Pawr8Y" type="application/x-shockwave-flash" width="425" height="350"> </embed> </object>
		- Buon giorno from Milano!
			- <object width="425" height="350"> <param name="movie" value="http://www.youtube.com/v/1ESwTuT4gWI"> </param> <embed src="http://www.youtube.com/v/1ESwTuT4gWI" type="application/x-shockwave-flash" width="425" height="350"> </embed> </object>
	- June 4
		- Dinners in Genova and Milano
			- <a href="http://paolo.evectors.it/italian/2007/06/04.html#a3283">Paolo Valdemarin</a>, my friend from Trieste and the Frontier community, is hosting a couple of Italian dinners in my honor on Tuesday night (in Genova) and Wednesday night (in Milano), along with Marco Formento, a jovial Genovan who I met at Reboot last week. These are my last days in Europe before returning to America. Of course my jetlag is no longer a problem. Just in time for it to be a problem when I get back home (to my lovely American style bed).
			- If you can join us in either Genova or Milano, please coordinate with Paolo.
			- Buon appetito!
		- Buon Giorno!
			- Amazing how I go to sleep on Monday, and wake up (according to this blog) on Monday!
			- Nine hours time difference, makes it 10:30PM in California.
			- Which gives me a chance to say that I know I've quit smoking because the five year anniversary is coming up in less than a week, and I didn't remember it until I read about it on <a href="http://www.teeerevor.com/?p=7">another blog</a>. ";->"
		- We have small differences
			- We do beds much better than Europeans.
			- They do bathrooms better. In America, public bathrooms have stalls, so your music is available for all to appreciate. And their music is there for you. In Europe each person gets a little room of their own to do their business. Much more user friendly, for everyone. 
			- Except for showers. They make tiny showers. Our showers are human size. Their showers are tiny child-size showers.
			- I haven't figured out what to do with bidets, but they're everywhere in Italy. I imagine they think we're uncivilized because we don't have them. 
			- Italians do public displays of affection better than Americans. Scandanavians seem hard to touch.
			- In general they do food much better than we do. Fast food in Europe is a nice sandwich with fresh ingredients, hand-made. In America it comes wrapped in plastic, filled with preservatives and artificial flavor. A quick meal at a tourist restaurant is filled with flavor and color. The equivalent place in America would not serve edible food. 
			- They eat cheese for breakfast. We eat cheese too, but only melted, on omelettes. 
			- I'm sure I'll think of other things.
		- English phrases everywhere
			- Most Italians don't speak English, not many Americans speak Italian, and most of us are okay. Get into a cab, wave hands, smile, use your fingers for numbers, make big hand gestures, smile some more. You can get by. 
			- But everywhere you look, on billboards, ads on bus stops, store signs, radio programming, there are little snippets of English everywhere. When I see this, I say the words out loud to the cabbie, with a smile, and say <i>English!</i> And I get back a puzzled look. I'm not sure they see that it is English.
			- Remember that next time someone says you have to use a symbol in a program UI, instead of words or an acronym, because people around the world won't understand little phrases in English. It doesn't seem to be true.
		- Christians 1, Ancient Romans 0
			- I didn't get a chance to write up my evening tour which included the <a href="http://www.flickr.com/photos/scriptingnews/529798144/in/set-72157600308400304/">river</a> and Vatican City because of the wifi outage. No problem because the story is very simple. Rome is a place of great beauty, and much of the beauty is Christian beauty, all of the <i>living</i> beauty is Christian. One thing came through loud and clear. The Christians won. The city of the Romans, who were winning for a long time, lies in ruins. The city of the Christians, is alive in opulence. They had plastic chairs in St Peter's Square, where people had gathered for mass earlier in the day. They had plastic umbrellas for sale where the Roman baths used to stand, where Roman senators deliberated. 
		- Program note, a discontinuity
			- I'm writing this on Monday afternoon from Pisa, but the notes are from my brief two-day visit to Rome. 
			- The wifi at the Hotel Plaza, provided by Telecom Italia, flaked out mid-day Sunday, so I couldn't upload pictures from Rome, or any of the notes I took. They appear in today's Scripting News, but they were recorded yesterday. 
			- The wifi in Pisa appears to be great. ";->"
		- All roads lead to...
			- Where I am right now. ";->"
			- This morning (Sunday) it was pouring rain, I was feeling better after a second consecutive night of non-jetlagged sleep in a comfortable bed (I'm in a four-star hotel, very nice), but still fighting a nasty head cold that was creeping down into the chest. I slept in, had breakfast, dressed warm (it's unseasonably cool here), put on my rain coat, left the laptop in the room, and headed out for Vatican City, thinking I'd see the insides of some fantastic churches, where it was nice and dry, and try to seen ancient Rome tomorrow.
			- Well, I made a wrong turn somewhere, and ended up at the home of Caesars and gladiatores, and because it was a drenching rain, it wasn't so crowded, you could actually get around.
			- Flickr photo set: <a href="http://www.flickr.com/photos/scriptingnews/sets/72157600308400304/">Italy June 2007</a>.
			- The scale of the center of ancient Rome is both surprisingly large and suprisingly small. 
			- It's small when you think that for centuries, this was the capital of the western world. It's the size of a small college campus. Smaller than UW-Madison, or Harvard, about the size (or so it felt to me) of Tulane University when I went there in the 70s.
			- The largeness was best expressed by the feeling standing where an emperor could have stood, looking at something that man had created. At that point in time, it wasn't the only such achievement, but it was a 2.0, compared to the earlier capitals. Yes, they stole ideas from the Greeks and the Egyptians, but the scale of their accomplishment, their power, was unparalleled.
			- That was the ancient experience. Walking back from the ruins of ancient Rome, you visit functioning architecture of stunning beauty and modernity but also ancient by the standards of civilization where I come from. But the beauty. Oh man. Of all the sites I saw today, the one that impressed me the most was <a href="http://www.flickr.com/photos/scriptingnews/529587084/in/set-72157600308400304/">Trevi Fountain</a>. But that's with the caveat that I saw only a small fraction of what Rome has to offer. 
			- I came back to dry off, upload pictures, and take a rest (nursing a cold) before going back out again. The sun won't set until 8 or 9PM  and it's ony 3PM, so I should be able to get in a bit more touring before turning in for the night. 
			- This is very good medicine, it seems to me.
			- Oh one more thing, to Sylvia, the hills of Rome are smaller than the hills of Berkeley. Piece of cake for this hiker. ";->"
	- June 2
		- When in Rome
			- Arrived safely in Rome, in the cab on the way to the hotel I saw just the slightest glimpse of the ancient places. Can't wait to see them up close, but first I have to <a href="http://www.flickr.com/photos/scriptingnews/526452101/">eat</a>, then rest. I got a cold in Copenhagen and I'm all clogged up. Health comes first, excitement second!
			- Here's the obligatory net performance test, coming through Telecom Italia wifi at 15 Euros per day, 40 per week.
			- <a href="http://www.speakeasy.net/speedtest/"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/02/romespeed.jpg" width="285" height="50" border="0" alt="A picture named romespeed.jpg"></a>
			- I'm testing it with servers in the U.S. but the results on European servers are suspiciously similar. 
			- Note the asymmetry -- is uploading <i>really</i> faster?
			- Not sure since I don't upload very huge things that often, but I do download huge things like podcasts.
			- Flickr: <a href="http://www.flickr.com/photos/scriptingnews/526452101/">Room service</a>.
		- Amateur is sexier
			- <a href="http://www.nytimes.com/2007/06/02/technology/02porn.html?ex=1338436800&en=be6f728bf4c9ccbd&ei=5088&partner=rssnyt&emc=rss">NY Times</a>: "Inexpensive digital technology has paved the way for aspiring amateur pornographers."
			- The Internet disintermediates everything it touches.
			- It's more interesting because it's real.
	- June 1
		- Tracking net perf at hotels
			- <a href="http://www.buzzmachine.com/2007/06/01/hotel-wi-fi-directory/">Jeff Jarvis suggests</a> we gather a database of the hotels with the best Internet access.
			- <a href="http://www.speakeasy.net/speedtest/"><img src="http://images.scripting.com/archiveScriptingCom/2007/06/01/perf.gif" width="286" height="46" border="0" alt="A picture named perf.gif"></a>
			- Hotel First, Copenhagen, DK.
		- Reboot highlights
			- One of the highlights of Reboot has been getting to know <a href="http://theobvious.typepad.com/blog/2007/06/reboot_highligh.html">Euan Semple</a>. We have a lot of friends in common, so it's not a surprise that we enjoyed each others' company and sense of humor. ";->"
			- Also found <a href="http://www.dogster.com/about/team.php">Ted Rheingold</a> and I have a lot in common. He lives in San Francisco and I live in Berkeley. We had this conversation in Copenhagen, and agreed it made total sense. 
			- Susan Goodwin, executive producer of NPR's Talk of the Nation joined us in an excited conversation about the future of public media. When she discovered I had played a big role in getting RSS going, she blurted out "I love you." I was really flattered, the approval junkie that I am. I said "I love you too." This could be the beginning of a beautiful friendship. Instead of sending roses, I sent a link to a <a href="http://mp3.morningcoffeenotes.com/cn21Feb07.mp3">podcast</a> I did about integrating public radio with what we do.
		- Europe trip phase 2
			- I did an interview with Thomas, the leader of Reboot on stage this afternoon, pumped up on coffee and the great vibes of the people at the conference. This is a very different kind of group, no one is too famous or pushy, and as the conference progressed people got looser and more friendly. 
			- Did anyone record the interview? I'd like to upload an MP3. If so please <a href="http://www.scripting.com/stories/2007/04/02/newMailAddress.html">email me</a>, or post a <a href="http://scripting.wordpress.com/2007/06/01/scripting-news-for-612007/#comments">comment</a>.
			- Now my Europe trip enters phase 2. I haven't really slept since the first day I got here, two nights with 3 hours sleep has left me pretty wasted. Finally I switched to a very comfortable room with a real bed. I will sleep well tonight, then it's on to Rome, then a mini-tour of Mediterranean Italy, then home on Thursday via Milan and Amsterdam.
		- I like Jason, a lot
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/06/01/peterose.jpg" width="95" height="149" border="0" align="right" hspace="15" vspace="5" alt="A picture named peterose.jpg">Jason Calacanis is a good man.
			- He's been <a href="http://en.wikipedia.org/wiki/Saturday_Night_Live_characters_appearing_on_Weekend_Update#Chico_Escuela">berry</a> berry good to me. 
			- Always a kind word. NYer. Doesn't mind direct advice.
			- With that in mind, he needs to get a corporate RSS feed for <a href="http://www.mahalo.com/Main_Page">Mahalo</a>. 
			- That he didn't have one on opening day was a <i>huge</i> mistake.
			- Even if the feed was empty, a placeholder, they should have had something bloggers could subscribe to. That way, when they have some news, even if Bill and Steve are doing another public trip down memory lane, every little bit of Mahalo news would have a chance to climb the ladder on Techmeme.
			- I made the suggestion privately, he seemed to think I meant that each page should have an RSS feed (which of course it should, a la <a href="http://toptensources.com/">Top Ten Sources</a>). But I was asking for something simpler and less ambitious. 
			- I want a feed from his company that my aggregator can check every hour.
			- Nuf said.
		- Good morning everybody!
			- We took the <a href="http://www.flickr.com/photos/scriptingnews/524657177/">subway</a> to the concert today.
			- Stowe Boyd is on stage now talking about flow.
			- Coolest idea so far: <a href="http://www.thehindubusinessline.com/catalyst/2004/09/30/stories/2004093000260401.htm">IM Barbie</a>. 
			- Barbie with a cell phone!
			- Scott Rosenberg <a href="http://www.wordyard.com/2007/06/01/d-highlights/">reports</a> from D.
