- July 2007
	- July 31
		- Heh
			- <a href="http://flickr.com/photos/scriptingnews/968347268/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/31/daveWinerLinkedToMe.jpg" width="250" height="159" border="0" alt="A picture named daveWinerLinkedToMe.jpg"></a>
		- Bug Labs, day 2
			- A few items following up on last night's <a href="http://www.scripting.com/stories/2007/07/30/bugLabsInitialReview.html">Bug Labs piece</a>.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/31/ibmpc.jpg" width="85" height="84" border="0" align="right" hspace="15" vspace="5" alt="A picture named ibmpc.jpg">1. As Fred Wilson points out in his <a href="http://avc.blogs.com/a_vc/2007/07/bug---slowly-co.html">post</a>, it's the polar opposite of the iPhone. He compares it to Ning, but it seems more like an early PC, and the app designer, if it delivers on its promise, as the BASIC that was bundled (in <a href="http://en.wikipedia.org/wiki/Read-only_memory">ROM</a>) with those early machines. The assumption back then was that everyone would program for themselves. That of course led to the earliest users turning their personal labors of love into off-the-shelf products for other users. Hobbyists have always been at the core of the tech industry, it's rare and refreshing to see people deliberately make a product for them. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/31/topping.gif" width="95" height="72" border="0" align="right" hspace="15" vspace="5" alt="A picture named topping.gif">2. It almost goes without saying, but should be said anyway -- if Bug is any good, it should be possible to create the <a href="http://news.bbc.co.uk/1/hi/technology/6748103.stm">Podcast Player</a> or <a href="http://www.scripting.com/stories/2007/06/14/newIdeaSocialCameras.html">Social Camera</a> with it. So maybe Bug will be a prototyping environment for more polished mobile devices, like future iPhones. As a user and a developer my creativity has been locked out of the mobile market because I don't have the requisite hardware skills. Podcasting is one art that would be further along if we had access to the design tools that designers at consumer electronics companies have. There certainly are others. Imagine the mobile devices doctors would create. Building contractors. Bus drivers. Realtors. Tourists. Musicians. Writers. Librarians.
			- 3. I see various VCs commenting on the company. I wonder if there's a complete list of investors. Since we're talking about open technology, and a lot of trust is being asked for, it matters who's behind it. (Fred Wilson <a href="http://twitter.com/fredwilson/statuses/178516132">responds</a>: Union Square, Spark Capital, Bob Young (Red Hat), Tom Evslin, Brad Feld and Albert Wenger.)
			- 4. Other people they should brief: Phil Torrone, Steve Wozniak, Stewart Alsop. (I'll add them as I think of them.)
			- 5. How refreshing that they didn't roll this out via <a href="http://en.wikipedia.org/wiki/John_Markoff">Markoff</a>. It probably would have been easy to get him interested, but it's nice that we got first shot at it. In a perfect world that wouldn't matter, but I guess this isn't a perfect world. ";->"
			- 6. Bug Labs has a <a href="http://www.bugblogger.com/">blog</a>, and a <a href="http://feeds.feedburner.com/typepad/buglabs/bugblogger">feed</a>.
			- 7. Write-ups: <a href="http://www.engadget.com/2007/07/31/bug-labs-diy-gadgets-turn-consumer-electronics-on-its-ear/">Ryan Block</a>, <a href="http://scobleizer.com/2007/07/31/open-source-hardware-dinner/">Robert Scoble</a>.
		- A cool thing about the iPhone
			- It doesn't look like a camera.
			- When a Mexican band, with instruments, got on the BART yesterday, of course I wanted to take their picture. 
			- I just took out the iPhone, pretended I was reading email, opened the camera app and clicked the shutter. 
			- <a href="http://flickr.com/photos/scriptingnews/959507492/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/31/band.jpg" width="177" height="120" border="0" alt="A picture named band.jpg"></a>
			- Voila! A <a href="http://flickr.com/photos/scriptingnews/959507492/">picture</a> of the band.
	- July 30
		- Bug Labs (initial review)
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/30/accordianGuy.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordianGuy.gif">I went to a real interesting dinner tonight in San Francisco, to get introduced to a New York-based startup, <a href="http://www.buglabs.net/">Bug Labs</a>, along with Ryan Block of Engadget, Robert Scoble and Jerry Michalski. 
			- We met with their CEO, Peter Semmelhack, and their San Francisco-based consultant, Jeremy Toemann. Dinner was at <a href="http://tinyurl.com/288497">Le Colonial</a> in San Francisco.
			- I'll try first to list the pieces of what it is, in the same style as the <a href="http://www.scripting.com/stories/2007/07/27/whatTwitterIs.html">What Twitter Is</a> piece I wrote a few days ago, with the understanding that this will be less thought out since I've known about the company for a very short period of time.
			- 1. It's an architecture for pluggable gadget components. There's a hardware interface, which I know little or nothing about (I'm a software guy). It was explained to me as "60 pins" -- they said they interface all the capabilities of the chip, whatever that means. But at a software level, each of the components interfaces with XML over HTTP. It's as if they read my mind. The pieces are all <a href="http://www.scripting.com/davenet/1997/09/14/FractionalHorsepowerHTTPSe.html">fractional horsepower HTTP servers</a>. They are using RESTful interfaces everywhere. I haven't actually seen the XML, let's hope it's simple. 
			- 2. The designs for the components that Bug Labs is doing themselves are all open source. They're sharing everything. So they won't have any kind of lock in on the devices that are built with it. They asked if we thought they should connect with Stallman. I said of course. 
			- 3. There have a very sexy development platform which we saw screen shots of, but didn't actually see running. The users design the hardware products they want. They can share the designs, and code, or sell it if they want. My guess is that it'll be mostly shared. It's a powerful idea, and I believe very soon, realistic.
			- 4. And there's the hardware itself. Again, we didn't see it, they showed us wood mockups, giving an idea of how the pieces fit together. They're going to ship with four initial components, a screen, GPS, a CPU, and ??? Every unit comes with wifi and USB. I'm sure I missed a lot of the details, I think I did get the gestalt.
			- They said they will ship in the fall.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/30/elves.jpg" width="120" height="182" border="0" align="right" hspace="15" vspace="5" alt="A picture named elves.jpg">Backing comes from <a href="http://www.unionsquareventures.com/2006/05/introducing_bug.html">Union Square Ventures</a> (yet another of their deals, they seem to be everywhere) -- Fred Wilson told me about it at our lunch a couple of weeks ago. Also investing is Robert Young of Red Hat. There may be other investors (probably are).
			- I really poked around during the dinner, said some challenging things, and it seems Semmehack's head is screwed on tight and his heart is in the right place. He didn't get rattled. He knows he may just be teaching his competitor's users what to ask for. He doesn't expect the major consumer electronics companies to get behind it. They are thinking small at first, which is great, because at first the opportunity will be small.
			- <a href="http://flickr.com/photos/scriptingnews/sets/72157601115382737/">Photos</a> from tonight's dinner.
			- I'm really glad someone is doing this. I anticipated it in my second How To Make Money On The Internet piece in early 2001, but I didn't expect it would actually happen so soon. Once again Fred Wilson impresses with his willingness to bet on big ideas. 
			- <a href="http://www.scripting.com/davenet/2001/02/13/howToMakeMoneyOnTheInterne.html">2/13/01</a>: "Every product that has an embedded computer will shift to user design. Today's companies become fulfillment houses, building products on contract. Manufacturing margins will shrink, the real value will be in the insight -- this is what people want now -- and the risk taken that today few manufacturers seem willing to take."
			- PS: They should brief Doc Searls. He's going to love this. 
		- Today's links
			- <a href="http://www.amazon.com/Dr-Bronners-Magic-Pure-Castile-Almond/dp/B000HKPV7U/ref=sr_1_4/104-0619295-2952700?ie=UTF8&s=grocery&qid=1185842245&sr=8-4"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/30/almondsoap.jpg" width="80" height="191" border="0" align="right" hspace="15" vspace="5" alt="A picture named almondsoap.jpg"></a><a href="http://www.mowser.com/web?url=www.scripting.com">Mowser</a> "lets you view the Web on your mobile phone."
			- <a href="http://www.25hoursaday.com/weblog/CommentView.aspx?guid=71900590-507c-4af9-8a1f-fd7531c2e49e">Dare Obasanjo is fed up</a> with A-list tech bloggers. ";->"
			- <a href="http://torrentfreak.com/bitlet-a-cute-web-based-bittorrent-client/">TorrentFreak</a> on a no-install Java-based client for BT newbies.
			- <a href="http://flickr.com/photos/catheroo/183890430/">Catheroo</a> is a Fresca fan too!
			- <a href="http://sportsillustrated.cnn.com/2007/football/nfl/07/30/walsh.obit.ap/index.html?eref=rss_topstories">Bill Walsh</a>, heroic coach of the 49ers, died today. 
			- <a href="http://www.mashery.com/">Mashery</a> is "on-demand API infrastructure."
			- <a href="http://www.technologyevangelist.com/2007/07/why_does_firefox_goo.html">Ed Kohler asks</a> why FireFox defaults to Atom 0.3 feeds.
			- <a href="http://weblogs.jupiterresearch.com/analysts/gartenberg/archives/2007/07/the_best_is_sti.html">Michael Gartenberg</a> on the competiton betw HD-DVD and Blu-ray. "The real competition here for both formats are not each other, it's DVD in the past and online distribution."
			- <a href="http://forbesontech.typepad.com/my_weblog/2007/07/it-was-just-a-s.html">Jim Forbes</a>, a guy I used to hang out with in the 80s, illustrates how, in a moment of vulnerability, we sometimes reveal a truth about ourselves to the rest of the world.
		- Attention mashups
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/30/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif"><a href="http://www.readwriteweb.com/archives/towards_the_attention_economy_opening_silos.php">ReadWriteWeb</a> wonders if the "attention silos" will ever open up.
			- This is a long-told tale here on Scripting News. The classic <a href="http://www.scripting.com/2006/09/30.html#When:10:32:44AM">example</a> are the movie rating data held in silos by sites like Netflix and Yahoo Movies.
			- But whose data is it?? 
			- Seems it belongs to the users and they should be able to take it where they want. Sure Yahoo is providing a recommendation engine, that's nice (and thanks), but they also get to use my data for their own purposes. Seems like a fair trade. And I'm a paying customer of Netflix. They just lowered the price but I'd much rather have gotten a dividend in the form of being able to use my own data. 
			- Think of the mashups that would be possible. 
			- Wouldn't it be <a href="http://www.scripting.com/2005/05/30.html#When:6:41:31AM">great</a> to link up Match.com with movie ratings to find dates that like the same movies? 
			- <a href="http://www.hackingnetflix.com/2007/07/who-owns-your-m.html">Hacking Netflix</a>: "Some of my Netflix Friends have rated thousands of movies, written scores of reviews, and have hundreds of movies in their queue."
	- July 29
		- MP3s in Scripting News
			- <a href="http://twitter.com/fredwilson">Fred Wilson</a> sends a pointer to <a href="http://del.icio.us/help/playtagger">playtagger</a>. 
			- "Include this tiny javascript in your HTML, and your mp3 links will automatically become playable right on the page."
			- Let's test it!
		- A Christmas song for Doc
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/07/29/docbyscott.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/29/doc.jpg" width="105" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named doc.jpg"></a><script type="text/javascript" src="http://images.del.icio.us/static/js/playtagger.js"></script>I was reading David Weinberger's beautiful <a href="http://www.hyperorg.com/blogger/mtarchive/doc_the_elder.html">testimonial</a> to growing older, on the occasion of <a href="http://doc.weblogs.com/">Doc's</a> 60th birthday, which is today!
			- I thought the best birthday present I could give <a href="http://doc.weblogs.com/2007/07/29#goodPlanetLikeItHereThinkIllStay">Doc</a> is the sound of beautiful music on Scripting News. And what song? Dr Dave helped me there. He wrote a gorgeous <a href="http://www.hyperorg.com/blogger/mtarchive/older_than_lennon.html">piece</a> about John Lennon, that brought me tears of gratitude for a life that still continues inspire, even though it was cut short by an act of lunacy.
			- John Lennon's <a href="http://mp3.morningcoffeenotes.com/songs/soThisIsChristmas.mp3">So This is Christmas</a> isn't strictly a birthday song, but it works anyway. 
			- So Doc, you're an old fart for sure, but I love you dearly, and am glad your heart is healthy and you still have your sense of humor! 
			- Big hugs, your pal, Dave
		- Enough Fresca??
			- <a href="http://www.flickr.com/photos/scriptingnews/945757610/" title="Photo Sharing"><img src="http://farm2.static.flickr.com/1366/945757610_d6f7c7a8b7_m.jpg" width="240" height="180" border="0" alt="Enough Fresca??" /></a>
			- <a href="http://www.flickr.com/photos/scriptingnews/945757610/#comment72157601091354345">Marie Carnes</a>: "I love Fresca ice cubes."
		- A sure sign someone has switched to Mac
			- <a href="http://twitter.com/chrispirillo/statuses/175303342">Chris Pirillo</a>: "The box said <i>Requires Windows 95 or better.</i> So I installed OS X."
	- July 28
		- 118,254 RSS feeds
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/28/love.gif" width="101" height="102" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif">Last week I met with the founders of a young Emeryville company named Persai Research, and they told me about a project to gather a huge collection of feeds.
			- They just sent me a link to a zip file containing over a hundred thousand feeds. 
			- http://research.persai.com/persai_feedcorpus.zip 
			- And stay tuned to this blog for more information about the company.
		- Today's links
			- NY Times <a href="http://www.nytimes.com/2007/07/29/business/yourmoney/29stream.html?ex=1343361600&en=888707a699bfacba&ei=5088&partner=rssnyt&emc=rss">pumps</a> Pownce.
			- <a href="http://mp3.morningcoffeenotes.com/songs/constructionNoise.mp3">An idea of what it's like</a> to have a neighbor who, on a beautiful Saturday afternoon, has a construction crew tearing out their foundation. 
			- <a href="http://lifehacker.com/software/rss/create-a-timeline-from-rss-feeds-with-xtimeline-283098.php">Lifehacker</a> on timelines from RSS feeds.
			- <a href="http://avc.blogs.com/a_vc/2007/07/declaring-bankr.html">Fred Wilson</a> is staying with Facebook, not declaring bankruptcy. Me, I never accepted it as a liability. Jason Calacanis gave up <a href="http://www.scripting.com/2007/07/27.html">yesterday</a>. 
			- Nice thing <a href="http://www.scripting.com/stories/2007/07/27/whatTwitterIs.html">about Twitter</a> is that unlike Facebook, it doesn't demand anything of you. I like that. 
			- <a href="http://twitter.com/dsearls/statuses/173307742">Doc Searls</a> turns 60 tomorrow. Heard it on Twitter.
			- <a href="http://www.rexblog.com/2007/07/28/17079/">Rex Hammock</a>: "Facebook is a sandbox I'm playing in -- but it has a long way to go before it can hope to be the world I live in."
			- <a href="http://www.nytimes.com/2007/07/28/sports/baseball/28bonds.html?ei=5088&en=6ac731c0323c0850&ex=1343275200&adxnnl=1&partner=rssnyt&emc=rss&adxnnlx=1185653723-lcmTcgwmkVxBXlyXL7cZ3A">Barry Bonds hit a home run</a> last night, and is one away from tying the record.
			- <a href="http://mp3.morningcoffeenotes.com/songs/nprWeekendEditionMusicBlogs.mp3">NPR piece</a> on MP3 blogs. Next time I want to share a song with readers of this blog, I think I'm going to do it. 
		- Overheard at last night's party
			- One of the cool things about <a href="http://flickr.com/photos/scriptingnews/sets/72157601048745064/">parties</a> like the one last night is that ideas spread like colds in a kindergarten classroom. 
			- And sometimes product leak, and like the game of telephone we played in kindergarten, are enhanced and tweaked with every telling.
			- Luckily there's one more party, tonight, on Potrero Hill in San Francisco (a neighborhood made interesting by Marc Canter, many years ago), to transmit and repurpose last night's lies and innuenda. ";->"
			- Marc, of course, won't be there. He's in <a href="http://blog.broadbandmechanics.com/2007/06/paolo-and-i-drove-to-milan">Italy</a>, not returning until <a href="http://www.gnomedex.com/2007/">Gnomedex</a>, which is less than two weeks away. Yet another oppty to mix it up!
		- Scripting News?
			- From time to time people ask what this site has to do with Scripting News.
			- I shrug it off, saying "It's just a name."
			- I don't stop to explain because many people who think in terms of scripting languages think linearly and only in one direction. A site named Scripting News must contain news about scripting, right?
			- But what if the name describes what the author does when creating the software that manages the site? And further, if he shares that software with other people so that this site becomes a focus of the activity of applying scripting to the area of news?
			- What would you think about that?
			- Back in the beginning people would have thought I was out of my mind. ";->"
			- Scripting news? Why would anyone want to do that.
			- But today, many years later, news is the subject of much scripting. 
			- So there you have it. 
			- PS: Sometimes when I say the name of site in my own mind it comes out like this: "Scripting Jews." Same logic. ";->"
		- A drive down Whiskey Hill
			- I was early arriving at the party so I decided to drive by the back end of my old hacienda in Woodside, the one I sold in 2003 as I was moving east. 
			- I sold it to a neighbor with plans to build a megahouse with a huge outdoor entertainment complex, and he needed the extra acres so he would comply with Woodside's strict zoning laws. 
			- I already knew, from <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=425+Manzanita+Way,+Woodside,+CA+94062&sll=37.892354,-122.275371&sspn=0.010465,0.017231&ie=UTF8&ll=37.419152,-122.246311&spn=0.010532,0.017231&t=h&z=16&iwloc=addr&om=1">Google Maps</a>, that he tore down my old house, and that he had never built the huge house he planned to build. There must be a story. Illness, a death or divorce? Or he just got busy or lazy, or ran out of money?
			- I didn't have the heart to drive up to the front entrance and see what the land looked like without the house. 
			- It was an old house, constructed in many projects over many years. Some of the contruction was excellent, some of it terribly bad. All the roofs leaked at one time or another. Each segment of the house had its own roof, a different style, as if the builder were experimenting to find the least reliable form of roofing (if so, he found it, a flat tar roof with a skylight). But I loved the house nonetheless. It had a charm to it. And around this time of year, <a href="http://www.google.com/search?q=site%3Ascripting.com+bee+season">bees</a> (which are really yellowjackets).
			- Yesterday, as I approached the property from Whiskey Hill Road, the first surprise was to find that Joan Baez's house is for sale. And then the really big surprise, the <a href="http://www.scottdancer.com/listings/listing_home.cfm?property_ID=4073207">property</a> of the guy who bought my property is for sale too! Wow. If I had enough money I could buy it back. Heh. No way of course, Berkeley is a fine place, and I'm sure I can't afford it. But it was a lovely place to live. And it's great to see that the story keeps evolving even when I'm not there. I bet Jamis at <a href="http://www.buckswoodside.com/">Bucks</a> knows what's going on there, assuming he still owns Bucks after all this time? ";->"
	- July 27
		- Today's links
			- <a href="http://tinyurl.com/2duhbt">Photos</a> from tonight's TechCrunch party in Menlo Park.
			- <a href="http://seanreiser.com/node/106">Apparently</a> some ISPs are inserting ads in web content as their customers surf.
			- <a href="http://www.calacanis.com/2007/07/27/facebook-bankruptcy/">Jason Calacanis</a>: "It makes no sense to me to build inside of someone else's platform when you have the wide open internet out there to develop on."
			- <a href="http://wiki.killuglyradio.com/index.php/Brown_Shoes_Don't_Make_It">Frank Zappa</a>: "Gotta meet the Gurneys and a dozen gray attorneys."
		- What Twitter is
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/27/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif">Congrats to the lead investors, <a href="http://www.unionsquareventures.com/2007/07/twitter.html">Union Square Ventures</a> and the <a href="http://www.techcrunch.com/2007/07/26/twitter-gets-their-venture-round/">angels</a>, and the <a href="http://twitter.com/blog/2007/07/taking-bite-out-of-big-apple.html">entrepreneurs</a>. 
			- I've been reading various posts and comments, and see a thread that's still out there. People doubt that there's a way to make money with Twitter. To that I say, they haven't been reading this blog. 
			- Now seems like a good time to pause and review what Twitter is.
			- 1. <b>It's a network of users</b>, with one kind of relationship: <i>following.</i> I can follow you, and you can follow me. Or I can follow you and you don't follow me. Or you can follow me, and I don't follow you. Or neither of us follow each other. Pretty simple. Just arrows at either or both ends of the line, or no line at all. There are no labels on the arcs. 
			- 2. <b>It's a micro-blogging system</b>. Posts are limited to 140 characters. Enough for a bit of text and a link. This is a powerful idea, but not a new one. If you read Scripting News before February of this year, it was <a href="http://www.scripting.com/2006/09/22.html">partially</a> a micro-blogging system. When it <a href="http://www.scripting.com/aprilfool2007.html">started</a> in April 1997, it was all micro-blogging. The earliest websites, from <a href="http://info.cern.ch/">TBL</a>, <a href="http://wp.netscape.com/home/whatsnew/whats_new_0693.html">NCSA</a> and <a href="http://images.scripting.com/archiveScriptingCom/2007/07/27/hehhehwhatsnew.gif">Netscape</a> were also micro-blogging systems. 
			- An aside, I gave a talk on Sunday at the WordPress users <a href="http://2007.wordcamp.org/">conference</a>. One of the things we talked about was micro-blogging. I asked the people if they would like it if the only way you could create a WordPress site was on wordpress.com. They agreed that would not be good. Analogously, if micro-blogging is to become a real art, there will have to be many ways to create a micro-blog, and lots of RSS to tie them together. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/27/podfatherMini.jpg" width="65" height="135" border="0" align="right" hspace="15" vspace="5" alt="A picture named podfatherMini.jpg">3. A relatively <b>open identity system</b>. I've said it <a href="http://www.scripting.com/stories/2007/06/22/whatIsAnIdentitySystem.html">before</a>, Twitter or something like it, could be the holy grail of open identity. While the engineers of the tech industry have been, imho, looking at the problem the wrong way by trying to glue together the huge namespaces controlled by powerful companies who don't want to give up control. Twitter, with it's ultra-thin user interface, and light feature set, and simple API (more on that in a bit) and the nothing-to-lose attitude of its management, may be the breakthrough. Or it could be Facebook, with it's much larger user base and a management that also likes to roll the dice. The key is lots of users, a growing user base, and an API with no dead-ends. 
			- 4. <b>An ecosystem</b>. Twitter's API is very simple. It covers the entire functionality, leaves nothing out. You could implement the Twitter user interface using the API. That's a key thing. Compare it to Apple, who reserves for itself and a few partners, under terms we don't know, the right to develop rich apps for the iPhone. Twitter takes the traditional PC industry approach, give everyone equal power, make it a level playing field and let the chips fall where they may. This means that if the people at Twitter miss an opportunity, the rest of us have a shot at providing it for ourselves and others. 
			- <a href="http://flickr.com/photos/scriptingnews/917878175/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/27/goldberg.gif" width="135" height="171" border="0" align="right" hspace="15" vspace="5" alt="A picture named goldberg.gif"></a>So what do all these parts add up to? Users and relationships between users, their ideas, and an ecosystem. It's probably the basis for some pretty hot apps. Will it be possible to monetize them? Without a doubt. People who say that Twitter hasn't figured out how to make money don't understand the role technology companies play in the much larger media and communication ecosystem. Ideas gestate here, grow up, find users, and then find customers. In a way Twitter is a mega-enterprise product, and by using it, we're helping them prove it. Their customer is likely to be a telco or an entertainment network. But it's way too early to cash it out, they all took the right approach, seed it with some more capital to add more bandwidth, solidify the back-end, add a bit more functionality, and wait to see what the users and developers do with it.
			- Twitter is still a very interesting service, and as long as it remains as open as it is, we can all learn from and alongside them. 
			- 4/28/07: <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">Twitter as coral reef</a>.
			- <a href="http://scripting.wordpress.com/2007/07/27/scripting-news-for-72707/#comment-94360">Harold Gilchrist</a>: "Some actually see that Web/SMS Gateway as a key component of their architecture."
			- <a href="http://scobleizer.com/2007/07/27/twittering-from-twitter-about-twitter-with-twitter/">Scoble</a> is Twittering about Twitter from Twitter with Twitter.
			- <a href="http://www.scripting.com/2000/02/22.html">2/22/00</a>: "Watching them watch us watching them watching us watching them."
	- July 26
		- Harry Potter wasn't for me
			- But there's no doubt I'm going to <a href="http://sfgate.com/eguide/arts/movies-53837.html">see</a> <i>this</i> movie. ";->"
			- <a href="http://www.google.com/movies/reviews?cid=b9e3954ec256e1cf&fq=%22the+simpsons+movie%22&sa=X&oi=showtimes&ct=reviews&cd=1"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/26/simpsonsPoster.jpg" width="101" height="150" border="0" alt="A picture named simpsonsPoster.jpg"></a>
			- Synopsis: "Homer Simpson must save the world from a catastrophe he himself created."
		- Dumb iPhone question
			- I have 250 or so <a href="http://www.flickr.com/photos/scriptingnews/907849727/">photos</a> on my iPhone.
			- I want to copy them onto my MacBook hard disk.
			- <a href="http://scripting.wordpress.com/2007/07/26/scripting-news-for-7262007/#comments">How</a> to?
			- PS: I <i>did</i> read the <a href="http://manuals.info.apple.com/en/iPhone_User_Guide.pdf">manual</a>. ";->"
			- PPS: <a href="http://scripting.wordpress.com/2007/07/26/scripting-news-for-7262007/#comment-94114">Answer</a> -- launch iPhoto, it will see the iPhone as a camera and offer to retrieve the pictures.
		- Sun & RSS
			- <a href="http://blogs.sun.com/dillon/entry/we_re_trying_something_different">Mike Dillion</a> is Senior Vice President, General Counsel and Corporate Secretary for Sun Microsystems. On his blog he says "We're trying something different..."
			- He says: "On Monday, we will release our financial information first to the public via our website, RSS feeds and 8-K filing. Then, about 10 minutes later, we will release the information to the traditional private agencies and their paid subscribers."
			- <a href="http://www.sun.com/aboutsun/investor/rss.jsp">Here's a page</a> listing Sun's RSS 2.0 feeds.
			- It's really cool the way the users, esp in the tech industry, have adopted <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> and used it in innovative new ways. 
		- 1826 smoke-free days ago
			- On this day five years ago I wrote an open <a href="http://www.scripting.com/2002/07/26.html#dearAsshole">letter</a> to people "who send emails to people quitting smoking that explain how hard it is to quit, and how in all likelihood, you'll fail." 
			- I was 42 days into my life as a non-smoker. And I had become a support person in the cause of smoking cessation. I wanted everyone, esp smokers, to know that it's <i>easy</i> to quit smoking. Because smoking, after the physical dependence is gone, is all in your mind. If you believe it's easy to quit, it is. 
			- In fact, as I discovered later, it's easier to not smoke than it is to smoke. You don't have to go to the store, buy cigarettes, find an ashtray (and keep it empty), find a lighter (and maybe buy a new one when you lose it), light the damn thing and breathe through it for a few minutes. And in 10 minutes or so you have to do it again. All those things you have to remember to do. Much easier to just blow it off. 
			- PS: It's now 1868 days since I quit. Not one cigarette in all that time. And it gets easier every day. ";->"
	- July 25
		- Twitter, month 5
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/25/russoAndHale.jpg" width="105" height="70" border="0" align="right" hspace="15" vspace="5" alt="Two cute songbirds.">Another idea that's gaining maturity, and therefore perspective, is Twitter. It's now been almost five months since we fell in love with it. By "we" I mean a handful of people in the tech blogosphere, enough to create a critical mass of people to network with, enough so we can explore what it's like to have a spam-free pub-sub channel for direct communication.
			- Twitter filled a personal gap that I created, unwittingly, a couple of weeks before I started using it. On February 27, with no announcement or fanfare, this blog <a href="http://www.scripting.com/2007/02/27.html">switched</a> from a mixture of long-form and short-form blog posts to all long-form. And then in March I started using Twitter, and it's become the place I use for short-form posts. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/25/airbus.gif" width="140" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named airbus.gif">Twitter also serves the purpose of what I used to call "email bulletins." When something newsworthy would happen, or if I wrote something special that I wanted a lot of people to read, I would push a bulletin to people who subscribed. Nowadays I push them to the 1539 people who <a href="http://twitter.com/davewiner">follow me</a> on Twitter. And it works. When I do it, there are 200 or 300 reads from the people who directly follow me, and 25 or so reads from the main page of Twitter. 
			- I have yet to figure out Facebook. Something about it doesn't make me want to go there often to find out what's new. Not sure why I'm not attracted to it and so many others are.
			- PS: I seem to have discovered Twitter on March 14. Here's my first <a href="http://www.scripting.com/stories/2007/03/14/theFutureOfTwitter.html">post</a>. I clearly didn't understand it at the time (and said so). By Day 2 it's already <a href="http://www.scripting.com/stories/2007/03/15/twitterDay2.html">starting</a> to make sense. "What matters about Twitter, btw, is that people are using it." Throughout <a href="http://www.scripting.com/2007/03.html">March</a> and <a href="http://www.scripting.com/2007/04.html">April</a> are epiphanies on Twitter.
		- iPhone, month 1
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/25/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">Today's the 25th of July, the iPhone shipped on June 29, that's the day I got mine, so we're getting pretty close to the end of a month with the iPhone. 
			- The tech press usually doesn't review products after a month of use, but that's when you really find out if it was worth the initial hype. 
			- <a href="http://www.nytimes.com/2007/07/25/technology/25phone.html?ei=5088&en=646b2ab2d757aadb&ex=1343016000&adxnnl=1&partner=rssnyt&emc=rss&adxnnlx=1185365072-08HhmzYVdGUzjWaGpFWRfg">The NY Times reports</a> that iPhone sales are disappointing, I'd like to add that the product itself is disappointing.
			- I still own and use a Blackberry for its email and web capabilities, both of which outshine Apple's product. Because the iPhone doesn't have a search command, and apparently doesn't store messages locally, it makes a poor choice for a mobile email client. 
			- For example, I brought only the iPhone with me to a meeting in Palo Alto last week. As I was driving to the meeting I could see that I would be a few minutes late, so I wanted to call the person I was meeting and alert them. With the Blackberry I would have been able to do this while stopped at a red light. Just search for the person's name in my inbox, open the first message, highlight the phone number, click the scroll wheel twice (once to dial the number, the second time to confirm that I want to do it).
			- In comparison, the iPhone only keeps the most recent 25 messages in memory, and this person's email was not in that group. No search command. And it doesn't have a scroll wheel or a clipboard. The light turned green long before I found the email that contained the phone number. (Note: I've gotten a bunch of email saying the 25 can be increased to 200, which I have done. Thanks!)
			- On the other hand, the iPhone is much prettier than a Blackberry and feels better in your hand. I'm not mocking Apple for that, style matters, esp in a personal device. But it seems they could have studied the competition more closely to produce a more feature-complete product. 
			- I still find the iPhone virtual keyboard difficult to use even after a month to get used to it. The Blackberry is very usable, in comparison. However, I like the way Apple did punctuation better than the Blackberry.
			- It also seems we're going to have a long-term discussion over whether it makes sense to have a "mobile web" or take the iPhone trade-off, more effort to use its web (lots of scrolling and pinching), but making the whole web accessible, mobile sites or non-mobile sites. I think what Apple has attempted is noble, but it's not going to work. The screens have limited resolution, and even if they didn't, even if they could cram a billion pixels into every square inch, there's the limit of how much detail our eyes can see and how big our hands are. 
			-  In other words, after almost a month of trying to make the iPhone view of the web work, I think there <i>is</i> such a thing as the mobile web. We're going to have to produce versions of websites specifically for devices with small screens. 
			- The other functions of the iPhone, the camera, YouTube, the photo browser, even the iPod functionality, are nice to have, but none of them work very well, and without a functioning web and email interface, they don't add much to the appeal of the iPhone. When all is said and done, it's a beautifully designed, colorful, very stylish, cell phone.
			- A postscript -- how different the situation would be if the iPhone had a full SDK, if you could run Mac OS apps on the device, or if it had a built-in HTTP server that would allow you to browse or configure it over wifi from a Mac or Windows machine. In other words, if it had the kind of revolutionary features and was an open platform in the tradition of Apple and the PC industry. 
			- No doubt we'd be trying a dozen different approaches to email, at least one of them would be a clone of Blackberry email, as a holdover for the really great email products that would likely be coming. There's no doubt a lot of interest among developers in the iPhone, but it probably wil never be greater than it was in the first weeks the phone was released. More likely, the iPhone, if it attains success, will reach it the way the Mac did, after the initial fatal flaws are removed, in the "iPhone Plus" or whatever.
			- Remember, in the 80s Apple was the first company to build networking into every machine, and later the first company to ship a wifi router. Hopefully it's possible for Apple to open today's iPhone, and reward the early adopters for betting on them, and get developers busy at fulfilling the opportunities it creates as a platform, not just a device.
			- <a href="http://scripting.wordpress.com/2007/07/25/scripting-news-for-7252007/#comment-93741">Peter Cook says</a> we should look at the <a href="http://reviews.cnet.com/smart-phones/nokia-e70-unlocked/4505-6452_7-32381755.html">Nokia E70</a>.
			- <a href="http://jaxn.org/article/2007/07/25/consumers-take-control/">Jackson Miller notes</a> that there's lots about the iPhone today on the web. Amazing confluence. When I wrote my review I hadn't seen any of the other pieces, including a <a href="http://www.techcrunch.com/2007/07/25/iphone-v-blackberry-side-by-side-two-week-comparison/">review</a> comparing iPhone and Blackberry (!) by Mark Hendrickson on TechCrunch.
			- <a href="http://scripting.wordpress.com/2007/07/25/scripting-news-for-7252007/#comment-93792">Rex Hammock</a>: "Wait a couple of generations before buying one."
			- <a href="http://www.thebestpageintheuniverse.net/c.cgi?u=iphone">A NSFW comparison</a> of the iPhone and the Nokia E70.
	- July 24
		- Today's links
			- <a href="http://blog.wired.com/business/2007/07/vc-blogs-never-.html">Wired</a>: "Blogging is not about making friends, it's about expressing yourself truthfully and in the process providing some hitherto unforeseen insight into an important issue or topic of the day." <i>Agreed.</i>
			- Chris Pirillo being <a href="http://www.youtube.com/watch?v=D_4SSbLhmyU">tormented</a> by his wife Ponzi. ";->"
			- <a href="http://www.uncov.com/2007/7/24/uncov-meetup-on-august-3rd-at-mars-bar-in-sf">Uncov meetup</a> in SF, Aug 3 at the <a href="http://tinyurl.com/2omzl3">Mars Bar</a>.
			- <a href="http://www.macworld.com/2007/07/opinion/fakesteve/index.php">Andy Ihnatko</a> says he's not the <a href="http://www.scripting.com/stories/2007/07/18/iAmTheRealFakeSteveJobs.html">real</a> Fake Steve Jobs.
		- Barry Bonds
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/24/bonds.jpg" width="115" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonds.jpg"><a href="http://www.nytimes.com/2007/07/25/sports/baseball/25selig.html?ex=1343016000&en=c8720ef726f7bf99&ei=5088&partner=rssnyt&emc=rss">News just in</a> that baseball commissioner Bud Selig will come to San Francisco to watch Barry Bonds try to tie and then set the all-time home run record. 
			- The cloud over his accomplishment makes this a difficult decision, but I think this is the right choice. Baseball is our national sport, and the conditions under which the game is played always changing. When <a href="http://en.wikipedia.org/wiki/Hank_Aaron">Hank Aaron</a> played there was no interleague play, no designated hitter. For much of his career there was no baseball on the west coast, so travel was very different, and when he started his career baseball was <a href="http://www.nlbpa.com/aaron__hank.html">segregated</a>. 
			- The two accomplishments are comparable, for sure, but not exactly. There's no doubt that Hank Aarron earned a place in baseball history, though his accomplishment has in no way diminished the accomplishment of his predecessor, Babe Ruth, and if Bonds surpasses Aaron, as seems very likely, we'll still remember Aaron being the great player and role model that he was. 
			- Barry Bonds has done what no other player of his generation has done, and like it or not, performance drugs are a part of baseball today. Whether Bonds took the drugs or not, his record is important and must be recognized by all who love the sport. 
			- And by the way, this would be a great time to <a href="http://www.hno.harvard.edu/gazette/2003/08.21/21-peterose.html">forgive Pete Rose</a>, and let him join the Hall of Fame. 
		- Twittergrams in this window
			- <div style="border:1px solid #ccc; margin-left:-5px; width:200px;"><iframe src="http://amyloo.com/grams/latestgrams.htm" name="latestgrams" frameborder="0" height="370" width="100%"></iframe></div>
			- <a href="http://blogs.opml.org/amyloo/2007/07/17#lotechSolutionsDontTheyMakeYouFeelWickedAndSatisfied">Thanks</a> to Amyloo!
		- Blogging about friends
			- <a href="http://flickr.com/photos/scriptingnews/882570776/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/24/fresca.gif" width="114" height="162" border="0" align="right" hspace="15" vspace="5" alt="A picture named fresca.gif"></a>I had lunch a couple of weeks ago in San Francisco with Fred Wilson, who has become a regular cross-blog sparring partner of mine. It's funny that two people who seem to get along so well face to face have such big disconnects in the blogosphere.
			- For example, Fred was one of the people who <a href="http://avc.blogs.com/a_vc/2007/07/feedburner-and-.html">suggested</a> that the ability to opt-out was the answer to Google owning Feedburner and possibly using its near-monopoly in feed serving to control other parts of the RSS ecosystem. I responded in my <a href="http://www.scripting.com/stories/2007/07/23/whyFeedburnerIsTroubleDay2.html">second post</a>, and apparently <a href="http://avc.blogs.com/a_vc/2007/07/feedburner-an-1.html">convinced</a> Fred that there was a problem, only to find out that my title wasn't friendly enough.
			- I guess it's all in the perspective.
			- How you look at things.
			- The new software I'm working on caused me to review a lot of the posts here since <a href="http://www.scripting.com/2007/02/27.html">February 27</a> when I switched to the long-form blogging style, and most of my headlines and much of my copy is fairly irreverent. But that's what makes a blog interesting. This is a medium where the person shouting the loudest is most likely to be heard. So when I want to be heard, I say it directly and strongly. And in this case, I think I <i>understated</i> the danger of concentrating so much power in Feedburner, and its successor, Google. 
			- And Fred, your title wasn't so friendly either. The problem isn't "Feedburner and Dave," the problem is "Feedburner and Google." It's a subtle technique. Deflect criticism by naming the critic. That's what the Feedburner guys did when I asked questions about them before they were acquired. All of a sudden it was a personal issue with me. Republicans do it, Democrats do it (not quite as well), and so does the tech press. So that's why we have blogs, imho, not so that we can make friends, rather so we can make truth. 
			- I get itchy when I see would-be journalists praise people they write about. Same with bloggers. That makes me wonder who's paying whom for what? I'd rather hear from people who aren't being paid, and people who start out a piece saying nothing about how much they like someone. (Although I'm frequently guilty of this myself.)
			- And don't forget this one...
			- "Ask not what the Internet can do for you, ask what you can do for the Internet."
			- If you're just taking and not giving, you're fucking everyone who does.
			- Finally Fred is a New Yorker, as am I. Since when do manners come first? New York is a town for doing business, you get things done, say what you mean. This idea of never offending is very Californian, which may explain why I've had such trouble fitting in here. ";->"
		- New directions
			- I'm working on new software again.
			- Maybe some big changes around here soon.
			- Get out your iPhones and Blackberries!
			- Heehee. ";->"
			- "cheesecake"
	- July 23
		- Apache on the Mac, day 2
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/23/cycle.gif" width="125" height="78" border="0" align="right" hspace="15" vspace="5" alt="A picture named cycle.gif">Thanks for all the great <a href="http://scripting.wordpress.com/2007/07/21/scripting-news-for-7212007/#comments">advice</a> on configuring <a href="http://www.scripting.com/stories/2007/07/21/exploringApacheOnMac.html">Apache on the Mac</a>. 
			- After wading through all the options, many of which included mastering system options that I don't care about, and have nothing to do with the problem I want to solve, I decided to give <a href="http://mamp.info/en/index.php">MAMP</a> a try, and so far so good. It's doing what I want to do, without having to enable root access. 
		- I love Fresca
			- <a href="http://flickr.com/photos/scriptingnews/882570776/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/23/fresca.gif" width="128" height="222" border="0" alt="Fresca is tasty and refreshing!"></a>
		- Why Feedburner is trouble, day 2
			- <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/23/ofsj.jpg" width="80" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named ofsj.jpg"></a><a href="http://www.scripting.com/stories/2007/07/21/whyFeedburnerIsTrouble.html">Saturday's post</a> about Feedburner was much-discussed, and that's good. The most common rebuttal was the user's ability to opt out. If you don't like it you don't have to use Feedburner. But that's not any kind of a rebuttal. Let me illustrate.
			- First, I don't use Feedburner, never have, never will.
			- However, if Google ties Feedburner to Google Reader that still hurts people like me, because my feed doesn't work as well with Google Reader.
			- Now let's take a deeper look at "doesn't work as well."
			- It could end up meaning "doesn't work at all." It's quite possible in the second or third iteration that Google drops support for non-Feedburner feeds. It wouldn't be unprecedented, far from it. <a href="http://blogoscoped.com/archive/2007-07-22-n50.html">Google Blogoscoped</a> has a list of Google products that "prefer" other Google products. I've never seen Google not do this when they had the chance. The instant they bought Blogger they tied it to their toolbar. If they had used an open API the toolbar would have worked with all blogging tools. Google just doesn't think that way, sorry to say. 
			- The ability of one user to opt out would do <i>absolutely nothing</i> to stop or even diminish the negative effects of monopolistic tying. And users show no inclination to do anything for the <a href="http://www.scripting.com/images/asknot.gif">benefit</a> of the Internet as a whole, so there's no reason to believe any of them would withhold their support of Feedburner just because it screws with the benefits of a level playing field in the RSS ecosystem. Certainly not enough to persuade Google not to tie the two products.
			- And if you still think opting-out is some kind of answer, consider that <i>the whole point of <a href="http://en.wikipedia.org/wiki/Razor_and_blades_business_model">tying</a> is to penalize people who opt-out.</i>
			- Note that I'm not asking anyone to do anything, and I'm not even saying Google is doing anything wrong. However, it could be that there are people at Google who understand the benefits of keeping things open, and if I can help them argue inside Google, then I feel I've done something good.
			- <a href="http://scripting.wordpress.com/2007/07/23/scripting-news-for-7232007/#comment-93228">Betsy Devine</a> has opted out of using MSIE, but that doesn't mean she doesn't have to deal with sites that only work with that browser (it isn't even available on the computer she uses).
			- Check out this <a href="http://scripting.wordpress.com/2007/07/21/scripting-news-for-7212007/#comment-92977">comment</a> by Kevin Marks. Hey works at Google.
			- <a href="http://www.web-strategist.com/blog/2007/07/23/your-vote-needed-should-google-sleep-with-its-relatives/">Jeremiah Owyang</a> explains how Google may favor Blogspot sites in the search engine.
	- July 21
		- Exploring Apache on Mac
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/21/cycle.gif" width="125" height="78" border="0" align="right" hspace="15" vspace="5" alt="A picture named cycle.gif">In the background I'm learning how to configure Apache on Mac OS X. There are lots of little stumbling blocks that involve penetrating the user interface and getting down to the Unix running underneath. There's a tiny <a href="http://images.scripting.com/archiveScriptingCom/2007/07/21/sliver.gif">sliver</a> of Apache showing through the GUI but not enough to do anything interesting.
			- The first thing I had to figure out, after learning where the document root is (still not totally clear on that but I got it working) is where the httpd.conf file is. I found it at:
			- <code><font size="-1">Macintosh HD:private:etc:httpd:httpd.conf</font></code>
			- You can't normally get to this location in the Finder, but there is a way, in the Terminal window, to tell the Finder to display hidden files and folders, and then you can navigate there. A <a href="http://www.macworld.com/weblogs/macosxhints/2006/07/showallfinder/index.php">tutorial</a> at MacWorld explains how.
			- Even better, you can open the <a href="http://flickr.com/photo_zoom.gne?id=865916876&size=o">folder</a> from within the OPML Editor using the file.openfolder verb. There's probably a way to do it in AppleScript as well.
			- So I opened the httpd.conf file and started reading it, and it seems like a standard Apache install with an added nicety: at the end it includes all files ending with .conf in the users sub-folder. So you can modify the install without having to modify the shipping conf file, which means you can get an upgrade from Apple without losing your changes. Good. 
			- So I started writing a file that would map virtual hosts to store in my personal conf file, but when it came time to save, no luck. On further investigation I find that I don't own the files, even the one named after me! They belong to the system.
			- So now I'm scratching my head trying to figure out how I log on with permission to edit files created by the system. There must be a way, right? 
			- <a href="http://scripting.wordpress.com/2007/07/21/scripting-news-for-7212007/#comments">Suggestions</a> are welcome of course. ";->"
			- PS: <a href="http://docs.info.apple.com/article.html?artnum=106290">This</a> is what I needed. <i>Thanks!!</i>
		- Why Feedburner is trouble
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/21/mrSmithGoesToWashington.gif" width="161" height="207" border="0" align="right" hspace="15" vspace="5" alt="A picture named mrSmithGoesToWashington.gif">When Feedburner first came online I warned that there was danger in giving so much power to one company. They argued that they were just a little company, struggling to make a go of it, and no one should fear them. Some of them even took the predictable political tactic of trashing the personality of the person raising the question. I held my ground. I've been around this business a long time, and I was sure their strategy was to sell to a bigger company, and I don't trust big companies. 
			- People at big companies often are underpaid, with stock options going nowhere, and feel unappreciated by their colleagues, and when they look outside their company they see lots of people who look happy and successful, making more money than they are, without the political troubles and <a href="http://www.scripting.com/davenet/2001/04/30/strategyTax.html#2">strategy taxes</a>, and they feel like they're doing all the work. (Of course we look at them and see much the same thing, the grass is always greener over there.)
			- So now someone at Google "owns" Feedburner and all their feeds. And they could, if they wanted to, change the feeds to another format, overnight, without asking anyone. Reader software might have trouble working with it. They would say "Oh but the new feeds work <i>better</i> with Google Reader, and that's the one most people use." And by the way, more and more that's true these days. But what about other feed suppliers? Do they have to change to work with Google Reader? They will say no, but there may turn out to be practical reasons why they must.
			- People at Microsoft used to say that Windows isn't ready to ship until Lotus doesn't run. That's not a typo. You'd think it would be the other way around, that a popular operating system would never hold the users of a popular spreadsheet hostage. But it could happen when they have their own spreadsheet and want you to switch. Or if they want everyone to put ads in their feeds. Who would miss a few blogs here and there, don't we all use Blogger anyway (that's one area where they haven't taken over, btw, thankfully).
			- I would have been concerned no matter who bought Feedburner, had it been Microsoft or Yahoo, or Fox or even Cisco, or if they hadn't sold out at all. Little companies can sometimes do desperate things when new management comes in. 
			- These technologies work best when there's lots of competition and lots of choice, and when users are alert and don't trust companies that don't deserve their trust. But I can't say I've ever seen that happen for any sustained period, but I still have hope it could happen someday.
	- July 20
		- Representing Pownce data in RSS?
			- I'm here at lunch in Palo Alto with Nik Cubrilovic. 
			- We're talking about Pownce, Twitter and Facebook. 
			- In Pownce each item can be one of four types: 1. Message. 2. Link. 3. File. 4. Event. 
			- #1, #2 and #3 can easily be represented as an RSS 2.0 item. A message just has a &lt;description>. A link has a description and a &lt;link>. A file has an &lt;enclosure>, but -- what about an Event? How would you represent that in a RSS item?
			- <a href="http://scripting.wordpress.com/2007/07/20/scripting-news-for-7202007/#comments">Thoughts</a>??
		- Brooklyn after the Dodgers left
			- <a href="http://flickr.com/photos/scriptingnews/862964276/"><img src="http://farm2.static.flickr.com/1118/862959610_ada77a0bc8_o.jpg" width="125" height="79" border="0" align="right" hspace="15" vspace="5"></a>On the morning of my birthday in 1985 my brother made sure I was out of the office all morning before we went to lunch at MacArthur Park, <a href="http://tinyurl.com/2a8jro">across</a> from the train station in downtown Palo Alto. He led me into a special dining room where about a hundred people where assembled singing Happy Birthday. 
			- Back then MacArthur Park was <i>the</i> Silicon Valley business restaurant, just as <a href="https://latc.com/2006/01/25/community/community9.html">Hyatt Rickey's</a> was the business hotel. It was before Il Fornaio and Spago or even Jing Jing or Siam Garden. We were young, it was our world, and we had a place to eat and talk deals.
			- I had lunch there today. While the menu was the same, the food was poorly prepared, and the place had an empty feeling. Maybe this is how Brooklyn felt after the Dodgers left. Sad to see a place so far past its prime, a place that held so many memories, but it seems unlikely that it will hold new memories for the current generation of young Silicon Valley entrepreneurs. That's gotta be happening some place else.
		- Thanks to Joel Spolsky
			- Every so often I get a <a href="http://www.joelonsoftware.com/items/2007/07/20.html">link from Joel</a>, and the traffic goes through the roof. Lots of people read his blog, because he's smart and he knows how to tell a story.
			- Today he points to a <a href="http://www.scripting.com/2007/01/01.html#theUneditedVoiceOfAPerson">piece</a> I wrote on January 1 of this year about what makes a blog a blog. 
			- <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/20/ofsj.jpg" width="80" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named ofsj.jpg"></a>BTW, he says that I don't allow comments on Scripting News. That's not exactly true, there are comments here, but you have to look carefully to find <a href="http://scripting.wordpress.com/2007/07/20/scripting-news-for-7202007/#comments">them</a>. I find this ups the quality enormously -- people don't generally comment here to embarass anyone or to provoke a fight -- there isn't enough traffic to interest those people. But the people who want to add information to a thread here on Scripting News, and have been reading the site long enough to know what it's about, they find their way to the comments and add something to the mix.
			- For example, <a href="http://scripting.wordpress.com/2007/07/19/scripting-news-for-7192007/#comment-92366">Mark Smith</a>, in response to a piece I wrote yesterday about Facebook, explains the phenomenon from the point of view of a thoughtful blogger. 
		- Comments about the OPML 2.0 spec
			- A couple of <a href="http://www.therssweblog.com/?guid=20070720103947">good</a> <a href="http://scripting.wordpress.com/2007/07/19/scripting-news-for-7192007/#comment-92340">posts</a> with suggested changes to the <a href="http://www.opml.org/spec2">OPML 2.0 spec</a>. 
			- I'm linking to them here so I can come back to them later when I have time to review them, consider the requests, and possibly revise the spec. Thanks. 
			- To be clear, I'm looking for errors or oversights in the spec, not suggestions for the format. The spec has been in draft form since March of last year. Right now I'm just looking for issues that should be fixed before the spec is frozen. 
		- Looks like Friday is South Bay Day
			- Last week I spent <a href="http://www.scripting.com/2007/07/13.html">Friday</a> in the Palo Alto area, and today I'm headed down there for some meetings. 
			- Next Friday is the <a href="http://www.techcrunch.com/2007/06/05/techcrunch-party-at-august-capital-on-july-27/">TechCrunch summer party</a> at August Capital. Looks like Fridays are turning into Silicon Valley Day for Dave.
	- July 19
		- I love this pic
			- <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a><br><a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a><br><a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a> <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a>
		- Scoble is Facebookized
			- No doubt it's a Scoble world.
			- And he <a href="http://scobleizer.com/2007/07/19/facebook-the-new-data-black-hole/">says</a> Facebook is a black hole.
			- Sucking up all the data from all other apps.
			- But I wonder.
			- <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" align="right" hspace="15" vspace="5" width="72" height="90" border="0" alt="A picture named ofsj.jpg"></a>Could it be that the real revolution is that all the other apps were ready to be ported into any environment? That there already was enough data portability in the broad support for RSS in the base of apps that is enabling it to appear as if Facebook is subsuming everything? Could it be that Facebook is just another way of reading feeds?
			- I don't really know because unlike Scoble I haven't been sucked into Facebook myself. I'm enjoying the summer. I bought a car. Hanging with friends. Flirting with and orbiting around the opposite gender. Feeding coins into <a href="http://www.scripting.com/stories/2007/07/04/goodMorningEverybody.html">parking meters</a>. Thinking about what I can do to <a href="http://www.scripting.com/stories/2007/07/18/whyWeFight.html">help</a> my country. Almost anything but getting obsessed with Facebook.
			- Could it be that the world is passing me by?
			- Yes, it could be.
			- Or it could be that I already have a great feed aggregator and the world is just catching up?
			- What do you think?
			- PS: Did you read <a href="http://www.facebook.com/profile.php?id=500857454">this</a> in Facebook?
			- PPS: I've had a chance to get to know the <a href="http://www.insidefacebook.com/2007/07/19/breaking-facebook-acquires-parakey/">Parakey guys</a>, and I can vouch for their idealism. They just joined Facebook. So that bodes well for Facebook de-siloing and really opening up to the rest of the web, in the spirit of <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">sending them away</a> so they can come back.
		- The *other* real Fake Steve Jobs
			- <a href="http://flickr.com/photos/scriptingnews/852447826/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/19/ofsj.jpg" width="80" height="100" border="0" alt="A picture named ofsj.jpg"></a>
			- Click on the pic for more <a href="http://flickr.com/photos/scriptingnews/852447826/">detail</a>.
	- July 18
		- Why we fight
			- Cindy Sheehan was on <a href="http://www.msnbc.msn.com/id/3036697/">Hardball</a> last night, and said the most reasonable thing I've heard on news TV in a very long time, maybe ever. She said that the reason we're occupying Iraq is that it makes money for the people who run the country. Chris Matthews acted incredulous, and pressed her on it, almost ridiculing her. "Come on, do you really believe that?" may not have been his exact words but they were the sentiment he communicated.
			- This made me wonder about Matthews. Could he <i>not</i> believe it? Is he so much a Washington insider that he doesn't see it? Then I wondered about the people who read my blog. 
			- <a href="http://www.sonyclassics.com/whywefight/main.html"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/18/eisenhower.jpg" width="125" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named eisenhower.jpg"></a>Now that most of us are against the occupation, please, if you haven't already done so, watch the movie <a href="http://www.sonyclassics.com/whywefight/main.html">Why We Fight</a>. Or if you've already seen it, do it again, and tell a friend. It's not very long, and it's certainly not biased. Most of the people they interview are Republicans, John McCain, for example. A former head of the CIA explains what blowback means. They interview the people who flew the first bombing mission over Iraq. A former analyst inside the Pentagon. They're not typical anti-war people, they're just telling the truth. You can tell because unlike all the crap you hear that passes for news and analysis, it has the ring of truth. It checks out, it makes sense.
			- <i>We go to war because it's profitable. </i>
			- But it doesn't make sense for most of us to support more war, because it may make us richer in the short term, in the long term (which is starting to be short term) it costs too much. It's against our interest.
			- I'm old enough to remember Vietnam, and after it was over, I was sure that we would not make the same mistake in my lifetime. Well, it seems we didn't learn the lesson well enough. It's too easy for us to go to war. We need to do something to end the Iraq occupation, to bring our forces home and regroup. And we have to, this time, learn not just the lesson of Iraq, but the lesson of having a government that's controlled by people who profit from war. 
			- <a href="http://ceppi.blogs.com/arbitrage/2007/07/dave-winer---wh.html">Chris Ceppi offers</a> graphic evidence, Halliburton's 5-year stock graph.
		- It's not a war
			- I find myself yelling at the TV when Bush talks about "the front" in "the war."
			- It's not a war and there is no front. 
			- It's much worse. In a war with a front the troops who are not on the front lines are under much less pressure than the ones at the front. In most wars the front-line troops die in great numbers. They rotate troops in and out so that only a very small number are at such high risk at any time. 
			- In Iraq, which is an occupation, not a war, all our troops are at equally high risk any time they are off-base. 
			- This is a very subtle way our leaders lie. They use the logic of war. Most Americans probably aren't aware that it's a lie. That's why I edit my pieces so where ever I would say "war" I say "occupation." You should do it too. 
		- Is Plaxo the open identity system we're waiting for?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/18/augustusCaesar.gif" width="115" height="184" border="0" align="right" hspace="15" vspace="5" alt="A picture named augustusCaesar.gif">Nick Gonzalez at TechCrunch <a href="http://www.techcrunch.com/2007/07/18/plaxo-could-be-the-open-source-facebook/">explains</a> that Plaxo is creating an open identity system with an API that others can build applications on. 
			- He calls this "open source" -- but that's neither accurate nor does it explain why this is so significant. 
			- If anyone at Plaxo is listening, I'd like to find out more about what you're doing so I can explain it in the context of other identity systems. It sounds like it might be the <a href="http://www.scripting.com/stories/2007/07/13/whatIsFacebookWorth.html">open identity system</a> we're waiting for.
		- I am the real Fake Steve Jobs
			- There you have it. End of <a href="http://news.com.com/8301-10784_3-9746593-7.html">all</a> the suspense.
			- You can all go back to work now. ";->"
			- Not only am I the real Fake Steve Jobs, but I am the <i>first</i> real Fake Steve Jobs.
			- Wait, it's even worse. 
			- I am the <i>original</i> first real Fake Steve Jobs.
		- I love Italia!
			- According to <a href="http://paolo.evectors.it/">Paolo</a>, Il Corriere della Sera is one of the two most read Italian newspapers.
			- They have a great <a href="http://www.corriere.it/Primo_Piano/Scienze_e_Tecnologie/2007/07_Luglio/18/pop_storia_blog.shtml">picture of an <s>Italian</s> American babe</a> thinking about the history of something or other. It's all in Italian.
			- In her mind, in 1997, is a picture of me, a nutty one at that (taken by <a href="http://www.eightypercent.net/Archive/2004/09/22.html">Joe Beda</a>), with the caption: "Dave Winer creates a new type of web site, the 'weblog.'"
			- Italy is a great place! ";->"
		- OPML 2.0 as a namespace
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/18/parakeet.gif" width="105" height="183" border="0" align="right" hspace="15" vspace="5" alt="A picture named parakeet.gif">First, I want to be able to use elements of OPML 2.0 in my RSS feeds. I'm already doing it on an experimental basis, in the RSS 2.0 feed for TwitterGrams.
			- http://mp3.twittergram.com/rss.xml 
			- Note that it declares a "opml2" as a namespace at the head of the document, and it uses as the URI for the namespace, the OPML 2.0 spec. Apparently this breaks nothing, I've had no complaints about this feed. That doesn't mean there are no problems, however none have been reported.
			- The question is, can we put a namespace declaration at the head of an OPML file without breaking processors. When we tried to do this when RSS 2.0 was in its final shakeout (almost five years ago), it broke a bunch of apps and we had to back out of the idea.
			- It may be a problem with OPML as well. The point of this post is to ask for opinions of XML experts. Breakage of existing apps is not an option (see this <a href="http://www.25hoursaday.com/weblog/2007/07/17/NoteToSoftwareVendorsTheWorldIsCollaborativeAndLooselyCoupled.aspx">post</a> by Dare Obasanjo for an idea why).
			- <a href="http://www.docuverse.com/blog/donpark/2007/07/18/opml-and-namespace">Don Park</a> weighs in.
		- New formats for conferences
			- I don't go to many conferences these days, certainly not as many as I used to. Sitting in a dark hall, checking email, blogging, etc -- why go somewhere else to do what I do at home? The hallway conversations are good up to a point, but then I wonder why I can't read about the products people are pitching on their websites, where I can also try them out. 
			- So we experiment with new formats, to try to give us what we want. Which of course raises the question -- what do we want? At breakfast a few weeks ago here in Berkeley, with a group of friends, I posited an opinion -- what we want when we meet with other people is to explain who we are, and explore our issues, and learn who other people are, and what their issues are. We put all kinds of symbols in the way of the pure experience, but at the core that's what's actually going on. 
			- One of my table-mates, a psychiatrist, agreed and added an eye-opening idea. She said that medicine and technology have one thing in common, most of the people you meet never grew up. She explained that in medicine they didn't have to, because everyone looks up to them as having godlike insight into the meaning of existence, and the people in the profession tend to believe the hype. Having been in tech for many years, and having been treated by many doctors in recent years, I saw the pattern too. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/18/scales.gif" width="85" height="157" border="0" align="right" hspace="15" vspace="5" alt="A picture named scales.gif">Why grow up when the world confirms what we all tend to believe anyway, that we have special insight into meaning. This certainly is an idea that is reinforced in the tech business. And it's why our conferences have become so boring -- because despite all the odds against it, we actually <i>are</i> growing up. There is a difference between tech and medicine. We have bubbles and they burst, and when that happens, we're left to figure out what went wrong. It's these crises that force us to confront the reality that there are other people here, that it's not all about us. And that of course is on the path to becoming an adult. There's more to this, of course, but this is a blog post, not a book. ";->"
			- So, if we're ready for more, if we've grown beyond just wanting to put the big kids on a soapbox and admire them, what's next? I may have stumbled across an idea a few weeks ago when I invited some experts in mobile technology to my house for dinner, and asked them questions to bring me up to speed on some of the issues. It turned into a conversation, with six very alive, very informed people that lasted three hours or so. We didn't record it. No one took notes. We agreed not to blog the details. It was a memorable evening, something I will repeat, and others can do it too. And it's something that may make sense at an industry conference.
			- Imagine an evening event where, at random, groups of six were put together in a room with food and drink, perhaps an inspiring view, and a topic to discuss. As with our evening confab, it would be off the record, just a discussion that might or might not lead somewhere. You have to get beyond the usual surface-level stuff because you have three hours to fill. Who knows what might happen?
		- Blogs I'm reading
			- These are not new blogs, but ones I started reading recently.
			- <a href="http://blog.pcmag.com/blogs/miller/default.aspx">Michael Miller</a> was the innovative editor-in-chief of InfoWorld and PC Mag, and now he's got a blog. I've always valued his opinion of software and technology.
			- I bought a <a href="http://www.thetruthaboutcars.com/?p=3866">car</a> almost two weeks ago after a couple of months shopping. I bought a car that this blog, <a href="http://www.thetruthaboutcars.com/">The Truth About Cars</a>, hated. But I love the blog, it's irreverent and has reminded me of something important, if you want credibility with readers you have to regularly take shots at the vendors in the industry you cover (if you cover an industry). Clearly TTAC is not in bed with any of the manufacturers, that's why I, as a user, trust their advice, even if I don't follow it. 
			- Which leads me to <a href="http://www.uncov.com/">Uncov</a>, a site that takes cheap shots, regularly, at the icons of the tech blogging world. No, I wouldn't like it if they said these kinds of things about me, and I'm sure I will get my turn, but these guys remind me of the kind of incisive writing that used to come from Spy, or the National Lampoon or even <a href="http://www.suck.com/daily/96/01/12/daily.html">Suck</a>, in their heyday. They're great writers (even though they deny it), and provide a valuable alternative to the knee-grabbing footsy-playing party-goers of the Bay Area.
	- July 17
		- OPML 2.0, day 2
			- I've gotten some feedback about the <a href="http://www.opml.org/spec2">OPML 2.0 spec</a>, hopefully there will be some more as people review it one more time before it's frozen. See yesterday's <a href="http://www.scripting.com/stories/2007/07/16/opml20SpecWork.html">post</a> about why it's time to review it now.
			- Don Hopkins wants two things: 1. I should define flatdown in the spec and 2. It should be possible to include elements of OPML 2.0 in other XML documents. 
			- I may attempt both of these items, but I can't do it quickly. An informal definition of flatdown could be done in a few minutes. A rigorous one might take a lot longer (which is why I didn't try to define it in the spec in the first place). It appears in the definition of the expansionState element, which is an element specifically for people who are implementing outliners, and those people surely know what flatdown means (informally, it means moving to the next node down from where you are, regardless of structure). But even an implementer of an outliner could ignore expansionState and all that would happen is that the user would have to re-expand the outline as he or she likes it. It's a convenience for the user, basically. Certainly not crucial to <i>anyone's</i> implementation of OPML.
			- Item #2 is something I definitely want to do, because I want to use OPML 2.0 elements in an RSS 2.0 feed, in fact, I already am doing that in the feeds for the TwitterGram site. For example:
			- http://mp3.twittergram.com/rss.xml 
			- You'll notice that each item has an ownerId element, in the opml2 namespace, which is declared at the top of the feed to point to the OPML 2.0 spec.
			- I decided to approach it this way to avert a flamewar or Pilgrimish rants that there are 18 different versions of OPML. The worst that could happen here is that the feed for the TwitterGram site has an error, and so far, no one has reported this particular difficulty (Harold Gilchrist did work with me on another unrelated problem).
			- I'll write some more about this use of OPML 2.0 as a namespace in a bit.
		- Instant indexing
			- I just <a href="http://www.google.com/search?q=+flatdown+opml">searched</a> on Google for "flatdown opml" and it <a href="http://images.scripting.com/archiveScriptingCom/2007/07/17/jitse2007.gif">returned</a> the article I wrote 15 minutes ago.
			- In 1997 I <a href="http://www.scripting.com/davenet/1997/07/26/JITSEs.html">wrote</a> about Just-in-Time Search Engines and how important they would be. Back then I was thinking about overnight indexing. Now we've got instant indexing. Knock that one off the to-do list, it's done. 
	- July 16
		- Call out to the NY Times
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/16/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">I'm a regular listener of the NY Times <a href="http://www.nytimes.com/ref/technology/techtalk.html">TechTalk podcast</a>. It's well done and usually interesting. The last few weeks they've had a segment on the iPhone, and last week reviewed some of the websites that work especially well on the device. 
			- I was hoping they'd mention the <a href="http://nytimesriver.com/">nytimesriver</a> site, after all, they write for the Times, and presumably <i>read</i> the Times, and since they all have iPhones, well I hoped they'd overlook any potential conflicts and tell their listeners who very likely read the Times too, and would want to on their mobile devices, including of course the iPhone. Alas, no mention. 
			- I keep wondering how this great site can remain such a secret for so long. News.com <a href="http://reviews.cnet.com/8301-13549_7-9739671-30.html?tag=head">gave</a> it tons of flow, but that's dropping off now. I'll keep thinking of ways of spreading the word.
		- OPML 2.0 spec work
			- I've started to work on the final pass of the OPML 2.0 spec, in preparation for freezing it. The last changes were made on 3/1/06, well over a year ago. There haven't been comments in months. People have been quietly deploying OPML 2.0, even though there's a clear Do Not Deploy caveat at the top of the document. 
			- http://www.opml.org/spec2 
			- Today I made a change to the explanation of the new-in-2 &lt;ownerId> element. In the previous version it said the address had to point to a page with a form that allowed the reader to communicate with the author. It no longer says it must be a form. Further, in the previous version it didn't say that it must be unique to the author. Now it does. 
			- Please use the <a href="http://scripting.wordpress.com/2007/07/16/scripting-news-for-7162007/#comments">comment section</a> on the annex site for feedback.
	- July 15
		- WSJ and the history of blogs
			- <a href="http://www.duncanriley.com/2007/07/15/wall-street-journal-tries-to-re-write-blogging-history/">Duncan Riley starts</a> a thread on the origins of blogging, sparked by a Wall Street Journal piece. 
			- I got <a href="http://www.duncanriley.com/2007/07/15/wall-street-journal-tries-to-re-write-blogging-history/#comment-158739">involved</a> in the discussion, and along the way dug up an archive.org version of BlogTree.com, specifically the <a href="http://web.archive.org/web/20041012103912/www.blogtree.com/blogtree.php?blogid=140">page</a> for Scripting News.
			- <a href="http://www.wordyard.com/2007/07/15/no-first-blogger/">Scott Rosenberg</a>, who started covering blogs in <a href="http://www.salon.com/tech/col/rose/1999/05/28/weblogs/index.html">1999</a> in Salon, responds to the WSJ story.
		- Not sure what to make of this
			- <a href="http://www.downloadablemedia.org/about.html">Association</a> of Downloadable Media.
	- July 13
		- What is Facebook worth?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/13/augustusCaesar.gif" width="115" height="184" border="0" align="right" hspace="15" vspace="5" alt="A picture named augustusCaesar.gif">There's been a <a href="http://www.techmeme.com/070713/p21#a070713p21">debate</a> raging on Techmeme, the website that turns the tech blogosphere into a mail list, about the value of Facebook.
			- I have two answers to the question: 1. A lot. 2. Or very little. Depending on what they do.
			- The next evolution of the web is to deconstruct social networks into their components. We're all tired of building networks of friends, over and over. Next time we do it, it'll be for keeps. It'll be the "real" social network, the one all future social networks build on, just as the format and protocol designed by <a href="http://en.wikipedia.org/wiki/Tim_Berners-Lee">TBL</a> was the one we all built on for basic machine-level networking.
			- The "arcs" -- the lines connecting people -- will need to have better labels. And like the Internet, be subject to innovation by anyone, without anyone else's permission. Small pieces, loosely joined.
			- And the arcs will connect groups of people too. Big pieces that act just like the small pieces. ";->"
			- And there will be an easy way for an app to authenticate someone, and access data private to the app, and data that the user has let the app have access to. That way when I register to be part of a new community I don't have to re-enter all my data again.
			- If Facebook has the guts and vision to become this network, then it's worth everything, even $10 billion isn't enough. Instead of Yahoo or Microsoft acquiring them, they will be in the buyer's seat. And Facebook has a clear shot at doing it. But there's no evidence that they get this, and no evidence that if they do get it, that they're going to move aggressively to fill the need. 
			- There are plenty of other identity systems out there that could be easily extended to become social networks. Yahoo, imho, made a serious mistake when they made 360 independent of their main identity system. But they did a smart thing (although painful for existing users) when they folded Flickr's identity system into their main system. Same with Google and Orkut. Don't start new namespaces, build off the one you have. 
			- None of these mistakes are new, they've all been made many times over. IBM had the PCjr, when all the market wanted was a cheaper PC. And Hypercard should have been a scripting language integrated with the Mac OS, why have two graphic environments when your <i>strength</i> is the unity of your UI? What value were the rules of UI design if Apple immediately broke them? Unification leads to simplicty. Coalesce instead of fork. This is <a href="http://essaysfromexodus.scripting.com/postelsLaw">Postel's Law</a>, still a very good one to follow. Fewer formats please. And fewer logons, and fewer networks of friends. 
			- And Twitter still looks good. Let's hope they keep it simple. ";->"
		- Out and about
			- Lack of updates here the last couple of days are due to meetings around the Bay Area discussing new ideas, products, investments. Today I'm down the <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Palo+Alto,+CA&ie=UTF8&ll=37.447197,-122.159643&spn=0.029097,0.063429&z=14&iwloc=addr&om=1">peninsula</a> in Mountain View, Palo Alto and <a href="http://www.ihate.vc/">Menlo Park</a>.
	- July 12
		- Bob Stepno on nytimesriver.com
			- <a href="http://firstlook.nytimes.com/?p=22#comment-157">Bob Stepno</a>: "The only thing this approach doesn't do is generate income to pay the salaries of the reporters and editors who actually produce the stories."
			- There's no reason it couldn't -- but I haven't felt comfortable doing that without a deal with the Times.
			- People are starting to use the <a href="http://nytimesriver.com/">site</a> now that the iPhone has focused us on using mobile devices to read news. The more people do that the more attractive it will be as a business.
	- July 11
		- OJ's book
			- Saw a report on CNN today saying that there's still a chance that OJ Simpson's confessional <a href="http://www.mahalo.com/O.J._Simpson_Book_Controversy">book</a> might still come out.
			- I don't think the fact that the book has already been <a href="http://www.mininova.org/tor/758865">published</a> "On The Internet" has gotten through to the professional news organizations. Or are they deliberately ignoring it?
		- Grizzly Peak
			- Took my iPhone up to <a href="http://flickr.com/photos/scriptingnews/780509948/map/">Grizzly Peak</a>.
			- <a href="http://flickr.com/photos/scriptingnews/780509948/"><img src="http://farm2.static.flickr.com/1163/780509948_c1e0743d09_t.jpg" width="75" height="100" alt="Grizzly Peak Road" border="0" /></a>
	- July 10
		- Coffee on mcbook keybord
			- not trying to be cute but i got coffee on my keybord, now lot o key don't work. ouch.
			- trying to fix it <a href="http://blog.liip.ch/archive/2007/04/25/if-you-spill-coffee-on-your-macbook-pro-2.html">probly don't work too well</a>.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/10/caesar.gif" width="65" height="104" border="0" align="right" hspace="15" vspace="5" alt="[[A picture named caesar.gif">Later... Okay the MacBook Pro has to go in to have its keyboard replaced. Even though I bought AppleCare coverage for the computer, I'll have to pay for the repair, because I caused the problem. It'll take between 5 and 10 days and cost between $300 and $600. In the meantime, my iPhone is configured to sync with the computer that's got the broken keyboard. Does that mean I won't be able to put any podcasts on the iPhone? How about backing up the data I enter into the phone? Or will it all be wiped out when I connect it to another computer?
		- Today's links
			- <a href="http://www.rexblog.com/2007/07/09/17027/">Rex Hammock</a> on serious applications of TwitterGrams.
			- <a href="http://www.itgarage.com/node/813">Doc Searls</a>: "Where are you going to go for live information when a life-threatening wildfire bears down on your town?"
		- Mobile stories
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/10/donquixote.gif" width="65" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named donquixote.gif">Having an iPhone and the modest successes of the Times and BBC rivers has got me thinking about how to make the iPhone a truly great text reader. It's within grasp I think, and I also think that Scripting News is going to transition to being a mobile entity more than a desktop or laptop one. Both from the writing and the reading side. All the more <a href="http://www.scripting.com/stories/2007/07/09/scobleRubel.html">reason</a> why I need the OPML Editor (an instance of the Frontier scripting environment) running in mobile form. I may end up buying an ultralite Windows notebook to sub for the machine I <i>really</i> want (an iPhone with the OPML Editor running on it) to carry with me. Nah probably not. Arrgh. I wish I could put Mac software on this thing. You know that would put Windows to rest for some people, permanently. That Apple thinks Safari is the dev platform for anyone shows a bit of Don Quixote still lives in the heart of Uncle Steve. Why not go the easy way? 
			- The focus now is the <a href="http://www.scripting.com/stories/2007/07/10/mobileStories.html">story</a>. I know how to do the index page, it's a river. But what about the things the index page links to? What should they look like? That's what I'm playing with right now.
	- July 9
		- BBC is a river too
			- The NY Times is such a hit on iPhones.
			- Naturally, the BBC, with an incredible array of news feeds, is next up for revival.
			- http://bbcriver.com/ 
			- Great on all mobile devices...
			- <i>Enjoy!</i>
		- Scoble & Rubel
			- <a href="http://mp3.twittergram.com/Scobleizer/gram00854.mp3">Scoble</a> has TwitterGram, as an art, down to a science.
			- <a href="http://twitter.com/steverubel/statuses/142168952">Rubel</a> gets the big <a href="http://twitter.com/steverubel/statuses/142169812">vision</a>. If Apple had created an open platform, I'd be hard at work on it now. If anyone would port <a href="http://kernel.scripting.com/faq">Frontier</a> (it's GPL) to their mobile device, the whole thing would run right now. I'd help of course. (Important: I could also grant a non-GPL license to any platform vendor, to the original code release only.)
			- Nokia? Microsoft? Sony? Apple? ";->"
		- RSS & OPML for TwitterGrams
			- <a href="http://cyber.law.harvard.edu/rss/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/09/loverss.gif" width="85" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named loverss.gif"></a>Every registered user now has his or her own RSS 2.0 feed with enclosures. Since that's the standard for podcast feeds, you're all podcasters now. Yehi.
			- For example, <a href="http://mp3.twittergram.com/davewiner/rss.xml">here's</a> my feed. <a href="http://mp3.twittergram.com/Scobleizer/rss.xml">Scoble</a>. <a href="http://mp3.twittergram.com/techcrunch/rss.xml">Mike Arrington</a>. <a href="http://mp3.twittergram.com/nomadicoder/rss.xml">Nomadicoder</a>.
			- As with any group of feeds, there must be an <a href="http://mp3.twittergram.com/users.opml">OPML file</a> that joins them all. 
			- Applications? RSS and podcasting have had pretty good uptake around the Internet. ";->"
			- PS: There's been a <a href="http://mp3.twittergram.com/rss.xml">feed</a> for all TG's since the beginning.
			- PPS: Mike Hamilton may have found the compelling <a href="http://scripting.wordpress.com/2007/07/09/scripting-news-for-792007/#comment-89200">reason</a> for <a href="http://pipes.yahoo.com/pipes/">Yahoo Pipes</a> to support the Twitter API (and enclosures for RSS 2.0 feeds).
			- PPPS: <a href="http://www.scripting.com/stories/2007/06/25/twittergramsDay3.html">On June 26</a> there were 406 <a href="http://www.google.com/search?q=twittergram">references</a> for TwitterGram on Google. Today there are 407,000.
			- PPPPS: I did my <a href="http://flickr.com/photos/scriptingnews/764675924/">own</a> LOL Cats. ";->"
		- Cold-brew coffee
			- Last week I read an <a href="http://www.nytimes.com/2007/06/27/dining/27coff.html?ex=1340596800&en=3501592663ab4b06&ei=5090&partner=rssuserland&emc=rss">article</a> in the NY Times about cold-brew coffee and decided to try it.
			- I'm drinking a cup now.
			- <a href="http://www.coffeeoutpost.com/proddetail.php?prod=CE0005"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/09/toddy.jpg" width="89" height="118" border="0" align="right" hspace="15" vspace="5" alt="A picture named toddy.jpg"></a>How it works. You <a href="http://www.coffeeoutpost.com/proddetail.php?prod=CE0005">buy</a> a special plastic brewing container, it holds about a half gallon of water and one pound of coffee. There's a hole at the bottom of the container, which takes a plug, and has a place to lay a filter which is about 1/2 inch thick, made of some kind of fiber. You let the whole thing stand for 3 or 12 hours (depending on whose instructions you're following) and then pull the plug and put the plastic container on top of a carafe designed to fit under it. Let it drip for about 1/2 hour and then put the carafe in the fridge. The next morning it's cold and ready to make into iced coffee, or to be diluted (it creates a concentrated coffee) and zapped in a microwave. 
			- It's supposed to create radically better coffee.
			- As I said, I'm drinking a cup now, and it doesn't taste any different from hot-brewed coffee. I'll try some iced coffee later, but I'm not expecting radically greater coffee.
			- BTW, the Times article reads like a blog post.
			- Just thought I'd mention that. ";->"
		- How to learn new stuff
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/09/bonners.gif" width="105" height="217" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonners.gif">A story worth mentioning.
			- I was watching a blogtv show with Jeff Pulver talking about the iPhone. He didn't have one. Not that he can't afford it, he can, but he objected to the myriad of ways the iPhone is closed to anyone's innovation but Apple's, or anyone's economics but AT&T's. I share his disgust. Sometimes it seems as if American corporations are in the business of deceiving customers into thinking they're getting more power and utility, and then snatching it back and leaving us with less (and them with our money). Even though I adore the product, Apple is really pushing the limits on this with the iPhone. 
			- But I digress.
			- I posted a <a href="http://twitter.com/davewiner/statuses/137599502">comment</a> on Twitter that caught a fair amount of attention, and surprisingly, caught Pulver's attention too, and shortly after that I read on his <a href="http://pulverblog.pulver.com/archives/007195.html">blog</a> that <i>he had bought an iPhone! </i>
			- Now that surprised me. People aren't supposed to listen to what I say. That's not part of my movie, whose plot is that I spread the truth and no one hears me.
			- What's next? An open SDK from Apple? 
			- Reminds me of another story.
			- In the mid-90s I was considered by some at Apple to be their #1 enemy, more so than Microsoft which was eating their GUI lunch, or the web that was undermining their assumptions about how dumb users are. I think it was because I didn't know how to present my opinions so they'd go down easy (I'm better at it now) and because they weren't listening very well (they had bigger problems to solve). Then they fired the CEO and brought in Gil Amelio, a kindly older gent, who really prided himself on listening. I was invited in to meet him, and of course we hit it off (all I wanted was to be listened to). A month or so later I was invited to be part of an Amelio <a href="http://www.scripting.com/davenet/1997/03/10/FireDrill.html">keynote</a> (a poor imitation of a Jobs keynote) and it went off smoothly, and created quite a bit of buzz in the then-nascent blogosphere.
			- Someone who worked at Apple at the time wondered if hell had frozen over too.
			- Funny how people can do things you don't expect them to.
			- The point? Congrats to Pulver. We ought to get together in a few weeks to compare notes on the iPhone. 
			- Also after a little more than a week I have some concrete conclusions, which I outline briefly in <a href="http://mp3.twittergram.com/davewiner/gram00752.mp3">this TwitterGram</a>, but which I will expand on for sure either in a blog post or a podcast.
	- July 8
		- Fear is frozen fun
			- <a href="http://gesturelab.com/?p=86">Steve Gillmor</a>: "The joy of collaborating with a robot to produce fine comedy is exhilarating."
		- Boeing 787
			- CNET's Daniel Terdiman is <a href="http://news.com.com/8301-10784_3-9740587-7.html?tag=head">covering</a> the <a href="http://news.google.com/news?um=1&tab=wn&client=firefox-a&ie=utf-8&oe=utf-8&rls=org.mozilla%3Aen-US%3Aofficial&q=boeing%20787">launch</a> of Boeing's <a href="http://www.boeing.com/commercial/787family/background.html">new jumbo jet</a> in Seattle today. 
			- Hope he gets some pics of the interior. 
		- Gnomdex ho!
			- Just bought my tickets for <a href="http://www.gnomedex.com/2007/">Gnomedex</a>, August 9-11 in <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Bell+Harbor+Conference+Center+in+Seattle,+WA!&ie=UTF8&ll=47.610329,-122.33139&spn=0.03657,0.067892&z=14&iwloc=A&om=1">Seattle</a>.
		- A necessary step
			- <a href="http://www.nytimes.com/2007/07/08/opinion/08sun1.html?ex=1341547200&en=48e5d6fcc8a1ef0a&ei=5088&partner=rssnyt&emc=rss">The NY Times</a> calls for an immediate withdrawal from Iraq.
			- There's nothing amazing about this piece, except it's on the road to getting out of the mess in Iraq. 
			- It won't change anything with the President, but it will change the discussion to how <i>we</i> implement this plan, even if the President won't. 
			- <a href="http://www.scripting.com/2007/07/06.html">On Friday</a> I said that impeachment must become an option. More than that, it must become a <i>fixture</i> of American politics. We've now suffered through two two-term Presidents who had very little regard for our opinion of them. We need to get their attention, and the best tool at our disposal is to remove them from office when they break the law. It's our fault this is happening because we refuse to use our power.
	- July 7
		- Is iTunes scriptable?
			- Of course iTunes <i>is</i> <a href="http://dougscripts.com/itunes/index.php">scriptable</a>. ";->"
			- Now I have to wade through the interface to see if it's got any interesting strings I can pluck.
			- This goes way back to the early 90s, when we were working with Apple on scriptable apps. I'd like to drive synchronization of photos, for example, that means some interesting Flickr to iPhone apps are possible. Of course it would be so much easier if the iPhone were just a folder with sub-folders, and it took note of the changes without having to use an intermediate piece of software. Maybe there is a way to do that. It worked with iPods, right??
		- Today's links
			- <a href="http://www.techcrunch.com/2007/07/07/dave-winers-twittergram/">Mike Arrington</a> reviews TwitterGrams.
			- <a href="http://www.voidstar.com/node.php?id=2973">Julian Bond</a> on the various forms of blogging.
		- Appliance
			- <a href="http://shopping.yahoo.com/p:Kenmore%2027731%20Washer:2003268369;_ylt=AiN5UsuLKHtXbP16NB2mQmx4TRoF;_ylu=X3oDMTBuNDJsc3Y5BF9zAzk2NTgyNDY4BGx0AzQEc2VjA3Ny?clink=dmss//ctx=sc:341,c:341,mid:63,pid:2003268369,pdid:63,pos:1"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/07/appliance.gif" width="125" height="184" border="0" alt="Washer"></a>
	- July 6
		- Impeachment is an option
			- <a href="http://flickr.com/photos/scriptingnews/744110105/"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/06/think.gif" width="125" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named think.gif"></a><a href="http://niemanwatchdog.org/index.cfm?fuseaction=background.view&backgroundid=00192">General William Odom</a>: "Congress clearly and indisputably has two powers over the executive: the power of the purse and the power to impeach. Instead of using either, members of congress are wasting their time discussing feckless measures like a bill that 'de-authorizes the war in Iraq.' That is toothless unless it is matched by a cut-off of funds."
			- We're never going to get change in this country until we start routinely using the power to impeach and remove officials who aren't serving the interests of the country.
		- Two TwitterGram reviews
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/06/bird.jpg" width="65" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named bird.jpg"><a href="http://www.webware.com/8301-1_109-9740327-2.html">Webware</a>: "Twittergram is a lot of fun."
			- <a href="http://brianheyswrites.com/2007/07/06/twittergrams-theyre-going-to-be-hot/">Brian Heys</a>: "TwitterGram could do for podcasting what Twitter did for blogging."
			- And Daring Fireball has a nice <a href="http://daringfireball.net/linked/2007/july#thu-05-nytimesriver">review</a> of <a href="http://nytimesriver.com/">nytimesriver</a>.
			- <i>Thanks!</i>
		- Which iPod is better?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/06/ipod.jpg" width="75" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named ipod.jpg">There's no doubt, for someone who knows how to use an iPod, the previous generation iPod is much easier to use, both when loading it at home, and when using it on the road.
			- The music-playing function in the iPhone is flashy and colorful, but confusing. It's as if Apple hired a movie studio to design the user interface. They don't respect the mundane aspects of making a tool work for the user, and getting out of the our way. When you're on a walk, t's ridiculous to have to stop for 1/2 minute to move to the next song or podcast. The user interface of the new iPod, like the UI of the iPhone browser, puts the burden on the user to make up for deficiencies in the product design.
			- The previous generation of the iPod is not flashy, but it works. 
			- <a href="http://scripting.wordpress.com/2007/07/06/scripting-news-for-762007/#comment-88224">DaveD says</a> that there are three different iPods, the video iPod, the Shuffle, and iPhone, each good for different things. Maybe so, but that's a lot of money for most people. He's right that the iPhone plays movies well enough to carry it with you in place of a laptop. And get this, there's no need to do a <a href="http://howto.diveintomark.org/ipod-dvd-ripping-guide/">special rip</a>, as you had to do with iPods. The same movie you play on your desktop or laptop will play on an iPhone. How's the battery life when watching a movie? Not sure yet. One thing the laptop has that the iPhone doesn't -- a replaceable battery. 
		- Apache question revisited
			- In June I outlined a <a href="http://www.scripting.com/stories/2007/06/08/apacheQuestion.html">problem</a> I was having with the content system for Scripting News. Writing to a folder served by Apache for Windows was a problem, every few saves it would fail, leaving the site unusable until I manually restarted Apache.
			- A bunch of people suggested the problem would go away if I moved the static site to a different server from the content system. So I tried that  a few days ago, but the problem followed.
			- Then yesterday I tried switching my transfer method from file-writing to FTP, and voila, the problem is gone. Every save (knock wood) seems to make it to the static folder without error. I guess the key is that the FTP server, since it was written by Microsoft, comes into the file system at such a low level that it can always write a file no matter what other apps think about it. I don't know and don't really care, as long as it works, which it does. Whew.
		- Good morning everybody
			- Nothing earth-shaking going on over here today.
			- <a href="http://flickr.com/photos/scriptingnews/733466778/in/photostream"><img src="http://farm2.static.flickr.com/1386/733466778_563bcdeb19_m.jpg" width="180" height="240" border="0" alt="Historic iPhone user." /></a>
	- July 5
		- Thanks to CNET & Apple
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/05/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">Thanks to <a href="http://reviews.cnet.com/8301-13549_7-9739671-30.html?tag=head">CNET</a> for the boost for <a href="http://nytimesriver.com/">nytimesriver</a>, and thanks to Apple for putting the focus on mobile news sites. We're getting much more flow today, in one day, than we did in the last <i>three months.</i> Awesome. That's the power fo both CNET & Apple. 
			- This is, imho, the best way to read news on a mobile device. And the Times produces so much great news. The iPhone and the Times were made for each other.
			- BTW, when you see the little <a href="http://images.scripting.com/archiveScriptingCom/2007/07/05/icon.gif">speaker icon</a>, that's a <a href="http://podcasts.nytimes.com/podcasts/2007/07/05/21pogue.mp3">podcast</a>. When you click, the audio plays. Works great on an iPhone. Think about how rational and futuristic that is.
			- And of course <a href="http://nytimesriver.com/">nytimesriver</a> runs great on <i>any</i> mobile device, it was originally developed for my Blackberry. ";->"
		- Doc Searls on Steve Jobs in 1997
			- <a href="http://www.amazon.com/Dr-Bronner-Organic-Castile-Peppermint/dp/B00012NDTW/ref=pd_bbs_sr_1/104-0619295-2952700?ie=UTF8&s=hpc&qid=1183678425&sr=8-1"><img src="http://farm2.static.flickr.com/1281/731971146_ed8724bbfd_o.gif" width="105" height="217" border="0" align="right" hspace="15" vspace="5"></a>Seems like a good time to <a href="http://www.scripting.com/davenet/stories/DocSearlsonSteveJobs.html">link back</a> to Doc Searls' piece on Steve Jobs, shortly after he returned to Apple in 1997. "These things I can guarantee about whatever Apple makes from this point forward," Doc said...
			- 1. It will be original.
			- 2. It will be innovative.
			- 3. It will be exclusive.
			- 4. It will be expensive.
			- 5. It's aesthetics will be impeccable.
			- 6. The influence of developers, even influential developers like you, will be minimal. The influence of customers and users will be held in even higher contempt.
			- 7. The influence of fellow business artisans such as Larry Ellison (and even Larry's nemesis, Bill Gates) will be significant, though secondary at best to Steve's own muse. 
		- Up on Cripple Creek
			- <a href="http://www.docuverse.com/blog/donpark/2007/07/05/twittergram-flash-client">Don Park writes</a> to say "Adobe crippled audio recording in Flash so that bits from microphone are always sent directly to server-side *without* compression."
	- July 4
		- It's the API
			- Nik Cubrilovic: <a href="http://www.nik.com.au/archives/2007/07/03/twitter-v-pownce-its-the-api-stupid/">Twitter v Pownce: It's The API, Stupid</a>.
			- The API is why Twitter is a <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">coral reef</a>, and Pownce is just a shipwreck.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/04/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif">Twitter, to me, is a very thin app, on top of a bare-bones identity system with a clean and simple API, very lightweight (and therefore not very secure, not suitable for banking applications, for example). And for not very much more complexity it's also a pub-sub system (not IM, though many people confuse it with IM). 
			- It's one of the 25 most <a href="http://www.google.com/search?q=site%3Ascripting.com+twitter">interesting</a> pieces of software I've ever seen, not because of its technical prowess, rather because it is <i>not</i> technically impressive. You can master it as a platform in a matter of days. With good sample code (which I didn't have) probably in hours.
		- Doing my part
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/04/van.jpg" width="131" height="70" border="0" align="right" hspace="15" vspace="5" alt="A picture named van.jpg"><a href="http://www.docuverse.com/blog/donpark/2007/07/04/toyota-prius-and-fireworks">Don Park</a>, who I know to be a reasonable and fair person to do business with (I have experience), had a terrible experience with <a href="http://www.toyotapaloalto.com/">Magnussen's Toyota of Palo Alto</a>. 
			- Part of the power of blogs is that we get to share our experiences, so we can avoid businesses that take their customers for granted. There are lots of Toyota dealers, and many of them are a pleasure to work with; again I speak from experience. 
			- I drive a Toyota myself, purchased at <a href="http://www.lighthousetoyota.com/">Lighthouse Toyota</a> in St Augustine, FL (turn down the volume before clicking that link). I'm sure I paid more than I had to, and there were problems with the deal, but they took care of them, and in the end I felt good about the purchase. 
			- There's a big <a href="http://www.toyotaofberkeley.com/">Toyota dealer</a> in Berkeley, I've had to bring my car in for service there, and likewise, they've done a good job, and treated me with professional care. I managed to blow out all four of my tires (they're run-flat tires, a terrible design, imho), and they replaced them at no charge. I wasn't even their customer. How about that!
		- If Apple had *really* wanted to be revolutionary
			- They would have made a wifi-only cell phone. 
			- I wrote about this earlier this year. As I talk with people from home on my iPhone it seems so silly. The place is saturated with wifi bandwidth, and the device uses it, for everything but telephone calls.
			- <a href="http://www.scripting.com/stories/2007/06/15/whyNoIphoneSdk.html#p9">6/15/07</a>: "You gotta wonder why Apple went with such old, expensive, customer-hostile and likely obsolete technology."
			- And then I read this <a href="http://www.nytimes.com/2007/07/05/technology/circuits/05pogue.html?pagewanted=2&ei=5090&en=39e3cc8226651f90&ex=1341288000&partner=rssuserland&emc=rss">article</a> by David Pogue in today's Times saying that T-Mobile introduced a phone last week, in the middle of all the iPhone euphoria, that routes phone calls over wifi if a signal is present.
			- Seems the iPhone should be doing that. 
		- Good morning everybody!
			- Happy July 4.
			- Got some great tunes on the iPod, ready to rock.
			- First song this morning is an old fave.
			- Baba O'Reilly by The Who.
			- It's the song you think should be called Teenage Wasteland.
			- And the last line is "We're all wasted!"
			- Pretty funny.
			- Then there's the famous Bob Dylan song.
			- Subterranean Homesick Blues.
			- Ever notice there are <a href="http://images.google.com/images?q=site%3Ascripting.com%20parking%20meter">lots</a> of parking meters on Scripting News? There's a reason why. 
			- Except I had forgotten what it is.
			- A friend asked if it wasn't the Beatles song. 
			- Lovely Rita Meter Maid.
			- I said sure, if you want.
			- But that wasn't it.
			- It was the line in Dylan's song.
			- Don't follow leaders...
			- You know the rest. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/04/meter.gif" width="65" height="160" border="0" alt="A picture named meter.gif">
	- July 3
		- Using BlogTalkRadio to send TwitterGrams
			- <a href="http://www.twittergram.com/phone"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/03/operatorsmall.gif" width="65" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named operator.gif"></a>BlogTalkRadio has created a new dial-in service for TwitterGrams. 
			- Here's how it works...
			- 1. Decide which phone you want to use to call in TwitterGrams. The phone must have Caller ID. 
			- 2. Visit the new phone <a href="http://www.twittergram.com/phone">signup page</a>. Enter the phone number from step 1, and your Twitter username and password. 
			- 3. When you want to leave a TwitterGram using your phone, dial 646-716-6000. Leave a short message, less than half a minute (remember the 200K limit). Hang up when you're finished.
			- If all goes well, your "gram" will be <a href="http://twitter.com/twitogram">posted on Twitter</a> within seconds. 
			- <a href="http://twitter.com/twitogram/statuses/132377482">Just to be sure</a> everything is working, I recorded <a href="http://mp3.twittergram.com/davewiner/gram00442.mp3">one</a> of my own this morning. No problems! ";->"
		- iPhone, the cell phone
			- <a href="http://blogs.consumerreports.org/electronics/2007/07/iphone-the-cell.html?CMP=OTC-UI2883705828">Consumer Reports</a>: "With all the attention given to its multimedia features and innovative touch screen, it's almost easy to forget the iPhone is, well, a phone."
		- iPhone is a tablet computer
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/03/tablet.gif" width="65" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named tablet.gif">This idea snuck up on me. I was watching an Apple ad on TV, while washing dishes, so I caught it at an angle, and lost the sense of scale, and thought the iPhone was a tablet computer. Then I <a href="http://mp3.twittergram.com/davewiner/gram00450.mp3">realized</a> that it <b><i>is!</i></b>
		- Skype to TwitterGram?
			- <a href="http://scripting.wordpress.com/2007/07/03/scripting-news-for-732007/#comment-86525">William Brehm</a> wants to use Skype to phone-in a TwitterGram from Taiwan.
			- You <i>can</i> use Skype to call numbers in the U.S. 
			- That used to be free, is it not free now??
			- <a href="http://scripting.wordpress.com/2007/07/03/scripting-news-for-732007/#comment-86611">Phil Wolff explains</a>, Skype can't send a unique Caller ID.
		- 25 web apps for iPhone
			- <a href="http://www.rev2.org/2007/07/02/top-25-web-apps-for-the-iphone/">Useful list of websites</a> for newbie iPhone users.
			- Thanks for the notice of <a href="http://nytimesriver.com/">nytimesriver</a>. ";->"
		- nytimesriver.com in an iframe
			- <iframe src='http://nytimesriver.com/' height='380' width='320' /></iframe>
	- July 2
		- Attn TwitterGram Devs
			- A new entrypoint in the API.
			- http://docs.twittergram.com/#isPhoneRegistered 
			- There will be an end-user announcement here tomorrow.
			- Exciting times! ";->"
		- On the Libby Clemency
			- <a href="http://www.nytimes.com/2007/07/03/opinion/03tues1.web.html?ex=1341115200&en=3969a020a0805aa9&ei=5088&partner=rssnyt&emc=rss&pagewanted=print">NY Times</a>: "Presidents have the power to grant clemency and pardons. But in this case, Mr. Bush did not sound like a leader making tough decisions about justice. He sounded like a man worried about what a former loyalist might say when actually staring into a prison cell."
			- <a href="http://tirania.org/blog/archive/2007/Jul-02-1.html">Miguel de Icaza</a>: "No criminal left behind."
		- Why I love the iPhone
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/02/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">I do actually love this product.
			- And I'm grateful for it too.
			- Basically I like all Apple products. To me, it's a way to buy a BMW every month, without having to pay $60,000. 
			- Have you ever driven a mid-to-high-end BMW? I have, recently, I test drove a <a href="http://www.thetruthaboutcars.com/?p=3866">535i</a>. The car feels as if it has a grip on the road, it's got a confidence, it's upright, and fast, and it maneuvers, but most important, it feels good to sit in one, and it feels even better to move one. Feels, feels, feels. We buy these things for the feeling. Same with Apple's products.
			- My MacBook Pro has the BMW feeling, with its Titanium everything, it's just got that solid, upright feel to it. But it's big. The iPhone has that feeling, in something small, that fits in your hand. 
			- You don't want to give it to someone, you want to just hold it. I know it sounds silly and dorky, geez it's just a phone, after all, but it's not. It's a totem. A symbol. A charm. A fortune cookie. It's personal. It's mine.
			- Yes I know I sound like <a href="http://images.google.com/images?q=gollum">Gollum</a>. ";->"
			- That explains the "love" part of the relationship. But what about the gratitude?
			- <a href="http://www.scripting.com/stories/2007/06/15/iStillLoveMyBlackberry.html"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/02/blackberry.jpg" width="118" height="166" border="0" align="right" hspace="15" vspace="5" alt="A picture named blackberry.jpg"></a>Well, we've needed to have a serious conversation about mobile devices for a very long time. I realized this when Scoble was starting to nudge people about how their sites looked on his cell phone. Then I got a Blackberry, and started playing, and all of a sudden I wanted to have serious conversations about where this stuff is going. Plenty of people showed up, with tons of knowledge and experience, but the conversation drifted to the background. Now it's back in the fore, and I don't think it can drift to the back, not after so many people waited in line, and they sold 500,000 in the first weekend, and they've got a software updating mechanism that as far as I know no cellphone manufacturer has ever had. There's going to be an update for the iPhone in July, and one in August, and in September, and on and on. Eventually you'll have to buy a new one, probably long before the battery wears out. That's how Apple works of course. ";->"
			- So while I list my wishes, and complain about their chutzpah, that's just to make sure these things get on the record, maybe finally Apple will have some competition, someday I'd like to buy a Mercedes or a Lexus, nothing wrong with that, right? You learn from your competition, and Apple hasn't had that benefit. I hope they do, so we can spread the love and gratitude. 
		- iPhone wishes
			- I'm still finding things I wish they did, not little things, but big ones, incongruities, things about the iPhone and its positioning that don't match the feature set.
			- Probably the biggest area the product is lacking is in browser prefs. i've been using the web for almost 14 years. We've seen a lot of ideas come and go in prefs for web browsers, but it has settled down to a predictable set. Apple says this is a real web browser, as opposed to the more limited browsers that come with other cell phones. If so, where are the most rudimentary of preferences?
			- The one I miss the most from my Blackberry is the option to set the start page. I created a list of sites that I like to check when I'm on the BART or waiting in line at the supermarket. Without the ability to set the start page, I have to rely on memory, and I have to type the first few characters of the URL. 
			- The ability to set the default font and size is a very standard and time-tested browser pref. I always set this in a new browser, I never accept the default. And never have I seen a browser that needs this pref more than the iPhone does.
			- Wouldn't it be great if it had a fractional horsepower HTTP server built in, so when you're near a laptop or a desktop, you could configure the iPhone from a full-size screen and a computer that has a clipboard (another thing I suspect I'm really going to miss on the iPhone).
		- Things I have figured out
			- Okay, I made my peace with synchronizing to get music on the iPod, but it doesn't do me any good because the ear buds hurt my ears, after just ten minutes of use, and that's hardware I can't replace, so I'm afraid the iPhone loses on that one. However it is nice that the speaker is loud enough so that you can hear the player even without the ear buds, and it's nice that the buds have a mike too, but of course that's useless to me because of the physical pain.
			- Basically I want to use a pair of cheap Sony headphones to listen to podcasts on my daily walk, and you can't do it with the iPhone and sorry I don't care what the excuse is, that's just wrong.
			- An aside, I wasn't able to figure out how to get an episode of The Wire onto the device so I could watch it. I just wanted to see what watching a TV show would be like, and I'm opposed to using their store to buy shows I've already paid HBO for (twice, not only have I had a subscription for the last 30 years, but I also bought the DVDs from Amazon). Try as hard as I can, I couldn't get iTunes to upload the video to the iPhone.
			- PS: Thanks to <a href="http://scripting.wordpress.com/2007/07/02/scripting-news-for-722007/#comment-86172">Matthew</a>, I got it <a href="http://www.scripting.com/stories/2007/07/02/tvLookPrettyGoodOnTheIphon.html">working</a>.
			- I figured out how to email a picture taken by the camera, thanks to a tip from Robert Scoble. And Flickr has a special email address for every user that makes it easy to connect the camera to Flickr, so here's a <a href="http://flickr.com/photos/scriptingnews/690065948/">picture</a> I snapped of myself with the iPhone, uploaded seconds after taking it. Nice! 
		- Briar Dudley on the iPhone
			- Every one of his <a href="http://blog.seattletimes.nwsource.com/brierdudley/2007/07/ten_more_thoughts_about_the_ip.html">ten points</a> is right on the money.
	- July 1
		- Problem solved -- Readable websites on an iPhone
			- Scott Mace sent some advice that worked, that made it so that my example page looks good in Safari on an iPhone without the user having to adjust the resolution. 
			- Open <a href="http://nytimesriver.com/">this page</a> on the iPhone, you'll see it reads quite well.
			- If you don't have an iPhone, here's a <a href="http://flickr.com/photos/scriptingnews/684663427/">screen shot</a>. ";->"
			- The trick is to add a &lt;meta> element to the page:
			- <code>&lt;meta name="viewport" content="width=320"></code>
			- View source on <a href="http://nytimesriver.com/">nytimesriver</a> to see how it works. 
			- Here's a <a href="http://groups.google.com/group/iphonewebdev/browse_thread/thread/c7b605e5d43c0b26">thread</a> where this is discussed.
			- PS: The same page looks good on a Blackberry too.
		- Is Apple breaking my headphones?
			- <a href="http://www.pearlpaint.com/shop~parentID~989~categoryID~988.htm"><img src="http://images.scripting.com/archiveScriptingCom/2007/07/01/exacto.gif" width="45" height="151" border="0" align="right" hspace="15" vspace="5" alt="A picture named exacto.gif"></a><a href="http://www.kottke.org/07/06/cupertino-we-have-a-problem">Jason Kottke reports</a> that you can hack up your "third party" headphones with an Exacto knife to get them to work with the iPhone. 
			- Excuse me, but I like my headphones as they are, and the iPhone is a pretty lame iPod, crippled if you ask me, so I'll stick with my 60GB unit and hope that some other manufacturer gets their act together and teaches Apple some manners with their customers' money. 
			- Can you imagine the meeting at Apple where they decided that they had the market power to force their customers to get new headphones! Such chutzpah.
		- Is Apple breaking the web?
			- If the iPhone were some little obscure thing then <a href="http://reader.mac.com/mobile/v1/http%3A%2F%2Fwww.scripting.com%2Frss.xml">pages like this</a> wouldn't be such a concern. <a href="http://flickr.com/photos/scriptingnews/687640692/">Screen shot</a>.
			- Viewing it by iPhone, it's an RSS reader, viewing this site, that's why it showed up in my referrers. Not clear why it can't be displayed in Firefox on my Mac laptop.
		- Attn TwitterGram devs
			- If you're working on the phone to TG connection, this <a href="http://docs.twittergram.com/#newPhonePost">new web service</a>, twitterGram.newPhonePoast, simplifies the problem; makes it easier to implement the connection. 
		- A picture taken with an iPhone
			- I keep forgetting that it's a camera too.
			- <a href="http://www.flickr.com/photos/scriptingnews/686135940/" title="Photo Sharing"><img src="http://farm2.static.flickr.com/1437/686135940_79a03ab517_m.jpg" border="0" width="180" height="240" alt="These guys were interested in my iPhone" /></a>
			- Click on the pic for the <a href="http://www.flickr.com/photos/scriptingnews/686135940/">Flickr photo page</a>.
		- iPhones that didn't activate
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/07/01/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">I was getting ready to do a podcast on why the iPhone is important and totally worth obsessing over, but maybe before we go there, we should take a look at this number.
			- According to an unscientific <a href="http://www.engadget.com/2007/07/01/poll-got-iphone-activation-problems/">Engadget poll</a>, 38 percent of iPhone users have not gotten their phones activated. An unactivated iPhone is useless, you can't enter numbers into the contact list while you're waiting, you can't surf the web over wifi, or watch YouTube videos or find out what the temperature is in Cupertino.
			- <a href="http://twitter.com/steverubel/statuses/129084842">Steve Rubel</a> is one of the 38 percent. And since he cancelled his Verizon account, he no longer has a cell phone. Not a good situation for a guy like Steve. He's in PR. (Steve writes: "I actually have a backup phone from Edelman but it's my personal phone that wa cancelled.")
			- <a href="http://thomashawk.com/2007/06/activating-new-iphone-thus-far-is-pain.html">Thomas Hawk's</a> iPhone isn't working yet either. He describes waiting on hold endlessly with AT&T. Like Steve, his first memory of iPhone is going to be a wasted weekend trying to get started. 
			- For what it's worth my activation went smoothly, took just a few minutes.
			- <a href="http://www.rexblog.com/2007/07/01/17006/">Rex Hammock</a>: "Perhaps setting up a cell-phone account is a process, not a purchase."
