- September 2007
	- September 30
		- Payloads for Twitter, round two
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/30/hebrewHunk.jpg" width="95" height="136" border="0" align="right" hspace="15" vspace="5" alt="A picture named hebrewHunk.jpg">On Friday evening I wrote a <a href="http://www.scripting.com/stories/2007/09/28/payloadsForTwitter.html">piece</a> about integrating images, audio and perhaps other types with Twitter. There's been a bit of reaction, not too much, I think because most of the people who are adversarial about this kind of stuff either don't use Twitter, or because it's the weekend. 
			- Most of the reaction was either <a href="http://twitter.com/hardaway/statuses/301102872">puzzled</a> or <a href="http://www.mentalkipple.com/?p=119#comment-1543">negative</a>. An example of puzzlement. Isn't that what Pownce does? Yes, but... Two things: 1. Pownce is still invite-only and 2. Pownce doesn't have an API, so it's inherently not as interesting to me, as a developer, because I can't build things on it. 
			- I like Twitter because it's open to anyone to use, without an invitation, and lots of people use it, people I care about, and it has a very nice API. Further, as I've gotten to know the people involved, I've learned that the API is of supreme importance to them. So our interests are in-line there. I see Twitter as a framework to build things on, a platform, like a big Christmas tree we can all hang ornaments on. I could build nicer ornaments with a few extra wires on the network that connects all the ornaments. In fact, I've already built two of them, and we use them all the time. But I couldn't ask too many people to use them because they're too ugly. What I've proposed is a way to make them pretty, to make them work the way people expect them to. 
			- Now another form of pushback is, well why don't you just build your own framework, different from Twitter, that does what you want, and leave Twitter alone. To which I say, I can't do anything to Twitter, other than talk about it. Whether to build the interfaces or not is up to the people at Twitter. I can have an opinion, yet ultimately the decision, and responsibility is theirs. Now, why don't I clone it? Well that's something I'm just not going to do. I have relaxed lifestyle these days. I'm beyond the point where I feel the need to prove anything through my work. I like to play and try out new ideas, just for the pleasure of it. If I were 20 years younger, I probably would be approaching this differently, but I'm not 20 years younger. ";->"
			- No doubt there are people, lurking in the shadows, who would like to share some of Twitter's success. The idea is so good that we're just at the beginning of its adoption. Maybe there are as many as 50,000 people regularly using Twitter. I think in a few years there will be millions, using Twitter, or something very much like it. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/30/youngMenWithBuckets.gif" width="120" height="60" border="0" align="right" hspace="15" vspace="5" alt="A picture named youngMenWithBuckets.gif">But we're at a unique place in the evolution of this stuff, which in some ways is very good. Suppose there were 20 Twitter-like systems out there, and we wanted to add a feature to all of them. Forget it! Developers just don't like working with each other enough to overcome their competitive urge. But right now, with one player in the market, we could make 10 times the progress we'll be able to make when there are 2 or 3. And a million times the amount in a market with 20 Twitter-alikes.
			- Further, the richer the API is, and the more broadly supported it is, the greater the incentive for newcomers to be compatible with Twitter. I don't get the warm fuzzies from Pownce that they are willing to follow anyone's lead, even though they don't yet have an API. But if anyone out there is brewing another entrant, and reading this, please please be compatible with the Twitter API. Not just the spirit, but the letter. Make sure that all the tools built for Twitter run without modification on your system.
			- So these are just some of the additional thoughts. Evolution of APIs is an art, not a science. I've learned a lot about it before the Internet, and then in XML-based formats and protocols. We're at a sweet moment right now, and if the Twitter guys want to lead, and if the rest of us are willing to be led (I am) then we can really build something wonderful.
		- Will the US bomb Iran? Soon?
			- There is a lot of random speculation in my aggregator today about "surgical" strikes by the US in Iran. It's unthinkable that the same process that led to the disastrous occupation of Iraq could stand, uncorrected, and get us into a much more serious conflict with Iran, one which we won't "win," (Bush's plan for Iraq, ludicrous) no matter what we do. When will we take control of our government and stop this?
			- Google <a href="http://news.google.com/news?q=surgical+strikes+iran">search</a> for "surgical strikes Iran."
		- The Mets on the last day of the regular season
			- <a href="http://en.wikipedia.org/wiki/Tug_McGraw"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/30/tug.gif" width="85" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named tug.gif"></a>I tuned in the Mets game a few minutes late, and they're already down 5-0 in the top of the first. Ooops. It's now 7-0. 
			- The Mets don't <i>have</i> to win to make it to the postseason, if the Phillies lose. If that happens, they'd be tied, and would play a tie-breaker, winner-take-all game (I think tomorrow). 
			- When Mets fans get a sense of entitlement, they break your heart. The Yankess are the entitled ones. The Mets are hapless.
			- "The nightmare is over for the Mets," says the announcer at the end of the Marlins at-bat. No, it's not over until it's over. A big lesson in the philosophy of baseball.
			- In all my years following the Mets I don't think I've ever seen them win easily. For that matter, I don't think I've ever seen them lose easily either. ";->"
			- As the Mets score their first run of the day, I'm reminded of <a href="http://en.wikipedia.org/wiki/Tug_McGraw">Tug McGraw</a>, an early Mets philosopher, who said "Ya Gotta Believe." I believe this is one of those moments when believing might make a difference. 
			- Final: Mets lost, Phillies won. No joy in mudville tonight. :-(
	- September 29
		- Notes on the N800
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/29/n800.gif" width="126" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named n800.gif">I still didn't have the N800 working reliably on my home network, but it worked everywhere else I tried it, so I was determined to figure out what was wrong. I heard about a program called <a href="http://www.versiontracker.com/dyn/moreinfo/macosx/17199">Kismac</a> that helps you debug wifi, and it was a little bit of help. But the tide turned when I decided to turn off wifi routers (I had four running) and see if the N800 would start working. Well, one of my two Airport Extremes made the difference, when I turned it off, the N800 started working. So after a bit I tried turning it back on, and the N800 still worked. No explanation, but knock wood, it's still working an hour later.
			- One nice side-effect of having Flash on the N800 is that YouTube works. I was able to watch the <a href="http://www.scripting.com/stories/2007/09/27/republicansABetrayalOfTrus.html">great MoveOn ad</a> about Senator Mitch McConnell. It looked great on the N800.
			- Now I'm looking for a <a href="http://vncviewer.garage.maemo.org/">VNC</a> client. I'd also like to play old <a href="http://en.wikipedia.org/wiki/The_Simpsons">TV shows</a> on it, but the video player doesn't have the rich set of codecs baked into <a href="http://www.videolan.org/vlc/">VLC</a> which has spoiled me. 
			- Battery life on this thing is <i>outstanding.</i>
	- September 28
		- Payloads for Twitter
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/28/keet.jpg" width="125" height="217" border="0" align="right" hspace="15" vspace="5" alt="A picture named keet.jpg">Back in 2001, I wrote a document called <a href="http://www.thetwowayweb.com/payloadsforrss">Payloads for RSS</a> that explained how you could attach something to a RSS item. I didn't explain how a RSS app would display or play one of these things, that would come later.
			- Today, we may be at a similar place with Twitter. 
			- Sometimes I want to answer Twitter's question, "What are you doing?" with a picture, or a bit of audio. Some people want to send videos. It's easy to imagine in the future that along with a Twit, I might also want to automatically send my location (obviously a preference), and maybe some other status information. 
			- It seems that four bits of data are stored with each post: 1. the person who posted it, 2.  the time it was posted, 3. how the post came to Twitter (web, <a href="http://www.hahlo.com/">Hahlo</a>, <a href="http://twitku.com/">Twiku</a>, <a href="http://twitter.com/help/mobile">txt</a>, <a href="http://iconfactory.com/software/twitterrific">twitterrific</a>, <a href="http://www.twittergram.com/phone/">twittergram</a> are some examples) and 4. who it's in reply to (if it is).
			- Now suppose I wanted to allow for payloads, as RSS 2.0 does. The problem is a bit more complicated, because not only do we have to specify how the data is communicated, we also have to say how it's displayed. 
			- Caveat: This is just a proposal, there are many ways to do it, this is just one way.
			- First, the "update" routine, as specified by the Twitter API, would add 2 optional parameters: 1. the url of a picture that's a thumb for the enclosed data and 2. the url of the data. 
			- A couple of examples...
			- 1. For Twittergrams, which are audible tweets, recorded on a cell phone, the image would be a small speaker, <img src="http://www.scripting.com/gifs/QBullets/qbullets/sound.gif" width="10" height="11" alt="speaker">. The second paramter would point to the MP3 file.
			- 2. For a Flickr pic, the image would be a tiny thumbnail of the picture, and the second paramter would point to the Flickr page.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/28/hebrewHunk.jpg" width="95" height="136" border="0" align="right" hspace="15" vspace="5" alt="A picture named hebrewHunk.jpg">Discussion...
			- I thought the whole thing could be shrunk down to one paramter, a pointer to a bit of text that Twitter would trustingly display, but that's the problem, you have to trust the app not to break Twitter, and we all know that wouldn't last. Even a well-intentioned delveloper can forget to close a table properly, and that would leave the Twitter display in disarray.
			- I also thought we might register data types with Twitter, but that's a likely black hole. Apple went down that path, so did Microsoft and the IETF. It's a lot of work to make those systems work, and it's just a matter of time before they break down in chaos. 
			- I think that Twitter should probably handle two or three types specially because they are so common and useful. Those are pictures, audio and possibly video. But that's potentially a lot of work, and can be done later.
			- Some will object that this only makes sense in the web, and that Twitter is designed for SMS. To that I say two things: 1. Degrade gracefully. 2. You already have features that make sense only in the web, e.g. the <a href="http://images.scripting.com/archiveScriptingCom/2007/09/28/people.gif">pictures</a> next to posts that show iconically who's saying what. That's a nice thing to have in the environments that can display pictures, and its presence there does nothing to diminish the experience for the environments (e.g. SMS) that can't.
		- Today's links
			- Ian Kennedy does a <a href="http://everwas.com/2007/09/mining-the-ny-times-archives.html">view-source</a> on the NY Times and finds there's a lot of metadata in there. Cool!
			- <a href="http://randomdude.com/blog/threads/2558-Flickr-feature-requests">Dustin Sacks</a> has feature requests for Flickr, some very good ones, esp a Referrer log. Twitter needs this too. 
			- <a href="http://www.buzzmachine.com/2007/09/28/the-problem-with-newspaper-blogs-is/">Jeff Jarvis</a> on newspaper blogs.
	- September 27
		- Republicans: A betrayal of trust
			- <object width="212" height="175" align="left" hspace="15" vspace="5"><param name="movie" value="http://www.youtube.com/v/bwoORln51NI"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/bwoORln51NI" type="application/x-shockwave-flash" wmode="transparent" width="212" height="175"></embed></object>Excellent ad. They picked up the "betrayal" theme from the General Betray Us ad, and addressed the Republican's objections, by directing the betrayal theme at an obvious "Washington politician," Senate minority leader <a href="http://en.wikipedia.org/wiki/Mitch_McConnell">Mitch McConnell</a>. It'll be interesting to see how the Republicans vote next time. Not claiming they read my <a href="http://www.scripting.com/stories/2007/09/26/presidentBetrayUs.html">advice</a>, but it's almost exactly what I asked for, and I think it'll work well. ";->"
			- If you like the <a href="http://www.youtube.com/watch?v=bwoORln51NI&eurl=">ad</a>, <a href="https://pol.moveon.org/donate/mcconnell.html">give MoveOn money</a> to run more ads.
		- Apple updates iPhone. Legal, unhacked phones become bricks?
			- <a href="http://www.uriahcarpenter.info/1984.html"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/27/runner.jpg" width="85" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named runner.jpg"></a>According to <a href="http://bits.blogs.nytimes.com/2007/09/27/steve-jobs-girds-for-the-long-iphone-war/">Saul Hansell</a> at the NY Times, Apple intends to break phones that have been unlocked. 
			- But <a href="http://twitter.com/hardaway/statuses/297653582">Francine Hardaway</a> and Patrick Scoble both updated this afternoon, and bad things happened. Hardaway's phone was "fried," she needed a new phone, and Scoble lost all his data.
			- <a href="http://twitter.com/hardaway/statuses/297797742">Hardaway</a>: "Trust me, I didn't hack it."
			- <a href="http://twitter.com/JeffClavier/statuses/297820642">Jeff Clavier</a>: "This effing piece of s..t is bricked."
			- Robert Scoble, Patrick's dad, <a href="http://scobleizer.com/2007/09/27/apple-has-a-pr-nightmare-brewing/">updated</a> successfully, and got the new features. Scoble has guts.
			- <a href="http://twitter.com/spaley/statuses/297913572">Spaley's</a> iPhone is now "a useless piece of crap."
			- <a href="http://twitter.com/jabancroft/statuses/297767712">Looks like</a> Josh Bancroft's iPhone was hosed too. I would hold off on the update until we find out what's going wrong. 
			- <a href="http://www.sugarattack.com/2007/09/27/twitter-reaches-new-levels-of-awesomeness/">Sugar Attack</a>: "It wasn't until I saw a friend tweet about the new iPhone firmware upgrade that I realized I could now access the iTunes WiFi store."
		- Twitter is taking a shower tonight
			- I love Twitter, but there have been a lot of problems, and this is too much. They're taking it <a href="http://images.scripting.com/archiveScriptingCom/2007/09/27/takingAShower.gif">down</a> tonight, for two hours, and we're hot on a big <a href="http://www.scripting.com/stories/2007/09/27/appleUpdatesIphoneLegalUnh.html">story</a>, and it's developing -- <i>on Twitter.</i>
			- This seems like a bad night for Twitter to go to sleep. (But there probably never is a good night.)
			- I don't think the Twitter guys really understand how much we're doing with their service. 
			- It's been going down a lot lately. And while other people have been complaining about it losing posts, I had never seen it lose one, until yesterday, and now it's losing them regularly, for me too.
			- Read the first three words of this post again. 
			- They raised $5 million, it seems now it's time for them to get the bugs out, hire some people who really understand scaling, if necessary re-implement the system from the ground up. Do whatever is needed to make it as reliable as the other tools we depend on. We need Twitter to work. It's not a fun experiment for us, we're <i>using</i> it. 
			- Jack, Ev, Biz, Fred -- please take note.
			- Postscript: The announcement <a href="http://images.scripting.com/archiveScriptingCom/2007/09/27/update.gif">changed</a>, now they're saying it'll be down on Sunday night. Much better. <i>Thanks!</i>
		- Good morning Internet!
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/27/n800.gif" width="126" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named n800.gif">An interesting <a href="http://flickr.com/photos/scriptingnews/1445099694/">discussion popped</a> up on Flickr under the picture of the N800, which <a href="http://www.scripting.com/stories/2007/09/26/nokiaN800ArrivesFinally.html">arrived</a> yesterday. I'd like to get to the bottom of the problem and get it working. What I really want to know is if there's an Apache running on the device. If so, can the camera drop pictures into the htdocs folder? Can I record a podcast? Will it drop the MP3 file into the htdocs folder? We may just have to wait for Bug Labs to get the user programmable hand-held, but after a night of sleep, last night's failure is fading out and a teeny bit of enthusiasm is returning. But first I have to go to breakfast and do a couple of meetings. 
			- Postscript: <a href="http://maemo.org/downloads/product/apache/">Apache for the N800</a>.
			- Postscript: <a href="http://flickr.com/photos/scriptingnews/1448284841/">The N800 works</a> at a local Internet cafe. I was able to browse the web and make a Skype call. ";->"
			- Finally: This <a href="http://www.internettablettalk.com/forums/archive/index.php/t-5698.html">thread</a> had the answer... I have it running with no security, but it works, with the settings tweaked as indicated in the thread. I will have to get it working with security, but for now, I am able to connect.
	- September 26
		- Nokia N800 arrives, finally
			- <a href="http://flickr.com/photos/scriptingnews/1445099694/in/photostream"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/26/nokiaArrivesFinally.jpg" width="275" height="367" border="0" alt="A picture named nokiaArrivesFinally.jpg"></a>
			- <a href="http://flickr.com/photos/scriptingnews/1445099694/#comment72157602165806020">First impression</a> is no impression at all. 
			- So far they make Apple look very very good. 
			- To paraphrase a <a href="http://www.youtube.com/watch?v=XjqEo7ipIdU&eurl=http%3A%2F%2Fwww%2Esplendad%2Ecom%2Fads%2Fshow%2F1436%2DCadillac%2DCTS%2DReturn%2Dthe%2DFavor">Cadillac ad</a>, when you turn your mobile device on, does it return the favor? 
			- Apple, yes. Nokia, the jury is still out.
			- <a href="http://europe.nokia.com/A4305010"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/26/n800.gif" width="126" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named n800.gif"></a>A couple of hours later, the battery is charged, but it's taking forever just to get it connected to the Internet. I have good wifi in the house, my laptops and iPhone use it all the time. The iPhone "just worked." Oy.
			- Oh the humanity. To <a href="http://europe.nokia.com/A4305010">update the N800</a> you need Windows, with <a href="http://www.microsoft.com/downloads/details.aspx?familyid=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displaylang=en">v2</a> of the .NET Framework. Yeah, I have Parallels on my MacBook, but I recognize an invitation to lose huge amounts of time when I see one. For a $350 impulsively purchased <a href="http://www.scripting.com/stories/2007/09/19/nextAppleToyIsntEvenFromAp.html">toy</a> (a week ago) this is turning out to be a huge pain in the you know what. 
		- Media you can't trust
			- I saw most of the speech given on Monday by Iranian President Ahmadinejad at Columbia University. I also watched a lot of the coverage that night and the following morning by MSNBC and CNN, and I gotta say, they behaved shamefully, as badly as Lee Bollinger, the president of Columbia University, who introduced Ahmadinejad. 
			- <a href="http://www.azstarnet.com/sn/hourlyupdate/202820.php">Transcript</a> of the Ahmadinejad speech.
			- <a href="http://video.google.com/videoplay?docid=-1166743591032759849&q=ahmadinejad+columbia+duration%3Along&total=8&start=0&num=10&so=0&type=search&plindex=3">Video</a> of the entire talk and intro. 1 hr 21 min.
			- Ahmadinejad came off as a gentleman, he had every right to be offended. Had I been in his place, I would have found it hard to give a speech after the intro Bollinger gave. And then the cable networks completely misrepresented what happened. It was beyond spinning, it was outright propoganda. It wasn't until Hardball that a reporter, Chris Matthews, talked about what really happened.
			- It's basic decency to the guest and to the people watching, that they not tell us what to think. It's a very American thing to let people make up their own minds. That Ahmadinejad was able to claim this as an Iranian value, when it was so clearly not an American one that day, was shameful to me as an American. 
			- What if Columbia had maintained neutrality. Asked direct questions, accepted his answers and moved on. We got the tiniest glimpse of how revealing that might have been when he said that Iran didn't have homosexuality. The audience laughed as if he was making a joke (not in derision as the TV anchors reported). At first it wasn't at all clear if it was humor, his delivery was so straight, he seemed serious, but how could he seriously expect us to believe there were no gay people in Iran?? When it was clear he wasn't joking, it was a chilling moment. There it is, that's the face of despotism. Now we know, despite his protests, that we're still better than he is, I haven't heard the US government claim that there are no gays in America (but I have heard them say things <i>approaching</i> that level of dishonesty). 
			- Had they just let Ahmadinejad speak for himself there would probably have been no need to hit us over the head with what they want us to think about him. But as it stands, that was the only clear thing he said at Columbia that wasn't basically reasonable. 
			- His pitch: I come from a place that's far away from here. You sent your army to fight on our border. We don't like the Israelis because they mistreat the Palestinians who had nothing to do with the Holocaust (a far cry from saying the Holocaust never happened). It's pretty clear, although he didn't say it, that given a choice, he would like to see the Palestinian people rule the space now occupied by Israel (this is probably what they mean when he says he wants to "wipe" Israel off the map). So, that's not our position, but it's not really different from ours. The reality is that there are two peoples who claim that territory. So Iran is on the other side. That's not exactly front page news.
			- <i>An aside, very few Americans know the role we played in overthrowing Iran's attempt at democracy in the 1950's. I recommend Stephen Kinzer's <a href="http://query.nytimes.com/gst/fullpage.html?res=950DEED8143EF933A2575BC0A9659C8B63">All the Shah's Men</a>. For an overview, <a href="http://blogs.law.harvard.edu/lydondev/2003/07/29/spoken-word-original-sin-in-the-modern-middle-east/">Chris Lydon</a> did a podcast <a href="http://mp3.morningcoffeenotes.com/kinzer.mp3">interview</a> with KInzer in 2003. </i>
			- We lose so much when we don't have the courage to listen to our foes. Some of my countrymen see it as a sign of weakness to listen, but they're wrong -- if we're sure we're right, what exactly do we have to lose by listening? Only if we're concerned that we might be wrong, should we fear listening, and then only if we want to <i>stay</i> wrong.
			- Look, I know I'm not going to convince any of the people who say that everyone who uses their mind is weak, but to people who like to decide for themselves, and want free speech for everyone, don't be fooled by what you hear on TV. They act as if they are owned by people who desperately want a war with Iran, and are willing to sacrifice American freedom to get there. Bollinger is clearly one of those people. And so do Time-Warner, Microsoft and GE (the owners of CNN and MSNBC). If not, then please do something about it, shake up the media so that we get to really discuss this, openly and fairly, before we start yet another ruinous war.
		- President Betray Us
			- <a href="http://www.flickr.com/photos/scriptingnews/1443883415/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/26/bijan.jpg" width="95" height="126" border="0" align="right" hspace="15" vspace="5" alt="A picture named bijan.jpg"></a>Living in Berkeley we're always just a few degrees away from the MoveOn people. I hear they're really freaked about all the attention the <a href="http://flickr.com/photos/scriptingnews/1367745829/in/photostream/">General Betray Us</a> ad got. 
			- I think it's good and they should follow it with a new ad, maybe not in the Times. "Okay, maybe we shouldn't have called him General Betray Us." Not quite an apology, not quite a retraction, just food for thought. 
			- The next ad would have a big picture of the President, with a big headline: "President Betray Us." More fodder for the talking heads. 
			- And then a FAQ, listing just a few of the ways the president has betrayed us. Not exactly calling for an impeachment, but starting the process of moving on from Bush, about a year early. 
			- There's nothing wrong with humor, and political humor is almost always vicious. If Bush whines too much, follow all this with an ad calling him a coward. "Mr. President, if you can't stand the heat, you could always resign early."
			- And then, after having cleared the field of Republicans (they'd all be running for cover, hoping their face wouldn't be on the next ad), you could start putting pictures of Democrats in the ads. Senator Betray Us, with a big picture of Harry Reid. 
			- I think it's time for The Rest of Us to start flexing our political muscle. 
			- I'm a gun-totin liberal, Republics betta watch out! ";->"
			- Dave
			- PS: We should start another campaign that every time the President calls the other <a href="http://www.democrats.org/">party</a> "The Democrat" party, we should give $10 to them. That'd get him to shut up quickly. 
	- September 25
		- Opportunities for integration
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/25/nytbanner.jpg" width="65" height="426" border="0" align="right" hspace="15" vspace="5" alt="A picture named nytbanner.jpg">When everything gets an API then everything you can imagine will be possible if you can write a script. 
			- And sometimes, to give you an idea, all that has to happen is that a wall come down. The latest, most intriguing such wall was the paywall at the NY Times. Now all of a sudden we find the wealth of information published by the NY Times over many decades is available without tariff. More important, we can <a href="http://query.nytimes.com/gst/fullpage.html?res=990CE3D6153DF93BA15753C1A9629C8B63">point</a> <a href="http://query.nytimes.com/gst/fullpage.html?sec=health&res=9B00EFD61038F934A25756C0A965948260">into</a> <a href="http://query.nytimes.com/gst/fullpage.html?res=9B0DEED91431F930A35755C0A9629C8B63">the</a> <a href="http://query.nytimes.com/gst/fullpage.html?res=9A02EEDE1238F931A2575AC0A9679C8B63">archive</a>. We've gotten so accustomed to the wall, that you actually have to think when it may be possible to go in there, as if it left behind a wall in our minds, even after the wall on the web is gone.
			- For example, the first episode of Ken Burns's The War, an epic series about World War II from the American perspective, cited several NY Times articles. If you looked carefully you could see the dates, and the actual headlines, and then if you have a browser handy, as I do (I have an iPhone) you can actually read the article while the narrative continues. Today this is mostly a gimick, but I suspect as we get used to having history so available (like having a library microfilm machine, which I used to spend whole days playing with when I was a kid) it will change our sense of information, perhaps as much as anything else that's ever been on the web.
			- Take movie reviews for example. What a thrill to be able to read a <a href="http://movies.nytimes.com/movie/review?res=9B06E5DC1031E633A25750C1A9669D946394D6CF">review</a> of a movie that I love that came out in 1932! The reviewers back then were more forgiving, less sarcastic, more enthusiastic. Consider their <a href="http://movies.nytimes.com/movie/review?res=9C03E3D61E30E33ABC4D52DFBE668382639EDE">review</a> of the Hollywood Revue of 1929, a favorite of mine that I've only seen once (I'd pay for a DVD, if it were available). They loved audible movies (that's what they called them) as if the term "talkie" was as elusive as "podcast" was in the summer of 2004. Again, we've just scratched the surface.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/25/rain.jpg" width="95" height="129" border="0" align="left" hspace="15" vspace="5" alt="A picture named rain.jpg">Wouldn't you like to have NY Times movie reviews integrated with Netflix? Or have Yahoo's movie rating service available on the NY Times site. And I have to wonder whether they really have gone all the way. You can't see the reviews unless you're logged in. Can Google's robots, therefore, see the movie reviews? Unless the've made some special arrangements, it seems not. 
			- There is already empirical evidence. Try searching for a review of a popular movie from the past, and see if the Times review shows up. Some examples: <a href="http://www.google.com/search?q=%22the+sting%22">The Sting</a>. <a href="http://www.google.com/search?q=%22the+godfather%22">The Godfather</a>. <a href="http://www.google.com/search?q=casablanca+bogart">Casablanca</a>. <a href="http://www.google.com/search?q=%22field+of+dreams%22">Field of Dreams</a>.
			- It would be helpful to get a technical guide to the newly hatched NY Times on the Web, or (as in the old days of software) a reviewer's guide, so we get some ideas of what to look at. Clearly a lot of work went into opening up the Times archive. I'm going to be in NY the week of October 8 and will have some time toward the end of the week. If anyone at the Times would be willing to spend some time with me reviewing what's now open, that would be helpful.
			- In any case, at least the Times today is somewhat more available to be integrated into the fabric of the web. That's some progress. How much, remains to be seen.
			- Postscript: <a href="http://www.kottke.org/07/09/gems-from-the-archive-of-the-new-york-times">Kottke did a great job</a> of skimming the surface of the newly opened Times when it first came online, just one week ago today.
		- Welcome to the 21st Century
			- <a href="http://www.apple.com/ipodnano/gallery/index4.html"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/25/nano.jpg" width="105" height="130" border="0" align="right" hspace="15" vspace="5" alt="A picture named nano.jpg"></a>Proof that there still is more to do.
			- On Saturday I got an email from <a href="http://www.flickr.com/photos/scriptingnews/1440481822/">Sylvia</a> saying that a friend of mine had bought her first iPod. It took me a few minutes to figure out that she was talking about herself. Funny, I had never thought about whether she had an iPod or not, but I have been on her case to get a digital camera.
			- So she brought her iPod over, it's one of the new "fatty" nanos with video. It was so funny to see it through her eyes, and even cooler to read her story. I didn't realize that there was a reason she had never gotten an iPod.
			- Sylvia: <a href="http://whoisylvia.typepad.com/my_weblog/2007/09/sliding-into-so.html">Sliding into song</a>.
			- I seek out experiences like this. Stones I can turn over that reveal a rich experience, an eye-opener, a bright horizon that doesn't take much time or effort to achieve.
		- Nokia N800 update
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/25/n800.gif" width="115" height="208" border="0" align="right" hspace="15" vspace="5" alt="A picture named n800.gif"><a href="http://www.amazon.com/Nokia-N800-Internet-Tablet-PC/dp/B000MK4GGM/ref=pd_bbs_sr_1/104-0619295-2952700?ie=UTF8&s=electronics&qid=1190737474&sr=8-1">Amazon</a> is usually pretty good at getting stuff delivered quickly, but this time they've really dropped the ball.
			- <a href="http://www.scripting.com/stories/2007/09/19/nextAppleToyIsntEvenFromAp.html">Last Wednesday</a> I purchased a Nokia N800 from them, six days ago, and spent $3.99 to have it delivered overnight. It shipped that night. But instead of expediting it, they sent it UPS Ground from Dallas, with an estimated delivery date of October 1. Ouch.
			- So I started emailing with people at Amazon, and they wouldn't give me a straight answer to a direct question as to when I could <i>really</i> expect the product to arrive. There were three back and forths before I gave up. (They refunded the $3.99, which wasn't what I wanted, didn't ask them to.)
			- Luckily, it didn't take very long for the unit to travel from Dallas to San Pablo, which is a 20 minute <a href="http://maps.google.com/maps?f=d&hl=en&geocode=&saddr=san+pablo,+ca&daddr=berkeley,+ca&sll=37.892354,-122.275371&sspn=0.010719,0.014827&ie=UTF8&z=12&om=1">drive</a> from Berkeley, where it arrived on Sunday morning. I assume because it's marked as a low priority package in some way, it spent the whole day yesterday in the warehouse. According to the UPS <a href="http://images.scripting.com/archiveScriptingCom/2007/09/25/tracking.gif">tracking</a> site, it isn't "on the truck for delivery" today, so I assume it will spend another day in San Pablo.
			- Now of course this isn't a world-shaking issue like war or famine, or the way the US media is trashing the president of Iran, but I did promise to let y'all know what I think of the Nokia product, so this is what I think -- anticipation is wearing off, I'm getting busy doing other things, and the impulse purchase feeling is gone. The sweaty palms I had last week are pretty dry now. :-(
			- Postscript: Engadget has a few <a href="http://www.engadget.com/2007/09/25/nokias-next-internet-tablet-hits-the-fcc/">clues</a> about the follow-up to the N800. So while my palms dry out and coool down, I'm beginning to feel like returning the device and then asking Nokia to put me on the press list. It's ridiculous to pay for what amounts to a review unit. Is Nokia listening??
		- Fall conference plan
			- <a href="http://www.scripting.com/stories/2007/09/19/timeToShakeUpConferences.html#p7"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/25/peach.gif" width="105" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named peach.gif"></a>I have three conferences on the schedule this fall, which is an unusually large number of conferences for me these days. It's a pretty wide-ranging and eclectic group, and so far I'm not actually speaking at any of them, which suits me fine these days, I'm enjoying not speaking and just listening, to the extent that I can keep myself from saying anything. ";->"
			- 1. I'm going to Jeff Jarvis's <a href="http://newsinnovation.com/list-of-attendees/">Networked Journalism</a> conference on October 10 in New York City, to bring together bloggers and professional news people. I've been to a number of these meetups, and I appreciate Jeff's prime directive for us, no trash talk, we're there to find ways to work together. My main observation is that while we've accomplished so much in virtual space, we have neglected the material space. Putting bloggers in the same physical space with each other and professionals on a routine basis is a sure way to make new ideas and projects materialize. Where to do that? The newsroom, of course.
			- 2. I asked for a press pass to the <a href="http://www.web2summit.com/">Web 2.0 Summit</a>, and was graciously provided one. I've never been to one of these. I'll try to keep the expectations to a minimum, and an open mind, and as I said before, I'll try to say nothing at all, just listen and blog. I came pretty close to that at Gnomedex, only speaking once, and look at all the trouble <i>that</i> caused. ";->"
			- 3. I'm going to <a href="http://www.leweb3.com/leweb3/">Le Web 3</a> in Paris, my second European trip this year and I'm totally looking forward to it. I've gotten to know Loic Le Meur, the promoter of the conference, now that he lives in San Francisco, and it's fair to say that we've hit it off. It's so much fun to brainstorm with the guy. Yesterday he was here at the house in Berkeley and we sat in the den, with the <a href="http://www.scripting.com/stories/2007/04/14/flickrrivrroot.html">FlickrRivr</a> app running on the big screen, and it had its hypnotic effect on him. It really is something, you can't describe it in words, people have to experience it for themselves. As a result it's going to be part of the show in Paris, running constantly behind the speakers. Now that's what I'm talking about! A few days ago, in my <a href="http://www.scripting.com/stories/2007/09/19/timeToShakeUpConferences.html#p7">wrap-up</a> of TC40, I wrote: "Maybe someday these conferences could host real-time development, where media hackers put together new communication systems and deploy them before the conference is over." There will be over 2000 people at Le Web 3, some of them will be programmers, so maybe this is where we will get a chance to try out real time media hacking. 
	- September 23
		- The year of the social network
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg">As long as I've been involved in the tech industry there's been the concept of The Year of X, where X has been artificial intelligence, personal information managers, local area networks, CD-ROMs, P2P. Proclaimed by tech pubs, most likely to help their ad sales reps sell space, they focused the attention on areas the industry was investing money, in hopes of being there when lightning strikes, when wealth is created, as it often is in the tech industry. Sometimes the "year of" prognostications are right, more often they're wrong. 
			- In that sense, there's no doubt that 2007 is the year of the social network in Silicon Valley. This may not be the year when huge wealth is created, but I don't doubt that the area is fertile, and I don't say that lightly, because I'm often a contrarian when it comes to self-induced Silicon Valley euphoria.
			- There are a couple of ideas I've been getting ready to write about, I'm not quite ready yet, but here they are anyway.
			- 1. When people get together to discuss Twitter, and perhaps other social networks (and Twitter is that, a bare-bones social network), they often discuss as if there were a common user experience, but this is a misperception, there are many different experiences, they may group into large subsets of the users, and they may not. Some food for thought. 
			- On Twitter I try to keep a ten percent ratio of people I follow over people who follow me. For other people, maybe most, the ratio is 1-to-1, they follow approximately the same number of people as follow them. <a href="http://images.scripting.com/archiveScriptingCom/2007/09/23/scoblestats.gif">Scoble</a> follows <i>thousands</i> of people. For him Twitter is like a very fast chatroom. For me it's like weblogs.com on a busy day in 2002. I've seen people who follow 0 people, for them Twitter is a publishing environment. Very different experiences. To each of them Twitter is a different product.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/monkeyhat.gif" width="115" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkeyhat.gif">Note that when reporters cover Twitter, before they've become users, they probably write about the home page at Twitter, where complete strangers report on the kind of spaghetti sauce they like. That may be why so many articles dismiss Twitter as useless. (Dwight Silverman, a columnist at the Houston Chronicle, <a href="http://blogs.chron.com/techblog/archives/2007/09/twitter_is_what_you_make_of_it_1.html">provides</a> the evidence. "When my colleague Loren Steffy trashed [Twitter], for example, he did so without ever adding anyone to his Twitter page." In fact, <a href="http://twitter.com/lsteffy">Steffy</a> is <a href="http://images.scripting.com/archiveScriptingCom/2007/09/23/lsteffy.gif">following</a> 0 people, is followed by 2, and has updated 0 times.)
			- 2. Integration is so tempting, but elusive. The other day a friend on Twitter wrote about a movie he liked. I looked it up on the NY Times movie review <a href="http://movies.nytimes.com/ref/movies/reviews/index.html">site</a> (a newly revealed location now that their archive is open and a very valuable one, another topic I plan to cover, the wealth of the NY Times archive). I would have then liked to have clicked over to Netflix to order it. And even better, I'd have liked to have looked at what other movies he likes. 
			- Now we're very close to having this, we just need a way to co-relate two identity systems, Twitter's and Netflix's. And think of the value in integrating Amazon with Twitter. The mind explodes at the possibilities. This is what I meant when I <a href="http://www.scripting.com/stories/2007/09/23/morningMonkeyRoundup.html#p10">said</a> earlier "they�re not trivial problems, they�ve been there since the Internet outgrew academia and started being used for commercial purposes." 
			- This issue is now coming to a head, as the users can see the next step clearly. How to integrate the systems is known technology, but it's not a solved problem economically and politically. We need to get clear on the opportunities, and feel free to dream when the barriers between the networks come down.
		- How CBS interviewed Iran's president
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/ahmedinejad.gif" width="105" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named ahmedinejad.gif">I watched the 60 Minutes <a href="http://www.cbsnews.com/sections/i_video/main500251.shtml?id=3284943n">interview</a> of Iranian president Ahmandinejad with amazement. At the end of the interview he reminded the interviewer, Scott Pelley, that he was the president of a sovereign country. He wondered if the interviewer was an agent of the American government. Amazingly his question made sense. I wondered too.
			- Transcript of interview: <a href="http://www.cbsnews.com/stories/2007/09/21/60minutes/main3286690.shtml">Part 1</a>, <a href="http://www.cbsnews.com/stories/2007/09/21/60minutes/main3286706.shtml">Part 2</a>.
			- I tried to imagine CBS interviewing the President of the United States this way. I couldn't imagine that our President would sit for the full interview as the interviewer reminded him repeatedly that he hadn't directly answered the question as to whether Iran was producing a nuclear weapon or whether Iran was supplying arms to people fighting the US in Iraq. Ask once or twice, accept an incomplete even evasive answer, because that's how they interview politicians on American television. To hold Iran's president to a higher standard is hypocritical.
			- I wouldn't have blamed Ahmadinejad if he had asked why Iranian weapons are any worse than US weapons. Wouldn't he have the right to object that the US had troops in Iraq, a country that borders his, with people who share his culture, religion, even his sect, but he didn't. There's no question that American soldiers are killing Shi'ites in Iraq, and perhaps there's no question that Iran is arming our enemies in Iraq, but so what? I don't see how what we're doing is any better, and when you consider that Iraq borders Iran, it's as if a foreign country were occupying Toronto, Montreal and Vancouver. His interest in peace in Iraq is clearly greater than ours.
			- He was much less adversarial than the interviewer, who was supposed to be disinterested. The president of a sovereign country, even one our country isn't friendly with, has no obligation to be disinterested. 
			- The moment of greatest shame was when he asked Ahmadinejad if he admired anything about President Bush personally. I don't understand where the question came from, and why it wasn't edited out of the interview when Ahmadinejad declined (gracefully, I thought) to answer it. Is this somehow relevant to the conversation between our countries? Is this how a strong and respectful country learns about an adversary?
			- Perhaps CBS should find out first first if <i>Americans</i> admire the man before we ask if others do. 
		- Morning monkey roundup
			- <a href="http://books.google.com/books?id=ienkMB-VwekC&dq=&pg=PP1&ots=FjAzhOVluK&sig=luoJPOlHpKlxY-HVRBpSaF-SYzI&prev=http://www.google.com/search%3Fq%3Dcurious%2Bgeorge%26ie%3Dutf-8%26oe%3Dutf-8%26aq%3Dt%26rls%3Dorg.mozilla:en-US:official%26client%3Dfirefox-a&sa=X&oi=print&ct=title"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/monkey1.gif" width="115" height="65" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey1.gif"></a><a href="http://www.techmeme.com/070922/p3#a070922p3">TechMeme</a> really likes Friday evening's <a href="http://www.scripting.com/stories/2007/09/21/howToAvoidSoundingLikeAnMo.html">Monkey piece</a>, it's been #1 for almost 24 hours. Even if people still use the Social Graph term, it may have done some good by asking the question -- what's the difference between a network and a graph? In math there is no difference, a network is a graph and vice versa. 
			- I got one thing wrong, apparently the term came from Facebook, presumably as a way of separating what they do from their predecessors. 
			- Dan Farber <a href="http://blogs.zdnet.com/BTL/?p=5152">reported</a> in May. "Zuckerberg describes the Facebook core function that the new third-party applications can tap into as a 'social graph,' the network of connections and relationships between people on the service."
			- Google Trends <a href="http://www.google.com/trends?q=social+network%2C+social+graph&ctab=0&geo=all&date=all&sort=0">comparison</a> of "social network" vs "social graph."
			- Google News <a href="http://www.google.com/archivesearch?q=%22social+graph%22&btnG=Search+Archives&num=10&lr=&scoring=t">archive search</a> for "social graph."
			- Fred Wilson posted a <a href="http://scripting.wordpress.com/2007/09/21/scripting-news-for-92107/#comment-113100">comment</a> pointing to a <a href="http://avc.blogs.com/a_vc/2007/09/heard-in-an-twi.html">post</a> where he wondered what the graph thing was all about. His post was one that inspired me to write my piece.
			- <a href="http://pbskids.org/curiousgeorge/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/monkey2.gif" width="115" height="84" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey2.gif"></a>Buzzwords and phrases are useful if they describe something new.
			- For example, I remember when <a href="http://www.scripting.com/davenet/1995/08/22/whatisaplatform.html">platform</a> was new, but I didn�t object to it, because it explained a concept that we needed a word for. Today it's still much in use, and there's little or no confusion about what it means.
			- I was doing audio blog posts before we had the term <a href="http://www.google.com/trends?q=podcast">podcast</a>, and I totally got behind it because we needed a word for what we were doing.
			- But social graph is not needed, it makes something simple sound complicated, and we totally need it to sound simple if the problems are going to get solved. They�re not trivial problems, they�ve been there since the Internet outgrew academia and started being used for commercial purposes.
			- <a href="http://en.wikipedia.org/wiki/Curious_George"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/23/monkey3.gif" width="115" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey3.gif"></a>Another problem with new names for old things is that it tends to push aside the pioneers and makes it sound like newcomers are not also-rans. Fred had a reasonable gripe as a backer of Wasabe when Mint started getting credit for being a first mover. At least they didn�t have the chutzpah to try to make it a trend and give it a buzzword. 
			- Someone is being pushed aside with the term �social graph� likely some competitors of Facebook like MySpace and LinkedIn, and some pioneers are going to lose credit for their innovation if it takes root. It may still take root, but I felt I had to say something.
			- BTW, the title of the post contains a grammatic error because I changed the title to monkey from something else and didn't look carefully at the resulting title. ";->"
	- September 21
		- How to avoid sounding like an monkey
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/21/stock.gif" width="157" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named stock.gif">A few weeks ago a well-respected developer wrote a blog post about something he called the "social graph." A graph, to most people, is a diagram like the one on the right, which plots the value of a stock over time. For 99.99 percent of the people this is what a graph is. For a very small group of people, a graph is <i>also</i> something like this:
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/21/graph.gif" width="275" height="180" border="0" alt="A picture named graph.gif">
			- This is the kind of <a href="http://en.wikipedia.org/wiki/Graph_(mathematics)">thing</a> you study in a branch of mathematics called Graph Theory. I know a bit about this because when I was an undergraduate, getting a degree in math, I studied this stuff. I proved theorums about how many edges you'd have to traverse to get from one point to another. There are many types of Graph Theory graphs, directed and undirected, for example. Some that you'd need two colors to paint, or three, but none need more than four (a theory that has been <a href="http://www.math.gatech.edu/~thomas/FC/fourcolor.html">proven</a> since I left school, thanks to computers).
			- Graphs are useful for modeling stuff that goes on in computers. They are also part of a field of math called combinatorics that's related to statistics, and also related to a highly theoretical area of math called topology. 
			- <a href="http://harrisonandmommy.wordpress.com/2007/03/21/i-am-a-silly-monkey/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/21/mySocialGraph.jpg" width="105" height="120" border="0" align="right" hspace="15" vspace="5" alt="A picture named mySocialGraph.jpg"></a>Now if you showed that diagram to most educated people, they probably would call it a network, and before we talked about social graphs we called them <a href="http://en.wikipedia.org/wiki/Social_network">social networks</a>, and you know what -- <i>they're exactly the same thing,</i> and social network is a much less confusing term, so why don't we just stick with it? (Answer: we should, imho.) So if you don't want to sound like an idiot, call a social graph a social network and stand up for your right to understand technology, and make the techies actually do some useful stuff instead of making simple stuff sound complicated.
			- PS: This Google <a href="http://www.google.com/search?q=graph">search</a> illustrates. Most of the definitions of "graph" are what you'd expect if you weren't a math major.
			- PPS: Copy editors, just change "social graph" to "social network."
		- I'll be writing about podcatchers
			- In the coming weeks and months you'll probably see me writing about issues of podcatchers here, because I'm working on one. It's the third one I've written, so this time maybe I'll get it right. ";->"
			- A lot of things have changed since I wrote my first podcatcher back in 2001.
			- 1. Back then there were no podcasts, so it was a proof of concept, a chicken without an egg (or an egg with no chicken), a step in a <a href="http://www.xmlrpc.com/bootstrappingTheTwoWayWeb">bootstrap</a>. Today there are <i>lots</i> of podcasts. An embarassment of riches.
			- 2. Back then implementing a podcatcher was simple, there was <a href="http://www.thetwowayweb.com/payloadsforrss">exactly one format</a> to support, RSS 2.0 with enclosures. Today, luckily, it's still fairly simple, as far as the format goes. The only variability is the iTunes namespace, which complicates things, just a little. 
			- 3. Today there are enough users to make it possible to support <i>lists</i> of podcasts published by fans, and instead of just subscribing to the podcast feeds, you can subscribe to lists of feeds. I will publish one of these lists, in OPML 2.0 format, as a proof of concept. 
			- 4. The first version of this new podcatcher will run in the OPML Editor because that's where all my software runs at first. But the goal is to port it to run in other environments, some with millions of users. I want to provide a popular alternative to the one that Apple publishes which currently dominates the market. (Note: I'm generally pleased with the way Apple dominates, <a href="http://www.apple.com/itunes/store/podcaststips.html">they've</a> been <a href="http://images.scripting.com/archiveScriptingCom/2007/09/21/applesExcellentOpmlInItunes.gif">very fair</a> about allowing users to export their subscription lists. But if we want to create the opportunity for others to innovate in the area of podcast <a href="http://www.scripting.com/stories/2007/04/30/howToDesignAPodcastPlayer.html">players</a>, there has to be choice at the podcatcher level. That's my main motive for revisiting this area.)
			- There probably are some other changes, and I'll write about them as the project moves forward.
			- Now....
			- To people who say that Apple has the market sewn up, I say <i>Bah!</i>
			- I think iPods are great, but they're designed to play music, not podcasts.
			- Every bit of music is something you want to keep forever, a podcast loses almost all its value after you've listened to it once.
			- You have to pay for music (in theory at least) but podcasts are free. 
			- Podcasts beg to have a player that can download them without synching with a desktop computer. Okay that's something podcasts have in common with music. ";->"
			- I buy Apple products all the time. I've gone from resenting Apple so much that I wouldn't buy their products, as recently as 2005, to today when not only do I only use Macs, but I'm constantly telling people why they'd be better off using Macs. I can't help but evangelize the products, I think they're that much better than Windows PCs. 
			- But as much as I love Apple (can't believe I actually said that) I still don't trust them with a whole medium. We need them to have competition. The rest of the tech industry seems to think they're immune to it, that creates a huge opportunity with someone with enough chutzpah to think they can do it.
			- Yours truly,
			- Dave Winer
			- PS: Here's my <a href="http://www.scripting.com/stories/2007/09/21/weCouldSolveTheSubscriptio.html">first bit</a>, on the subscription problem, and how it could go away.
		- Marc Canter
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/21/mc1.gif" width="220" height="336" border="0" alt="A picture named mc1.gif">
		- We could solve the subscription problem
			- Okay I've been writing about OPML reading lists here for years. I'm now on my second implementation, so maybe this time I'll get it right. ";->"
			- But there's something cool that happens when (hypothetically) the entire installed base of podcatchers supports OPML reading lists. All of a sudden the subscription problem goes poof!
			- Ask anyone who's worked on a RSS reader, for that matter, ask anyone who's <i>used</i> one, what a PITA it is to subscribe to a feed. All those little buttons, or copying and pasting, and looking at urls, and trying to figure out whether you want this format or that format. It's a miracle anyone actually subscribes to feeds it's so damned complicated.
			- Before you blame anyone, it's not actually anyone's fault. It's a result of the market not being a monopoly. The only way to solve the problem is if everyone uses the same web app to manage subscriptions. And we know that's not going to happen any time soon. Or, if every reader supports OPML reading lists. Now that might actually happen, even though it's not very likely.
			- But podcasting, that's a whole other story. According to many people there's only one podcatcher, iTunes. So that's simplified the problem. For example, look at this <a href="http://www.nytimes.com/ref/multimedia/podcasts.html">page</a> of NY Times podcasts, and how they handle it. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/21/timesSubscribe.gif" width="335" height="110" border="0" alt="A picture named timesSubscribe.gif">
			- See the Subscribe button? Nice. Except for one thing. It really should say "Subscribe in iTunes" because that's what it <a href="http://phobos.apple.com/WebObjects/MZStore.woa/wa/viewPodcast?id=120315179">does</a>. And it works, because in many people's minds, iTunes is the only way to subscribe to a podcast.
			- And it could stay that simple if Apple would do one thing, offer the option of publishing the OPML automatically to a publicly accessible web address, so the user could continue to use Apple's server to handle subscriptions, even if they're using a different podcatcher (for example one that runs on a Nokia N800). It would be the mark of a truly great company if they did that. Maybe they are that great.
			- Otheriwse at some point we're going to ask the NY TImes to change their page. And they may not be too happy about that. Wouldn't blame them if they were.
			- Moral of the story: If we can centralize the subscription process, and move it out of one reader or another, and get the readers to all support subscription to reading lists, the awful ugly issue will go away for users. It's one of the oldest tradeoffs in the tech business, to make it simple for users, the vendors have to give up some power. 
	- September 20
		- Calacanis at Gnomedex
			- <a href="http://chris.pirillo.com/2007/09/20/jason-calacanis-the-internets-environmental-crisis/">Here's a video</a>, released today, of his much-discussed talk at Gnomedex in August. 
		- Could Google buy Yahoo?
			- <a href="http://blog.broadbandmechanics.com/2007/09/open-letter-to-mark-zukerberg#comment-242791">In a comment</a> yesterday on Marc Canter's blog, discussing the race to be the default identity system for the Internet..
			- "I wouldn�t count out Google, they've got a lot of users, and a lot of money. I think they could probably buy Yahoo, but someone else would have to do the math."
			- <a href="http://www.watchmojo.com/web/blog/?p=1766">Ashkan Karbasfrooshan</a> did the math. ";->"
		- How to sponsor an open source project?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/20/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg">I'm looking for ideas, established practices, do's and don'ts for sponsoring an open source project. 
			- <i>An upfront caveat -- this is not an actual offer. It's totally hypothetical. If I make the offer it will be done in some other more formal way. </i>
			- The project: I want the <a href="http://support.opml.org/download">OPML Editor</a> to run on Linux.
			- I don't want to hire someone to do this project, rather I want to offer a reward when the project is completed. 
			- The source code is already released under the GPL, in versions for Mac OS X and Windows. Of course Mac OS is a flavor of Unix, but the internal API is quite different, I imagine, from Linux. I'm not looking for elegance, I'm looking for functionality. I don't care how the port is done, just that it be maintainable, and then be released (of course) under the GPL. 
			- Personally, I think the most likely way to get this done quickly is to compile the code under <a href="http://www.winehq.org/">WINE</a>, using the Windows version of the code, and then go back and connect up the Unix system calls, so that all the Unix related verbs work. (Note the OPML Editor is actually a rich programming environment, despite its diminutive name. It's an instance of UserLand Frontier, which goes back to 1988.)
			- To me, it would be worth $10,000 to have the OPML Editor running reliably on Linux, because then all the projects I've built and am building would then automatically run on Linux. Now I'm not saying that the project can be done for that amount of money (it's possible that it can), but I also don't feel I should be the only person funding the project. And maybe it's enough of a prize to incentivize someone or a group to do it.
			- Now, of course, I see problems. Since it's an open source project, how will I know who to give the reward to if the goal is met. It might be the result of the work of a group of people. If so, I think they would have to figure out among themselves how to split the reward. On the other hand, I don't see any movement right now to port the codebase to Linux, so maybe if someone is interested in the project, you should do it on your own, and just present the results. If it works, then it seems you would be entitled to the reward.
			- I seem to remember people proposing groupware systems for creating these kinds of projects, a few years ago. Not sure if they came to fruition, for all I know there could be an eBay for open source programming projects. If you have any information to share on this, please post a comment <a href="http://scripting.wordpress.com/2007/09/20/scripting-news-for-92007/#comments">here</a>, and thanks in advance.
			- Postscript: <a href="http://scripting.wordpress.com/2007/09/20/scripting-news-for-92007/#comment-112563">Jim Russell</a> makes an excellent point. "If you had a third choice on the download page, making the source as widely distributed as the app itself, you would have had a port a long time ago." Maybe so. Let's leave no stone unturned. I have added a link to the source on the <a href="http://support.opml.org/download">download page</a>, per his suggestion. Also <a href="http://s3.amazonaws.com/static2.podcatch.com/blogs/gems/support/OPML10.1a8src.zip">here</a>. And in today's comment <a href="http://scripting.wordpress.com/2007/09/20/scripting-news-for-92007/#comment-112578">thread</a>. And in the <a href="http://images.scripting.com/archiveScriptingCom/2007/09/20/intemplate.gif">sidebar</a> on the support site. BTW, there's also a <a href="http://scripting.com/frontier/source/">source listing site</a> that's indexed by search engines.
		- Amazon on how to get by DRM
			- <a href="http://amazon.com/">Amazon</a>: "Many of our customers have already discovered that one cheap way to get DRM-free MP3s is to buy them on CD and rip them themselves."
			- Here's a <a href="http://flickr.com/photos/scriptingnews/1414694435/">screen shot</a>.
			- It's common-sense advice, but still somewhat remarkable that they're addressing the issue of DRM right there on the home page. It could be that I'm seeing it and you're not (possibly because I just bought a Linux hand-held computer from Nokia). It's hard to tell. 
			- Here's their <a href="http://amazon.com/gp/feature.html/ref=amb_link_5518692_4/104-0619295-2952700?ie=UTF8&docId=1000134651&pf_rd_m=ATVPDKIKX0DER&pf_rd_s=center-1&pf_rd_r=0HEC69Z47VP0W0861X62&pf_rd_t=101&pf_rd_p=310495201&pf_rd_i=507846">guide</a> to ripping CDs.
	- September 19
		- Next Apple toy isn't even from Apple!
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/19/runner.jpg" width="85" height="140" border="0" align="right" hspace="15" vspace="5" alt="A picture named runner.jpg">Remember a couple of weeks ago <a href="http://www.scripting.com/stories/2007/09/05/will2007BeLike1984.html">when Steve Jobs</a> took the stage and announced a $200 cheaper iPhone. That was pretty bad. And an iPhone that's just an iPod. Who needs that! The new Nano sure is cute, but cute insn't enough. I have a 1.5 year old 60GB video iPod that still works (sorry Steve) and I never use the video, so the $300 I have burning a hole in my pocket for my monthly Apple impulse buy (above and beyond the new <a href="http://www.scripting.com/stories/2007/09/15/newMacMiniNotes.html">Mini</a> I bought last week) is going to (drum roll please) Nokia! 
			- Yup, my next iPod/iPhone-alike thingy isn't even from Apple and it runs Linux, and comes highly recommended by geeks everywhere. I just put in the order on <a href="http://www.amazon.com/Nokia-N800-Internet-Tablet-PC/dp/B000MK4GGM/ref=pd_bbs_sr_1/104-0619295-2952700?ie=UTF8&s=pc&qid=1190262960&sr=1-1">Amazon</a>, I'll let you know how cool <a href="http://en.wikipedia.org/wiki/Nokia_N800">it</a> is in a few days.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/19/n800.gif" width="275" height="152" border="0" alt="A picture named n800.gif">
			- PS: This is my way of thanking <a href="http://www.federalreserve.gov/aboutthefed/bios/board/bernanke.htm">Ben Bernanke</a> for the huge windfall I got in the stock market yesterday and today. I think the 1/2 percent drop in interest rates is supposed to make us go out and buy stuff to stimulate the economy. Just doing my part Uncle Ben! ";->"
		- Today's links
			- Paul Krugman has a weblog. <a href="http://krugman.blogs.nytimes.com/rss2.xml">Subscribed</a>.
			- CyberSalon in Berkeley, September 23, "Politics 101 Meets Web 2.0: Democracy or Demagoguery?"  4 to 6PM, <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Hillside+Club,+Berkeley,+CA&ie=UTF8&ll=37.878749,-122.270536&spn=0.020866,0.033817&z=15&iwloc=A&om=1">Hillside Club</a>, $15 at door for food, drink, and open mike discussion for digital and analog political activists. Political candidates of all stripes now have web sites, participate in social networks, and can respond to folks via YouTube. So are we closer to democracy?
			- Marc Canter wrote an <a href="http://blog.broadbandmechanics.com/2007/09/open-letter-to-mark-zukerberg">open letter</a> to Mark Zuckerberg.
		- OPML 2.0 freezes on Thanksgiving Day (U.S.)
			- Mark your calendar: November 22.
			- That's the day, barring something unforseen, that OPML 2.0 will move from a draft to a final frozen spec.
			- If you plan to use OPML 2.0, or you're already using it, please set aside a few hours to carefully review the <a href="http://opml.org/spec2">spec</a>, between now and the end of September, or at the latest early October, to be sure it makes sense to you. 
			- We're doing this very slowly and carefully so people will believe in the quality of this spec. If you don't think it's a good spec, <b><i>now</i></b> is the time to say why. Speak now or forever hold your peace.
			- You may not like the format, that's not the issue now -- it's the spec we're trying to finalize. 
			- Thanks for your help! ";->"
		- Time to shake up conferences?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/19/peach.gif" width="105" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named peach.gif">The TC40 conference, which (important caveat) I did not attend, had a big impact on the space I occupy. Sometimes I think we put too much emphasis on Techmeme, but it is important, and for the two days of TC40, most of the top articles had something to do with the conference. Yet most of the people in the TechMeme loop were not there. This makes me wonder if we can do better with these conferences that become the cursor for a few days. And the answer is of course we can. But it may mean reconfiguring the conference to take the emphasis off the people in the room and put it on the people on the net.
			- <a href="http://scripting.wordpress.com/2007/09/18/scripting-news-for-91807/#comment-111991">As Jim Forbes</a> points out, if you wait for hotels to <a href="http://www.scripting.com/stories/2007/09/18/networkingInSfHotels.html">change</a>, you're going to wait a long time. They're not really in the conference business, they're in the bedroom business. So anything that keeps people out of the hotel is likely to stay out of the conference -- like really terrific networking. So that suggests a different approach, one that does not rely on hotels. 
			- I've done four conferences, three of them at universities, and one at CNET in San Francisco. At two of them, we hosted as many people as they did at TC40, because we had multiple tracks, and a very large facility. And the last three were all very much present on the net. The first, not so much. If I do another conference, we'd try to push the envelope on the net side of things, and probably not try to host as many people in person. Instead of 500 to 1000 people, I'd try for 50 to 100 people. Kind of a middle-ground between the experts at the TC40 conf, and the audience. More like a TV studio than a conference. Everyone would be either a blogger or reporter. All would be encouraged to participate. And everyone would lead a chat room, or a blog comment section, or a video track. We could have much more diverse video nowadays, because of services like justin.tv and ustream.tv, and I'm sure many others, who provide outbound bandwidth. All we'd need at the facility is enough bandwidth to connect to these services, and if you're not at a hotel, that's not at all hard these days. You could do it at Stanford or Cal, or even the Hillside Club. If you're not deep inside a building with thick walls, EVDO can serve as a backup. If you can't get on through the LAN, try a WAN instead. ";->"
			- I'd also like to see less of a focus on the interests and success stories of venture capital. Something has really changed, even the VCs seem to know it. Money is undifferentiated, so why pay so much attention to what the money people say. Let's get people with big ideas to contribute them, and to disagree with other people with big ideas. That's not to say I'd exclude the money people. But I would insist that they be people who are participating in the networked conversation, not just at the show, but 24 by 7, on blogs, on Twitter, on whatever.
			- I had this discussion with Loic last week. I didn't think and still don't think that it was a good idea for him to have French politicians speak at LeWeb last year. I didn't think it was a good idea for Chris to invite John Edwards to speak at Gnomedex in 2006. Why? Because these people don't have blogs, they don't understand the net. They want to use it, for sure, to get money and votes, but they don't have a vision for it, beyond that, so what they have to say is uninteresting. "Give me money. Vote for me." That's all they say. If they want to come, great, let them listen and ask questions. And look for politicos (as with the VCs) who are making a difference on the net. People like Fred Wilson or <a href="http://paul.kedrosky.com/">Paul Kedrosky</a>, for example. I'm sure there are many more.
			- And I'd work to develop more ways for the back-channel to participate, to come to the front. That's the key to the future of conferences, how to extend them into the net, so the communication path is every way imaginable, not just from the venue out to the world. I want to feel like I'm in a nerve center, whether I'm at the venue or sitting in my living room in Berkeley. I had that feeling, btw, or an inkling of it, watching the AlwaysOn conference eariler this year, which had <i>excellent</i> presence on the net, real-time. The TC40 conference promoters, amazingly, actively thwarted the back channel. I don't know what their thinking was, but I think it was wrong. 
			- Maybe someday these conferences could host real-time development, where media hackers put together new communication systems and deploy them before the conference is over. The moon mission approach to development, if you want to get something done quickly, make sure you know where you're going and are excited about it. Sometimes it's amazing how quickly these things can bootstrap.
			- I'd also like to see a mix of interviews and debates, and open discussion. Dinners in every major city that wants to have them. The truly great tech conferences of the future will be world wide events, as the web itself is world wide, and will be inclusive, not exclusive, and cost very little to participate in, if not $0.
			- <a href="http://flickr.com/photos/scriptingnews/87587076/#comment72157602077958459">Mundeemo</a>: "Don't forget a row of suicide booths.."
		- Boston vs Silicon Valley
			- <a href="http://blogs.law.harvard.edu/doc/2007/09/19/where-vs-why/">Doc Searls</a>: "If you're a fast-growing tech company looking for the maximum quantity of high-quality local talent, there isn't much choice. Silicon Valley is the place."
			- <a href="http://feedonomics.grazr.com/index.php/archives/168">Adam Green</a>, on the other hand, wants to bring the Boston Boomers back into the tech business. 
		- Closing loops
			- <a href="http://www.scripting.com/stories/2007/09/18/aKillerApp.html#p5">As predicted</a>, Mint did <a href="http://www.techcrunch.com/2007/09/18/mint-wins-techcrunch40-50000-award/">win</a> the top prize at the TC40 conf.
			- <a href="http://scripting.wordpress.com/2007/09/18/scripting-news-for-91807/#comment-112184">Fred Wilson</a>, an investor in Wasabe, one of several companies in the market that Mint is entering, thinks we should have a discussion about the security of financial data on the web. 
			- Just in time for my <a href="http://www.longbets.org/2">Long Bet</a> with Martin Nisenholtz, the NY Times has opened their archive and eliminated TimesSelect. So now if they broke the top stories of 2007, they will show up in a Google search. If this means I lose the bet, so be it. The money goes to a charity, either way, and I'd rather have the Times content be open.
	- September 18
		- A killer app?
			- <a href="http://www.mint.com/">Mint</a> sounds like something I've been <a href="http://www.scripting.com/2006/03/10.html#When:7:14:20AM">waiting</a> for.
			- Like something everyone will want. 
			- Now, should I trust them with my data??
			- BTW, it's refreshing that someone, <a href="http://www.mint.com/investors.html">whoever</a> they are, <a href="http://www.mint.com/history.html">saw</a> their way through the maze of BS products that Silicon Valley keeps coming up with and made something obvious and widely useful. That's the kind of stuff I like to see. ";->"
			- PS: I did a <a href="http://www.google.com/search?q=techcrunch+40">search</a> and <a href="http://images.scripting.com/archiveScriptingCom/2007/09/18/sorryMike.gif">found out</a> that Mint <i>is</i> one of the 40 products announced at TC40. It should win the $50K award, if the execution is anything more than passing. Best idea at the show, by far.
			- <a name="wesabe"></a>PPS: Fred Wilson writes to say Mint is not a new idea, that <a href="https://www.wesabe.com/">Wesabe</a>, a company he has invested in, has been offering a similar product for over a year. He also sent a pointer to their <a href="https://www.wesabe.com/page/security">Security and Privacy FAQ</a>, a very inspiring document. 
		- Is a tech bust coming soon?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/18/hope.jpg" width="150" height="253" border="0" align="right" hspace="15" vspace="5" alt="A picture named hope.jpg">Fred Wilson <a href="http://avc.blogs.com/a_vc/2007/09/tough-times-ahe.html">thinks</a> so.
			- And I agree.
			- The reason the tech sector runs in cycles of euphoric booms and deep busts is that there is little support for long-term investment in tech. The new concepts that will fuel the next boom cycle are already here, but there isn't enough money flowing into developing them. The ideas that are getting investment are more and more derivative of the original idea that fueled the boom cycle that is now (likely) coming to an end.
			- If you look back at the last two busts, there was one in the early 90s when the software boom had run out of juice, and then in the early 00s when the web boom had run its course. In both cases, the seeds of the next boom were already planted, but the investors weren't pushing money in their direction. The savior after the early 90s bust was the web, and the second was what they call Web 2.0, which is a really lame way to describe the networked creative environment, what I called the Two-Way Web.
			- I'm going to be in NY in October, and I hope to meet with Fred and other investors to talk about how we can soften the busts and enhance the booms.
		- Networking in SF hotels?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/18/peach.gif" width="105" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named peach.gif">Here's a problem that some investment dollars help solve.
			- Apparently, the TechCrunch 40 conference isn't streaming to the outside world because the Palace Hotel has incredibly lame networking, and they won't allow conference promoters to bring in more wires? This is what I hear, although it's not confirmed. Emails to the conference promoters yesterday were not responded to. 
			- I've also received emails from a number of companies announcing products at the show who want coverage on Scripting News, so my interest is not <i>entirely</i> idle. ";->"
			- So what does it take to establish one hotel in SF as the default tech conference hotel? Networking! Geez, you'd think it's obvious by now. We do things that require networks. Look in any conference room around the world for a clue. And supposedly San Francisco is the central node in the network of technology bringing all this great stuff to the rest of the world.
			- So where is the hotel that gives us the very most basic technology to wire up conferences so that the whole world can participate? 
			- Do we need to move the tech industry to another city?
			- Someone please ask the Mayor or Google or someone in charge when they're going to fix this problem. It should have been solved in 1997, and it's already 2007. 
			- BTW, here's a clue: there are some great business <a href="http://www.scripting.com/stories/2007/09/14/theNewsroomForTheBloggingG.html">opportunities</a>, beyond conferences, for the first physical location in downtown SF to solve this problem. Just ask <a href="http://www.flickr.com/photos/scriptingnews/1383056408/">Loic</a>. ";->"
	- September 17
		- Alan Greenspan, Dale Bumpers & H.L. Menken
			- Yesterday, former top US central banker Alan Greenspan, a very respected public official, <a href="http://afp.google.com/article/ALeqM5iFmgaccMh9xWKZfofR-BGfRT1J8g">said</a>: "I'm saddened that it is politically inconvenient to acknowledge what everyone knows -- the Iraq war is largely about oil."
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/17/bumpers.jpg" width="105" height="114" border="0" align="right" hspace="15" vspace="5" alt="A picture named bumpers.jpg"><a href="http://www.pbs.org/newshour/impeachment/trial/bumpers_1-21.html">Dale Bumpers</a>, former US Senator from Arkansas, defended President Bill Clinton when he was on trial. <a href="http://mp3.morningcoffeenotes.com/itsAboutSex.mp3">He said</a>, memorably: "H.L. Mencken said one time, 'When you hear somebody say, <i>This is not about money,</i> it's about money.' And when you hear somebody say, 'This is not about sex,' it's about sex."
			- <a href="http://en.wikipedia.org/wiki/Dale_Bumpers">Bumpers</a> might say today: When you hear somebody say the war in Iraq is not about oil, it's about oil.
			- And Greenspan was absolutely right. Everyone knows that so many US trops and so much US money would not be deployed in Iraq if it weren't in the middle of the oil reserves of the world and if Iraq itself didn't have so much oil. It's ridiculous to argue otherwise. Yet, this admission is causing a major recalc in US political discourse. Had Greenspan said something so obviously true in 2003 or 2004, we might have avoided this national catastrophe. And I think this says more about us, and our desire to be misled, to have our lives simplified, to delegate our intellectual existence.
			- Yes, our troops are there because of the oil. Don't doubt it.
			- Postscript: The Bumpers speech is worth <a href="http://www.pbs.org/newshour/realvideo/january99/bumpers_1-21.ram">watching</a> again, for its eloquence and simplicity. It wasn't so long ago that we rose to this level of discourse.
			- <a href="http://scripting.wordpress.com/2007/09/17/scripting-news-for-91707/#comment-111779">Seth of the Obstructionist</a>: "There's still some people in this country who, alas, still believe in it's values."
		- Today's links
			- <a href="http://www.paidcontent.org/entry/419-new-york-times-to-close-timesselect-effective-wednesday/">TimesSelect goes</a> onto the scrap heap tomorrow night. Now I'll be able to read Frank Rich and Paul Krugman once again. ";->"
			- I have a new <a href="http://scripting.jottit.com/currency">Jotit site</a>. Simple but well thought-out. 
			- I didn't know there is a <a href="http://www.opencongress.org/bill/110-hr333/show">bill before Congress</a> to impeach VP Cheney.
			- Okay I didn't like the ending, but I'm glad the <a href="http://www.nytimes.com/2007/09/17/arts/television/17emmy.html?em&ex=1190174400&en=4847fb959e09ad5f&ei=5087%0A">Sopranos won the Emmy</a> in its final season.
		- TechCrunch 40, day 2
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/17/gumby.jpg" width="85" height="164" border="0" align="right" hspace="15" vspace="5" alt="A picture named gumby.jpg">Following up on yesterday's <a href="http://www.scripting.com/stories/2007/09/16/techcrunch40.html">piece</a> about Demo-like conferences.
			- <a href="http://defragcon.com/Blog/?p=126#isError:false">Eric Norlin proposes</a> that the economics are still out of whack. The people providing the value, the people attending the show, should get in for free. The demoers should pay. He has a point. In my HyperCamp <a href="http://www.flickr.com/photos/scriptingnews/87587076/">proposal</a>, that is how it works. The premise is that in 2007 everyone who attends is as much press as anyone else (everyone's a blogger) so what's the justification for some people getting in as press (i.e. free of charge) and others paying $2500. 
			- Richard Wolpert: <a href="http://rwolpert.typepad.com/my_weblog/2007/09/crunching-on-th.html">Crunch Crunch</a>.
			- <a href="http://tinyurl.com/yqpmg4">Valleywag says</a> JC is really Willy Wonka. ";->"
			- <a href="http://paulboutin.weblogger.com/stories/storyReader$1660">Paul Boutin</a> has a list of the companies demoing at TC40.
			- The unofficial <a href="irc://irc.freenode.net/#tc40">back-channel</a> for the TC40 conference.
			- <a href="http://flickr.com/photos/jspepper/sets/72157602060218949/">JS Pepper's photos</a> from TechCrunch 40.
			- <a href="http://flickr.com/photos/somewhatfrank/1398604488/">Frank Gruber's photos</a> from TC40.
			- Too bad they don't have a live video stream from the conf.
			- Wait a minute -- justin.tv has a stream:
			- <object type="application/x-shockwave-flash" height="270" width="320" id="jtv_player_flash" data="http://www.justin.tv/widgets/jtv_player.swf"><param name="allowFullScreen" value="true" /><param name="movie" value="http://www.justin.tv/widgets/jtv_player.swf" /><param name="flashvars" value="channel=techtalk&auto_play=false&start_volume=25" /></object><a href="http://www.justin.tv/techtalk" style="padding:2px 0px 4px; background:#9A999A; display:block; color:#FFFFFF; width:320px; font-weight:normal; font-size:10px; text-decoration:underline; text-align:center;">Watch techtalk live video and chat on Justin.tv</a>
			- Bad news, they turned off the video and audio in the afternoon, so we can't catch the demos from remote. We had an interesting discussion going on the IRC about the stuff going on in the morning, but it's not happening in the afternoon. Sorry, we did the best we could. 
		- Currency accounts, day 2
			- <a href="http://flickr.com/photos/scriptingnews/1120961779/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/17/hannibal.jpg" width="95" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named hannibal.jpg"></a><a href="http://www.scripting.com/stories/2007/09/16/currencyAccountsForUsCitiz.html">Yesterday</a>, I asked how an ordinary American investor could hedge against weakness in the dollar. To clarify, I wasn't thinking of converting stocks or bonds, it's just a question of what currency I keep my cash in. 
			- Anyway, this is something that a fair number of Scripting News readers know something about, and lots of <a href="http://scripting.wordpress.com/2007/09/16/scripting-news-for-91607/#comment-111476">great advice</a> came back in short order. A summary follows.
			- 1. <a href="http://finance.google.com/finance?q=currencyshares&hl=en">ETFs are stocks</a> traded on the NYSE that track various currencies. 
			- 2. <a href="http://www.us.hsbc.com/1/2/3/personal">HSBC</a> and <a href="https://www.everbank.com/">Everbank</a> have multiple-currency accounts. But watch out for commissions every time you convert from one currency to another. They could wipe out all the gains you may have from holding assets in one currency vs another.
			- 3. Becoming a <a href="http://www.fxcm.com/">currency trader</a> may not actually be so hard, and you get the best rates on currency exchange. 
			- 4. <a href="https://www.paypal.com/us/cgi-bin/webscr?cmd=p/sell/mc/mc_intro-outside">Paypal</a> lets you store value in a variety of currencies.
			- Thanks everyone for the excellent info! ";->"
	- September 16
		- Today's links
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/16/mouse.jpg" width="65" height="95" border="0" align="right" hspace="15" vspace="5" alt="A picture named mouse.jpg">Congrats to Hugh MacLeod on his <a href="http://www.ft.com/cms/s/0/4fe8aad0-62de-11dc-b3ad-0000779fd2ac.html">new deal</a>. ";->"
			- <a href="http://www.blogmaverick.com/2007/09/16/once-you-go-mac/">Mark Cuban</a>: "I love me some MacBook." He says Macs don't have two-button mice, this is a common misperception. I use two-button <a href="http://tinyurl.com/3xagcl">mice</a> for all my Macs. They "just work." Honestly, I think Apple ought to give up the fight on this issue, two buttons are no big deal to master, esp compared to other much more complicated concepts you have to master to use a Mac. 
			- Wait a minute. The Apple <a href="http://www.apple.com/mightymouse/design.html">Mighty Mouse</a> has four buttons, <a href="http://scripting.wordpress.com/2007/09/16/scripting-news-for-91607/#comment-111448">apparently</a>, even though they appear to only have one. 
			- I just ordered a new <a href="http://amazon.com/dp/B000J43HJ8/ref=s9_asin_title_1/104-0619295-2952700?pf_rd_m=ATVPDKIKX0DER&pf_rd_s=center-2&pf_rd_r=0NQ0FA5N833QNFVSF933&pf_rd_t=101&pf_rd_p=288448501&pf_rd_i=507846">Logitech keyboard</a>. Impulse purchase.
			- Yesterday I took a <a href="http://twitter.com/davewiner/statuses/271304572">twitpic</a> with my iPhone in the Apple store. <a href="http://eponymousx.com/blog/2007/09/16/tagclouds/its-a-me-me-me-meme-world/">This guy</a> was following, at a cafe across the street. Of course he came over, and we had a nice schmooze. 
		- Currency accounts for US citizens
			- <a href="http://images.scripting.com/archiveScriptingCom/2007/09/16/greenspanFull.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/16/greenspan.jpg" width="95" height="116" border="0" align="right" hspace="15" vspace="5" alt="A picture named greenspan.jpg"></a>Did you see <a href="http://blogs.wsj.com/economics/2007/09/13/60-minutes-lands-greenspan-interview/">Alan Greenspan</a> on 60 Minutes tonight? What a revelation, one of the most powerful political and economic forces, but until now, basically silent. There were so many interesting things in the interview, but one of them left me with an urgent action item. Lesley Stahl, the interviewer, asked what currency he got the advance on his book in? He said it didn't matter, because he could convert to whatever currency he wanted, begging the question. She pressed, and he volunteered that the best choice is to be diversified. Which of course is a conclusion every money manager would reach on their own, it's just like stocks and bonds, you never want to have all your eggs in one basket, the best strategy is to be diversified. 
			- I've wanted to be diversified in currency for quite some time, but have found it's not so easy. I have an investment account and a checking account, both are in US dollars, and neither offers the option of anything other than that. I just spent a couple of hours with Google trying to figure out where I could open an account that would allow me to keep cash in euros, yen, yuan, dollars (Canadian, US, Australian or New Zealand), pounds, or... ? I found that I could become a currency trader, which is absolutely not what I want. What I'd like is something like a mutual fund for currency. Or failing that, a certificate of deposit that allowed me to specify what currency it would be in. 
			- So I thought I'd ask the smartest people I know, the readers of this blog. Do you keep your savings in more than one currency? Is there an online bank that does this well, one that a US citizen can use (that is, it sends 1099's to the IRS). Any ideas would be much appreciated.
		- TechCrunch 40
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/16/gumby.jpg" width="85" height="164" border="0" align="right" hspace="15" vspace="5" alt="A picture named gumby.jpg">Conferences are in the <a href="http://www.centernetworks.com/tc40-update">air</a>, it's that time of year again.
			- Sorry to be missing the TechCrunch 40 conference which starts tomorrow. I love demo-type conferences, I was one of the originators of the Demo conference, started by <a href="http://www.stewartalsop.com/">Stewart Alsop</a> in the early 90s. The idea then was to take the drudgery out of going to huge shows like Comdex, where you'd have to walk past miles of meaningless booths to find the really interesting products, which often weren't even on the show floor. 
			- And even when you found the gems, the demos usually weren't very good. So Iobbied Stewart to do a conference that would flip the equation around. Do a conference where there were no booths. The demos would be done on computers at a desk, and the demoer was seated, as were the people receiving the demo, usually two or three at a time. Ideally, the demo would be done by the person who developed the product, or the CEO of the company, so that when you asked a question, you might actually get an intelligent answer. And limit the number of people showing to 30 or 40, people chosen by Stewart, who really has a love for intelligent and interesting products. The mind of Stewart of course was key to the process. I wrote the <a href="http://www.scripting.com/davenet/1995/01/04/demoingsoftwareforfunprofi.html">guide to demoing software</a> for the first Demo, which was given to all the demoers and presented at dinner the night before, by yours truly.
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/16/alsop.jpg" width="95" height="120" border="0" align="right" hspace="15" vspace="5" alt="A picture named alsop.jpg">When Stewart left, a succession of people ran Demo. At one point, I was offered the job, but I turned it down because I was running a company. I don't think I would have been good at it anyway, because I'm more of a product developer than a connoiseur. Better to have someone like Stewart or Mike Arrington, who live to receive demos, do the choosing. In some sense I have been trying to create the perfect demo, to be a Demo God (a term I coined btw). I've not been to a Chris Shipley Demo, but I hear they're good. I'd like to go someday. I know Mike and Jason are trying to change things in this area, and change is good, and I don't doubt that Demo will adapt.
			- It is a shame to be missing the TechCrunch conference, but I guess there's a good reason for it, although I sure don't know what it is. Jason got very very mad at me for interrupting his speech at Gnomedex, and scorched my earth in every way he could think to. I think a mensch would regret doing that, and would say so publicly. I would like to get that out of the way so I could have fun at the conference like everyone else. But since he made me his bitch, it just wouldn't be fun being there listening to him present the demoers, thinking how mean he had been to me, in such a public and humiliating way. 
			- Anyway, be glad when people respect you, and try to shrug it off when they don't. That's the best advice I can give. And bless the demoers, people who have the guts to put their ideas to the test. 
			- 5/21/99: <a href="http://static.userland.com/userLandDiscussArchive/msg006538.html">Never demo on a development server</a>.
		- Jeff Jarvis's conference
			- <a href="http://www.buzzmachine.com/2007/09/14/the-networked-journalism-summit/">Jeff Jarvis</a>, whose mind occupies the intersection of mainstream media and the blogging world, perhaps more than any other person, is having a conference in mid-October in NYC to bring together people from both worlds to present constructive ideas for working with each other.
			- Me, my feet are firmly planted in the blogging world, but I've spent a lifetime reading and watching MSM, starting with the NY Times at the kitchen table with my parents and brother, when growing up. Some of my fondest memories as a child were our discussions of the days events, and the Times was our common structure. Everyone in our family read the newspaper, often from cover to cover. 
			- As Jarvis councils us, never mind the mistakes, what can we do to make things work better? And I have a couple of proposals in that direction that I will try to present at the October 11 conference. In all cases, they involve the MSM opening up more to include not only the ideas of blogging, but also the bodies of the bloggers. 
			- 1. I've said it many times before, it's worth raising again. Any newspaper or radio or TV station with a good reputation in its community could embrace the fresh ideas of the bloggers in their community by offering free blogs to members of the community, who may be new to blogging. I suggested this to the Times in 2001 -- when a person is quoted in a Times article, a few days after the piece runs, contact them, and ask if they'd like to have a NY Times hosted blog. There would be no control over what appeared on the blog. It would have a nytimes.com domain (something like bullmancuso.nytimes.com). Build an aggregator, something very much like Twitter (which is after all, a river of news, not exactly a new idea, heh) that shows all the new posts from members of the community. Encourage (but don't require) your editorial people to read the blog posts. Let whatever happens happen. 
			- 2. Here's a new idea that I haven't proposed before. Open your newsroom to bloggers. Set aside a half-dozen desks for people who blog in your community, people you've gotten to know, and provide them with wifi, a water cooler, your coffee (no matter how bad it is) and chance to work alongside your editorial people and (very important) with each other. It's an incredible thing when bloggers get together in a physical space, the sparks can really fly. Now imagine what could happen if those sparks got flying between the remaining editorial people in a professional news organization and the bloggers. I believe the secret of scaling the news is right there, you just have to open the door and see what comes in.
		- A Boston Tea Party for the 21st Century
			- Watching This Week on ABC this morning. First they interviewed Secretary of Defense Gates. He's repping the Bush plan in Iraq, basically no change. Never once did the interviewer ask the Secretary if the voters and taxpayers have any say in what happens. He did ask about the Democratic plan, which is very different from what we the people want.
			- Then he interviews Sen Jack Reed, a Democrat, who wants change now, but still would only withdraw a small percentage of the troops.
			- We've had so much time to think about this. So much intimidation from the President, first if we didn't like the war we were cowards, that was the point behind his Cut and Run campaign. We've come a long way, but he's still negotiating through dishonesty. The President says he favors cuts, but he's lying, his cuts in troops are insignificant, and were mandated by the deal he made with us, that his "surge" was just that. Never mind that we don't want to pay for this war with more money, lives and attention. It seems we don't talk about anything but Iraq. There have to be other things falling apart while all our attention is there.
			- So I have a proposal.
			- 1. Whereas it's obvious that Bush plans to run out the clock on his presidency re Iraq. There will be no change until he leaves office.
			- 2. He's trying to set it up so that when the next President takes office, if he or she withdraws from Iraq, this will set the stage for his supporters to call that person a coward and a loser.
			- 3. It seems very likely that the next President will not make any major changes to US policy in Iraq.
			- Therefore, why should we wait until Bush leaves office? Why shouldn't we the people, throw out our President-King, using the political tools our founders left us. Let's remove both Bush and Cheney, and then turn to the Democrat leader, Nancy Pelosi. If they she doesn't promptly remove our troops from Iraq, impeach her, and keep going until someone in the order of succession gets the message that our <a href="http://usinfo.state.gov/products/pubs/rightsof/vote.htm">government</a> is of the people, by the people and for the people. And we don't go for taxation without representation. 
			- We see clearly how we're being manipulated. Most of us are neither Democrats or Republics, we don't have their interests at heart, and clearly, they don't have our interests at heart. 
	- September 15
		- Today's links
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/15/jewWrestler.jpg" width="95" height="136" border="0" align="right" hspace="15" vspace="5" alt="A picture named jewWrestler.jpg"><a href="http://scobleizer.com/2007/09/15/silicon-valley-moments/">Scoble's story</a> of today's adventures. Blogging at its best, imho. It was a really great day. Hey I met someone who's likely to be a friend for a long time. He was less than two days old. As I was dropping Robert and Patrick off I thought this kid is going to have a lot of role models. ";->"
			- <a href="http://english.aljazeera.net/NR/exeres/BCCA0936-3DBE-4A02-AC39-2E59EAE1BF2B.htm">Al Jazeera</a>: "Nearly 200 protesters have been arrested during a march in Washington DC held to demand the return of troops from Iraq and the impeachment of George Bush, the US president."
			- <a href="http://tirania.org/blog/archive/2007/Sep-15.html">Miguel de Icaza</a> on new firmware for iPods that make it impossible to use one with any OS other than Windows or Macintosh. Maybe it's time for us all to get together and build an open source and completely open MP3 player, without any of the taxes Apple imposes. It's too important a product to leave to one company.
		- New Mac Mini notes
			- <a href="http://sourceforge.net/projects/cotvnc/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/15/chicken.gif" width="105" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named chicken.gif"></a>I bought a new Mac Mini today, it's my second, the old one is way slow and old and doesn't do the latest 802.11n tricks, and the disk is small. The new Mini is for the TV room and the old one will become a server. So now it's time to master VNC and <a href="http://sourceforge.net/projects/cotvnc/">Chicken of the VNC</a>. This was a topic of discussion <a href="http://scripting.wordpress.com/2006/11/20/scripting-news-for-11202006/#comment-19179">here</a> on 11/20/06. 
			- Ooops, it turns out the new Mac Mini does <a href="http://scripting.wordpress.com/2007/09/15/scripting-news-for-91507/#comment-111209">not</a> support 802.11n. Oy.
		- Milan Scoble on day 2 of his young life
			- <a href="http://www.flickr.com/photos/scriptingnews/1388392526/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/15/milan.jpg" width="275" height="367" border="0" alt="A picture named milan.jpg"></a>
		- Patrick Scoble at hospital, with new brother, coping
			- <a href="http://www.flickr.com/photos/scriptingnews/1387522795/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/15/patrick.jpg" width="275" height="368" border="0" alt="A picture named patrick.jpg"></a>
		- After hospital, a visit to Apple store, to spend money
			- <a href="http://www.flickr.com/photos/scriptingnews/1388027171/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/15/appleStore.jpg" width="275" height="367" border="0" alt="A picture named appleStore.jpg"></a>
	- September 14
		- Scoble and Maryam sittin in a tree
			- Last night at 2AM, Maryam Scoble gave birth to a healthy 9 pound boy named Milan. 
			- Scoble being Scoble, of course there's a <a href="http://mp3.twittergram.com/Scobleizer/gram01704.mp3">Twittergram</a> marking the <a href="http://twitter.com/Scobleizer/statuses/268038992">moment</a>, and some <a href="http://www.flickr.com/photos/scobleizer/1378184541/in/photostream/">Flickr pics</a>. And Maryam's seemingly endless labor was lovingly chronicled on Twitter itself.
			- Oh happy day!
			- Much love and a hearty mazel tov to the proud parents, his big bro Patrick and the newborn baby boy. 
		- Mash Me Baby
			- I'd love to get an invite for http://mash.yahoo.com/ -- thanks in advance! ";->"
			- PS: I got one. <i>Thanks!!</i>
		- The newsroom for the blogging generation
			- <a href="http://www.flickr.com/photos/scriptingnews/87587076/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/14/matrix.gif" width="275" height="215" border="0" alt="A picture named matrix.gif"></a>
			- Click on the <a href="http://www.flickr.com/photos/scriptingnews/87587076/">pic</a> for more info.
		- On the calendar
			- <a href="http://newsinnovation.com/">Networked Journalism Summit</a>, Oct 10, in NYC.
			- <a href="http://www.bowzerparty.com/bio.htm"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/14/bowser.gif" width="125" height="183" border="0" align="right" hspace="5" vspace="1" alt="A picture named bowser.gif"></a><a href="http://www.buzzmachine.com/2007/09/14/the-networked-journalism-summit/">Jeff Jarvis</a>: "The premise of all this is that even as journalistic organizations may shrink, along with their revenue bases, journalism itself can and must expand and it will do that through collaborative work. The internet makes that collaboration possible and we�ve barely begun to explore the opportunities it affords. A year or two ago, the point of such a meeting might have been evangelizing this idea. But in that time, a number of great projects in collaborative, networked journalism have taken off. So now is the time to share the lessons -- success and failures -- from these efforts and to determine what�s needed to move on to the next goals. By bringing together about 150 practitioners from all sides, we hope that the meeting itself can spark new partnerships and projects."
		- Lunch with Loic Le Meur at T-Rex in Berkeley
			- <a href="http://www.flickr.com/photos/scriptingnews/1383056408/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/14/loic.jpg" width="275" height="367" border="0" alt="A picture named loic.jpg"></a>
			- http://loiclemeur.com/ 
		- More news in Scripting News
			- <a href="http://www.scripting.com/rss.xml">The RSS feed</a> for Scripting News now has the last 20 items posted to the blog instead of just the posts for the most recent day. This means that if you read the feed in an app that more or less displays the contents of the feed (as opposed to the new stuff) you'll see more. 
	- September 13
		- The new environment
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/13/mixer.jpg" width="85" height="183" border="0" align="right" hspace="15" vspace="5" alt="A picture named mixer.jpg">I had a number of interesting conversations today, first at our weekly blogger's breakfast in Berkeley, then with <a href="http://www.flickr.com/photos/scriptingnews/1373453663/in/photostream/">Rex Hammock</a> at <a href="http://maps.google.com/maps?ie=UTF-8&oe=utf-8&rls=org.mozilla:en-US:official&client=firefox-a&um=1&q=t+rex&near=Berkeley,+CA&fb=1&view=text&latlng=37880232,-122296964,1170826335931445121#">T-Rex</a>, and then with <a href="http://www.flickr.com/photos/scriptingnews/1375017924/in/photostream/">Nick Denton</a> at <a href="http://maps.google.com/maps?f=l&view=text&q=barney%27s&near=Berkeley,+CA&ie=UTF8&hl=en&latlng=37878392,-122269108,3478315485098496324&ei=BurpRqP_H5uGrQKA_7XCCQ&sig2=8Td8FBDE7LoSDtzokcYIog&cd=2#">Barney's</a> in Berkeley. I watched the President's speech and the followup with Republicans and Democrats. Then I got a direct message from <a href="http://twitter.com/fredwilson">Fred Wilson</a> saying he was going to write about Iraq, to which I responded, glad to hear it!
			- Through all my discussions today I've been telling a story about Fred Wilson. 
			- I've only met Fred once, we had a dim sum lunch in July in San Francisco. We've also had several back-channel discussions, some pretty intense. And of course I've been reading his weblog for a couple of years. How well do I know Fred? Not that well, but then consider the possibility that Fred is one of the leaders of his generation of tech investors. Compare how well I am getting to know Fred as compared to say <a href="http://www.scripting.com/davenet/2001/02/01/johnDoerrOnABicycle.html">John Doerr</a>, the VC of the previous generation who I knew best. 
			- In the past, the most I would have heard was a quote or two in a business publication maybe three or four times a year. The quotes would pass through N levels of filters, reporters, editors, copy editors, etc. How different that is from the way things work today, when I not only hear from Fred on a daily basis, but I also see pictures of people he meets through Twitter and Flickr, bits of music he likes, and random thoughts on the non-tech issues of our day, such as the war in Iraq. 
			- In talking with Denton, who runs <a href="http://images.scripting.com/archiveScriptingCom/2007/09/13/valleywag.gif">Valleywag</a>, which gets a lot of flow, but doesn't run ads (something I had never noticed before), we agreed that some things don't change. There are still hierarchies of people, stars and gossip about stars, but something important <i>has</i> changed. Now we have the means to go direct, and that truly is an important difference.
			- And more and more I believe that the plan I outlined in <a href="http://www.scripting.com/davenet/2000/02/04/howToMakeMoneyOnTheInterne.html">2000</a> and <a href="http://www.scripting.com/davenet/2001/02/13/howToMakeMoneyOnTheInterne.html">2001</a> for making money on the Internet is the way it will shake out. It will be important to feel our way through it, and realize that the power we have to learn about each others' lives and minds and feelings and foibles, is just the beginning of the changes the new environment is bringing about.
			- Postscript: <a href="http://avc.blogs.com/a_vc/2007/09/doubt.html">Fred Wilson's post about Iraq</a>.
		- Lunch today with Rex Hammock at T-Rex
			- <a href="http://www.flickr.com/photos/scriptingnews/1373453663/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/13/rex.jpg" width="275" height="367" border="0" alt="A picture named rex.jpg"></a>
			- http://www.rexblog.com/ 
		- Christine was our waitress
			- <a href="http://www.flickr.com/photos/scriptingnews/1374349136/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/13/christine.jpg" width="275" height="367" border="0" alt="A picture named christine.jpg"></a>
		- Iced tea and salad with Nick Denton at Barney's
			- <a href="http://www.flickr.com/photos/scriptingnews/1375017924/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2007/09/13/denton.jpg" width="275" height="367" border="0" alt="A picture named denton.jpg"></a>
			- http://www.nickdenton.org/ 
	- September 12
		- Bravo to MoveOn
			- I got to watch much of the testimony of General Petraueus in Congress early this week. 
			- The Republicans kept showing off a <a href="http://pol.moveon.org/petraeus.html">MoveOn.org ad</a> in the NY Times that <a href="http://flickr.com/photos/scriptingnews/1367745829/">asked</a> if General Petraeus was really General Betray Us. It worked. Now every time I hear his name I hear the MoveOn slogan. 
			- Betray Us Betray Us Betray Us. 
			- Goodbye Bush.
			- I think the next MoveOn ad should be a straight FAQ on Iraq.
			- Q: Is it making American safer?
			- A: No. 
			- Q: Could the money we're spending in Iraq be put to better use?
			- A. Yes, of course. To say nothing of the American and Iraqi lives that are being wasted.
			- Q: Did the President commit impeachable offenses in selling the war in Iraq?
			- A: Yes, of course.
			- Q: Will we win or lose in Iraq?
			- A: No. We are occupying Iraq. There's no enemy that we're trying to depose. There's no victory possible, as there is no losing possible.
			- Key point: Nothing any of us could say would get Bush to say "Oh geez, you're right, we really fucked up. Let's fix this as soon as possible." So stop arguing with him as if this could possibly happen.
			- Just focus on what <i>we</i> believe. 
	- September 11
		- Does Iraq make America safer?
			- <a href="http://www.slate.com/id/2173737/">Slate</a>: "Republican Senator John Warner asked General David Petraeus whether the current strategy in Iraq 'will make America safer.'"
			- Petraeus: "I believe that this is indeed the best course of action to achieve our objectives in Iraq."
			- Warner repeated: "Does that make America safer?"
			- Petraeus: "I don't know, actually."
		- Health report, General Petraeus
			- Feeling <i>much</i> better today.
			- Health is beginning to return. I owe it all to patience, lots of sleeping, drinking fluids, and not trying to be healthy before I actually am. Today I'm going to take a 20 minute easy walk in the sun. 
			- Watching General Petreus testify today. The Dems are very polite. Sorry I still think we should get the hell out of Iraq. I don't think any more Americans should die there. 
			- Elizabeth Dole is speaking now.
		- Help Mozilla with localization?
			- When I visited Mozilla in <a href="http://www.scripting.com/stories/2007/08/16/atMozillaToday.html">August</a>, I met Michal Berman, who works in Toronto on localization of the browser. She asked if I had any insight into localization issues for RSS, and I offered that my readers probably know a billion times more about this than I do. 
			- http://tinyurl.com/285se5
			- So I asked her to put up a blog post outlining her questions, and offered to link to it prominently from Scripting News. If you can help Mozilla, it's definitely for a good cause. ";->"
	- September 10
		- Today's links
			- <a href="http://www.centernetworks.com/mahalo">Allen Stern looks</a> at various scams Mahalo uses to make it look like people are using their site. 
			- Kevin Marks: <a href="http://epeus.blogspot.com/2007/09/journalists-slumming-online.html">Journalists Slumming Online</a>.
			- <a href="http://www.uncov.com/2007/9/10/uncov-fails-techcrunch-20-40-whateverthefuck">Uncov didn't raise</a> enough to send a delegate to the TechCrunch conference later this month. They can keep my $100, I hope they do something interesting with it. 
		- Should every app be a platform?
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/10/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg">I've been pushing the idea that every app should be a platform for a long time, that in addition to a user interface, every app should have a programmatic interface. For me the idea came from growing up using Unix in the 70s, where every app is a toolkit and the operating system is a scripting language. Wiring things together is an integral part of being a Unix user. It's why programmers like Unix so much.
			- The idea then came up again with the push to integrated software in the early 80s. Mitch Kapor and Lotus were selling the idea of an all-in-one package, Symphony, which was a word processor, database, spreadsheet, graphics and communication program, with a macro language tying it all together. Bill Gates proposed a different approach, let each app stand alone and share its data with other apps through a common scripting language. This idea was so good that I started a company in 1988, UserLand Software, to create such a scripting language for the Mac, which then had a rich user interface and a totally underdeveloped scripting interface. Today, the Macintosh has a rich tradition of interapplication communication, made possible by this simple idea that every app should have an API.
			- This led to <a href="http://www.xmlrpc.com/">XML-RPC</a>, the Internet version of apps with APIs, which led to SOAP, and then REST, which imho, will eventually lead back to XML-RPC (as people realize that standardized marshalling formats have value). However you express the API, today you can write scripts that combine the features of scriptable Internet apps such as Twitter, Flickr and various blogging platforms. 
			- And at least one VC, <a href="http://avc.blogs.com/a_vc/">Fred Wilson</a>, has caught the bug, and is investing in companies that build net-scale technology with APIs. His companies will have the kind of lock-in that will be the envy of the VC world, because when other developers build on your platform, it's mighty hard to replace what's underneath. Imagine moving a coral reef from one ocean to another and you get an idea of how strong a lock platforms have. 
	- September 9
		- China's effect on the Internet
			- <a href="http://www.dembot.com/014114.html">Andrew Baron likes</a> to keep checking to <a href="http://www.google.com/search?q=%22China%27s+effect+on+the+Internet%22">see</a> who's writing about China's effect on the Internet.
			- So far, he says, it's only been David Weinberger and himself. Now I will be part of the club. ";->"
			- Like Andrew, I <a href="http://technology.timesonline.co.uk/tol/news/tech_and_web/the_web/article2409865.ece">read</a> with some curiosity that China has developed a way to disable the US military entirely through the Internet. It's like a science fiction movie. Now we have to develop a similar capability to disable their military, and voila, there's one war that can't happen! Excellent.
			- Apply that technique to all existing armies and you've solved a major problem for mankind. Okay this may be a little naive, not sure, but it's worth discussing, don't you think??
		- Morning green tea notes
			- It's been a really interesting morning, in a sick kind of way (that is, I'm still really sick, coughing and wheezing, rasping and sneezing). 
			- First, I got a really excellent How To Be A Sick Dude from <a href="http://nakedjen.blogs.com/">Naked Jen</a>, my very good friend from Santa Cruz, who specializes in wellness through herbs and good vibes. She's been sending well-intentioned "mom energy" my way, advising me to do certain things, and against others. The most serious thing she warned me about was doing too much too soon. That's a good way to be sick for a month, she warned. So I asked for her prescription. When can I go for a walk, and how long should it be? I really want to get out and I think pulling oxygen in and out of my lungs would be good for them. But when I exert myself, even a little, I start coughing madly. So she wrote me a How To, and I'm going to encourage her to post it on her blog because a lot of other people could benefit from this common sense advice on what to do and what to avoid.
			- Marc Canter wrote a <a href="http://blog.broadbandmechanics.com/2007/09/musings-on-a-sunday-morning-about-why-i-don-get-invited-to-allthingsd">fantastic blog post</a> this morning that explains in a nutshell all that's wrong with the tech press. It's a well-written piece, you get the sense that he's spent a lot of time thinking about it. The problem is that when the press don't do their job, and those of us who care about getting the real story do their job for them, it's very easy to get rid of the problem, just make fun of the people who care enough to ask. That's what happened at Gnomedex, I asked questions of someone in power that he didn't want to answer. 
			- The sad thing is that this doesn't just happen in the tech press, it happens in all media. They feel it's their responsibility to carry the story the way those in power want it carried, so they ask questions about "the surge" that Bush wants asked and only when he wants them asked. We're seeing this play out in excruciatingly agonizing detail with tomorrow's appearance in Congress of General Petraeus. He will come to explain the decision that's already been made, he'll say we can discuss it when it's been given a chance to work or not. How about next June or July? 
			- I've been playing around with a new <a href="http://scripting.com/defaultnew.html">expandable display</a> for the Scripting News home page, using the mktools package from <a href="http://www.mattkruse.com/javascript/mktree/">Matt Kruse</a>. Let me <a href="http://scripting.wordpress.com/2007/09/09/scripting-news-for-9907/#comments">know</a> if you like it, or don't. 
	- September 8
		- Another lazy day
			- Still got the bug.
			- Doing a little coding, reading, TV watching, not much else.
			- Even talking on the phone is a struggle, too much coughing and wheezing.
			- I've gotten email from people who are concerned. Thanks for the concern. Yes, I have seen a doctor, even went to the hospital to get chest x-rays. I don't have pneumonia. Just a realllly bad cold. A monster proportioned cold. It attacks everything but my sense of humor. ";->"
	- September 7
		- Good morning everybody!
			- Not much going on, still taking things very slow, this is a nasty cold, and recovery is not a straight line. Wish it were. 
			- This morning I'm not as well as I was yesterday morning. Just ran a couple of errands yesterday, nothing that I could avoid, and it felt good to get out of the house. But I paid for it with more coughing, wheezing, etc.
	- September 6
		- How about a T-shirt??
			- <img src="http://images.scripting.com/archiveScriptingCom/2007/09/06/phoneShirt.jpg" width="142" height="119" border="0" align="right" hspace="15" vspace="5" alt="A picture named phoneShirt.jpg">Apple is <a href="http://www.apple.com/hotnews/openiphoneletter/">offering</a> a $100 store credit to early iPhone purchasers. Good idea, glad they're responding. 
			- Even better would be to give us something unique, to commemorate the "early days" of the product. A T-shirt maybe, a poster, an iPhone mug from Starbucks? Give people something to feel a part of the team, family, clan, cause. Apple has at times been really good at tuning into this, at other times, not so good.
			- PS: <a href="http://scobleizer.com/2007/09/06/dear-steve-jobs/">Scoble wants an SDK</a> so developers can create cool iPhone apps. Of course I do too. But I doubt it's going to happen anytime soon. Look at all the deals they can do if they don't. Starbucks wouldn't need them if there was an SDK. And Tulley's could do their own, as could Peet's, and Whole Foods, etc etc. Apple wants <i>all</i> that business, I'm sure. And they want to be able to sell Starbucks an exclusive. They couldn't if there was an SDK. So I bet we'll have to settle for the T-shirt or coffee mug, until someone routes around them. ";->"
		- From the Mind of Twitter
			- From Jack Dorsey, the CEO of <a href="http://www.twitter.com/home">Twitter</a> at 10:35AM: "We had some unforeseen traffic bite us during our scheduled downtime this morning.  Working hard to resolve it now."
			- 12:25PM: It's back up. 
		- Apple announcements, Day 2
			- <a href="http://feeds.searchengineland.com/~r/searchengineland/~3/152970821/070906-093051.php">Apple and Nokia fighting</a> over customers in Google ads. Love to see this. Customers rule!
			- About the $200, not a big deal. If you buy Apple products and you're worried about a small piece of change like that, you should buy a Toshiba or Acer or Compaq. Even Dell is cheap compared to Apple. 
			- However this <a href="http://www.usatoday.com/tech/products/2007-09-05-jobs-qanda_N.htm">Q&A</a> with Jobs is a bit much. Not quite sure why I don't like it so much. Maybe because I don't think his competitors are quite as ruthless as he is. Maybe what he really means is this is how <i>Apple</i> works, not how technology works.
			- <a href="http://blog.wired.com/business/2007/09/four-mistakes-a.html">Wired's blog nails it</a> with four ways Apple blew it yesterday. 
			- One more thing. <a href="http://scripting.wordpress.com/2007/09/05/scripting-news-for-9507/#comment-108515">Jim Forbes says</a> that the cheers and applause at Apple announcements come from Apple people sitting in the first rows, not from reporters. I didn't know that. Seems that reporters should include that in every press report until Apple stops doing it. It's really tacky, like a laugh-track on an old 60s television comedy. To be clear, the people who are cheering are <i>paid</i> to cheer. Maybe others disagree with Jim??
		- Today's links
			- <a href="http://static.twitter.com/system/maintenance/index.html">Yes Twitter</a>, we're hanging tight. Meanwhile suspension of disbelief is suspended.
		- Feeling much better
			- Yesterday was the first feel-good day after a horrible bout with whatever it was that hit me and dragged me under. 
			- But Naked Jen, who said she had the same disease, warned against believing you're better when you start <i>feeling</i> better. She fell for it, and ended up being sick for two weeks. I've had that happen too. 
			- So I spent yesterday bumming around, sleeping a lot, reading, did a little writing, etc. And today I feel even better. But I'm still going to ease out of the disease, not try to make up for lost time. I'll go to breakfast with the crew in a few, and then do some food shopping. Maybe a short walk, and more of the routine of the last week. Fluids, rest, nothing too heavy. 
			- The goal is to feel even better tomorrow, and do a little more tomorrow. 
