- June 2008
	- June 30
		- A way for Twitter back in the pink?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/30/ronaldMcDonald.jpg" width="115" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named ronaldMcDonald.jpg">I'm not sure how much of the stress in Twitter is caused by the services that poll its API on behalf of thousands of users, but it's got to be a lot of work to service all those requests that are constantly coming in.
			- Here's why it has so much work to do. When I post something to Twitter, within a couple of minutes it shows up on FriendFeed. I don't know for sure, but I bet that it's calling the Twitter API every few minutes to ask if Dave has posted something over there. Most of the time the answer is no. And it's asking for each of the thousands of FriendFeed users that have connected their Twitter accounts to their FriendFeed accounts. Wouldn't it be simpler for FriendFeed to say to Twitter: "Here's a list of all the FriendFeed users who want to have their twits reflected over here." Then Twitter could call FriendFeed saying "Yo, Dave just updated and here's what he said." Don't call us we'll call you. It's often more efficient. ";->"
			- Back in the old days when I used to work on much larger systems known as <a href="http://www.flickr.com/photos/scriptingnews/2627291590/">mainframes</a>, they had special-purpose computers whose only job was to offload work for the main computer, much the way a booster rocket or a tugboat help a space ship or an ocean liner. In computers they were called TIPs which is an acronym for Terminal Interface Processor. Each user sat at a terminal, a sort of dumb computer that behaved like a printer, and typed away, and then the TIP would talk to all the terminals, and then talk to the mainframe in a language only the two computers understood. It was much more efficient for the mainframe. Seems Twitter could use that kind of efficiency.
			- There's lots of this kind of connecting going on these days, and it is costly. It slows systems down. Probably the way the problem is going to be solved is through something like the TIPs, adapted to the 21st Century. 
			- Just a thought for a possible way to make Twitter a little more perky.
			- PS: In 1997 I knew Apple was going to fire its CEO, I had been brought in, in confidence. The morning of the announcement, I wrote a <a href="http://www.scripting.com/davenet/1997/07/08/TheSureRoadtoBankruptcy.html">Wired column</a> (published on the web) calling for his resignation. It ran two hours before the announcement. Some people mistook it for cause and effect. ";->"
		- Looking for a few good feeds
			- I'm revamping my feed reading. 
			- FriendFeed has made me (and apparently others) much more aware of how I get my news. 
			- I've also learned a ton from the <a href="http://newsjunk.com/">NewsJunk</a> project. I get much better political news now than I ever have, and it's getting better all the time. 
			- Something I've learned...
			- The thing that makes the difference: <b>GOOD FEEDS</b>. 
			- Behind those feeds of course are honest, smart people with a passion for information.
			- I started <a href="http://newsjunk.com/">NewsJunk</a> because I was getting terribly spotty news about politics. I asked how other people get their politics, and everyone said the same thing, they hunt and peck. Now I get a steady stream of great stuff. It's like the <a href="http://www.google.com/search?q=%22briefing+book%22">briefing books</a> political candidates get from their staff, but open to everyone. When a story breaks I get a bunch of perspectives. If I'm not interested, I don't click, but in an instant I have a sense of what's going on. 
			- And it's a level playing field. If a story breaks via pro or amateur, we get it. Fast. No waiting. (When we're doing our job.)
			- Now, I want to straighten out my access to news about technology. 
			- In a word, it sucks! 
			- I want it not to suck.
			- As much. ";->"
			- Tech news is different from politics though, most people in the tech world, the insiders, hit <a href="http://techmeme.com/">TechMeme</a> at least a few times every day, I do, at least 20 or 30 times. <i>I don't want it to change,</i> it serves a very useful purpose. But it isn't enough. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/30/love.gif" width="150" height="150" border="0" align="right" hspace="2" vspace="2" alt="A picture named love.gif">What I want is what I've always wanted: News about products. New products. What people think about products, but features added to popular products. And not just the really huge products, like GMail and Amazon. I use lots of stuff. You should see my bookmarks and my system tray. And some of the products I'm interested in aren't even in my Bookmarks. Earlier today Steve Rubel wrote about Summize and a neat new feature they just added. It's a really small thing, but I care about really small things. I make and products for a living. Ideas are important. And someday I might meet the guy who did that, and I'd like to know about it so I can congratulate him. The personal touches matter. People care that you notice. I certainly do!
			- You know what else I like -- hearing about products from the person who implemented it. What were they thinking? What were their goals? What were they surprised by when people used the product? What questions do they have? You can learn a lot by listening to the person who wrote it.
			- Anyway, I want to know about products. Today I found two blogs that are devoted to reviewing tech products. I added their feeds to my mix. 
			- I want to know what <i>you</i> rely on for product news, and I want to start reading what you read, voraciously. And I don't just want to read it, I want to consume it. ";->"
			- So please, if you feel so inclined, either post a URL of a favorite product-related feed in the comments here or send it to me at scriptingnews1 at gmail dot com. 
			- <i>Thanks!!</i>
			- "cheesecake"
			- PS: If we can improve the flow of news about tech products we can create more opportunities for tech products. I'm sure there are niches we're missing, big ones, but they're hard to see because the picture has been muddied up by all kinds of peripheral stuff. 
			- PPS: One of my <a href="http://avc.blogs.com/a_vc/2008/06/where-to-go-for.html">inspirations</a> for this work was a post by Fred Wilson where he said he wanted a TechMeme for inspiration. I don't think it'll end up looking like TM, and your source of inspiration might look very different from mine. We've gotten too centralized, imho -- we'll now get more decentralized. Pretty sure I see how it could work. 
	- June 29
		- Web 2.0 gas prices
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/29/camera.gif" width="125" height="168" border="0" align="right" hspace="15" vspace="5" alt="A picture named camera.gif">Earlier today we were having a <a href="http://friendfeed.com/e/1afaa2a0-63d5-1067-7649-41048a3c0c51/A-reporter-asks-McCain-how-much-a-gallon-of-gas/">hot debate</a> about how John McCain doesn't know how much a gallon of gas costs. A Republican thinks we're being too hard on old John. I thought not, what single fact could you expect someone running for President to know? It's like asking the manager of a baseball team their percentage (the number of games won divided by the total number played). Or asking a batter how many RBIs he has. A president should know what gas costs, as would the CEO of an airline or car company. It's a very basic indicator of what's going on. You can't even go to war (something McCain is proud to say he knows something about) without gas. <i>Lots</i> of gas.
			- You could forgive him for not knowing what a gallon of <a href="http://images.scripting.com/archiveScriptingCom/2008/06/29/milk.gif">milk</a> goes for, you'd have to actually go inside a store to find out, but the price of gas is displayed prominently on street signs. All he has to do is look out the window of the famous <a href="http://images.google.com/images?q=Straight%20Talk%20Express">Straight Talk Express</a>. 
			- Anyway, we did a little checking, found an <a href="http://www.ocregister.com/newsimages/OCVarsity%20Audio/John%20McCain%20Audio.mp3">MP3</a> of the interview where the question came up, verified that the <a href="http://totalbuzz.freedomblogging.com/2008/06/24/total-buzzs-qa-with-john-mccain/#more-4223">transcript</a> was accurate. (Yeah, if you want to split hairs, he wasn't asked if he knows the price of gas today, literally, just if he knew the price of gas at any time in the past. Lawyers everywhere.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/29/gasoline.jpg" width="85" height="111" border="0" align="right" hspace="15" vspace="5" alt="A picture named gasoline.jpg">Then I went looking on Google Maps for a <a href="http://maps.google.com/?ie=UTF8&layer=c&cbll=37.886795,-122.297716&panoid=eQ2hVER8ZQVezAiX3Zmgdg&cbp=1,136.9492136174497,,0,-7.371382636655948&ll=37.887801,-122.296532&spn=0.006926,0.009431&z=17">Street View</a> of a gas price sign on a station at San Pablo and Marin Ave in Albany, an intersection I go through frequently on my way to San Francisco or the South Bay or the movies. Later I was waiting at a red light at that exact spot and thought to take out the <a href="http://www.flickr.com/cameras/canon/powershot_sd1100_is/">camera</a> and take a picture of the sign today. <a href="http://www.flickr.com/photos/scriptingnews/2621802883/">Uploaded it to Flickr</a>. The prices had changed quite a bit!
			- What a world we live in. Gas is ridiculously expensive. But the Internet keeps getting more interesting.
		- More than meets the eye
			- This morning, the story I've been tiptoeing around here appeared for the first time in the business press.
			- Guardian: <a href="http://blogs.guardian.co.uk/technology/2008/06/29/shel_israel_puppet_show_bites_the_dust.html">Shel Israel puppet show bites the dust</a>.
			- There's an undercurrent to the story that insiders will understand that I don't want to explain here at this time. 
			- People need to do some soul-searching, now, and then do some damage control before this gets much worse. 
	- June 28
		- State of the Twitter, June 2008
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/28/lecter.jpg" width="125" height="300" border="0" align="right" hspace="15" vspace="5" alt="A picture named lecter.jpg">June was a terrible month in TwitterLand. The service was down a lot. It's basically down right now, has been for days -- since the Replies tab doesn't work. 
			- I've never seen anything like it. A service so many people use that can't stay up. 
			- Yesterday I got an email from Jay Rosen asking if this was the day Twitter died. It had completely gone off the air. No <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">whale</a>, no features taking a <a href="http://images.scripting.com/archiveScriptingCom/2008/06/28/resting.gif">rest</a>, the server wasn't responding at all. I posted a <a href="http://friendfeed.com/e/dac2b3d7-416c-451b-8fc3-0c74bd54a4b5/Is-today-the-day-the-music-died/">message</a> on FriendFeed linking to the Don McLean song American Pie that's about "The Day The Music Died." Yeah, yesterday might have been the day that Twitter died.
			- Fact is, Twitter as it was conceived was never meant to live. 
			- It's very possible with better engineering its architecture might have gone on for a few more years, but eventually it would have hit this wall, where there were too many people posting too many twits to too many followers. The scale of the system as conceived rises exponentially. Just look at the spewage <a href="http://twitter.scripting.com/spewage.html">report</a> for a sense of the scale.
			- So I started arguing for a decentralized system, and the engineers at Twitter sniffed that you would never be able to recreate Twitter in a decentralized fashion. I still doubt that's true, but now we have a counter-argument -- you couldn't keep it running in a centralized fashion either. It may just be too rich an application for today's computers. To a user this seems ridiculous -- it doesn't <i>look</i> rich. I guess sometimes appearances can be deceptive.
			- So the conversation <a href="http://www.techcrunch.com/2008/06/27/conversations-come-to-a-screaming-halt-on-twitter-users-simply-move-to-friendfeed/">moves</a> to FriendFeed. True, I am ignoring the flow I have on Twitter. Easy come easy go. The flow there is pointless. It's like trying to make a baby by having sex with a rock. First, it's hard to get excited. And second, no baby. 
			- And FriendFeed is a much better place for conversation than Twitter. No 140-character limit (they do have a limit, but it's much higher, so high I haven't had a reason yet to figure out what it is). And most important, with 10K-plus followers on Twitter, when I respond to one person's question, all 10K see the response and some get annoyed (a certain percentage say so) or ask what we're talking about. If I answer their question, I'm annoying and confusing a bunch more people. Conversation was awkwardly grafted onto Twitter as an afterthought. It seems to fit in better with FriendFeed.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/28/donquixote.gif" width="65" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named donquixote.gif">However, before we all move to FriendFeed and think we've solved anything, this <a href="http://friendfeed.com/e/1c976d72-06be-4485-bca9-a4ad0e79ddf3/A-big-lesson-we-should-be-learning-from-the/">underscores</a> the problem with putting all our eggs in one basket. We just move the problem into the future. FriendFeed may be able to scale where Twitter can't, but there are other problems with centralization, putting all your trust in a corporation, esp one so young and unformed. Instead, we should start bootstrapping a decentralized Twitter-like thing immediately, building off the base of clients that connect to Twitter. It can connect to any service we want to connect to, and if one should go away, we do the thing the Internet does so well, route around the outage. I <a href="http://www.scripting.com/stories/2008/05/04/aNewWebServiceForTwitterCl.html">wrote</a> about this, extensively, in early May. 
			- PS: I implemented my own suggestion. Here's <a href="http://twitter.scripting.com/daveRss.xml">my RSS feed</a> of today's Twitter posts.
			- PPS: At 7:40PM, <a href="http://images.scripting.com/archiveScriptingCom/2008/06/28/repliesworking.gif">replies</a> in Twitter are back. Now we get to find out if our fling with FF is the real thing, or just a summer love.
	- June 27
		- Classic geek video
			- <object width="425" height="344"><param name="movie" value="http://www.youtube.com/v/BcQ7RkyBoBc&hl=en"></param><embed src="http://www.youtube.com/v/BcQ7RkyBoBc&hl=en" type="application/x-shockwave-flash" width="425" height="344"></embed></object>
			- Much-discussed <a href="http://friendfeed.com/e/a13cfa26-8974-4f3a-a693-50c5ccef51cb/If-you-watch-one-video-today-this-is-the-one-to/">today</a> on FriendFeed, with <a href="http://www.flickr.com/photos/scriptingnews/2617802904/">art</a>.
		- 10 great movies in 10 genres
			- From <a href="http://www.npr.org/templates/rundowns/rundown.php?prgId=13">today's Fresh Air</a>, a <a href="http://www.afi.com/10TOP10/">selection</a> of 10 great movies in 10 genres from the American Film Institute: <a href="http://www.afi.com/10TOP10/animation.html">Animation</a>, <a href="http://www.afi.com/10TOP10/romanticcomedy.html">Romantic Comedy</a>, <a href="http://www.afi.com/10TOP10/western.html">Western</a>, <a href="http://www.afi.com/10TOP10/sports.html">Sports</a>, <a href="http://www.afi.com/10TOP10/mystery.html">Mystery</a>, <a href="http://www.afi.com/10TOP10/fantasy.html">Fantasy</a>, <a href="http://www.afi.com/10TOP10/scifi.html">Sci-Fi</a>, <a href="http://www.afi.com/10TOP10/gangster.html">Gangster</a>, <a href="http://www.afi.com/10TOP10/crdrama.html">Courtroom Drama</a>, and <a href="http://www.afi.com/10TOP10/epic.html">Epic</a>. I love resources like this, cause there are bound to be some movies among the hundred that I haven't seen. Maybe you'll find some too. 
		- To Obama: I'm not an ATM
			- I just got an email from David Plouffe, the campaign manager for Obama. Click on the image below to read the email.
			- <center><a href="http://images.scripting.com/archiveScriptingCom/2008/06/27/plouffe.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/27/plouffesmall.gif" width="235" height="217" border="0" alt="A picture named plouffesmall.gif"></a></center>
			- I've underlined in red the part of the email that got me to write this angry blog post.
			- When I saw the email in my inbox entitled <i>Strategy Briefing For You</i> I thought for a brief instant that the Obama campaign had figured out that I have a mind, that I have an education and a resume, and I might be someone worth briefing. Three paragraphs later the disappointment hits. Watch the video then give us money. 
			- I (like to) think Obama needs more than my money. I think Obama needs my mind and my influence and experience. My creativity. I think Obama might, from time to time, want to brief me, <i>without</i> asking for money. I think Obama might want to invite me to a meeting of people from Berkeley or Northern California or the tech industry, or academia, or any number of my other affiliations (Bronx Science alumni?) where people put their minds together and think about ways to co-create a new America. 
			- The primaries are over and he won. There's one more hurdle and he'll be President. Yes, he's got my vote. He probably will get my full $2300. Does he want anything more? My guess is that honestly, no more than Clinton or Bush did. Sorry to say, but that's how it seems to me. Still a little time to turn it around. But the voter as ATM thing is wearing pretty thin.
			- PS: ATM stands for Automated Teller Machine. Someday soon some kid will ask "What's a teller?"
			- PPS: I had the same epiphany <a href="http://archive.scripting.com/2005/05/17.html#itWorked">about public radio</a> in 2003.
	- June 26
		- What is whoisi.com?
			- This site showed up in my referrer logs.
			- http://whoisi.com/p/216  
			- http://whoisi.com/p/755 
			- Not sure what to make of it. Looks quite interesting.
			- I hadn't heard of it till today, but I see it's being <a href="http://summize.com/search?q=whoisi.com">discussed</a> on Twitter.
			- Here are some other people...
			- http://whoisi.com/p/459 
			- http://whoisi.com/p/1 
			- I think I get it -- it's a wiki-like FriendFeed?
			- http://whoisi.com/p/683 
			- http://whoisi.com/p/141 
			- The opportunities for abuse abound (but there are obvious ways to fix things, if you claim your own person, and correct the links). It's very clever. Why didn't I think of it?? ";->"
			- One of the things I love about it is that it does the <a href="http://images.scripting.com/archiveScriptingCom/2008/06/26/whoisiscreen1.gif">right thing</a> with RSS descriptions. <i>Bravo!!</i>
			- "cheesecake"
		- Some things shouldn't be joked about
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/26/armadillo.jpg" width="85" height="118" border="0" align="right" hspace="15" vspace="5" alt="A picture named armadillo.jpg">It's been <a href="http://www.scripting.com/stories/2008/06/26/johnMccainsRssFeed.html#comment-757727">suggested</a> that McCain made a good choice in hiring a comedian to write about Barack Obama for their campaign webiste. I humbly disagree.
			- There are some things that you shouldn't joke about. For example, tech support. How would you feel if your server had crashed and it turns out your ISP was playing a <a href="http://www.jiggyme.com/submission/show/298">joke</a> on you. Come on lighten up! Read the Cluetrain.
			- Or suppose your doctor was playing a joke on you when you went in for your prostate exam and hid a little treasure for you to find. Relax! It's a joke!
			- Presidents have buttons that launch missles that destroy the world. Their power is even greater than doctors and tech support people. It's better if they stick to telling us what they think without misdirection. Imho.
		- Good news or bad?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/26/ballmerInMotion.gif" width="96" height="96" border="0" align="right" hspace="15" vspace="5" alt="A picture named ballmerInMotion.gif">I just signed on to Twitter and there were <a href="http://images.scripting.com/archiveScriptingCom/2008/06/26/heh.gif"">two status messages</a> waiting for me and that was it. The entire Twitterverse had shrunk down to <a href="http://twitter.com/charleneli">Charlene Li</a> and <a href="http://twitter.com/jabancroft">Josh Bancroft</a>. This is a new idea. An interesting plot for a science fiction movie? Or a sad comment on the times? I hope they like each other? Maybe one is a Republican and the other is a Democrat? I wonder what their offspring would look like?
		- John McCain's RSS feed
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/26/ronaldMcDonald.jpg" width="115" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named ronaldMcDonald.jpg">I forget how I stumbled across <a href="http://www.johnmccain.com/McCainReport/RssFeed.aspx">John McCain's RSS feed</a>, but I've been reading it regularly for some time. Occasionally they have a post written in the candidate's name, but usually the stories are written by staffers. 
			- I was hoping, when I found it, that I could learn more about the candidate, but mostly they use the feed to take shots at Barack Obama. A lot of it is very embarassing stuff, not for Obama, but for McCain. How could a candidate of his stoop to sarcasm bordering on bitterness. It sounds terrible, like they've already lost, know it, and all they have left to support their candidate is -- what? Do they think that undecided voters would be swayed by snark? 
			- I'd like to see them use the feed to comment on current events, as they sometimes do. For example, today the Supreme Court released its first interpretation of the 2nd Amendment. No matter how you look at it, this is historic. It's not quite as big as overturning Roe v Wade, but it's in the ballpark. McCain ran a <a href="http://www.johnmccain.com/mccainreport/Read.aspx?guid=d8399bef-4ebe-4840-b04d-af0dbfc7db67">piece</a> about the news that stated their position, and contrasted it to (their interpretation of) Obama's, without insulting the reader's intelligence. It was published in the candidate's name. Good use of the feed. 
			- Later in the day they published a <a href="http://www.johnmccain.com/McCainReport/Read.aspx?guid=7d2d7bbd-205a-4d10-b614-d1ccef6e7704">hard to parse piece</a> that starts out as a criticism of <a href="http://online.wsj.com/article_print/SB121443823260805375.html">Karl Rove</a> and then attempts to defend Obama for rewriting the Declaration of Independence! And at first I thought they were serious in their denunciation of Rove, which would, imho, be a very smart thing politically. But that wasn't their point, at all. I don't think Obama has said anything about the Declaration, I guess this was a weak attempt at humor? If so, it didn't work. <a href="http://images.scripting.com/archiveScriptingCom/2008/06/26/mccainpost.gif">Screen shot</a>. This piece was written by Michael Goldfarb. Not sure who he is.
			- I guess my message to McCain is this --> being President is serious stuff, and if you don't take it seriously, how could you expect anyone to support you? 
			- BTW, the same criticism goes to Daily Kos and Redstate, two highly partisan blogs at opposite ends of the spectrum. I hardly ever refer people to either blog, because they always take cheap shots along with stating their interpretation of current events. But they're just blogs, two of many. McCain is just one of two major party candidates for President. There's a big difference. 
			- PS: If anyone knows of an equivalent Obama feed, please let me know!
		- Silicon Valley as second grade
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/26/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">Posting a link to Shel Israel's piece <a href="http://www.scripting.com/stories/2008/06/25/arringtonFeldmanIsrael.html">here</a> yesterday accelerated the discussion, of course. Most of the discussion that I've participated in has been on FriendFeed. I also talked for about 45 minutes last night with Mike Arrington. It was a surprisingly friendly conversation, I had forgotten how much I like and respect him. After sleeping on it, I've had a chance to distill my own thinking. Here's some of it.
			- First, when I became aware of how the videos were hurting Shel, I stopped watching. All I could think about is how mean this community had become. Most people had never heard of Shel before, he's not really a celebrity. That was until these people decided to make an example of him, and turned his name into a bad joke, which became more well known than the real person. Shel is far from rich, and this isn't just hurting him financially, it's breaking him, though he's too proud to say so. 
			- Now they've gone after me too, but it's not so easy to hurt me. I've been trashed plenty, and I think most people whose opinions I care about know that I am not what they say I am, which can be pretty awful stuff. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/26/california.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named california.gif"><a href="http://friendfeed.com/e/2c4ac360-f666-4573-9220-1ff56f9d7927/Global-Neighbourhoods-About-Loren-Feldman-Michael/">As Duncan Riley said</a>, one of the few bloggers who has been willing to come to Shel's defense publicly: "If I was Shel, I wouldn't be coping at all, in fact I'd probably fall to complete pieces." True. It's enough to wither your spirit. Not the satire itself, but the people who say they're friends who don't offer support. That's what really hurts. That's one of the things I tried to convey to Mike last night. I offer the same to several other people I'd like to call friends again. 
			- When a friend is in trouble and asks for help, <i>you don't turn your back.</i> In fact, I'd go so far as to say that when a <i>stranger</i> is in trouble and asks for help you don't turn your back. 
			- Satire that's based on hurting people stops being funny to most people pretty quickly. People who support it really need to stop and think how they're contributing to other people's misery, and whether it's still fun after realizing that. I believe that most people are good at their core, and when they give it some thought, will help us turn this corner and get to the next level. We've sunk really really low. Time to pull ourselves out.
			- PS: If you think writing this was easy, think again. 
			- <a href="http://friendfeed.com/e/625f34fb-3a56-4516-ad93-70b0e91425ce/The-First-Amendment-says-you-have-the-right-to/">PPS</a>: The First Amendment says you have the right to say (almost) whatever you want. But it doesn't say anyone has to listen.
	- June 25
		- California weather
			- Just a few days ago we were sweltering with near-100 degree heat, and today, it's so <a href="http://weather.yahoo.com/forecast/USCA0087_f.html">cold</a> out we have the furnace on. I'll take the cold weather any day, but it would be nice to settle into a summer weather pattern at some point. ";->"
		- Arrington, Feldman & Israel
			- I'm forwarding this link to my readers, without comment, at this time. Please read it and give it your consideration. 
			- Shel Israel: <a href="http://redcouch.typepad.com/weblog/2008/06/dealing-with-lo.html">About Loren Feldman & Michael Arrington</a>.
			- Thanks, Dave
	- June 24
		- Can Twitter become ubiquitous?
			- <a href="http://www.room100.nl/jacobsen"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/24/egg.jpg" width="105" height="119" border="0" align="right" hspace="15" vspace="5" alt="A picture named egg.jpg"></a>First today's news: <a href="http://blog.twitter.com/2008/06/welcoming-bijan-and-jeff.html">Twitter announced</a> investments from Spark and Bezos. Bijan Sabet will become a Twitter board member. They haven't announced a business model, their approach is to get big and stable and figure it out later. Unlike some, I don't see any problem with this approach. Lots of companies have made their investors very happy (and users) with such an approach. 
			- Disclaimer: I have two friends on Twitter's board -- Sabet and Fred Wilson. Yet, I say exactly what I think about the company, as a user and a developer. I don't think Bijan or Fred would have it any other way. ";->"
			- <a href="http://www.techcrunch.com/2008/06/24/twitter-announces-their-funding-calls-itself-a-communication-utility/">Mike Arrington</a>: "If they can get the platform stable, I believe they will eventually become as ubiquitous as email, instant messaging, sms and other forms of communication."
			- This is an interesting idea that deserves serious discussion.
			- I agree that Twitter is that useful that it could become as ubuiquitous and valuable as email, IM and SMS. However, they have to become a fully open platform before that can happen. I don't believe it will become ubiquitous in its current form. The platform owner has too much power. And there are disturbing indications that it may take more power. The fact that they can do this unilaterally is the big limit on Twitter's growth. It will be hard for investors to risk on new ideas that build on Twitter knowing that the company can foreclose on them at any time. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/24/goose.jpg" width="115" height="121" border="0" align="right" hspace="15" vspace="5" alt="A picture named goose.jpg"><a href="http://www.scripting.com/stories/2008/06/21/morningCoffeeNotes.html#p8">6/21/08</a>: "I was forwarded an <a href="http://groups.google.com/group/twitter-development-talk/browse_thread/thread/6f24e47cca5b68f6">email</a> yesterday posted by a Twitter employee to their developer mailing list that suggests that once Twitter is healthy the terms will change, requiring developers to get a license from the company to use data that previously was available without a license. This is exactly what developers hate, because Twitter gets to decide how much competition they want, they can reserve markets for themselves, even ones they're not serving. No one should have this power, it's not a healthy situation for anyone, not even Twitter, imho. Can't help but think they're killing the goose that laid the golden egg here. Also feels a bit screwy that we helped them build their network, for free (isn't it funny people only look at how they give stuff away) -- only to find that now they want to take back what was open about it."
			- It's actually worse than I said on Saturday. They can decide <i>retroactively</i> to take over markets that were once the province of developers. Now, that can't happen in email or IM -- there's no single vendor that has the power to destroy businesses without even launching a product. At this stage in the market development, that's too much power. Bijan and Fred, ask yourselves what guarantee you'd need from Twitter to feel comfortable investing in its aftermarket. I don't think you'd settle for anything less than complete freedom, upfront, before you invest a dime.
		- Getting NewsJunk through IM
			- I haven't tried it, but this comes recommended...
			- http://www.imfeeds.com/ 
			- Since there's a NewsJunk RSS feed, it should work.
			- I'm going to try it now. Please let me know if it works for you.
			- Update #1: It was pretty <a href="http://images.scripting.com/archiveScriptingCom/2008/06/24/imfeeds.gif">easy to join</a>. ";->"
			- Update #2: I signed up to follow the <a href="http://newsjunk.com/rss.xml">NewsJunk RSS feed</a>. It took a while but a new item showed up. And like FriendFeed, they ignore the RSS &lt;description> element, which is a mistake, I think. Here's a screen shot. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/24/imRssMsg.gif" width="345" height="40" border="0" alt="A picture named imRssMsg.gif">
			- Okay, there was a short description that went with that item. Why not push it down the line?
		- How to push stories to NewsJunk using del.icio.us
			- Underneath its simple user interface there's a lot of RSS that goes into <a href="http://newsjunk.com/">NewsJunk</a>. It's like flour to cake or ice to hockey. The product is more than RSS, but without it, it wouldn't be happening.
			- As you know I've been re-exploring del.icio.us, yesterday I <a href="http://www.scripting.com/stories/2008/06/23/deliciousQuestion.html">asked</a> if it could do what FriendFeed does, keep a feed synched with its internal structure, and found out that the only way to do this was to write a script. I decided not to do that, at this time, but I did write a script that made our <a href="http://friendfeed.com/newsjunk">FriendFeed support</a> much better. It wasn't refreshing often enough, only once an hour, which makes the news not-so-fresh. And it bothered me that even though FF can display longish bits of text, more than Twitter, the descriptions in RSS feeds were ignored. Well, if you use the FriendFeed API, you can get around both of these problems. It took a couple of hours to connect NewsJunk to FF through their API, and it's really nice. Highly recommended. 
			- Another dividend of this exploration is that I hooked up my inbound del.icio.us links feed to NewsJunk so there's a way for anyone, through del.icio.us, to add a story to the input flow, just <a href="http://del.icio.us/for/scripting">send a link</a> to "for/scripting".
			- However, there's no guarantee that it will appear in the output flow, we're a very focused site, <i>our only interest is US national politics.</i> We're willing to wander off-topic for a moment or two, for example when George Carlin died on Sunday, that story was added to the flow. When OPEC meets to talk about oil prices, that's grist for our mill, because oil prices are a huge issue in the 2008 election. And when a <a href="http://hosted.ap.org/dynamic/stories/S/SCI_WARMING_SCIENTIST?SITE=WSAW&SECTION=HOME&TEMPLATE=DEFAULT">NASA scientist says</a> that this, now, is the last minute to take drastic action to head off a global warming disaster, we put that in too, because while it isn't a major campaign issue, perhaps it should?
			- The basic qualification for inclusion is the same as for a blog -- would an informed person want to be aware of this fact or point of view? That's why we run outrageous claims from both sides, because even if you support the candidate they're defaming, you should still know what they're saying about your guy. 
			- Also, the better <a href="http://friendfeed.com/newsjunk">FriendFeed interface</a> gives us a place to <a href="http://friendfeed.com/e/0ceed6ff-2b8b-47f7-8b87-e5b74f7239ed/Reuters-Aide-plot-to-kill-Ahmadinejad-thwarted-at/">discuss</a> news events. I notice that people are starting to do that, and I think it's great! Use all the tools and learn from them and each other. This is how politics and the Internet move forward, we think we're right on the leading edge, and want to keep pushing.
	- June 23
		- I may have found Scoble's hook
			- Heh. I've been wondering when Scoble would discover <a href="http://newsjunk.com/">NewsJunk</a>. I think today I finally baited the hook, dropped the line, and he took the bait. Maybe! ";->"
			- <a href="http://www.scripting.com/stories/2007/03/19/freshFishFlesh.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/23/fish.gif" width="85" height="64" border="0" align="right" hspace="15" vspace="5" alt="A picture named fish.gif"></a>I've been deliberately not trying to get my "friends" in Silicon Valley to write about my new offering because I want to see how well they pick up on things outside their own Beltway. I love these guys, Om, Arrington, Scoble, Gillmor, but I want to <i>earn</i> my flow, not be given it. I think NewsJunk is good enough for them to care about it all on its own, not as some kind of favor to me. 
			- Now here's how I baited Scoble... 
			- I was tuned in to his <a href="http://qik.com/video/111845">QikCast</a> of his panel at PDF in NY, and heard him say that Memeorandum was the fastest way to get breaking political news just like Techmeme in the tech blogosphere. I posted a twit, disagreeing, I don't think Memeorandum is good at fast-breaking news, it has a 24-hour cycle, and top stories tend to stick there for the full cycle, keeping other less phenomenal stories that we see quickly in NewsJunk from showing up there at all. 
			- <a href="http://www.scripting.com/images/hedyFull.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/23/hedyLamarr.jpg" width="85" height="91" border="0" align="right" hspace="15" vspace="5" alt="A picture named hedyLamarr.jpg"></a>Sometimes they show up 24 hours after they happen! That's just not good enough for news in a political year. That's why we started NewsJunk -- to scratch the itch that Nicco and I (and many others) had. We tried to imagine the news system that Chuck Todd deserved, or Joe Trippi, David Axelrod, Josh Marshall or even Barack Obama himself. (<a href="http://www.politico.com/blogs/jonathanmartin/0608/McCain_and_technology.html">McCain</a>, only being "aware" of the Internet is not in a position to use it).
			- The theory being that if it's good enough for a pro, it would also be good enough for a schmuck like me.
			- And <a href="http://www.echoditto.com/blog/14">Nicco</a> <i>is</i> a pro. Not in Silicon Valley but inside the Beltway. And he's my buddy, and a programmer (he led the tech team at Dean For America in 2004). 
			- So I hope it also works for Scoble. 
			- Remember Scoble? That's who this story is about. ";->"
			- Scoble <a href="http://friendfeed.com/e/75651777-0b5c-f3a6-c7da-44a919d96c31/I-think-Scoble-s-wrong-about-the-speed-of/">said</a> to me he gets most of his news from Summize and FriendFeed.
			- <i>Bing!</i>
			- Now you gotta know that we designed NewsJunk in the post-Twitter world, and we use this stuff, seriously, so of course you can get NewsJunk in FriendFeed.
			- http://friendfeed.com/newsjunk 
			- And what do you think Summize summizes? Twitter!
			- We <a href="http://twitter.com/newsjunkies">supported</a> Twitter on Day One.
			- We got you covered Scoble old dude!
			- "cheesecake"
		- del.icio.us question
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/23/hebrewHunk.jpg" width="95" height="136" border="0" align="right" hspace="15" vspace="5" alt="A picture named hebrewHunk.jpg">I've started to use del.icio.us recently, as part of the editorial flow for NewsJunk, and it's making me think of ways of integrating the two.
			- Now, I understand how I can get an RSS feed out of del.icio.us, the question is -- how do I get one in? 
			- I want all the stories that show up in the <a href="http://newsjunk.com/rss.xml">NewsJunk feed</a> to become one of my bookmarks on del.icio.us, much as they flow through to FriendFeed. 
			- Is there a way to do this?
			- Update: From the comments it's very clear they don't have the feature. I'm not going to write a script, it was only of passing interest, in no way is it mission critical. The functionality is <a href="http://friendfeed.com/newsjunk">already in FriendFeed</a>. I just thought there might be an <i>easy</i> way to provide NewJunk headlines to people through del.icio.us. Thanks for all the great advice! ";->"
	- June 22
		- Rethinking the conference
			- "Why are you going to that conference?" asks Jack.
			- "Just to hang out with the people," says Jill.
			- It's a cliche and nothing new. As long as I've been going to conferences, almost 30 years, that's what people say, and do. Everyone's in the room for the first few speeches and panels, but their eyes are fixed on their laptops. And after an hour or so, most of the people are out in the hallway. 
			- So, when I was designing my own conference in 2003, I decided to do something different -- I moved the conference out of the hallway and into the meeting room. Or you can think of it the other way around. I tried to imagine what a conference would be like if you held it in the hallway.
			- <a href="http://www.bloggercon.org/pictures/viewer$154"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/22/classroom.jpg" width="125" height="94" border="0" align="right" hspace="15" vspace="5" alt="A picture named classroom.jpg"></a>We reserved a suite of <a href="http://www.bloggercon.org/day2/grid">five classrooms</a> and recruited <a href="http://www.bloggercon.org/II/newbies#theDiscussionLeader">Discussion Leaders</a> (DLs), and tried to explain the format on the phone. I asked the DLs to think of the entire room as a panel. Two of them, well-intentioned, had recruited a few people they knew and asked them to come to the front. I rotated between the rooms, when I saw this, I asked the people in the front to take seats in the body. I made the DL stand in front, and lead the discussion. I remember the instant Jeff Jarvis, for example, understood what I was looking for -- he ran with it, as far as I could tell everyone had a grand time (Jarvis is a fantastic DL). By the time the day was over, the format had been worked out, and get this -- <i>the hallways were empty!</i> The conversations that used to happen in the hallway were now happening in the conference.
			- There's so much to say about this. And at one time or another I think I've said it all, as have others. Why people continue to have the old kind of conference where the room empties out and the "good stuff" happens in the hallway is a mystery to me. 
			- So why does it work? 
			- Well, for one thing, the DL is encouraged to call on people. So you have to stay on your toes.
			- The lights stay on.
			- No Powerpoints.
			- And you'd be surprised to find out that some people you've never heard of actually have something to say. You get to meet new people this way. That's one of the reasons people go to conferences, no? Also there are people who conference promoters avoid because they upset sponsors. Why should you or I care about that? Wouldn't you like to hear what they think? (Maybe we should just have a conference with only people who sponsors don't like. Heh.)
			- When <i>doesn't</i> it work?
			- If people in the "audience" feel they have a right to speak, to drone on and on, like a person on one of the old-style panels. No one has that right, the DL is fully empowered to pick the speakers, in real time, even interrupt people, cut them off, take the discussion in completely new directions. This often rubs people the wrong way, but it has to work this way, otherwise the discussion repeats in loops and gets caught in one of several traps that all open unstructured discussions die in. (The classic -- "How do I make money doing this?" as if the only things worth doing are ones that you make money. We often choose to do things that <i>cost</i> money -- going out to eat, buying a  present for someone you like, filling up the gas tank, paying the mortgage, going to a conference, paying taxes, paying lawyers.)
			- It takes a lot of perseverance to make this new kind of conference work, but it's worth doing. You can really solve problems this way. At the upcoming <a href="http://www.techpresident.com/blog/entry/26267/pdf2008_schedule_for_june_23_day_one">PDF conference in NY</a> (starts tomorrow) they could have a DL-based session about the issues raised in the recent AP fracas. Or what becomes of campaign finance reform. What to do if Bush attacks Iran before he leaves office. These are just a few juicy political discussions that people might have opinions about.
			- The assumption behind this approach, which used to be called "unconference" before the name was usurped by a very different kind of conference, is that the eloquence and intelligence in the room are distributed not concentrated. People who usually speak at these things are not the only ones with something to say. If you want people to be bored and frustrated, put them in a seat in a dark auditorium and force them to listen to five people drone on about how they are great, have it tough, how the hard problems can't be solved but we have to solve them anyway, or god knows what they're talking about sometimes. As Marc Canter used to say "When you turn the lights out, someone just fell asleep."
			- I think conferences can be places where people wake up instead of falling asleep. I've seen it happen. I hope we can do some more of these, I hope someday they become the norm in conferences.
			- Update: No lining up behind a mike waiting for your turn to speak, when it's your turn, <a href="http://www.bloggercon.org/iv/monitors">the mike comes to you</a>. When people line up they expect to speak in the order they're lined up in, and that ruins the whole thing. They also write speeches in their head while they're waiting, get nervous, and you end up with the same kind of BS you get in panel discussions
			- <a href="http://itsmejulia.com/post/39433034/id-go-to-a-un-conference-like-this">Julia Allison</a>: "Discussions are how I learn best."
	- June 21
		- Dancers in the park
			- <a href="http://www.flickr.com/photos/scriptingnews/2598822306/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/21/dancers.jpg" width="400" height="132" border="0" alt="A picture named dancers.jpg"></a>
		- Morning coffee notes
			- It's going to be another scorcher here in Berkeley and the rest of the Bay Area. You can just feel it. Everything is still hot from yesterday, no time for things to cool off, and while the low humidity means that the outside temp is in the 60s, as soon as the sun rises it's going to get hot again. No buffer.
			- BTW, to people from Austin and Florida, even the northeast, who say this is nothing, they deal with much worse -- you have air conditioning. Almost no one does in the Bay Area. So when it gets hot, it just gets hot. Indoors and out.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/21/chicken.gif" width="105" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named chicken.gif">Yesterday the AP-blogger crisis ended. I still think the blogosphere over-reacted, I don't think there was ever a chance that the AP would pursue the case, but it's right to be concerned that it's not over yet. It seems the <a href="http://bits.blogs.nytimes.com/2008/06/20/the-ap-asserts-tough-and-still-secret-view-of-copyright-on-blogs/">AP wants</a> to protect their headline and lead paragraphs (why do they call it "lede" -- makes no sense to me). If you take a step back and think of them instead of you for a moment (hard to do, I know) -- this is the most expensive copy they have, the most crafted. As a writer myself (Jay Rosen <a href="http://twitter.com/jayrosen_nyu/statuses/840028803">says</a> so) I respect the quality of writing in heds and ledes. As a blogger and a user of sites that aggregate them, though, I see the other side.
			- It also seems that fair use is on their side, btw. The headline and lead paragraph summarize what's in the body of the article. If you're reacting to the whole article then just link to it, as I link to Saul Hansell's article in the previous paragraph. On the other hand, in most cases the pubs want you to link to their article enough to give up a bit of their rights. It's like companies don't object if you publish their <a href="http://www.youtube.com/watch?v=qf81H4v4ByM&eurl=http://www.scripting.com/2008/02.html">commercials</a> on YouTube, the more exposure the better. But the AP is a bit of an albatross, they make nothing on flow, they are in the licensing business. So this battle may just be about AP and Reuters, not USA Today and the NY Times, which use a different business model.
			- What would be great is to have a discussion, even an argument, without the posturing and breast-beating. It's all bluffing, a play for more attention, page-reads, flow, money. 
			- Anyway...
			- The AP issue is fertile ground for a blogger shitstorm, but there <i>are</i> other issues worth looking at. However if technology is at issue, most users (and most bloggers are users not developers) say "You fix it" -- never stopping to realize that developers have interests too, and my interests might be different from that of a big company or a company that wants to be big. The BigCos take advantage of that confusion. Very often it's the users who get screwed in the process.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/21/chicken2.jpg" width="85" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named chicken2.jpg">I was forwarded an email yesterday <a href="http://groups.google.com/group/twitter-development-talk/browse_thread/thread/6f24e47cca5b68f6">posted</a> by a Twitter employee to their developer mailing list that suggests that once Twitter is healthy the terms will change, requiring developers to get a license from the company to use data that previously was available without a license. This is exactly what developers hate, because Twitter gets to decide how much competition they want, they can reserve markets for themselves, even ones they're not serving. No one should have this power, it's not a healthy situation for anyone, not even Twitter, imho. Can't help but think they're killing the goose that laid the golden egg here. Also feels a bit screwy that we helped them build their network, for free (isn't it funny people only look at how they give stuff away) -- only to find that now they want to take back what was open about it. 
			- Twitter lost a lot of momentum with users in the last months. Now is not the time, as the service appears to be coming back on line, to introduce doubt about its future. It has lots of that. We need more certainty. 
	- June 20
		- Newsweek poll results
			- I don't generally report polls here, but this one is too stunning not to report. The <a href="http://www.newsweek.com/id/142465">link</a> came to us via <a href="http://www.pollster.com/blogs/">Pollster.com</a>, it's currently the top item on <a href="http://newsjunk.com/">NewsJunk</a>, but it hasn't been reported yet on CNN or MSNBC.
			- <a href="http://www.newsweek.com/id/142465">The Newsweek numbers</a>: Obama 51%, McCain 36%.
			- As they say on Newsweek -- he got his bounce. ";->"
			- A note to Obama supporters, of whom I am one, it isn't over until there's an election and that won't happen until November. But this <i>could</i> be the big turning point. 
		- Update from Doc Searls
			- <a href="http://www.scripting.com/stories/2008/06/19/hatsOffToDoc.html#comment-718891">Doc says he's not being courageous</a>, just fighting for his life in a Boston hospital and blogging the whole thing, trusting the universe that everything's going to work out. Good news, it is! He's sucking ice chips and may get out as soon as Sunday. Keep on truckin big dude. ";->"
		- Heat wave
			- It's not usually this hot in Berkeley.
			- <a href="http://weather.yahoo.com/forecast/USCA0087_f.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/20/heatwave.gif" width="389" height="104" border="0" alt="A picture named heatwave.gif"></a>
			- Four or five days like this a year. Whew. Hard to stay cool. Not used to this. 
	- June 19
		- DNC plan B -- It worked!
			- <a href="http://en.wikipedia.org/wiki/Buster_Brown"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/19/busterBrown.gif" width="125" height="99" border="0" align="right" hspace="2" vspace="2" alt="A picture named busterBrown.gif"></a>I want to go to the <a href="http://www.denverdnc2008.com/">Democratic National Convention</a> in Denver in August -- where they will nominate Barack Obama. It was only four years ago when Obama addressed the blogger's breakfast and we all wondered who is this guy, and then he gave the keynote, a rousing speech that served as the platform for the 2008 campaign (he probably knew exactly what he was doing, even then). Now he's the leader of the party, and I really hope on his way to being the next President of the United States.
			- So I applied to be a blogger at this instance of the DNC, after having done exactly that at the 2004 convention in Boston. I was turned down. No matter, I bounced back and asked if I could still participate in the convention as press, and guess what -- they said okay. So I'm going to <a href="http://maps.google.com/maps?ie=UTF8&oe=utf-8&client=firefox-a&q=pepsi+center,&near=Denver,+CO&fb=1&cid=0,0,14035233635695693118&ll=39.749434,-105.008011&spn=0.039528,0.061712&z=14&iwloc=A">Denver</a>. <i>Yehi!</i>
			- BTW, I still have <a href="http://dnc.conventionbloggers.com/">conventionbloggers.com</a>. Even though I'm not a blogger, I could still <a href="http://radio.weblogs.com/0001015/2002/10/21.html">pretend</a>. ";->"
		- Hat's off to Doc
			- <a href="http://www.flickr.com/photos/scriptingnews/138762610/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/19/doc2.jpg" width="118" height="139" border="0" align="right" hspace="15" vspace="5" alt="A picture named doc2.jpg"></a>Doc Searls has been fighting to regain his health in a Boston-area hospital. You can read all about it on his <a href="http://blogs.law.harvard.edu/doc/">blog</a>. I admire his courage in exposing so much of his struggle publicly. I've never been exactly where he is, when I had my one-week hospital stay six years ago (in exactly this period of June) when I got out of surgery I was seriously weak, but already in much better health than I was before the surgery. I was relatively young and fit, so the recovery was more or less a straight line, with few setbacks. As you get older it becomes more of a struggle. If you're not in good shape it's more of a struggle. Eventually, no matter how well you care for yourself, you'll lose the battle, and gravity pulls you into the ground. That's what Doc is fighting. A sequence of events that could kill him. It seems he's gaining. A mutual friend has visited him and says he's going to survive this, but it's not a pretty picture. 
			- I admire that Doc has the courage to document the experience, for everyone. I fought for privacy in 2002, only sharing what was happening with close family and friends. A few readers figured out what hospital I was at and called, I really resented the intrusion. For me the lines between personal and public life are sacred, and never crossed. As a friend of Doc's I appreciate the information, I would much rather be in the loop than guess his condition. But I could certainly understand if he didn't want to share the data with the world, esp if it interfered with his recovery.
			- He's not the first to document such a struggle, but he is the first of my friends to do it. Bravo Doc, and best wishes for a speedy recovery. Seriously.
		- When Twitter is down...
			- You can go to the beach, take a walk or climb a tree.  
			- Or quietly go crazy. 
			- Or you can use http://twitabit.com/ -- a sweet little tool from the folks at SwitchABit. It knows when Twitter is down, and queues your messages until it comes back.
			- PS: I own a little bit of this company, so you know. ";->"
			- PPS: Of course twitabit <a href="http://api.switchabit.com/twitter.updateStatus.html">has an API</a>. It does the queuing thing too. 
		- The AP mess, day 4
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/19/dt.gif" width="112" height="283" border="0" align="right" hspace="15" vspace="5" alt="A picture named dt.gif">I gotta say the AP guys are digging the hole deeper every time they communicate. 
			- But the bloggers aren't helping. Almost everyone seems to be making the story bigger than it is, with a few exceptions.
			- Scott Rosenberg is doing his usual excellent job of reporting. Sticking with what he knows to be true, and carefully saying what is speculation and what is not. Even Rogers Cadenhead, who I sometimes think as the blogger's equiv of <a href="http://www.nypost.com/seven/06192008/news/regionalnews/subpoena_blitz_puts_heat_on_al_116165.htm">Al Sharpton</a>, is actively trying to douse the flames. But Mike Arrington, who I sometimes think of as the blogger equiv of Lou Dobbs, sees a conspiracy. 
			- Fact is, while I don't support or belong to the Media Bloggers Association, it has been around for a long time. A lot of the bloggers who are expressing their rage are careful to say that they never heard of them, which is hard to refute, but a simple check at <a href="http://web.archive.org/web/*/http://www.mediabloggers.org/">archive.org</a> shows that the <a href="http://www.mediabloggers.org/">website</a> has been around since <a href="http://web.archive.org/web/20041112071502/www.mediabloggers.org/archives/2004/08/index.html">August 2004</a>. It was launched at BloggerCon III in November 2004, at Stanford. 
			- Robert Cox is a real person. He's a Republican, a bit outrageous, but seems harmless, and I think he's doing good work. The blogger who's being harassed by the AP needs help, he's providing it. The press statement by the AP makes it sound like something more is happening. See my first paragraph. They need to learn how to communicate publicly. Amazing isn't it -- here's a <i>media organization</i> that is doing a super poor job of participating in media. The problem for them is that on this side, when they're the source of the controversy, they're just a big corporate entity without much experience. Of course their reporters (are they covering this -- they should, imho) could teach them a thing or two.
			- We've been around this block so many times. When Dan Rather was being picked to death by right wing bloggers, CBS should have split in two, one half responding to the outrage, and the other half covering it, all sides, all angles. Their reporters had unique access and perspective, and could have presented a more balanced story, one that included left wing bloggers and the core of the story that the right wing guys didn't want anyone to pay attention to -- the hypocrisy of attacking a guy who served in Vietnam on behalf of a guy who dodged the draft at the same time. That story got buried because reporters didn't do their jobs.
			- I've been where AP is now, when in 2004 I gave up on weblogs.com hosting. I got the shaft from bloggers, and initially from the pros too. But when the furor settled, the pros were willing to take another look and decide if the story had been fairly reported. The bloggers weren't willing.
			- It was then I realized that this panacea I had envisioned in <a href="http://www.scripting.com/davenet/index.html#y1995">1995</a> had turned out a bit differently than I had imagined. I thought bloggers were going to keep the press honest. Here was a case where the opposite was true. This led me to a softer position re pros -- I believe we need both approaches, and the bloggers who just want to lynch AP are engaging in the worst kind of discourse, it's anti-intellectual, they jump to conclusions, ignore information that contradicts their assumptions that's easily available, and points of view that don't agree with theirs. This is worse than what AP is doing, their lawsuits will not happen, not unless they want to commit corporate suicide. But the bitterness of this shitstorm will linger, for a long time to come.
			- PS: I noticed yesterday that the NY Times is <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/06/19/AR2008061900098.html">starting</a> a social network. Told you so. Starting in 2002, and many times since, I asked them to give all reporters blogs, and offer nytimes.com hosted blogs to everyone who is quoted in a Times story. Imagine if they had done that, the kind of social network they'd have now, and the difference in discourse in the blogosphere. Sure it would be opinionated, lynch mobs may still have formed, but some of the authority of the Times would have rubbed off. One can hope. It's still possible and it's still a good idea. 
	- June 18
		- AP mess, day 3
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/18/monkey3.gif" width="115" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey3.gif">I spoke with Jim Kennedy at AP this afternoon and talked about the controversy over how bloggers should link to and use information published by the AP. I asked him to look at one of my sites to tell me if it was infringing, and he said it was not, which should put to rest some of the concerns that bloggers have expressed. Please listen to this <a href="http://mp3.morningcoffeenotes.com/cn18Jun08.mp3">podcast</a> to get an idea of what happened, and where I think we should go from here.
		- NewsJunk on Facebook!
			- <a href="http://newsjunk.wordpress.com/2008/06/18/how-to-follow-newsjunk-on-facebook/">Facebook</a> is the <a href="http://newsjunk.wordpress.com/2008/06/11/8-ways-to-follow-newsjunk/">8th way</a> to follow <a href="http://newsjunk.com/">NewsJunk</a>.
		- Reddit goes open source
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/18/redditdude.gif" width="57" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named redditdude.gif">A very welcome <a href="http://blog.reddit.com/2008/06/reddit-goes-open-source.html">development</a>, as I've written <a href="http://www.scripting.com/stories/2007/11/26/theNextStepInDiggClones.html">here</a> earlier, I am interested in one-off special micro-community news voting systems. 
			- I wonder how easy it is to <a href="http://code.reddit.com/wiki/RedditStartToFinish">install your own</a> Reddit? Any user experiences would be welcome.
		- $99 for 500GB at Amazon
			- <a href="http://www.amazon.com/Seagate-ST305004FDA1E1-RK-FreeAgent-Desktop-External/dp/B000ND75C0/ref=pd_zg_rss_ts_e_ce_24"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/18/seagate.jpg" width="125" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named seagate.jpg"></a>I subscribe to a <a href="http://www.amazon.com/rss/bestsellers/electronics/ref=pd_ts_rss_link">feed</a> of top electronic products at Amazon. In my River of News aggregagtor, I see a few products showing up every day, most are repeats and I have most of them, or competitive products, or have no interest in some (not many, I love electronic toys). 
			- Today a very interesting <a href="http://www.amazon.com/Seagate-ST305004FDA1E1-RK-FreeAgent-Desktop-External/dp/B000ND75C0/ref=pd_zg_rss_ts_e_ce_24">product</a> came along, not because of its features, rather because of its price. $99 for a Seagate 500GB external. That's a very nice price, it seems to me, so I <a href="http://twitter.com/davewiner/statuses/837706693">twitted</a> it, and found out that you can get competitive drives even cheaper elsewhere. 
			- It must be a closeout, who would buy a 500GB drive when you could get a 1TB drive? No matter, it's a milestone. I still remember paying $10K for a 10MB <a href="http://en.wikipedia.org/wiki/Corvus_(company)">Corvus</a> drive for my Apple II in 1979. ";->"
			- PS: I figured out why they called it Amazon. Because amazing.com wasn't available?
	- June 17
		- New NewsJunk Junk
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/17/junk.jpg" width="125" height="104" border="0" align="right" hspace="15" vspace="5" alt="A picture named junk.jpg">There's a certain symmetry to the headline of this piece. ";->"
			- Anyway... We're working on a bunch of stuff that's almost ready to release. I'm taking notes here and testing stuff as I go. It won't show up in the RSS feed until it's done.
			- If you look in the right margin on scripting.com you'll see two sets of headlines from NewsJunk.com. The first set are the 5 most recent stories. The second set is the top 5 stories. Both change without the scripting.com home page being updated through the magic of JavaScript includes.
			- <a href="http://newsjunk.wordpress.com/2008/06/17/newsjunk-headlines-on-your-site/">How to include</a> these bits in your blog or website.
			- Do you want NewsJunk headlines to flow to you through email? We're ready to go with a <a href="http://groups.google.com/group/newsjunk/browse_thread/thread/5ebfe99984518bb6">Google Groups</a> interface, subscribe today!
			- That brings us to...
			- <a href="http://newsjunk.wordpress.com/2008/06/11/7-ways-to-follow-newsjunk/">7 ways to follow NewsJunk</a>.
			- Number 8 is coming sooooon. ";->"
		- Remembering Tim Russert
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/17/cheerios.gif" width="65" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named cheerios.gif">Tim Russert died on Friday. I never met the guy, but I sure was familiar with his work. 
			- I thought he personified what was wrong with the political process, and I <a href="http://archive.scripting.com/2005/09/26#broussardAndRussert">said</a> so. It would be hypocritical now for me to say he was a great man, because I don't think he was. Sometimes I felt the politician he was crossing was well-equipped to speak honestly for himself, and I wanted to hear what he or she had to say, and Russert interfered. It came up in his interview this spring with Ron Paul, who actually had some new ideas that I felt deserved airing, but he couldn't get much of that past Russert, who applied his inside-the-<a href="http://www.huffingtonpost.com/dave-winer/blow-up-the-beltway_b_105962.html">Beltway</a> logic. I noticed he was a lot harder on outsiders. And he was always easy when interviewing members of his profession, who he let speak without interruption, without interrogation. An odd exception, I thought -- it would be nice if they took as much care with their own consistency as they do with the people they interview
			- Of course his death is a sad thing, for everyone. And I did enjoy Russert enough to listen every Sunday to Meet The Press. Through the magic of podcasting, I never had to miss one. And there's a chance that this ultimate insider would have discovered the power of the rest of us, not only in the aggregate, but as individuals as well. I think they pay lip service to it, and keep it far away and abstract, content to live with their view of the world, as revolving around them, which of course in some ways, it does.
			- <a href="http://mp3.newsjunk.com/schiefferRemembersRussert.mp3">The most poignant eulogy</a> for me came from <a href="http://en.wikipedia.org/wiki/Bob_Schieffer">Bob Schieffer</a>, longtime host of Face the Nation (CBS), who was clear up front, Russert was a competitor, and both of them took the competition seriously. He said that he and Russert were also friends. This is what I want for us in the blogosphere and we don't have it. Competition here is so cutthroat, so personal, that it's impossible to have a relaxed conversation, to learn from people who compete. It would be nice if we could get to that place, if Schieffer wasn't exaggerating for effect, marking the sadness that comes with anyone's passing, even someone whose success you envy.
			- Update: Arianna <a href="http://www.nydailynews.com/gossip/2008/06/17/2008-06-17_in_russert_death_feud_for_thought.html">apparently sees</a> it the same way. ";->"
		- AP pay-to-quote, day 2
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/17/peter.gif" width="69" height="222" border="0" align="right" hspace="15" vspace="5" alt="A picture named peter.gif">A commenter named Billenator <a href="http://scripting.disqus.com/ap_objects_to_quoting_and_linking_scripting_news/#comment-690959">says</a> it's all about money. It's a good essay, and worth thinking about. 
			- But what's been missing in much of the discussion is an understanding that large entities like AP rarely are of one mind about anything. I first learned this in the 80s trying to make sense of Apple, a company that was, while Steve Jobs was gone, a land of many opinions and much second-guessing. Today's Apple is still a complex animal, for sure, but it presents a simpler interface to the world. 
			- Harvard is an interesting place, all great universities understand that every person has their own opinion, they celebrate that with something called <a href="http://www.google.com/search?q=academic+freedom+site%3Aharvard.edu">academic freedom</a>. Universities see diversity of opinion as part of their mission. At least good ones do.
			- AP is a large organization with many opinions, and they're not like Apple nor are they like Harvard. How many people know that <a href="http://www.ap.org/pages/about/faq.html#2">AP is</a> a not-for-profit cooperative? Does that change your thinking?
			- And while it seems that lawyers are running this show, how much do you know about what actually happened here? Are you sure the blogger is telling the whole story? (I have no reason to believe he's not, but bloggers are people too, and sometimes they have motives other than the obvious ones.)
			- I want to testify on behalf of the AP. I did a deal with them at the end of last year, a quiet one, that the tech community mostly ignored. We didn't run press releases or go on a press tour. I did talk with a few analysts, there were a <a href="http://www.webmonkey.com/blog/FlickrFan_Turns_Any_Photostream_Into_a_Mac_Screen_Saver">few</a> <a href="http://www.readwriteweb.com/archives/flickrfan.php">articles</a>, but none seemed to catch the trust in the community coming from the AP. It seems that the last 10 years <i>have</i> influenced AP, they are willing to take some risks with their content, but it seems many if not all bloggers are not quite as innovation-aware as they think they are -- how many were willing to give any thought to the unique experiment the AP did with some of their most valuable content? If any were, they never made their presence known to me. 
			- <a href="http://www.youtube.com/watch?v=H1sS1TmXF38"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/17/cloud.jpg" width="125" height="171" border="0" align="right" hspace="15" vspace="5" alt="A picture named cloud.jpg"></a>Neither Mike Arrington or Jeff Jarvis, two of the leaders of the AP rebellion, noticed the good work that AP was doing, but they were willing to <a href="http://www.youtube.com/watch?v=H1sS1TmXF38">shut</a> <a href="http://www.youtube.com/watch?v=TfsWBgfpznk&NR=1">down</a> the relationship between the blogosphere and the AP, over what? All that had happened was a threatening letter was written. Arrington is a lawyer (disclaimer: at one point he was my lawyer) and he knows how insignificant such a letter is. He actually publishes the ones people send him on his site! All of a sudden the earth shakes because AP sent one to another blogger? Come on, the blogger dost protest too much, methinks. ";->"
			- The point is -- as a group -- we haven't grown up yet. We're in the middle of a revolution, and we've attracted some of the energy we're revolting against. Time to stop thinking about centralizing power and punishing those who don't recognize it. That's not going to work for AP anymore if it ever did, and it's not going to work for BuzzMachine or TechCrunch either. I don't respect your brands, I respect ideas and thought, innovation, generosity, even kindness.
			- AP is a large organization that serves many constituencies, and is dependent on them in ways very few people outside AP understand. I certainly don't. But I do admire the courage of the people I've met there, for good reason. I'm willing to cut them a lot of slack, because whether you like it or not, the relationship between bloggers and the AP continues, and it's nowhere as simple as you think it is.
	- June 16
		- Where's your data?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/16/xeni.gif" width="74" height="226" border="0" align="right" hspace="15" vspace="5" alt="A picture named xeni.gif"><a href="http://www.scripting.com/stories/2008/06/16/yahooGroupsOrGoogleGroupsO.html">Earlier today</a> I asked for advice -- should I use Yahoo or Google Groups or something else to distribute email to NewsJunk readers? In the discussion that followed, a few people suggested that because Yahoo's future was uncertain, Google would be a better bet. This made sense, like everyone else I've been following the news about Yahoo and Microsoft, noting that key people are leaving, the <a href="http://images.scripting.com/archiveScriptingCom/2008/06/16/yahoo.gif">stock price</a> has fallen, pundits say the company's future isn't bright.
			- This underscores the need to control our data, we should never think of a company as permanent. If you're new to technology maybe you're learning this for the first time. If you've been around a while, as I have, you've learned this many times. I remember when I thought that CP/M-formatted 8-inch floppies were a perfectly safe way to store data. I figured there would always be a way to read those disks. Only a few years later, that was wrong. Today you'd imagine that you could always view a static HTML file. Seems that way to me too, but I bet someday someone will wonder what you mean by that. ";->"
			- I guess it's like a Zen Haiku or something -- there really is no here or now, you don't really have any data, but for the time-being it's still a good idea to think before you choose a place to put stuff you care about. Today Google seems safe, Yahoo not so safe. Mark that, let's come back in 10 years and see if it's still that way. 
		- Yahoo Groups or Google Groups or ?
			- We're adding a 7th way to get your fix of NewsJunk politics -- email. Yeah, it's old and boring, but lots of people still use it! ";->"
			- Of course we'd like to use someone else's service to do the actual distribution, at least at first while we're bootstrapping. In the old days I'd go with Yahoo Groups and not worry about it, but I wonder if there isn't a better Web 2.0 solution out there for email distribution, or if Google Groups is more popular now? Or something else entirely?
			- Your opinion is sought in the <a href="http://tinyurl.com/5oojln">comments</a>...
			- Update: I created a <a href="http://groups.google.com/group/newsjunk">Google Group</a> as an experiment. You're welcome to subscribe. We won't start promoting it until we're sure it fits the bill.
		- AP objects to quoting-and-linking
			- This morning the top story on both <a href="http://www.techmeme.com/080616/p17#a080616p17">TechMeme</a> and <a href="http://www.memeorandum.com/080616/p9#a080616p9">Memeorandum</a> is about the AP and its opinion that quoting and linking is a violation of fair use. 
			- This is something I've been doing on Scripting News going back to the mid-90s. 
			- Examples? According to AP, <i>everything</i> on <a href="http://newsjunk.com/">NewsJunk.com</a> would be a violation.
			- As many have pointed out, quoting and linking is the norm in the blogosphere. 
			- I have noticed that more bloggers quote the whole piece these days, and put a sentence before and after, saying "This sucks!" or "Dave is an idiot!" I think they could accomplish the same thing by pointing to the article instead of mass-copying it. For the amateur blogger this is an annoyance you have to live with. For an organization like the AP, I guess it's more of a concern.
			- So why go after a mere link-and-quoter, when if you went after a mass-quoter, you'd have most people on your side? This is a mystery.
			- Over the years I've worked with the AP on various RSS and blogging projects, and it's always been enjoyable, respectful and professional work. There's a lot of goodwill here. I sent them an email this morning offering help, and it was graciously received. And we're going to continue to use the AP as a source on NewsJunk.com, at least for now.
	- June 15
		- One word to describe John McCain?
			- Pew Research did a <a href="http://people-press.org/report/?pageid=1292">survey</a> where they asked people to provide one word to sum up their feelings about John McCain. You can read this <a href="http://www.baltimoresun.com/news/nation/bal-te.infocus15jun15,0,4687694.story">Baltimore Sun piece</a> about the survey, but I wanted to invite readers of this weblog to answer the question, and perhaps provide an explanation. My answer follows.
			- "Disappointment" is my word. 
			- I know it may seem hard to believe, given how much I've campaigned for Barack Obama this year, but there was a time, in 2000, when I <i>almost</i> wanted McCain to be president. I didn't <a href="http://www.scripting.com/davenet/2000/02/23/askNotWhatTheInternetCanDo.html">think</a> Gore vs Bush offered meaningful difference (in hindsight I see this was wrong), and I saw McCain and his straight talk as the best hope for a meaningful Presidential election. I saw what happened to him in South Carolina and became more convinced that both parties had nominated the wrong person.
			- Then, when he supported Bush in 2000 and again in 2004, I stopped believing in his independence. I want to vote for a candidate who, as the CEO of a company is responsible to the shareholders (at least in theory) -- is responsible to American voters and taxpayers. The Republicans didn't have a candidate running this year who fit that bill, although I, and many others, believed the John McCain of Y2K was that candidate. 
			- So, I don't think "old," technically, is the right word -- and if "lost his way" were one word instead of three, I might have said that. My view of McCain is best summed up as "disappointment." At one time he had potential, but he sold it out in favor of cynicism.
			- I'd also note that my view in 2000 was probably wrong. Now that he's the presumptive Republican nominee, I've learned more about him, and see that his past is checkered with compromise. It seems more likely that in 2000 he had a good sales pitch, and wasn't what he appeared to be. 
			- PS: I wrote a <a href="http://www.scripting.com/2000/09.html#disclaimerOnPolitics">disclaimer on politics</a> in September 2000, which I stand by almost 8 years later.
			- PPS: The other thing that <a href="http://www.truveo.com/Battlestar-Galactica/id/3307345420">disappointed</a> me was the end of the <a href="http://www.google.com/search?q=bsg+s04e10">last episode</a> of BSG, which aired on Friday. I want more. But this was the last episode before the final run of 10 that might not air until next year. And we still don't know who final Cylon is. Oy.
	- June 14
		- Who will fill Russert's shoes?
			- <a href="http://www.flickr.com/photos/scriptingnews/2575909067/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/14/russert.jpg" width="115" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named russert.jpg"></a>We're sitting around <a href="http://newsjunk.com/">NewsJunk HQ</a>, talking politics and wondering when the discussion is going to turn to the game of musical chairs that must be playing out at NBC.
			- Think about it this way -- suppose a Presidential candidate died suddenly, can you imagine that the talking heads at CNN, NBC and Fox wouldn't, between heartfelt sympathy for the family, be speculating at who the party would nominate in place of the fallen leader? Would it be Romney or Huckabee, Clinton or Edwards, or maybe someone else entirely?
			- More than 24 hours after Russert's sudden passing, we haven't yet heard any speculation, so we thought we might as well raise the question and run down some possibilities.
			- 1. <b>Keith Olbermann</b>. Af first we thought he'd be a shoe-in, he's batting cleanup at MSNBC, he's personally responsible for them passing Fox in ratings, but he's not a terrific inteviewer, and is seen as highly partisan. It's possible that he could lead NBC at some time, a few years after the election, but not now.
			- 2. <b>Chuck Todd</b> is the rising young star at NBC News, and would be my personal choice. He's a no-nonsense political reporter, respects the Internet and bloggers. When he comes on everyone listens. But he's probably too young and too new to network news to fill Russert's shoes. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/06/14/aaron_brown.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/14/ab.jpg" width="95" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named ab.jpg"></a>3. <b>David Gregory</b> seems most likely to get the job, he's covered the White House for six years, famously stood up to Scott McClellan, but frankly -- he's boring. Gregory would be a good choice if you think the Republican will win in the fall, but if it's Obama, you want someone bright and young and a little wet behind the ears, like Todd. 
			- 4. <b>Andrea Mitchell</b> is the most senior of the reporter-analysts at NBC News, and if Gregory doesn't get it, she probably will. 
			- 5. <b>Chris Matthews</b> probably thinks he should get it, but he won't. Same with Morning Joe.
			- 6. <b>Tom Brokaw</b> will certainly fill in on Sunday, and maybe for a couple of weeks while the dust settles at NBC, but he's the emeritus anchor at NBC, and not likely to want to come back into the fray. They'll save him for big interviews and to deliver the obits on NBC.
			- We're assuming they would promote from within. If not, consider Wolf Blitzer, David Gergen, George Stephanopoulous, Chris Wallace, Anderson Cooper, Gwen Ifil, Bill Moyers, Charlie Rose and my favorite dark horse, <a href="http://nymag.com/news/intelligencer/47406/">Aaron Brown</a> (whose contract with CNN has just expired).
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/who-will-fill-russerts-ch_b_107150.html">Cross-posted</a> at Huffington.
	- June 12
		- Caught in Comcast's gears
			- <a href="http://www.scripting.com/stories/2008/04/16/aNewReasonToHateComcast.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/12/remote.gif" width="25" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named remote.gif"></a><a href="http://www.scripting.com/stories/2008/04/16/aNewReasonToHateComcast.html#comment-649339">Another Comcast user</a> is nabbed for using too much of their service (top tenth of one percent). He doesn't use Twitter so he doesn't know how to get a human being in the loop. Hopefully this post will do the job. 
			- They still have <a href="http://www.youtube.com/watch?v=WZ3AOmZ2fps">Nazis</a> running customer service at Comcast. They really need to take a look at how they treat their customers. One of these days the customers are going to start caring and might even have choices. 
		- Picture of the day
			- <a href="http://thinkprogress.org/2008/06/11/iran-war-iraq-sofa/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/12/maliki23.gif" width="150" height="236" border="0" alt="A picture named maliki23.gif"></a>
			- Now remind me, how many trillions have we borrowed to install and prop up the guy on the right? 
			- And what were we <a href="http://www.abc.net.au/news/stories/2008/05/19/2248326.htm?section=justin">told</a> about people who talk to the guy on the left? (And they're doing more than talking, aren't they?)
			- Ask Bush or Lieberman what they <a href="http://thinkprogress.org/2008/06/11/iran-war-iraq-sofa/">see here</a>. 
			- What's the prize for "winning" in Iraq? ";->"
			- I'd love to hear the story. 
			- It's like a <a href="http://en.wikipedia.org/wiki/Rorschach_inkblot_test">Rorschach</a> test. 
			- Have some fun... 
			- Put a thought balloon over Ahmadinejad's head. 
			- What's <a href="http://images.scripting.com/archiveScriptingCom/2008/06/12/malikiahmadinejadgm1.jpg">he</a> thinking? 
		- MP3 of Olbermann's special comment
			- <a href="http://pownce.com/davew/notes/2454136/">Here's an MP3</a> of Keith Olbermann's special comment tonight to John McCain, re getting out of Iraq.
		- Top-5 stories on NewsJunk.com
			- <script type="text/javascript" src="http://newsjunk.com/js/top5.js"></script>
	- June 10
		- A few random thoughts
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/10/fordtocitydropdead.gif" width="131" height="182" border="0" align="right" hspace="15" vspace="5" alt="A picture named fordtocitydropdead.gif">1. Wouldn't it be cool if the vetting process for potential VP's were an open process, blogged about by the parties in real-time? Remove <a href="http://firstread.msnbc.msn.com/archive/2008/06/10/1127710.aspx">indirection</a> from the trial-balloons. And it's not as if the <a href="http://www.politico.com/news/stories/0608/10994.html">press</a> isn't already doing their own vetting. 
			- 2. A user of NewsJunk <a href="http://newsjunk.com/counts.html#comment-627543">asked</a> for a <a href="http://m.newsjunk.com/">mobile version</a>, so we created one. Not much more to say about it other than it works really well on an iPhone, Blackberry, Treo, Nokia, etc. and looks boring on a desktop computer. 
			- 3. I have never been so informed about political news as I am now that I am involved in <a href="http://newsjunk.com/">NewsJunk</a>. As with podcasting, which was a success for me because my iPod overflows with interesting podcasts -- Mission Accomplished! It's all gravy from here. 
			- 4. NewsJunk seems to fill a void. It's been running for a couple of weeks, and so far no one has sent a pointer that says "Here's a site that does the same thing." Of course now I'll get a dozen, but I doubt if they do.
			- 5. <a href="http://x.newsjunk.com/J9">Wonkette wins</a> the prize for most interesting 'lite' story of the day. Turns out that when the First Lady travels, she takes an Airstream trailer with her. And she hangs out in the trailer <i>during flights.</i> They have a picture of the trailer installed in a military transport plane. What's <i>in</i> the trailer? (Update: Interior <a href="http://www.metro.co.uk/weird/article.html?in_article_id=168752">pictures</a> here.)
			- 6. Before you think ill of her, she did <a href="http://primebuzz.kcstar.com/?q=node/12283">something</a> very gracious yesterday, coming to the defense of Michelle Obama, explaining what she clearly meant, and undermining the meanies who would make an innocent comment into a "cause" for outrage. As I <a href="http://www.scripting.com/stories/2008/06/09/breakingNewsThereAreCrazyP.html">said</a> yesterday, we're onto the M.O. of the crabby right wing bastards. Find a new schtick.
			- 7. An amazing story that almost makes me feel sympathetic for the President, he <a href="http://www.timesonline.co.uk/tol/news/world/us_and_americas/article4107327.ece">says</a> to the Times of London that he regrets his legacy as a man who wanted war. 
			- 8. Representative Dennis Kucinich <a href="http://www.chicagotribune.com/news/nationworld/sns-ap-kucinich-impeachment,0,2888706.story">proposed</a> 35 articles of impeachment today against President Bush.  
			- 9. The <a href="http://newsjunk.com/counts.html">Top-25 page</a> continues to do an excellent job of culling interesting stories.
	- June 9
		- Who owns your comments?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/09/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">Last week, in the rush of news and new features in <a href="http://newsjunk.com/">NewsJunk.com</a>, I got an email from Daniel Ha, the guy who develops Disqus, the commenting software we use at Scripting News. 
			- I say "we" because it very literally is a <i>we</i> thing. When you place a comment on my blog, you're adding something to the record here, but you're also adding to the library of your written work. 
			- So the question is: "Who owns the comment?"
			- I gave it some thought, before reading <a href="http://blog.disqus.net/2008/05/30/a-commenters-rights/">Daniel's essay</a> -- and I decided that it's a mutual thing. I own the collection of comments on my blog, and you own the comments you've placed on my blog and all others. I should be able to back up a complete set of comments on my blog, and also back up a copy of all comments I've placed on all blogs.
			- Technically it's not easy or even possible in most contexts, but with Disqus it certainly is.
			- Then I read Daniel's piece and found that he more or less came to the same conclusion.
		- Breaking news: There are crazy people on the Internet
			- I loved the headline on this <a href="http://x.newsjunk.com/G5">Salon piece</a> so much I had to retweet it. And I'd add -- this article explains why the only people who pay attention to right-wing bloggers these days are other right-wing bloggers. In 2004 they beat Kerry by being the crabby bastard idiots of the Internet. Time for a new schtick, we figured that one out. ";->"
		- Not live-blogging the SteveNote
			- I'm probably the only one who isn't. ";->"
			- And I'm probably going to have to buy a new iPhone later today, I have no idea. 
			- In the meantime it's really upsetting watching all the geek journos scrambling for scraps. 
			- Which raises a simple question. 
			- 1. Why don't they broadcast Apple keynotes on MSNBC or CNN? All this makeshift jury-rigged michegas. It was cute for a while, but this has been going on for <i>25 years!</i>
			- Of course someone must be live-screening it via Qik or somesuch. If you know of any please post a comment here. 
			- <a href="http://live.yahoo.com/viru">Yahoo Live</a> has over 2700 viewers. The quality sucks.
			- I'm watching another one that so far has pretty good quality, so sorry I'm not going to advertise a link. :-(
			- No I'm not going to pay-per-view for an infomercial! Geez Louise. What is it about Apple that inspires such insipid submission. 
	- June 8
		- Blow up the Beltway
			- <a href="http://archive.scripting.com/1997/06/26"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/08/uncleSamWeWon.gif" width="189" height="237" border="0" align="right" hspace="15" vspace="5" alt="A picture named uncleSamWeWon.gif"></a>In US politics they talk about <i>Inside The Beltway</i> the same way the tech industry talks about Silicon Valley. 
			- Now, people may question whether Barack Obama really wants to connect with the power of the whole nation, or if once he gets elected he'll be an <i>Inside The Beltway</i> guy. I don't know if he will or he won't. I'm old enough to know that it's an important question, because I've seen bright young idealistic people get taken over by the systems they proposed to dismantle. But I also believe that it's the nature of the times to decentralize, so if Obama has the guts, and there's every reason to believe he does, it should actually work, imho.
			- <a href="http://www.nytimes.com/2008/06/08/opinion/08rich.html?_r=1&oref=slogin">Frank Rich</a>, in his column in today's NY Times, explains that, on Tuesday night, Hillary Clinton and John McCain gave the same speech. Clinton's was better rehearsed, it's the same one she's been giving for months, the "fairy tale" speech that Bill Clinton gave in New Hampshire. The "angels will sing" speech she gave in Ohio and the "shame on you Barack Obama" speech in Pennsylvania. Someone taught McCain how to laugh, but it's falling apart like a <a href="http://en.wikipedia.org/wiki/Botulinum_toxin">Botox</a> injection, turning into something else, something nasty. Both of them were echoing the same sentiment as the <a href="http://www.theonion.com/content/node/29957">president</a> from the previous century when he ached out loud -- "Give me a break." 
			- People who saw the Internet as a fund-raising phenomenon after the Dean campaign were missing the point, as we said over and over, and I think at first Obama missed it too -- but he has a young, flexible and ambitious mind. When Clinton said in one of the <a href="http://youtube.com/watch?v=a4pcZ2u8h_g&feature=related">debates</a> that he must not only denounce Lewis Farrakhan, he must also reject him, you could <a href="http://images.scripting.com/archiveScriptingCom/2008/06/08/obama.jpg">see</a> his eyes light up (at 5:52 in the video) -- Okay cooool, he said "I reject him!" So when the Internet proved it could deliver minds and bodies in addition to dollars and cents, who was Young Obama to argue? 
			- This is the kind of flexibility you rarely see in anyone, esp in someone as young as Obama. Always look for ways to submit, to surrender. Decide what's important to you and give up on everything else. Who cares what word you want to use -- you want me to reject, then I reject!
			- Only Steal From The Best. ";->"
			- (Fired up! Ready to go!)
			- Obama will go to Iraq as Lindsey Graham and Joe Lieberman demand, but he will also go to Europe and we'll get to see, on TV, how Obama plays overseas. This will hopefully get him more votes at home, as people here yearn to be part of the rest of the world, not just push it around. There will be Barack portraits hanging in barber shops in Milwaukee, Birmingham and Bozeman, as well as Tokyo and Buenos Aires, perhaps even Cairo and Jakarta. 
			- But back to my point. As much as I believe in the idea of Obama, if he doesn't live up to it, I'll still believe in the idea, because I always have. I don't want to be an insider, I don't want the insiders to rule, I don't want there to be insiders at all. I want to distribute opportunity and acknowledge intelligence and goodness where ever it appears. I fought against the centralized <i>Inside The Beltway</i> way of doing things in Silicon Valley, and <i>we won.</i> Of course a new aristocracy pops up but their power is as thin as the people whose power got popped in every bubble that came before. 
			- The Internet destabilizes every hierarchy it contacts. It erases every barrier to entry. The only way to win is to <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">point off-site</a>, in every way you can think of. Win by offering better value, not by locking users in. People will become instant refugees to escape your clutches. Think you're immune? Think again. 
			- Update: <a href="http://blogs.law.harvard.edu/doc/2008/06/08/meet-the-new-boss-nothing-like-the-old-boss/">Papa Doc approves</a>. ";->"
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/blow-up-the-beltway_b_105962.html">Cross-posted at Huffington</a>.
			- Update: <a href="http://x.newsjunk.com/EZ">Micah Sifry</a> and <a href="http://x.newsjunk.com/F0">Patrick Ruffini</a> agree Obama's use of the Internet deserves more attention. 
		- Signs of life at Twitter
			- It's great to see <a href="http://blog.twitter.com/2008/06/twitterapple.html">Twitter preparing</a> for the onslaught of traffic that's certain to come with tomorrow's Apple event in San Francisco. Update: Something interesting is going on between <a href="http://www.flickr.com/photos/scriptingnews/2562527955/">Twitter and Summize</a> re the <a href="http://summize.com/search?q=wwdc+OR+apple+OR+iphone+OR+%22steve+jobs%22">WWDC tomorrow</a>.
		- McCain gets a free ride?
			- I was just talking with Nicco about next steps with NewsJunk and the conversation turned to a piece that ran today in the Daily Mail in the U.K. about John McCain's first wife. 
			- It appeared on <a href="http://newsjunk.com/">NewsJunk</a> earlier today and it's been one of the most popular clicks, but there's been nothing about it in the American press.
			- http://x.newsjunk.com/E0 
			- I'll likely catch hell for promoting the piece cause it's kind of smutty, not a very high-road thing, but then McCain <i>is</i> running for President and there is a legit issue -- if Rev Wright was such an important story, because it raised questions about the judgment of a leading candidate, why isn't this story, which does the same thing for McCain, creating waves here in the U.S.?
	- June 7
		- IRC for Hillary Exit Speech
			- Are you watching Hillary's speech this morning?
			- irc://irc.freenode.net/#exitHillary 
			- Come join the IRC channel!
	- June 6
		- Plan B
			- <a href="http://www.scripting.com/stories/2008/05/22/twitterBeginsToCommunicate.html">On May 22, I wrote</a>: "I must have a Plan B, because I intend to build a business that depends on this service."
			- I was referring to <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">Twitter</a>, and the business is <a href="http://newsjunk.com/">NewsJunk.com</a>.
			- Rafe Needleman takes it a step further, <a href="http://www.webware.com/8301-1_109-9961782-2.html?part=rss&tag=feed&subj=Webware">suggesting today</a> that Twitter shut down completely until it's ready to provide reliable service. 
			- He talks about what we're all seeing, the upward momentum is gone, the new idea every 24 hours that so inspired us is a distant memory. Now we're going the other way. When I log onto Twitter these days, it's empty, quiet, a ghost town. 
			- <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/06/sawyer.gif" width="125" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named sawyer.gif"></a>People wondered what would replace it. It's becoming clear the answer to that is the worst possible one -- nothing. The energy of Twitter is evaporating. Which is terrible, because it replaced decentralized systems built around our blogs, which are now quiet, they sleep with Twitter. It was a bad deal. 
			- The lesson we keep learning, over and over, is that centralized systems don't work. If they get wildly popular as Twitter did, they break, as Twitter did.
			- FriendFeed is not Plan B, however it has turned into the place where people congregate to discuss the need for a Plan B. 
			- Meanwhile the culture of Silicon Valley prevents people from saying anything negative about their friends. It prevents people who could take first steps toward routing around the outage to route around it. Where are the architects with guts? I don't think they use Twitter. 
			- I've proposed in a back-channel that Twitter (the company) reconceive itself as a directory, patterened after Network Solutions, that facilitates a federation of Twitter competitors, so lots of different approaches can be tried out. I still think this is the only workable way to bootstrap a much bigger more robust network. 
		- Is Microsoft reinventing upstreaming?
			- <a href="http://blogs.opml.org/amyloo/2008/06/06#fromFrontierDaysToSettlingTheWildWesht">Amyloo</a> thinks so. 
			- It's ironic, and a shame, that this didn't happen much sooner.
			- <a href="http://radio.userland.com/userGuide/reference/howUpstreamingWorks">Upstreaming</a> was built on <a href="http://www.xmlrpc.com/">XML-RPC</a>, a technology we co-developed with Microsoft in the late 90s.
	- June 5
		- Did HRC lose to sexism?
			- This question will be asked for years to come, no doubt. 
			- I don't have any deep insights to offer, at least not at this time, but I do have a superficial one.
			- Yesterday I saw an interview with a woman who said it was sexism, and offered an example. Why is it she asked, that we referred to her as Hillary and referred to the others as Obama, McCain, Romney, etc.
			- She said that was an indication of sexism.
			- Maybe so, but I can offer two explanations that have nothing to do with sexism.
			- 1. She was called Hillary because "Clinton" would be confusing. There are two Clintons, one is a former President, and until recently Clinton would refer to Bill Clinton not Hillary Clinton. Now, I think she's established herself as an equal to her ex-President husband, so maybe next she time runs we'll call her Clinton. I've been trying to do that in my writing, actually.
			- 2. But there's an even more convincing reason. <i>She calls herself Hillary.</i> Look at the <a href="http://images.scripting.com/archiveScriptingCom/2008/06/05/endorsementsm.jpg">signage</a> <a href="http://images.scripting.com/archiveScriptingCom/2008/06/05/campaign1.jpg">for</a> her <a href="http://images.scripting.com/archiveScriptingCom/2008/06/05/website.jpg">campaign</a>. The ads, the banners, the buttons. They all say Hillary, not Clinton. I noticed this in the same segment, they had a campaign rally and there was a sea of Hillary. My guess is that they made a marketing decision, that reason #1 above dictated the brand being Hillary and not Clinton.
			- I don't want to be a sexist so I'll try to refer to her as HRC. I want to be properly respectful. Though I supported Obama and still do. And I chose him, initially, over HRC, because I thought she and her husband were appealing to racism, even being racist themselves. I will never go for that, as much as I would have chosen her over Obama if I thought he was appealing to sexism.
		- NewsJunk.com update
			- What a week!
			- I've been having the time of my life this week, writing code and watching the political news fly by. So much to think about and ponder, and with the new tools, I have the best seat on the Interweb. Which I am happy to share with everyone else.
			- http://newsjunk.com/ 
			- Several developments in the last few days to report.
			- 1. There's now a Top-25 list of most clicked on stories. 
			- http://newsjunk.com/counts.html 
			- The community is still very small, but it's big enough so you can see some interests develop. Crafting a good headline is definitely good for flow. (The list is rebuilt every 10 minutes, stories fall off the list after 24 hours.)
			- 2. We've now got a bunch of podcast feeds in the rotation. On Sunday morning we'll have the three political news shows, Meet the Press, Face the Nation and This Week. On Fridays, On the Media. When they cover political topics, Fresh Air. Same with Bill Moyers.
			- <a href="http://flickr.com/photos/scriptingnews/2553455625/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/05/canon.jpg" width="128" height="105" border="0" align="right" hspace="15" vspace="5" alt="A picture named canon.jpg"></a>3. The podcasts flow through all the channels, the <a href="http://newsjunk.com/rss.xml">RSS feed</a> has enclosures, the <a href="http://twitter.com/newsjunkies">Twitter feed</a> points to the MP3s as does the <a href="http://friendfeed.com/newsjunk">FriendFeed</a>.
			- 4. The editorial system will soon have an API so content sites can directly notify NewsJunk of hot stories. Some sites will flow directly onto the home page. If you work at one of the top political sites and would like to coordinate, please send an email. It'll work much like weblogs.com pinging in 1999.
			- 5. I have many feature requests for the feeds of the various news sites. Some are perfect, like Salon, Slate, the NY Times. Others are so broken as to be useless. Many are inbetween. 
			- Where does all this go? It seems to me we're defining a new kind of news site that makes sense in the context of 2008. When we started talking about it, a couple of years ago, it was an <i>Open Campaign Briefing Book,</i> patterned after the physical books they published every day at Dean for America where Nicco worked. But it's advancing beyond that. I'm not aware of any campaigns using our resource yet, but please let me know if you know of any.
			- I want to add a commenting system, but I'm not sure at what level to do it. With the simplicity of Disqus, we could easily add it at a variety of levels. I'm thinking of opening a comment thread for every day. Thinking before doing anything.
		- My first 'Get A Clue' post for Obama
			- Dear Mr. Obama,
			- I applied for credentials to the Democratic Convention and was turned down. 
			- Okay, I can accept rejection -- have a great party, I'll watch it on TV.
			- But could you ask your people at the Democratic Party to stop sending me <a href="http://images.scripting.com/archiveScriptingCom/2008/06/05/fixthis.gif">press releases</a> about things that are happening there. It's so tacky. I can't come cause you said no. There's no point rubbing it in. 
			- Thanks in advance.
			- Dave
	- June 4
		- New York is Hillary Country
			- When I arrived NY in mid-May, I asked the cab driver, a black man, who he voted for in the primary. He said Hillary. Of course, I thought. He said everyone in NY likes Hillary.
			- When I bought the NY Times today, thinking it would be a<font size="-1"> <a href="http://images.scripting.com/archiveScriptingCom/2008/06/04/911.gif">MEN</a> <a href="http://images.scripting.com/archiveScriptingCom/2008/06/04/menwalk.gif">WALK</a> <a href="http://images.scripting.com/archiveScriptingCom/2008/06/04/bush.jpg">ON</a> <a href="http://images.scripting.com/archiveScriptingCom/2008/06/04/jfk.JPG">MOON</a> </font>type <a href="http://graphics8.nytimes.com/images/section/learning/general/onthisday/big/0507_big.gif">historic</a> banner headline, I should have known they would play down the history of it, and play up the Hillary of it. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2552070576/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/04/nyt.jpg" width="350" height="265" border="0" alt="A picture named nyt.jpg"></a>
			- Click on the <a href="http://www.flickr.com/photos/scriptingnews/2552070576/sizes/l/">pic</a> above to get the full extent of the Times' (lack of) historic perspective.
			- PS: The Chicago Tribune <a href="http://www.newseum.org/media/dfp/jpg4/lg/IL_CT.jpg">sees</a> the history. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/04/giantHill.jpg" width="246" height="334" border="0" alt="A picture named giantHill.jpg">
		- Yahoo Address Book API
			- <a href="http://developer.yahoo.com/addressbook/guide/">This looks interesting</a>, making a note here because I want to come back to this.
			- Is anyone building on it? If so, how's it going?
		- Why gas is so expensive
			- We're sending all the dollars we can print to China. 
			- What do you think they buy with the dollars?
			- 1. Cars.
			- 2. <a href="http://www.timesonline.com/articles/2008/06/03/news/doc48449faad83a3378165746.txt">Highways</a>.
			- 3. Gasoline.
			- 4. Inflation (for us).
			- BTW, the <a href="http://www.reuters.com/article/reutersEdge/idUSBNG12910820080604">Chinese</a> "still live in an $80 per barrel oil environment," (thanks to government subsidies).
			- PS: This was inspired by a <a href="http://friendfeed.com/e/4cb318f1-d83c-bc59-2595-288898f53b7e/United-is-cutting-100-flights-and-1600-jobs/">thread</a> started by Steve Rubel on FriendFeed. 
	- June 3
		- The Jackie Robinson of Politics
			- It's hard for a man to compete against a woman. You can see it in the speech that Obama gave tonight, he went right at McCain, in a way he never could have against Hillary Clinton, even though she was incredibly tough on him during the primary campaign.
			- <a href="http://en.wikipedia.org/wiki/Jackie_Robinson"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/03/robinson.jpg" width="105" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named robinson.jpg"></a>Political competition between men and women is like everything else between men and women. We defer to women, we are protective of women, and we won't stand for a man attacking a woman, even symbolically. And like everything else in gender relations, the women have better PR, men almost never speak for their gender (I do, but it's rare). It's now finally become a matter for the highest level of political competition, and it's so taboo, you'll see that I will likely be attacked for stating an opinion. I've withheld it this long because I didn't want it to be tied up in the competition between Obama and Clinton, now it's clear that is over (one can hope) and we can see clearly the difference between it and the upcoming one between two men. The two contests will be very different, I think anyone can see that.
			- Oddly, the awkwardness of compeittion betw men and women disadvantages both, the woman is seen as not being serious, and the man is seen as being weak. Obviously because the man is not taking the woman seriously (by withholding serious competition) and the man <i>is</i> being weak. 
			- Obama will continue to defer to <a href="http://www.flickr.com/photos/scriptingnews/2550017176/in/photostream/">Clinton</a>, they'll maintain the traditional gender roles, but we'll forgive him if he doesn't pay her much attention from this point on. He has a battle to fight, one which more and more of us will want him to win, I predict. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2550108036/">Obama</a> was the perfect candidate to compete with a woman for President, for the same reasons he's a perfect black candidate. His anger is supressed, the same way it was for Jackie Robinson. Obama is the <a href="http://www.evesmag.com/robinson.htm">Jackie Robinson</a> of politics. In the same way the first black major leage player had to soak up everyone's rage and express none of his own, no one votes for an angry black man,, at least not yet (we will eventually) and anger expressed by a man for a woman is not tolerated either.
			- Put a note aside until the next Presidential election where there's a serious woman canddiate, hopefully a visionary woman who understands this issue, and can communicate about it the way Obama was able to communicate about race. Let's create a level playing field, let's not tolerate sexism, in either direction -- and let both candidates be fully competitive. When a husband protests that his wife isn't being well-respected, as Bill Clinton did in this election, let's ask him to stand aside and let his wife fight her own battles. And let's not require one candidate to send flowers to the other, competitors only have to be gracious in defeat or victory, not while the fight is ongoing.
			- BTW, I have MP3s of each of the three candidates' speeches tonight. Unfortunately the McCain speech was interrupted when the polls closed in South Dakota, putting Obama over the top for the Democratic nomination. All the networks interrupted McCain.
			- 1. <a href="http://mp3.newsjunk.com/Jun32008/mcCainSpeech.mp3">McCain's speech</a>.
			- 2. <a href="http://mp3.newsjunk.com/Jun32008/hrcSpeech.mp3">Clinton's speech</a>.
			- 3. <a href="http://mp3.newsjunk.com/Jun32008/obamaSpeech.mp3">Obama's speech</a>.
		- It's all happening right now
			- Superdelegates are announcing for Obama.
			- http://newsjunk.com/ 
			- Calif Senator Diane Feinstein says it's time for Clinton to quit. (She's a Clinton supporter.)
			- AP has a story saying she will do that, but it's being denied by Clinton officials.
			- I know this sounds like an ad, but it's all there on <a href="http://newsjunk.com/2008/06/03">NewsJunk this morning</a>. I'm watching it unfold as I'm improving the code.
			- <a href="http://marcambinder.theatlantic.com/">Marc Ambinder</a>: "One very senior Democrat who has not endorsed Obama advises the Clinton campaign to divert the campaign's charter from New York to Minnesota today, to join Sen. Obama on stage."
			- <a href="http://x.newsjunk.com/z">AP calls it for Obama</a>. "The first black candidate ever to lead his party into a fall campaign for the White House." 
			- Brief <a href="http://images.scripting.com/archiveScriptingCom/2008/06/03/wow.gif">editorial</a>. ";->"
		- Bill Clinton's Macaca Moment
			- <a href="http://newsjunk.com/2008/06/02">Yesterday</a> during the rush of news and the <a href="http://www.scripting.com/stories/2008/06/02/newsjunkcom.html">initial rollout</a> of NewsJunk.com a story flew by that Bill Clinton had said some pretty nasty things about Todd Perdum, the author of a Vanity Fair <a href="http://www.vanityfair.com/politics/features/2008/07/clinton200807">slam piece</a> about him. 
			- This morning, I heard for the first time that:
			- 1. There's audio of his remarks.
			- 2. It was recorded on a rope line after a Bill Clinton campaign event.
			- 3. They didn't allow reporters on the rope lines, to avoid BC getting quoted saying the kind of thing he was quoted saying yesterday (apparently he talks candidly with people on rope lines).
			- 4. The person who recorded his comments was the same person who recorded Barack Obama's controversial comments about poor people in Pennsylvania, a person they identified as a "citizen journalist." 
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/06/03/bcbig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/03/bc.jpg" width="85" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named bc.jpg"></a>Now, I hope to get the <a href="http://newsjunk.com/mp3/fowlerInterviewsClinton.mp3">audio</a> (got it, it's part of the Huffington Post report, below), and I found the reporter's name, Mayhill Fowler, but I had to <a href="http://www.google.com/search?q=bill+clinton+rope+line">search</a> for it. In the report this morning on MSNBC, they didn't identify her. I kept waiting for them to say her name, but they never did. I think it's not only disrespectful, it's unethical to cite a source without identifying it, unless there was a prior agreement that the source was off the record. As you can <a href="http://images.scripting.com/archiveScriptingCom/2008/06/03/reportersnamehighlighted.gif">see</a> from the <a href="http://www.huffingtonpost.com/mayhill-fowler/bill-clinton-purdhum-a-sl_b_104771.html">report</a>, the reporter clearly wants credit. 
			- In the next segment <a href="http://en.wikipedia.org/wiki/Katrina_vanden_Heuvel">Katrina vanden Heuvel</a>, editor of The Nation, argued with passion that HRC lost, at least in part, because of sexism. I thought this was an incredible contrast. Where is the respect? Just because someone isn't a credentialed member of the press corps, she must remain nameless? Why didn't KVH tune into this (Fowler <i>is</i> a woman, in addition to being an amateur reporter).
			- <a href="http://www.huffingtonpost.com/mayhill-fowler/bill-clinton-purdhum-a-sl_b_104771.html">Mayhill Fowler's report</a> on Huffington.
			- <a href="http://www.youtube.com/watch?v=r90z0PMnKwI"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/03/allenbus.jpg" width="125" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named allenbus.jpg"></a>They talked earlier, on the Morning Joe show, how Bill Clinton is old school and hasn't learned how things have changed since his last campaign in 1996. KVH asked if everyone remembered <a href="http://www.youtube.com/watch?v=r90z0PMnKwI">Macaca</a>? I do, of course, it's how Jim Webb came to be the Senator from Virginia. Did we ever hear the name of the reporter who videotaped it? I don't recall that I ever did. He not only shot the <a href="http://www.youtube.com/watch?v=r90z0PMnKwI">video</a>, but he was the focus of the story, he was the one who George Allen called Macaca. 
			- This should be a lesson to all handlers and would-be political leaders. You're basically always on the record, unless you're talking with one or two people who have agreed in advance that you're not, and even then you have to be careful. I've learned this in the blogosphere, it's why industry parties are uncomfortable for me. I don't think of myself as a public figure, but every conversation is subject to reporting. I've even had conversations with people who were, without disclosing it, streaming video and audio of it, live to viewers on the net. It first happened when I visited the office of a competitor in the late 90s, believe it or not.
			- I don't like it, but this is the world we live in. But parts of it I <i>do</i> like. I think we should get behind the facade presented by the comfortable relationship betw Washington reporters and the political leaders they cover. There's too much control of the political process by the press, and that's too easily manipulated by the candidates. We'll see that play out in the fall as two favorites of the press, Obama and McCain, compete. 
			- Update: A <a href="http://firstread.msnbc.msn.com/archive/2008/06/03/1099061.aspx">report</a> on the MSNBC's website by Mark Murray begins: "The same Huffington Post reporter who broke the Obama 'bitter' story got a new scoop yesterday..." Mayhill Fowler's name does not appear in the 8-paragraph report, though they take a swipe at her ethics ("she didn't identify herself as a reporter and said she disliked the article when asking for his reaction").
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/bill-clintons-macaca-mome_b_104851.html">Cross-posted</a> at Huffington.
	- June 2
		- NewsJunk.com
			- My next big project is <a href="http://newsjunk.com/">NewsJunk.com</a>.
			- The name comes from the people it is designed to serve, news junkies.
			- So we've gone beyond mere <a href="http://en.wikipedia.org/wiki/UserLand_Software">users</a>, now we're making tools for <i>serious</i> users. ";->"
			- This is turning out to be a broad project that will involve lots of people, and I will have much more to write about it over the coming weeks. But the news is happening so fast now, and we're bringing tools on as fast as we can, so I'll have to wait for the philosophy.
			- For now there are five main ways to consume the flow:
			- 1. <a href="http://newsjunk.com/">Refresh</a> the home page periodically.
			- 2. <a href="http://newsjunk.com/rss.xml">Subscribe</a> to the RSS feed.
			- 3. <a href="http://twitter.com/newsjunkies">Follow</a> it on Twitter.
			- 4. <a href="http://friendfeed.com/users/d5e7fa5e-2b89-11dd-be28-003048343a40">Befriend</a> it on FriendFeed.
			- 5. <a href="http://newsjunk.wordpress.com/">Watch</a> for developments on the weblog.
			- There will be more ways, for sure, soooon! ";->"
			- <i>Still diggin!</i>
			- Update: <a href="http://www.nicco.org/blog/2008/06/02/newsjunkcom/">Nicco's post</a> on NewsJunk.
		- Owen Thomas speaks in Berkeley
			- Just got an email from Sylvia...
			- <i>Why does Silicon Valley need its own gossip rag? Come find out Wednesday, June 18, from noon to 1:30 at the <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=2025+Addison+St,+Berkeley,+CA&sll=37.8695,-122.27052&sspn=0.431468,0.55069&ie=UTF8&t=h&z=17&iwloc=addr">Berkeley Rep</a> on Addison between Shattuck and Milvia in Berkeley. It's $12 at the door for a delicious meal and a chance to hear Valleywag editor in chief and founder Owen Thomas dish it out on the dubiously fact-checked doings of our digerati. Thomas will be taking questions, so feel free to ask away.</i>
			- RSVP to whoisylvia at aol dot com.
		- NASDAQ goes real-time
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/02/donkey.gif" width="103" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named donkey.gif">As if on command, this <a href="http://www.primenewswire.com/newsroom/news.html?d=143845">press release</a> dropped this morning. 
			- We're getting real-time stock quotes.
			- Great. Now think about it -- how much like Twitter is that?
			- I wrote about this yesterday. If NASDAQ and other rich companies like <a href="http://googlefinanceblog.blogspot.com/2008/06/nasdaq-quotes-go-real-time-on-google.html">Google</a>, CNBC, etc are willing to take the risk on their technology it must be pretty reliable? Otherwise, imagine the lawsuits that would ensue.
			- <a href="http://www.scripting.com/stories/2008/06/01/cousinMikeyIsTakingAnInter.html">As I wrote yesterday</a>, I bet you can license the technology to run Twitter much more cheaply than you can to build it yourself. 
		- Bill Clinton's Nixon moment?
			- <a href="http://en.wikipedia.org/wiki/Richard_Nixon"><img src="http://images.scripting.com/archiveScriptingCom/2008/06/02/nixon.jpg" width="95" height="122" border="0" align="right" hspace="15" vspace="5" alt="A picture named nixon.jpg"></a><a href="http://blogs.abcnews.com/politicalradar/2008/06/bill-clinton-th.html">Bill Clinton</a>: "I want to say also that this may be the last day I'm ever involved in a campaign of this kind. I thought I was out of politics, 'til Hillary decided to run. But it has been, one of the greatest honors of my life to go around and campaign for her for president."
			- <a href="http://en.wikipedia.org/wiki/Richard_Nixon">Richard Nixon</a>: "For 16 years, ever since the Hiss case, you've had a lot of -- a lot of fun -- that you've had an opportunity to attack me and I think I've given as good as I've taken. But as I leave you I want you to know -- just think how much you're going to be missing. You won't have Nixon to kick around anymore, because, gentlemen, this is my last press conference."
			- Update: I think <a href="http://www.scripting.com/stories/2008/06/02/billClintonsNixonMoment.html#comment-573133">Marla Erwin</a> nailed it. This means WJC won't be campaigning for Obama.
		- What Twitter did for Scripting News
			- We spend a lot of time talking about the technology of Twitter here, because tech is the root of Scripting News, it's how the blog got its start in 1997. But it's been largely a male thing, where DaveNet, its predecessor, was closer to gender-balance. The new connection with Twitter has helped bring us more women readers our way, which is appreciated. It isn't much of a party without em. And I might add, it's given us a bit of racial balance too, although I think the all-but-certain Democratic candidate for President had something to do with that as well. ";->"
	- June 1
		- We're angry, uneducated and unhealthy. Now what?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/01/donkey.gif" width="103" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named donkey.gif"><a href="http://www.buzzmachine.com/2008/06/01/the-day-the-democrats-lost-it/">Jeff Jarvis said</a> something that got my <a href="http://www.buzzmachine.com/2008/06/01/the-day-the-democrats-lost-it/#comment-376210">fur</a> up: <i>Only Sen. Carl Levin of Michigan had an irrefutable point. 'We've got a totally irrational system of nominating our president,' he said.</i>
			- It's refutable. Obama looked at how the nominating process was laid out and then built an organization and strategy to win on the terms of the system, rather than close his eyes and <a href="http://en.wikipedia.org/wiki/Pin_the_Tail_on_the_Donkey">try</a> to hit the target and then blame the game for his loss as Clinton and her supporters are doing.
			- Which kind of President would you rather have -- one who accepts the world as it is and then maps out a way to win, or one that grouses at how irrational it is.
			- Yeah it's irrational that all the oil is in the Middle East. Now what?
			- Yeah it's irrational that Bush started a crazy war and that the country's education and health care systems are inadequate to compete in a global economy. Now what?
			- Our infrastructure is crumbling, our products aren't competitive, we're uneducated, unhealthy, angry and to make matters worse our houses aren't worth shit. Now what?
			- I want a President who welcomes the chaos and then figures out how we can be <b><i>smart</i></b> about the hand we've been dealt. Not one that whines and complains about how irrational the world is.
			- I can't wait until the Clinton Democrats accept that their time has passed and the world their way worked in has passed too, and let's get on with it.
			- Update: This piece, <a href="http://www.huffingtonpost.com/dave-winer/were-angry-uneducated-and_b_104557.html">cross-posted</a> at Huffington.
		- Cousin Mikey is taking an interest in Twitter
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/01/gecko.jpg" width="114" height="249" border="0" align="right" hspace="15" vspace="5" alt="A picture named gecko.jpg">Mike Arringtoh wrote a <a href="http://www.techcrunch.com/2008/05/31/hey-twitter-i-have-a-few-questions-too/">post</a> yesterday about architecture issues in Twitter which was mostly pretty good, though his last question is very lawyerly and off the wall, no way one person is responsible for the problems with Twitter, and if there were one person, it would be the CEO not a programmer.
			- I sent an email to Mike and even tried to call him, but he's not answering, so I'll just get him the info here on Scripting. If you know Mike and he reads your email, please send him a <a href="http://www.scripting.com/stories/2008/06/01/cousinMikeyIsTakingAnInter.html">pointer</a> to this piece and say hi for me! ";->" 
			- Here's the message: It's pretty likely you can buy or license off-the-shelf software that does more or less what Twitter does. (Probably more.) The problem of reliably sending massive numbers of notifications quickly was solved a long time ago in the financial services industry, apparently. Think about it -- the stock markets and banks have to do this, and if they drop out like Twitter does, billions of dollars would be lost, maybe the whole economy! There would be a lot of good reasons to throw lots of money at this problem. 
			- The pointers came up during an extensive <a href="http://www.scripting.com/stories/2008/01/18/whatIsCoral8.html">discussion</a> about decentralizing Twitter's architecture here in <a href="http://www.scripting.com/2008/01.html">January</a>.
			- It made sense to me -- I encountered these kinds of people when I worked in NYC as a programmer after graduating college in the mid-70s. That the software has been commodified since then is not surprising.
			- I've tried to suggest to the Twitter <a href="http://blog.twitter.com/2008/05/its-not-rocket-science-but-its-our-work.html">management</a> that they take this route, but haven't gotten through.
			- Maybe someone should look into the idea of just adapting technology the enterprise guys are using?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/06/01/donkey.gif" width="103" height="115" border="0" alt="A picture named donkey.gif">
			- Just a thought.
