- September 2008
	- September 30
		- The US Economy after Katrina
			- If you want to get an idea how terribly wrong things can go, look at New Orleans after Katrina. We didn't want to look there. I made myself look, I went to New Orleans in December 2005, and saw a city largely in ruin. I saw sections of the city that had burned where no one came to put the fire out. I visited middle class neighborhoods I lived in as a college student that had been reduced to ruin. I wanted to get a first-hand look at post-Apocalypse America. That is the accurate way to view it, it is not overly dramatic.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/30/thinkUsa.gif" width="336" height="287" border="0" alt="A picture named thinkUsa.gif">
			- The United States is horribly vulnerable now. We weren't able to bring back one of our greatest cities. It's hard to understand why this isn't front and center in people's consciousness. Maybe it's too grim to look at. But the danger of not looking is that you wouldn't recognize the symptoms when the problem grew, as it was sure to. And it has.
			- Fact is the people who run this place aren't qualified to run it. No one is. You can see that the legislators have basically no idea how the economy works, yet they make decisions that determine where trillions of dollars flow. The Secretary of the Treasury, a banker, has no idea how the legislative process works, and even harder to accept, doesn't have a basic understanding of the Constitution, how the three branches of government work. 
			- Yet we desperately need them to not only understand their own jobs, but how their jobs relate to others. They don't. We've got a government full of <a href="http://www.youtube.com/watch?v=RO2xi0uLnj8">Brownies</a>, dressing for the part, but not remotely prepared to <i>do</i> the job. 
			- So the NY Times today says the voters rebelled because no one from Washington explained to them what was going on. Folks, that's just the tip of the tip of the problem. They couldn't explain it because they themselves needed to have it explained <i>to them.</i> 
			- Meanwhile the monkeys who call themselves The Right are preparing to blame the moderator of Thursday's debate for the gross incompetence of the Republican candidate for VP. Someone needs to yank their chain, hard, and wake them up. That game is over. Everyone knows. No one is fooled. 
			- BTW, I took pictures of the devastation in <a href="http://flickr.com/photos/scriptingnews/sets/1580990/">New Orleans</a> and <a href="http://flickr.com/photos/scriptingnews/sets/1588659/">Gulfport/Biloxi</a>. Have a look. This might be coming to your life soon. People who were banking in New Orleans went to their ATM and found their accounts were gone. Did you know that St Paul police arrested reporters at the Republican Convention this summer because they were covering demonstrations? How was that covered up? <a href="http://www.nytimes.com/2008/10/01/business/economy/01leonhardt.html?_r=1&oref=slogin">As the Times said</a>, it gets really bad when trust is gone. Right now there's the tiniest frailest thread of trust left, because we've seen the system work, sort of, when no one understood how all the pieces fit together. It still basically is working. But it wouldn't take much to knock it all down.
			- When I visited New Orleans and considered how it could come back to life, and how long it would take, I realized something that you don't see when living your day to day life. It took a lot of time and belief to build up the momentum that drives our civilization. Once the wheels stop turning it takes just as long to get them going again, maybe longer because you have to deal with the wreckage that spewn all over the landscape. Look at those pictures and extrapolate. Imagine your neighborhood looked like that. That was the United States of America, our country. Think.
		- Debate joke
			- An open source joke for next week's Saturday Night Live...
			- Scene: The Palin-Biden debate. 
			- Governor Palin is responding to a question from moderator Gwen Ifil asking if she has enough experience to be VP.
			- She's listing the Vice-Presidents who had similar amounts of experience. 
			- She mentions Dan Quayle. 
			- Biden interrupts.
			- Governor. 
			- I knew Dan Quayle. 
			- I served with Dan Quayle. 
			- You're no Dan Quayle.
			- <a href="http://www.youtube.com/watch?v=O-7gpgXNWYI"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/30/quayle.jpg" width="175" height="122" border="0" alt="A picture named quayle.jpg"></a>
			- "cheesecake"
		- Debate-watching party in Berkeley
			- Raines Cohen is organizing a debate watching party at the <a href="http://maps.google.com/maps?ie=UTF8&oe=utf-8&client=firefox-a&q=hillside+club+berkeley&fb=1&cid=0,0,11011531736551513558&z=16&iwloc=A">Hillside Club</a> in Berkeley on Thursday night. 
			- I'm going to help out with some of the technical work. We're going to do it all-digital, with three projected computers, so there will be lots of options for back-channel stuff. Of course there will be IRC and food from the <a href="http://cheeseboardcollective.coop/Pizza%20Collective/PizzaPage.html">Cheeseboard</a> and the Thursday farmer's market, and a small charge for the rental of the club and eats.
			- I'd like to say it's a non-partisan party, but that would probably be a stretch, given that it is Berkeley. 
			- <a href="http://upcoming.yahoo.com/event/1134496">The Upcoming page</a> for the event.
	- September 29
		- Brooks hits it out
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/29/cabinetBowler.jpg" width="156" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named cabinetBowler.jpg">David Brooks is not one of my favorite NY Times columnists, but today he showed why the United States is coming out of its long malaise and the vacuum of leadership in every area is now being filled by intelligent, eloquent and thoughtful people, like Brooks, who always had the capability to lead, but probably never felt it was their place. 
			- I highly recommend reading the whole piece, from beginning to end. Don't stop at the places where your chin drops. He's a Republican, not a Democrat -- and he's got some stern words for Democrats, but nothing compared to what he says to his fellow Republicans. But mostly he, like many other Republicans, are finally talking like Americans. No more talk of wedge issues, and winning elections for the sake of winning, there's no time for that now. We have to think in terms of where our country fits in, in the world, and then start going there. 
			- On CNN this evening, another American who is rising to the occasion, Suze Orman, was on fire. You could see the truth in her eyes. It's so great. 
			- I think we may be on the verge of the greatest days of the United States in my adult life, and I've lived some great times, having a front row seat in three technological booms, which of course drove a lot of the growth in our economy in the last 30 years. But now there's a lot more work to do, to get busy on the four major areas we need improvement: education, health care, housing and infrastructure. 
			- Anyway, here's a link to the Brooks piece, with a short quote to give you an idea how great it is.
			- <a href="http://www.nytimes.com/2008/09/30/opinion/30brooks.html?_r=1&oref=login">David Brooks</a>: "We're living in an age when a vast excess of capital sloshes around the world fueling cycles of bubble and bust. When the capital floods into a sector or economy, it washes away sober business practices, and habits of discipline and self-denial. Then the money managers panic and it sloshes out, punishing the just and unjust alike."
			- It's so true!! ";->"
		- New dollar bill
			- <a href="http://flickr.com/photos/scriptingnews/2899916712/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/29/omg.gif" width="275" height="123" border="0" alt="A picture named omg.gif"></a>
		- CNN: McCain takes credit for bailout
			- In this video clip, McCain takes credit for the success of the bailout, and disparages Obama for staying on the sidelines. 
			- McCain has already engineered a breathtaking 180 degree flip-flop, he now <i>blames Obama for killing the deal.</i> 
			- Judge for yourself what role McCain played, but there are strong arguments to be made that bringing Presidential politics into such a serious matter probably wasn't a good idea, and there's no doubt that McCain, in dramatically suspending his campaign, did exactly that. Did the House members sign on to the deal as he asked them to? Obviously not enough.
			- Anyway this story <a href="http://thinkprogress.org/2008/09/29/bailout-mccain/">is</a> <a href="http://dyn.politico.com/printstory.cfm?uuid=AF9F10EC-18FE-70B2-A82949C5A24271A8">being</a> <a href="http://blogs.wsj.com/washwire/2008/09/29/mccain-calling-the-shots/">reported</a> <a href="http://politicalwire.com/archives/2008/09/29/oops.html">widely</a> but until now, we haven't had the video on the web. This makes all the difference when you see how McCain, who obviously has been coached on how to seem more like Teddy Roosevelt, becomes a real caricature of himself.
			- If you're in a hurry, start listening at about 2:00. 
			- <script src="http://i.cdn.turner.com/cnn/.element/js/2.0/video/evp/module.js?loc=dom&vid=/video/politics/2008/09/29/sot.mccain.obama.spending.cnn" type="text/javascript"></script><noscript>Embedded video from <a href="http://www.cnn.com/video">CNN Video</a></noscript>
		- The fundamentals of our economy
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/6reQLzgywzk&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/6reQLzgywzk&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
	- September 28
		- Who cares if they hate us?
			- <a href="http://www.flickr.com/photos/scriptingnews/2895169451/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/28/redstates.gif" width="125" height="77" border="0" align="right" hspace="15" vspace="5" alt="A picture named redstates.gif"></a>I spent the first years after my illness driving around the country, stopping in some places for a year or two, then moving on. In that time I drove across the United States four times, and across Canada once. I mostly lived in places where people like myself, politically, live, but on most of my trips, except for the trip across Canada, the politics were the red state kind. Me, I'm a coastal guy, a blue stater, through and through. 
			- I'm the kind of guy the red stater's hate. 
			- I have an excellent education, and I didn't stop after I finished school. I worked hard, and struggled, and made a success of myself. I didn't borrow money, I don't have much in my Social Security account, but I do have good retirement savings and health insurance. I have a well-used passport. I read voraciously, and on some subjects, systematically, and communicate with people on the Internet from all over the world. 
			- Because of my education both formal and continuing, I have a perspective on the world that people in the flyover states not only don't have, but that they openly express hatred of. I know that's an extreme statement, but listen -- in the east and the west you don't hear ignorant people boasting of their ignorance the way Sarah Palin did in her acceptance speech at the RNC. But in the middle of the country, esp the South, you do hear that. A lot. So much so that you can pretty much win a national election by appealing to that character flaw.
			- Now I'm not a Democrat, and I'm quite conservative on a number of issues, but they still call me "The Left" when dismissing me. I follow the example of my maternal uncle who said he was a Party Of One, he thought for himself, and made up his own mind. So I am totally Pro Choice, anti-death penalty, and I practice no religion. That's another reason people in the flyover states hate me.
			- But I've decided I don't care if they hate me or not. After all, they say that we as Americans shouldn't care whether people outside the United States hate us. So why should I care if they hate me?
			- Another reason they probably hate me, though few have the guts to say it openly, is that I'm Jewish. Many of them don't like immigrants. I was born in the US, but my parents weren't. I'm as much an American as any of them are, but I'll never agree with their paranoia about immigration.
			- They act as if they're the only ones who die in our wars or pay taxes or do hard or meaningful work. They feel pretty sorry for themselves. They didn't care a bit for NY until it provided them with an excuse to hate other people. Shit, you would think they would applaud the act of terrorism that destroyed the twin towers and all those New Yorkers! I've never figured that one out. I thought they hated liberals who live in NY?
			- And by the way, I do care if people outside the United States hate us, if they're right. If they're wrong, fuck em. But I'm willing to listen.
			- And all my religious brothers and sisters in the flyover states, aren't you supposed to in some way attone for your sins? If you fuck up, and break one of the Commandments, aren't you supposed to ask god to forgive you? I may not be religious but I do believe in greater beings. I do believe if you screw someone, it'll come back to you, so if I find out I'm doing something wrong, I stop doing it as soon as I can. Now does it say in the Bible that the Commandments don't apply to Muslims or Liberals? Heh. 
			- <a href="http://en.wikipedia.org/wiki/Idiocracy"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/28/idiocracy.gif" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named idiocracy.gif"></a>In the debate on Friday, you could tell that Obama cared if people in the flyover states hate him, that's why when he listed the costs of the senseless war in Iraq, he didn't include the hundreds of thousands of Iraqis who died or whose lives were ruined in the war. The displacement, the devastation caused by the war is something people in Flyover-Land don't want to hear about. But why shouldn't we talk about it anyway, even if they don't want to hear about it? That's been our mistake, us bluestaters, we worry too much about what they think, we coddle them, and encourage their ignorance and naivete, to the point where their leader, McCain, says <i>we're</i> naive. No sir, that's not accurate. He's trying to keep the people in the middle of the country from knowing the awful truth. We've done some horrible things, the United States of America. And we should have stopped a long time ago. Not because of the money it cost us, or the allies who doubt us, or the relatively small number of American lives that have been lost or ruined. We've grieved plenty for ourselves. We haven't begun grieving for the people who we have aggrieved.
			- We excuse a lot in the name of ignorance, but we are not actually ignorant. That's the disconnect, our hypocrisy. Just because you blindly and forcefully assert that you did nothing wrong doesn't mean you actually did nothing wrong. 
			- <i>Here's what we did that was wrong: After being attacked by people who live in Afghanistan, Saudi Arabia and Pakistan, we took it out on people who live in Iraq, who had <b>nothing</b> to do with the attack. We killed many of them and destroyed their country. </i>
			- We say it's not our fault because we didn't vote for Bush, but if you're an adult, you know that's not how it works. You and I, because we are Americans, are responsible for what America does. Once you realize that, you can't not talk about it.
			- Now for the good news. You can see the awakening beginning to happen, and its the looming financial collapse that's making it possible. On This Week, you could see George Will, Robert Reich and Newt Gingrich agreeing that the US needs to invest (key word there) in education, health care and infrastructure. Bing! Exactly right. At least 20 years too late, but better late than never.
			- People in Flyover Land, when you lose your manufacturing jobs and are reduced to government handouts, think about how we can work together, not who Did This To You -- for that we all need to look in the mirror. Boy were we blessed, we could have been really smart and worked together, but we didn't. Some of that is the bluestaters' fault because we cared too much about your hatred of us. So be it. That's the past. I believe we still have many blessings, and we're no worse off than anyone else on this planet. But we're also no better than they are either. It's our hubris, our arrogance and ignorance that led us to believe that we were. 
			- More than any other country, the United States is a product of and part of every other country on the planet. That's our legacy, and our strength, because to get here, our ancestors had to be smart, hard-working and brave. That's the advantage of America.
			- PS: I'm turning comments off for this post. If you want to respond, post something on your blog. Thanks.
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/i-dont-care-if-red-stater_b_130051.html">Cross-posted</a> at Huffington.
		- A broken clock is right twice a day
			- First a disclaimer. Andrew Keen's book is a piece of trash, he says things that enflame people just to enflame them, I don't want to do anything to encourage him.
			- That said...
			- He was on a <a href="http://gillmorgang.techcrunch.com/2008/09/22/gillmor-gang-092208/">Gillmor Gang last week</a> discussing Sarah Palin with Steve and Michael Markman, and he said something profoundly correct, and surprisingly validates his theory about the Cult of the Amateur.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/28/clock.gif" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named clock.gif">Sarah Palin is the ultimate expression of the lunacy of the belief, that I don't share, that amateurs should replace professionals in every walk of life. That's the false premise of Keen's book, that anyone is advocating this, but clearly the Republicans do actually believe that being President is something that any schnook can, and should do. It's so obviously not true, incredibly dangerous thinking, so dangerous it borders on treason. 
			- It's provably ridiculous.
			- Would you get on a plane if you knew the person flying the plane had never flown one before?
			- Would you let a surgeon operate on you if you knew he or she hadn't been to medical school?
			- Do you think that operating the US government, and the military, is less complex and specialized as flying a plane or operating on a human being?
			- And before you say that Obama doesn't have the experience either, don't insult your own intelligence. No one has experience being President when they take the job for the first time. Not McCain, not Roosevelt or Reagan or Bush. 
			- I read a <a href="http://www.newsweek.com/id/161204">piece</a> this morning by Fareed Zakaria who said Palin was unqualified. That's overly polite. That someone like her can get as far as she has reveals a serious flaw in our form of government. 
			- Update: Andrew Keen <a href="http://andrewkeen.typepad.com/the_great_seduction/2008/09/winding-up-wine.html">responds</a>.
	- September 27
		- Bad news
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/EzuIHjQYW2c&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/EzuIHjQYW2c&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
	- September 26
		- Get Susan Collins on the record
			- <a href="http://www.flickr.com/photos/scriptingnews/2891055154/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/26/collins.jpg" width="125" height="187" border="0" align="right" hspace="15" vspace="5" alt="A picture named collins.jpg"></a>I had an idea while walking to the Hillside Club today. I was listening to a <a href="http://a.media.abcnews.com/podcasts/080919_ntl.mp3">Nightline</a> from last week, they were interviewing <a href="http://collins.senate.gov/public/continue.cfm?FuseAction=Home.Home&IsTextOnly=false&IsSkipSplash=true">Susan Collins</a>, one of two Republican senators from Maine (both are <a href="http://en.wikipedia.org/wiki/Olympia_Snowe">women</a>, btw). She was talking about off-shore drilling and explaining why, even though there might be oil off the shore of Maine, they wouldn't support drilling because fishing off the coast is a huge part of their economy. Then they got around to Sarah Palin and she said Palin was a great choice, and how she had energized the Republican Party. I found this shocking. (<a href="http://mp3.newsjunk.com/2008/09/collins.mp3">Here's</a> the clip.)
			- Then I realized it was an old podcast and she hadn't had a chance to see the Couric interview with Palin yet and wondered how she'd react if she had. I imagined that Collins, who is an intelligent, thoughtful and fairly liberal Republican, probably would find it offensive, and would be scared on behalf of the country as many of us are. So I wondered how we could get her on the record. My guess is she'd try like hell not to get asked that question.
			- Then I thought of a way to drag her into it, and I think we should do something about it.
			- First, let me tell you that my friend Andrew Baron did the <a href="http://www.scripting.com/stories/2008/09/25/sarahTeenUsaPalin.html">mashup</a> with Miss Teen USA and Sarah Palin and it's become a viral hit on YouTube. So we have flow to play with.
			- Imagine a split screen and on the left is Palin and on the right is Collins. For 30 seconds Collins is speaking. Then for 30 seconds Palin speaks. That's all. Compare the two. Ask a question -- why didn't the Republicans choose Collins?
			- The next day do the same thing with Christie Todd Whitman.
			- Then Kay Bailey Hutchinson.
			- Get the idea. Keep going with intelligent, thoughtful, well-spoken Republican women. Then throw in a few men like Tom Ridge or Mitt Romney.
			- Now here comes the fun part. Citizen journalists in Maine should try to get an interview with Collins, on camera, about Palin. Go where she goes, like the press does, and just ask. Eventually you'll get some good footage and we'll run it on the Palin Channel on YouTube.
			- Everywhere there's a Republican, ask them about Palin and how prepared she is to be Commander In Chief or Economist In Chief. Make her issue #1. The Republicans will keep trying to bury the Palin issue, but we should keep digging it up!
			- What do you think??
		- Congress should ratify the Paulson plan as-is
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/26/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif">It seems today is the day when everyone is putting their stake in the ground, so I thought since I have a blog, and a stake, I should put my two cents in too.
			- First, when people ask why should we the people bail out Wall Street when they caused the problem in the first place? Well, they did, but so did the rest of us. If you took out a second mortgage to pay living expenses or to buy luxury, you were living high on the real estate bubble, you caused the problem too, and we're bailing you out. Might as well start placing responsibility where it really belongs, and take some yourself. 
			- Second, I know these Republicans are dicks, and they lied about the pretense for war, and just yesterday they admitted to discussing torture in The White House (which is worse than what Bill Clinton did in the White House). There's no reason to trust them, but I've weighed all the evidence and decided, again, we don't have a choice but to believe them. It might all be a scam again, but it probably isn't.
			- Third, this isn't a moral thing -- if it were, we would let everyone fail so they can learn their lesson and pass down the lessons so it doesn't happen again. But right now it's a question of what's a good use of our money. And there seems to be no choice about that, if you trust Warren Buffet, and I don't see any reason not to.
			- <a href="http://www.nydailynews.com/money/2008/09/24/2008-09-24_president_bush_to_address_nation_warren_.html">NY Daily News</a>: "Warren Buffett urged quick action and compared the current crisis to Pearl Harbor."
			- Now, is it really all that much money? I don't think so...
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/26/sam.gif" width="152" height="191" border="0" align="right" hspace="15" vspace="5" alt="A picture named sam.gif">If you average the $700 billion over the population it's somewhere between $2K and $10K per (depending on whether you count people or households). So let's figure this one out. If there's a market crash on Monday, and if the credit crisis is real, you might lose your job, or your savings, or both. Most people are still in their houses, you might lose your house. You have kids who want to go to college, etc, etc. Are you willing to put down $10K to make sure that doesn't happen? You may come to a different conclusion, but I'd be willing to pay <i>ten times that</i> to make sure we don't have an economic collapse.
			- About all the michegas they want to tack on to the proposal -- come on get real! None of that is going to make a difference. It's all the same old shit, it'll go to the same industries that always get our handouts, we won't see any of it. Don't delay the whole thing and take a chance on a crash for something with zero upside.
			- That's how I see it. We'll find out, I suppose, who is right.
			- An aside: It's not surprising that we failed to remember the lessons of the Great Depression and gradually removed the regulations that were put in place after the financial collapse of 1929. What is amazing is that we also failed to learn the lessons of Vietnam, which happened to the generation in power when the decision was made to go to war in Iraq. I guess the economic regulations worked for a while. Maybe we should pass some new laws regulating war. 
	- September 25
		- Palin-Couric, part II
			- <embed src='http://www.cbs.com/thunder/swf30can10cbsnews/rcpHolderCbs-3-4x3.swf' FlashVars='link=http%3A%2F%2Fwww%2Ecbsnews%2Ecom%2Fvideo%2Fwatch%2F%3Fid%3D4478156n&partner=cbssports&vert=News&autoPlayVid=false&releaseURL=http://release.theplatform.com/content.select?pid=hdkxamTi8l_uCAJ2ORKSzF3marEPn7Ul&name=cbsPlayer&allowScriptAccess=always&wmode=transparent&embedded=y&scale=noscale&rv=n&salign=tl' allowFullScreen='true' width='283' height='216' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'></embed>
			- See also: <a href="http://www.cbsnews.com/blogs/2008/09/25/politics/horserace/entry4477239.shtml">In CBS Interview, Palin Calls For Surge In Afghanistan</a>.
		- Sarah Teen USA Palin
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/WLhVGDy-ZXc&color1=0xb1b1b1&color2=0xcfcfcf&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/WLhVGDy-ZXc&color1=0xb1b1b1&color2=0xcfcfcf&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- Another McCain bombshell/Hail Mary?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/25/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif"><a href="http://blogs.cqpolitics.com/politicalinsider/2008/09/is-mccain-preparing-to-vote-ag.html">Taegan Goddard</a> just posted a piece at CQ suggesting that McCain may be preparing to join Republicans in voting <i>against</i> the bailout. If so, he's basically saying "No way am I going down for this, Bush, it's your problem, you take the fall." 
			- An interesting discussion followed my <a href="http://www.scripting.com/stories/2008/09/24/itsNotOverUntilBushAndChen.html">post yesterday</a> outlining four possible scenarios for the bailout negotiations in DC. The whole thing is playing out now in DC. 
			- We're moving toward options 3 or 4.
			- I don't think it's #1. It could be #4. I kind of hope it's #3.
		- Palin-Couric interview
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/Vbg6hF0nShQ&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/Vbg6hF0nShQ&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
	- September 24
		- It's not over until Bush and Cheney leave town
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/24/houseOfCards.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named houseOfCards.gif">There are four distinct possibilities.
			- 1. The need for a bailout is a bluff, so nothing happens and Bush finally looks wholly like the idiot asshole that he is. McCain suspended his campaign for nothing. The Republican Party loses in a landslide in November.
			- 2. McCain votes for the bailout, providing cover for other Republicans to follow him, and enough Democrats will sign on so the bailout passes. The Republicans who vote for it blame McCain for the mess, and he loses to Obama, in a landslide, and the Republicans lose more seats, but most of them get re-elected anyway. (Democratic voters think the bailout sucks but it's not a matter of religion for them as it is with the Republicans.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/24/kingbush.gif" width="125" height="183" border="0" align="right" hspace="15" vspace="5" alt="A picture named kingbush.gif">3. McCain convinces Bush & Cheney to resign, Pelosi becomes President until January 20, and a Democratic Congress and Executive passes the bailout, all Republicans who have conservative constituencies vote against it and win re-election in November. A few Democratic incumbents get thrown out because the public will hate the bailout, even if it works. Pretty good chance the next Senate has a Republican majority, maybe the House too.
			- 4. The need for a bailout is not a bluff, Bush refuses to leave, McCain refuses to sacrifice his candidacy, the Republicans in Congress won't vote for the bailout so neither will the Democrats, and the world economy melts down.
			- Okay it's your choice. Which of the four scenarios do you think will prevail?
			- I think the hot potato lands in Bush's lap. His father comes down and tells him playtime is over, he has to leave to save the world economy, and what little remains of the Bush name, and we limp along until Obama takes office on Jan 20.
		- Now McCain wants to cancel the VP debate
			- Maybe this was the whole point of all the gimickry of McCain's announcements today, to provide a lot of smoke to hide the fact that they can't put Palin up in front of the country live. 
			- <a href="http://politicalticker.blogs.cnn.com/2008/09/24/mccain-camp-to-propose-postponing-vp-debate/">CNN</a>: "McCain supporter Sen. Lindsey Graham tells CNN the McCain campaign is proposing to the Presidential Debate Commission and the Obama camp that if there's no bailout deal by Friday, the first presidential debate should take the place of the VP debate, currently scheduled for next Thursday, October 2 in St. Louis."
			- Aside from the financial crisis, the candidacy of John McCain is melting down today. Never seen anything like this. 
		- McCain to suspend campaign
			- 11:55AM: Just heard an announcement on MSNBC that McCain has requested that Friday's debate be postponed so he can focus on the economic plan in front of Congress. He also said he plans to suspend his campaign until the crisis is resolved? Not clear on exactly what was said, but this is obviously a big deal.
			- AP: <a href="http://www.msnbc.msn.com/id/26872907/">McCain calls for debate delay</a>.
			- First reaction -- this is the right thing to do. Whether you like it or not, McCain's vote on this matter is pivotal, and being in debate prep is probably not the best place for him to be. 
			- Rahm Emanuel (D-IL) says he's not so sure McCain's presence is needed in DC. He says the American people could hear from the candidates in the debate. So it's not clear that Obama is going to react positively to the McCain move. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2885014217/">Picture of McCain announcing</a> the suspension of his campaign.
			- My first reaction was probably wrong -- this was an intensely political decision by McCain and a bit of a double-cross as Obama was trying to work out an agreement between the campaigns privately when McCain decided to go public.
			- <a href="http://voices.washingtonpost.com/thefix/2008/09/mccain_suspends_campaign.html?nav=rss_blog">Chris Cillizza</a> at the Washington Post has background.
			- Lots of new stories on <a href="http://politics.newsjunk.com/2008/09/24.html">today's NewsJunk</a>.
			- <a href="http://wonkette.com/402992/more-on-mccains-latest-bum-stunt">Wonkette calls</a> McC's move a bluff-in-vain. "You could tell after seeing that new Washington Post/ABC News poll this morning that McCain would need one helluva muppet stunt to get himself a farthingworth's of non-horrendous attention."
			- "The debate is on," a senior Obama campaign official <a href="http://bit.ly/2E5m1g">told ABC News</a>. 
			- <a href="http://scripting.com/mp3/obamaResponse.mp3">MP3</a> of Obama response to McCain.
		- Listen to yesterday's FreshAir
			- If you want to spend 40 minutes getting a high-speed update on the financial crisis, I highly recommend yesterday's <a href="http://podcastdownload.npr.org/anon.npr-podcasts/podcast/13/94968551/npr_94968551.mp3">Fresh Air interview</a> with NY Times financial reporter <a href="http://en.wikipedia.org/wiki/Gretchen_Morgenson">Gretchen Morgenson</a>. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/24/theTruthCanBeAdjusted.jpg" width="101" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named theTruthCanBeAdjusted.jpg">There's a chin-dropping number in the interview. $60 trillion. It's the dollar value of insurance purchased to back up the money market. It's as if all the neighborhoods in the world were on fire and the insurance industry is going to have to deal with claims on all of it. Obviously, they never planned for that. But there's a lot more shocking stuff in the interview, and it raises far more questions than it answers. If you're like me, and put off understanding how our financial system really works, I'd suggest clearing out 40 minutes and have a listen. 
			- Update: Aaron Pressman, in a <a href="http://www.scripting.com/stories/2008/09/24/listenToYesterdaysFreshair.html#comment-2578629">comment</a> on this post, suggests (gently, much appreciated) a rewording. "The $62 trillion (not $60) is the total amount of credit default swaps, or insurance policies, that financial firms have written on all types of debt, not just money markets. So: It's the dollar value of insurance purchased to back up bond market investments. It's the amount that banks and insurers are on the hook for if absolutely everything goes down the tubes."
		- What if a Great Depression starts this week, part 2
			- If you love movies as I do the Great Depression was a time of tremendous growth in the art of moving pictures. Some great technology had just come online at the end of the Roaring Twenties, talking pictures, and that art matured in the 30s, when some of the greatest movies of all time were produced. So if there's going to be a Great Depression, get ready to go to the movies, a lot!
		- Did McCain know Davis was on Freddie's payroll?
			- The first question raised by this <a href="http://www.nytimes.com/2008/09/24/us/politics/w24davis.html?ex=1379908800&en=885e3f82f84d2b56&ei=5124&partner=permalink&exprod=permalink">amazing NY Times piece</a>:<blockquote> <i>Did McCain know his campaign manager was also on the Freddie Mac payroll? </i></blockquote><img src="http://images.scripting.com/archiveScriptingCom/2008/09/24/grandpa.gif" width="95" height="249" border="0" align="right" hspace="15" vspace="5" alt="A picture named grandpa.gif"> If he knew, McCain is corrupt to the core, if he didn't -- he's a figurehead who his own people don't respect or protect. 
			- Either way it's not a good thing for a potential future President. 
			- My guess, and it's just my guess is that McCain didn't know, that he sold his campaign to Davis and Schmidt when it was clear he had no way to win against Obama, and in doing so guaranteed himself a ceremonial role in his own administration if they could win the election. These are the people who write the speeches for Pailin, who designed her candidacy and it's looking more and more like Frank Rich hit the bulls eye in his <a href="http://www.nytimes.com/2008/09/14/opinion/14rich.html?_r=1&partner=rssnyt&emc=rss&oref=slogin">Sept 13 piece</a> about Palin and Whathisname (that would be McCain). McCain is the old brand that gets this crowd of Bush/Cheney/Rove Republicans back in the White House. After the election they'll just resume doing what they were doing during the previous two Republican administrations. And it still might work. It's hard to imagine that this revelation will mean much to people already planning to vote for McCain. 
			- <a href="http://www.johnmccain.com/mccainreport/Read.aspx?guid=74063c9d-7cb5-47c9-acf6-53c0c2d88376">McCain's blogger</a> calls the NY Times "an Obama advocacy organization." 
	- September 23
		- The real estate bubble
			- I wonder if a lot of people understand how the financial crisis came to be. I'm not sure I would understand it if I hadn't gone to visit a friend who in the Sierra foothills last year. 
			- She had inherited a house at a resort 10 years ago and had been living there ever since. It's a big house, but the construction wasn't finished. There were fixtures to be installed upstairs, and the driveway wasn't paved, but for the most part it was done. 
			- She didn't have a job, but she had been taking out loans on the property every couple of years, and at first I didn't understand how she could do that, until I realized that the property value had kept increasing so even though she was spending most of the money she borrowed on living expenses and improvements to the property, she always had equity she could borrow against. Every two years she'd take out another loan, max out her equity, but in a couple of years the value would go up and she'd be able to take out another loan. 
			- Until the value stopped going up, then the party was over. She still had to make payments, but now she didn't have the means to. She defaulted, left the house, and the bank took over. If they could sell it, it would be at a considerable loss. 
			- I think a lot of people were doing that. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2884103514/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/23/fail.jpg" width="95" height="102" border="0" align="right" hspace="15" vspace="5" alt="A picture named fail.jpg"></a>And I think that's where the trouble started. Making those loans was a profitable business, and a lot of people wanted some of the action. At one point I even wondered how I could, but I never (thankfully) figured it out. As long as real estate kept going up, everyone kept making money. There was even a way to rationalize it. The United States is where everyone in the world wanted to live. So property would keep increasing in value as long as there was growth somewhere in the world. But it turns out that China and India, Russia and Brazil are pouring their new money into their own countries, reproducing the infrastructure we already have, building their own highways, hospitals and universities. 
			- When real estate started going down, the value of all those mortgages went down, in some cases way way down. Then the house of cards built on the ever-increasing value of real estated collapsed. That's the part you've been reading about. Banks need to have a certain dollar value of assets to back loans they get from other banks. When the value of the assets go down, their loans get called, they have to sell these assets to pay back their creditors, but no one wants to buy them. That's when you hold up the big <a href="http://www.flickr.com/photos/scriptingnews/2884103514/">Fail sign</a> and hope someone thinks you're too big to Fail. ";->"
			- But really, this is probably the shit hitting the fan, it's probably not a liquidity crisis as Paulson says. It's our laziness, our thinking that our superior military and nukes would guarantee us a permanent position at the top of the pyramid. We don't make enough of the things people want these days, and instead of investing in building better education, health and infrastructure, and solving the energy problem, we've been lying to ourselves. 
			- We also fucked up by electing idiots to lead us, and letting the press get away with providing entertainment instead of keeping us informed on what the rest of the world was doing. This led us to elect ever more dishonest idiots to lead us, and they didn't like what little oversight the press provided leading to the ridiculous situation where the candidates won't even sit down for an interview, and you can hardly blame them, the reporters are such incompetent jerks.
			- I heard someone say that the real estate bubble isn't the problem it's the canary in the coalmine, the first financial crisis of a series of crises. I believe this is probably true. I thought we had time to solve these problems, what Obama was saying and certainly still is saying are the right things: education, health care, infrastructure, energy. And pull back from the short cuts. We can't afford boondoggles like the war in Iraq, but it may already be too late. 
			- No matter what, as a country we have to stop looking for the quick fixes, and start thinking about our future and doing the things we need to do to have one. 
			- Of course all this comes at an opportune moment. We can change direction on November 4. That's not actually very far away and another opportunity like that won't come for a long time. Something to think about.
		- Bush and Cheney must resign
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/23/dubyaShuffle.jpg" width="82" height="247" border="0" align="right" hspace="15" vspace="5" alt="A picture named dubyaShuffle.jpg">I'm absolutely sure the economic bailout story is going to end with Bush and Cheney resigning. Or more accurately, not end, but move on to the next phase. Pretty sure they will be gone by the end of the week.
			- It's the only thing that will give Republicans cover, and will let the Democrats feel they are not <a href="http://www.thenextright.com/patrick-ruffini/republicans-should-vote-against-the-bailout">being set up</a>. It will get everyone's attention and remove the theory that it's more Bush-Cheney deception.
			- Bush and Cheney have no credibility, the only thing they can do right now to help the country, if that's really what they're doing, is to step aside.
			- <a href="http://www.huffingtonpost.com/dave-winer/theyre-bluffing-unless-bu_b_128117.html">I wrote up the idea</a> in more detail yesterday.
			- It's going to shake a lot of people up, but they have to go, now.
			- A sure sign this idea will come up on a broader level is this <a href="http://www.politico.com/news/stories/0908/13789.html">story</a> on Politico about an open rebellion among House Republicans in a meeting with Cheney earlier today.
			- Meanwhile <a href="http://www.openleft.com/showDiary.do?diaryId=8451">OpenLeft says</a> the Paulson plan is a sham, and former Speaker <a href="http://thehill.com/leading-the-news/gingrich-urges-vote-against-stupid-paulson-plan-2008-09-23.html">Gingrich urges</a> Congress to reject it, saying any Rep that votes for it will lose in the November election.
			- Update: <a href="http://blogs.abcnews.com/politicalradar/2008/09/stephanopoulo-4.html">An alternate theory</a> -- if McCain puts his head on the chopping block that could provide enough cover for Republicans and Democrats to vote for the proposal.
		- I don't use my iPhone as a computer
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/23/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">I bought my iPhone on June 29 last year, the first day they were available. A couple of months later, I realized I wasn't using my Blackberry and a couple of months after that, I turned it off. I don't miss it, even though I loved it when I was using it because it meant I didn't have to lug around my laptop to be in range of email and Twitter.
			- Now a funny thing has happened since I got my <a href="http://www.scripting.com/stories/2008/09/20/asusPassedAnotherTest.html">Asus</a>, I've stopped using my iPhone as anything other than a phone. The Asus is a much better computer than the iPhone, and eventually I think I will come to use it as a phone too (with Skype). I won't give up much since I have an EVDO modem, so I'll be able to use it anywhere I can use an iPhone.
			- I won't miss using the iPhone as an iPod because that part of the iPhone only worked for the first couple of weeks, after that, no matter what I do, even after reformatting the phone several times, and using it on different computers, I can't get it to synch music or videos with the desktop computer. Never mind that synching with a desktop computer is ridiculous for a fully capable computer as the iPhone is, but that's the point -- iPhones are crippled computers, from the start, designed not to function like a computer. So why would anyone think you could happily get it to work like one?
			- <a href="http://almerica.blogspot.com/2008/09/apple-shuts-down-podcaster-again.html">That's the sad conclusion</a> to the tale of Alex Sokirynsky, the developer of the Podcaster app. He built the software Apple hasn't gotten around to building and as far as we know never plans to build. HIs software works the way I always intended podcasting to work. Go listen to the early Trade Secrets podcasts I did with Adam Curry four years ago in Seattle. We talked about podcast player devices that had wifi receivers that downloaded and played your favorite programs without help from a bigger computer. <i>Synching was never part of the vision of podcasting.</i> You can see it as requirement #1 on my spec for a new podcast player device in the <a href="http://news.bbc.co.uk/2/hi/technology/6748103.stm">piece</a> I wrote for the BBC last year.
			- Anyway, no need to wait for Apple. As Sokirynsky says, there will be other platforms, and it would be easy to make a perfect podcast player app for the Asus. It has such long battery life, and you can configure Windows to keep running when you shut the laptop cover, so there's no problem using it as a player. It's a bit overkill, but then Apple doesn't make a rational podcast player, and willfully shuts one down created by a developer, so it's the best we have right now. 
			- And today's Asus actually costs <i>$200 less </i>than the iPhone I bought last June. 
			- Yeah I think I'm beginning to move away from Apple, again. We'll see how it goes.
		- What if a Great Depression starts this week?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/23/mres.gif" width="125" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named mres.gif">How do you prepare for a Great Depression? I was thinking of doing an extra backup. Ordering a few month supply of <a href="http://www.amazon.com/Meal-Ready-Eat-MRE-Box/dp/B001CSCC28/ref=pd_bbs_sr_2?ie=UTF8&s=grocery&qid=1222179290&sr=8-2">MREs</a> from Amazon? What else?
			- Always thinking ahead, it's possible that by this time next week our economy will lie in ruins, people will be hungry in the streets, out of work, and we'll all be in for an incredible hardship possibly for the rest of our lives.
			- Last night at dinner I was musing about this subject. There still are plenty of people around who remember the last Depression. I think some people held onto their work and dignity and were able to put food on the table and stay in their homes. My house was built just before the Depression and it's still here. 
			- I don't have a job now, I guess I'm basically retired, although I'm always looking for a new deal that I could make money with. I've basically been retired this way since I got out of grad school in 1979. 
			- Anyway, I hope we avoid the Depression. I kind of like the way things were going there, hope we can get around this corner without electing a fascist government too. 
			- PS: I recently saw <a href="http://www.bbc.co.uk/films/2002/11/20/the_dancer_upstairs_2002_review.shtml">The Dancer Upstairs</a>, which I enjoyed, and in it there's a character, a woman, who is always asking what she should wear to this or that. At one point she asks what she should wear to a revolution. I thought of <a href="http://twitter.com/megfowler">Meg Fowler</a>, and wondered what she would wear to a Great Depression. What's the right kind of makeup? Shoes? I admit to not understanding women or Great Depressions, but am fascinated by both.
	- September 21
		- We won't get fooled again
			- There's this great Who song that you should play before reading this post. One of the greatest rock and roll bands of all time. They sang about their generation and the magic bus, told Tommy to go to the mirror, but <a href="http://www.youtube.com/watch?v=6cRPrbvIzn8">today's song</a> is about not getting fooled again.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/21/powellUn.jpg" width="125" height="144" border="0" align="right" hspace="15" vspace="5" alt="A picture named powellUn.jpg"><a href="http://video.google.com/videoplay?docid=5088670351170455855&ei=ysrWSMaHKpn-qAOXg7WyAg&q=colin+powell+united+nations&vt=lf">Flash back</a> to the United Nations on 2/5/03. An impressive almost Presidential Secretary of State, Colin Powell, <a href="http://www.cnn.com/2003/US/02/05/sprj.irq.powell.transcript/">delivering</a> some chilling news, not coming right out and saying it, but definitely leading you to believe that Saddam has nukes and chemical weapons and stuff even more horrible and is getting ready to use all of it in some unspecified horrible way. It's the lack of specificity that makes it so chilling. 
			- Consider the whole scenario. Powell can't tell us what the danger is because that would violate some security that he can't violate. Well, I did what a lot of Americans did that day, I sucked it up and got behind my government. And they suckered me. And I'll never forget it. I got fooled, and used, and a lot of people died, in the name of freedom, and it was all a lie.
			- We all paid a huge price that day, and the bill may be coming due today, because they're presenting us with the same scenario, this time about the economy. And we're not going for it. You can see it in the way things flipped around overnight. A lot of people woke up this morning, like I did, and realized -- wait I've seen this movie before.
			- <a href="http://www.newsweek.com/id/160119"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/21/kingHenry.jpg" width="90" height="119" border="0" align="right" hspace="15" vspace="5" alt="A picture named kingHenry.jpg"></a>Now we have another impressive Almost Presidential secretary, Henry Paulson, who says there's impending doom, but he can't say exactly what it is, it's not security this time, but fear of starting another level of bank runs. Senators and Representatives come out of a Thursday night meeting with the secretary (would they have believed the President) won't say exactly what he said, but they are stunned. The next day buried in a sea of press about this event is an almost innocuous paragraph in a NYT piece that talks about a flight to safety <i>from</i> the US Treasury money market. OMG. A point made by the secretary to the Congresspeople, a lot of your constituents have their savings in money markets. The Senators think to themselves, Fuck the constituents, that's where <i>my</i> retirement savings are! (And by the way, mine.)
			- An aside, I never realized this until recently, but Congress was very easily whipped by fear of terrorism. The fourth plane on Sept 11 was likely headed for them. We were all so busy thinking about ourselves we forgot to notice that they had a huge conflict of interest, they were targets on Sept 11, and probably many of them suffering from post-traumatic stress from it.
			- Anyway, back to our story...
			- Having been fooled once, sure there are some among us who will be fooled again, but we will not <i>all</i> be fooled again, as evidenced by the posts on all kinds of blogs. This is one of those amazing days that except for stylistic elements the extreme right and the extreme left are in agreement. We can't trust Paulson the way he's asking to be trusted. It wouldn't be prudent.
			- On the other hand, what if they're right, and don't want to speak the unspeakable for fear of provoking a run on the credit markets that would wipe out your savings and mine? If you've been conservative, as I have and many other have, do you want to be poor? Want to lose your house? Want to live on the street? No health care. No job. How long do you think you'd last? Think it might be worth $1 trillion to prevent that? I do. I bet you do too. But we can't do it on the terms that Paulson asks for. There has to be some pain and there has to be oversight and checks and balances. There's no such thing as a law passed by Congress that can't be judged by the courts. Not in the USA, not under our form of government. And no way is Bush going to get that by us.
			- So here's what I propose. The Republican slogan today is <i>Country First.</i> So let's see the Republicans do a little of that famous Country First stuff. 
			- Bush and Cheney must resign immediately. No immunity, no pardons. Nancy Pelosi will become President, promising not to run for re-election on November 4. Her term will be one of the shortest in US history, just long enough to enact the provisions of the bill being proposed by the Republican administration. If it really is the best thing for the country and not a trick, then the Republicans, being impressed by the seriousness of it, would have to insist that Bush step aside and let the Democrats execute the plan. The entire Bush cabinet stays in office through January 20, but reports, of course to Pelosi. And that includes Paulson.
			- It's pretty simple. If they won't do it, we know they're bluffing.
			- If they will, I will give my support to the plan, even though I still don't know what will happen if I don't.
			- Updated: An abbreviated to-the-point <a href="http://www.huffingtonpost.com/dave-winer/theyre-bluffing-unless-bu_b_128117.html">version</a> of this piece on Huff.
		- Quick question
			- Should Congress give the $700 billion to Bush, with no strings attached, full indeminity?
	- September 20
		- Comcast figures it out
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/20/remote.gif" width="125" height="424" border="0" align="right" hspace="15" vspace="5" alt="A picture named remote.gif">Sometimes it doesn't pay to be leading edge. 
			- First, I like Comcast's Internet service. It was fast, and stayed up pretty well. I also like AT&T's DSL service, which I use now. It's nowhere near as fast as Comcast, and it's also reasonably reliable. But Comcast hated me and shut me down, and AT&T doesn't seem to care one way or the other, which is pretty much how I like my vendors. I pay the bills, they provide the service, that's about it.
			- Comcast on the other hand, felt I was using too much of their service. Instead of limiting the amount I could use, or telling me what the limit was (and allowing me to monitor it) they just said "Too much and if you do it again, goodbye Dave." And they told me this by <a href="http://www.scripting.com/stories/2008/04/16/aNewReasonToHateComcast.html">shutting off my service</a> to get me to call them. I almost fired them as a vendor for doing that, but as I said, I liked the service. 
			- Predictably, I crossed the line again, <a href="http://www.scripting.com/stories/2008/07/24/comcastShutMeDownAgain.html">they shut me off</a>. They wanted to keep me as a TV customer but I fired them, replaced them with DirecTV and every night before I go to bed I say a prayer asking God to punish them in new and innovative ways, so deep is my hatred of all-things-Comcast. 
			- Then I read a bunch of articles saying they've come around to my way of thinking. Amazing!
			- WSJ: <a href="http://online.wsj.com/article/SB122186220234958325.html">Comcast starts acting like a company that cares just a <i>bit</i> about their customers</a>.
			- Like I said, sometimes it's better not to be so leading edge. :-(
		- Asus passed another test
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/20/asus.gif" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif">Worth noting that the Asus Eee PC that I'm typing this post on passed two milestones on this trip to New York:
			- 1. This time I didn't bring another computer with me. So if I couldn't do something on this little one, I couldn't do it. Wasn't a problem at all. And not having to lug another computer was great. 
			- 2. On the trip east I didn't have a power outlet at my seat and I didn't have an extra battery. It was a five hour flight. I watched 1.5 movies, had the computer on all the time except for about an hour or so when I ate, talked with the guy in the seat next to me, etc. When I arrived in NY it still had 1.5 hours left, so I was able to catch up on the news on my Slingbox back in Berkeley. I don't know of any other computer that could make it across the country with power to spare. I am going to buy an extra battery though when I can find someone that sells one (any clues?)
			- I may just sign up for the I Am A PC promotion Microsoft is doing. I don't know why Apple doesn't have a Mac in this form factor, if I were Microsoft I'd promote the hell out of this baby. No problem using Windows as long as it's XP and I can use Firefox so I don't get all loaded up with malware. It's a great fucking computer. I haven't said that about a Windows machine in a a very long time. 
			- Also Asus has dropped the price. I paid $600 in <a href="http://www.scripting.com/stories/2008/07/17/checkingOutTheAsus.html">July</a>, you can now get one for $500.
			- Here's a <a href="http://www.google.com/search?q=site%3Ascripting.com+asus">Google search</a> for previous articles on scripting.com about the Asus.
		- From Terminal 4 at JFK
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/20/peter.gif" width="69" height="222" border="0" align="right" hspace="15" vspace="5" alt="A picture named peter.gif">Well, it turns out you can take the subway to the airport in NY, here's how. Take the A train toward Brooklyn. Be sure to get on the one that goes to Rockaway or Far Rockaway, there's another A train that does not go to JFK. You want to stay off that one. 
			- Take it to the <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Howard+Beach+station,+New+york,+ny&sll=37.891853,-122.274908&sspn=0.007722,0.023947&ie=UTF8&layer=x&ll=40.667847,-73.830442&spn=0.007422,0.023947&z=15">JFK station</a>, take the escalator upstairs (it's the only way out of the station, so you can't go wrong). There will be huge signs that say <i>JFK This Way.</i> The fare is $5, you can use your Metrocard or purchase one there. After going through the wide BART-like turnstile, there's a big sign that says Welcome to JFK. From there, while you're waiting for the train you can find out what terminal your airline is at, then get on the train, it goes to all the terminals. It's exactly like the train that goes between terminals at SFO. 
			- That's it. Total cost -- $6.50, compared with $45 plus tip for a cab. Might take a bit longer if there's no traffic, a bit less if there isn't. And you get the satisfaction of knowing you helped the planet.
			- There's a longterm parking lot at the Howard Beach station. 
			- The Airtrain was packed. Much more so than BART to SFO. The subway ride goes through some of the most colorful parts of the city, also the poorest? Hard to tell because you're underground most of the way. The subway is clean and air conditioned.
	- September 19
		- Greetings from New York City
			- Everything's good, just been busy in meetings about new business. Heading back to Calif tomorrow after some more meetings. ";->"
	- September 16
		- The whole world is watching
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/16/reagan.jpg" width="85" height="109" border="0" align="right" hspace="15" vspace="5" alt="A picture named reagan.jpg">It just occurred to me, that while we're arguing about all this silly bullshit like pigs and calling stuff sexist that's just satire, or if what's her name could run H-P, the thing we should all be worrying about is that this election the whole world can see what assholes we are and how much we lie, and do you thikn they're ever going to believe anything we say after the election?
			- Americans do you know that we are still the most admired country on earth, and all this crap is on the Internet and so is everyone else in the world. The people in the fly-over states are worried about the assholes on the coasts when they really should be worried about the assholes who control the North Korean nukes and the loose nukes in Russia and Pakistan..
			- There's a lot to <a href="http://www.techcrunch.com/2008/09/16/the-mess-on-wall-street-four-trillion-dollars-down-the-drain/">worry about</a> and no matter how much you want the world to be simple (Drill Baby Drill) it won't be that simple. You can't make it simple by hiring a VP who is ignorant of the rest of the world. I would say that it'll just catch up to you, but it already did, that's what 9-11 was about. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/16/republican.jpg" width="85" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named republican.jpg">The  whole world is watching and can see our dirty laundry and see how fucked up and stupid we are. And they don't get votes, but they have a lot more power than I think they know and pretty soon they're going to figure it out.
			- Being an American in 2008 is a lot like working at Microsoft in 1994 or so. Netscape is coming soon and after that Google, and while we'll still be here, the cursor will be somewhere else, and our stock options will be worthless and we'll be fighting with each other while the rest of the world  builds around us. Sound familiar?
			- People thought I stopped writing about technology but the technology and politics are all one and the same. 
			- <a href="http://www.flickr.com/photos/scriptingnews/2864038454/" title="Basic writing tools by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3219/2864038454_d22db79aca_m.jpg" border="0" width="240" height="180" alt="Basic writing tools" /></a>
			- Written at <a href="http://www.flickr.com/photos/scriptingnews/2863887054/in/photostream/">Cafe Centro in SF</a>, on my Asus so excuse the grammatic errors and typos. Have a nice day, and think twice before you think your fellow Americans are the enemy, they aren't.
			- BTW the Whole World Is Watching is what the people who were getting beat up by the Chicago police were chanting. The world <i>was</i> watching.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/16/piggy.gif" width="105" height="78" border="0" alt="A picture named piggy.gif">
		- Could Sarah Pailin run Hewlett-Packard?
			- <a href="http://briefingroom.thehill.com/2008/09/16/fiorina-palin-doesnt-have-experience-to-run-a-company/">That question came up</a> today in a <a href="http://briefingroom.thehill.com/wp-content/uploads/2008/09/carlyfiorina.mp3">radio interview</a> with McCain surrogate Carly Fiorina and she answered it truthfully, which I would have to say is the right thing to do, but in the bizarre logic of politics, it probably wasn't the smartest thing.
			- She said no, Pailin could not run <a href="http://finance.google.com/finance?q=NYSE%3AHPQ">Hewlett-Packard</a>. That was her opinion. I agree, but I'm hardly an expert. Fiorina has actually run H-P herself, so she would know.
			- I suspect if they made the mistake of hiring her to run the company, they'd get nailed in countless lawsuits in the first week, not the least of which would be a suit to have the Board removed for making such an incredibly stupid choice.
			- <a href="http://www.scripting.com/stories/2007/10/24/theRegalSiliconValley.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/16/chalmers.gif" width="105" height="233" border="0" align="right" hspace="15" vspace="5" alt="A picture named chalmers.gif"></a>If by some miracle she lasted any period of time, it's hard to imagine how she would make a single decision in the interests of the various stakeholders, if she had any idea who the stakeholders are and how to prioritize their interests.
			- I've run a tech company with 60 employees and tens of thousands of customers and I am not <i>remotely</i> qualified to run a company the size of Hewlett-Packard. 
			- It's interesting to look at the bios of the <a href="http://www.hp.com/hpinfo/execteam/">executive team</a> of the company to see how they got there. 
			- Now it's hard to see how you could conclude that running the United States government is a simpler, smaller, easier job that requires <i>less</i> experience than running a company the size of Hewlett-Packard. Let's compare budgets. Last year Hewlett-Packard <a href="http://finance.yahoo.com/q/is?s=HPQ&annual">spent</a> about $17 billion (not including cost of goods). The US Government <a href="http://en.wikipedia.org/wiki/United_States_budget_process">spent</a> at least $2.3 trillion. That means that US Government is very roughly the equivalent of 135 H-Ps. 
			- The question should have been asked long ago of every McCain surrogate. What job wouldn't Sarah Pailin be qualified for? And list the possible choices. Play the game yourself if you like.
			- <a href="http://yglesias.thinkprogress.org/archives/2008/09/fiorina_palin_doesnt_have_the_experience_to_run_a_company.php">Yglesias</a>: "I, for one, am appalled by Fiorina's sexism."
			- In an <a href="http://www.youtube.com/watch?v=F1Jr4YfSemk">interview</a> with Andrea Mitchell on MSNBC, Fiorina added: "I don't think John McCain could run a major corporation." 
	- September 15
		- Quote of the Day
			- <a href="http://blogs.abcnews.com/politicalradar/2008/09/biden-rips-mcca.html">Joe Biden</a>: "Ladies and gentlemen, ladies and gentlemen, I could walk from here to Lansing, and I wouldn't run into a single person who thought our economy was doing well, unless I ran into John McCain."
			- <a href="http://www.flickr.com/photos/scriptingnews/2796517333/">Uncle Joe</a> grows a pair even though he's still <a href="http://www.scripting.com/stories/2008/09/15/everyoneHasAdviceForObama.html#p18">saying</a> "ladies and gentlemen." ";->"
		- Everyone laughed but...
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/whitman.jpg" width="85" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named whitman.jpg">They didn't believe me when I <a href="http://www.scripting.com/stories/2008/08/29/initialThoughtsOnThePalinN.html#p6">said</a> the Palin choice wouldn't age well, but I stand by the prediction. It might have worked had she had the depth, intelligence and curiosity of a <a href="http://en.wikipedia.org/wiki/Christine_Todd_Whitman">Christie Todd Whitman</a> or the experience and presence of <a href="http://en.wikipedia.org/wiki/Kay_Bailey_Hutchison">Kay Bailey Hutchinson</a>, or any number of male Republicans who would add to McCain's depth and would be genuinely good choices when viewed through the <i>Country First</i> lens. (Which is a very good way to look at things but not the way the Republicans are doing it.)
			- Imho, Palin is an empty suit. The kind of person who flunked out of pre-med at a party school in the Deep South (yes, I went to one). A person without curiosity, who doesn't read the Washington Post or the NY Times or Politico or watch Nightline or occasionally read a history book, or listen to a political podcast every once in a while. Could she name the other candidates of her own party in the Presidential race? How about in the Democratic race? Has she visited post-Katrina New Orleans?
			- They asked if she had ever been overseas but did they ask how many museums or monuments in Washington she had visited? Ever been to an opera or how about a baseball game? Which of the 50 states has she visited? My guess the answers to those questions would reveal that there are a lot of holes in her experience even for someone who has rarely left the United States. By age 44, if you want to lead our country, it seems there are some pretty basic things you should know and have done.
			- I think in their hearts Americans know that electing a <a href="http://en.wikipedia.org/wiki/George_W._Bush">President</a> who was like the rest of us was a mistake. We need someone who is an over-achiever, not just curious, but a sponge for ideas, information, perspectives. Someone who can't stop reading and asking other people what they think. I think in the end we're going to do the right thing, and I stick by my belief that the Palin choice will start to smell really soon, not just to us elites with health insurance and education, but to the people in our country who desperately <i>need</i>  those things for themselves and their families.
		- Getting ready for the next Rove attack
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/bozo.gif" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named bozo.gif">1. I totally don't trust Rove when he says that McC has gone too far. I wouldn't take the bait and pass this on as the Obama folk are doing. There's got to be a virus in there somewhere. Some devious trap that springs later in this process. Rove is like the original wingnut idiot blogger, he's been practicing so long, he's the #1 troll in the USA, something I'm sure he's proud of. I've been fending off trolls almost as long as he's been one.
			- 2. I don't trust McC when he says, again, that the <a href="http://www.washingtonmonthly.com/archives/individual/2008_09/014725.php">fundamentals of the economy are strong</a>. The first time he said it he didn't have coaches, we were seeing the original confused Mind Of McCain, raised in politics before Gotchas were such an artform. This new McC is always on message, so when he said this, it was part of, probably the beginning of, a campaign that's about to launch. Then almost immediately you can see what it is. 
			- 3. It's all part of the <i>Obama is Elitist</i> thing. He says the economy sucks because he doesn't respect the American working man and woman. That's what Pailin was in Denver getting briefed on yesterday. Okay that's not what Obama said, and now he's going to have to say that's not what he said, and he's going to look stupid saying that. Over and over and over and over. The reporters are going to spin, examining the "issue" in great detail. Did Obama actually mean to dis the American worker when he said the economy sucks? And why won't he let us drill? He said that mean shit in San Francisco. He's an elitist, like Oprah, unlike John McCain who stands up for us, just like he stands up for the soldiers in Iraq.<i> Country First!! </i>
			- 4. So if you see this coming what do you do? Good question. I'm thinking about it. I bet there's not much time to think. Maybe you ask the press not to fall into the trap too? Good luck with that.
			- 4a. I would probably start running the <a href="http://www.youtube.com/watch?v=f6ul9iMgmOw">100 years in Iraq ad</a> again. It was good. It also annoys the hell out of them. And it changes the subject before they get a chance to make elitism the subject. Let the press debate whether McC meant 100 years of war or 100 years of whatever has been going on for the last 5 years (which is a hell of a lot like a war).
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/f6ul9iMgmOw&color1=0xb1b1b1&color2=0xcfcfcf&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/f6ul9iMgmOw&color1=0xb1b1b1&color2=0xcfcfcf&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- 5. We need an independent non-corporate media to stand above these messes. Never has that been more clear.
			- 6. Whatever you do Obama don't talk about these guys unless you're forced to and then think twice, three times, before taking the bait. This is not 1992, they're not running the same plays they were running then.
			- 7. When I typed Mind Of McCain above I kept seeing Mind Of CoCaine. Who is CoCaine? Why that's Ms. Sarah of course. ";->"
		- Because I care enough to send the very best
			- <a href="http://www.someecards.com/upload/somewhat_topical/voting_is_the_perfect_way.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/care.gif" width="275" height="151" border="0" alt="A picture named care.gif"></a>
			- <a href="http://www.someecards.com/upload/somewhat_topical/voting_is_the_perfect_way.html">Click here</a> to send this as an eCard.
		- Everyone has advice for Obama
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/peter.gif" width="69" height="222" border="0" align="right" hspace="15" vspace="5" alt="A picture named peter.gif">Everyone knows what Obama should do to win, me too.
			- <a href="http://identi.ca/notice/558953">Steve Gillmor says</a> he should throw caution to the wind and do some nutty things. After all, if it worked for McCain it might work for him. Sing a few bars of <a href="http://www.youtube.com/watch?v=WISX2oSExIA">Me and Bobby McGee</a> to get in the mood.
			- Use more women surrogates and listen to how they do and if they do well, use them more. Debbie Wasserman Schultz and <a href="http://www.politico.com/blogs/bensmith/0908/Claire_McCaskill_killer.html">Claire McCaskill</a> were great yesterday on CBS and ABC respectively.
			- Get some Republicans to defect. I bet now a bunch of them are privately very pissed. I bet you even know who they are. Send them a pointer to this blog post. Let's have fun making our country great again. Republicans are welcome too. ";->"
			- More celebrities! <a href="http://www.youtube.com/watch?v=C6urw_PWHYk">Matt Damon</a> did a great passionate bit. Hey come to think of it, actors are good at this sort of thing. Get more actors. Wasn't SNL great! Who said celebrities were bad? Oh that's right, he's your enemy. Fuck him. Celebrities are good!! Take some of the most popular celebrities with you on the road. Surprise people about who you show up with. Heh. That might be the best idea on this page.
			- Update: Celebrities, like <a href="http://www.msnbc.msn.com/id/21134540/vp/26718574#26718574">Chevy Chase</a>.
			- If you do something that McCain doesn't like, do more of it. 
			- I would say try to ignore McCain if possible or as much as possible. Let the surrogates trash him. Let bloggers like me trash him. See the next bit for an idea why you should not be down in the mud yourself on this.
			- It's okay to say McCain might die in office. It's not ageism, it's an issue. But let surrogates do it like McCaskill did it on This Week.
			- When something happens like Lehman going under, pretend it's a year from now and you won. Say what President Obama would say. You're good at that. Explain it in simple terms, but respectfully, and let us know what really happened. If the Republicans fucked up, it's okay to say that, but say it the way a President would. But most important think of ways you can help us. Voters appreciate shit like that.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/theTruthCanBeAdjusted.jpg" width="101" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named theTruthCanBeAdjusted.jpg">Put a FAQ on your site that explains how to keep your money safe. Don't ask me to give you money on that page. 
			- While we're on the topic of money, can you make it a game where our side wins! I want to help you break the $100 million barrier this month. But please please tell me how we're doing. How can you be a fan if you don't know the score? Keeping us in the dark on this doesn't build confidence that President Obama will clue us in when there's a problem. Remember, you're the guy who says you want us to do stuff that's good for the country. Right now you're it buddy. Trust us, we're really on your side (and the enemy can't raise money this way so this is one bit of info you can safely share with us, we won't let you down).
			- BTW, once we break $100 million, let's go for 1/4 of a billion! 
			- And how about some cool new uses of all that money. Advertising isn't the only way to spread the love, you know. How about using a <i>teeny</i> bit of that money to build and staff a school in New Orleans?
			- I need Obama clip art for my blog. 
			- Also by the way, I'd like to listen in on your conference calls. I've been asking for months, politely. Come on get a clue, we can help you communicate if you'd just listen a bit. Reserve a few spots for bloggers on your press plane. Not the kind of bloggers that work for corporate media, guys who do it for free because they believe in something. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/pupinpot.jpg" width="95" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named pupinpot.jpg">For Joe Biden, John McCain is NOT YOUR FRIEND and stop saying he is and stop calling him JOHN. We're really tired of all you guys playing inside baseball with each other. John McCain is not a friend of mine. If he called me up to go cross the country I'd tell <a href="http://www.flickr.com/photos/scriptingnews/2856435471/">him</a> to fuck off. 
			- And Joe, you're a really nice guy, I get it, but drop the Ladies and Gentlemen thing. It's very old fashioned. Take a deep breath instead, cause I think that's what's really going on.
			- Barack you need more running mates. See the <a href="http://www.scripting.com/stories/2008/09/15/everyoneHasAdviceForObama.html#p5">bit</a> about celebrities above. It's important though to get them on the record first on the web so you know which ones are hits with the voters.
			- For all Democrats, it's time to stop saying John McCain is a hero who loves his country. I didn't like it when you said it repeatedly at the convention. You can say that after you win the election if it makes you feel better, but I don't think you're going to want to. 
			- <a href="http://www.youtube.com/watch?v=XbFLhbJRt_E">Get this guy</a> to do an ad for you. ";->"
			- Get everyone on your campaign to <a href="http://www.youtube.com/watch?v=9rFx6OFooCs">watch</a> Al Pacino's speech to his team in Any Given Sunday. Right now. Before doing anything else.
			- I want BarackTV, a site I can go to with live video of a campaign event going on right now. It's what I'm going to switch to when McCain comes on CNN. (Already 3 times this morning, to 0 for my team.)
			- More later...
		- To the nervous Nellies who think it's over
			- Forget it!
			- None of you are Mets fans, I know that for sure.
			- This "home stretch" of the election season is like the World Series. 
			- If you're an Obama fan, it's great -- your team made it into the World Series. Same if you're a McCain fan. 
			- I'd say we're in the 2nd inning of the 2nd game. We lost the first one, they played the <a href="http://en.wikipedia.org/wiki/Squeeze_play_(baseball)">Suicide Squeeze</a> and we were caught daydreaming. Shit happens. You can be sure that play won't work again. And I'm sure the other guys know it.
			- They have a old team a bit of young talent and a great manager. 
			- We have an untested team which against all odds made it to the World Series.
			- We've got Tom Seaver on the mound and Duke Snider in right field. Somewhere out there is Ed Kranepool and Ron Swoboda. Ed Charles and Bud Harrelson.
			- Okay enough of that shit. 
			- <a href="http://www.baseball-almanac.com/quotes/quorose.shtml"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/15/howPeteRoseMadeLove.jpg" width="125" height="185" border="0" alt="A picture named howPeteRoseMadeLove.jpg"></a>
			- It's not baseball, it's politics, but there's still a lot of ball to play. Think about that in early November and try to come back then and read this blog and make a list of all the stuff that happened. It's kind of scary when you think of it that way.
		- Lipstick on a pig :-)
			- <a href="http://www.flickr.com/photos/scriptingnews/2856435471/" title="Lipstick on a pig. :-) by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3198/2856435471_e65eecb2db.jpg" width="377" height="500" border="0" alt="Lipstick on a pig. :-)" /></a>
	- September 14
		- Morning podcast with Jay Rosen
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/14/mysterioso.gif" width="95" height="236" border="0" align="right" hspace="15" vspace="5" alt="A picture named mysterioso.gif">Things have been heating up politically and <a href="http://twitter.com/jayrosen_nyu">Jay Rosen</a> has been steadily posting interesting stuff to Twitter, so I couldn't think of anyone I wanted to share my thoughts with more this morning so here goes.
			- First, I read <a href="http://www.nytimes.com/2008/09/14/opinion/14rich.html?_r=1&partner=rssnyt&emc=rss&oref=slogin">Frank Rich's column</a> in the NY Times, everyone should. There's a lot of meaning in the choice Sarah Palin's invisible speech writer made in using Truman as the model for her unusual path to the Republican nomination for VP. It would be chilling for John McCain if he read it the way Rich did; we know how Truman's path to the <i>Presidency</i> was <a href="http://www.infoplease.com/ce6/people/A0861642.html">completed</a>. (That they put this out there so openly is pretty amazing.)
			- Also be sure to read this <a href="http://www.politico.com/news/stories/0908/13412.html">Politico piece</a> which explains why the Republicans feel justified in shutting out the press, and openly lying. Can't say I support it but I understand it. Their reasons are the same ones I have for rarely doing interviews with reporters, they're always looking for a gotcha and have no interest in reporting what's actually going on. Why bother? What's in it for me? That's the calculus the Republicans offer and it's compelling.
			- That led me to the idea that perhaps it's not Obama that the Repubs are really running against, perhaps it's the press. What clued me into that was the way Carly Fiorina conflated three NY Times columnists as "The Democrats" on This Week earlier today. Huh? They may be Democrats, but they are not <i>The</i> Democrats. If the Repubs are running against the press, then why do the press care what the Repubs think (the mistake Obama makes too). And how does Obama get back in the game if the conversation is to between the Repubs and the press (and the press like Obama are always three steps behind, confused as hell and not going to take it anymore).
			- Which finally led me to the conclusion for the Obamas and I really hope they get the message, you need to grow your own press, quickly. Use the Internet. It's all you've got. Don't count on the press caring, they're busy fighting a war with the Republicans. 
			- This really is the battle for Democracy with a capital D. If the Republicans win this election, kiss what's left of what we think of as the United States goodbye. Imho.
			- Here's the podcast.
			- http://mp3.morningcoffeenotes.com/cn08sep14.mp3 
			- Dave 
	- September 13
		- Spore
			- I bought Will Wright's new simulation, <a href="http://flickr.com/photos/scriptingnews/2849910506/">Spore</a>, before I knew anything about the DRM. I haven't installed it yet, not sure if I will. I got fairly addicted to The Sims, but ended up buying it several times because the DRM kept failing. 
			- I wonder if Electronic Arts is aware of how many idiots like me end up buying the product more than once because they want to use the software on another computer, or a disk crashes, or a key disk stops working or you switch from Windows to Mac or some other system.
			- <a href="http://flickr.com/photos/scriptingnews/2851298390/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/13/tiredPlanet.gif" width="362" height="170" border="0" alt="A picture named tiredPlanet.gif"></a>
			- Just read a <a href="http://torrentfreak.com/spore-most-pirated-game-ever-thanks-to-drm-080913/">TorrentFreak piece</a> saying it's being widely pirated because of the DRM. I have doubts, but I haven't decided yet whether I will actually install my legally purchased copy. I wonder how Will Wright feels about that -- he went to all the trouble to make this product, and people who pay for it won't use it. 
		- Why iPhone is an ureliable platform
			- I wouldn't invest in or develop an iPhone app because Apple could decide not to approve it, and if they don't approve it you can't sell it. You can't even give it away. You don't find out if you've been approved until the last step, after you've fully invested, so you could lose, totally, if Apple says no.
			- At first this might have seemed ridiculous if you didn't know Apple, you might assume they'd only keep out apps that somehow damaged the iPhone, but it hasn't turned out that way. 
			- Yesterday it <a href="http://daringfireball.net/2008/09/app_store_exclusion">came out</a> that they rejected an app called Podcaster because it competed with iTunes, an Apple product. Maybe it was better than iTunes in some way, or simpler, more focused, had features iTunes didn't have? It doesn't matter, it illustrates exactly why Apple shouldn't assume this power, or if they insisit on it, you'd have to be crazy to develop iPhone apps. 
			- Consider this possibility. Next year Apple announces an app that does what your previously authorized iPhone app does. You have competition, so another competitor, even if it is the platform vendor, isn't that big a deal, right? Well what if they de-authorize your app because it duplicates functionality of theirs? Think you could live with that?
			- <a href="http://www.flickr.com/photos/scriptingnews/2852690888/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/13/obama.jpg" width="85" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named obama.jpg"></a>The same thing came up less clearly at BearHugCamp yesterday when the Twitter guys stood up and let us try to pin them down on when they were going to re-open the XMPP gateway. If features come and go from platforms, if policies change in unpredictable ways, there's no way you can invest. If someone had built on the XMPP capability previously and it had been turned off (this is a hypothetical, it didn't happen that way) what recourse would they have had? Because Twitter has been such a moving target this last year, many of the apps have fallen off, because they depend on features in Twitter that have become unreliable or have disappeared altogether.
			- Thirteen years ago I wrote a piece entitled <a href="http://www.scripting.com/davenet/1995/08/22/whatisaplatform.html">What is a Platform?</a> Perhaps it should be amended to say that if you need the approval of the platform vendor to ship an app, then it isn't a platform. It's an integrity thing. The idea that it's a platform should mean no individual or company has the power to turn you off. 
			- In the same timeframe I marveled at how the Internet is the platform without a platform vendor. That's the most powerful kind of platform there is because it is the least regulated.
		- Do McC's war injuries prevent him from using a computer?
			- <a href="http://en.wikipedia.org/wiki/Idiocracy"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/13/idiocracy.gif" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named idiocracy.gif"></a>Yesterday <a href="http://www.youtube.com/watch?v=bQ2I0t_Twk0">Obama ran an ad</a> that said that McCain is so out of touch that he doesn't even use a computer. Immediately the right wing idiots came back with the charge, as if they care, that Obama is being ageist, but that's ridiculous, I know plenty of people McCain's age who use the Internet. My father, who is 79 says he wished the Internet had been around when his father was his age, he thinks he would have liked it. I knew my grandfather and I'm sure he's right (here's a <a href="http://www.scripting.com/images/2001/09/22/baruchWiner.gif">picture</a> of me as a child having a laugh with him).
			- So to say old people don't use computers is to not only ageist but ignorant -- as ignorant as a person who would be our President who doesn't in 2008 know how to use the Internet for crying out loud! It would be like reaching the age of 44 having only been <a href="http://www.boston.com/news/nation/articles/2008/09/13/palin_camp_clarifies_extent_of_iraq_trip/">outside the US twice</a>, and one of those trips being to Canada. You know people outside the US say they like Americans it's just our government they hate. I keep telling them they don't know Americans, only 12 percent of us have passports. Ladies and gentlemen of the world, I present you our most embarassing choice for vice-president in my lifetime (and that's saying a lot!), a person who doesn't know shit about the world she lives in. One can only hope the Republicans step in soon and put a stop to this <a href="http://en.wikipedia.org/wiki/Idiocracy">idiocracy</a>.
			- Anyway...
			- <a href="http://pajamasmedia.com/rogerkimball/2008/09/13/who-is-the-mole-in-the-obama-campaign/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/13/pjnut.jpg" width="85" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named pjnut.jpg"></a>Now the idiot right-wing bloggers have a new paranoid <a href="http://pajamasmedia.com/rogerkimball/2008/09/13/who-is-the-mole-in-the-obama-campaign/">theory</a> to cling to -- maybe McCain <i>can't</i> use a computer because of his war injuries. I have a different theory. He doesn't use the Internet for the same reason he doesn't understand economics and the same reason he thinks we could stay in Iraq for 100 years -- because he's a dumb, lazy and ignorant rich kid and has the curiosity of a bowl of oatmeal. And if it were true we would have heard from them on this already, and the only voices on this one would not be the pajama-wearing nutcases of the right. We'd be hearing from the lying suit-wearing lobbyist bastards running McCain's campaign, or the <a href="http://www.politico.com/news/stories/0908/13412.html">lying</a> bastard John McCain himself.
			- Look, there's a limit to how much mileage you can get from this war hero crap. Yadda yadda the Democrats honor his service, and blah blah blah he's a good man who loves his country. I say bullshit. He's a creepy bastard liar coward who, if he becomes President, we're really in for a ride. And if he gets elected let's get him some great doctors so he doesn't die in office and leave us with the hockey mom pit bull with lipstick who doesn't blink or travel or know any heads of state, as President.
			- I'm Dave Winer and I approved this message. (And I'm not running for anything so don't vote for me.)
			- PS: Try searching for <a href="http://www.google.com/search?q=quadriplegic+computers">quadriplegic and computers</a>. It's a hint. Amazing progress has been made in making computers accessible to people with disabilities. Seriously.
	- September 12
		- I'm Dave Winer and I approved this message
			- <embed src="http://services.brightcove.com/services/viewer/federated_f8/1185304443" bgcolor="#FFFFFF" flashVars="videoId=1788949433&playerId=1185304443&viewerSecureGatewayURL=https://console.brightcove.com/services/amfgateway&servicesURL=http://services.brightcove.com/services&cdnURL=http://admin.brightcove.com&domain=embed&autoStart=false&" base="http://admin.brightcove.com" name="flashObj" width="324" height="274" seamlesstabbing="false" type="application/x-shockwave-flash" swLiveConnect="true" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"></embed>
	- September 11
		- If the press will just do their job, all will be OK
			- <a href="http://politics.newsjunk.com/2008/09/11">Lots of must-read editorial</a> following the release of the first part the ABC News interview with Republican VP candidate Sarah Palin.
			- It's so totally appropriate that this interview took place on <a href="http://scripting.com/2001/09/11.html">Sept 11</a>. Because of that, and the fact that we're all re-living that day 7 years ago, we should be aware of how incredibly important it is that our political leadership be <i>involved</i> in the world we live in. Everything is so interconnected these days, it's dangerously naive to think that you can assume leadership of this country with no knowledge or preparation for that complex job.
			- Listening to <a href="http://www.npr.org/templates/story/story.php?storyId=94414058">Bob Woodward</a> about his interviews with President Bush in his last year of an eight-year Presidency, you can clearly see that he is still unprepared to be the leader of this country. He has deligated essential Commander In Chief responsibilities to unelected aides, people who we don't know anything about and he glosses over important parts of his decision-making process with the same unconfident imprecision that Sarah Palin does in her ABC News interview. 
			- <a href="http://www.salon.com/opinion/walsh/election_2008/2008/09/12/palin_mccain/index.html?source=rss">Joan Walsh</a> writing in Salon this evening says "The fact that Sarah Palin sat for her humiliating interview with ABC's Charles Gibson on 9/11 is one of those strange serendipitous events that makes one believe there's order in the universe. Remember how 9/11 changed everything, especially our new seriousness about the larger world and foreign policy? Never again would we risk a president, maybe not even a senate candidate, without global experience and sophistication."
			- <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/09/11/AR2008091100793.html">Howard Kurtz</a>, in the Washington Post, says the press is angry.
			- As they should be, because they, like everyone else, are being used by the Republicans, to try to slip another fast one by us, circumventing our democratic process, and taking advantage of a few voters who aren't paying attention. As the title of this piece says, if the reporters do their job, we'll be fine. They don't have to be referees, they just have to be finders of fact and tell everyone what they found. There's nothing hard about that job.
			- Barack Obama <a href="http://blogs.abcnews.com/politicalpunch/2008/09/from-the-fact-c.html">isn't</a> a sexual pervert, the law that he voted for when he was an Illinois state senator was designed to <i>protect</i> small children from sexual predators. The news should not report a controversy, they should report that McCain is telling a desipicable lie. Until that lie is acknowledged, retracted and apologized for, both to Obama and to the electorate, McCain should not receive any of the services of the press. The first question in any interview should be "Why are you lying and when will you admit that you are and stop." If he continues to lie, that's the end of the interview. The reporter wraps it up and leaves. You can't continue to interview someone who you know is lying. Reporters do it all the time, <b>but this must stop now.</b>
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/11/moose.gif" width="125" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named moose.gif">The Republicans can scream all they want, all that anyone will hear is that they are lying. I don't see how the press can avoid this. We can all see it openly, Republicans and Democrats and independents, and people all over the world who don't get a vote in our election, but whose respect for us they do control. America will be judged by how we handle this. We will not be able to hide behind the usual excuse "I didn't vote for him" because you are now called on to do more.
			- I think we made a lot of progress today, cleared a lot of things up. Republicans could help by holding another convention and nominating a new ticket. McCain is completely discredited, he could not serve as President with the support of anyone who has an education or who cares about the future of this country. Yes I understand that we who are educated and have health insurance and jobs are elitist and different from those who live in small cities and towns, but my family comes from small towns, and my ancestors were not educated. We have so much in common and so much at stake, we really can't afford to be split this way, again. 
			- McCain's gamble was too big, and it didn't work. You can play a few more cards from the hand, but it's not going to change the outcome -- <i>he can't be President.</i> It won't work. The sooner the Republicans acknowledge that and respond, the better we all will be. Until that happens all the press has to do is report the news and stop being anything other than reporters.
		- New McCain Ad
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/rFVU9u97yzg&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/rFVU9u97yzg&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
		- McC finally sits for an interview
			- One of his first post-Palin interviews, you gotta see this. 
			- <a href="http://www.wcsh6.com/video/default.aspx?maven_playerId=immersiveplayer&maven_referralObject=850878100"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/11/mainevideo.jpg" width="317" height="242" border="0" alt="A picture named mainevideo.jpg"></a>
			- It's a pretty stunning interview. Let's hope Charlie Gibson is half as good as this local Maine guy.
		- Almost chosen by McCain to be VP
			- <a href="http://flickr.com/photos/scriptingnews/2846782655/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/11/cutepup.jpg" width="275" height="210" border="0" alt="A picture named cutepup.jpg"></a>
			- <a href="http://flickr.com/photos/scriptingnews/2846782655/">He almost picked her</a> to be his running mate, but decided to go with someone with more experience. ";->"
	- September 10
		- Follow me on Twitter
			- Right now all the action is on Twitter. 
			- Please follow me there.
			- http://twitter.com/davewiner 
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/anxkrm9uEJk&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/anxkrm9uEJk&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- <a href="http://www.flickr.com/photos/scriptingnews/2846414385/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/10/piggy.gif" width="105" height="78" border="0" alt="A picture named piggy.gif"></a>
			- Thanks!
	- September 8
		- CNBC interviews Palin
			- A fascinating interview by CNBC of Republican VP candidate Sarah Palin.
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/oro2Yh9HoEM&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><embed src="http://www.youtube.com/v/oro2Yh9HoEM&hl=en&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" width="283" height="229"></embed></object>
			- Wow, there's a big difference betw Palin speaking on her own and when she read a professionally written speech that she rehearsed. She sounds kind of dumb and nervous and certainly not at all polished in this interview. 
			- Hadn't heard this one before, and it hasn't been viewed many times on YouTube (only about 100K so far). It should get a wide airing, it's very relevant.
		- The Bridge to Nowhere
			- I don't know very much about it, but I know a lot more about it today than I did yesterday.
			- First, here's <a href="http://maps.google.com/maps?q=gravina+island,+alaska&ie=UTF8&oe=utf-8&client=firefox-a&ll=55.357661,-131.705046&spn=0.007758,0.013475&t=h&z=16">where it would have gone</a>. 
			- In no way is that "nowhere."
			- Second, <a href="http://www.scripting.com/stories/2008/09/07/citizensMediaIsTheAnswer.html#comment-2225429">Dave Luebbert explains</a> the geography of Ketchikan.
			- There may only be 50 people living on Gravina Island, but that's a <a href="http://en.wikipedia.org/wiki/Ketchikan_International_Airport">real airport</a>, and <a href="http://en.wikipedia.org/wiki/Ketchikan">Ketchikan</a> is the 5th largest city in Alaska, population 7368 in 2007. 
			- The bridge isn't a wacky idea, it actually looks like it might be a good investment, spend a few bucks to allow a city to spread in a direction that makes sense. Hardly cut and dry.
			- A couple more comments...
			- I watched a <a href="http://marcambinder.theatlantic.com/archives/2008/09/palin_on_cspan.php">CSPAN interview</a> with Palin from February of this year, and it was unremarkable. She sounded like what you'd expect the governor of a small state to sound like, maybe a little more intelligent than most. Nothing at all like the rude and disrespectful person who mocked Obama at the RNC. I think the Republicans did her a disservice by presenting her that way, why couldn't she give a thoughtful or even inspiring speech first, and save the bashing for later. There's no doubt that she has the skill to do it. What's wrong with America, does everyone really want politics to be reduced to professional wrestling?
			- In the last few months I've lost all respect for McCain, and I didn't have much left, after he acquiesced to Bush after losing to him in 2000. You can see the before and after of the Republicans. They take someone with some kind of a future and some kind of dignity and turn her into a caricature. I lost all respect for Palin before I had a chance to learn anything about her. Going back before the RNC, I see that there is something there, even if our politics are completely opposed (her position on abortion alone is enough to make me opposed to her).
			- As I've said before, I'm neither a Republican or a Democrat. I've voted Republican as many times as I've voted Democrat. I shouldn't be a lost cause to them, but I am. I have no respect for who they are, they might as well tear up the party and start over. My only concern is that if they win this election the same may be true of the United States. I'm not joking about that, and if I were a Republican I'd feel the same way.
			- Obama is absolutely right that this is a big election but it could end up being about small things. It seems that's entirely in the hands of the Republicans. The Democrats have practically been begging them to have a respectful discourse. And the Republicans have slapped them down, in a very humiliating way. I'm going to do everything I can to fight back on behalf of my country, and I'm going to urge everyone to do the same. If you look closely you'll see that the Republicans have the ability to run a clean campaign. So it's their choice. But I don't want to lose the country because we weren't willing to fight. I am, and I hope you are too.
		- Obama: Name your Cabinet
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/08/cabinetBowler.jpg" width="156" height="260" border="0" align="right" hspace="15" vspace="5" alt="A picture named cabinetBowler.jpg">Okay, let's cede a point, the Republicans were brilliant, if cynical, in nominating Sarah Palin for VP. It one-upped Obama in newness, in a year when newness matters, and it shines a different kind of light on McCain, he got his "maverick" back -- even though he never really was that much of a maverick. Obama can try to refute it, but it probably isn't worth it, it probably won't work.
			- So is Obama stuck on the sidelines, like McCain was when he took his European pre-victory tour? Is there any way Palin's sparkly newness could fade before Election Day? The answers seem, at first to be yes he is stuck and there's no way to make her seem less new before we vote. So, do we lose, as Adam McKay <a href="http://www.huffingtonpost.com/adam-mckay/were-gonna-frickin-lose-t_b_124772.html">thinks</a> we must in today's Huffpost? 
			- His theory is pretty solid -- he says that four companies own broadcast media, and they're incentivized to only air the hottest images. That's why McCain looked so sour when Obama went to Europe. In a golf cart looking old, with an even older Bush I, while our hero, Young Obama was greeting heads of states and speeching to hundreds of thousands of rapt Germans. The visuals were so compelling, it didn't matter that he wasn't President, he looked like one, and he looked good as one.
			- They don't care if you're lying, as Obama basically was (without giving voice to the lie), as the McCains are, as long as it's hot, you get air. 
			- <a href="http://www.cnn.com/2008/POLITICS/09/08/rollins.convention/">Ed Rollins says</a> that Obama should have chosen Hillary, and maybe he's right, the thought had crossed my mind. Although I didn't imagine I could vote for her if she won the primary back in the spring, I had the thought yesterday, listening to Biden on Meet the Press (he was great, btw), that I could actually vote for her. Who cares if Bill is a bastard, I love the speech he gave at the DNC, and I'm sure if Obama had lost the primary he would have given an equally stirring speech on behalf of Hillary. He would have said "We have to defeat the Republicans, at all costs, including our pride," and I would have agreed wholeheartedly. I can get my pride back in December, as long as we win in November. We can't let them win by Swiftboating us again, not this time. We have to play to win, and if that means playing dirty, so be it.
			- So here's the dirty little thing Obama can and should do, imho. 
			- Are you ready?
			- Hehe.
			- <i>Name your Cabinet!</i>
			- In a major break with tradition, in a year when tradition counts for naught, he should show us the depth of the Democratic bench and show us the role that powerful women will play on his team. And for the racist vote, powerful white people too (and Hispanics).
			- He should show voters who may be thinking about voting for McCain because of Palin that they can be inspired, they <i>will</i> be inspired, without compromising on health care, jobs, keeping their homes, getting their kids good educations, rebuilding our infrastructure, and bringing our troops home. This is what change looks like, says Barack Obama -- and <i>show</i> them, visually. (That's what really counts, don't yah know? You betcha.)
			- Now when each of the nominated Cabinet members shows up at a campaign stop they're not just surrogates, they're The Government.
			- Now, you might say, McCain will just match this move, but you'd be wrong -- he can't. The Republicans don't have that kind of depth. They just don't have it. That's why McCain says there will be lots of Democrats in his Administration, he has no choice, there aren't enough qualified Republicans to fill the positions. 
			- And by the way, here's a second chance to put Hillary on stage in more than a ceremonial role, with more than a sliver of hope for her and her followers. Offer her anything to get her on board. First choice of any Cabinet position she wants. Secretary of State or Defense or Treasury -- FBI or CIA director or Homeland Security. Baseball commissioner. Doesn't matter. And at the same time, really help her retire her campaign debt. Again, the visual is what matters. Hillary on stage, with power and pride. That should push the Republicans off the air.
			- <a href="http://en.wikipedia.org/wiki/Jon_Corzine">I like Jon Corzine</a>, the governor of New Jersey. Now he's got some executive experience, and he's one hell of a congenial guy, and smart to boot. Don't forget Bill Richardson! I still wouldn't count out Al Gore. 
			- And <a href="http://www.governor.state.az.us/">Janet Napolitano</a> from (eeks!) Arizona, and <a href="http://www.governor.ks.gov/">Kathleen Sebelius</a> from Kansas, <a href="http://mccaskill.senate.gov/">Claire McCaskill</a> from Missouri, Evan Bayh from Indiana, Jim Webb from Virginia. Chris Dodd from Connecticut, someone from Michigan, Ohio and Pennsylvania. Want to have some fun? As much as I don't trust him, make an offer to Colin Powell. 
			- I would suggest just filling a few positions at once, to get the press to start speculating anew about who else you might tap.
			- What do you think??
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/obama-name-your-cabinet_b_124869.html">Cross-posted</a> at Huffington.
		- Let me give money to an ad
			- I have another idea for Obama, though it could be equally useful to McCain (and any other candidate).
			- When you display an ad on your website, which is a great thing, thanks (I've been asking for this for a long time, there was believe it or not, a time when campaigns hid commercials from Internet users), put a Donate button on the ad. If I give you $100 you commit to using that money to run this ad. 
			- I like the idea of putting dollars directly behind a message I feel strongly about. 
			- PS: I really like this <a href="http://bit.ly/2Jic7P">ad</a> which says "bullshit" to McCain calling himself a maverick. Of all the things. He's a coward, and a liar and Bush guy, and a little creepy mama's boy, skirt hugger. He's not a maverick, not by a mile.
			- PPS: I've been asked what's a skirt hugger. Well, if you're a little child, you want to always be close to your mama's skirt, for protection. Here's a <a href="http://flickr.com/photos/snapdragon/22030226/">picture</a>.
	- September 7
		- Citizen's media is the answer!
			- Okay, so Sarah Palin agreed to an interview with Charlie Gibson at ABC News, but we all know (right?) that it's going to be softball <a href="http://twitter.com/Mickeleh/statuses/913018966">questions</a> that can be answered with glib one-liners. Not going to get answers to the questions real citizens (i.e. taxpayers, voters) have. 
			- But it turns out if you happen to run into Sarah Palin in a restaurant, she'll answer questions, and say things that her handlers almost certainly don't want her to say.
			- <a href="http://www.americablog.com/2008/09/how-americablog-reader-asked-john-and.html">AmericaBlog</a>: "I don't think this question will be answered until after Senator Stevens' trial in September and perhaps never. After all, Ted Stevens is still running for the Senate this year and a Republican vote, corrupt or not, is still a Republican vote."
			- <a href="http://www.americablog.com/2008/09/how-americablog-reader-asked-john-and.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/07/palin.jpg" width="85" height="127" border="0" align="right" hspace="15" vspace="5" alt="A picture named palin.jpg"></a>One of the tough questions for the Republican Governor is whether she will support Republican Senator Ted Stevens for re-election. There's really no good answer for her. 1. If she doesn't support him, a Democrat wins and the balance in the Senate tips by another vote. Not good for her party. 2. If she does support Stevens, she'll be supporting a Washington insider who is indicted for corruption. There goes her claim to be a maverick coming to Washington to clean house.
			- Well our heroic citizen blogger not only asked the question, but also got a really interesting answer. 
			- The funny thing here is if she really is going to Washington to do the people's work, how does she escape answering the people's questions? Heh. 
			- So when you see her, don't be shy, step up and ask her about Ted Stevens.
			- PS: With all the talk about the Bridge to Nowhere, I wanted to know <a href="http://maps.google.com/maps?q=gravina+island,+alaska&ie=UTF8&oe=utf-8&client=firefox-a&ll=55.357661,-131.705046&spn=0.007758,0.013475&t=h&z=16">where it would go</a>. Not really "nowhere." 
		- New technology: TV on the passenger seat
			- <a href="http://www.flickr.com/photos/scriptingnews/2837119534/">Click here</a> for a more detailed view.
			- <a href="http://www.flickr.com/photos/scriptingnews/2837119534/" title="New technology: TV on the passenger seat by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3044/2837119534_2356150baa_m.jpg" width="240" height="180" alt="New technology: TV on the passenger seat" border="0" /></a>
			- When I pulled off the road in <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Grand+Junction,+CO&ie=UTF8&ll=39.06879,-108.56445&spn=0.874282,0.986023&t=p&z=10">Grand Junction, CO</a> to watch the McCain press conference introducing his VP pic, all I did was find an EVDO connection (worked the first time) and fired up the SlingPlayer, which connected to my TV at home, in Berkeley, and tuned to MSNBC, and it all just worked. 
			- The only thing I'd like to see improved is that the EVDO modem be built into the computer, the thing dangling off the side is pretty ugly, don't ya think? 
		- My hopes for BearHugCamp 1.0
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/07/bear.gif" width="125" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named bear.gif">Remember the <a href="http://bearhugcamp.com/">BearHugCamp</a> idea? Well... it seems like it's happening! Next Friday, Sept 12, in San Francisco. Steve Gillmor is the master of ceremonies, agent provacateur and visionary. Me, I bring a few used analogies and metaphors and experience with various gadgets and utilities that build on Twitter and FriendFeed and Identi.ca, et al.
			- Where? I think it'll be at CNET's offices in SF on 2nd St. I'll leave the logistics up to Steve. I've blocked out the whole day.
			- Who? Well, that's where it gets interesting. Here's my take on it. If you've been spending a lot of your free time puzzling over where this stuff is going, and how various systems should or shouldn't plug together, and where your data should be stored -- and if your thinking could benefit from other people's confusion (and certainty) on this topic, then come. However, it will be webcast (thanks to Leo Laporte and probably others) so if you're mainly interested in listening you don't have to reroute your life to get your body to SF on Friday.
			- Why? Well I'm coming to listen and fight for the <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">coral reef</a>. I want to build stuff on top of a great worldwide distributed notification system. It's got to be reliable, and permanently and irrevocably open, meaning no one can say who can build apps for it, as for example Apple controls who makes iPhone apps. That means that <a href="http://www.scripting.com/stories/2007/07/27/whatTwitterIs.html">Twitter</a> can't be my host because they don't pass the "irrevocably" test -- as they have been revoking functionality, and dealing the good stuff to very small numbers of people. I'm sure they think what they're doing is right, and I'm not here to argue right and wrong, but I want what I want, and that's why I'm coming. 
			- Pretty sure the cost to participate will be $0. But I'm willing to pay some money to be there, even if everyone else doesn't. Maybe others want to make that offer as well?
			- I'm not organizing it myself because I reserve the right to be a vendor or join up with a vendor, and I don't want anyone to say at a future date that this was a vendor-sponsored event. And Steve doesn't make any promises either, but he's more neutral than me, so he's the host and benevolent dictator (a role that befits him), and I support him, and I hope you do too.
		- Why do they give Republicans air time?
			- Simple question...
			- If they won't sit down for an interview, to answer questions, maybe the TV networks should stop covering their speeches and campaign rallies?
			- The Republicans want to talk direct, so let them do it, without the help of the corporate media.
	- September 6
		- Has hell frozen over too??
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/06/doh.gif" width="115" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named doh.gif">Consensus is developing, I know because I'm endorsing the point of view of someone whose political philosophy is almost exactly opposite mine. 
			- <a href="http://frum.nationalreview.com/post/?q=MDg5NzEzNGUyNmNlMGZhMjI0YmJmOWJhYzE0NWE0ZmU=">Frum</a>: "I am not denying that Sarah Palin may have great skills. She may well. I am insisting that neither you, nor I, nor John McCain has any valid reason to believe that she does. This is not an argument about the attributes she lacks. It's an argument about the information we lack. I am pleading with my fellow conservatives: Please demand more and better knowledge before you commit yourselves to a political leader. That's all."
			- Amen. I know I'm not going to support her, unless it turns out that our beliefs about her positions are totally wrong. There's one reason to believe that they <i>may</i> be wrong. 
			- <a href="http://www.latimes.com/news/politics/la-na-sexed6-2008sep06,0,3119305.story">LA Times</a>: "I'm pro-contraception, and I think kids who may not hear about it at home should hear about it in other avenues," she said during a debate in Juneau. 
			- Geez, this makes her seem almost like a human being, not the <a href="http://www.scripting.com/stories/2008/09/05/whatAreTheyHiding.html">Stepford monster</a> she appeared to be when she spoke at the RNC last Wednesday.
			- The conservatives may want to check this out cause if I like something about Palin, you can be pretty sure they don't. ";->"
		- Jay Rosen nails it
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/06/uncle.gif" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named uncle.gif">Jay is one of those guys, like George Lakoff and Steve Gillmor, who figure things out before anyone else does. When I'm stuck looking at individual trees, Jay often shows me the forest. 
			- Here it is Saturday after the Republican Convention and I'm just <i>starting</i> to figure out what mischief the Republicans are up to, but Jay had a hypothesis on Wednesday, and blogged it, and it's much more complete than what I have today.
			- <a href="http://journalism.nyu.edu/pubzone/weblogs/pressthink/2008/09/03/mccain_strategy.html">Jay Rosen</a>: "John McCain's convention gambit calls for culture war around the Sarah Palin pick."
			- He must have been a Republican in a former life. ";->"
			- Read the whole piece, and then come back here, please.
			- Oh it's devious. And cowardly, in contradiction to the hype about McCain the war hero, which leads me to believe that the best way to prosecute this is to firmly pin the coward label on McCain until he puts Palin on the same level as all the other candidates that passed through the electoral process in the 2008 election. 
			- We need to see her in action, if she's going to be a 72-year-old heartbeat away from the Presidency. If not, we should know upfront that we're thinking about elected a gutless coward as President and a man who does anything but put America First.
	- September 5
		- Frum's annoying wrong idiotic argument
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/05/kingbush.gif" width="125" height="183" border="0" align="right" hspace="15" vspace="5" alt="A picture named kingbush.gif"><a href="http://frum.nationalreview.com/post/?q=Y2ZiYzllODgxNTY2YjMzNzQxZDQwYjI1Y2JhMTFmNjM=">David Frum</a>, a Republican, thinks the McCain campaign shouldn't put Palin in a box and hide her from the press. Good, he's right about that, and his piece is a must-read. But like most Republicans his disdain for "elites" is itself the height of elite arrogance. Only Kings and Queens, royalty, are entitled to that kind of arrogance, and we overthrew our King in the Revolution, 232 years ago. We don't believe in that in the United States. That's how far off course we've gotten, we've put up with this nonsense long enough.
			- To paraphrase Obama, Frum doesn't Get It. The reason you discuss your ideas publicly is that your ideas will get better. He assumes, like royalty, that Republicans always know what's right, but he didn't learn anything from the last eight years and this is why the Republicans have to sit on the sidelines and mull it over until they figure it out. You don't have all the answers. Some days (like today) I don't think you have any.
			- Frum, it isn't about winning a debate -- it's about doing what's right and smart and competitive, for America. Remember your slogan -- Country First. It's a great idea. Now practice it. 
			- PS: He's right, Quayle is smart. I found out by surprise. I was listening to an interview on NPR, and had no idea who it was but the guy was smart. Imagine my shock when I found out it was Dan Quayle. Same thing happened with Hillary Clinton.
			- PPS: What struck me about Palin was her cowardice. Before letting us know anything about her intelligence or knowledge, or the quality of her ideas, she was sarcastically trashing a man we've gotten to know and respect over the last X months, a man who had to keep his cool as the press went after his church, community and family, and kept his grace even humor at every step. Palin, in contrast, not only hasn't been even slightly vetted, has absolutely no basis for her arrogance, no foundation. Giuliani, sheez, we know him. He's an asshole, always has been, we don't expect much from him, and we're rarely surprised. But he's not running to be a 72-year-old heartbeat from the presidency. She needs to slow down and sober up, she's asking for a big job. It's serious. If she were a man I'd say she was a dickhead. And since she's running for the second most serious job in the country, let's stick with that, until further notice.
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/frums-annoying-wrong-idio_b_124389.html">Cross-posted</a> at Huffington.
		- What are they hiding?
			- <a href="http://movies.yahoo.com/movie/1800268893/details"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/05/stepfordmovie.gif" width="125" height="165" border="0" align="right" hspace="15" vspace="5" alt="A picture named stepfordmovie.gif"></a>Okay, we know that Sarah Palin can read speeches written by Karl Rove's speech writers. But if she's really ready to be Commander in Chief, why won't her handlers <a href="http://marcambinder.theatlantic.com/archives/2008/09/no_interviews_till_shes_ready.php">let</a> her answer questions? Is she a made-to-order candidate, kind of a <a href="http://www.youtube.com/watch?v=4zUWOeNfa6Y">Stepford</a> Vice-President? What are the Republicans hiding? Maybe they're still debugging her program? Can she think for herself? Does she have her own new maverick-like ideas? Why did <a href="http://voices.washingtonpost.com/the-trail/2008/09/05/plane_not_sold_on_ebay.html">she</a> <a href="http://www.huffingtonpost.com/2008/09/05/sarah-palins-strange-ebay_n_124097.html">lie</a> about selling the plane on eBay? Did she really run the <a href="http://www.huffingtonpost.com/2008/09/01/palin-directed-stevens-ex_n_122973.html">PAC</a> for indicted-for-corruption Senator Ted Stevens? If so, is she really a reformer? And why did she hire a Washington lobbyist to get her earmarks for the Alaska city she was mayor of? She loves moose but she also likes pork! Sure she's a great mom, but what kind of leader is she and would she take us anywhere we want to go?
		- Fresh Air on John McCain
			- If you want to understand more about John McCain esp his views of war, I highly recommend this <a href="http://podcastdownload.npr.org/anon.npr-podcasts/podcast/13/94301627/npr_94301627.mp3">FreshAir interview</a> with David Kirkpatrick of the NY Times, who has been researching McCain's life, esp starting around minute 23, where he talks about lessons McCain learned from Vietnam. It does a lot to explain how he views the war in Iraq, and how he's likely to proceed if he wins the election.
		- The Real John McCain
			- I was going to write a piece today, after watching the Republican National Convention on TV, that said pretty much what the NY Times said in this editorial.
			- <a href="http://www.nytimes.com/2008/09/05/opinion/05fri1.html?_r=1&partner=rssnyt&emc=rss&oref=slogin">NY Times</a>: "Mr. Obama, in reality, wants to give basic human rights to prisoners in Guantanamo Bay, Cuba, only a handful of whom are Qaeda members, and shield them from torture. So, once upon a time, did Mr. McCain, but there was no mention of that in St. Paul, or of the bill he wrote protecting those prisoners."
			- The Times nailed it. I recommend reading the whole thing. 
	- September 4
		- Andrea Mitchell attacked by Republican balloons
			- <a href="http://www.flickr.com/photos/scriptingnews/2829827654/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/04/andream.jpg" width="240" height="180" border="0" alt="A picture named andream.jpg"></a>
		- Today's links and ideas
			- It's super-hot here in Calif today. Oy!
			- <a href="http://www.whitehouse.gov/government/fbci/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/04/faithBased.jpg" width="125" height="137" border="0" align="right" hspace="15" vspace="5" alt="A picture named faithBased.jpg"></a>If you read one political article today, read this <a href="http://www.time-blog.com/swampland/2008/09/what_a_community_organizer_doe.html">explanation</a> of community service by Time's Joe Klein. Yesterday two Republicans, Rudy Giuliani and Sarah Palin, mocked Obama for giving three years to community service betw college and law school. I wondered too what it meant, when I read this piece I couldn't believe how sloppy the Republicans were. This is exactly what McCain says people should do, and we all agree that giving to your country is a very American value. They should retract and apologize, and Republicans who applauded this should be ashamed. It's hugely hypocritical. The Republicans have been evangelizing <a href="http://www.whitehouse.gov/government/fbci/">faith-based community initiatives</a> for decades, it's a big Republican thing -- what the heck do you think Obama was doing! Geez. Walk this one back, and <i>vet your ideas</i> before you run them in front of 40 million people. The corporate media hasn't figured this one out yet, <a href="http://www.cnn.com/2008/POLITICS/09/04/martin.community/index.html?eref=rss_politics">but</a> <a href="http://marcambinder.theatlantic.com/archives/2008/09/community_organizer_cultural_t.php">they</a> <a href="http://www.swamppolitics.com/news/politics/blog/2008/09/gops_strawman_community_organi.html">will</a>.
			- I wish more <a href="http://blog.beliefnet.com/crunchycon/2008/09/the-price-of-voting-for-palin.html">conservatives</a> would write pieces like this. We agree on more than we disagree. I'm not voting for McCain for the exact reason he says he's reluctant to. "The only real risk in voting McCain-Palin -- and it's a huge one, possibly the biggest one -- is putting into office a bellicose, perhaps reckless, president." Yup. I've been impressed with how thoughtful and competent Obama is. That's why he's got my support. I also think our country is up shit's creek unless we can upgrade our economy, and to do so we need health and education, and that means public spending. It's not as if the Republicans don't believe in public spending, they do -- they just waste the money on destroying communities overseas. I want us to borrow to build strength here at home. I don't see it as a liberal vs conservative thing, rather a smart vs dumb thing. 
			- When I was in Salt Lake City in August, I heard that ridership on their high speed rail link to Ogden (or is it Provo) went way up when gas prices went up. To me that says we need higher gas prices. Yes, we should help people cope with the economic hardship that causes, but we should build more of those high speed links. We need to reconfigure our geography in the US, we're totally set up for a cheap gasoline economy. If you can do that without government spending, let's go, but we've got to do it. The people who say we can drill our way out of this are wrong, we can't. Even if we had massive oil reserves, we can't afford to pump more carbon into the atmosphere than we are now. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/04/asus.gif" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif"><a href="http://gizmodo.com/5045220/dell-inspiron-mini-9-available-now-windows-xp-399-ubuntu-349">Dell shipped</a> their first netbook today. This is the hot new category. I have one, an <a href="http://www.scripting.com/stories/2008/08/28/theAsusWorks.html">Asus</a>, and I love it. They're cheap, you can buy a Dell for under $400. Their netbooks only have 16GB of disk (and it's solid state, not really a disk). I think they're protecting (or trying to protect) their laptops. Others, such as the MSI Wind, have 80GB hard drives. They all come with either Windows XP or some flavor of Linux. HP and Acer also make netbooks. When oh when will Apple offer one? These beauties make the MacBook Air look like an overpriced albatross and as long as you use Firefox, you won't have the usual malware problems of Windows (or such has been my experience so far).
	- September 3
		- Why so little innovation?
			- <a href="http://blogs.zdnet.com/Foremski/?p=301">Judy Estrin</a>, the former CTO of Cisco nails it. 
			- "She warns that we are living off of the innovation investments made in decades past and that is going to be a problem in the future."
			- Obviously.
			- I've been saying this for decades and feel somewhat qualified to have an opinion about this. The capitalists of the tech industry eat the seed corn, and never put anything back. When  you ask them about it, they laugh as if it were a silly idea. Ms Estrin understands. You have to put something back, try out lots of new ideas and be patient and let them have a chance. But the only way it happens is through individual effort, with very few rewards or incentives. 
			- Glad someone else is speaking up on this topic.
		- IRC for the RNC
			- Live discussion of the speeches at the Republican National Convention.
			- irc://irc.freenode.net/#rnc 
			- Let's have fun! ";->"
		- Palin is changing corporate media
			- There's a big change brewing in the MSM in the aftermath of the Palin nomination. Really impressive how the reporters are challenging politicians now, and it's good.
			- <a href="http://beta.friendfeed.com/e/01b1a1b8-38cd-4403-a7ee-e08938befb0b/Must-watch/">The first sign</a> things were crumbling was an interview Monday on CNN with McCain aide Tucker Bounds and reporter Campbell Brown who asked Bounds what international experience Palin has. He kept trying to change the subject to Obama, which I've seen work with these reporters for years. It's a very typical Republican tactic.
			- As a result, McCain pulled out of Larry King that night, but CNN stood its ground.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/03/duby.gif" width="82" height="247" border="0" align="right" hspace="15" vspace="5" alt="A picture named duby.gif">Then Wolf Blitzer of all people pressed Rudy Giuiani on the same subject and wouldn't let up. Rudy is the best skater out there, but Wolf cornered him. <i>Lovin it!!</i>
			- I just saw former Republican governor of NY George Pataki try to bullshit Nora O'Donnell on MSNBC and she (smiling all the way) wasn't having any of it. 
			- I don't know what happened to give these reporters a backbone, finally -- but whatever it is -- don't let it go! This is how you do it. Let's push these guys until they start talking sense. Let's get our national conversation grounded, at least a little, in reality.
			- When I wrote the title for this piece I may have understated it -- the Palin story is not just changing corporate media, it may be revolutionizing it.
			- Why has the press all of a sudden declared its independence? I don't know. I'd love to find out. I have a couple of theories. 1. McCain broke an unspoken rule, he didn't use the press to vet this candidate, and that was enough for them. They're saying, in unison, "We know how to do this" -- finally they have a real role in the electoral process, not just to be bullshitted by everyone, so get out of our way while we do our jobs. I'd like to think this is the primary drive. But there's also this... 2. They are American citizens too, and they're horrified by the way McCain made this decision, and want to send a message to him and all other politicians in the future -- if you screw up like this, we're going to push you until you admit it. If that's true, then I would bet that no matter how good a speech Palin gives tonight, she has no future on the national ticket. 
			- Update: Another possibility. 3. They learned from the National Enquirer beating all of them on the Edwards scandal, and made a decision not to accept non-answer answers to serious questions, like How well did you vet this candidate?
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/09/03/republicanFlagBig.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/03/republicanFlag.jpg" width="125" height="92" border="0" align="right" hspace="15" vspace="5" alt="A picture named republicanFlag.jpg"></a>As I said yesterday, I think McCain screwed up, he should have gone with the boring predictable choice of Romney. They might have lost the election, but it would have been close. Now, with Palin, I don't think it will be close. It could be they make it through this process (but I doubt it) but everyone's had a look at how McCain uses all his much-touted experience. Get this -- <i>He's turning Obama into the safe, conservative choice.</i> Key point. Obama was going to have a hard time making that case, but McCain just made it for him. All Obama has to do is smile and give a few speeches and show up at the debates. He'll do well at all of that.
			- BTW, I'm posting regular updates to my FriendFeed and Twitter accounts, which if you're following the Palin story, you may want to tune into. <a href="http://beta.friendfeed.com/davew">FriendFeed has</a> all of both of them.
	- September 2
		- Download the major DNC speeches
			- <a href="http://flickr.com/photos/scriptingnews/2804840062/in/set-72157607037999894/"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/02/bc.jpg" width="125" height="103" border="0" align="right" hspace="15" vspace="5" alt="A picture named bc.jpg"></a>As promised, <a href="http://www.mininova.org/tor/1763634">here's a BitTorrent</a> with all the big speeches from last week's Democratic National Convention including Bill and Hillary Clinton, John Kerry, Ted Kennedy, Nancy Pelosi, Dennis Kucinich, Joe Biden, Al Gore, Bill Richardson, and of course Barack Obama's fantastic acceptance speech. BTW, I'm still pretty much a newbie at serving BitTorrents, so if you can help by seeding this archive, that would be much appreciated. 
		- Why Palin should be taken seriously
			- Three pieces that caution Democrats to not quickly dismiss the candidacy of <a href="http://gov.state.ak.us/bio.html">Sarah Palin</a>.
			- 1. <a href="http://blogs.tnr.com/tnr/blogs/the_plank/archive/2008/09/02/the-case-against-the-case-against-palin.aspx">New Republic</a>. "Sarah Palin is a living reminder that the ultimate source of political power in this country is not the Kennedy School or the Davos Summit or an Ariana Huffington salon; even now, power emanates from the electorate itself. More precisely, power in 2008 emanates from the working class electorates of Pennsylvania and Ohio."
			- <a href="http://gov.state.ak.us/bio.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/02/palinFamilyPic.jpg" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named palinFamilyPic.jpg"></a>2. <a href="http://www.huffingtonpost.com/george-lakoff/the-palin-choice-and-the_b_123012.html">George Lakoff</a>. "Palin is the mom in the strict father family, upholding conservative values. Palin is tough: she shoots, skins, and eats caribou. She is disciplined: raising five kids with a major career. She lives her values: she has a Downs-syndrome baby that she refused to abort. She has the image of the ideal conservative mom: pretty, perky, feminine, Bible-toting, and fitting into the ideal conservative family. And she fits the stereotype of America as small-town America. It is Reagan's morning-in-America image. Where Obama thought of capturing the West, she is running for Sweetheart of the West."
			- 3. <a href="http://www.cbsnews.com/stories/2008/08/31/opinion/main4401887.shtml">Joe Trippi</a>. "The McCain campaign plans on making an assault on Barack Obama's strength as a change agent. And challenge, what the McCain campaign will describe as, Obama's weak or non-existent attacks on corruption within the Democratic Party and other institutions throughout his career. Like the Swift boat attacks of 2004 on Senator John Kerry, a decorated Viet Nam Veteran -- this assault will be on what is now a strength of Barack Obama's -- his focus on changing a broken system in Washington."
	- September 1
		- The Palin vetting continues
			- <a href="http://www.nytimes.com/2008/08/31/magazine/31bush-t.html?_r=3&oref=slogin&ref=todayspaper&pagewanted=all&oref=slogin&oref=slogin"><img src="http://images.scripting.com/archiveScriptingCom/2008/09/01/duby.gif" width="82" height="247" border="0" align="right" hspace="15" vspace="5" alt="A picture named duby.gif"></a>The radical right wing blogs are predictably complaining and slinging mud at people who pass on stories about McCain's choice for vice-president, but that shouldn't change a thing.
			- Latest: The Washington Post <a href="http://voices.washingtonpost.com/the-trail/2008/09/01/palin_was_a_director_of_embatt.html">reports</a> she led a 527 founded by indicted-for-corruption Senator Ted Stevens. So much for her being a reformer and maverick. 
			- The current First Lady made some <a href="http://www.politico.com/blogs/jonathanmartin/0908/Laura_Bush_warns_Dems_away_from_antiPalin_sexism.html?showall">menacing remarks</a> probably aimed at the press, indicating that she wants this VP candidate to be treated specially because she's a woman (that's how I interpret it) but the answer has to be no. If the press has any integrity, after such a challenge, they should go deeper and press harder. We, the electorate, have a right to know everything about this person who would be a 72-to-76 year old heartbeat away from the presidency. Even healthy people who are 76 have medical problems, and McCain hasn't been all that healthy.
			- I have so much to say about this. 
			- I have had mud slung at me, but the people who sling it have no idea who I am. 
			- I have voted Republican for President, I don't particularly like the Democrats, however if I had been old enough to vote for Kennedy I'm sure I would have (I was five years old when he ran), same with McGovern (I was draft age, even though I wasn't old enough to vote, ironically). I voted for Ford over Carter, and I'll stop there. I'm not proud of my choices in the 80s and 90s, but they <i>have</i> included Republicans. So when partisans smear me as being a liberal Democrat, they show how stupid they are, and how unskilled they are at getting votes. There's absolutely nothing to be gained, although this time around I'm committed to Obama, I'm going to vote for him, and work for him, and give him money. But the Republicans should be thinking of the future, there will be an election in 2012 and 2016, they might want to come back. They should be thinking of building bridges, not burning them.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/09/01/portrait.gif" width="118" height="250" border="0" align="right" hspace="15" vspace="5" alt="A picture named portrait.gif">I don't see how anyone with a conscience, who puts "Country First" can vote for McCain in 2008. But then I don't understand many of my fellow Americans. I don't understand how anyone could have been distracted by issues such as gay marriage or the morality of stem cell research in 2004, but those were deciding issues. The war, global warming, trade, education, health care and economics -- the really important stuff, imho -- those <i>didn't</i> decide the election. For that reason I feel my country deserves what it gets, the world economy is routing around us. We will find out what a priviledged position we occupied and will miss it when it's gone, when the world no longer supports our using 25 percent of its energy with less than 5 percent of the population. 
			- We'll miss it when it's gone, but I'll probably be all right, because I have skills that work in the world economy. Many of my fellow Americans do not. I'm willing to sacrifice for them, but are they willing to vote their own interest? The 2008 election is, imho, a referendum on the will and intelligence of the American voter. I sincerely hope we have a strong will and use our god-given intelligence. McCain is giving us every reasonable clue that his Presidency will be dumb and bullying and very very Republican. If that's what we choose, it will, sadly, be time to give up on this country, because the world just doesn't care about us that much anymore. 
			- We have to earn the world's respect, we never get to relax, we have to work hard to be competitive, and more importantly, we have to work smart. If the tables were turned and the Dems were nominating candidates who govern from the gut and don't use their brains, I would be voting Republican this year. If the Republicans want to win, great, put up some candidates who are prepared to lead, who can sit across from other world leaders and command their respect, not just fear. It was never a good idea to push fear over respect, but right now I don't think they're all that scared of us.
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/the-palin-vetting-continu_b_122990.html">Cross-posted</a> at Huffington.
