- December 2008
	- December 30
		- MediaWiki has an API
			- I was talking with <a href="http://blogs.law.harvard.edu/doc/">Doc Searls</a> today, he's interested in using the OPML Editor to create and edit pages on a Berkman-hosted Media Wiki. 
			- I wondered if they have an API, and sure enough, they do. 
			- http://www.mediawiki.org/wiki/API 
			- I have a couple of questions...
			- 1. Has anyone done any coding to the API? What's been your experience? Is there glue? For what languages?
			- 2. Do you have a server I could try writing some code against to test it out? I don't want to experiment with Doc's site for fear of doing some damage and also disturbing his users.
			- Any help would be much apprecicated. TIA. ";->"
		- San Francisco skyline
			- <a href="http://flickr.com/photos/scriptingnews/3149751368/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/30/sanFrancisco.jpg" width="350" height="263" border="0" alt="A picture named sanFrancisco.jpg"></a>
		- Mimi Canter, age 7
			- <a href="http://flickr.com/photos/scriptingnews/3147896773/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/30/mimi.jpg" width="350" height="467" border="0" alt="A picture named mimi.jpg"></a>
		- Baby Asus, Mac Daddy
			- <a href="http://flickr.com/photos/scriptingnews/2806718008/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/30/sizes.jpg" width="350" height="263" border="0" alt="A picture named sizes.jpg"></a>
		- Marc Canter's fence
			- <a href="http://flickr.com/photos/scriptingnews/sets/72157611868362722/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/30/architecture.jpg" width="350" height="263" border="0" alt="A picture named architecture.jpg"></a>
		- Police bikes in front of Saul's
			- <a href="http://flickr.com/photos/scriptingnews/3151437412/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/30/policeBikes.jpg" width="350" height="263" border="0" alt="A picture named policeBikes.jpg"></a>
	- December 29
		- Tweetree, day 3
			- <a href="http://www.scripting.com/stories/2007/09/23/theYearOfTheSocialNetwork.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/29/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg"></a>I'm still very impressed with the <a href="http://tweetree.com/davewiner">service</a> and the team.
			- 1. They've implemented the client side of the <a href="http://www.scripting.com/stories/2008/12/28/bootstrappingThumbnailsFor.html#p4">thumbnail code</a> I inserted into my AFP pictures site, so now when I post one of those pictures to Twitter, they read the HTML source, find the link to the thumbnail and display that inline. Twitter only displays the URL. The user must click on the link to see the picture. 
			- Here's the A-B comparison: <a href="http://twitter.com/davewiner/status/1084403273">Twitter</a> vs <a href="http://tweetree.com/posts/1084403273">Tweetree</a>. One less step to find out whether it's a picture, movie or song, no delay, no context shift. To me, he difference is as striking as the difference between a command-line-based and graphic operating systems. Is it really simpler to make the user do work the computer could do for the user? 
			- 2. In the comments on my <a href="http://www.scripting.com/stories/2008/12/28/bootstrappingThumbnailsFor.html">post here</a>, and their <a href="http://blog.tweetree.com/2008/12/28/how-you-can-add-thumbnails-to-tweetree/">blog post</a>, came <a href="http://www.scripting.com/stories/2008/12/28/bootstrappingThumbnailsFor.html#comment-4705026">news</a> of a more sophisticated dynamic web service <a href="http://oembed.com/">specified</a> by Flickr and supported by Hulu for including previews of their content in sites like Tweetree. This was very forward-looking of them, and we're going to try to make use of it. Everyone in this space already has glue for YouTube, but that's not good enough. There are many other video sites out there, including Scoble's -- who volunteered to go first with this, whose videos should be part of this new kind of blogging, but for whom a one-off just isn't practical. 
			- 3. Also in the comments, an <a href="http://www.scripting.com/stories/2008/12/28/bootstrappingThumbnailsFor.html#comment-4704091">observation</a> that the HTML &lt;link> element is flexible enough to do what we want, and there may be problems with including namespaced elements in HTML. I'm not convinced anything would break if we continued with the current approach, but so far the only ones implementing this format, as far as I know, are scripting.com and tweetree.com, so it's still possible to change.
			- 4. I've made a number of feature requests of the Tweetree team in the last 24 hours, and they've responded very well, even implementing some of the easy quick-hits. Most important, they now have an <a href="http://blog.tweetree.com/2008/12/28/item-level-permalinks-and-friendfeed-account/">item-level permalink</a>, so I can demonstrate the difference between a tweet as viewed through Twitter and through Tweetree. (See #1 above.)
			- 5. My main focus is on the inline media features, not the threading. I think the service is being confused with tools whose purpose is to impose conversation on Twitter -- I don't think Twitter is about conversation, I see it as a publishing environment, like blogging. I'm going to encourage them to shift the emphasis to graphics, video, audio and other media types, and building out from there. There's lots of fertile ground there that isn't being well tended by their competitors, lots of opportunity, imho.
		- Tech News for Everyone?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/29/accordianGuy.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordianGuy.gif"><a href="http://friendfeed.com/e/db64d15b-ea21-4eb8-a2cd-6519413b55ff/Thought-for-the-day-Techmeme-s-reliance-on-links/">Matt Cutts started a thread</a> on FriendFeed about <a href="http://techmeme.com/">TechMeme</a>. He's noticed something that almost everyone who is a regular clicker on TechMeme has noticed. There's really not much tech news there these days. It tends to find the fights between bloggers it favors and focuses on them to the exclusion of news a news junkie like myself would find more useful and interesting.
			- Whether it's an "algorithm" deciding or humans (who they now admit play a role) doesn't matter. Whether it was always intended to be this way doesn't matter. What matters to me is that there's news out there that I'm not getting. And as a self-described "media hacker" and news junkie, I want to do something about it.
			- 1. And as a list-maker, I want to make a list. ";->"
			- 2. If you are unhappy with TechMeme and are looking for a way to express it, you can always opt-out by making a simple <a href="http://www.scripting.com/2007/01/24.html#disclosure">addition</a> to your robots.txt file. If other people are willing to do this, I am willing to go along. It's one way to remove all doubt about whether your items will show up there, once you've made this change, they won't -- as long as the block remains in the robots.txt file. It would be a way to get people complaining about TM to put up or shut up. "If you're so unhappy, why don't you opt-out?"
			- <a href="http://www.scripting.com/stories/2007/10/09/howWereTwistedByTheTop100L.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/29/airbus.gif" width="140" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named airbus.gif"></a>3. Technically it would be easy to set up a news oriented "river" site that pushed stories out that are bona fide tech news. It would require a team of at most 100 bloggers to watch their aggregators a few hours a week and forward stories to the river. The hard part isn't the software, of course, it's first finding enough people to work, and then arguing with the people who say it's too "elite" -- somehow finding a balance seems like the hard thing to do. Having it be wide-open is a guarantee of it being spam-filled. Just read one of the many rants about tech PR people to get an idea of how quickly that approach would get out of control.
			- 4. What else?
	- December 28
		- Bootstrapping thumbnails for photo apps
			- <a href="http://discuss.flickrfan.org/2008/12/28/0598551.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/28/trpar2329681.jpg" width="150" height="87" border="0" align="right" hspace="15" vspace="5" alt="A picture named trpar2329681.jpg"></a>You know I like Tweetree, I <a href="http://www.scripting.com/stories/2008/12/27/tweetree.html">gushed</a> about it yesterday. The main thing I like is that it gives you a graphic view of things you link to from Twitter messages. So in addition to seeing a URL, you also see a visual image of the thing it points to. This is especially nice when pointing to a Flickr picture. But what about other photo storage systems? Will Tweetree have to implement special support for each of them? And what if I create a new app, how long will I wait for them to support it. Probably not very long now, because they're hungry, but what about when they're rich and famous? Maybe they'll think that supporting the big apps is all they have to do. 
			- Anticipating this, and wanting to make it easier for everyone, and making innovation by small unknown developers possible, let's get started with a <a href="http://www.scripting.com/davenet/2000/11/30/bootstrapping.html">bootstrap</a> for new photo apps to say to Tweetree and comparable services: "Here's a nice thumbnail image you can use to represent the picture on this page."
			- HTML provides a simple mechanism for just this -- the &lt;link> element. I've added one to this <a href="http://discuss.flickrfan.org/2008/12/28/0598551.html">page</a>, as follows:
			- <font size="-1">&lt;thumbs:thumb url="http://static.flickrfan.org/afp/thumbnails/2008/12/28/trpar2329681.jpg" type="image/jpeg" width="150" height="87"></font>
			- You can see this by viewing source on the <a href="http://discuss.flickrfan.org/2008/12/28/0598551.html">page</a>.
			- Now when I link to this page in a Twitter post, and Tweetree sees it, they can, instead of displaying the full picture, which in this case it is hard to find (and if they find it, it's HUGE way too big to display inline), they can show the thumb, and link to the page with the full image on it. Much more managable.
			- Now let's see if the Tweetree guys play. I've been trying to get the Twitter guys, and then the FriendFeed guys to work with me, but so far no luck. But I think these guys may be more willing to do a bootstrap.
			- BTW, Scoble says he wants to do the same thing for videos. Makes perfect sense. Everyone can play the bootstrap game. Scoble get your web guy to add a link element in each of your web pages that contains a video like the one I've added, except the type should be video/mpeg or video/quicktime or somesuch.
			- I love bootstraps cause they yield open web ecosystems when they work. Let's see if we can get one to work. ";->"
			- PS: December is historically a very good month for bootstraps on scripting.com. Here's the <a href="http://scripting.com/1997/12/27.html">archive page</a> for 12/27/97. Look at the first item. That's the beginning of RSS. ";->"
			- Update #1: <a href="http://www.scripting.com/stories/2008/12/28/bootstrappingThumbnailsFor.html#comment-4676361">Zach Beane</a> makes a very good point, I had invented two attributes of &lt;link> and that's a no-no. I either have to use what's already there and that would involve putting the width and height into atts that aren't named width and height, or do it the right way, and create a new element for this purpose in a namespace, which is what I have done in the second iteration. It's what I would want someone extending RSS to do, it's the respectful way to do it, applying the Golden Rule. So I defined a namespace, declared it in the &lt;html> element, and used it in the document &lt;head>.
			- Update #2: If this were working now, <a href="http://twitter.com/davewiner/status/1082475826">this tweet</a> would appear in Tweetree with a <a href="http://static.flickrfan.org/afp/thumbnails/2008/12/28/trpar2330171.jpg">thumbnail</a> in addition to the link.
	- December 27
		- Tweetree
			- You heard it here first, this thing is great!
			- http://tweetree.com/davewiner 
			- It pulls in content it knows about like <a href="http://images.scripting.com/archiveScriptingCom/2008/12/27/demo.jpg">Flickr pics</a> and YouTube videos so you can view inline.
			- It figures out the threading of replies (sort of) and displays them inline.
			- Other services they have direct support for: TwitPic, FriendFeed, Seesmic, Qik, Lala, Blip.fm, Xkcd.
			- It also figures out when you're pointing to a picture and sucks that in, and it gets the titles of web pages you point to.
			- And it's true to the design of your web page on twitter.com.
			- This is brilliant. Brilliant. Brilliant. Brilliant. Brilliant. And <i>exactly</i> what I <a href="http://www.scripting.com/stories/2008/12/07/theSpaceBetweenTwitterAndF.html">asked for</a>, which of course makes me happy!!
			- These guys are brilliant. Great stuff. They'll be rich next week so be nice to them. ";->"
			- Please don't sell this to Loic. ";->" ";->" ";->"
			- "cheesecake"
			- Update #1: They need item-level permalinks, unless I'm missing something.
		- Keepin it simple
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/27/pupinpot.jpg" width="95" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named pupinpot.jpg">Ever since Twitter came out I've been developing mini-apps that connect it with other services and utilities. Some have stood up over time, esp the Flickr-to-Twitter and Twitter-to-Identi.ca functionality, and others have fallen into disuse. I thought that Voicemail-toTwitter was going to be a big one, but I don't use it much, though it's a simple call from my iPhone to create one and shoot it up to Twitter. All this experimentation was made possible by Twitter's simple API. 
			- Then, enter FriendFeed and its API, which does a bit more than Twitter's, but then FriendFeed does a <i>lot</i> more than Twitter. There were some things inexplicably missing from FriendFeed's API, I lobbied for them, but they either haven't appeared, or when they did, they didn't do what I asked for. I don't know or care why, that's not what this post is about. Rather it's to say in one place what I've learned about FriendFeed-like services, and leave behind the notes, either for FriendFeed itself or for a comparable service.
			- 1. FriendFeed should both import and export OPML subscription lists. The attributes specified on <a href="http://www.opml.org/spec2#subscriptionLists">opml.org</a> are necessary and sufficient for it to work with all other feed reader software, as far as I know, because there was a minimal set of attributes at the beginning, when Radio 8 implemented OPML import/export.
			- I was able to create a <a href="http://friendfeed.com/e/d4fdeaa4-1656-f12f-f76c-b642bdf3dbde/I-m-working-on-a-tool-to-export-your-FriendFeed/">simple utility</a> that exports a user's OPML from FriendFeed, but for it to really work, it should export the addresses of the feeds the user is subscribed to, not the addresses of the FriendFeed users, which is all I can access through the API. It should be possible for the user to completely disconnect from friendfeed.com and take their subscriptions with them. This is another <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">instance</a> of "people come back to places that send them away" -- if you give people complete freedom to leave, they feel more comfortable about staying, building their presence on your service that may come in the future.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/27/house.gif" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named house.gif">2. There should be a simple way to notify FF that a feed has updated. We developed such a capability in the blogging world and then the RSS world around a site I started called weblogs.com. The ping <a href="http://www.weblogs.com/api.html">protocol</a> it used is still widely supported today both on the sending side by blogging tools such as WordPress, TypePad, Moveable Type, Blogger, etc etc and on the receiving side by Technorati, Google, Yahoo you name it. There's even a centralized pinger started by Matt Mullenwegg, <a href="http://pingomatic.com/">pingomatic.com</a>, that makes it easy to send pings to everyone who cares. There's absolutely no doubt in my mind that FF should support this protocol, it's very simple, it would take a couple of hours at most to implement. There's even a simpler <a href="http://www.weblogs.com/api.html#7">REST version</a> of the protocol if the XML-RPC version is too much. 
			- 3. RSS description elements seem to be a big problem for FriendFeed, but I don't understand why. It's true that they are used for two different purposes: In the classic way, as the description of a longer article, or to contain the full text of an article. They can contain encoded markup. So, imho, this is how they should deal with descriptions. Say the maximum length of a comment in FF is 1024 characters (I'm not sure what the actual limit is, but it doesn't matter). First, strip all markup and then if the resulting string is longer than 1024, truncate it to 1021 characters and add three dots at the end to indicate that there's more. I don't see what else they need to do. It could be I'm missing something, of course -- Murphy's Law, etc.
			- In the last two cases, to get the behavior I've wanted I've had to code to the API, which seems very wrong, when there are feed-based ways to do both things. Low-tech is always the right way to go, imho. There are many people who can create feeds who can't program to an API, and they shouldn't have to for things that can be done with feeds. I know that FF has proposed richer mechanisms for change notification, I'm not going to comment on those at this time. But first, before going the complex route, support the common language already used in the market you're entering. You'll find the natives more friendly if you do, imho. ";->"
		- Social search, not authority-based
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/27/tramp.jpg" width="125" height="280" border="0" align="right" hspace="15" vspace="5" alt="A picture named tramp.jpg"><a href="http://www.loiclemeur.com/english/2008/12/twitter-we-need-search-by-authority.html">Loic Le Meur wants</a> Twitter's search to emphasize people who have more followers over those that have fewer. I think this is a bad idea. On FriendFeed, <a href="http://friendfeed.com/jowyang">Jeremiah Owyang wants</a> priority given to people he follows. This is a better approach, imho. Loic's means centralization, and Jeremiah's goes the other way, it shards search into many networks, and lowers barriers to entry, where Loic's approach raises them. 
			- I favor Jeremiah's approach because I think  the twitterverse is just starting and that the killer apps of this space, the users (as always) haven't arrived yet. We're still fumbling around with inadequate tools, doing things for the first time. It's way way too early to lock things down. And if authority is what we're after I doubt if number of followers equates to authority. Too many really smart people have very few followers.
			- Authority-based search was a great innovation in 1998, but that was ten years ago. We know what it's good for and what it's not. An example -- breaking news, although some people think that's what is good for, sometimes it doesn't work well at all. After the election I stopped watching cable news, and really slowed down on reading news sites. They were nowhere near as stimulating as they were before the election, and I had had enough of the news at least for a while. I needed a rest. But I never stopped reading Memeorandum and Techmeme, refreshing many times a day, and I have a renewed interest in Twitter as a source of news. My attention shifted to the online media. 
			- Sometime in the last 24 hours war erupted in Gaza. I saw the first pictures in the AFP photo stream about then. I wasn't fully aware of what's going on cause photos only tell you so much. I knew people were dying. Then it got worse, pictures of dozens of dead people started showing up. But-- and here's the point, nothing showed up on Memorandum until early this morning. Whatever its algorithms are, they are surely authority-based. They work if a certain set of bloggers are interested in a story, but if they're enjoying a holiday or focused on other things, they miss it. So don't put your full faith in authority, you'll miss news.
			- Finally, <a href="http://www.techcrunch.com/2008/12/26/should-twitter-add-authority-based-search/">Mike Arrington echoes</a> Loic's call with a note of optimism: "Perhaps an industrious third party can take a crack at it. Don't forget that Twitter search is actually a product created by a startup called Summize. Twitter bought them in July." It's true that Twitter's search was created by a startup, but Twitter gave them access to the full data stream that they don't give other developers. What Arrington suggests is not possible, unless Twitter opens up the full stream. This is what Steve Gillmor has been <a href="http://www.google.com/search?q=steve+gillmor+track+site%3Atechcrunchit.com">lobbying for</a>.
			- Another one -- I saw a <a href="http://twitter.com/lisarein/status/1080914233">note</a> from Lisa Rein on Twitter, wondering when MSM was going to pick up on the <a href="http://www.truthout.org/122408J">strange circumstances</a> around the death of Mike Connell, Karl Rove's 45-year-old IT expert, who was asking for protection because he feared for his life. Who knows why the press isn't covering it, I don't know how true it is, but maybe it is true and maybe someone is hushing it up. It has happened before.
		- My brother Om
			- <a href="http://gigaom.com/2008/12/27/what-i-learned-this-year/">Om just wrote</a> a one-year retrospective on the big event last December that set his life on a new course. It's a beautiful piece. For people like Om and myself, it took a big wakeup call to help focus us on what's important. 
			- What can I say. I still eat red meat, but I stopped smoking and I work out every day. I've lost a fair amount of weight this year, which makes me feel better, but there's more to lose. 
			- I still blog, I can't not blog, basically -- it's in my blood along with lots of other stuff that keeps me alive. I'm also addicted to humor and irony. Greatness in others inspires me more than anything else. 
			- That's why I love Om -- he's always had a warmth and charm, people notice that, but in the last year, he's grown in ways that weren't possible before. That's what wakeup calls do for you if you're listening. 
			- So -- Om gets many more years of life, and we get many more years of Om. Win-win. ";->"
			- <a href="http://archive.scripting.com/2004/06/17#When:1:49:27PM">In 2004</a>, when I made a decision like the ones Om describes, when I dropped a project that would have shortened my life, a very smart man, Michael Winser, posted a note about dropping things that bounce and those that break. Unfortunately his post and the speech it refererred to are no longer online. But the short story is worth repeating. 
			- "A rubber ball will bounce and someone else can pick it up. That's your work life. The glass ball is family, friends, your health. Drop it, and if you're lucky it'll just crack. If you're not so lucky, it'll break into a million pieces. No matter what it'll never be the same. The people were shocked because I dropped a rubber ball, deliberately. Had to do it. If you don't understand, ponder it, and you'll learn something about life that's important. No Web project is worth dying for. Well, maybe it's possible that one is, but this one ain't it."
			- Maybe our little community is ready to grow up in a new way -- people get sick and sometimes they get better, but sometimes they don't and sometimes the outcome depends on what they do. In 2004 I guess people didn't believe that heart disease is a killer, or didn't accept that I had it, or that I might act to protect my health. Maybe now we're ready to face that?
			- That's what Om's story is all about -- I know because it's my story too. 
	- December 26
		- Four movies and other follow-ups
			- Yesterday was the <a href="http://www.nakedjen.com/nakedjen/2008/12/the-nakedjen-film-festival.html">NakedJen Film Festival</a> in Salt Lake City and Berkeley; it was also Christmas Day around the world. ";->"
			- The festival is for movie lovers wanting to indulge in a massive amounts of movies on a day when many of the best movies of the year are released. 
			- In Berkeley, we went to four movies: 1. <a href="http://www.google.com/movies/reviews?cid=b0373d29de6ec6da&hl=en&oi=moviesr">Gran Torino</a>, 2. <a href="http://www.google.com/movies/reviews?cid=b1ff1539b4f32c36&hl=en&oi=moviesr">Doubt</a>, 3. <a href="http://movies.nytimes.com/2008/12/12/movies/12time.html">Time Crimes</a> and 4. <a href="http://www.google.com/movies/reviews?cid=bb76b186909d075a&hl=en&oi=moviesr">Cadillac Records</a>. By far, my favorite of the four was Doubt. Wonderful acting from Meryl Streep and Phillip Seymour Hoffman. Very subtle plot and fantastic writing. 
			- I totally didn't care for the last two, almost no substance to the story of Cadillac Records, it felt to me a lot like <a href="http://www.google.com/movies/reviews?cid=b1845b66a53959a0&hl=en&fq=w.&sa=X&oi=showtimes&ct=reviews&cd=1">W.</a>, very <a href="http://www.scripting.com/stories/2008/10/21/aSecondLookAtW.html">shallow</a>, almost no character development, at times I had no idea what to think about the characters, and it's not as if they were all strangers to me, I was a blues fan growing up and saw Muddy Waters play a number of times, and Chuck Berry is a hero of mine. I don't know why people liked this movie, I was hoping for something of the caliber of <a href="http://www.google.com/movies/reviews?cid=bb55c17aeb2adde2&fq=walk+the+line&hl=en">Walk The Line</a>, that did enough character development so I actually cared about the cast. I didn't like <a href="http://www.google.com/movies/reviews?cid=b3e245c441ab0d41&fq=dreamgirls&hl=en">Dreamgirls</a> or the <a href="http://www.npr.org/templates/story/story.php?storyId=4122328">Ray Charles biopic</a> either, though they were well-reviewed. 
			- <a href="http://www.nytimes.com/2007/11/11/magazine/11wwln-lede-t.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/26/manWithNoName.gif" width="85" height="104" border="0" align="right" hspace="15" vspace="5" alt="A picture named manWithNoName.gif"></a>The Clint Eastwood movie, Gran Tornino, was nice, had a few memorable moments and lines, and followed the general pattern of one of Eastwood's earlier movies. I called it <a href="http://en.wikipedia.org/wiki/Man_with_No_Name">The Man With No Name</a> at the Retirement Village (even though he was living in an old Detroit neighborhood that was becoming an Asian ghetto). I wanted one more of the old style Eastwood movies, a Dirty Harry for the ages, a bloodbath of righteous vengeance. I really loved the old Eastwood, the new kind, compassionate and thoughtful, well, not so much. 
			- All the movies we went to were highly reviewed, including Time Crimes, which has a fairly predictable science fiction time travel plot up to a point, and then it goes a bit further, and has a few small surprises, but nothing that makes up for the extreme low-budgetness of it, and amateurish acting, and the fact that it's in Spanish with sub-titles. I was bored from beginning to end. Our other choice for this time slot in the festivale, <a href="http://www.google.com/movies/reviews?cid=b43ef067c89b532a&hl=en&oi=moviesr&fq=Synecdoche,+New+York">Synecdoche, New York</a>, a Charlie Kaufman film, probably would have been more entertaining, even though Kaufman movies generally leave me unimpressed and weary of his self-obsession.
			- I should also mention that I saw and loved <a href="http://www.google.com/movies/reviews?cid=bf299537f656edd2&hl=en&fq=slumdog+millionaire&sa=X&oi=showtimes&ct=reviews&cd=1">Slumdog Millionaire</a>, outside the context of yesterday's festivities; even though it was sort of spoiled by a negative review on Fresh Air by New York film critic David Edelstein, who thought (ridiculously) that the movie was ruined by the Bollywood dance sequence under the titles at the end of the movie. I give Edelestein a lousy review as a reviewer. The movie was lovely and disturbing. What's wrong with that? And it was great entertainment. 
			- I still have to see Benjamin Button, Marley & Me, Bolt, Despereaux, Rebecca's Wedding, Body of Lies, and what else? What a year for pictures!!
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/26/chuckBerry.jpg" width="95" height="148" border="0" align="right" hspace="15" vspace="5" alt="A picture named chuckBerry.jpg">One other bit of housekeeping -- a lot of people didn't understand my $249 pre-Christmas <a href="http://www.scripting.com/stories/2008/12/23/249ToBurn.html">gadget quest piece</a>, and thought I was asking instead for a condescending lecture on charitable giving. Actually I wanted to know your dreams for modestly priced electronic luxuries, not a big ticket purchase like a 60-inch flatscreen or a new MacBook, but perhaps something like a hard drive, iPod, but off the beaten path, something a guy like myself might not have. I consider the piece a roaring success. The most popular suggestion was to get a Flip camera, which I'm still considering, even though I really like my <a href="http://www.amazon.com/Canon-PowerShot-SD1100IS-Digital-Stabilized/dp/B0011ZK6PC/ref=sr_1_3?ie=UTF8&s=photo&qid=1230347206&sr=1-3">Canon camera</a> and can't get too excited about another picture-taker. 
			- One thing was striking about the list was that there was almost nothing on it from Apple. Such a bad omen. I must have bought 10 or 15 Apple products in 2007. I can't think of a single Apple purchase I made this year. These days I can walk by an Apple store without going in. What happened? Why have they stopped creating products that a guy like me lusts for? In the last twelve months they haven't created anything in the Must Have category or even Nice To Have. That honor goes to Asus, I've bought two netbooks, and find I'm open to buying almost anything they offer. 
			- Anyway, I did find a <a href="http://www.newegg.com/Product/Product.aspx?Item=N82E16875997431">gadget</a> that I don't have that I wanted, that I'm looking forward to getting! More on it when it arrives.
	- December 24
		- Blogger of the Year
			- I guess Christmas Eve is the day to announce the Blogger of the Year. It's only the second time I've done it, and I did it last year <a href="http://www.scripting.com/2007/12/24.html">on this day</a>, and it seems like a good day to do it. That's what being a real blogger is like. It's like just feeling like doing something and then doing it. 
			- I hope that makes sense.
			- Anyway...
			- In my <a href="http://www.scripting.com/stories/2008/12/19/bloggerOfTheYear2008.html">teaser</a> I said that this year's BOTY is a smoker, but when I told him he was the guy, he said he stopped smoking four years ago. That's very good. More blogging for the rest of us.
			- So who is it?
			- Well, it's <a href="http://journalism.nyu.edu/pubzone/weblogs/pressthink/">Jay Rosen</a>.
			- Now I'll tell you why.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/24/rosen.jpg" width="65" height="86" border="0" align="right" hspace="15" vspace="5" alt="A picture named rosen.jpg">Jay is one of those guys who has spent 20 or 30 years really studying something, really understanding it. He developed a theory about his subject of study, but instead of stopping there, Jay is always learning, asking questions, considering whether his understanding of the world actually reflects what's happening. And he does all this out in the open, on a blog, and most recently, very deliberately and systematically, <a href="http://twitter.com/jayrosen_nyu">on Twitter</a>.
			- This is the future of news. 
			- That's what Jay studies, but as it always is, you teach what you most need to learn, so Jay's study of news, ironically (or maybe not so ironically) is a <i>demonstration</i> of how news will work in the future. We will still need domain experts, people who spend 20 or 30 years studying something, learning and challenging their assumptions -- so that when something happens in their field of study we have someone with a historic perspective who can tell us What It All Means. 
			- Of course we can't get by with just one person in each domain, we need many. And that's where people like Jay are so valuable -- they don't just have their own theories, they also tell you about theories other people have, and he points you to them. 
			- Does this sound familiar? 
			- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">12/12/05</a>: "People come back to places that send them away."
			- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/24/hamster.jpg" width="85" height="148" border="0" align="right" hspace="15" vspace="5" alt="A picture named hamster.jpg"></a>That's what blogging, when it applies to serious study, is all about. And Jay is the best example I can think of, so that's why I chose him as my Blogger of the Year for 2008.
			- There are others who perfectly exemplify this principle. I'm thinking of <a href="http://blogs.law.harvard.edu/doc/2008/11/13/santa-barbara-fire/">Doc Searls</a> when it comes to fires in Santa Barbara. When I hear there's a fire down there, I know where to go. Doc takes it very seriously, and I'm not kidding about that. I don't have a special interest in Santa Barbara, but I do have an interest in examples of the way news will work in the future.
			- And there's <a href="http://krugman.blogs.nytimes.com/">Paul Krugman</a> at the NY Times. I'm very pleased to honor a blogger at the Times, to show that it doesn't matter where you hang your hat -- real blogging can happen anywhere at any time. The thing that makes Krugman such a fantastic example is the same thing I like about Jay's blogging and Doc's -- he sends where you need to go to find out what you need. It's the same principle of the web, applied over and over again. When it works, it works because they trust you to come back after sending you away.
			- Next year's BOTY, knock wood, praise Murphy, etc -- will share this quality, with these fine people and <a href="http://www.nakedjen.com/">NakedJen</a>. When they write it's not a business model, it's their passion for knowledge, both of self and the rest of existence.
	- December 23
		- $249 to burn
			- With Christmas coming up, I wanted to buy something cool and electronic and gadgety, fun and impulsive, under $249 on Amazon. But I couldn't find anything I don't already have. When I was a kid the world was filled with toys I lusted for but couldn't have. Today, I have the opposite problem -- I want to want something, but I already have everything I want. 
			- So I turned <a href="http://twitter.com/davewiner/status/1075471972">to Twitter</a>. ";->"
			- I got back a bunch of suggestions, and promised to blog them, for others who might be inspired to buy themselves a gift, in this the standard gift-giving season. Alas, so far, there's been nothing I wanted enough to buy. There were some that seemed promising, though, and I totally appreciate the thought that went into the suggestions.
			- <a href="http://twitter.com/ltrosien/status/1075473542">ltrosien asks</a> if I have a Slingbox. I do and love it. It's mission-critical. A week ago I watched Meet The Press on an <a href="http://flickr.com/photos/scriptingnews/3107574334/">American Airlines flight</a> from NY to SF. When you think of the path the show took to get to me, it's pretty amazing. Downloaded from a satellite via DirecTV, out through the Slingbox to the net, to the Gogo gateway in Dallas (if I remember correctly) then to the proper cell tower and to the airplane and to my laptop, and it all worked -- no fuss no muss. Amazing.
			- <a href="http://twitter.com/mike1mb/status/1075474321">mike1mb suggests</a> an Asus souped up <a href="http://www.asus.com/products.aspx?l1=12&l2=43&l3=0&model=979&modelmenu=1">router</a> with built in hard drive, a BitTorrent client, USB port, the kitchen sink and more. Man this one was tempting. It increases the range of your wifi 3 times. Wow. And I love everything that Asus makes. But... It would arrive, I would install it, marvel at the possibilities and then be bored. I can't use any of its capabilities. I already have way more storage than I use. The whole house is covered by two Airport Extreme routers. I have BitTorrent mastered, and it's nice that it works when your computers are turned off, but there are several computers in my house that are always on. Further, the one reviewer <a href="http://www.amazon.com/Multifunctional-Wireless-Storage-Router-WL-700gE/dp/B000HCVF6E/ref=sr_1_1?ie=UTF8&s=electronics&qid=1230088950&sr=8-1">on Amazon</a> said the fancy extras didn't really work. It's been out since 2006 and I've never heard of it till today, so that doesn't bode well. So even though it was tempting, I passed.
			- <a href="http://twitter.com/moneyries/status/1075476140">moneyries says</a>: "Pimp out your game collection. Get Gears of War 2, Left 4 Dead, Dead Space, Call of Duty: World at War, etc. Add Netflix." I only play casual games, no time for all those other games I've never had time for, and I have Netflix, thinking of cancelling it cause I've watched everything I care about. Sighh. When you're bored you're bored, I guess!
			- <a href="http://twitter.com/CathleenRitt/status/1075489277">CathleenRitt</a> suggests a <a href="http://www.takeanyware.com/PocketSafe/tabid/64/Default.aspx">Take Anyware personal pocket safe</a>. Hmmm, that's interesting. 
			- <a href="http://twitter.com/deepikaur/status/1075502166">deepikaur</a> and <a href="http://twitter.com/dberlind/status/1075531695">dberlind</a> suggest a <a href="http://www.amazon.com/gp/product/B001HSOFI2/ref=amb_link_7872072_1?ie=UTF8&me=ATVPDKIKX0DER&pf_rd_m=ATVPDKIKX0DER&pf_rd_s=auto-sparkle&pf_rd_r=19K326DA1ZVJ5GWCE4E4&pf_rd_t=301&pf_rd_p=465426811&pf_rd_i=flip%20mino%20hd">Flip Video camcorder</a>. Okay that's a maybe. I don't have one, but my <a href="http://www.amazon.com/Canon-PowerShot-SD1100IS-Digital-Stabilized/dp/B0011ZK6PC/ref=sr_1_2?ie=UTF8&s=photo&qid=1230089661&sr=1-2">Canon PowerShot SD1100</a> takes <a href="http://flickr.com/photos/scriptingnews/3100563101/">fine</a> <a href="http://flickr.com/photos/scriptingnews/2807926676/in/set-72157607037999894/">movies</a> and I have it with me all the time. Do I really need another small device for taking movies? I don't think so, but I'm prepared to be talked into it. I've given Flips as presents, and they've always been well-received.
			- <a href="http://twitter.com/DinkyShop/status/1075567182">DinkyShop</a> suggests a $5 rechargeable powered USB 4-port hub for a laptop <a href="http://is.gd/deTR">from Woot</a>.
		- The NakedJen Film Festival
			- Read up on the <a href="http://www.nakedjen.com/nakedjen/2008/12/the-nakedjen-film-festival.html">NJFF here</a>. 
			- We're going to be doing one in Berkeley too, on Christmas Day. Gotta start planning it. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/23/wimpy.gif" width="85" height="129" border="0" align="right" hspace="15" vspace="5" alt="A picture named wimpy.gif">Basic plot.
			- 1. Three movies that open Christmas Day. One of them must be Benjamin Button. Probably Valkyrie. What else?
			- 2. Three movie theaters, within walking distance of each other. Either downtown Berkeley or at the Bay Street mall in Emeryville (advantages to both). Probably downtown, more traditional.
			- 3. A snack between each pair of movies to discuss.
			- 4. Dinner after the third movie.
			- 5. Everyone has a great time.
		- Obama's bone-headedness, day 2
			- <a href="http://school.discoveryeducation.com/clipart/clip/skull.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/23/bonehead.gif" width="125" height="165" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonehead.gif"></a>There's an epic <a href="http://bit.ly/zDIt">discussion</a> taking place under yesterday's <a href="http://www.scripting.com/stories/2008/12/22/rickWarrenIsOverTheTop.html">piece</a> about Rick Warren and the Obama inaugural. Really something to behold. Lots of intelligent discourse about something that's very emotional. That's a huge milestone. And people say blogging is dead. Feh. We're just getting started.
			- A few notes.
			- 1. People who say this is a brilliant political stroke by our incoming President are wrong. It's bone-headed. As in he is only using the bone in his head, not the gray matter. In the days after the election there was a huge cry of angst from the gay community about Prop 8 in California. <a href="http://www.scripting.com/stories/2008/11/05/prop8.html">I didn't support the outcry</a>, because basically I don't think that highly of marriage, and I'm sure not going to fight for the supposed right of gays to get married. Equal protection under the law, that I'll fight for. Obama makes gay marriage the issue by honoring the loutish bigot Warren. It was quieting down, now it's totally re-stoked. 
			- 2. I was wrong about Obama and Rev Wright. I always wondered if it was political expediency or true belief. Obviously it wasn't true belief. 
			- 3. Gay marriage is now on track to becoming Obama's <a href="http://en.wikipedia.org/wiki/Don%27t_ask,_don%27t_tell">Don't Ask Don't Tell</a>, a morass that newly installed President Clinton had to deal with in his first days in office. What an unfortunate detour for our country when we have a financial crisis, unemployment, a depression, two wars, and god knows what else looming in front of us. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/23/rove.jpg" width="125" height="146" border="0" align="right" hspace="15" vspace="5" alt="A picture named rove.jpg">4. It may be too generous to call it bone-headed, it might be Rove-headed. This is a total wedge issue. Thanks so much Obama for uniting us (not). 
			- 5. There are few things I'm totally ideological about without a hint of pragmatism and that's the equal protection of the Constitution to minorities, like blacks, Jews and homosexuals. If you don't like one of us, that's fine -- you're entitled to your opinion, but you won't get the government's support. It's illegal for the government to do it. And if the inauguration is anything it's an act of government. Ooops. Bing! I rest my case.
			- 6. <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/12/22/AR2008122201847.html">One more time</a>. I am not a liberal, I am not "the left" -- I could be a total card-carrying Conservative and I'd still be opposed to singling out one minority for exclusion. Find someone more suited to inaugurating your Presidency, Mr. Obama.
			- 7. <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/12/22/AR2008122201848.html">This column</a> in the Washington Post perfectly sums up my point of view. No party on January 20. As long as Warren is the moral leader of Obama's presidency, then fuck you Obama.
			- Update #1: Unfortunately today the comments are not so nice and people are getting personal That's okay of course. You can express your opinions about me on your own blog. I've closed comments on the two Rick Warren threads. Have a happy! ";->"
			- Update #2: Then I started getting some comments via email that I think belong on the blog, so let's try to weather the flamers and see what happens. I turned on moderation after re-opening the comments, so if you post a personal attack against me or another commenter, it just won't go through, so don't bother.
	- December 22
		- Rick Warren is over the top
			- Thanks to David Weinberger for offering a foil for me to argue with on the case of Rick Warren giving the invocation at the Obama inaugural. I posted a rough version of this in a comment on Doc Searls' blog, in response to a <a href="http://www.npr.org/templates/story/story.php?storyId=98458935">piece</a> Weinberger wrote on the NPR site. I just did a little editing and reposted here.
			- I've been preaching the stuff that Weinberger is saying for a long time, but...
			- I think he's wrong, and Obama is wrong, and the people who say this is over the line are right. This isn't a conference at the White House we're talking about, this is the inaugural. 
			- Weinberger doesn't say where his limit is. Who or what would be unacceptable for giving the inaugural invocation? Suppose Warren was a white supremicist who said that Negroes are property. He's entitled to his opinion I suppose. But should that be on stage when we inaugurate the first black President? 
			- Is Obama actually that open minded? I've read his book and I honestly don't know the answer, the book doesn't give me enough info. 
			- What if we were talking about a Neo-Nazi who said all Jews should be deported? Obviously, we can't have that, right Dave? That would be about you and me, and we've been there before or more accurately our parents have. I don't want to stand alone and explain why we can't let Jews be singled out that way.
			- Warren has some very bad ideas about gays. Do they really have to stand alone Dave and say no this is too much?
			- Obama makes a big point about not being an ideologue, about being a pragmatist, and I'm with him, up to a point. The United States is an ideology, not just pragmatics. We've been too pragmatic the last eight years, we've turned the other way while the rule of law was trampled along with the Constitution. Enough. I heard Obama say that in Denver, and it was right on. Enough. Warren is too much. I think the only correct answer is to boycott the inaugural. Sorry, no party. This is outrageous Dave. 
			- This isn't just Obama's homecoming, it's our country's. If we don't stand against this, we're going to get four more years of pragmatics. We won't survive that. At the end you won't recognize the United States. We've got to come back from the last eight years. Putting Warren on stage is not coming home, not when it leaves the gays so out there. But I won't let them be out there alone, just as I wouldn't expect for Jews to be out there alone if we were the ones being singled out. Or blacks.
			- I'm also horrified that you used left-right tactics to argue your case. Very bad. I don't happen to be a liberal Dave. But I am an American and I believe in equal protection. How do you explain where you come from, and I don't care if you drive a Volvo or a Prius. Honestly, I think any American with any pride, especially blacks and Jews and gays, must stand against this.
			- Update: <a href="http://www.huffingtonpost.com/melissa-etheridge/the-choice-is-ours-now_b_152947.html">Melissa Etheridge</a> is a Rick Warren fan and is going to the inauguration (she's gay).
			- Update: <a href="http://www.google.com/hostednews/ap/article/ALeqM5jL1wHfvxbVuH4tkCehILUCNJjqrgD9579L700">Barney Frank</a>, a Congressman from Massachusetts, explains precisely why it is wrong for Warren to be given the honor of delivering the inaugural invocation. (Frank is gay.)
			- Update: <a href="http://www.americablog.com/2008/12/rick-warren-pulls-anti-gay-language.html">Rick Warren</a> pulled the anti-gay language from his site. 
		- Posterous
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/22/love.gif" width="115" height="115" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif">I've noticed that Mike Arrington tends to use <a href="http://posterous.com/">Posterous</a> for pictures he posts while traveling, pics of his dog <a href="http://www.flickr.com/photos/41585316@N00/2846290949/">Laguna</a>, random stuff. I wondered why he used it instead of Flickr, which is what I generally use for pictures and small movies, and today he <a href="http://www.techcrunch.com/2008/12/22/dead-simple-posterous-gets-a-round-of-funding-and-launches-group-blogs/">wrote a review</a> and explained -- it's because it takes absolutely nothing to set up. You just send an email to post\@posterouscom add an enclosure if you like, and it automatically creates a blog if it doesn't know you (you're identified by your email address) and then creates a post to hold the enclosure and text. This is the way we like our software, easy to get started with, and with instant rewards. Good work! ";->"
			- I tried it out, enclosing a copy of the MP4 video of <a href="http://www.scripting.com/stories/2008/12/14/singinInTheRain.html">Singin In The Rain</a> from 1929, with a bit of text scarfed from scripting.com, sent as an <a href="http://images.scripting.com/archiveScriptingCom/2008/12/22/posterousemail1.gif">email to Posterous</a>, and sure enough a moment later, it <a href="http://images.scripting.com/archiveScriptingCom/2008/12/22/posterousemail2.gif">sends back</a> a <a href="http://dave-1rrrr.posterous.com/">pointer</a> to a blog with a long weird name, and I click on the link, and there's the text and the movie. 
			- After that I went back and read the email, it said they were happy to meet me, and I could sign up for an account and my Posterous blog would then have a nicer name. Seemed like a good deal. It suggested \"dave\" -- but it turned out to already have been taken. I then tried "d" -- that was too short, then "dw" which it approved, and now I've got <a href="http://dw.posterous.com/">yet another presence</a> on the www.
			- Now come the questions.
			- 1. Does it have an API? If not, then it's fairly useless as a blogging tool. It should, at a minimum support the <a href="http://www.xmlrpc.com/metaWeblogApi">MetaWeblog API</a>, so that tools written for WordPress, Blogger, TypePad and all the blogging tools I''ve written (Radio, Manila, lots of one-offs) are compatible. It should also support the <a href="http://www.weblogs.com/api.html">weblogs.com</a> <a href="http://pingomatic.com/">ping</a> <a href="http://www.xmlrpc.com/weblogsCom">protocol</a>, which will let it integrate with virtually every service of the "live web" (and as far as I know they do support it).
			- 2. I reviewed their <a href="http://dw.posterous.com/rss.xml">RSS feed</a> for my site, and it's pretty good! They don't fuss around with multiple versions of the feed, and their RSS is mostly plain vanilla, i.e. really simple, the kind that every RSS processor will understand. Now a few things they could do to simplify even more.
			- a. They declare three namespaces at the top of the feed, but only use one. The other two should be removed.
			- b. <s>There's no version number on the &lt;rss> element. Since they use namespaces, it must be 2.0, because <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> didn't get namespace support until 2.0.</s> Dan MacTough <a href="http://www.scripting.com/stories/2008/12/22/posterous.html?disqus_reply=4574688#comment-4574636">notes</a> that the version element <i>is</i> there, in the midst of the unused namespace declarations. My bad! :-(
			- c. It does no harm to use a CDATA on the &lt;description> element, but it isn't necessary since all the characters are properly encoded. 
			- d. I don't like that the permalink is encoded in the &lt;description>. Unfortunately this has become common practice in RSS, but the information is already in the &lt;guid> element, which is good. They're presumably replicating it because some reader doesn't display the permalink from the &lt;guid>. I say deal with the problem where it's located, get the reader to display the permalink. Because of this extraneousness, in software that behaves well, the permalink will be displayed twice, unnecessarily. Yuck!
			- e. Same with the link to the comments. <a href="http://cyber.law.harvard.edu/rss/rss.html#ltcommentsgtSubelementOfLtitemgt">RSS 2.0 has</a> a &lt;comments> element. I wish people would use it.
			- f. Finally, they use Yahoo's <a href="http://search.yahoo.com/mrss">Media RSS</a> namespace to convey the information about the MP4 movie I enclosed. I guess some software they want to work with isn't looking for the base &lt;enclosure> <a href="http://cyber.law.harvard.edu/rss/rss.html#ltenclosuregtSubelementOfLtitemgt">element</a> that was designed for exactly this use. In cases like this, I support both, because it should be possible to write a podcatcher or, in this case, a movie-catcher, that conformed to the original spec and knew nothing about Media RSS, which came later and is an optional extension. The way Posterous has coded it, such a catcher app will completely miss the movie. This is the way breakage creeps into a community, and breakage is, of course, bad.
			- But on the whole, they did a very nice job, otherwise I wouldn't bother with the feedback. ";->"
		- Bailout hall of shame
			- <object type="application/x-shockwave-flash" data="http://widgets.clearspring.com/o/494ec6c7b1e7e133/4950057880638df5/494ec96c625fd16e/f08bd1fc" id="W494ec6c7b1e7e1334950057880638df5" width="196" height="475"><param name="movie" value="http://widgets.clearspring.com/o/494ec6c7b1e7e133/4950057880638df5/494ec96c625fd16e/f08bd1fc" /><param name="wmode" value="transparent" /><param name="allowNetworking" value="all" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="true" /></object>
	- December 20
		- Measuring the worth of a blogger
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/20/einstein.jpg" width="85" height="204" border="0" align="right" hspace="15" vspace="5" alt="A picture named einstein.jpg">It occurred to me that one way to measure the worth of a blogger is how much intelligence do they add or subtract to or from the universe. 
			- Sometimes it seems some bloggers just subtract, that when they post, others must negate the damage they do. One of their blog posts is an environmental disaster, like an oil spill or a nuclear accident. 
			- Of course our <a href="http://www.youtube.com/watch?v=2pfwY2TNehw">presence</a> in the vastness of the universe is infinitesmal, both in time and space, so either way it doesn't make much of a difference. But it's something to consider at the end of a year. How much value did you add to the intellect of the universe in the last 12 months -- and here's best wishes to doing <i>even better</i> next year. ";->"
			- <object width="360" height="221"><param name="movie" value="http://www.youtube.com/v/2pfwY2TNehw&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/2pfwY2TNehw&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="360" height="221"></embed></object>
		- Web 2.0 gas prices, revisited
			- On June 29, I took a <a href="http://www.flickr.com/photos/scriptingnews/2621802883/">picture</a> of the prices at a local gas station, thinking they were worth documenting for two reasons:
			- 1. The prices were so shockingly high.
			- 2. I thought they'd continue to go up.
			- <a href="http://www.scripting.com/stories/2008/06/29/web20GasPrices.html">In a blog post</a>, I compared them to prices <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=+san+pablo+and+marin,+albany,+ca&sll=37.886815,-122.29788&sspn=0.01072,0.018818&g=marin+and+san+pablo,+albany,+ca&ie=UTF8&ll=37.886692,-122.297831&spn=0.01072,0.018818&z=16&iwloc=addr&layer=c&cbll=37.886686,-122.297703&panoid=eQ2hVER8ZQVezAiX3Zmgdg&cbp=12,136.02757645594102,,0,-1.3379883694463763">recorded by</a> Google Maps street view of the same station. 
			- Yesterday, returning from a lunch in Sausalito, I stopped at the same intersection and took <a href="http://www.flickr.com/photos/scriptingnews/3123691518/">another picture</a>. Instead of going up dramatically, the price of gas had gone down, dramatically. 
			- <a href="http://www.flickr.com/photos/scriptingnews/3123691518/" title="California gas prices revisited by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3244/3123691518_5a5b3eb751_m.jpg" width="240" height="180" border="0" alt="California gas prices revisited" /></a>
			- Just goes to show, try to predict the future, the future fcuks with you. ";->"
			- <a href="http://www.flickr.com/photos/scriptingnews/3123925048/">Update</a>: One of the cool things about the rise in gas prices earlier this year is that it got a bunch of people to buy these small cars that you see all over Europe. Not just in Berkeley, I saw a bunch of them in <a href="http://www.wordyard.com/2008/12/20/new-york-vs-northern-california/">NY</a> too. Maybe we should make a deal with Ford and GM and the American people, we'll swap one for one, an old gas guzzling SUV for a modern new high-tech Smart. Could be one of the public works projects of the new New Deal. 
		- CTO of the Year
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/20/trophy.gif" width="150" height="195" border="0" align="right" hspace="15" vspace="5" alt="A picture named trophy.gif">Tis the season for X Of The Year awards. 
			- Time has Person Of The Year, I have Blogger Of The Year, and <a href="http://www.informationweek.com/news/management/interviews/showArticle.jhtml;jsessionid=U4V41AQFH5TZKQSNDLOSKH0CJUNN2JVN?articleID=212501217">InformationWeek</a> has CTO Of The Year, who they just announced is Werner Vogels of Amazon. I heartily endorse this choice. 
			- Vogels has led us into the age of cloud computing, a buzzword for sure, but also a kind of software development that holds great promise. For me, it's the next step on a path that began with CompuServe in 1980, when I begged them to let me run software on their server, so I could do great things with their CB Radio environment. Of course they wouldn't. Now, Amazon not only lets me run software in their cloud, but the environment I run it is exactly the same environment that runs on my 7-inch netbook computer. That makes my inner software architect very very happy. You just need to write the app for one platform and voila, it's available at 40,000 feet on a jet flying at 600MPH from NY to SF, and who-knows-where (geographically) in Amazon's cloud. I actually logged onto my server <a href="http://www.scripting.com/stories/2008/12/14/firstPostFrom38kFeet.html">from the jet</a> using Remote Desktop Connection. I knew it would work, but I just had to try it to say I'd done it. It did work. 
			- Now Werner had the vision to do all this, and more -- and to somehow get the huge organization that Amazon is to ship it with the vision intact. That's what CTOs do, their work is more prosaic than ideological, although ideology is important. The main thing the CTO does is get the organization to do important things. I don't know how he does it, it's a skill I don't have, but I'm in awe of it.
			- There's another thing to commend Vogels, he reads this blog. No joke, to me that's important, because we have a basis for communication. We've only met once, but he was instantly familiar because of the email exchanges we've had. 
			- Now from time to time I shoot an idea over his way, something I'd like to see Amazon do in their cloud, and he never says one way or the other if they're going to do it, but sometimes the ideas do come out. Whether I was an impetus or not doesn't matter -- I'm happy when I get what I wanted. 
			- A few months ago I suggested they implement the back-end of a Twitter-like service as part of the Amazon cloud. This was back when Twitter was having huge trouble keeping the service up. Now they're not having that problem, Twitter is much more reliable, but I think it's still a good idea, and I wonder if we even need Amazon to do it. It might be possible to build what I want using the services they already provide. 
			- Let's give it a go. Viewed from the cloud perspective, my Twitter stream, the one I read, is a sequence of 140-character bits of text with several attributes. Easy to represent in SimpleDB or S3. Then the question is who has the right to insert something into that sequence? The answer is the people I follow. So there must be a way to represent that, again SimpleDB would have no trouble doing that. That list is publicly readable but only I can write to it. Now that's something I have to look into. Does SimpleDB offer permissions like that? I know S3 does. So maybe my follow list should just be stored in S3. It's very much like an RSS subscription list, and we have many years of experience working with those and a fairly consistently implemented standard. Obviously there's a user interface to Twitter, many of them, but that's not something I would ever expect Amazon to do, that's the province of the developers.
			- This is just an exercise. Not sure if it goes anywhere, but it may be something to get a conversation started.
			- I've also suggested to Evan at Laconi.ca that he offer an <a href="http://afkham.org/2008/10/how-to-create-ec2-ami.html">AMI</a> on Amazon for an instant microblogging server. 
			- But I guess my point, at the end of this rambler, is congrats and thanks to Werner and his team at Amazon for pushing the market in this direction. They're doing good work. 
	- December 19
		- Blogger of the Year 2008
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/19/trophy.gif" width="150" height="195" border="0" align="right" hspace="15" vspace="5" alt="A picture named trophy.gif">Last year, after giving it much thought, I decided to give out an award that I called, unoriginally, Blogger of the Year. I felt entitled to do so because I am a blogger, like millions of other people. 
			- Why should I, of all the people who blog, give an award once a year to someone who, imho, exemplifies what's great about blogging? Because I can. And of course so can you. That's the point of blogging. Nothing makes my blog better than any else's. It's what I put here, my ideas, my beliefs, my desires, my foibles and foils -- oh never mind. The point is you can give out an award too.
			- But this is <i>my</i> Blogger of the Year award. ";->"
			- I'm not ready to announce who it is this year, but I've more or less made my decision. I called <a href="http://www.scripting.com/stories/2007/12/24/bloggerOfTheYear.html">last year's BOTY</a> to see if <a href="http://nakedjen.blogs.com/">she</a> approved my choice, and she did. Not that that's a requirement, it isn't, but I would have been surprised if she had disagreed. And while both people exemplify what makes blogging tick, what makes it worthwhile, the people couldn't be more different. 
			- Last year's BOTY is a woman, this year's is a man.
			- Last year's BOTY is a tiny little person who eats vegan and spreads the joy of body acceptance. This year's BOTY is not small, and eats greasy food (as do I) and smokes!
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/19/rooster.gif" width="125" height="158" border="0" align="right" hspace="15" vspace="5" alt="A picture named rooster.gif">Last year's BOTY is <a href="http://flickr.com/photos/22221172@N00/2781077643/">cute</a>, this year's BOTY well, I don't think anyone thinks he's cute, except perhaps his wife, and even there I wonder. 
			- Last year's BOTY often goes naked in public as a form of social, artistic and political expression. As far as I know this year's BOTY is always fully clothed in public. 
			- Both people rub others the wrong way, get people to say "Who does he or she think he or she is?" I have a funny feeling all BOTYs will have <i>this</i> property. ";->"
			- Another thing both BOTYs have in common is they were both at BloggerCon I. Haha. Now there's a good clue.
			- I don't know when I'm going to announce the choice, but I love a good tease, so you gotta figure I'm going to stretch this one out, play it for all its worth. Sorry!!
			- "curly"
		- Where are snowcams?
			- They're calling it <a href="http://search.twitter.com/search?q=snowmageddon">#snowmageddon</a> on Twitter.
			- And on <a href="http://flickr.com/search/?q=snowmageddon&ss=2&ct=6&s=rec">Flickr</a> too.
			- I know it's snowing a lot back east cause it's raining a lot here on the California coast. And now it's raining some more. More rain here, more snow there. Pretty simple. ";->"
			- I just posted a <a href="http://twitter.com/davewiner/status/1067043986">twit</a> saying "People in the eastern U.S.-- more snow headed your way. Hugs, California"
			- We're all in it together. Just some of us are more in it than the rest.
			- I miss the snow, so here's what I want to do.
			- Where are snowcams? I want webcams in American and Canadian cities that show the snow? I'd like to accumulate a list here.
			- <a href="http://www.housing.wisc.edu/halls/dayton/">Here's a cam on West Dayton St in Madison</a>. It's a live feed. You can see the snow blowing and cars going down the street. Wish there were audio too. The Comp Sci building is on West Dayton if I remember correctly. This building is <a href="http://maps.google.com/maps?ie=UTF8&oe=utf-8&client=firefox-a&q=ogg+hall,+madison,+wi&fb=1&cid=0,0,8148398029316617335&ll=43.071725,-89.399679&spn=0.009922,0.018818&z=16&iwloc=A">quite</a> <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=1210+West+Dayton+St,+Madison,+WI&sll=37.891976,-122.275162&sspn=0.010719,0.018818&g=1210+West+Dayton+St,+Madison,+WI&ie=UTF8&ll=43.071051,-89.406052&spn=0.009922,0.018818&z=16&iwloc=addr">close</a>.
			- Funny how Madison looks the same 30 years later. ";->"
			- Here are some other <a href="http://www.dot.wisconsin.gov/travel/madison/cameras.htm">Madison-area webcams</a>.
			- Post a comment if you know of one!
	- December 18
		- Goodbye to an icon
			- <a href="http://blogs.law.harvard.edu/doc/2008/12/18/toward-a-happier-new-year-on-harvard-square/">Doc Searls</a> writes that Out Of Town News on <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Out+Of+Town+News,+Harvard+Square,+Cambridge,+MA&sll=37.891976,-122.275162&sspn=0.010228,0.018818&g=847+Mendocino+Ave,+Berkeley,+CA+94707&ie=UTF8&ll=42.37372,-71.119105&spn=0,359.995295&z=18&iwloc=A&layer=c&cbll=42.373653,-71.119156&panoid=0sjJPwf55FJQAASU9syjIw&cbp=12,105.0868412774665,,0,-9.760518347881195">Harvard Sq</a> in Cambridge is going out of business on January 1. 
			- There are <a href="http://manifestmagazine.wordpress.com/2008/12/18/printing-facility/">efforts</a> to revive it as a print-on-demand business, but come on, that's not going to work. 
			- I think at some point you have to take a <a href="http://www.flickr.com/photos/afagen/2082644532/">picture</a>, have a ceremony, put up a plaque and let it go. 
			- When I was a student in New Orleans in the 70s, I used to take the streetcar down to the Quarter every Tuesday to get the Sunday NY Times and sit by the river if the weather was good and catch up on the news from the world outside the bayou. 
			- I imagine that's the function this news stand used to play for students in Cambridge of the same period. The stuff of stories, but it clearly not part of anyone's future. 
		- Is a netbook a cheap laptop?
			- Two people I respect enormously, John Gruber and Michael Gartenberg, both joined in the discussion of what <a href="http://www.scripting.com/stories/2008/12/17/whatIsANetbook.html">netbooks</a> are with the same theory. 
			- "What is the difference between a 'netbook' and a 'really cheap laptop that runs something other than Vista?' -- <a href="http://daringfireball.net/2008/12/apple_netbooks_eh">asks Gruber</a>. 
			- On Twitter, <a href="http://twitter.com/Gartenberg/status/1064897462">Gartenberg asks</a> the question, and answers it. "Are netbooks a new category of device or just small, cheap laptops? I think the latter."
			- Not so fast!! ";->"
			- First, I agree that a netbook is a cheap laptop, although of course I'd prefer "inexpensive," but let's not quibble. It's that, <i>and</i> it's a new market category. As usual I have a story to go with my opinion.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/18/vaio.gif" width="125" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named vaio.gif">Back in 2004 I was living in Seattle and one day I was hanging out at Microsoft, and <a href="http://www.jeffsandquist.com/">Jeff Sandquist</a> showed me a computer that changed my life, a small netbook-size Sony Vaio. It was an instantly charming computer, it spoke to me -- it said, no it screamed -- YOU WANT ME. It was like meeting the most beautiful woman in the world, an experience I have had, btw. When that happens the only thing the alpha male psyche knows to do is GO GET IT. ";->"
			- I went home and ordered one the same day, and when it arrived my then-favorite laptop became a desktop and the Vaio went everywhere with me.
			- Then one day in 2006, the Vaio broke. I tried to get it fixed, but it wasn't possible. And search as hard as I could, I couldn't find a replacement. It seems Sony had decided that this model Vaio had been a failure and apparently stopped making it. I literally couldn't find something in that size, a sub-12-inch laptop. They didn't make them, at any price.
			- Until one day I saw a comment on FriendFeed about the Asus Eee PC 901 and what a lovely thing it was. As with the Vaio I bought one on impulse, and it was everything I hoped it would be. They had picked up the baton from Sony. 
			- The point to both John and Michael is that until the netbooks came along this was an empty category. That they are cheap is a great bonus, but I would have bought one at two or three times the price. The small footprint laptop has always been a market imho, and it hasn't been served fully until the netbooks came along. 
			- Update #1: Apparently they do still sell <a href="http://www.sonystyle.ca/commerce/servlet/ProductDetailDisplay?storeId=10001&catalogId=10001&langId=-1&productId=174228">the Vaio</a> I liked so much. But the price is $3199.99. That's almost <i>ten times</i> the price of a decent netbook! 
			- Update #2: <a href="http://flickr.com/photos/scriptingnews/2806718008/in/set-72157607037999894/">This picture illustrates</a> the difference between a laptop and netbook computer. Which would you throw in a knapsack? 
	- December 17
		- What is a netbook?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/17/eee.jpg" width="125" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named eee.jpg">In October, I wrote a <a href="http://www.scripting.com/stories/2008/10/22/whyILikeNetbooks.html">piece</a> that explained why I like netbooks. It listed a set of criteria that says if something is a netbook or not. Yes, it's my opinion. But someone has to start this conversation. There have been some ridiculous ideas of what netbooks are and aren't. According to Steve Jobs, an iPhone is netbook. Heh. He's making a joke. It's funny. I have an iPhone and I like it -- but I have a <a href="http://www.flickr.com/photos/scriptingnews/3115866943/">netbook</a> too. 
			- Anyway, without further ado, here's my list of what makes a netbook a netbook.
			- 1. Small size.
			- 2. Low price. 
			- 3. Battery life of 4+ hours. Battery can be replaced by user. 
			- 4. Atom processor.
			- 5. Rugged. 
			- 6. Built-in wifi, 3 USB ports, SD card reader. Ethernet, SVGA, webcam, audio in and out.
			- 7. Runs any software I want (no platform vendor to decide what's appropriate). 
			- 8. Competition (users have choice and can switch vendors at any time).
			- 9. Windows XP.
			- All these things are important. I think we could make room for a Macintosh netbook, but it's tough because one of the things that's super important is that we're not locked into a vendor. I could replace my netbook with an MSI or Acer, even though I've bought two Eee PCs. Apple could make their operating system run on the hardware these other guys make, so they <i>could</i> ship a netbook that meets these criteria. But we're all pretty sure, if they deign to make a netbook, that it won't offer users this choice. We'll have to wait to see how it feels, but I'm not sure if I'd switch to an Apple netbook, even though I use a Macintosh desktop and use Mac Minis as my entertainment center system (I have three of them). I've been able to integrate XP computers into this network without too much difficulty. (Which surprised me, when I switched to Macs in 2005, I thought I'd never use Windows again.)
			- <a href="http://www.flickr.com/photos/scriptingnews/3116706556/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/17/dog.jpg" width="125" height="168" border="0" align="right" hspace="15" vspace="5" alt="A picture named dog.jpg"></a>Another concern came up in a <a href="http://friendfeed.com/e/156767f5-9c70-00a2-4b46-6c2985cd9c27/Apple-s-Debatable-Need-for-a-Netbook/">recent thread</a> on FriendFeed with Kevin Tofel of GigaOm, who is one of my closest netbook buddies. We share information and pretty much share a philosophy of netbooks. He says there's still a cloud over XP, that Microsoft says they're going to withdraw it at some point. They keep saying that. To which I said, Geez Louise guys, come on -- you have a winner. Microsoft has to be the most out to lunch technology company out there. By now you'd think they'd realize that the market doesn't want a new operating system, that XP is just fine, thank you. But they have their own reasons, like the auto makers, to do what they do. Or the journalists. The last people they'd let drive the market are the users, right? Microsoft is basically a full employment charity for operating system programmers. They should let all those programmers go, and hire some new ones from the user community, fix bugs and give the users what they want. Of if they insist, keep them employed, but please let us continue to use XP. It's not a half-bad operating system and its cheap and runs on cheap hardware. We <i>like</i> it! ";->"
			- Microsoft's attitude about XP reminds me of the National Lampoon issue where they had a <a href="http://www.flickr.com/photos/scriptingnews/3116706556/">picture</a> of a cute dog with a gun pointed to his head. The headline said: If you don't buy this magazine we'll kill this dog. (Ouch.)
			- Update #1: <a href="http://www.scripting.com/stories/2008/12/17/whatIsANetbook.html#comment-4473159">Don MacArthur says</a> the purpose of Vista is DRM. That's why Microsoft wants to kill XP. And maybe that's why we like netbooks -- you can watch a movie or listen to a podcast without hassles. 
			- Update #2: Other features you should expect to find on your netbook: a webcam, audio in and out. <a href="http://www.scripting.com/stories/2008/12/17/whatIsANetbook.html#comment-4469876">AM Pressman says</a> some netbooks only have two USB ports. That's debatable. It's amazing how quickly the market has rejected products without all the features of the others. Two USB ports are the minimum you can get by with. Three really is pretty important, beyond "nice to have." I added the webcam and audio features to the list, above.
			- Update #3: People immediately say that I should broaden the definition or narrow it to include or exclude their idea of a netbook. That's not what I'm trying to do, though. There really is a specific product the market is <a href="http://techdirt.com/articles/20081212/0120133101.shtml">settling on</a>, and it's happening quickly. Partially due to constraints Microsoft is putting on XP licensees; and partially because there are applications that require certain configurations. I'm not trying to influence anyone, I don't have that power and don't seek it. I'm doing something pretty much like reporting -- this is what I see. You may see soemthing else, or may have a different purpose, and you can (of course) to write your own piece explaining netbooks.
		- Embargoes are stupid and unbloglike
			- See this FriendFeed post.
			- http://bit.ly/BrEAf 
			- Thanks! ";->"
	- December 16
		- My great uncle's letters
			- <a href="http://www.flickr.com/photos/scriptingnews/3113875514/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/16/arno.jpg" width="85" height="98" border="0" align="right" hspace="15" vspace="5" alt="A picture named arno.jpg"></a>German author <a href="http://en.wikipedia.org/wiki/Arno_Schmidt">Arno Schmidt</a> was my great-uncle on my mother's side, my maternal grandmother's younger brother. I never met him, but when he died in 1979, my mother ended up with a collection of his writing. We want to donate these writings to a library for long-term preservation. We're going to do this slowly and carefully, because we want to do right by an ancestor, but also to learn as much as possible about the process to apply to preserving digital archives. I'll write more about the book collection later.
			- I also have a taped interview with Lucy Schmidt Kiesler, my grandmother, done by a Schmidt biographer, which I'm going to digitize and then release as an MP3 podcast. It'll be the first time I've heard my grandmother's voice since she died in 1977.
			- Today I want to see if it's possible to do some detective work to find some of my great uncle's letters to my grandmother, his sister -- from his home in Germany to her home in Rockaway. 
			- Here's what I know. According to my mother, in 1977, a doctoral student from the University of Texas, Kenneth Wayne Egan, visited and with permission, studied the letters, which had been left to my mother by her mother, my grandmother, Arno Schmidt's sister. Apparently Mr. Egan took the letters, according to my mother, without permission. One thing's certain -- we don't at this time have the letters. 
			- I have a letter from Dr. H-B.Moeller, Assoc Prof in the Department of Germanic Languages, thanking my mother for her help and hoping that she would extend her welcome, if needed again, in the future. My mother says she attempted to contact Dr. Moeller to inquire about the letters, but he didn't respond. 
			- I scanned the letter and uploaded it to Flickr. Click on the thumbnail below to see the full image.
			- <a href="http://flickr.com/photos/scriptingnews/3113847718/sizes/o/" title="Letter from H.B. Moeller, Nov 8, 1977 by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3025/3113847718_cf1b93039f_m.jpg" width="164" height="240" border="0" alt="Letter from H.B. Moeller, Nov 8, 1977" /></a>
			- We did some searching and found Egan's doctoral dissertation <a href="http://books.google.com/books?id=xY8lCOmW-IcC&pg=PA14&lpg=PA14&dq=%22wayne+egan%22++%22Arno+Schmidt%22+texas&source=bl&ots=p2aTT917fQ&sig=HKo-sotDmGhlJdBm91PPAjZoCyg&hl=en&sa=X&oi=book_result&resnum=2&ct=result#PPA14,M1">mentioned</a> in the bibliography of an analysis of Schmidt's Zettle's Traum. It's possible the originals are in a library at the University of Texas. If so, they should be returned to my mother so we can include them with the collection of our books in our donation. I'm not saying that Egan, or Moeller or the University of Texas did anything wrong, memories can fade over 30-plus years. But we believe the letters belong with the rest of Schmidt's writings, as a collection. In any case, it would be helpful to know where they are. 
			- Update: <a href="http://www.jeffbeckham.com/">Jeff Beckham</a> sent a link to <a href="http://www.utexas.edu/cola/depts/germanic/faculty/profiles/Moeller/Hans-Bernhard/">Dr. Moeller's page</a> on the University of Texas website. I sent him an email asking for his help in locating the letters. 
	- December 15
		- The lame duck ducks, redux
			- Yesterday I posted a <a href="http://www.scripting.com/stories/2008/12/14/theLameDuckDucks.html">video</a> of US President George Bush having a pair of shoes thrown at him by an Iraqi journalist while yelling insults at him. Bush did what you'd hope he'd do, he ducked -- then came back up unbelievably with a half-grin on his face, just before ducking again as the guy threw his other shoe.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/15/bush.gif" width="340" height="240" alt="Bush ducking shoes thrown by Iraqi journalist in Baghdad.">
			- I also posted a <a href="http://twitter.com/davewiner/status/1057725020">number</a> of <a href="http://twitter.com/davewiner/status/1057727843">questions</a> on Twitter that I should have posted here, which would have made more clear my concern. 
			- 1. Will Secret Service make reporters remove shoes? 
			- 2. Bush is POTUS. Such disrespect of US is bad
			- 3. Will they throw shoes at Obama? Will we think that's funny? 
			- 4. What if it escalates? Where is the line where it stops being entertainment?
			- Now Twitter is the opposite of verbose. In a blog post I can fully explain, which I will now do...
			- First and foremost until January 20, Bush is more than Bush, he is the President of the United States. When you throw shoes at this guy, until then, you're also throwing them at the office, and at the country. If you're an American and your pride in your country isn't offended by this, then well, you're different than me. I think Bush is the worst President we've ever had. But until he's out of office, he is our President. I hope we make it to January 20 without paying more dearly for our terrible choice.
			- Second, I found, from watching the video, over and over, that while I saw the humor in it, and I laughed out loud, that I can't help sympathizing with the guy who's being attacked. I admire his spirit. He didn't get angry, he sort of acted like a goalie, and fielded the shots. But as funny as it is, it is sad for us.
			- <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/12/15/AR2008121500161.html">The day-after reaction</a> in the Arab world confirms this. They can get away with throwing shoes at the President. What's next? Shit? What if one of those shoes had injured the man? Do we want discourse to go this way? And then what if someone throws shoes at Obama. Can you imagine there wouldn't be a response from the US? There better be or else the next symbol to go could be something bigger -- but wait a minute -- there is no symbol bigger than our President. 
			- If you're not an American, imagine your leader visiting our country and being physically attacked this way by an American. Yes I fully understand that the Iraqis have legitimate issues with America and with Bush, but a visiting leader of a foreign country is entitled to some respect and protection. Otherwise how can we have relations? It's the same principle that provides immunity for diplomats.
			- This is no good. Sorry if you don't understand, when people say the shoes were being thrown at the man and not the office and not the country, I can't agree. Until the 20th of January, there's no difference between the three.
		- Twitter federates with Google?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/15/ronaldMcDonald.jpg" width="115" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named ronaldMcDonald.jpg">Not sure what to make of the <a href="http://googleblog.blogspot.com/2008/12/twitter-welcome-to-google-friend.html">announcement</a> that Twitter is becoming part of Google's federation. That could be the wrong way to describe it. Here's what I do know. You'll be able to use your Twitter ID to sign on to any site that supports Google's API and the relationships between you and your followers and the people you follow will somehow be reflected in the Google "social graph." It'll be interesting to see how this works because "follow" isn't mutual, if I follow you it doesn't mean that you follow me, where friendship in social networks <i>is</i> two-way.
			- Also unsure of how safe this is for Twitter. Once they've let Google have a shot at their users this way, how far a reach is it for Google to provide a Twitter-like service to all of Twitter's users and all of their users? Maybe this isn't interesting for some reason?
			- Update #1: <a href="http://www.alleyinsider.com/2008/12/facebook-connect-coming-to-twitter">Twitter is also connecting with Facebook</a>.
			- Update #2: <a href="http://www.techcrunch.com/2008/12/15/twitter-humiliates-myspace/">And leaves MySpace wondering WTF</a>.
		- Netflix is dix
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/15/hope.jpg" width="150" height="253" border="0" align="right" hspace="15" vspace="5" alt="A picture named hope.jpg">My credit card account got hacked, leaving me in a sticky wicket when I got to NY. I was able to convince the credit card company to let me check in, just, and then when I got to the room they cancelled the card. As a result various services will try to bill that card and will fail (I've been through this before). Most of them come at the end of the month, but Netflix tried to bill the account the day after it was cancelled, and I was still in NY and hadn't received the new card yet. But they put my "account on hold" anyway -- which means if I thought of a movie to add to my queue in the meantime, tough noogies, no payee no queuee. No grace period, even though I've been a subscriber in good standing since 2001 or so. Assholes. 
			- The stupid thing about it is I'm on the verge of <a href="http://www.youtube.com/watch?v=oc8BUSOPfcY">shutting down Netflix</a> anyway. I've exhausted my imagination of old movies to have them send me. I usually don't even watch the ones I order, I just send them right back, and it makes me feel guilty that I'm contributing to global warming. But Markman just <a href="http://www.scripting.com/stories/2008/12/14/singinInTheRain.html#comment-4413541">posted</a> a long list of great 1930s films, and I wanted to <a href="http://images.scripting.com/archiveScriptingCom/2008/12/15/netflixbigco.gif">check them out in Netflix</a>, but nooooooooo...  <a href="http://www.youtube.com/watch?v=U2UFXQuT0PU">I'm sorry Dave</a>, I'm afraid I can't do that.
			- I've always said Netflix should be about the intersection between movies and the Internet, and they should own that space, and never under any circumstances close the site to an avid film user, esp one who has been paying $20 per month steadily year after year. What a bunch of losers!!
		- Singin in the Rain, day 2
			- I didn't know so many 20s and 30s film enthusiasts were tuned in to Scripting News. I am one myself, the 30s were probably the biggest growth decade for film, at the dawn of the decade sound was just coming out (I was wrong yesterday, <a href="http://en.wikipedia.org/wiki/The_Jazz_Singer_(1927_film)">The Jazz Singer</a> was of course the first picture with sound, 1927). 
			- A commenter <a href="http://chris.pirillo.com/2008/12/03/how-to-download-720p-high-definition-youtube-videos/">posted</a> a pointer to a Chris Pirillo <a href="http://chris.pirillo.com/2008/12/03/how-to-download-720p-high-definition-youtube-videos/">piece</a> that explains in great detail how to download an MP4 of a YouTube video. The Cliff Notes version: Right-click on this <a href="javascript:if(document.location.href.match(/http:\/\/[a-zA-Z\.]*youtube\.com\/watch/)){document.location.href='http://www.youtube.com/get_video?fmt=18&video_id='+swfArgs['video_id']+'&t='+swfArgs['t']}">link</a>, choose Bookmark This Link. Then when you're on a YouTube page whose video you want, just choose the Bookmark menu item, and save it to your local hard drive.
			- I tried it with Singin in the Rain, and it worked, and now I have a <a href="http://scripting.s3.amazonaws.com/movies/singinInTheRain.mp4">copy</a> in my archive on Amazon S3, so it's less likely to disappear in the future. 
			- Re yesterday's <a href="http://www.scripting.com/stories/2008/12/14/singinInTheRain.html">piece</a>, I'm still wanting to create a list of all the people in the song, in order. I only know who a few of them are. 
	- December 14
		- Singin in the Rain
			- I've been looking for this song, in video, for years -- and today I found it on YouTube, while flying from NY to SF on American Airlines flight 15.
			- It was the closing song of the <a href="http://en.wikipedia.org/wiki/The_Hollywood_Revue_of_1929">Hollywood Revue of 1929</a>, the first talking picture, which is actually in the public domain. I'd like to download an archive of this video in case it disappears from YouTube (one that was there about a week ago did disappear, for no good reason, since it is public domain).
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/EUoTAtl8lv8&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/EUoTAtl8lv8&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- I know who a few of the actors are, but I'd like to know the names of all of them. 
			- A young Joan Crawford is the second in the review.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/14/joan.jpg" width="125" height="129" border="0" alt="A picture named joan.jpg">
			- Two later is Buster Keaton, the only one who isn't singing.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/14/keaton.jpg" width="125" height="130" border="0" alt="A picture named keaton.jpg">
			- I'm sure Jack Benny is in there somewhere, as is Conrad Nagel.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/14/nagel.jpg" width="125" height="127" border="0" alt="A picture named nagel.jpg">
			- Marie Dressler is the old woman, third from last.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/14/dressler.jpg" width="125" height="129" border="0" alt="A picture named dressler.jpg">
			- Who is this guy? He looks like he could be a friend of mine (of course no matter, all these people are long-dead).
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/14/who.jpg" width="125" height="104" border="0" alt="A picture named who.jpg">
			- The 1930s was a golden age of movies. So much great stuff, culminating in one of the best years -- 1939. 
		- First post from 38K feet
			- I'm on an American Airlines flight from New York to San Francisco. It has wifi from <a href="http://www.gogoinflight.com/">Gogo Inflight</a>. 
			- Aside from immediately posting a <a href="http://twitter.com/davewiner/status/1056956069">note</a> on Twitter, I checked to see if it had enough bandwidth to access my Slingbox, and it does. I'm listening to the roundtable on This Week while I write this.
			- Before we left I took a <a href="http://flickr.com/photos/scriptingnews/3107574334/">picture</a> of the plane and uploaded it. Maybe later I'll take some morepics . 
			- I got a special offer of 25 percent off the $12.95 price.
			- All the more reason for American Airlines to have clip art for blog posts now that we're going to be blogging from the air.
			- According to Speakeasy, I'm getting 1201 kbps up and 269 down. 
	- December 11
		- New York update
			- Cold and rainy and wintry here. 
			- Been riding the subways, meeting with friends, walking a lot, bundled up and finding lots of free unsecured wireless all over the city, unlike the Bay Area where everything's locked up.
			- Another secret of NY, if you need a warm dry place to hang out for an hour or more with no one hassling you to buy stuff, try the lobby of a big hotel. There are lots of them, and they're public places, and often have free coffee. Someday they'll close these places  or figure out how to charge for them, but for now they're noisy amenities that are open all the time. Across from me in the <a href="http://flickr.com/photos/scriptingnews/3100105285/">New York Sheraton lobby</a> there's a mother and daughter playing cards, people reaidng newspapers, business people talking deals, and no one seems to be in any kind of a rush. I have my Asus 1000H with 5 hours of battery life and nothing to do for 45 minutes. I bought a Starbuck's at the bar, over-priced for sure, so I hope they're getting a fair deal from me. Christmas music playing (I could live without but) -- it seems fitting.
			- Yesterday I had dinner with my book agent <a href="http://www.publishersmarketplace.com/members/swhanselma/">Steve Hanselman</a> at the Capital Grille under a huge portrait of JP Morgan. I promised a portrait of <a href="http://www.scripting.com/stories/2008/12/11/jpMorgan.html">Morgan on Scripting</a>. 
			- This morning I had breakfast with Anil Dash of SixApart, and got his <a href="http://flickr.com/photos/scriptingnews/3100725884/">pic</a> with <a href="http://hello.typepad.com/hello/2008/12/anil-and-i-had.html">David Jacobs</a>, also of SixApart. This is an alternate universe, one of my best friends is named David Jacobs. No relation. The one here is a <a href="http://www.google.com/search?q=site%3Ascripting.com+mets">Mets</a> fan and the one in SF is a Cubs fan. They both feel like brothers, for different reasons. ";->"
		- JP Morgan
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/11/morgan.jpg" width="294" height="382" border="0" alt="A picture named morgan.jpg">
	- December 9
		- Greetings from Dallas airport
			- Changing planes here for NY/JFK.
			- Going to take the <a href="http://www.mta.info/mta/airtrain.htm">AirTrain</a> into NY, this time I'm going to get on the LIRR in Jamaica and ride it into Penn Station.
			- I hear from people who are regular JFKers that this is much better than taking the A train fom Howard Beach, which is <a href="http://www.scripting.com/stories/2008/09/20/fromTerminal4AtJfk.html">how I got there last time</a>.
			- The guy behind me on the plane is talking on the phone, being very stern, and talking about screening a movie in DC for "Barak." He is wearing two hats. And being pretty rude to everyone around. Thankfully they don't allow people to use their phones when we're in the air.
			- I'm doing crosswords and watching an American Experience episode on the Crash of 1929. Remarkable how many parallels there are to 2008. Basically we unwound a lot of the regulations that were put in place after the crash, so we got another one. 
			- People are telling the guy behind me that they "Love your work." Wonder who he is. Didn't get a good look. He's black and wearing two hats, and is kind of short but he doesn't look like Spike Lee. I'm so clueless. You can quote me. ";->"
			- I don't want to be rude and turn around and stare.
			- Last time I sat near someone famous on an airplane it was <a href="http://www.scripting.com/2007/01/01.html#whatIMightHaveSaidToSuzeOrman">Suze Orman</a>.
	- December 8
		- Is your subway system a platform?
			- Does it have an API?
			- Funny thought perhaps, or maybe only in the Bay Area -- but our subway system -- BART, has an API. And it's kind of fun. I spent a couple of hours today hacking together an application, it's not all that useful, but one of these days something else will get an API that plugs in nicely and something interesting will happen.
			- Here are the <a href="http://www.bart.gov/schedules/developers/index.aspx">docs</a> for the BART API.
			- And the <a href="http://www.bart.gov/schedules/developers/etas.aspx">docs</a> for the real-time ETA feed.
			- And the <a href="http://www.bart.gov/dev/eta/bart_eta.xml">ETA feed</a> itself.
			- Clearly it's a straight dump of the database of the BART trains that are running right now, and the time of their expected arrival at the various stations on the network. 
			- I wrote an app that loads the XML into a database on my server once a minute, it's quite quick  -- and then it looks for trains that are arriving right now, and sends a tweet saying <a href="http://twitter.com/berkeleybart/status/1046232501">something like</a>: <i>"The train to Richmond is arriving at the Downtown Berkeley BART station."</i>
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/08/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">This would generate far too many tweets to be humane, no one in their right mind would want to follow a user that was announcing the arrivals of <i>every</i> train in every station on the BART network, which isn't even that big a network. You can imagine what a PITA that app would be for a subway system like NY or London. Not cool.
			- So instead I had it only report on trains arriving from any direction at the three Berkeley BART stations, <a href="http://maps.google.com/maps?q=Ashby+BART,+Berkeley,+Alameda,+California+94703&ie=UTF8&oe=utf-8&client=firefox-a&hl=en&cd=1&geocode=FYWXQQIdBk-2-A&sll=37.0625,-95.677068&sspn=23.875,57.630033&ll=37.853068,-122.269936&spn=0.02555,0.034161&z=15&iwloc=addr">Ashby</a>, <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=Downtown+BART,+Berkeley,+Alameda,+California+94703&sll=37.853068,-122.269936&sspn=0.02555,0.034161&g=Ashby+BART,+Berkeley,+Alameda,+California+94703&ie=UTF8&ll=37.869874,-122.268047&spn=0.025544,0.034161&z=15&iwloc=addr">Downtown</a> and <a href="http://maps.google.com/maps?f=q&hl=en&geocode=&q=North+Berkeley+BART,+Berkeley,+Alameda,+California+94703&sll=37.869874,-122.268047&sspn=0.025544,0.034161&ie=UTF8&ll=37.87404,-122.283883&spn=0.025542,0.034161&z=15&iwloc=addr">North Berkeley</a>. That's a manageable number of tweets. And that suggested a name for the feed: BerkeleyBart. Which sounds like something from a cowboy cartoon or a Henry Fonda western starring Jimmy Stewart and Raquel Welch with Buddy Hackett as the kooky sidekick. Okay enough of that. ";->"
			- It's a cute little thing, nothing earth-shaking, but I wonder if it's correct. Next time I'm at a Berkeley BART station I'll check it out and see if it correctly calls the arrivals of trains.
			- Also it seems like just the thing <a href="http://scobleizer.com/">Scoble</a> will like. He's into <a href="http://scobleizer.com/2007/01/20/i-like-trains-too/">trains</a> and <a href="http://twitter.com/berkeleybart">Twitter</a> and really <a href="http://www.flickr.com/photos/jdlasica/101850677/">strange</a> things. I've also set it up so it works with <a href="http://friendfeed.com/users/1df433384f124e339fe660c42feb53fb">FriendFeed</a>.
		- Super-busy day today
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/08/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">Intelligence and creativity are great, highly valued by our civilization, and so is vision; and when we think of vision, we usually think of far-reaching vision, but... The hardest stuff to see is often the stuff in front of your nose, in plain sight. Your eyes gloss over it, seeing only what you expect to see. So when you look at the world, you see a reflection of what's inside yourself. The world could change, but the change goes unperceived. Or flipped around, something about you changed, and you think (incorrectly) that the whole world changed. 
			- <a href="http://www.scripting.com/davenet/1997/05/07/Programmers.html">Programmers</a>, as I've said many times, learn this over and over. We can't bury our mistakes, unlike other vocations. If you want to move on you have to figure out what's wrong. And almost always the mistake is one of your perception. Your eye glosses over the code and you see what you expect, even though what you actually typed is different. You can't move on until your vision improves.
			- I love puzzles that reveal this. I love <a href="http://www.scripting.com/stories/2007/08/23/donsAmazingPuzzle.html">Don's Amazing Puzzle</a>, first shown to me by Don Brown, a programmer in Iowa. You try to count the F's in a sentence. It's just an ordinary sentence, swear to god there's no trick. But when I tried it, I got the wrong count. I repeated it over and over, still got the wrong answer. I swore it must be a semantic game, that the answer was zero or Tuesday or something stupid like that, so I wrote a script to count the F's and the script got it right! Oy.
			- Two people I knew at the time got the correct answer right away, one of them was a professional editor, and had developed a technique for doing this kind of review. Knowing that the human mind glosses over surprises, he reads sentences backwards. Ahh! When you break the routine your filters can't engage.
			- I've noticed another trick that doesn't make me more intelligent or creative, rather it increases my awareness, and the net effect is that I am more creative and smarter. When I'm out for a walk, waiting for a light to change, I watch my feet when I step off the curb. I always step off with my right foot. So I try instead to step off with my left foot. It requires some serious work to do this. But I find that I'm more aware as I walk if I do.
			- Another one, I could stare at a piece of code and swear the machine wasn't processing it correctly, but I know that's not the correct answer. Instead, I get up, refill my water glass, or walk around the block, or write a short post, and come back, then all of a sudden the bug pops out at me. Taking a break, taking your eyes out of context and bringing them back also improves your vision. 
			- Anyway, back to my busy day! ";->"
			- PS: If you like this story, you'll probably like the <a href="http://www.scripting.com/davenet/1997/05/05/DoyouhaveaHead.html">story</a> about the kids in a circle and the heads and the feet.
	- December 7
		- The space between Twitter and FriendFeed
			- I'm a longtime <a href="http://twitter.com/davewiner">Twitter</a> user, and as you may know a very regular user of <a href="http://friendfeed.com/davew">FriendFeed</a>. Each has its strengths but if I had to choose, sort of like <a href="http://en.wikipedia.org/wiki/Sophie%27s_Choice_(film)">Sophie's Choice</a>, I'd have to go with FriendFeed. I finally figured out why this is a few days ago as I was experimenting with a real-time photo-flow app. It could be done in either Twitter or FriendFeed, but in FF it's graphic and in color, in Twitter, it's like a command-line operating system. Then it hit me, Twitter is to FriendFeed (in 2008) what MS-DOS was to the Mac (in 1984). Have we come full circle? Amazingly I think we have.
			- In the 80s, MS-DOS users argued whether or not we <i>needed</i> a graphic operating system. "Need" was the big idea. They said they could do everything you could do with a Mac on the PC, and they were more than right about that -- they could do <i>more</i> on the PC than you could do on a Mac because there was more software for it. In 1984 the Mac had a lousy spreadsheet and a cheap word processor, and whole categories completely missing like databases. This is analogous to the correct argument that Twitter has more people to connect with, and of course that's the whole point of both products -- connecting with people. Twitter wins that one, hands-down, nolo contendere. And FriendFeed, even in its name, admits that this is the game, after all it's called <i>Friend</i>Feed, not <i>CoolFeatures</i>Feed, although of course, that's why I like it. ";->"
			- <a href="http://friendfeed.com/e/a6b859ec-367c-452a-820c-15e021d28f49/Papuan-tribesman-Suroba-says-the-Indonesian/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/07/tribesman.jpg" width="85" height="195" border="0" align="right" hspace="15" vspace="5" alt="A picture named tribesman.jpg"></a>But it's undeniable, when a picture shows up in FriendFeed it looks like a picture, not like a url. And when a YouTube video appears, yup -- it looks like a video not a url. MS-DOS users sniffed at WYSIWYG back then, as Twitter users today sniff at a visual twitstream, but the MS-DOS users were wrong, history proved that, and I think the Twitter users are wrong too. 
			- I've been calling this <i>The Graphics Gap,</i> with a hat-tip to <a href="http://movies.nytimes.com/movie/review?res=EE05E7DF173DE367BC4950DFB766838F679EDE">Dr. Strangelove</a>, a satire of the nuclear arms race of the 60s and 70s, when the Russians and Americans worried about a missile gap, space gap, doomsday gap, and eventually (according to the satire) a <a href="http://www.youtube.com/watch?v=iD9o0OWYHRo">mineshaft gap</a>. 
			- Now, on the other hand...
			- Yesterday I went into the city for a chat with tech industry guru <a href="http://gigaom.com/author/om/">Om Malik</a>. Of course the conversation turned to Twitter and FriendFeed -- Om said something I hear a lot. When he goes to FriendFeed he doesn't know what to make of it. I totally understand, there are still parts of FriendFeed that I, a devoted user, have never explored. It took me months to realize that "Like" was the feature I kept asking for. It's hard to find things I post there, even something I posted yesterday. <a href="http://images.scripting.com/archiveScriptingCom/2008/12/07/lifeaquatic.gif">An item</a> I posted two months ago all of a sudden pops to the surface because someone commented on it or Liked it. Unless you're very curious, or devoted to understanding this category, as I am, FF often remains a puzzle, where -- as Om noted -- Twitter is so simple anyone can understand it in a few minutes.
			- Hence the premise of this piece. I believe that there is space between Twitter and FriendFeed for a service that's dumber than FriendFeed and richer than Twitter. Start with what Twitter does and add the graphics that FriendFeed has. I know some people will say that's Pownce, but it's not (though Pownce was pretty nice). I don't want full blog posts, I like the 140-character limit, and I can skip out on the discussion features that FF has that Twitter doesn't. But I think a graphic and visual Twitter would kick ass, the same way the Macintosh eventually kicked MS-DOS's ass in the 80s and early 90s.
	- December 4
		- Soon it will be time to start over, again
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/04/monkeyhat.gif" width="115" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkeyhat.gif">Here's how the tech industry cycle goes.
			- A new generation of young techies comes along, takes a look at the current stack, finds it too daunting (rightly so) and decides to start over from scratch. They find that they can make things happen that the previous generation couldn't cause they were so mired in the complexity of the systems they had built. The new systems become popular with "power users" -- people who yearn to overcome the limits of the previous generation. It's exhilirating!
			- Some of those power users are venture capitalists, they're hanging around looking for things to invest in, and they pick a few things that look like winners. When I was fresh and dewy, part of the new crop of techies, these people were <a href="http://query.nytimes.com/gst/fullpage.html?res=9D05E2DC1F31F932A3575AC0A961958260&sec=&spon=&pagewanted=3">Mike Markkula</a> who funded Apple, and <a href="http://www.benrosen.com/files/6089c851ef3adbd8676370cc7926603e-8.html">Ben Rosen</a> who funded Compaq and Lotus. In later generations they were different people, of course.
			- So the new folks, freshly funded, hire lots of people, young'uns like themselves who are doing it The New Way. They ship some products, and while the users are happy and excited about all the cool new things they can do with the new generation, now that they're freed of the limits of the previous one, they still want all the features they had come to expect in the old days. No problem! The new companies hire <i>more people</i> and they add all the features of the old generation. Feature wars follow, and the users get bored, and a new generation of techies comes along, takes a look at the current stack, finds it too daunting (rightly so) and decides to start over from scratch.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/04/monkey1.gif" width="115" height="65" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey1.gif">Round and round and round we go.
			- We're now reaching the end of a cycle, we're seeing feature wars. That's what's going on between <a href="http://blog.facebook.com/blog.php?post=41735647130">Facebook</a> and <a href="http://googleblog.blogspot.com/2008/12/google-friend-connect-now-available.html">Google</a>, both perfectly timing the rollouts of their developer proposition to <a href="http://www.pcworld.com/article/154988/">coincide</a> with the others' -- on the very same day! I don't even have to look at them and I am sure that they're too complicated. Because I've been around this loop so many times. The solution to the problem these guys are supposedly working on won't come in this generation, it can only come when people start over. They are too mired in the complexities of the past to solve this one. Both companies are getting ready to shrink. It's the last gasp of this generation of technology. 
			- But the next one can't be far away now. It will be exhilirating!!
			- Remember how great Google was when it first appeared?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/04/monkey2.gif" width="115" height="84" border="0" align="right" hspace="15" vspace="5" alt="A picture named monkey2.gif">Remember how great Netscape was, and before that Apple, and I know you guys won't like this, but Microsoft offered us some great new places to play. I remember finding out that their OS address space in 1981 was 640K. That was a lot to guy who was spending huge amounts of time trying to cram a 256K app into 48K.
			- The trick in each cycle is to fight complexity, so the growth can keep going. But you can't keep it out, engineers <i>like</i> complexity, not just because it provides them job security, also because they really just like it.  But once the stack gets too arcane, the next generation throws their hands up and says "We're not going to deal with that mess." 
			- We're almost there now. ";->"
			- Update: For a clue to how deeply mired in crud we are right now, check out this <a href="http://friendfeed.com/e/496509f5-c5aa-d6ee-17b4-2bea92019b3c/What-is-this-OpenID-Everyone-Speaks-Of/">discussion</a> among users and developers about OpenID. No one has a clue what problem its supposed to solve. 
	- December 3
		- New news flows
			- <a href="http://flickr.com/photos/scriptingnews/2699829038/sizes/o/"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/03/obamaBerlin.jpg" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named obamaBerlin.jpg"></a>When we talk about news on the net the conversation is dominated by the interests of news organizations. The stories we tell are from their point of view. The vexing problems we face are their problems, not ours. That's been the point of the series of pieces I've been writing about news. I do care about the people of news, as I care about the people of the car industry and the people who lost their jobs at Lehman Brothers. And the 10K <a href="http://www.alleyinsider.com/2008/12/google-not-even-pretending-to-be-an-engineer-run-company-anymore">contractors</a> who may be laid off at Google. But for the sake of this discussion, what I really care about is news and how it's going to get from them that have to them that want. 
			- In a <a href="http://www.scripting.com/stories/2008/12/02/aPlanBForNews.html#comment-4143121">comment</a> yesterday I said it's often overlooked that while the Internet makes some things that we used to do diseconomic, if you took the Internet away some things we've come to expect would go away too. All the stuff people call "crowd-sourcing" -- the million eyeballs that are constantly watching, and the thousands of them that are there when news happens. 
			- I watched a bunch of campaign events this year, and one of the things that's largely been unreported is how much reporting goes on at them. I first noticed it when Hillary came out on stage to make her concession speech. Immediately every pair of hands in the <a href="http://flickr.com/photos/citezein/2574777187/in/photostream/">room</a> goes up, not in salute, not cheering -- each pair held a digital camera, and they were capturing images of the Clinton family. There's no doubt if you wanted a picture of that event you could get many to choose from.
			- It was something else at <a href="http://flickr.com/photos/scriptingnews/2807926676/in/set-72157607037999894/">Mile High Stadium</a> for the Obama acceptance event. It seemed everyone there was taking in the history of it, and again, the cameras were everywhere.
			- <a href="http://flickr.com/photos/scriptingnews/2699829038/sizes/o/">Look at this striking picture</a> of the audience at the Obama rally in Berlin, taken from Obama's perspective. This is what he must have been seeing as he went across the country. Recording devices of every kind, all pointed at him. (A fair number of American flags too, which gave me goose bumps.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/03/hrc.jpg" width="85" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named hrc.jpg">Now if there isn't something we can do with the next generation of networking tools that's truly exciting and enabling, then we need to hang it up and let someone else drive for a while. In a couple of years every one of those devices will be replaced (knock wood, praise Murphy) and will they communicate better? I hope so! At the same time, we need to work on software and networking tools that allow us to process millions of pictures of an event and do intelligent things with it. When I was in Boulder in August I saw <a href="http://occipital.com/about.html">such a tool</a>.
			- Update: VentureBeat has an <a href="http://venturebeat.com/tag/cooccipital/">excellent description</a> of Occipital. "If multiple people upload multiple photographs from the same event around the same time, Occiptial will figure out that an event just happened and classify the photographs accordingly. Doing this right is really, really hard, yet with two people, Occipital seems to have done it. This team is scary good."
			- I've also been playing with a flow of thousands of professional photographs every day. It's really something to wrap your mind around, but after almost a year, I'm beginning to understand what kind of editorial tools you need to make sense of such a flow. 
			- And that's always the tough problem, in my experience, making sense of the information. That's what reporters do. But it's all happening now on such a huge scale, we need new systems to grapple with it.
			- Do I think there could be money-making ventures built off this flow? Absolutely. What are they? Not sure yet. ";->"
		- TechCrunch federates with Facebook
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/03/identityMan.gif" width="80" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named identityMan.gif"><a href="http://www.techcrunch.com/2008/12/03/techcrunch-is-now-in-a-relationship-with-facebook-connect/#comment-2554871">TechCrunch</a>: "TechCrunch readers can now use their Facebook accounts to sign in before leaving comments."
			- Interesting. And it integrates with Facebook's news feed. 
			- I left a comment suggesting they do the same for Twitter, FriendFeed and Identi.ca. Very easy to validate a name with any of those services, though the companies didn't make a big deal about it. I'd like to see some of the smaller developers get a chance to play in league with the big guys. They could also share a pointer to your comment in the flow of any of the services, their APIs make it brain-dead simple to do. 
			- Update: There's another reason for a site like TC to federate with the three sites above. Some of us don't use Facebook, but are regular readers of TC. I do have an account on FB, of course, but I almost never check it. I get FB friendship requests from people I haven't seen in years, and care about, and it makes me sad that I don't have the bandwidth to add Facebook to my rotation, I just don't think about it. But... I recently added a connection between Disqus and Friendfeed, and I like what's happening there. I am a constant user of both software tools, so connecting them makes a lot of sense. Any time I post a comment anywhere on Discqus's network, it <a href="http://friendfeed.com/e/d73d4771-e746-caff-e78c-5accf6ec880b/Re-TechCrunch-federates-with-Facebook-Scripting/">propogates to FriendFeed</a>. TC is not on the Disqus net, but I would like it to be on the FF net. I think it makes sense for TC to support any site that a significant number of their readers use.
		- Bathtime in Clerkenwell
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/ggdkvvaoKH4&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/ggdkvvaoKH4&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
		- XML-RPC update
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/03/icbm.gif" width="68" height="553" border="0" align="right" hspace="15" vspace="5" alt="A picture named icbm.gif">Its been a long time since I written about <a href="http://www.xmlrpc.com/">XML-RPC</a>, it's one of those things that when I do, the flamers show up and get all personal. I shouldn't let that get in the way, of course; and while I wasn't <a href="http://www.google.com/search?q=xml-rpc">looking</a>, for example, <a href="http://www.mozilla.org/projects/xmlrpc/">Mozilla</a> baked-in support for XML-RPC. Not sure what you can do with that, but I'm sure someone will explain.
			- The other day when I <a href="http://www.scripting.com/stories/2008/11/30/fractionalHorsepowerImagem.html">asked</a> about an XML-RPC interface for ImageMagick, <a href="http://www.scripting.com/stories/2008/11/30/fractionalHorsepowerImagem.html#comment-4142583">Justin Walgran took me up on it</a>, and deployed <a href="http://powermetalgeekforce.blogspot.com/2008/12/its-magick-baby.html">one</a> <a href="http://code.google.com/p/remotemagick/">on</a> Google AppEngine. Now that makes sense for so many reasons. A perfect application for AppEngine, and since its native language is Python, and Python has great XML-RPC support (we upgraded ours in Frontier based on their inspiration, the highest form of respect), it was not a very large programming project.
			- Hopefully I'll be able to test it out today, once we know the name of the procedure, what server its running on, and what parameters it takes.
			- I made a suggestion in the comments that where the procedure calls for the image itself, that it accept the URL of the image. This would work better for my app because by the time it needs the thumbnail it has already uploaded the image to an HTTP-accessible server. It would work better to not have to upload it twice. ";->"
			- So the procedure would look something like this:
			- imageMagick.createThumb (image, height, width) returns binary
			- Where image can either be a binary type containing a JPEG, GIF or PNG graphic; or a string that contains an HTTP URL to the graphic. Height and width are numbers that reflect the desired height and width of the thumbnail. It returns a binary type containing a PNG (?) thumbnail.
			- Of course if there's an error it uses the XML-RPC exception mechanism.
			- Needless to say this is a very interesting project to me. And if someone wants to create an equivalent REST application, I will promote it alongside the XML-RPC application.
			- Update: <a href="http://imagin.notdot.net/">Imagin</a> appears to be exactly what I was looking for. It's fast, flexible, takes a URL as an image parameter. Very nice. What's not clear is how hard you can drive it without pissing him off.
	- December 2
		- A Plan B for news?
			- <a href="http://www.buzzmachine.com/2008/12/02/a-complete-ecology-of-news/">Jeff Jarvis responds</a> to my <a href="http://www.scripting.com/stories/2008/11/24/pointOfViewIsEverything.html">series</a> of <a href="http://www.scripting.com/stories/2008/11/25/newsPeopleMustStudyTheirUs.html">pieces</a> about <a href="http://www.scripting.com/stories/2008/11/27/itsAboutTheUsersDummy.html">news</a> <a href="http://www.scripting.com/stories/2008/11/29/ifYouNeverListenYouNeverLe.html">after</a> the hypothetical collapse of the news industry. I wrote a comment there, which I'm reproducing here, with some light edits.
			- <a href="http://www.youtube.com/watch?v=vm_N3bjqlr4"><img src="http://images.scripting.com/archiveScriptingCom/2008/12/02/albumCover.jpg" width="115" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named albumCover.jpg"></a>Jeff, the stuff you're justifying is the stuff that's going away, that there is no money to support. If we all care about the news, and making sure that it gets from the people who have it to the people who want it, we're going to have to learn how to do it without all the heavy iron. It seems to me the responsible thing for the news industry to do, while it is laying off its reporters and editors and the rest, is to help us come up with a Plan B -- what we will do for news once all that is gone.
			- An analogy -- imagine a group of doctors knew that the hospitals and pharmacies were about to shut down. What would they do? Might they do <i>something</i> to make sure their client's health needs were at least partially attended to?
			- The same would presumably apply to many other professions, whose services are in some way necessary for life: police, fire, bus drivers, teachers, garbage collectors.
			- We're often asked to believe how noble the profession of news is -- now that is about to be tested in a whole new way. Are we just supposed to cry for this industry and throw our hands up and wait for the collapse before starting to put it back together, or would they like to help while they're still here?
			- Here's a question I ask people privately to help focus their thinking... Suppose there were no NY Times tomorrow, and you heard somewhere, maybe on Politco or Huffpost or Memeorandum that it had gone out of business and was never going to publish again.
			- 1. How would you feel?
			- 2. What would you do?
			- 3. What should the Times have done but didn't do before they shut down?
			- Food for thought.
			- It's time to have this conversation Jeff. Imho. ";->"
			- Update: <a href="http://www.wordyard.com/2008/12/02/if-newspapers-were-gone-tomorrow/">Scott Rosenberg</a> checks in on the thread. "Victimhood is written deeply in the culture of the newsroom."
			- <a href="http://newsosaur.blogspot.com/2008/12/where-extreme-cuts-may-come-at-papers.html">Newsosaur</a>: "A newspaper that cannot sell enough advertising or cut enough expenses to sustain profitable operations is not likley to make it to the other side of 2009."
		- An image processing web service
			- <a href="http://www.scripting.com/stories/2008/11/30/fractionalHorsepowerImagem.html">On Sunday</a>, I wished for a web service that would take an image, a height and a width, and return a thumbnail for the image.
			- <a href="http://www.scripting.com/stories/2008/11/30/fractionalHorsepowerImagem.html#comment-4086344">Andrew Burton</a> put up a service, I gave it a try, with no luck. Maybe we can get this working. Ideally, I'd like to run it on the same machine as the application that calls it, since the images can be fairly large.
			- Here's a <a href="http://www.scripting.com/stories/2008/12/02/request.txt">text file</a> containing the text, and the <a href="http://images.scripting.com/archiveScriptingCom/2008/12/02/test.jpg">picture</a> I used.
	- December 1
		- Pownce we hardly knew ye
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/01/ackbar.gif" width="107" height="145" border="0" align="right" hspace="15" vspace="5" alt="A picture named ackbar.gif">I was a <a href="http://pownce.com/davew/">Pownce user</a>. (Ack it <a href="http://images.scripting.com/archiveScriptingCom/2008/12/01/ack.gif">can't find</a> my <a href="http://images.scripting.com/archiveScriptingCom/2008/12/01/whatPownceWasLike.gif">page</a> -- and I was a premium, paying user! Oy. When did that happen?)
			- There were some things I liked about it, but I agree it's time to <a href="http://blog.pownce.com/2008/12/01/goodbye-pownce-hello-six-apart/">pull the plug</a>.
			- I stopped using it when:
			- 1. Twitter got its act together and <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">stopped acting like</a> a Norwegian <a href="http://www.youtube.com/watch?v=e6Lq771TVm4">parrot</a> pining for the fjords. 
			- 2. FriendFeed occupied the space above Twitter, as the messaging system with more (than Twitter). FriendFeed has never had trouble staying up.
			- The biggest problem with Pownce was:
			- 1. It couldn't handle even a modest load. It would get very very slow when anything interesting started happening, therefore keeping anything interesting from happening.
			- The one thing Pownce got right was:
			- 1. It had <a href="http://www.scripting.com/stories/2008/05/08/pownceBecomesMoreUseful.html">payloads</a>!
			- Three things that slowed adoption of Pownce beyond the inability to handle a load:
			- 1. It was in private beta for a long, long time.
			- 2. It took forever for it to get an API.
			- 3. When the API finally came it wasn't compatible with anything.
			- Net-net, there were interesting things about Pownce, and we'll remember it with a certain amount of fondness. 
			- Hopefully Leah can take what she's learned and turn out something great at SixApart.
			- I'd recommend: Twitter-Plus-Plus. (With lots of interop, and do the payloads thing again, they need a kick in the ass over there at Twitter to get it into their product.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/12/01/pounce.jpg" width="125" height="114" border="0" alt="A picture named pounce.jpg">
