- February 2009
	- February 27
		- A billion Twitters?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/27/chickenRoosting.gif" width="115" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named chickenRoosting.gif">In 1995 I wrote a piece that envisioned <a href="http://www.scripting.com/davenet/1995/02/18/billionsofwebsites.html">billions of websites</a>, one for every person on the Internet. At the time this was considered unlikely by most experts, they believed the web would evolve to become like TV, with three major networks, Yahoo, Lycos and Alta Vista. Google wasn't even born yet, yet many thought it was already over. Having been around the loop several times by then, I was sure the shakeout hadn't happened. Today I am confident that there will be thousands of Twitters, maybe millions. Just as in 1995, there are arguments that say this is wrong. "Everyone's on twitter.com," seems to be the main one, and it's a good argument. But let me argue with it. ";->"
			- 1. I was lucky when I was a kid, I grew up within walking distance of Shea Stadium in NYC. On summer afternoons I could go with a friend or my brother and sit in the grandstands for $1.65 and watch the best teams in baseball beat the Mets. Everyone went to Shea Stadium, it was the best place for baseball in Queens, but we also played baseball at the schoolyard down the street. They were different experiences, but both were baseball, and they co-existed perfectly, in fact you could say they helped each other. Other sports worked the same. Every playground had basketball, and you could also go to Madison Square Garden to watch the Knicks.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/27/sutton.jpg" width="65" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named sutton.jpg">2. The fact that "Everyone's on twitter.com" in some ways works <i>against</i> twitter.com. It's become the honeypot for all kinds of crackpots and schemers. Some people are calling themselves Twitter Pros now. Social Media Marketing Experts. I got a reply from someone today thanking me for following them; I hadn't followed them. Everyone's getting huge numbers of DMs sent from robots representing people they don't know. They come to Twitter for the same reason <a href="http://www.nndb.com/people/116/000062927/">Willie Sutton</a> robbed banks. 
			- 3. All Twitters will start at the same place with the same limits, but it will be hard to evolve the mother ship, so innovation will happen more quickly in the smaller communities. Leo Laporte has pioneered here with the <a href="http://army.twit.tv/">TWiT Army</a> community. There will be many others. I totally want to start one for scripting.com to serve as an adjunct to the discussions that take place in the comments on blog posts. This community <i>loves</i> change. A system with tens of millions of users will, necessarily, change much more slowly. 
			- Tomorrow there will be a <a href="http://laconi.ca/trac/wiki/east_bay_laconica_hackfest">open hackfest</a> for Laconica, the open source software behind identi.ca and Leo's twitter, in Berkeley, starting at noon. I plan to be there for part of the day, to talk about how to get lots of these systems started in a variety of contexts.
			- Update: A random idea. Why shouldn't it be possible, using the <a href="http://code.google.com/p/friendfeed-api/wiki/ApiDocumentation">FriendFeed API</a>, to define a service that's a subset of what FF does, that more or less matches the (smaller) feature set of Twitter, and for a smaller community.
	- February 25
		- You're being insensitive
			- I have 18K followers on Twitter. Probably twice that here on the blog. With that many people tuned in no matter what I say <i>someone</i> will be offended. 
			- If I say the weather is nice, someone will say I'm not being sensitive to people who live where the weather is bad.
			- I could say I'm getting a cold, people who have cancer say I'm being insensitive. 
			- Does everyone have to adopt every point of view one hundred percent of the time? Of course not. There are six billion people. Do the math. We'd all blow up if we tried. None of us are god, not even the President of the United States (who btw gave a fantastic <a href="http://www.youtube.com/watch?v=T8R8jIYWJTA">speech</a> last night). If I called the President and said "Mr. President great speech but last night you were insensitive to the plight of people like me," do you think I'd get past the White House switchboard? "Send us an email so we can file it with the 100 million others we get every day."
			- Insensitive! Sure. And necessary.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/25/united.gif" width="118" height="292" border="0" align="right" hspace="15" vspace="5" alt="A picture named united.gif">I've been writing publicly for a long time, so I've had plenty of time to think about being insensitive. People have accused me of it for 15 years. Since I was one of the first to blog, my sin is original, legendary, unique. The reason I hear so much of it, I've concluded, is that I'm accessible. If you send me an email and it doesn't get trapped in a spam filter somewhere (try leaving out the links) I will read it. You can reach me. I'm an icon to enough people, a reason to hate or object or be offended, and unlike other human objects, Steve Jobs, Bill Gates, Bill Clinton, <a href="http://www.dalailama.com/">The Dalai Lama</a>, or Pope Benedict -- I will read what you say. They probably get 10000 times more angst than I do, but most of it doesn't reach them.
			- When I started out I thought -- I'm going to do it differently, I'm really going to say what I think all the time. Bad idea.
			- Now when I get one of these emails or <a href="http://twitter.com/johnstack/status/1249778842">tweets</a> or blog <a href="http://www.scripting.com/stories/2009/02/15/maybeThisIsTheBigSlowdown.html#comment-6287490">comments</a>, I've learned not to respond with what I really think. 
			- A friend of a friend runs a major independent film festival. You'd know its name. People ask all the time what he thinks of their movie. He never says. He always waffles, finds something about the movie that's praiseworthy. "I thought the scenery was fantastic!" or "The wardrobe person should win an Oscar" when he really thinks "This thing is a dog." He's learned, as I have, that people don't actually want to know what you think -- they want you to like it, to give them support, time, money, to think like they think, to see the world through their eyes, to give words of encouragement so everyone can see how wonderful they are because this wonderful person thought so. 
			- I've learned if I say nothing that gets me the least angst. So that's what I usually do, say nothing. And every time I do it, my blood pressure goes up a teeny bit, and another hair either falls out or goes gray. Or maybe it goes gray and <i>then</i> falls out. ";->"
			- Last night the President said we need to assume responsibility. People who bought stock in a bank that is now underwater (liabilities greater than assets) have worthless stock. These banks must go into receivership, the worthless assets removed, and a new company launched, probably with the same name, and new stock issued, and sold to the public. That is what <i>must</i> happen for the financial system to reboot. Very little will be lost, since the stock of two main banks, Citi and BofA, are now worth a total of $36 billion. We, you and I, have already spent much more than that to try to get them stabilized and we will have to pay even more. Next time the shareholders get taken out. If they don't want it to happen, quickly find a management team that can make the math work without the people bailing you out. There is no third way.
			- <a href="http://discuss.flickrfan.org/2009/02/25/0681787.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/25/down.jpg" width="125" height="187" border="0" align="right" hspace="15" vspace="5" alt="A picture named down.jpg"></a>Insentive to the shareholders? Perhaps. But they're not the only ones who matter. There are the depositors, the voters and taxpayers, other banks that aren't insolvent. Students who need loans to go to school. Hospitals who need credit to make payroll. Etc etc and on and on. On a scale of one to ten being sensitive to the needs of BofA shareholders isn't even on the scale, it's such a small number it's impossible to measure. 
			- When I needed heart surgery in 2002 and the doctor told me my life was over if I didn't get it, you might say he was being insensitive, but he was telling me something that I knew was true that I needed to hear. Three days later after the surgery, recouperating, the surgeon told me if I resumed smoking I would be dead in three years. Again, insensitive (he said it with a smile on his face believe it or not), but I'm glad he said it. The way he said it made it easier to quit. Sometimes the truth hurts. You can't blame people for saying things they believe, even if it hurts you to hear it.
			- Bottom line: All adults have issues to deal with. These are trying times for everyone, and some more than others, for sure. But your problems are yours and mine are mine and you're not responsible for mine and vice versa.
			- PS: I liked that the President, up front, referred to us as "the men and women who sent us here." Nothing abstract about that. We're not The American People, or poll numbers, or <a href="http://twitter.com/davewiner/status/1250482183">users</a> (who generate content), all of which are ways of making all of us inhuman. If you want people to be responsible adults, begin the pitch by calling them "men and women." Works for me. 
			- PPS: Reminds me of a moment on Diane Rehm's radio show a few years back. Some pundit said her listeners wouldn't understand some reasonably obvious idea. She interrupted and said basically "Bullshit, my people are smart and educated and that's basic stuff." I yelled out loud to the radio "Right on!" -- I totally understood what the guy was talking about. I am extremely well educated and well-read. You have to try a <i>lot</i> harder if you want to stump me. ";->"
		- I got a Kindle 2
			- And it arrived today.
			- <a href="http://flickr.com/photos/scriptingnews/3309314353/"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/25/kindleBox.jpg" width="350" height="461" border="0" alt="A picture named kindleBox.jpg"></a>
			- Just beginning to figure it out. 
			- Do I have to pay to read my own blog?
			- And if so, who gets the money?
			- I don't recall receiving any checks from Amazon.
			- I signed up for a 14-day free trial subscription of the NY Times.
			- When I plugged it into the USB port on my Mac it showed up as a disk drive with 1.4GB free. I copied some Bruce Springsteen MP3s into the music folder. I wonder if there's some way to play them? Can I copy podcasts into it and play them?
			- <a href="http://www.davosnewbies.com/2009/02/25/a-book-for-our-times/">Lance reviewed</a> War And Peace, with a caveat: "It truly is annoying reading a 1,300-page book in bed. I regularly wished for a way to cut my volume up into its separate books." The translation he recommends is <a href="http://www.amazon.com/War-and-Peace/dp/B000FC1C0U/ref=ed_oe_k">available</a> for the Kindle for $1.99, With one click I had the first chapter sent to my Kindle, downstairs, for $0.00.
			- Here's what a <a href="http://flickr.com/photos/scriptingnews/3309692327/">NY Times article looks like</a> on the Kindle. It took a long time for it to load, and the navigation interface is klunky. At least on Day One. Also wondering how I can bookmark it in a way that my CMS can find the link. I read on a netbook now and automatically post articles to Twitter. I have a feeling this is a closed system and there's no way to publish outside of it. Actually I can't imagine they view the reader as, in any way, a publisher. Of course I think of everyone as a publisher, even if all they publish are a stream of articles they've read. Ultimately I think in 20 years there will be no such thing as someone who only reads. 
			- Lots of <a href="http://www.scripting.com/stories/2009/02/25/iGotAKindle2.html#comment-6624473">great tips</a> from Josh Bancroft a longtime Kindle user.
			- <a href="http://flickr.com/photos/scriptingnews/3310571784/">Here's a picture</a> of the Kindle next to an iPod and a Canon Elph camera, to give an idea of its size. It's probably a lot smaller than people imagine.
		- Publishing voicemail to Twitter, Friendfeed and Identi.ca
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/25/iphone.gif" width="107" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named iphone.gif">A new tool for the OPML Editor, it's what I use to connect voicemail I create using my iPhone to Twitter, FriendFeed and Identi.ca. 
			- http://editor.opml.org/blogTalkRadioTool.html 
			- It's really easy to install, and you don't have to leave it running if you're at the computer when you post the voice message. Or, if you're going out -- just leave the OPML Editor running with the tool installed and when you post something, anywhere you have a cellphone signal, your followers will hear what's going on, in your own voice, with no 140 charcter limit.
			- This tool comes to you thanks to the Cinch service from BlogTalkRadio. It's an incredibly easy facility, there's no setup. Details on the howto link, above.
	- February 22
		- A postscript to today's piece
			- I'd say the chance, today, of some news organization trying the experiment outlined in today's earlier <a href="http://www.scripting.com/stories/2009/02/22/openingTheNewsroomStep1.html">piece</a> is virtually nil. 
			- One <a href="http://www.scripting.com/stories/2009/02/21/irrationalExuberance10.html#comment-6468007">commenter</a> said yesterday: "What we need now are small ideas with obvious financial underpinnings that can grow organically to fill any unmet needs of customers." 
			- To paraphrase, as the first passenger, in a bus careening down the steep mountainside, to observe that there's no driver, said: "We need small ideas to fix this problem." Yes, even big ideas are small given the dire circumstances. You won't get an argument from me. No sarcasm.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/22/loco.gif" width="125" height="106" border="0" align="right" hspace="15" vspace="5" alt="A picture named loco.gif">When they built the first <a href="http://en.wikipedia.org/wiki/First_Transcontinental_Railroad">Transcontinental Railroad</a>, the guys heading east from California had a much harder job than the guys heading west from Omaha. Starting in Sacramento it went straight uphill, and didn't get any better when they got to the summit. So if approaching the new reality from the journalism side is so hard, maybe it's more approachable from our side. After all, what do we have to do, other than find a way to glue the experts together in a cohesive whole and give it authority. Not so easy -- that authority thing, but maybe it's easier than asking the professional news organizations to let their sources into their clubroom?
			- So what then? Well, turns there's a schematic for it, called <a href="http://www.flickr.com/photos/scriptingnews/87587076/">Hypercamp</a>, which is an awful name -- but it kind of stuck. It's the equivalent of a press room at a conference, with refreshments, excellent networking both technical and human, and accessible to both news reporters and news makers, without making too much of a fuss about which one you are (you're probably both). Two podia, one at either end of the room, rented by people with formal announcements to make, that's how the rent is paid. Otherwise everyone works for no one but themselves. I'd like to give this a try. Anyone in SF want to set one up? I'd be there from time to time, blogging and schmoozing.
			- There's another related idea, the Flash Conference -- a convention of experts brought together instantly to discuss some breaking news, to exchange ideas and perspectives, and disseminate them quickly while the story is still fresh. This is another approach that can begin before the news industry either: 1. Opens up. 2. Collapses. 3. Something else.
			- Can-do or no-can-do. There's not a lot of the latter in news these days -- no wonder the news is so depressing. Let's bring some of the former to the problem and see what happens. It's not like anyone gets out of this thing alive, you know. ";->"
			- Big hugs, Uncle Dave...
			- PS: I was talking with <a href="http://www.iop.harvard.edu/Programs/Fellows-Study-Groups/Former-Fellows/Nicco_Mele">Nicco</a> yesterday (Morra, his wife, had a baby six weeks ago, lovely little Asa, future football player, swimmer and President of the United States) and he tells me his class at <a href="http://www.hks.harvard.edu/">KSG</a> has to read this blog every day as part of their assignment. Excellent. So here's a project for you guys. Set one of these newsrooms up at Harvard. I'd come. I bet <a href="http://cyber.law.harvard.edu/">Berkman</a> would help. ";->"
		- Opening the newsroom, Step 1
			- <a href="http://www.scripting.com/stories/2009/02/21/irrationalExuberance10.html">Yesterday's piece</a> ended with: "At least the Times is using the right word these days -- open -- but not in the way that matters. They're willing to give away what we, in tech, have been giving away for a decade. Obviously that's not a disrupter. They need to give away what <i>they</i> have -- authority. The trick is to find a way to give it away without destroying it. If they can do it, then we will have cracked the nut, scale, massively more news, deeper coverage, and with it -- shifted economics."
			- And that's where we pick it up today.
			- Here's how you take the first step toward the open newsroom.
			- Pick a story that you're covering on an ongoing basis, something important enough that you've assigned one or more reporters to it full-time. Have them continue to do what they're doing, we're going to add to that coverage, in an experiment to learn how the newspaper of the future might work. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/22/clock.gif" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named clock.gif">Now pick two or three experts on the same subject, and invite them into the newsroom. They will not be paid. No benefits. They agree to the same rules governing the integrity of your reporters. For a period of four weeks, they report to the newsroom, the physical one, not a virtual one, every day, and are part of your news team. They file stories every day, just as the reporters do, and they go through the same copy-edit process your reporters' stories go through, however they get final approval on the articles. The words that appear in the publication are their words, the ideas are their ideas. Their job is the same as the reporters' job -- to report the news. To explain what happened. 
			- I don't know what will happen. It could be no one volunteers, then we either give up or formulate a different proposal. I don't know if their coverage will be as good as the reporters. The goal is to find out! Maybe it will be better.
			- Now, to be clear -- I'm not talking about recruiting idiots or people whose opinions are (in your opinion) worthless. I'm talking about respected experts, the kinds of people your reporters call to get a perspective on the news the people they quote. Instead of having them talk to the readers through the reporter, I want them to go directly. Their writing should be as readable as the reporters' so I would choose experts who express themselves well.
			- Anticipating another objection, yes the op-ed page already has some people like this, but not enough. I want people who might look at the news organizations as part of the story with a critical eye, something virtually no reporter does. I want to break as many of the rules of the news business without breaking the one sacred rule, that people report what they see, that they not deliberately mislead, or speak from their interest without disclosure.
			- Let's see if some creative news organization figures out a way to bring the sources into the newsroom.
	- February 21
		- Irrational Exuberance 1.0
			- Yesterday I posted <a href="http://www.scripting.com/stories/2009/02/20/hugsToTheNyTimes.html">one</a> in a long series of screeds with a single-minded message to news organizations large and small: Open your newsrooms. 
			- The first time I said this explicitly was over nine years ago in a <a href="http://www.scripting.com/davenet/2000/02/04/howToMakeMoneyOnTheInterne.html">rambling piece</a> I wrote in Amsterdam after attending Davos for the first and last time. The question I was asked over and over was how would news organizations make money on the Internet. My opinion was widely sought then because the dotcom bubble had not yet burst, we were still in the age of Irrational Exuberance 1.0 (version 2 would <a href="http://www.scripting.com/davenet/2001/02/19/internet30.html#6">come</a> thanks to Craig Cline and Tim O'Reilly). Looking back it was so weird, the people pressing me hardest at the famous <a href="http://essaysfromexodus.scripting.com/pictures/viewer$303">Schatzalp Lunch</a> on the closing day were CEOs of major investment banking firms. They also wanted to take UserLand public, which I ignored as a ridiculous concept, but I smiled at the idea, everyone likes to be appreciated. I didn't offer them hugs, but I wish I had. ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/21/picasso.jpg" width="125" height="154" border="0" align="right" hspace="15" vspace="5" alt="A picture named picasso.jpg">Back then (and still today) the only things I knew for sure were: 1. People's thirst for news and ideas was going up, not down and 2. The professional news organizations were not expanding to meet the demand, rather they were contracting. Therefore: 3. Something must rise to fill the gap. Beyond that, I could only guess how it would make money. Maybe they will make money by serving lattes to bloggers who work in their newsrooms. Maybe once there's a glut of conflicted points of view out there, the public will re-hire them to act as arbiters. I don't know. But as I said to Jay Rosen in an email yesterday, "Asking about business models now is way premature. First they have to restructure, learn how it works, and then we can figure out where the money comes from."
			- At least the Times is using the right word these days -- open -- but not in the way that matters. They're willing to give away what we, in tech, have been giving away for a decade. Obviously that's not a disrupter. They need to give away what <i>they</i> have -- authority. The trick is to find a way to give <a href="http://mp3.morningcoffeenotes.com/misc/godfatherMeetingFamilies.mp3">it</a> away without destroying it. If they can do it, then we will have cracked the nut, scale, massively more news, deeper coverage, and with it -- shifted economics.
		- Playing with ginx.com
			- Yesterday I posted a twit saying I'd love to try out <a href="http://ginx.com/">ginx.com</a>, and within minutes I had a code and logged on. I was curious because it had been showing up in my referrer log for scripting.com, and when I clicked on one of the links it took me to a framed page with a comment at the top. 
			- Viewed from the other side, Ginx is an alternate UI for Twitter, with some immediately obvious improvements. It understands links better than Twitter does, in addition to displaying the shortened version, it also displays the full URL, the one the short URL points to. In the <a href="http://flickr.com/photos/scriptingnews/3297938314/">screen shot</a>, the red arrow points to the long version of a shortened URL, and displays the title of the page being pointed to. Both are nice touches, but not hard to do and at some point, Twitter will certainly do it.
			- Observation: Products like this have to do something that is either really hard, really niche, or against the philosophy of Twitter -- if they want to have a chance to co-exist. 
			- One thing I would like them to do, which they apparently don't, is show a thumbnail of Flickr pictures when tweets point directly to something on Flickr. For MP3s, show a little MP3 player. These are ideas that are already implemented elsewhere, so it seems a requirement at this point. 
			- When you click on a link from Ginx it takes you to a framed page where you can read the caption the linker added, and reply. <a href="http://images.scripting.com/archiveScriptingCom/2009/02/21/frame.gif">Screen shot</a>.
			- If you're a Ginx user -- what other things should I be looking at??
	- February 20
		- Hugs to the NY Times
			- On my Twitter <a href="http://twitter.com/davewiner">profile page</a> I've <a href="http://images.scripting.com/archiveScriptingCom/2009/02/20/toppler.gif">added</a> to <i>Media Hacker</i> another title, <i>Toppler of Paradigms.</i> It's kind of a joke, because just being alive is enough to qualify for the second title. If you doubt me, think about what happened in 2008 and what's happening in 2009. 
			- Some are in the middle of paradigms that are being more heavily toppled than other, like people at the NY Times. Today I offered a virtual hug to all of them. I explained, in <a href="http://twitter.com/davewiner/status/1231203755">two</a> <a href="http://twitter.com/davewiner/status/1231205684">twits</a>: "Today's 3rd hug goes to the NY Times. The whole place, top to bottom. Everyone gives them [a hard time] cause they're on top of the heap we expect so much, too much -- so at some point you gotta just say 'We appreciate you' and leave it at that." 
			- Hugs really work. They help soothe the feeling of disruption. Kind of like an <a href="http://en.wikipedia.org/wiki/Analgesic">analgesic</a> for change. I'm not kidding. If you find the world isn't treating you like you want, try giving out some hugs. You'll be amazed at what comes back. 
			- Anyway, back to The Times. 
			- I think it was Alan Kay who <a href="http://www.scripting.com/2005/12/23.html#When:7:43:38PM">said</a> the Macintosh was the first computer worth criticizing. I think that's what the NY Times should understand, that as long as people are telling you what to do, it means they care. When they stop, <i>that's</i> when you need to start worrying!
			- I also wanted to thank the Times for being the ones who made RSS 2.0 the roaring bonfire of content that it has been for the last half-decade or so. And to the tech people at other pubs who followed the Times' lead, without trying to improve it. Because of all this compatibility it was possible for a market of tools to develop around RSS. That should serve as an example, a template, for future publishing standards.
			- Which brings us around to the idea that put the Times in the center of today's discussion. <a href="http://developer.nytimes.com/docs/timespeople_api/">They now have an API</a> that looks very much like a social network API, like Twitter or FriendFeed. At first it's a shock, why do we need another, and why is it coming from NY instead of Mountain View, Berkeley, Sunnyvale, San Francisco or Redmond? Well if their paradigms can be toppled why not ours? Indeed. But... Is that really what is needed from the Times? And what chance does it have to succeed? I thought of other successful once-new publishing paradigms -- Aldus, Quark, HTML, blogs, RSS, podcasting. Is the Times like those? No -- it's more like AOL or Compuserve, if it's even that open (I don't think it is). 
			- Here's the key point, the open-ness that counts is not that anyone can develop apps on top of it, though that's nice, it's if anyone can get on the other side -- can I publish <i>behind</i> the API? On all the platforms I listed in the previous paragraph the answer is yes, I can get on the other side, even AOL and Compuserve, but to be really open it has to be open on all sides, in all ways. RSS was so open that it was possible for it to be usurped by Feedburner and they almost completely sucked it in behind their wall, before people started to get wise that maybe that wasn't the best thing for everyone. 
			- Even Twitter, the raging rocket of growth that it is, is not as open as we'd like it to be, not even close. But I can create any number of accounts on Twitter, and build my own little universe there and publish with all the tools available to Ev, Biz and Jack. If the Times wants to play in that game, and I'd like them to -- it needs to be possible for me to compete with my heroes Frank Rich and Paul Krugman, and make the ones I don't like so much (names withheld) look like the asshats they are. 
			- In other words, you want to have some fun, throw some fat on the fire -- let your writers, editors and pundits compete with the wild wooly world of the Internet on completely equal terms. Then you'll have a chance of tapping into the growth on this side of the mike.
			- With much love and more hugs, Dave
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/20/love.gif" width="125" height="125" border="0" alt="A picture named love.gif">
			- PS: The first two hugs went to <a href="http://twitter.com/davewiner/status/1231193977">Tim</a> <a href="http://twitter.com/davewiner/status/1231196120">O'Reilly</a> and <a href="http://twitter.com/davewiner/status/1231198931">John</a> <a href="http://twitter.com/davewiner/status/1231201177">Markoff</a>.
	- February 19
		- 3 questions on Twitter
			- Over the last two hours I <a href="http://twitter.com/davewiner/status/1228419604">asked</a> a <a href="http://twitter.com/davewiner/status/1228462080">series</a> of 3 <a href="http://twitter.com/davewiner/status/1228502629">questions</a> on Twitter about escapes, physical, intellectual and spiritual, and got back so many great responses, I had to write a script that captures them. 
			- <a href="http://scripting.com/misc/last100replies.html">So here's a readout</a> of the last 100 responses I've gotten on Twitter. In a little bit I'll gather them up and organize them into an outline and upload that. Feel free to add your ideas in the comments here. 
			- Great work everybody, big hugs! ";->"
		- The movies of 2008
			- The Oscars are this Sunday, so it's time to review the last year, and get on the record.
			- Of the nominated movies, I loved, without qualification: Frost/Nixon, The Wrestler, Doubt, Rachel Getting Married, Frozen River, Slumdog Millionaire.
			- Movies I loved things about but didn't go for the whole package. 
			- Australia. The acting was superb, I'll go for Nicole Kidman in anything, and the kid was great, but it was a forgettable movie. 
			- The Dark Knight. Cut out all the scenes that don't have Heath Ledger and you have a great picture. The guy with half a face was disgusting, worth a few shots but a half hour? Embarassing.
			- Wall-E. The first part was wonderful. Amazing. Fantastic. And then a formula Pixar animation for the kiddies. Nothing wrong with that, of course, but you don't see Bolt on my list of movies worth talking about. Or Kung Fu Panda. Wall-E was half an amazing movie. A Pixar <a href="http://en.wikipedia.org/wiki/List_of_Pixar_films">movie</a> that really makes you think hasn't been made yet but Wall-E showed that it could happen.
			- I didn't see: Revolutionary Road, The Duchess.
			- Movies I flat out didn't like. 
			- Milk --  Sean Penn was a convincing Harvey Milk, and that was good for five minutes. Otherwise, no suspension of disbelief, the story didn't hang together. 
			- Benjamin Button -- I kept looking at my watch hoping it would be over.
			- There were many others, but thankfully, none of them were nominated. ";->"
			- Now for my picks.
			- Best actor: Mickey Rourke. 
			- Best supporting actor: Heath Ledger. 
			- Best actress: Kate Winslet. 
			- Best supporting actress: Marissa Tomei.
			- Best animated feature: Wall-E.
			- Best writing (adapted): Doubt.
			- Best writing (original): Frozen River.
			- Best picture: The Reader.
			- I didn't vote in the other categories cause what do I know about editing and directing and costumes. I'm user, just a guy who watches movies and loves great ones.
			- Final note, best actress was the hardest category. I loved Anne Hathaway in Rebecca Getting Married. Meryl Streep was amazing in Doubt, and Melissa Leo in Frozen River. But Kate Winslet owned me in The Reader. 
	- February 17
		- Where is Twitter's WordPress?
			- Blogger is a centralized free hosting service created by Evan Williams and Meg Hourihan. It suffered from many of the same scaling issues in its early days as Twitter, but now that Blogger has been owned by Google for a long time, the scaling issues are gone. But it's not the only blogging service -- there are many others. And I can if I want, host my own blog on my own server, using software like WordPress or Movable Type. I've written my own software for Scripting News. 
			- I use Twitter, but I also remember fondly the days when Twitter was smaller, when I followed 50 people instead of 800. And I knew most of them. I still like Twitter, but it's way different, and I see a role for a smaller blog-sized Twitter, a companion to Scripting News, like <a href="http://army.twit.tv/">Leo's TWiT Army</a>. A clubhouse where we work on stuff that's of interest mainly to this community, where I follow 20 or 30 people and am followed by a hundred. This isn't a job for Yammer, because it's not a private application. But it isn't a job for Twitter either. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/17/picasso.gif" width="125" height="154" border="0" align="right" hspace="3" vspace="3" alt="A picture named picasso.gif">This weekend there was a furor about Facebook's terms of service -- people figured out that when they publish stuff on Facebook they lose control of it. Facebook put that in writing in their terms of service, but anyone who follows Technorati knows that our content is spread all over god's creation. People copy and paste whole blog posts, you wish they'd just link to them, but everyone has given up the fight on this, it's completely out of control, and has been for a long time. I think Facebook did the right thing by spelling out in black and white the reality of the Internet. Once you hit publish, it's gone. 
			- No matter what happens, some of us will never be happy with only the centralized service a corporation like Facebook or Twitter provides. Eventually we don't need the training wheels -- it's time to take off down the street in our own car, driving where we want to go, without asking for or waiting for the parent to give it to us. Now, after two years of using Twitter, I know exactly what I want. I've tried to communicate it privately, that hasn't gotten me what I want, so I'll try publicly and see if that works.
			- 1. Ideally, I'd like Amazon to implement a back-end service that does what Twitter does, with a web service API that builds on the S3 API, like SimpleDB (for example). Then I'd spend a little time slapping together a bare-bones user interface and turn it over to my friends here at Scripting News to produce a variety of different interfaces for, browser based and desktop clients. That's the kind of stuff readers of this site love. I think we could bootstrap a community within weeks, and of course everything we create would be open source, so cloning it wouldn't be a problem.
			- 2. Almost as good as #1 would be an EC2 AMI that installs laconi.ca, the software that runs identi.ca. A fair number of programmers already know how to start up an EC2 instance (I do, it's easy -- just took me a few hours and the docs were less than optimal). The idea is that I have to do nothing to have a basic microblogging system running. I want to configure it via web browser. And obviously I need to be able to customize it, but that's not a prob since they already support the Twitter API.
			- It's time for a thousand Twitters to bloom. The mother ship will do great, but we need a path that's independent of the corporate entity that runs Twitter. We've learned this time and again, let's not learn it one more time.
		- OAuth is working here!
			- Q. Define "working."
			- A. I made an authenticated call to Twitter and it <a href="http://twitter.com/davewiner/status/1220677355">responded</a> with the correct answer instead of "Invalid OAuth Request."
			- Q. How did you do it?
			- A. <a href="http://josephsmarr.com/2009/02/17/implementing-oauth-is-still-too-hard-but-it-doesnt-have-to-be/">Joseph Smarr</a> patiently worked through the process with me, first making sure it worked with Plaxo and then coaching me on getting it working with Twitter.
			- Q. Is there anything you'd like to say to Joseph at this time?
			- A. Yes! Thank you thank you thank you. Thanks! ";->"
			- Q. Is there anything you'd like to say about OAuth?
			- A. OAuth isn't so hard once you got it working, but there are too many docs, too heavy on theory, and there is no validator. Everything Joseph did could have been done in software. I offered to help get the process systematized by remembering what it was like to be a newbie, which I still am, totally.
		- My work at bit.ly is done
			- <a href="http://bit.ly/"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/17/blowfish.gif" width="145" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named blowfish.gif"></a>As you may know I participated in the intial design and <a href="http://www.scripting.com/stories/2008/07/08/bitlyLaunchesToday.html">rollout</a> of the <a href="http://bit.ly/">bit.ly</a> URL-shortener. It was one of the most instantly successful projects I've ever participated in, up there with the release of <a href="http://radio.userland.com/">Radio 8</a> in 2002 and <a href="http://www.outliners.com/more11c">MORE 1.0</a> in 1986. Sometimes the time is right for a product, and the execution is great and the <a href="http://switchabit.wordpress.com/2008/07/08/bitly/">communication</a> is <a href="http://www.readwriteweb.com/archives/bitly_alternative_to_tinyurl.php">crisp</a>. Everyone gets it, and it takes off like a rocket. Bit.ly is one of those phenoms. 
			- They're getting ready to grow a real business around it, and I want to go on to do other things. So we worked out a deal that leaves me satisfied with how things turned out and am no longer a shareholder. 
			- I wish the company and the team the very best.
			- Onward! ";->"
	- February 16
		- The Magic Bus
			- <a href="http://www.youtube.com/watch?v=bl9bvuAV-Ao&feature=related"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/16/magicbus.jpg" width="341" height="336" border="0" alt="A picture named magicbus.jpg"></a>
	- February 15
		- Maybe this is the big slowdown?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/15/ronaldMcDonald.jpg" width="115" height="169" border="0" align="right" hspace="15" vspace="5" alt="A picture named ronaldMcDonald.jpg">It's been a lazy few days, in the aftermath of <a href="http://www.scripting.com/stories/2009/02/14/anotherDayBangingMyHeadAga.html">OAuth</a>, which disrupted my flow of development. It was probably a good thing, cause it's giving me some time to reflect, veg out, watch some movies <a href="http://www.bbc.co.uk/programmes/b00h9xh8">and</a> <a href="http://www.pbs.org/wgbh/amex/presidents/36_l_johnson/index.html">documentaries</a>.
			- One of the movies I watched was the 2008 remake of <a href="http://en.wikipedia.org/wiki/The_Day_the_Earth_Stood_Still_(2008_film)">The Day the Earth Stood Still</a>. I knew in advance it would be awful, which made it not so awful. After reading the NY Times <a href="http://movies.nytimes.com/2008/12/12/movies/12stil.html">review</a>, I decided what the hell, it's Keanu Reeves with small roles for John Cleese and Kathy Bates, it's about the end of the world, why not? Exactly. It's about at the "why not" level. Reeves after all is Neo, and I sat through the last two installments of The Matrix, twice, even though they sucked too. 
			- Glad I watched it cause it got me thinking about the end of our civilization.
			- The end of our civilization. If you believe in global climate change and <a href="http://www.climatecrisis.net/aboutthefilm/">Al Gore</a>, which I do (both) then as much as Gore doesn't want to say it because it would be counter-productive for him to, our civilization is on the path to self-extinction. 
			- Why should we fight to get our economy growing again? Isn't growth the whole problem? Shouldn't we see the economic downturn as not only inevitable, but as our last hope for salvation? These are fair questions imho. 
			- The inescapable truth that no one wants to speak out loud is that we have too many people, and we're adding more people at too fast a clip. The planet can't sustain what we have now without destroying the climate, yet we haven't done anything to limit growth. 
			- So maybe this <i>isn't</i> the biggest downturn since The Great Depression? Maybe it's bigger than that. Maybe this is a corner-turn for the human race, maybe last September was when it finally occurred to us, collectively, that we couldn't keep going as we were going, and we hit the brakes in the way the Invisible Hand does. Maybe the efforts to "jump start" the economy won't work, and maybe that's as it should be, and maybe that's a good thing?
		- BSG races toward a breathtaking conclusion?
			- I was a <a href="http://www.scripting.com/stories/2009/01/18/iLikeMySexAndScifiWithMyst.html#p6">skeptic at the beginning</a> of the second half of the last season of Battlestar Galactica, one of my favorite shows of all-time, and a signature favorite of geeks everywhere. 
			- The first couple of shows in the run were depressing, who knew where we were going, certainly not anywhere remotely like we <i>thought</i> we were. That's okay, it turns out because where we were actually going is very science fictiony, which is good because that's what BSG is. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/15/evolved.jpg" width="350" height="177" border="0" alt="A picture named evolved.jpg">
			- Now what does it all mean? I don't have a clue. But that's the way I like it. I had to watch Friday's episode twice, just so I could hear what the characters were actually saying, because in the first pass all I could absorb was the wonderful weirdness of the arc the story was taking. 
			- Having listened, I'm still really really confused. And that's just fine!! Frack me. Gods damn it. So say we all. ";->"
		- How to avoid getting run down by drivers
			- <a href="http://www.amazon.com/Athletic-Specialties-Officials-Penalty-Flag/dp/B001EZ117Q/ref=pd_bbs_sr_1?ie=UTF8&s=home-garden&qid=1234725982&sr=8-1"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/15/flag.gif" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named flag.gif"></a>I love walking around Berkeley -- it's one of the reasons I moved here from Palo Alto. You can get around on foot instead of having to drive everywhere. But Berkeley drivers are not much better than anywhere else, it seems. Put a nice socially conscious person behind a steering wheel of a 2 ton hunk of metal and they forget everything they learned in Driver's Ed -- like what a <a href="http://dmv.ca.gov/pubs/vctop/d11/vc21950.htm">crosswalk means</a>.
			- A lot of them break the law, almost no one comes to a full stop when a pedestrian (one of those people without a 2 ton hunk of metal around them) is in a crosswalk, and a shocking number just don't want to slow down at all. Every time this happens I wonder how much it  would hurt as the 2 tons of metal crushed my  poor unprotected bod. There are some streets with so much fast-moving traffic that there's just no safe way to cross them.
			- However, I've learned that most drivers will slow down enough for you to cross if you hold your arm out with all five fingers extended, the universal symbol for STOP. And yesterday quite by accident I discovered another way, when even that doesn't work. It's been cold so I've been wearing gloves, but after an hour walking up and down the hills I have to take them off to let the heat out. Standing just off the curb in a crosswalk, I was holding the gloves as a sedan sped toward me, ignoring my outstretched hand. So I threw the gloves down in the street in his path with a grand gesture like a football referee throwing a penalty flag. He stopped! Not just a slow-down stop but a full wheels-not-turning stop. Amazing. I picked up the gloves and crossed the street.
			- The psychology of drivers. Stop to save a $10 pair of used gloves, but play a dangerous game of chicken with a human. Hey I'm a driver too, I know it's a whole other world, but the people walking across the street are just like you except they're even more fragile than a cheap old pair of gloves.
			- I think I've found the slution -- carry a real bright yellow penalty flag with me, and call every offense. <a href="http://www.amazon.com/s/ref=nb_ss_gw_0_18?url=search-alias%3Daps&field-keywords=football+penalty+flag&sprefix=football+penalty+f">Only $8 at Amazon</a>. :-)
	- February 14
		- The best way to read the NY Times
			- It's amazing how people keep trying to come up with better <a href="http://www.readwriteweb.com/archives/nyt_article_skimmer_sunday_bro.php">ways to read news</a> by throwing lots of "new ideas" out there, ones that harken back to the way the news was read when it was printed on paper.
			- Imho there's a much much simpler way, that uses another ancient model that just happens to work better on today's computer screens -- the <a href="http://www.computermuseumgroningen.nl/terminals/teletype.jpg">teletype</a>.
			- And of course what I'm talking about, as always (I must sound like a broken record) is the <a href="http://www.reallysimplesyndication.com/riverOfNews">River Of News</a>. 
			- And the NY TImes, because they have excellent RSS 2.0 support, makes it possible for a programmer like myself to cobble it together, which I have of course done.
			- http://nytimesriver.com/ 
			- As it says -- it works great on mobile devices, but I like it on desktops too. 
			- It's plain and simple -- new stories come in on the top, old ones scroll off the bottom. Scan down with the scrollbar till you see something you like and click on the link. You already know how to use it.
		- Another day banging my head against OAuth
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/14/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">I thought I had my <a href="http://scripting.com/misc/programming/getSignature.txt">signature-generating code</a> right, I had it verified by two sources, but it still was being rejected by Twitter. I was looking for another service to test against, when Chris Messina <a href="http://www.scripting.com/stories/2009/02/12/connectingWithTwitterUsing.html#comment-6252758">posted</a> a link to a <a href="http://wiki.oauth.net/TestCases">wiki page</a> that in turn pointed to three sites that verified signatures -- and I did a quick check, confident that my signature code would be validated, but it wasn't. They didn't agree. But, that implies that they don't agree with the first two sources I checked against. Which is really seriously troubling if I didn't make a mistake, which is why I'm going to very carefully check my work now. My notes follow, realtime.
			- 1. First result, I tested it with the <a href="http://oauth.googlecode.com/svn/code/javascript/example/signature.html">Google page</a>, and their signature and mine do not agree. I'm going to see if the "signature base strings" agree. They don't. Now to see where they differ and why. They don't differ -- I made a mistake in the test script. Once I corrected it, my signature-generating code and Google's return the same string.
			- 2. Tested against the <a href="http://developer.netflix.com/resources/OAuthTest">Netflix page</a>, and they agree as well. Of course had they not agreed then I suppose we'd all be fracked. (Speaking of which did you see BSG last night. I gotta watch that one again, for sure.)
			- So....
			- My next plan of attack is to try some other call with Twitter, maybe I happened to hit on the one API they haven't debugged with OAuth yet. And try another OAuth-compatible app to test against. Something simple, one that a lot of people have developed against. Not sure there are any yet. I'll keep you posted. ";->"
	- February 13
		- OAuth update
			- <a href="http://www.politico.com/news/stories/0209/18827.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/13/eyes.jpg" width="46" height="77" border="0" align="right" hspace="15" vspace="5" alt="A picture named eyes.jpg"></a>I'm still stuck <a href="http://www.scripting.com/stories/2009/02/12/connectingWithTwitterUsing.html">where I was last night</a> with getting OAuth to work with Twitter. I've been able to get all the way up to making a call that requires authentication, and I've constructed the query with what I think is correct OAuth credentials, but Twitter says its an "Invalid OAuth Request."
			- <form><textarea cols="50" rows="9">http:\//twitter.com/statuses/friends_timeline.xml?oauth_consumer_key=MoCD9snM6y99LJu2uMJBZA&oauth_nonce=t4TCVFmOuV&oauth_signature=7K5Q%2FZjT73OTgi%2F0HRd2CIFt3AY%3D&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1234568629&oauth_token=3839-qGGKCjWI17jlx00CWGDMWqxkiYNwhwNCB1JqeoocX4k&oauth_version=1.0 </textarea></form>Matt at Twitter posted a <a href="http://www.scripting.com/stories/2009/02/12/connectingWithTwitterUsing.html#comment-6242716">note</a> saying that it might be because my app hasn't been turned on, but later he told me it had been turned on but the query still isn't working.
			- Now I'm going to look for other OAuth services to test against. If you have any suggestions please post a comment. Thanks! ";->"
	- February 12
		- Connecting with Twitter using OAuth
			- Okay, so the <a href="http://www.scripting.com/stories/2009/02/12/oauthHailMaryQuickCodeClin.html">easy part</a> of OAuth is done, I have it connecting to the demo server. Now comes the part where I try to use it to control Twitter. That part, no surprise, isn't working -- yet. I <i>will</i> get it to work. I'm determined. ";->"
			- This much does work.
			- 1. I am able to get a request token.
			- 2. I am able to direct the user to the page where they give the OPML Editor permission to use my account, and I am able to give the OPML Editor that permission.
			- 3. The OPML Editor, waiting in the background, polling Twitter, determines that it has been given access, and saves the access key and the access secret in the database. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/12/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">All that happened in 5 minutes, so I was fairly confident that the next step would work, but blam I hit a brick wall and stopped right there. It's insisting that it cannot authenticate me.
			- 4. Here's what I want to do, I want to ask Twitter for my friends' timeline. Before OAuth, you'd make a request of <a href="http://twitter.com/statuses/friends_timeline.xml">this URL</a>, with nonsecure HTTP authentication, and it would return an XML structure that contains information about recent status updates from the people the user is following. I make the <a href="http://twitter.com/statuses/friends_timeline.xml?oauth_consumer_key=MoCD9snM6y99LJu2uMJBZA&oauth_nonce=xpo7VgIVBv&oauth_signature=SG1Pf8cRqoF4yNq3KJhF7Wjv%2F%2Bg%3D&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1234488986&oauth_token=3839-hu5bzdVyUJFlOyOQAa0NAcrkeIiA6Zrj9465BhSM&oauth_version=1.0">request</a> using the same code I used to make the request of the <a href="http://term.ie/oauth/example/">Irish server</a>, the request that worked, but I get back the following <a href="http://images.scripting.com/archiveScriptingCom/2009/02/12/nothappy.gif">result</a> from Twitter: "Invalid OAuth Request." 
			- I'm doing something wrong but damn if I know what it is! ";->"
			- PS: Here's the current <a href="http://static.opml.org/misc/apps.OAuth.fttb">OAuth app table</a>, for the gutsy Frontier programmers.
		- OAuth hail mary quick code clinic and plea for help
			- Hi everybody!
			- As you probably know Twitter is getting ready to support OAuth, and this is a good thing, cause it'll make it easier to trust websites with access to your account cause you won't have to give up your password. But OAuth is hard to implement, it's complicated, and because I'm basically programming the OPML Editor on my own, if I want to support it, I have to write the code. Which is okay cause it's interesting, and it'll mean I'll have a very deep background in OAuth when it's done.
			- I've been through one of these before. Flickr has a similar authentication system, although it's simpler than OAuth (probably fewer cooks and less compromise in the design). So last night I got coding finally and made a lot of progress, thanks to some help from a <a href="http://www.google.com/url?sa=t&source=web&ct=res&cd=1&url=http%3A%2F%2Fwww.hueniverse.com%2Fhueniverse%2F2008%2F10%2Fbeginners-gui-1.html&ei=eE6USba2ComGsQODo8izBw&usg=AFQjCNGEnm7KQ2kjOGehC8mx2cH1ggNVMQ&sig2=shnM73PFzwcblxgdEArG0w">tutorial</a> at Hueniverse. But as I was finishing it up I was pretty sure it wouldn't work when I tested it against a <a href="http://term.ie/oauth/example/client.php">server</a> running in Ireland, and sure enough it didn't.
			- At this point what you do is put up a source listing ahd ask other programmers to have a look. I bet there are a dozen things I'm not doing that I should be. Based on <a href="http://oauth.googlecode.com/svn/code/python/oauth/">Leah Culver's code</a>, I think I may have to set some headers, but I'm not doing any of that. What else? 
			- Anyway, here's the listing.
			- http://scripting.com/misc/programming/oauthlisting.txt 
			- Gratitude for any help will be psychically and demonstrably expressed! ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/12/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">Update at 11:50AM: I got signatures working. Here's the <a href="http://scripting.com/misc/programming/oauthlisting.txt">updated code listing</a>. How I did it was to fill in the values in the Hueniverse <a href="http://www.hueniverse.com/hueniverse/2008/10/beginners-gui-1.html">tutorial</a> and step through my code and check my values against theirs. There were differences. Where they disagreed, I made mine match theirs. Once I got them producing the same signature, I tested it against the server in Ireland and it worked. Anyone who's trying to get theirs to work, I recommend doing the same. It takes all the guesswork out of it. Now I have to step through the rest of the dance and see how it goes. ";->"
			- Update at 12:45PM: I'm done with my OAuth library, I've worked through all the levels with the <a href="http://term.ie/oauth/example/">test server</a> in Ireland, and have made arbitrary authenticated calls. I even see roughly how this will plug into Twitter. It means rewriting all my glue code, but should not effect any of the higher-level code. After a break I'll get started testing against twitter.com.
	- February 11
		- How I made over $2 million with this blog
			- On Twitter early this morning <a href="http://twitter.com/davewiner/status/1198720005">I said something provocative</a>. "I've made over $2 million from my blog and Dan thinks blogs can't make money. He needs to get out of the box more often." 
			- I was referring to Dan Lyons, who had written a <a href="http://www.newsweek.com/id/183666">piece</a> in Newsweek that said among other things: "While blogs can do many wonderful things, making huge amounts of money isn't one of them."
			- I agree. Blogs don't make money. But people with blogs can. ";->"
			- Dan, this is not a fairy tale, I got the check and it had seven figures. But this isn't one of those pitches to get you to buy a book or a video or to come hear me give a lecture. I've made a lot of money with this blog, and may make a bunch more, but I'm not going to show you how to do it. But I will try to get you to change the way you think about blogs and other social media.
			- Let me start by asking a question. 
			- Assume you run a business and you advertise. How much money did you make from your advertisements?
			- Presumably your ads make money, otherwise why are you running them?
			- Now in figuring out how much money you made from the ads, did you look for ads on your ads? That makes no sense of course. Why would anyone try to make money by putting an ad on an ad?
			- So when I told you I made over $2 million with this blog, why did you immediately look for ads? I can save you the trouble -- there aren't any. And in the 12 years this blog has been here there has never been an ad on this blog. With a caveat, unless you count me talking about my products. Because I do talk about my products here. I try to stay as balanced as I can, but of course I tilt toward the positive. I have a bias -- I wouldn't have made the products if I didn't think they were good. But like all people with real products I know they're not perfect, sometimes they're imperfect, and I try to be honest about that. 
			- Now -- how did I make more than $2 million with this blog?
			- Well, I ran a commercial company for quite a few years, UserLand Software, and I used this blog to talk about what the company was doing. We had reasonable sales -- probably over $1 million while I had the blog. We never took out an ad, or hired a PR firm. All the promotion ever done for the company was done right here. So let's count half of that $1 million toward the total. 
			- Then there are the consulting gigs I've gotten over the years I've been running the blog. None of them directly resulted from pitches I made here, I never said "Hire me to tell you how to build your product, or work with your community, or serve your users," but the posts I've written here have served as a calling card, a way of keeping my name and ideas on people's minds. Over the years, that's a few hundred thousand.
			- But the real whopper was the deal where I sold weblogs.com to Verisign for $2.3 million. Again, a product that never had an ad, never had a PR campaign, the only way anyone heard of it was through this blog. 
			- So we're already over <i>$3</i> million -- and all I did was what any blogger does -- talk about what I'm doing. And that's the role of a blog, it's a way of communicating what you're doing. Companies, consultants and authors need to do a lot of communicating, and blogs allow you to go direct, and be more efficient, less diluted. People get a real feel for who you are and how you think and what you're like as a person. 
			- Why would I ever let someone else hitch their "message" on this -- it would get in the way of me making money! ";->"
			- If I had any advice to offer it's this -- get in the habit of communicating directly with the people you want to influence. Don't charge them to read it and don't let others interfere with your communication. Talk through your blog as you would talk face to face. You'd never stop mid-sentence and say "But first a word from my sponsor!" -- so don't do that on your blog either. I can't promise you'll make any money from your blog, and I think the more you try the less chance you have. Make a good product and listen to your customers to make it better, and use the tools to communicate, and you may well make money <i>from the whole thing.</i> To expect the blog alone to pay your bills is to misunderstand what a blog can do. You'll only be disappointed like Dan Lyons was.
	- February 10
		- How we look vs Who we are
			- I was talking with a friend this morning, part of an ongoing conversation about how people are judged by their outside image and how this may be at odds with how they see themselves. I think we spend our whole lives studying this. 
			- A few stories...
			- 1. About 15 years ago I took a picture of my father and showed it to him. I thought he looked good, happy and fit -- I thought he would be pleased, but instead he winced. I said "Dad that's what you look like." And he said one of the sweetest things I remember him saying -- that inside he still feels like he's 19 and this picture reminded him that he was not (he was about 65 at the time). 
			- 2. A friend got rich, quickly, and then just as quickly got poor. Never saw anything like it before or since. I formed a theory that inside he felt poor and the riches were at odds with that. It was easier to get rid of the money than to get rid of the feeling of worthlessness. (None of this is conscious by the way, it's all about the subconscious, which is much more powerful.)
			- 3. I was dating a very attractive woman. I got invited to see the world from her point of view, and man, what a difference. She thought everyone was always trying to get in each others' pants. I told her this was not true! But I don't think she ever believed me. 
			- 4. A friend tells a story about very gentle person, a man, who has very dark eyebrows. He explained that everyone always thinks he's angry even when he's happy or wistful or curious or sad. Everyone reacts to him all the time as if he were angry. To him the world looks like a very defensive place.
			- 5. Me, I was always a tall boy growing up. But there came a time when I shot up and went from 70 or 80 pounds to 150 or 170, probably in two or three years. From 60 inches tall to 72 inches. Inside I was still a child, but outside I was scaring everybody. I know that now but I didn't understand it when I was a kid, because I was inside the body looking out. I remained more or less constant, but the effect I had on people changed dramatically. This left me confused for years! A lot of people must go through this, we all grow up and the people around us remember us as a cute little kid and all of a sudden the cute kid is gone, replaced by a strapping young man or a shapely young woman. Maybe they never forgive you for stealing the cute little kid?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/10/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">Anyway, back to my friend who started this thread. I had asked her to tune into my <a href="http://twitter.com/davewiner">Twitter feed</a> and she did, and we talk about it when we get together. Today she wanted to know why my icon is King Kong. I said it's a joke -- that's what people say about me, but it's not really me. Inside I'm nothing like that, but on the outside, often it seems to me that the world is relating to me as if I were. She asked why not change the image. I laughed and asked -- what should I change it too? Ballet slippers? A pink tutu? No, she said, how about a teddy bear or Gentle Ben? Hmmm. Well, I'm not quite ready for that, after giving it some thought. I don't see myself that way, and it's important that the iconography not only reflect how you'd like people to see you, but also reflect how you feel inside. So I looked through my archive and settled, for now, on the accordion player. He's a very frequent guest <a href="http://images.google.com/images?q=site%3Ascripting.com accordion">here</a>, and in many ways I identify with him. Playing a tune, giving people a song to sing, but folksy -- even <a href="http://images.scripting.com/archiveScriptingCom/2005/10/25/DSCN4047.JPG">schmaltzy</a> -- that's how I'd like to be seen. Not too heavy, but not all cuddles either. Maybe someday I'll feel okay with Gentle Ben, but not yet.
			- So I'm archiving my Twitter imagery today and replacing it with new stuff. Here's an overall <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/overall.gif">screen shot</a> of what it used to look like, and here's the old <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/kongavatar.jpg">avatar</a>, and the <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/kong.jpg">background image</a>. I'm replacing it with the <a href="http://images.scripting.com/archiveScriptingCom/2008/11/25/accordion.gif">accordion guy</a> and a picture of the <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/sf.jpg">SF skyline</a> taken from my perch in the Berkeley Hills, roughly what I see when I look out over the world while I'm twittering or blogging.
			- Of course while I was trying to make the change I had a <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">visit from the whale</a>. I'll have to wait till he let's me do my thing. :-(
		- Twitter *kills* Google in real-time search
			- <a href="http://twitter.com/mattcutts/status/1192385531">Matt Cutts</a>: "The real-time web is not the threat. Google can index data in seconds.'
			- He's the head of webspam team at Google, and a man who, obviously, knows a lot about search.
			- That was 17 hours ago as I write this at almost 2AM, Twitter's real-time search has had a story, a few thousand night owls were up, in LA and around the world, and news was breaking, the kind of sensational prurient goop that Twitter loves, a LA car chase, covered by helicopter. As I write this, Twitter is about 1 hour ahead of Google, that is, Google's latest news is 1 hour behind Twitter's. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/oneFiftyAm.gif">Here's a screen shot</a> of a Google News <a href="http://news.google.com/news?q=bentley">search</a> done at 1:50AM Pacific.
			- Granted, this is not (likely) an earth-shaking story. But if it were, the same technology would apply. It's a good test case, a good dry run.
			- Also granted, the Twitter result is scattered and disorganized. If you weren't watching the event unfold in realtime you would not be able to piece together the story. However I <i>was</i> watching realtime while it was happening, hitting Twitter's realtime search and watching my incoming twitstream. I follow over 800 people, and a lot of them were fascinated with the story of the slow-speed chase through LA of the police by someone driving a white Bentley. Who is it? Why is it taking so long? 
			- We watched as a helicopter hovered over the scene where the driver was apprehended. Ominously one Twitterer says the driver killed himself on camera on ABC. Now there are some published mainstream reports that say this too.
			- <a href="http://images.scripting.com/archiveScriptingCom/2009/02/10/onefiftyseven.gif">At 1:57AM</a>, Google has a link to an <a href="http://www.pe.com/ap_news/California/CA_LA_Bentley_Pursuit_384680C.shtml">AP story</a> with an update about the driver being taken away in an ambulance. The story has a post time of 1:34AM, about 25 minutes ago as I write this at 2AM.
			- Now all this is likely to get washed out in a few hours when the reports are filed and there's been a press conference. My point is that Twitter is doing something new and with all due respect to Google, something that Google isn't. However, there's a lot of room for improvement, and connections between the various parts of the news ecosystem. 
			- Every serious news outlet should have someone monitoring Twitter 24 hours a day, 7 days a week. They should be following at least a few hundred people, feel free to clone my follow list, if you like. It got me in the loop on this within minutes. When a story breaks, a reporter should be dispatched to cover the news that the Twitter community uncovers. The first news organization that does this well is going to get a ton of flow and attention and be well-positioned for the new <a href="http://www.scripting.com/stories/2009/01/19/the24minuteNewsCycle.html">24-minute news cycle</a>. Google clearly needs to get their hooks into the Twitter flow, but it's not clear that Twitter wants them in there, hence the last part of @mattcutts's <a href="http://twitter.com/mattcutts/status/1192385531">quote</a>, which is ominous: "The larger issue is when search engines can't see data." As we often say <i>"Bing!"</i> -- that's the crux of the biscuit.
			- As happens so often in tech, we're coming up to a repeat of the sitdown scene in The Godfather where the heads of the other families tell Don Corleone that he must share his Senators, which he keeps in his pocket, like so many coins. (I'll look for the exact quote.) Twitter is holding some valuable coins in its pocket. But Google need not sit on the sideline, they're a big force, and they're moving into social networkings like an aircraft carrier, slowly and deliberately, one step at a time.
			- Another note -- this is a thread we've been following here on scripting.com since 1996. Today we call it "real-time search," back then I <a href="http://www.scripting.com/davenet/1996/09/07/FloatingIdeas.html#1">called for JIT-SEs</a> or <i>Just-in-time search engines.</i>
			- One more observation: Sometimes having insomnia pays off. ";->"
			- Update: <a href="http://www.latimes.com/news/local/la-me-bentley-pursuit11-2009feb11,0,7473572.story">At 2:25AM</a>, the LA Times has a lot more detail. 
			- Update: The full Godfather quote from the <a href="http://www.awesomefilm.com/script/THEGODFATHER.txt">screenplay</a> by Mario Puzo. "Don Corleone is too modest.  He had the judges and politicians in his pocket and he refused to share them. His refusal is not the act of a friend.  He takes the bread out of the mouths of our families.  Times have changed, it's not like the old days where everyone can go his own way.  If Don Corleone had all the judges and politicians in New York, then he must share them or let others use them.  Certainly he can present a bill for such services, we're not Communists, after all. But he has to let us draw water from the well.  It's that simple."
	- February 8
		- David Recordon
			- Just had a 1/2 hour phone conversation with <a href="http://www.davidrecordon.com/">David Recordon</a> who's involved with OpenID and OAuth and works at SixApart. There were no deals made, we talked in generalities, I wanted him to understand where I was at with these two technologies. In the spirit of being open and transparent, here's where I'm at:
			- 1. I'm a user of OpenID. If you look at the HTML source for the <a href="http://scripting.com/">scripting.com</a> home page you'll see all the OpenID information. Pretty sure I understand how it works at a technical level, and that I could if needed do a server implementation.
			- 2. I'm confused by OAuth, but I know I have to implement it, at the lowest level, because there's no community to do it for the OPML Editor, and that's where I do my development. I've done the Flickr pre-cursor to OAuth, and hated it, but I have it working, and it works without flaw or problem, so that's behind me. The docs that exist for OAuth are daunting. But it's high on my to-do list. 
			- <a href="http://flickr.com/photos/scriptingnews/3264614652/"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/08/ninthAve.gif" width="125" height="170" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninthAve.gif"></a>3. Because of the inevitability of OAuth, I'm concerned that the big companies are going to start monkeying with it, and that at some point there will be many flavors of OAuth and I'll have to implement them all. This is just a fear, only based on experience with other formats and protocols.
			- 4. In the struggle to achieve simplicity for OpenID, I came to the conclusion that it has to be built into each web browser. Interestingly David came to the same conclusion and wrote an <a href="http://radar.oreilly.com/2008/12/getting-openid-into-the-browse.html">article</a> about it in December last year. Imho, the browsers that need to do this are: Firefox, MSIE, Safari and Chrome. If they do it the rest will follow. I think if even one does it, all the rest will follow because it is such a compelling idea, and users will like it and insist on it from their browser vendor.
			- 5. He agrees that we need the ability to <a href="http://www.scripting.com/stories/2009/02/04/aMetadataRace.html">attach arbitrary metadata</a> to a user ID.
			- 6. He and I see eye to eye on many of the same things. He's younger, but seems to be going down a similar path as I did. He's in for a lot of pain, but he's doing good work, and I told him so, and I wanted to get that out here. 
			- 7. I still think it's trouble to support Facebook having an invite-only meeting for design around open technologies. However he says they have removed the "invite-only" phrase from the meeting description, and they may webcast it. My main concern is that the OpenID that enters the room is the same one that exits when the meeting is over. 
		- Kettle Chips
			- <a href="http://www.amazon.com/Kettle-Chips-Spicy-Thai-2-Ounce/dp/B000G6Q4GM"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/08/kettleChipsSpicyThai.jpg" width="248" height="400" border="0" alt="A picture named kettleChipsSpicyThai.jpg"></a>
			- Yummmm!
	- February 7
		- Facebook and Twitter, OpenID
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/07/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">There was some really interesting <a href="http://www.allfacebook.com/2009/02/what-facebooks-open-platform-means-for-you/">news</a> yesterday about Facebook opening up their model so that status updates can flow in and out of their sandbox through their API. A lot of people who are familiar with programming Facebook (I'm not) say this will open Facebook to the same kinds of apps that have been developed around Twitter, which has always had this kind of API.
			- Immediately I felt drawn to know more about how Facebook works, for the first time. I've been happy writting Twitter apps and FriendFeed apps. But a lot more people use Facebook, and as we know and have said many times, the important thing is where the people are.
			- <a href="http://blog.broadbandmechanics.com/2009/02/twitter-is-now-worth-like-half-as-much">The best post</a> I've read so far on the politics between Twitter and Facebook was written by Marc Canter. I laughed out loud a few times while reading it, it's that good. I don't think they're laughing about it at Twitter headquarters. But I also don't think it's in any way over, as some do. Techno-political chess matches are rarely finished after the first few moves, it usually takes a number of rounds, backs and forths, before you can develop a theory about the outcome, and even then it's hard to knock momentum. One of my investors once said, when Apple was just a $1 billion company in 1983, that "Billion dollar companies don't just disappear." 
			- Okay, Twitter is a $0 billion company, but that's not the point, they've got a lot of momentum, a lot -- and it's not going to disipate because of a technical innovation at Facebook. It's going to take more than that. And in the meantime, it certainly means that Twitter will be more attentive to its partners and developers, and perhaps be a bit more aggressive with feature rollouts (It's been sitting on a lot of new features for a long time, imho).
			- I called Marc to congratulate him on his piece, and asked about the meeting at Facebook next week about OpenID, and he said something I was afraid of -- it's invite-only. Which means they're screwing around, both Facebook and especially the OpenID people. You can't have invite-only meetings about open standards. It's not at all a small thing. I strongly recommend that the meeting be held outside of Facebook, that they be made totally welcome to participate, and that everyone else who's interested be welcome as well. 
			- OpenID has come a long way and as far as I know has always been a level playing field. I've seen people trying to have private meetings about SOAP and RSS, and I always put my foot down and said no, and blew the whistle publicly if I needed to. It's time for the leaders of OpenID to defend the open-ness of their work. You can't have invite-only meetings about open protocols. And there can't be any exceptions to that.
			- <a href="http://www.facebook.com/event.php?eid=52714676178">Update</a>: "Because we want to keep it small and focused, the event is invite-only."
	- February 6
		- Don't boycott Kellogg
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/06/cf.gif" width="125" height="195" border="0" align="right" hspace="15" vspace="5" alt="A picture named cf.gif">First, a disclaimer -- I used to smoke pot, but I haven't in many years. I don't smoke anything, or actually take any drugs that get me high. However, I strongly believe that marijuana should be decriminalized, even made legal. I think it's the ultimate in hypocrisy to argue that former members of the excecutive branch of the US govt should not be prosecuted for war crimes because it would be looking backward, while our jails are full of people whose only "crime" is that they smoke pot. It's like we have two legal systems, one for the powerful and one for the rest of us. It's so un-American, I don't know why people can't see that.
			- Anyway, I remember what it was like to smoke pot, and I definitely remember what it was like <i>after</i> smoking pot. It gives you the munchies, an appetite for anything that's rich and sweet. I think sometimes American industry worked at creating <a href="http://www.taquitos.net/snacks.php?snack_code=881">products</a> just for people with munchies, like <a href="http://www.krispykreme.com/">Krispy Kreme</a> donuts. Kellogg's makes many such products.
			- Now Kellogg's has <a href="http://uk.reuters.com/article/burningIssues/idUKTRE5150CY20090206">dropped</a> <a href="http://en.wikipedia.org/wiki/Michael_Phelps">Michael Phelps</a> as a spokesmodel because, shudder, he got caught smoking pot. Geez Louise, that's like getting caught having a beer. Yeah it's illegal, so is torture, what are you going to do? Fact is, after winning all those gold medals in Beijing and bringing glory to our country, he's entitled to kick back, smoke some dope, eat some poptarts and rice krispies, and hang out for a bit while he basks in the glow of our admiration. He should get laid too. A lot. (But use protection, you don't want to get a STD.) What's the point of being young and successful if you can't enjoy it! 
			- What a bunch of stinkers they are at Kellogg's. They could score so many points by saying something like this: "We don't encourage pot smoking, but we understand that some people do it. We have so many bigger problems to tackle in this country, and Michael Phelps is such an incredible young man and hero, we decided to be heroic ourselves, and cut him some slack, and keep him on the corn flakes box."
			- So I don't think we should boycott Kellogg's, let's buy them. And put up ads on our websites explaining why we're buying them. Because we want them to do the right thing, and get the big fat stick out of their butt, and lighten up a bit. Maybe even step out back of the office in Battle Creek and smoke a doobie. ";->"
		- Instant Outiner bootstrap
			- I've been quietly working with a small number of users on the next interation on the OPML Editor's instantOutline tool. I <a href="http://www.scripting.com/stories/2009/01/16/instantOutliningGetsDiscov.html">wrote</a> about it in January, after Hutch Carpenter <a href="http://bhc3.wordpress.com/2009/01/16/before-there-was-twitter-there-was-dave-winers-instant-outliner/">discovered</a> its previous incarnations. I was getting a new version ready for a project I was working on in December, so it was pretty easy for me to get it ready for wider use, which I have now done. 
			- The new tool has several <a href="http://howto.opml.org/dave/editorOpmlOrg/instantOutlineTool.html#prerequesites">prerequesites</a>: 1. You must have the OPML Editor installed on your desktop computer, it's available either for Windows or the Macintosh. 2. You must be a member of FriendFeed and 3. You must be a member of the instant-outline-beta group on FriendFeed. I've built most of the back-end on the excellent realtime updating API in FriendFeed, that's why you have to be a member to use the I/O tool.
			- Documentation is here: <a href="http://howto.opml.org/dave/editorOpmlOrg/instantOutlineTool.html">instantOutline.html</a>.
			- I'm monitoring the workgroup. Hopefully this is a next step in something fun and excellent. Look forward to seeing you there. ";->"
		- One more time -- open the news industry!
			- As I said in a <a href="http://cinch.blogtalkradio.com/5107357180/216514.mp3">podcast</a> a few days ago, since the beginning of my career in the early 80s, I've been meeting with people in the news industry to try to play a role in its transition to an electronic medium. But that's only half of it, the easy half. The hard half: I want to be a reporter, but a new kind of reporter. Instead of one of the few, I want to be one of the millions. And I want technology to find a way to do what reporters of the 20th century used to do, to organize all the information from what they used to call "sources" into reports that people like you and me can read and think about and discuss. 
			- <a href="http://www.scripting.com/stories/2008/11/09/newConferenceFormatTheUnsu.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/06/menwalk.gif" width="125" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named menwalk.gif"></a>Reporting is a connecting art, like a real estate broker, travel agent, stock trader. The writing part of reporting is mundane, you want the reporter to stay out of your way as much as possible, and the good ones do. It's like the other arts -- who wants a real estate broker who sells you on how great it would be to live in a house while you're looking at it. They don't know how you live, their chatter interferes with your dreaming, and it's the dream that buys the house. I once had a travel agent who loved to golf, so I ended up staying at hotels near golf courses. I don't golf. So now I do my own travel agenting. It takes more time, but I stay in places that are a better fit.
			- The news people talk about paying for news, but the suppliers of news, the sources, are never paid. So if we can find a way to do what reporters do, without paying reporters, then voila, we can have our news for free. Before you rattle off some tired rationale, think about it. What are reporters doing that amateurs and/or software can't do?
			- Jay Rosen explained this to me once -- the word for what reporters do that machines don't is "authority." Humans convey authority. But -- only until humans teach us how to do it for them.
			- Here's the idea I would program into the heads of people who run the news corporations if I could turn them upside down and hang them by the feet until all the old wrong ideas ran out of their heads, forming a fetid puddle on the ground beneath them. News people are all around you, anxious to get in there and work, for free, on the news. At first thousands of them, and then once the glitches are worked out, tens of thousands. There's no shortage of people who want to inform others. The challenge is to figure out which ones want to do it for love. And that might not be such a challenge. I can show you a few dozen, and I bet they could show you a few more and so on. In the end you might not be able to make money at news, but you're not making money now, so what else is new? ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/06/dropdead.gif" width="125" height="178" border="0" align="right" hspace="15" vspace="5" alt="A picture named dropdead.gif">The manufacturing process for news has radically shifted. The question is, as with the economy, whether we can transition the existing process to become the new one (imho preferable) or does the old system have to collapse before the new one can rise to take its place. 
			- The key is to look at all those empty newsrooms, and to envision, before they completely shut down, filling them with volunteers -- who we can teach to write the news.
			- One more thought -- as with all post-apolcalyptic thinking, post-Katrina New Orleans provided the testbed, the dry run. Look at what the <a href="http://www.nola.com/t-p/">Times-Picayune</a> did in the days after the hurricane. In my humble opinion a great newspaper rose overnight where a mediocre one had been the day before. The printing presses weren't running, and the normal management structure was heavily disrupted. But they had a story, a great one -- and if you go back to the roots of news, that's when it really happens, not when someone pays you well, but when you have a great story. (Same thing happens in software, when you're shipping a winner, somehow everyone on the team knows, and they put it in an even better performance.)
			- That's what we all want to be part of -- something great. I think that expresses the best of the human spirit. As young people we want to <i>be</i> the greatness, but as we grow we want to be <i>part</i> of greatness. That's much more exciting.
			- Update: Here's an <a href="http://blog.stealthmode.com/2009/02/06/an-open-letter-to-my-two-mortgage-companies/">example</a> of the kind of reporting I find riveting, Pulitzer-worthy, written by an amateur, with passion. 
	- February 5
		- Katrina, USA
			- <a href="http://flickr.com/photos/scriptingnews/73607323/in/set-1580990/"><img src="http://images.scripting.com/archiveScriptingCom/2009/02/05/cafe.jpg" width="125" height="94" border="0" align="right" hspace="15" vspace="5" alt="A picture named cafe.jpg"></a>I had lunch with an old friend from college, <a href="http://www.nominum.com/company/executives_wilbourn.php">Sandy Wilbourn</a>. We both went to Tulane in the 70s and majored in math. Then a funny thing happened, shortly after I started grad school in computer science at UW-Madison, I ran into Sandy on campus. He was getting a degree in math there. Then a lot of years later I was shopping at <a href="http://www.robertsmarket.com/">Roberts Market</a> in Woodside and saw Sandy. He lived in the Valley too. Earlier this year his uncle left him a house in Berkeley, a few blocks from where I live. Hey it's a good thing we like each other, we seem to be in the same <a href="http://www.urbandictionary.com/define.php?term=karass">karass</a>. ";->"
			- Anyway, Sandy is the first person I know from New Orleans who I've talked with about my <a href="http://flickr.com/photos/scriptingnews/sets/1580990/">visit after Katrina</a> in 2005. It stirred some memories cause we both know all the same landmarks, where the river bends and where the levees are. But Sands hadn't been back to New Orleans so I told him about places that had been wrecked that, last time he saw them, were fine.
			- I remembered a lesson from Katrina, the human side of something Krugman keeps <a href="http://krugman.blogs.nytimes.com/2009/02/04/about-that-deflation-risk/">saying</a>: once deflation starts it's very hard to pull out. 
			- New Orleans went out of business. One day every business in the city shut down. Some were destroyed, could never return (for example those in neighborhoods that were under water for weeks). But every other business had to restart from a dead stop. It's as if from an economic standpoint the city didn't exist.
			- The city's recovery will be slow, if it ever fully recovers. Some parts seem likely to come back. The richest parts, the oldest parts, the business parts. But it was all damaged and virtually all the people had gone, and many haven't come back. 
			- Now, huge parts of the world economy have shut down. Some have been shut down for months. Economies don't just start back up once they shut down. They can start back up from a slowdown much more easily. But once a business is gone, it's gone. 
		- Time for heads to roll at Meet The Press
			- First some disclaimers, disclosures, etc...
			- 1. I stopped watching the Sunday morning news shows after the election. Now I listen to the podcasts, when I have a chance. I'm fed up with the gotcha crap. Gotcha, gotcha gotcha, that's all they know. 
			- 2. I don't like "gotcha" interviewing. I want to hear what the people have to say. I'm very circumspect. I'll form my own opinion on what they say. I know they're all lying and spinning. No one ever gets anyone with a gotcha. 
			- 3. Gotchas only interest the reporter and his or her competitors. It's their way of keeping score. No one else cares. And because they all do it all the time, it breeds politicians who are good at saying nothing because the prime gotcha is "I caught you saying something. Gotcha!"
			- 4. Like every other element of the political system this needs reforming. If you believe in the primacy of the network filter (for me it's fading realllly fast) then nothing can get done until they evolve beyond gotcha.
			- 5. Make a list of the reporters who can interview someone and just let them tell their story, help them along as needed, represent the audience, and stop playing the insiders' game. Bill Moyers. Some of the PBS people like Gwen Ifil. <a href="http://www.scripting.com/stories/2008/11/21/terryGrossBlewIt.html">Terry Gross</a> except when she's interviewing the terrorist who Obama palled around with. And the guy I like best: <a href="http://nymag.com/news/intelligencer/47406/">Aaron Brown</a>. 
			- Which brings me to the point.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/05/brown.jpg" width="95" height="103" border="0" align="right" hspace="15" vspace="5" alt="A picture named brown.jpg">Tom Brokaw was pretty good. He's old enough and senior enough not to really care what the other reporters think of him. Even so, he did play gotcha while he was filling in. But he was the best of the three. Now that he's gone, Stephanopoulos is the best, <a href="http://www.huffingtonpost.com/2009/02/05/meet-the-press-ratings-lo_n_164375.html">Gregory</a> is a toad. He's a tiny mind. In way over his head. He says the stupidest gotcha stuff. Here's my favorite -- he pressed Rahm Emanuel to explain how hiring more teachers was going to create jobs. Yeah he actually said that. Several times. Give Rahm some points for not calling him a fucking idiot to his face.
			- Given a few years maybe Gregory will grow into the job. But we don't have a few years.
			- If you have to go for another interim host, get Moyers if he'll do it. But if you really want to make news on Sunday morning work, and raise the bar for everyone else, <i>get <a href="http://www.huffingtonpost.com/2008/04/28/aaron-brown-to-return-to_n_98913.html">Aaron Brown</a> to do Meet The Press.</i> Pay him $20 million. 
			- I beg you.
	- February 4
		- A metadata race?
			- Steve Gillmor perceives a race between Twitter and FriendFeed, which I find interesting, even if I don't think it's as much a race as he does. At this point there is so much distance between the services they provide, it's hard to see them as competitors.
			- However, there is one area where all the current providers of social networks are in competition, and I'm not sure they're all aware of it, and so far no one has entered the arena, but I get a sense that at least a couple are poised to -- Twitter and FriendFeed.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/04/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">There's an interesting story that came up that's very much in line with the <a href="http://www.scripting.com/stories/2009/02/01/wheresYourData.html">Where's Your Data?</a> and <a href="http://www.scripting.com/stories/2009/02/03/whatHappenedToNakedjenOnFa.html">What Happened To NakedJen?</a> threads here on scripting.com. Last week, a bookmarking service, ma.gnolia, lost all its data. All of it. It was bound to happen sooner or later. Everyone who operates a public service back-end knows how fragile these things are, I sure do. At UserLand we came close to melting down a few times, and every one of those times we urged our users, as best we could, to keep local copies of their data.
			- Anyway, <a href="http://blog.wired.com/business/2009/01/magnolia-suffer.html">ma.gnolia crashes</a>, and someone there realizes that FriendFeed has been archiving their data for users that established the connection between the two services. And FriendFeed has an API. So <a href="http://blog.wired.com/business/2009/02/magnolia-using.html">voila</a> -- write a web app to pull the data out of FF and re-populate their database, at least for some of their users. 
			- This suggest a buddy system for web service providers. Not every service can rely on the same back-end for safety, what happens when that service goes down? And who knows all the dependencies we're creating -- what if FF is using Amazon's back-end and Amazon gets attacked by an asteroid or a crazy terrorist, or whatever. 
			- All of this leads me to a wish that one of these companies would allow, through their API, for us to store arbitrary data on a per-user basis. I'm working with a small group of users on a new build of the Instant Outliner, and am using FriendFeed's "room" structure to great advantage. It's almost at the point where I don't have to write a back-end at all, I could almost completely depend on theirs. If only. If only they allowed me to store a relatively small amount of XML-based data with each user. Less than a megabyte per user. Probably way less. 
			- Something like Amazon's SimpleDB only even simpler, would do the job. The equivalent of a Perl hash or a Python dictionary. The same data we pass around in <a href="http://www.xmlrpc.com/spec">XML-RPC</a> would be very good. 
			- I know all this sounds super-technical, but the architects at Twitter and FriendFeed know exactly what I'm asking for, and it wouldn't surprise me at all if one or both had this facility almost ready to go.
		- Archiving Twitter in OPML
			- In mid-January I started a project to archive the Twitter posts of the people I follow. At first I experimented with rendering the archives in an XML-compatible form of HTML, but decided the point would largely be lost, so I decided to go with OPML. 
			- You can find the folder of archives here:
			- http://twitter.opml.org/calendar/ 
			- At the top level of each <a href="http://twitter.opml.org/calendar/davewiner/">sub-directory</a> is calendar.opml and today.opml. The former links to every OPML file for that user, and the latter contains all the twits from today, or the last day that person posted something to Twitter.
			- There's also a folder called 2009, and under that two sub-folders: 01 and 02 for January and February. And under each of those is a file for each day. In March there will be a folder called 03, and so on.
			- I do not archive posts for people whose Twitter accounts are private. 
			- The archive follows the whims of my follows and unfollows. If I started following someone on January 29, their archive would start on that day. If I unfollowed and then followed, there will be a gap in their archive. 
			- The archive is updated once a minute.
			- The server is in Amazon's EC2 cloud.
			- No guarantees are made that this service will remain up, I'm doing it entirely as an experiment, to learn what the issues and perhaps what the opportunities are.
	- February 3
		- What happened to NakedJen on Facebook?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/03/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif"><a href="http://www.nakedjen.com/nakedjen/2009/02/i-guess-the-word-naked-is-pornographic-now.html">NakedJen</a> was a very early Facebook user because she worked for a "sister company" -- one that was funded by the same venture capital firm as Facebook, Inc. 
			- Her account, which was recently deleted by the company for unknown reasons, was non-commercial, it represented simply a person, wasn't excessively large, didn't contain any nudity or other objectionable material. When she asked for an explanation, they told her to read the terms and conditions. When <a href="http://scobleizer.com/2009/01/29/zuckerberg-facebooks-intense-year/">Scoble</a> asked Zuckerberg about it he gave an annoying explanation about how the company would rather have some "false positives" instead of have their system abused. 
			- As a friend of NakedJen's (whose birth name is Jennifer Neal, a name I have never used for her) I don't think of her as anything like a "false positive" -- she's much more of a "true positive" -- and a really cool human being. I named her my <a href="http://www.scripting.com/stories/2007/12/24/bloggerOfTheYear.html">Blogger of the Year</a> for 2007. That says it all as far as I'm concerned.
			- Now I'd like Zuckerberg to get in touch with <i>his</i> true positive -- and get a clue that his users are people who use his system in the most personal way imaginable. If you're going to kill someone's presence on Facebook, please -- give them some idea <i>why</i> you're doing it. And if you screw up, as you certainly did this time, please have the guts to say so and give the user the satisfaction of knowing that you care, just a little, what they think of you. 
		- Twitter API for the social graph
			- Twitter just <a href="http://twitter.com/twitterapi/status/1174830789">announced</a> two <a href="http://apiwiki.twitter.com/REST-API-Documentation#SocialGraphMethods">new APIs</a> that should make a host of new applications possible. The two APIs allow applications to navigate the "social graph" defined by Twitter under program control. I'm going to write a few little apps to test it out and report back here. 
			- <a href="http://twitter.com/kevinmarks/status/1174971044">Kevin Marks</a>: "the api returns numeric IDs, not twitter handles? that seems lame."
			- I won't go as far as Kevin, but I do wonder how we're supposed to use this data. For example, I follow 828 people. How am I supposed to get the handles for each of those people? Should I make 828 calls? I guess they're assuming I'm storing them in a database using the numeric id as a key. I don't. My databases always use the mnemonic as the key, for example, in my calendar application, I access Kevin's data through this address: config.twitterCalendar.users.kevinmarks which corresponds to a <a href="http://twitter.opml.org/calendar/kevinmarks/">folder</a> on a server.
	- February 1
		- Where's your data?
			- <a href="http://www.craigburton.com/?p=2929">Craig Burton knows</a> what that question means.
			- He was the CTO at Novell, the leading network company of the PC world in the 80s and 80s. Follow the link from his name and read what you should be thinking about your data and whether and how much you should trust companies to keep it safe.
			- However, pause when you get to this part: "I am still reeling from the transition to Wordpress. I lost years of data, links, discussions. No thanks to Dave Winer. Dave, I love you, but I think you left a ton of us locked into your silo with no way out."
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/02/01/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">First, I love you too Craig, but you're totally wrong about that. At UserLand it was our <i>religion</i> not to lock users in. You could <a href="http://manilanewbies.userland.com/stories/storyReader$1019">download your entire website</a> from our servers, even the ones we hosted for free. We pleaded with people to do it, but most users either didn't understand, or didn't care enough to do it. We also provided a tool to convert those websites to <a href="http://www.thetwowayweb.com/theXmlFiles">folders of XML files</a>, to make it easy to port it to other blogging tools. The only way we could have made it easier was to write the import routines for our competitors. 
			- Since we were one of the earliest vendors of blogging tools, we hoped to set a high bar for all to come. Unfortunately this didn't turn out, except in RSS aggregators where <a href="http://www.google.com/search?q=opml+import+export">portable</a> subscription lists are now the norm because Radio 8 taught users the value of being able to switch.
			- Pay attention to what Craig says, and don't store anything on anyone else's server unless you know how you're going to get it off when you need to. Even better, don't store the original on someone else's server, keep that in your space and share a pointer to the data.
			- We're headed into tough economic times and a lot of the for-free companies are going to go under. I think that's a virtual certainty. Further, a lot of them are cutting back, so their technical staffs are going to be thinner and more likely to make a mistake that costs you your data. Read the Terms of Service, they're usually not obligated to do <i>anything</i> to help you in times of trouble. 
