- July 2009
	- July 31
		- Bad Hair Day #6
			- This evening we recorded the sixth Bad Hair Day podcast. (not to be confused with actual BHDs which number in the tens of thousands)
			- You can find the <a href="http://badhair.us/2009/07/31/00025.html">show page</a> on the BHD site.
			- The <a href="http://mytwitterprofile.com/davewiner/badhair/rss.xml">feed</a> is handy for subscriptions.
			- And the <a href="http://mp3.morningcoffeenotes.com/badHair09Jul31.mp3">MP3</a> if you're in a hurry and just want to listen.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/31/badhair.jpg" width="200" height="249" border="0"  alt="A picture named badhair.jpg">
		- From the school of hard knocks
			- Don't waste time on other people's qualities, intelligence, hypocrisy, honor. Distractions. What matters is what <i>you</i> do.
	- July 29
		- An hour with Jeff Jarvis
			- Just spent an hour at a <a href="http://www.flickr.com/photos/scriptingnews/3769297491/">Starbucks</a> in NY with Jeff Jarvis of <a href="http://www.buzzmachine.com/">BuzzMachine</a>. We talked about a lot of stuff, mostly about news and tech. Toward the end of the conversation he asked if I had any advice for his 17-year-old son <a href="http://jakejarvis.com/">Jake</a>, who is already a successful software entrepreneur, having developed and sold a Facebook app for a fair amount of money, esp for such a young man. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/29/santa.gif" width="125" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named santa.gif">Here's the advice I offered:
			- 1. Be a user. Develop apps you yourself have a use for. If you don't have a feeling for what it's like to be a user, you'll never know how to <a href="http://www.scripting.com/davenet/1995/09/03/wemakeshittysoftware.html">evolve</a> the products, and the stuff you learn in #2 will never make sense.
			- 2. Listen to users. Learning how to code is straightforward, it takes time to perfect your skills, but it's relatively easy compared to the skill of listening. I recently suggested to a VC friend that we start a company whose sole differentiator is that it strives to perfect the art of listening to users. I feel that it would pretty much have the market of user-driven tech to itself. This doesn't mean that you get your drive from users, that has to come from your creativity, but it does mean you get your <i>grounding</i> from them. Without connecting with users, your products have no purpose. 
			- Someday maybe I'll teach a course for software engineers on these two skills. It would be challenging, but out the other end would probably come a handful of really powerful entrepreneurial software people.
		- Did VoloMedia invent Podcasting?
			- <a href="http://www.volomedia.com/blog/2009/07/volomedias-podcasting-patent.php">They claim</a> they did, in late 2003.
			- I'm certainly not a lawyer or an expert in patent law, but it seems the work Adam Curry and I did in creating the format and protocol for podcasting, in 2001, may have inspired their "invention." It certainly predates it. 
			- 1/11/01: <a href="http://www.thetwowayweb.com/payloadsForRss">Payloads for RSS</a>.
			- Through out <a href="http://htmlarchive.scripting.com/2001/">2001</a> we did trials and experiments to learn how the protocol worked in practice. Radio UserLand, shipped in Jan 2002, was both a podcast distributor and a podcast client. 
			- By July 2003, I had helped Chris Lydon <a href="http://www.scripting.com/davenet/2003/07/01/chrisLydonSpeaksOfRalphWal.html">boot</a> <a href="http://www.scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">up</a> his series of podcast interviews with the new bloggers of the day. 
			- All that happened <i>before</i> VoloMedia filed their patent application. Or so it seems.
			- ReadWriteWeb has a <a href="http://www.readwriteweb.com/archives/company_receives_patent_for_podcasting.php">piece</a> on the patent.
	- July 28
		- News from NY
			- I'm spending the week in NY with family. 
			- Doing a <a href="http://www.scripting.com/stories/2009/07/24/meetupInNycNextThurs.html">rssCloud road show</a> on Thurs and meeting with tech industry people on Thurs and Friday.
			- Yesterday Jay and I did Rebooting the News #18, <a href="http://rebootnews.com/2009/07/27/00024.html">show notes</a>, <a href="http://mp3.morningcoffeenotes.com/reboot09Jul27.mp3">MP3</a>. Subscribe to the <a href="http://rebootnews.com/rss.xml">feed</a>. Every week it's better than the last.
			- <a href="http://www.scripting.com/stories/2009/03/11/anAlternateOscon.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/28/frontier.gif" width="115" height="151" border="0" align="right" hspace="15" vspace="5" alt="A picture named frontier.gif"></a>People keep asking for info on programming in the OPML Editor environment. I put together a <a href="http://howto.opml.org/dave/programming.html">list of resources</a>. If you know of others please add a comment. 
			- Went to the Mets game yesterday as the guest of <a href="http://www.flickr.com/photos/scriptingnews/3763129939/">Alan Levy</a> of BlogTalkRadio, with my mom and <a href="http://www.flickr.com/photos/scriptingnews/3763042847/in/photostream/">Jesse Stay</a>. I'd say it was the best Mets game I've ever been to. Fantastic come-from-behind victory where the deciding runs were scored with a pinch-hit grand slam. Alan really is up on the Mets so we understood all the strategy behind the Mets moves. Fantastic game. (Right up there with the exciting 16-run World Series <a href="http://archive.scripting.com/2002/10/25#When:7:43:07AM">blowout</a> by the SF GIants of the Angels in 2002, which I went to with Scoble and Jake Savin.)
			- Saw this great sign on a walk today: <a href="http://www.flickr.com/photos/scriptingnews/3765934463/">Queens for Mike</a>.
	- July 26
		- Two-way Search
			- <a href="http://www.scripting.com/stories/2009/06/02/whySimplicityMatters.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/26/adjusted.gif" width="111" height="157" border="0" align="right" hspace="15" vspace="5" alt="A picture named adjusted.gif"></a>When I started <a href="http://scripting.com/davenet/">DaveNet</a> in 1994 I had a bunch of ideas for products that I hoped one day to develop. But I had been waiting so long -- it was becoming apparent that I would never get to develop them. So I wrote emails about them, and sent them to all the people I knew from various industry events. What came back often were ideas that built on them. And eventually some of the products did get built. So the idea of dumping ideas publicly, ones that aren't doing you any good, is solid.
			- In that spirit, here's another -- I call it <i>Two-way Search.</i>
			- Here's the idea -- if the search engine knew a little about me, it could give more relevant answers. But it's too much trouble to enter demographic info, and I might not want to share that with the search engine company. But... There's a single piece of data that unlocks a vast trove of preference information -- the address of my weblog. From that it would be obvious that I live in the Bay Area and am involved in tech. So when I ask about New York style pizza, you might include <a href="http://www.google.com/search?q=Berkeley+New+York-style+pizza">places</a> in Berkeley in the search results. When I search for a <a href="http://www.google.com/search?q=device+driver">driver</a>, I'm probably not looking for someone who drives a car. It goes on and on.
			- I call it two-way because like most things that show up on the Internet, at first search was a one-way thing. I ask questions, the search engine provides answers. By using information on my weblog to provide context, now data flows both ways.
			- BTW, it's conceivable that Google knows where my blog is, but I don't think they incorporate that knowledge in search results.
			- PS: Of course this is the solution to the Suggested Users List problem as well, <i>if</i> the new user has a blog. You don't need to know anything but the address of the blog to make intelligent non-random recommendations of people to follow. For one, you'd know what language the user speaks, so you wouldn't recommend 20 English-speaking celebs if they only know Portuguese. For example.
			- PPS: I thought the idea was so good I bought the <a href="http://twowaysearch.com/">domain</a>. ";->"
		- Blogging at 35000 feet
			- Some day the novelty will wear off, but not yet.
			- <a href="http://www.flickr.com/photos/scriptingnews/3759895956/" title="35000 feet over the Rockies by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2444/3759895956_9f5c7c6a00.jpg" width="375" height="500" border="0" alt="35000 feet over the Rockies" /></a>
			- Flying from SFO to JFK on <a href="http://www.flightstats.com/go/FlightStatus/flightStatusByFlight.do?id=166143333&utm_source=airlineInformationAndStatus&utm_medium=cpc&utm_campaign=co-op">AA 178</a>. The picture was taken somewhere over Wyoming according to <a href="http://www.flightstats.com/go/FlightTracker/flightTracker.do?id=166143333&airlineCode=AA&flightNumber=178">FlightTracker</a>.
	- July 25
		- rssCloud design issue
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/25/accordianGuy.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordianGuy.gif">Bryan Field-Elliot raises an interesting <a href="http://rsscloud.org/walkthrough.html#comment-13314216">question</a> in the comments on the rssCloud walkthrough. 
			- "The automatic expiration after 25 hours seems rather arbitrary. If a cloud server is going to have a policy of expiring subscriptions after X hours, I suggest that the value X be published somewhere. Within the &lt;cloud> element perhaps, or, as part of the return value from the pleaseNotify call. That way different implementations of cloud servers can vary this value as they feel appropriate, and different aggregators will have a means to know how often they need to resubscribe."
			- I responded as follows (and reposted here because I wanted to make sure it gets proper consideration):
			- It's an interesting question.
			- On the pro side -- it would add flexibility.
			- On the con side -- it would also add complexity. Another thing to test, another thing to break.
			- The subscriber should poll anyway, periodically. If it detects a change that it wasn't notified of, it can resub. No harm if already subbed. In my implementation of rssCloud that gives you another 25 hours.
			- I'm not sure I shouldn't give you another 25 hours anytime I detect that you're alive, for example, you respond to a notification.
			- The point is to give the cloud a rule for when it's okay to clean out garbage. It's really hard to imagine why someone would want a different value.
		- Loosely-coupled 140-char reading lists
			- I believe we will get beyond Twitter's very simplistic and limited Suggested User List, which I have written about so many times.
			- What sealed it for me was reading <a href="http://www.salon.com/opinion/greenwald/2009/07/25/military/">Glenn Greenwald's piece</a> in Salon about Cheney's plan to use US troops inside the US.
			- Here was my thought process:
			- 1. I'm going to <a href="http://twitter.com/davewiner/status/2838676823">pass</a> this link on to my readers.
			- 2. A very small number compared to the overall size of the Twitter base.
			- 3. There are probably a few hundred thousand people who use Twitter who would want to know about this story, maybe 60K who would read it, as I did.
			- 4. So how will this gap be filled? How will they find out about this story?
			- Well -- they won't.
			- But -- if there was a service they could subscribe to that alerted them to stories that would be of interest to them, based on their profile, a lot of people would give it a try.
			- In other words, I'm sure there's a place for editorial products delivered via the loosely-coupled 140-character network.
			- I tried this with <a href="http://politics.newsjunk.com/2008/11/04">NewsJunk</a>, but it was either too early or there was something wrong with the way we did it.
			- It will happen.
	- July 24
		- Meetup in NYC, next Thurs
			- <a href="http://www.flickr.com/photos/scriptingnews/3752868478/"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/24/lunch.jpg" width="175" height="131" border="0" align="right" hspace="15" vspace="5" alt="A picture named lunch.jpg"></a>When I have new tech to talk about I love to do what I call a "roadshow."  I take the idea to some other city and have a meetup with anyone who's interested. Last time, when I lived in Florida, I did meetups in <a href="http://archive.scripting.com/2005/07/06#opmlRoadshowMeetupInNycJuly12">NYC</a>, Toronto and Berkeley. 
			- Now with <a href="http://rsscloud.org/walkthrough.html">rssCloud</a> beginning a bootstrap, it's time for another roadshow, this one in NYC, at the same place as the 2005 meeting.
			- Next Thursday, July 30 at 6:30PM at the offices of <a href="http://www.ritchiecapital.com/">Ritchie Capital</a>, <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=747+Third+Ave,+New+York,+NY&sll=37.891853,-122.274908&sspn=0.013428,0.014076&ie=UTF8&ll=40.753434,-73.972492&spn=0.05156,0.056305&z=14&iwloc=A">747 Third Ave</a> at 46th, 38th floor. We have a big conference room with a midtown view and a rooftop patio, the meetup should go for a couple of hours, then if people want to go out for a bite, let's go. 
			- Already have confirmation that some of the most interesting people from NY tech will be there. If you know you'll be there, please post a comment below.
			- BTW, thanks to <a href="http://www.google.com/search?q=Thane+Ritchie">Thane Ritchie</a> for allowing us the space. The investment world has been through some hard times, as has tech, and it's great to see them still out there. His latest interest, I hear, is <a href="http://en.wikipedia.org/wiki/Urban_agriculture">urban farming</a>. 
		- rssCloud developments
			- Yesterday I posted the <a href="http://rsscloud.org/walkthrough.html">Implementor's Guide</a>. It walks a coder through the components of rssCloud -- the authoring tool, cloud, and aggregator.
			- I also <a href="http://rsscloud.org/walkthrough.html#codeImReleasing">released</a> the source code for my implementation of the cloud. My aggregator, River2, was updated to support the cloud. I have not released my authoring tool yet.
			- I started a <a href="http://friendfeed.com/rsscloud">FriendFeed group</a> to facilitate communication among implementors.
			- <a href="http://static.lifeliner.org/lifeliner/rss.xml">A feed</a> that will help you test, if you're developing an aggregator. It updates every 15 minutes, notifies the cloud server, which in turn will notify any registered subscribers. 
			- My personal "LifeLiner" <a href="http://static.lifeliner.org/dave/rss.xml">feed</a> is also available for testing. I wouldn't recommend subscribing  in a feed reader like NetNewsWire or Google Reader. It's designed for the <i>loosely coupled 140-character network.</i> For which there aren't any readers. Yet! (Gotta start somewhere..)
			- <a href="http://www.scripting.com/stories/2009/07/24/meetupInNycNextThurs.html">Meetup</a> in NYC next Thurs.
			- Anil Dash has written an excellent <a href="http://dashes.com/anil/2009/07/the-pushbutton-web-realtime-becomes-real.html">white paper</a> on recent developments in the realtime or "pushbutton" web, including of course rssCloud.
			- rssCloud isn't "recent" --> it was <a href="http://cyber.law.harvard.edu/rss/rss.html#ltcloudgtSubelementOfLtchannelgt">defined</a> in <a href="http://scripting.com/2001/01/06.html">January 2001</a>. ";->"
			- <img src="http://www.scripting.com/images/sushi3.gif">
		- My two cents on Gates
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/24/cuffs.jpg" width="150" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named cuffs.jpg">I just posted a <a href="http://twitter.com/davewiner/status/2828595703">tweet</a> saying I don't view the Gates matter through a racial lens, I view it through a Harvard lens. I want to explain, and I'll try to do it briefly.
			- First, I've had my share of run-ins with cops. When I was young, I liked drugs and street politics, and that meant lots of confrontations with NY cops. Never got arrested because I was lucky and because I was fully submissive when stopped by cops. They scared the shit out of me. I knew they had lethal force, and they must teach them how to be terrifying, because they are. Very. 
			- Later, as a college student, I'd occasionally get drunk (in New Orleans, everyone does it) and once even got picked up and put in jail for a night to sober up. No record, but I'll never forget it. 
			- Hitch-hiking in Calif, I got stopped by police in <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=Tracy,+CA&sll=40.971604,-117.729492&sspn=6.576676,7.207031&ie=UTF8&ll=37.739227,-121.436005&spn=0.861192,0.900879&z=10&iwloc=A">Tracy</a>, and was fined exactly the amount I had in my pocket. I paid it, and wondered where the money went, but I didn't make a stink. I just left and never went back.
			- I once had two cop cars come to my house in <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=425+Manzanita+Way,+Woodside+CA&sll=37.422628,-122.259936&sspn=0.027027,0.028152&ie=UTF8&ll=37.419186,-122.245045&spn=0.054057,0.056305&z=14&iwloc=A">Woodside</a>, and I had to prove that I lived there. I did. Kept my mouth shut except to say "Here" as I handed over my driver's license. I owned the place. Didn't matter. Until they left they owned my ass.
			- A couple of years ago driving from Calif to Denver, I got stopped in <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=Winnemucca,+NV&sll=37.419186,-122.245045&sspn=0.054057,0.056305&ie=UTF8&ll=40.971604,-117.729492&spn=6.576676,7.207031&z=7&iwloc=A">Winnemucca</a>. I was speeding. Really speeding. Stupidly speeding. I accepted my ticket graciously. Drove slowly the rest of the way and got stopped in every major town in Nevada. Never expressed any irritation. Just begged for them to let me leave the state. Promised never to return.
			- I say all this to point out that I have some experience with cops, and I'm white, and I would never in a million years think of yelling at a cop. Never have, and if I ever do, I expect to be arrested.
			- Now Gates says he didn't yell at the cop. I don't believe him. Too many other people who were there say he did. I'm pretty sure when you're yelling at a cop who's doing his job he's supposed to arrest you for disorderly conduct. I think that's more or less what disorderly conduct <i>is. </i>
			- I also think yelling at a cop is stupid. He's got a gun. If it's so much worse being black with cops (and I believe it is) you'd think blacks would be 100 times more careful about it than a white guy. 
			- Now, the second part of the story...
			- In addition to being hassled by cops, sometimes deservedly and other times not, I also spent 1.5 years at Harvard as a research fellow. I was not at the level of Gates, but I had an office in Harvard Yard and a very nice ID card that got me into all kinds of great places. Being in Harvard gives you an Ivy League feeling, you're one of the Special people. It's very nice.
			- Imho what we're seeing here is not black outrage, but Harvard outrage. As a <a href="http://www.salon.com/opinion/feature/2009/07/24/gates/?source=newsletter">piece in Salon</a> pointed out today, if he were anyone else, white or black, no one would have cared, and he probably wouldn't have been so vocal in his rage. What he's saying over and over is "Hey I'm a tenured Harvard professor. I just got back from China where I was on a PBS show. I'm a big dude. You don't treat me this way."
			- But I'd like to say to the Harvard prof what the Salon guy said to him. Shut up Prof Gates. You're just like the rest of us. When a cop gives you an order, you do what he says. If you have a beef with it, that comes later. And let your lawyer speak for you, and be sure you're right. 
		- Another way RSS works
			- JY Stervinou had a <a href="http://jy.typepad.com/jy/2009/07/decentralized-microblogging-avatars.html">great idea</a> today.
			- He started by posing a question...
			- "If a decentralized microblog is represented by an RSS feed, how to represent the microblog avatar?"
			- Ahhhhh...
			- There is already a <a href="http://cyber.law.harvard.edu/rss/rss.html#ltimagegtSubelementOfLtchannelgt">tag</a> for this.
			- I added an &lt;image> to <a href="http://static.lifeliner.org/lifeliner/rss.xml">both</a> of my test <a href="http://static.lifeliner.org/dave/rss.xml">feeds</a>.
			- Great work JY!!
	- July 23
		- Implementor's guide to rssCloud
			- I have a cloud server running now. 
			- I have feeds that are connected with the cloud and more on the way. I have an aggregator that is wired into the cloud. 
			- Now, if you're a developer of a Twitter authoring tool or want to start a small community of your own (emphasis on small), it's time to start at least thinking about your role in the bootstrap.
			- Here's the new implementor's guide, first cut:
			- <a href="http://rsscloud.org/walkthrough.html">http://rsscloud.org/walkthrough.html</a>
			- We need implementations in all environments. My code runs in the OPML Editor. We need everything else. ";->"
		- Dumb XML Question answered
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/23/gumby.gif" width="65" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named gumby.gif">I just stumbled on an answer to Tuesday's <a href="http://www.scripting.com/stories/2009/07/21/dumbXmlQuestion.html">Dumb XML Question</a>.
			- If you recall, I wanted to provide a way for users to view the XML of a feed that contains a &lt;cloud> element. I didn't want them to have to do anything like View Source, for a simple reason. I wanted to make it one-click to refresh, so you could quickly see the effect of a change on the XML. I really missed this from the days before the browser vendors hacked up the viewing of RSS in the browser. 
			- Here's what I did...
			- 1. <a href="http://images.scripting.com/archiveScriptingCom/2009/07/23/viewbutton.gif">Add a button</a> to the LifeLiner editing window called View.
			- 2. When the user clicks it, I read the feed XML from the server.
			- 3. Write it out to the local file system with the name preview.xml. Turns out the extension is significant.
			- 4. Send the OS an openDocument message.
			- 5. Voila -- you <a href="http://images.scripting.com/archiveScriptingCom/2009/07/23/xmlasgodintended.gif">see the XML as God</a> intended.
			- Let's hope they don't "fix" this. :-)
		- What worked for HBO won't work for news
			- First a couple of upfronts.
			- 1. I love The Wire. It's the best TV series ever. I've paid for it twice, <a href="http://www.youtube.com/watch?v=0B-QE_g3JPU">once</a> on HBO and <a href="http://www.youtube.com/watch?v=Y0PMyOBF4Ps">once</a> <a href="http://www.youtube.com/watch?v=TxIqJ-j9LE4&NR=1">on</a> DVD. So I not only believe in paying for content I love, I practice it. Redundantly! 
			- 2. I'm drinking coffee. There's no <a href="http://images.scripting.com/archiveScriptingCom/2009/07/23/spittle.gif">spittle</a> in the corner of my mouth. Writing about something I've spent my whole career working on and thinking about. And I'm no kid. I'm five years <i>older</i> than <a href="http://en.wikipedia.org/wiki/David_Simon">David Simon</a>, former Baltimore Sun journo and co-writer of The Wire.
			- Simon wrote a <a href="http://www.cjr.org/feature/build_the_wall_1.php?page=all">remarkable piece</a> in the Columbia Journalism Review, saying that the NY Times and Washington Post must charge for their work the way HBO charges for shows like The Wire. 
			- With all due respect, putting up a "pay wall" is exactly what these organizations don't need. They need to decentralize, get further out into the world, not hole-up behind a wall and try to tough it out. 
			- What worked for HBO won't work for the news because HBO is ficition, and news is not. You can take years writing and developing a story on HBO, polish it, cut out parts that don't support the plot you've devised, even drop the series in the middle if you lose interest. That doesn't happen with the news. News is happening all the time, on its own schedule, all over the place, including many places you don't have reporters. (Think about the <a href="http://www.demotix.com/news/arrest-h-louis-gates-jr?utm_source=Interested+Parties&utm_campaign=b99ad21e61-H_L_Gates7_22_2009&utm_medium=email">arrest</a> of Prof Gates in his own house in Cambridge, this week. Sounds like something that would happen on The Wire.)
			- And often, the stories are far more complex than reporters can comprehend. This is something I know many people in the news business disagree with. I just don't think the reporter model is working. All it does is inflate the self-importance of these people, turn them into gatekeepers, and often bullies. People who behave like the power brokers they're supposedly covering, when they're forced into playing footsie with them if they want access. Usually under the table but sometimes in plain sight. 
			- As a user of news, I'm sure the future is in shortening the distance between the sources and the readers. Yes, there was a time when, if you wanted to get a story on the wire you had to call a reporter. But that's less true every year, as new channels of news have developed, channels that the NYT (not so much the Post) are just <i>starting</i> to participate in. Watch out as that develops, because it's a potent combination. News people immersed in a sea of news makers. I don't know what news will look like coming out the other end, but it won't look like the system Simon and I grew up in.
			- This must run its course. The idea of putting up a paywall will just force more reporters outside of it if they want to do their jobs and shrink the publications further. It's no solution. 
			- PS: I don't believe in citizen journalism, which has amateurs playing the role of reporters. I think news is being refactored, unbundled -- broken into components, much the same as other aggregators like travel agents and stock brokers. Music <a href="http://www.getsigned.com/about_ar.html">A&R</a> people. I believe in the <a href="http://www.scripting.com/stories/2009/05/15/sourcesGoDirect.html">Sources Go Direct</a> model, the disintermediation of journalism. I also think there's a need for aggregation, but it's a practice people like Simon often mock. In fact reporters base their work on generous people who contribute their knowledge for free -- sources.
	- July 22
		- One of our heroes dies
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/22/tacobell.jpg" width="298" height="234" border="0" alt="A picture named tacobell.jpg">
			- <a href="http://today.msnbc.msn.com/id/32085116/ns/today-today_pets/">MSNBC</a>: "Gidget, the Chihuahua best known for her Taco Bell ad campaign, died from a stroke on Tuesday night at age 15."
			- <a href="http://davenet.scripting.com/1998/05/06/yoQuieroScriptingNews.html">5/6/98</a>: "The dog is cool, and Taco Bell owns [her], for a while. Then some ad guy at some agency realizes that he could get a dog too and that dog could eat dog food and like all dogs that we love, the dog farts. Yay!"
		- Snappy retarded answers
			- Joseph Smarr asked if I had a snappy answer to why <a href="http://rsscloud.org/">rssCloud</a> is better than The Leading Brand. 
			- I said I do have snappy answers, but like all such answers, they are retarded. 
			- But I gave him a list anyway.
			- 1. Google sux.
			- Or
			- 2. Feedburner sux.
			- Or
			- 3. I love RSS, they haven't heard of it.
			- 4. Simple is better.
			- 5. Trade one Big centralized server owned by the tech industry for... another one? You must be kidding.
			- 6. Let's have fun again!
			- I don't mean any of these things. It's the tech industry way of explaining why the BigCo won't crush your or eat your lunch, or worse, crush you <i>and</i> eat your lunch. In all my years in the tech biz, the only times I've seen the Bigs ever actually crush anyone was when the crushee bought into the crushing. 
			- I don't think Google will crush RSS, any more than TechCrunch will. If they try they're:
			- 1. Assholes.
			- 2. Idiots.
			- 3. Losers.
			- So they won't try. ";->"
	- July 21
		- Evan Williams vs the Internet
			- In October 1994, at the dawn of blogging, I wrote a <a href="http://www.scripting.com/davenet/1994/10/18/billgatesvstheinternet.html">piece</a> that actually shook the software world. At the time, the idea of a mere software developer expressing an opinion in public, unedited, in his own words, without the help of a major publication, was unheard of. It had never happened. 
			- <a href="http://www.scripting.com/stories/2007/07/25/twitterMonth5.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/21/airbus.gif" width="140" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named airbus.gif"></a>The piece was called Bill Gates vs the Internet. The thought was pretty simple. The tech industry was mired and exhausted. Too many BigCo's struggling to be the one who controls the future. As if a company could control the future. But the headlines in the business press encouraged them to think this way. Much as the leading tech blogs encourage Schmidt, Zuckerberg and Williams today to think of themselves as masters of the universe. They aren't and it's a losing strategy today as it was 15 years ago.
			- The problem for Bill Gates in 1994, the newly crowned King of Tech, was the Platform Without a Platform Vendor, the Internet. The difference between the Internet platform and the Microsoft platform was this: No Microsoft. No one to hold on to the family jewels. No one to put a developer out of business if they personally offended Bill. No one to keep the personalities of developers under control. No one to cut off their air supply.
			- In 1994, there was a revolution brewing. Bill didn't believe. But it happened anyway, even though he struggled mightily against it. 
			- Blogging is one of the things that came out of this revolution, and along with it archives. So I can point to a piece I wrote in <a href="http://scripting.com/davenet/index.html#y1998">1998</a> and it's still there. It was systematized, in software. This idea didn't come from a BigCo, and it didn't get killed by one. The free Internet solves problems pretty well. BigCo's don't solve problems.
			- So now instead of Bill Gates it's Evan Williams. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/21/silo.gif" width="125" height="152" border="0" align="right" hspace="15" vspace="5" alt="A picture named silo.gif">I read the <a href="http://www.techcrunch.com/2009/07/16/twitters-internal-strategy-laid-bare-to-be-the-pulse-of-the-planet/">piece</a> on TechCrunch and thought it sounds like the transcripts of conversations from Microsoft in the mid-90s. Both were trying to compete with the Internet. Ev's problem is how is he going to keep his key engineers from defecting to the competition. How are they going to let developers use the "firehose" without using it to kill TwitterCorp. These are problems the Internet doesn't have. It doesn't employ any engineers, and when they leave one company to work for another they still work for the Internet. On the Internet no company owns all the data, so no one can control it. If you don't like the way a service works, use another. 
			- The tech industry keeps having this argument with the Internet. It keeps thinking "this time we gotcha" but nahh, the Internet keeps right on going. 
			- Moral of the story: If you find yourself in competition with the Internet, you should find a way out. Imho.
		- Frontier bug
			- Wanted to record this to be sure I get back to it some point.
			- Problem is with all HTTP requests emanating from <a href="http://docserver.scripting.com/tcp/httpClient">tcp.httpClient</a>.
			- Setting the timeout has no effect when its not possible to open a connection on the server because <a href="http://docserver.scripting.com/tcp/openStream">tcp.openStream</a> doesn't take a timeout parameter. It's always 20 seconds, near as I can tell. 
			- Once I get back into the C source again I'll have to check this out.
			- You can see the problem on the <a href="http://rpc.rsscloud.org:5337/rsscloud/viewLog">log page</a> for rssCloud -- when testing the link back from a remote app registering a handler, the timeout is never less than 20 seconds, even when it's unreachable. I have the timeout param in tcp.httpClient set at 180 ticks (3 seconds), which is plenty to find out if there's anyone at the other end.
		- Dumb XML question
			- 0. I know about View Source.
			- 1. I use Firefox.
			- 2. When I view <a href="http://scripting.com/rss.xml">my site's RSS feed</a> I want to see the XML, not a stylesheet rendering of the XML.
			- 3. To be clear, I want to see the actual XML. 
			- 4. Is there some way to force the browser to do this?
			- 5. Please no lectures on how this isn't the way it's supposed to work. TIA.
			- 6. I know about View Source.
			- 7. I know about View Source.
			- Update: <a href="http://nfriedly.com/techblog/2009/06/how-to-use-xslt-to-style-an-rss-feed/">This post</a> seems to explain what's going on. Most browsers do funny stuff with RSS. 
	- July 20
		- Speedbumps and a city's carbon footprint?
			- We have a mail list for the back channel at <a href="http://www.inberkeley.com/">InBerkeley.com</a>, and from time to time a question comes up that requires research. If the question is interesting, my first impulse is: <i>Write It Up!</i>
			- Now, this is the result of 12-plus years as a blogger. I know my community loves interesting questions, and we have an informal approach on <a href="http://scripting.com/">Scripting News</a> that I'd like to port to InBerkeley.com. 
			- So, in that spirit -- here's a question posed by my colleague Mark Haas.
			- <i>Do Berkeley's infamous speed bumps, traffic diverters and other traffic-related policies, like politically-motivated, too-low speed limits raise the city's carbon footprint?</i>
			- We just need a qualified author. Anyone know any traffic engineers, or perhaps someone at the UC Berkeley <a href="http://www.its.berkeley.edu/">Institute for Transportation Studies</a>? Other experts?
		- Walter Cronkite's 'Cosmic Disaster' editorial
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/eIm_WSTcqyI&hl=en&fs=1&"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/eIm_WSTcqyI&hl=en&fs=1&" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
			- <a href="http://rebootnews.com/2009/07/20/00022.html">In this week's Rebooting The News</a> podcast, I chose Walter Cronkite as our inspiration of the week. 
	- July 19
		- What a 140-char message looks like in RSS
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/19/mwom.gif" width="138" height="193" border="0" align="right" hspace="15" vspace="5" alt="A picture named mwom.gif">Here's a <a href="http://images.scripting.com/archiveScriptingCom/2009/07/19/metaTweets.gif">screen shot</a> to contemplate.
			- There are two 140-character messages. Each illustrates features of the new shipwreck I hope to sink, to create a new <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">coral reef</a> for Twitter-like systems to grow on and around.
			- The first three items in each message are fairly obvious: 
			- &lt;description> holds the 140-character text.
			- &lt;pubDate> is the timestamp, when the message was created.
			- &lt;guid> is the identifier for the message, so a reader can tell if they've seen it before. 
			- This makes it possible for the messages to be edited after publication, a common feature requests from writers using Twitter.
			- After that come optional elements.
			- &lt;category> works like tags in apps like Flickr or YouTube. You specify them <a href="http://images.scripting.com/archiveScriptingCom/2009/07/19/tagsDialog.gif">in a dialog</a>, blanks separate them, you can create tags with blanks by putting them inside quotes. 
			- &lt;link> is used to point to web pages. No need to shorten the URLs because they don't take up space in the 140 characters.
			- &lt;enclosure> is how you attach media objects to messages. Again, no need to shorten the URLs. And since the clients know the media type, they can show a preview, or embed a player.
			- <i>These all use well-understood elements of RSS 2.0. Nothing new needed to be invented.</i>
		- Craigslist is progress
			- <a href="http://www.scripting.com/stories/2009/06/30/whatOfWoodsteinInTheReboot.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/19/bonehead.gif" width="125" height="165" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonehead.gif"></a>I don't think I've ever written about <a href="http://www.craigslist.org/about/sites">Craigslist</a> here. 
			- Probably because I don't spend much time thinking about it, or worrying about it. But I know that some people do, for example Terry Gross, the host of NPR's Fresh Air. It comes up when people talk about the Internet destroying things that matter, like the classified ads in newspapers. At one point in an <a href="http://www.npr.org/templates/story/story.php?storyId=106347439">interview</a> with Wired editor Chris Anderson she asks, in a bewildered way, what happened. She was saying it was a shame that Craigslist comes along and does what the newspapers were doing, for a fraction of the cost, employing a small fraction of the people who used to support the classified ads in newspapers.
			- I'm not surprised, and if you think about it, it's very predictable. It's called productivity, and it's what new technology is <i>supposed</i> to do. We used to employ 20 percent of the workforce in agriculture, now it's just 2 percent. That's because of technology. You may say it's bad, but there's also less hunger in the US now than there was then. And there probably are far more classified ads today, now that they're mostly free, than there were when they cost money. 
			- It's productivity. It basically a good thing. And as long as we invest in progress it's inevitable.
			- <a href="http://mp3.morningcoffeenotes.com/freshAirChrisAnderson.mp3">Here's an MP3</a> of the segment quoted above.
		- Another test post
			- It's amazing how much discussion these test posts get over on FriendFeed. 
			- I have to do them because my app needs something new to ping about to see if the apps that are subscribed to this get the updates, in real-time of course, via RSS.
	- July 18
		- A test case for RSS Clouds
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/18/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">I'm preparing a test of a Twitter-like service based on <a href="http://rsscloud.org/">rssCloud</a>, but then realized that I'm within striking distance of something simpler -- re-adding a &lt;cloud> element to Scripting News. It had one for quite a while, we had a server that supported it when Radio 8 shipped in 2002. 
			- So I added it in, and before I could construct a test, some aggregators started registering handlers! In other words, the old network started rebooting. If you don't understand, don't worry about it, but if you do -- man that's spooky.
			- Anyway, the <a href="http://www.scripting.com/rss.xml">RSS feed</a> for scripting.com does indeed now have a &lt;cloud> element, and if you happen to have an aggregator that knows what to do with it, please feel free to register a handler. I'll have a lot more to say about this in the coming week, knock wood, Murphy-willing. ";->"
			- BTW, the errors in the <a href="http://rsscloud.org/#logView">log</a> are the result of apps registering receivers who are unable to receive notification because they're behind a firewall or NAT. I obviously have to unsub them when I get that error.
	- July 17
		- And that's the way it is...
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/17/cronkite.jpg" width="400" height="527" border="0" alt="A picture named cronkite.jpg">
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/HjD_s8Che2A&hl=en&fs=1&"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/HjD_s8Che2A&hl=en&fs=1&" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
			- NPR: <a href="http://www.npr.org/templates/story/story.php?storyId=91902373">Walter Cronkite, The Nation's Narrator</a>.
			- NY Times: <a href="http://mediadecoder.blogs.nytimes.com/2009/07/17/walter-cronkite-iconic-anchorman-dies/">Walter Cronkite, Iconic Anchorman, Dies</a>.
		- This is not an earth-shaking announcement
			- I'm just one guy programming away, but I have <a href="http://tr.im/r4Aw">met Valentino Rossi</a>, and when I'm very productive, as I have been this week, I feel like I'm programming the way he rides a motorcycle.
			- When things are clicking, programming-wise, it activates other parts of my creativity. I cook more imaginatively, and I consider moving to Italy, so I can enjoy the good life while reorganizing the world. They have Internet in Italy so it's hard to imagine how Berlusconi could interfere.
			- Anyway, this is not an earth-shaking announcement. I just got something working today that I imagined for quite some time, and it's nice. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/17/moto.gif" width="175" height="104" border="0" align="right" hspace="15" vspace="5" alt="A picture named moto.gif">The goal is to have a <i>Small Pieces Loosely Joined</i> equivalent of Twitter.
			- I know now that there are people at Google who share this vision. They have the resources to do centralization. What we have to make sure is that the Rest Of Us have the ability to route around the centralization. I hope they don't take it personally at Google, but enough with letting one company control the flow of the real-time web. There are always pundits who are willing to sell us out to the BigCo's, but I am not one of them. Never have. I remember when Google was One Of Us. Hopefully that thread still runs strong inside them now that they are a BigCo.
			- While everyone was debating the morality of Arrington releasing the <a href="http://www.techcrunch.com/2009/07/16/twitters-internal-strategy-laid-bare-to-be-the-pulse-of-the-planet/?awesm=tcrn.ch_62z&utm_campaign=techcrunch&utm_content=shorturl&utm_medium=tcrn.ch-copypaste&utm_source=twitter.com">Twitter info</a>, I was thinking "Geez these people are focusing on the wrong stuff." The real question is how big TwitterCorp plans to get while holding the control tightly within the confines of their Corp. That can't work. It never has. I'm amazed that smart people like the people who run Twitter are willing to bet on that, still, so far into it. That they think a single company can run the Pulse of the Planet is a sign that they are drinking too much of their own Kool Aid. This can't work. Can't. 
			- Anyway, here's what I have working.
			- A Twitter-like RSS feed with a single subscriber who gets notified by the cloud when the feed has updated. It then reads the feed and displays the new stuff. This all happens before I can refresh the page. It's the same speed as the connection between Twitter and FriendFeed. Now there will be people who say it can't scale. 1. They don't know. 2. They might be right. And even if it's slower than Twitter, it's worth the tradeoff. Because Twitter is going to break. Be sure of it. Nothing in the history of the Internet has ever done what they're trying to do. I don't know for sure, but I suspect it can't be done. And even if it can, it's bad. 
			- Anyway, time for me to enjoy what's left of the day. It's gorgeous in California. I'm going to get some exercise then have my Italian dinner and then more work tomorrow! Buongiorno and arrivaderci! ";->"
	- July 16
		- BadHair at 7PM
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/16/spector.jpg" width="150" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named spector.jpg">It's been an interesting couple of days with TechCrunch first teasing and then releasing internal notes from Twitter Corp meetings. 
			- At first the debate was over the propriety of TechCrunch releasing this information. But now that at least some of the <a href="http://www.techcrunch.com/2009/07/16/twitters-internal-strategy-laid-bare-to-be-the-pulse-of-the-planet/?awesm=tcrn.ch_62z&utm_campaign=techcrunch&utm_content=shorturl&utm_medium=tcrn.ch-copypaste&utm_source=twitter.com">information</a> is out there, the discussion is turning to the information and attitudes they reflect.
			- <a href="http://badhair.us/2009/07/16/00021.html">Were having a Bad Hair Day</a> podcast at the normal time, 7PM Pacific this evening and we'll be talking about the release. You can catch the show <a href="http://www.blogtalkradio.com/Bad-Hair-Day/2009/07/17/Bad-Hair-Day-4">live on BlogTalkRadio</a> or as a podcast shortly after the completion of the show at 7:45PM. 
			- Our guest for this evening's podcast is Chris Saad, who we had originally scheduled to talk about commenting and blogging and everything related, which is just about everything in community software.
			- There was a fair amount of TechCrunch agenda in there. I didn't get that they're at war with RSS from reading the TwitterCorp notes, just that they don't feel all RSS content should flow through Twitter. I concur. Twitter and RSS are used for different purposes, and there's far too much new stuff in RSS for Twitter's system to handle. 
			- After reading the TC piece about Twitter I thought: "How wrong that a company owns this medium." Always felt that, reinforced it.
			- Wonder what Doc Searls thinks about this. Seems we're derailed from the Cluetrain.
			- If you have comments, please post them here.
	- July 14
		- Rebooting the RSS cloud
			- In the early days of RSS, we had the idea that instantaneous updates would be the next step. That was 2001. It took a little longer than we thought, but now with "realtime" as the Next Big Thing, it's time to reboot all that lovely stuff. 
			- <a href="http://rsscloud.org/">http://rsscloud.org/</a> 
			- If it works, it'll be a bootstrap. That means at first the results will be a few sites pinging each other and updating in realtime. If it gains traction, it'll get support from a lot of tech and media companies. It could happen very quickly.
			- One thing's for sure -- we'll need implementations in every language and runtime. I'm doing mine in the OPML Editor, of course. But just think of that as a reference implementation. I think the really scalable versions will be in Python, PHP or C.
			- Also thinking about using Amazon's SimpleDB to store the graph. We'll see..
		- Mulberry ice cream
			- The editorial team of <a href="http://www.inberkeley.com/">InBerkeley.com</a> had lunch today at <a href="http://www.saulsdeli.com/">Saul's</a> in North Berkeley. I had a <a href="http://www.inberkeley.com/2009/07/14/lunch-at-sauls/">bowl of cold borscht</a> with sour cream, and a toasted bagel with lox and cream cheese. 
			- After lunch we all went down the block to Chez Panisse and had a Bastille Day special mulberry ice cream cone for $2. 
			- <a href="http://www.flickr.com/photos/scriptingnews/3721833438/" title="Mulberry ice cream by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2675/3721833438_e726142e0f.jpg" width="375" height="500" border="0" alt="Mulberry ice cream" /></a>
	- July 13
		- What, if anything, did Microsoft announce?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/13/huey.gif" width="150" height="258" border="0" align="right" hspace="15" vspace="5" alt="A picture named huey.gif">This morning, before we recorded the <a href="http://rebootnews.com/2009/07/13/00020.html">RTN podcast</a>, there was evidence that Microsoft had announced something. Apparently they had briefed the press at some undisclosed location on some date we don't know about some products we don't understand. 
			- Last week I gave Google a <a href="http://www.scripting.com/stories/2009/07/08/theJavaWarsContinued.html">ton of grief</a> for announcing an <a href="http://www.linux.org/">operating system</a> that has been <a href="https://netfiles.uiuc.edu/rhasan/linux/">shipping</a> for 17 years and a <a href="http://www.google.com/chrome">web browser</a> that had been shipping for about a year as a new product with the same name as the browser that had been shipping for a year. 
			- In the podcast we talked about a river of realtime news. The analogy fits these pseudo-events in the following way. Sometime in the past weeks Microsoft held a private event, trying to build a dam on the river, hoping to blow the dam at a predetermined time earlier today, thereby creating a rush of news that would impress everyone. It didn't work because apparently the dam developed a leak in the middle of the night and the water rushed down the river of news while everyone was sleeping. No one was impressed. Sad Microsoft.
			- The moral of the story: Companies probably should announce products when they are new, and when ordinary people <i>and</i> the savvy insiders can try it all out and share their opinions. That way if the product is any good it will generate interest. If it's not good, no one need bother get excited.
			- ReadWriteWeb: <a href="http://www.readwriteweb.com/enterprise/2009/07/hold-your-horses-microsoft-off.php">Microsoft Office Web Access Not Here Yet</a>.
		- Marc Canter leaves California
			- <a href="http://www.digibarn.com/collections/games/maze-war/macromind-mazewars/index.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/13/macromind.gif" width="104" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named macromind.gif"></a>I remember when Marc came to California in 1988. He got here just in time for the Loma Prieta quake. Two people died outside his office on <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=+townsend+st,+san+francisco,+ca&sll=37.77498,-122.397684&sspn=0.006725,0.007038&ie=UTF8&t=h&z=15&iwloc=A">Townsend</a>. They had just been to visit Marc.
			- There would be no tech industry South Of Market if Marc hadn't moved his <a href="http://en.wikipedia.org/wiki/MacroMind">small company</a> here from Chicago in the late 80s. He was young then, he had a purpose, he was going to turn desktop computers into movie machines. He did that. 
			- He was hugely influential, although time has a way of paving that over. Remember that,  young people, you may be important now, but there will come a day when no one knows your name. Prepare for that day.
			- He got rich, very rich -- but he blew through the money like a drunk rock star with an entourage, which he had.
			- <a href="http://blog.broadbandmechanics.com/2009/07/13/adios/">Marc is a wild man</a>. California has captured his wildness for a long time. Now that wildness belongs to the rest of the USA.
			- Good luck man -- keep blogging so we know what's up with you.
		- Rebooting The News #16
			- Recorded this morning at 9AM Pacific.
			- <a href="http://rebootnews.com/2009/07/13/00020.html">Show page here</a>, with notes written by Jay.
	- July 11
		- More Pubsubhubbub feedback
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/11/harmonica.jpg" width="175" height="468" border="0" align="right" hspace="15" vspace="5" alt="A picture named harmonica.jpg">When I travel to Europe, I wonder why they couldn't just do electric plugs the same way we do in the US. That way I wouldn't have to carry an adapter and I'd be able to plug in more than one device at a time. I wish their cell phones worked the same way ours do (I gather they do now, somewhat) and that billing worked the same (I'll let you know when the bill from my June trip arrives). When I travel to London I wish they had the good sense to drive on the correct side of the road. 
			- Each of these inconveniences were caused by engineers thinking they didn't "have to" worry about the way things were done before. They were right, they didn't have to, and all future users paid for their insistence. Think how much better it would all have worked if they cared. 
			- And some things are, thankfully, the same. For example -- a wifi router is the same in Europe and the US. The Euro is a way of rolling up currency incompatibilities, although some countries in Europe, Denmark, the UK and Switzerland, aren't on board. But think about all the trouble they've gone to get that compatibility. What if they had been compatible from the start? 
			- Anyway, how does this apply to notification?
			- Googler <a href="http://friendfeed.com/davew/1423207a/more-low-tech-approach-to-ping-hubs">DeWitt Clinton asked</a> for Feedback on Friendfeed's proposal for notification, which is different from Google's. I'm already confused! Both of them are different from the weblogs.com method which is now almost ten years old (and deployed in every blogging app and CMS out there).
			- I make the same suggestion to them that I made to the IETF when they were embarking on Atom. I offered that they should start with RSS 2.0 and change whatever they felt they can't live with, and document their rationales. They didn't take my advice, so now we're in this silly situation where there are two names for everything. What RSS calls an &lt;item>, Atom calls a &lt;froofraw> (or whatever, I can never remember).
			- 2003: <a href="http://essaysfromexodus.scripting.com/stories/storyReader$2070">Prior art as a design method</a>.
			- So, if you're working on notification, I suggest starting with <a href="http://oldweblogscomblog.scripting.com/directory/11/howToPing">weblogs.com pinging</a> with <a href="http://oldweblogscomblog.scripting.com/changesXml">changes.xml</a> as your output, and then change whatever you feel you can't live with, and document your rationales. That way what you end up with will be minimally different from what's already out there, and future implementers won't curse us for not having the sense to have one way to do things. (That's right, they'll curse all of us, they won't know or care who went first.)
			- Now, if forced to make a choice, I'd probably go with Pubsubhubbub for three reasons: 1. It's at least XML, even if it's not RSS. 2. They say they'll support RSS, giving a sense of being in touch with the world they live in. 3. It's Google, so they have a certain amount of sway with users and developers. However, neither of them adopts the prior art method of format design outlined above. If either of them did, I wouldn't even have to make a choice.
	- July 10
		- A more low-tech approach to ping hubs
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/10/piano.gif" width="175" height="202" border="0" align="right" hspace="15" vspace="5" alt="A picture named piano.gif">When talking with the Google guys earlier today I told them that there was an even more low-tech approach than the &lt;cloud> element for the kind of notification they were doing. As I was reading their spec, I decided to look into it to refresh my memory. I'm writing it up here, so everyone can compare.
			- 1. Unlike &lt;cloud> this protocol was very widely implemented. Support for this protocol is already baked into almost all blogging software, and (likely) many CMSes. 
			- 2. The feed indicates which hub it belongs to using a &lt;category> element. You can see an example looking in the <a href="http://radio.weblogs.com/0001015/rss.xml">feed</a> for my Radio weblog. I've made a <a href="http://scripting.com/misc/radioRss.xml">copy</a> of that feed in case the link goes bad (I hear that Radio weblog hosting may end in December.)
			- This means that if you want to find out if this feed changed, you should monitor the indicated <a href="http://www.weblogs.com/rssUpdates/changes.xml">changes.xml</a> file.
			- 3. When the feed updates, it pings the server that maintains that changes.xml file. The coupling here is much looser than the coupling that Google is using. But the changes.xml file can be read once a minute. If your application can handle up-to-the-minute updates instead of up-to-the-second, then this approach works fine. 
		- A neat conference hack?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/10/drums.jpg" width="175" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named drums.jpg">Hey I just had an idea for a conference hack you can do at a traditional audience-oriented conference. 
			- I have a theory that you could grab any random person from the audience and put them on stage and they'd give a better talk than the usual conference speaker because they wouldn't have had time to prepare slides or get nervous and plan a speech in their head. 
			- So, why not do exactly that!
			- Have a "surprise panel" mid-afternoon on the first day, around 3PM. The conference moderator takes the podium and says: "Would the following people please come up on stage." And then he'd name four people chosen at random from the audience. Then they'd have a discussion about the previous panels and speeches, the topics of the day in whatever industry or profession the conference is about.
			- The only problem with this idea is that by 3PM most of the people would already be out in the hallway schmoozing because the speeches and panels were so boring. Not exactly sure what to do about that.
		- Google's Pubsubhubbub
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/10/bass.jpg" width="175" height="392" border="0" align="right" hspace="0" vspace="0" alt="A picture named bass.jpg">It's got a weird name, and I found the <a href="http://pubsubhubbub.googlecode.com/svn/trunk/pubsubhubbub-core-0.1.html">spec</a> somewhat hard to understand.
			- But thanks to Brad Fitzpatrick and Brett Slatkin from the team at Google that implemented it, I now understand what Pubsubhubbub does.
			- It allows you to receive updates of RSS feeds without polling. 
			- It makes it possible to build a distributed Twitter-like system with components that are not made by a single company, and with servers not run by a single company. 
			- It makes instant updates possible for RSS.
			- It makes it possible to build a Twitter without the limitations of Twitter. (For example, no 140-character limit, the ability to handle enclosures, categories without #hashtags.)
			- The protocol it defines seems reasonable (I'll have to implement one side of it to be sure) and because it has the backing of Google, one of a very small number of companies with the resources to make something like this work, it has a chance of gaining traction and when it does, scaling.
			- In fact, it's part of one of the components I asked Google to implement in a <a href="http://www.scripting.com/stories/2009/05/28/googlesKillerApp.html">blog post</a> here on May 28, as Brett pointed out in our phone conversation earlier today. It's nice to see that at least a few people at Google see the possibility of assembling a Twitter-like notification system with the <i>Small Pieces, Loosely Joined</i> approach. 
			- Drilling in one more level, here's how it flows.
			- 1. Any feed that wants to participate in this network must add a bit to the feed that indicates which ping server is handling notifications on its behalf. There can be more than one.
			- 2. When a subscribing application initially parses the feed and notices this bit, it sends a notification to each server saying "I want to be notified when this feed updates."
			- 3. When the feed updates, it pings each of the servers it has registered with saying "I have updated."
			- 4. The server then pings each of the subscribers saying "He updated."
			- The subscriber must have a known address, therefore must not be behind a firewall or NAT. For client apps, they need some kind of proxy that has a known address. This limit is signficant, but certainly not insurmountable.
			- I would like to see them understand RSS syntax in addition to Atom syntax, and I understand from the spec that that is forthcoming. 
			- Update: <a href="http://superfeedr.com/">http://superfeedr.com/</a> has also implemented this protocol.
		- Imho, the OPML Editor is not hard
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/10/guitar.jpg" width="150" height="413" border="0" align="right" hspace="15" vspace="5" alt="A picture named guitar.jpg">I've heard people say, here and there, that the OPML Editor is too hard to use, or overkill for certain projects, but honestly -- I don't think it is. I think there may be other problems, and confusion about what it does, because it surely does a lot. But for a specific task, it's not really that hard to set up and use. If it is, I want to work on making it easier. 
			- Let's start with an application that a fair number of people have, that the OPML Editor has a solution for -- backing up your tweets, and those of the people you follow. As Apple likes to say about the iPhone, "There's an app for that."
			- <a href="http://editor.opml.org/twitterCalendarTool.html">http://editor.opml.org/twitterCalendarTool.html</a> 
			- The docs on that page explain how to install the tool.
			- Installing it is much like installing an Adobe Air application. First you have to install the runtime, I don't think there's anything complicated about that, then install the tool, which requires a little setup, but again it's not complicated. If you were to install an app in .Net or Java it would work the same way. 
			- Then, once you have the runtime installed, installing new tools is even easier. There's a list of tools that are available, it's called the Tool Catalog. There's a menu item in the OPML Editor app that opens the catalog. Next to each tool there's an Install link. If you click on it, guess what, it installs the app. A confirmation dialog appears, making sure that's what you want to do. And if the app requires you to set some prefs, a page where you enter those prefs appears. 
			- Now I'm working to make it easier. And if people hit walls installing this stuff, I want to fix them. There are still some things I can't do. I can't build the OPML Editor kernel on Macintosh, and this may present a problem down the road, but for right now everything is cool. And if more people use it, it'll be easier to get the build process streamlined. It's all chicken and egg. 
			- So when you use the OPML Editor you help make it better and make it easier for me to develop more tools, which I am working on, all the time. 
		- Bad Hair Day #3
			- Marshall is buying a new house, so I recruited two guests for this <a href="http://badhair.us/2009/07/09/00019.html">podcast</a>, and they were excellent. 
			- They had <i>really</i> bad hair! ";->"
			- Michael Gartenberg is a <a href="http://interpretllc.com/">Interpret analyst</a>, an expert on mobile devices. 
			- Andrew Baron is a video producer and entrepreneur, founder of Rocketboom and the brand new video aggregator, Mag.ma. At the end of the show he gives out beta access codes for the new service. 
			- We talk about Google's Chrome OS, iPhones, video, realtime stuff and of course Andrew's Mag.ma service.
			- The feed: <a href="http://badhair.us/rss.xml">http://badhair.us/rss.xml</a>
	- July 9
		- Find Good Enemies
			- <a href="http://www.markbernstein.org/Jul09/Flames.html">Mark Bernstein</a> in a rambling quote-filled piece has one of the nicest descriptions of yours truly. "Dave Winer could be rough if you got athwart his hawse, but he was generally a nice guy who always seemed to want to get a lot of bright people around a big table with plenty of food."
			- Maybe I'm not the most hated person on the Internet after all? ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/09/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">Re Barger's list playing a central role in the origins of blogging, not sure I accept that the most important thing was a list of blogs, or even a network of them.  People who think the task of blogging is to pull people together miss, imho, the important thing about blogging -- that it <i>separates</i> people and gives each individual a place to express themselves, not subject to veto. In that way it is different from a mail list. Blogs emphasize the individual over the group. 
			- The argument continues to this day. People who say Twitter is a conversational medium would agree with those who say Barger was the founder. I see Twitter as a publishing environment, a place to push links, a notification system. Oddly, I think Barger with his linkblog approach (which was the same as the <a href="http://www.scripting.com/1997/04.html">early Scripting News</a> or the <a href="http://www.scripting.com/twentyFour/news.html">News Page</a> of the 24 Hours project) would agree.
			- Bernstein says many wise things in his post. I thought this one stood out. 
			- "If you wish to shed light on a debate, reply to a weblog post on your own weblog."
			- Amen.
	- July 8
		- Hyperlocal bloggers at Cal J-School
			- I'm at a meeting of hyperlocal bloggers at Cal J-school.
			- People are going around the room introducing themselves. The stories are all interesting, the people are very good public speakers. Almost everyone here is doing, not talking about doing.
			- <a href="http://www.flickr.com/photos/scriptingnews/3702255525/" title="Cal J-school Hyperlocal bloggers meetup by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2595/3702255525_a9e6a01846_m.jpg" width="240" height="180" border="0" alt="Cal J-school Hyperlocal bloggers meetup" /></a>
			- Really interesting story from Lydia Chavez, managing editor of <a href="http://missionlocal.org/">misionlocal.org</a>.
			- <a href="http://www.flickr.com/photos/scriptingnews/3702291171/" title="J-school hyperlocal meetup by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2663/3702291171_219f1c8217_m.jpg" width="240" border="0" height="180" alt="J-school hyperlocal meetup" /></a>
		- What I think of Lenny Dykstra
			- <a href="http://www.reuters.com/article/domesticNews/idUSTRE5674VN20090708?feedType=RSS&feedName=domesticNews">Lenny Dykstra is bankrupt</a>. For some reason that seems like big news to me.
			- <a href="http://en.wikipedia.org/wiki/Lenny_Dykstra">Dykstra</a> was one of the heroes of the 1986 world champion NY Mets. The same team that Mookie Wilson played for. These two guys, more than anyone else of that era, exemplified, to me, the spirit of the Mets. 
			- I don't know anything about either person's off-field life, just what they were like as baseball players. Dykstra was the Mets own version of Pete Rose. Charlie Hustle. He'd run when it was okay to jog. There was an admirable intensity to the guy. He was a little guy, but he played big. 
			- I've written about Mookie. The man with the heart of gold.
			- If someone says that guys like Lenny and Mookie are dumb, I think they don't know the first thing about success. To reach the top of anything, you have to have <i>everything</i> going for you. People used to say President Bush was stupid. He may be a lot of things, but stupid isn't one of them. You can't get where he got and be stupid. There's too much competition and it's too skilled and smart and ambitious and lucky and so many more things.
			- <a href="http://en.wikipedia.org/wiki/Forrest_Gump"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/08/gump.jpg" width="150" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named gump.jpg"></a>I know some people think that I've done nothing to achieve the success I've achieved. But I've actually lived this life, so I have a pretty good idea of the sacrifices I made to accomplish what I have. Not asking for anything, but I'm often amazed at how people think an idiot savant could do anything significant in the tech world. 
			- <a href="http://en.wikipedia.org/wiki/Forrest_Gump">Forrest Gump</a> is a great story. I've had many moments where I feel like I'm leading his life, somehow as if by luck I end up where the action is. I certainly had that feeling this <a href="http://www.flickr.com/photos/scriptingnews/sets/72157620863449585/">weekend</a>, in the presence of Valentino Rossi and all those other fantastic athelets. I'm sure a lot of it <i>is</i> luck. But I look at a guy like Lenny Dykstra, out of money, a failure in business, and wonder what he must think we think. I'll tell you what <i>I</i> think. The man is a hero and always will be. 
		- The Java Wars, continued
			- For your consideration...
			- 1. Google has been hiring engineers away from Microsoft for years. There was a time when I'd get an email every day from someone I had worked with at Microsoft saying "I'm at Google now."
			- 2. Their CEO, Eric Schmidt, is a veteran of the <a href="http://www.google.com/search?q=site%3Ascripting.com+java">Java Wars</a>, when he was an exec at Sun Microsystems. So it's no surprise that Schmidt has navigated Google back into position with Microsoft in the ongoing battle of the titans in tech. 
			- <a href="http://www.flickr.com/photos/scriptingnews/3701466825/"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/08/bratfest.jpg" width="156" height="67" border="0" align="right" hspace="15" vspace="5" alt="A picture named bratfest.jpg"></a>Today's Google thinks in terms of industry warfare, and when they look for an adversary to fight, they see Microsoft, looming large.
			- The only problem with all this war is that it has nothing to do with what computers are used for, or any relevance to the people who use them. All these wars do is simplify the world for the execs and the press, and make it seem like the warring parties and their wars are all that matter. After a while something new comes along from someone new, and the two warring parties are left to dook it out while the attention shifts to the shiny new stuff.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/08/mobius.gif" width="150" height="205" border="0" align="right" hspace="15" vspace="5" alt="A picture named mobius.gif">So yesterday Google <a href="http://googleblog.blogspot.com/2009/07/introducing-google-chrome-os.html">announced</a> The Chrome OS, which is hailed by the industry press as a surprise middle-of-the-night attack against their arch-rival, Microsoft. But did any of the reporters take a quiet moment to reflect on the basic question: What Just Happened? If they had, they would have been hard-pressed to find anything actually had happened, other than a press release. 
			- Let's be dispassionate. Before yesterday's announcement: 1. Chrome ran on Linux. 2. Linux was an operating system. 3. Linux ran on netbooks. 
			- However, most people want XP on their netbook, not Linux. That was true yesterday and it's still true today. 
			- I'm one of the users who prefers XP. I have two identitcal netbooks, one runs Linux and the other runs XP. I travel with the one that runs XP because it runs my software. And that's the hurdle Linux has, whether or not Google calls it Chrome. Normal people, given a choice, want XP. It's also Microsoft's problem because people aren't wanting Vista or Windows 7 either. 
			- I predict Google will hit the same wall Microsoft has hit. Getting a <a href="http://images.scripting.com/archiveScriptingCom/2009/07/08/presslovesagoodwar.gif">bunch of pundits</a> happy about the drama of warfare isn't going to make a difference in the user base. It'll just put off the day that both companies deal with the issue -- how to create anything in the OS area that interests people enough to buy something new. Google doesn't have it. Chrome is popular for sure, esp for a browser that's less than a year old. But it runs on XP. Microsoft surely doesn't have it. And I don't think Apple has it either.
			- <a href="http://www.businessinsider.com/henry-blodget-dilettante-google-needs-to-get-serious-about-chrome-os-or-it-will-flop-2009-7"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/08/loopingWithTheBoys.jpg" width="150" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named loopingWithTheBoys.jpg"></a>Back in user-land, on Planet Earth, I still can't use Chrome because it doesn't synch bookmarks the way Firefox with <a href="http://www.xmarks.com/">XMarks</a> does. A much more meaningful announcement, imho, would be that Chrome now runs XMarks and can synch with Firefox. Ironically that would hurt Microsoft much more than any of the michegas they're doing, unless they have a browser that can hook into this network too. Bookmark synchronization is one of the very few new things that users actually want, so what is the tech industry doing about it? Nothing. Of course. ";->"
			- PS: I just noticed that XMarks, which was formerly FoxMarks, now has new positioning: "Bookmark-powered web discovery." Ugh. I suspect that's a phrase chosen to make investors happy. To me, I use XMarks as a way to synch bookmarks between the computers I use. I hope they're not going to stray too far from that. 
	- July 7
		- San Francisco pier
			- <a href="http://www.flickr.com/photos/scriptingnews/3698655887/"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/07/sfpier.jpg" width="320" height="240" border="0" alt="A picture named sfpier.jpg"></a>
		- Sarah Palin as Inspiration
			- Every week on <a href="http://rebootnews.com/">Rebooting The News</a>, one of us chooses the Inspiration of the Week. Someone or something that inspires the RTN philosophy and process. Mostly they've been thinkers and doers, but Jay once surprised us with a great simple <a href="http://en.wikipedia.org/wiki/(What%27s_So_Funny_%27Bout)_Peace,_Love,_and_Understanding">song</a>, written by Nick Lowe and made popular by <a href="http://www.youtube.com/watch?v=1XYFJUP84lE">Elvis Costello</a>.
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/1XYFJUP84lE&hl=en&fs=1&"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/1XYFJUP84lE&hl=en&fs=1&" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
			- One week Jay chooses, and the next week I choose. 
			- I think I managed to surprise Jay yesterday when I chose Sarah Palin as the Inspiration for this week. You can hear the story at minute 35:45 in yesterday's <a href="http://mp3.morningcoffeenotes.com/reboot09Jul06.mp3">podcast</a>. Briefly I said she was a <i>Source Going Direct,</i> someone who was trying to tell a story through the press, but they weren't passing it along. 
			- Jay wasn't buying it.  ";->"
			- I admit it's a <a href="http://www.merriam-webster.com/dictionary/tenuous">tenuous</a> choice. She really should have a blog or podcast to qualify. But somehow the story made it to me, despite the best efforts of the press to hide it.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/07/jackson.jpg" width="150" height="107" border="0" align="right" hspace="15" vspace="5" alt="A picture named jackson.jpg">ABC News ran a <a href="http://abcnews.go.com/Politics/story?id=8016906&page=1">story</a> this morning with a quote that supports my theory. "She said a major factor in the decision was the mounting legal bills she and the state have had to incur to fight ethics charges from her political adversaries. None of the accusations has been proven but, she said, the costs of fighting them have been enormous."
			- What I noticed was this -- she had offered a plausible, reasonable explanation for her choice, and imho, it's the <i>only one</i> that makes sense. But none of the analysis I've read or heard until the ABC News piece even passed it on as a possibility. At a gut level, as much as I despise Palin as a politician, as a human with a story to tell, I sympathize. This is one of the times the press ought to be more of a mirror and not such a filter.
		- New rules for the SUL
			- SUL stands for <a href="http://twitter.com/invitations/suggestions">Suggested Users List</a>. 
			- I've written about it <a href="http://www.google.com/search?q=site%3Ascripting.com+%22suggested+users+list%22">many times</a> here on Scripting News. 
			- I think it's finally time to say what I would advise Twitter, Inc to do to clean up the mess. Obviously they don't have to do any of this. But maybe it'll do some good to put the ideas out there anyway.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/07/rolledUpNewspaper.jpg" width="115" height="89" border="0" align="right" hspace="15" vspace="5" alt="A picture named rolledUpNewspaper.jpg">1. The max period anyone can be on the list is 30 days. Estimate how many followers each person currently on the list had been given, prorate it, and adjust it down to 30 days worth. So if on average, over the last few months, a member of the list would have gotten 100K new followers, but actually received 800K, he or she would lose 700K followers. It's still a gift of 100K followers, nothing to sneeze at. (And if it's true, as Tim O'Reilly <a href="http://twittercism.com/suggested-user-list/comment-page-1/#comment-4985">says</a>, that they don't matter, then losing some is nothing to complain about.)
			- 2. It's possible that publications receiving the SUL bounty, such as TechCrunch, Mashable, GigaOm and ReadWriteWeb, may have been witholding criticism of Twitter. They would now be free to express it. So there may be a bunch of bad press about this. Take the hit now while you're on top. Spin it as proof that unwinding the list was a good idea, because every company needs vibrant and unconflicted critics. Thank them for their feedback and take their advice to heart. 
			- 3. Sign a 180-day contract with <a href="http://mrtweet.com/">Mr Tweet</a> to manage the new SUL for $0. If they have a competitor, give them the next 180-day period. Allocate this on a rotating basis. It may be possible at some point for this contract to generate revenue for Twitter, Inc, as long as they keep the choice of people on the list an arm's length matter.  
			- <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/07/07/sawyer.gif" width="125" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named sawyer.gif"></a>4. It may also be possible to do away with the list entirely, to suggest people to follow based on who they already know. Offer another route into the system, at the recommendation of an existing user. Then you have their network to base suggestions on. The incentives are lined up well for that, it encourages people to find new users and to have them encourage them to actually engage with the network. If the people you're following initially are friends, family members, neighbors, co-workers, the experience will mean more. Nothing wrong with following celebrities too, of course.
			- 5. No more random selections for the SUL by TwitterCorp employees. This is a very bad practice for many reasons. 
			- Jay and I discussed this in yesterday's <a href="http://rebootnews.com/2009/07/06/00018.html">Rebooting the News podcast</a>. Clearly "real-time search" will require something like Page Rank in Google search, a way to determine the authority or relevance of a tweet or a link in a tweet. Microsoft has already encountered this issue when trying to develop real-time search in their Bing search engine. 
			- While follower-count isn't perfect, it's the only metric we have anywhere in sight that might support relevance in search. Before the SUL it was actually working fairly well, but the SUL introduced a huge distortion. It may not be too late to unwind this and to solve the problem they were trying to solve without losing follower-count as a meaningful metric. 
	- July 6
		- Rebooting the News #15
			- Podcast <a href="http://mp3.morningcoffeenotes.com/reboot09Jul06.mp3">here</a>.
			- Show notes <a href="http://rebootnews.com/2009/07/06/00018.html">here</a>.
			- RSS feed <a href="http://rebootnews.com/rss.xml">here</a>.
	- July 5
		- Laguna Seca
			- I'm at Laguna Seca raceway today as the guests of Fiat who sponsor <a href="http://en.wikipedia.org/wiki/Valentino_Rossi">Valentino Rossi</a>, a legend in the motorcycling world. 
			- <a href="http://www.flickr.com/photos/scriptingnews/3691286530/">Rossi's fans</a> are everywhere here. They wear yellow shirts with his number, 46, on them. 
			- Think of 46 as a brand. 
			- They have <a href="http://www.flickr.com/photos/scriptingnews/3691301066/in/photostream/">beautiful girls</a> wearing marketing slogans posting with umbrellas and fans. 
			- 2PM: The race has started. It's like a nightmare of speed and sound. Amazing that human beings are on those machines. I have a video to upload. (Someone just wiped out while I was writing that.)
			- 8PM: Here's the <a href="http://www.flickr.com/photos/scriptingnews/sets/72157620863449585/">set of pictures</a> I uploaded today.
			- Video shows what the race looked like from the stands.
			- <object width="400" height="300" ><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.facebook.com/v/98931632454" /><embed src="http://www.facebook.com/v/98931632454" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="400" height="300"></embed></object>
			- Valentino Rossi signing autographs before the race. 
			- <object width="400" height="300" ><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.facebook.com/v/98941782454" /><embed src="http://www.facebook.com/v/98941782454" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="400" height="300"></embed></object>
	- July 4
		- Is it news if it's not reported?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/04/mwom.gif" width="138" height="193" border="0" align="right" hspace="15" vspace="5" alt="A picture named mwom.gif"><a href="http://www.scripting.com/stories/2009/06/30/whileYouWereSleepingFromBe.html">A piece</a> I wrote from <a href="http://www.flickr.com/photos/scriptingnews/sets/72157620544486955/">Berlin</a> has become one of the most-quoted pieces I've ever written. Maybe I should travel more often. Getting out of the country, writing while America sleeps, 120-degrees of jetlag, all seem good for whacking quotable phrases out of my brain.
			- Yesterday <a href="http://twitter.com/jeffjarvis/status/2457525389">Jeff Jarvis quoted</a> a line from that piece. "The sources never got paid. So the news was always free, it was the reporting of it that cost."
			- Which inspired a thread by two-time Pulitzer winner <a href="http://editor.blogspot.com/">Howard Weaver</a>, who I visited by <a href="http://www.flickr.com/photos/scriptingnews/sets/72157620802902001/">train</a> in Sacramento in June. In that thread Weaver said something that I couldn't respond to in a mere 140 characters. It was <i>that</i> good.
			- <a href="http://twitter.com/howardweaver/status/2457613045">Weaver</a>: "Is it news if it's not reported? I don't think so."
			- Weaver is the perfect foil because he says things like that. He's not wrong, given his background, where he spent his youth, his level of accomplishment, his justifiable pride, he <i>has</i> to think that.
			- And equally, given all my experience, I have to think the other way.
			- I blogged because there <i>was</i> news the press wasn't reporting. 
			- <a href="http://davenet.scripting.com/1997/04/05/HailThis#2">4/5/97</a>: "The press only knows three stories, Apple is dead, Microsoft is evil, and Java is the future."
			- I understand this is a semantic debate. Weaver chooses to define news as what was reported. I choose to see news everywhere, that it exists before it is reported, that reporting isn't even a necessary part of the news. I see his view as the means by which the press controlled us, but that control is slipping.
			- An example of the futility. 
			- I was shocked for about 20 seconds to hear that Sarah Palin had resigned as Alaska governor. It was news the instant she made the announcement. I had to rush out to a lunch meeting at the Jupiter in downtown Berkeley. When I got back, it slipped my mind that there was a "breaking story" I could watch on CNN. I noticed some bloggers talking about it. I thought to tune in for about 5 seconds, even got so far as locating the SlingPlayer icon on my desktop. But before I could click, I was already bored.
			- At least for me, the reporters are as irrelevant as paper delivery of the NYT, WSJ and SJM had become in 1994. I know what they're going to say before they say it. I also don't feel their ability to set an agenda anymore. The only reason Palin has any viability is that the press remembers who she is. For me, and I'd bet a huge chunk of the electorate, she's a fading memory of an election we've put way behind us as we've turned to face our futures. For me the last election was only important in that it got Bush and the Republicans out. Having accomplished that, I don't care what the press thinks is news. I decide that for myself now.
			- I guess that's the point I'd like to make in response to Howard's excellent quote. I decide what's news. I don't delegate that. Maybe others want to accept the filter of the press, that's their right. But I don't care what they think is news. It's not that I decided not to care, it's that I truly don't care.
			- PS: To be clear, I <i>do</i> care what Weaver thinks is news. Perhaps that's the subject of another piece, or perhaps something to talk about on Monday's <a href="http://rebootnews.com/">RTN</a>.
			- Update: <a href="http://www.buzzmachine.com/2009/07/04/journalistic-narcissism/">Jeff Jarvis</a> advances the discussion.
		- Just the facts ma'am
			- On Twitter I just said I like the Perry White approach to news.
			- Of course I meant Joe Friday of <a href="http://www.youtube.com/watch?v=UvBqg_A8Yqk">Dragnet</a>. 
			- <object width="320" height="265"><param name="movie" value="http://www.youtube.com/v/mdyvqFN6bCU&hl=en&fs=1&"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/mdyvqFN6bCU&hl=en&fs=1&" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="320" height="265"></embed></object>
			- A witness would be gabbing opinions about stuff. Friday would humor her a bit and then the camera would focus on him with his notebook and he would say his famous line. 
			- "Just the facts, ma'am."
			- <img src="http://www.scripting.com/images/cheesecake.jpg" height="45" width="50" border="0">
	- July 3
		- A link back to the beginning
			- I just did a quick read of an <a href="http://tawawa.org/ark/p/jorn-barger-community.html">academic paper</a> about Jorn Barger's contribution to the development of blogging written by Rudolf Ammann, and presented at Hypertext 09 in Torino, Italy.
			- I really liked the paper, and I plan to go through the it and read all the citations. A trip down memory lane.
			- One thing I liked about this treatment is that it is dispassionate. He doesn't take sides and lets our words speak for us. For both Barger and myself, linkrot has not claimed our work -- it's all still there, many many years later. 
			- It was also gratifying to see the Frontier community get the credit it deserves in laying the foundation for the blogging world that followed, including (in no special order) Michael Sippey, Peter Prodoehl, Steve Bogart, Brent Simmons, Daniel Berlinger, Andy J. Williams, Chris Gulker, Cameron Barrett and Jorn Barger. There were so many others, I'm sure I'm leaving people out who I both appreciate and have great affection for. 
			- Ammann credits Barger specially, as do many others. For me, <i>all these people</i> made important contributions. 
			- BTW, the software we were using then is an ancient predecessor of the <a href="http://editor.opml.org/">OPML Editor</a>, which is still, in many ways, light years ahead of any other content management environment. Perhaps that will be the next thing people dig up. It's GPL-licensed open source.
			- Back then I said, and still say now..
			- <i>Still diggin! </i>
			- PS: I'll keep saying it until I'm not diggin anymore. ";->"
			- PPS: Docs on the <a href="http://www.scripting.com/frontier/netScripting/newsPage.html">NewsPage suite</a>, the software that defined the community.
			- PPPS: I found a copy of <a href="http://scripting.com/misc/frontier423.zip">Frontier 4.2.3</a> on my hard drive, and uploaded it. This was the April 1997 release. I also <a href="http://scripting.com/misc/suites.newsPage.fttb">found</a> a copy of the NewsPage suite, which is the lizard brain of everything that followed in the blogging world. I may release it so that every copy of the OPML Editor has this bit of history, so it never gets lost, fingers crossed, Murphy-willing, IANAL, my mother loves me, etc. 
		- New features in FF and Twitter
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/03/mirror.gif" width="125" height="174" border="0" align="right" hspace="15" vspace="5" alt="A picture named mirror.gif">Yesterday while my poor addled brain struggled to <a href="http://www.scripting.com/stories/2009/07/02/sometimesItsBetterToSayNot.html">cope</a> with jetlag, Twitter released a small feature with potentially wide implication, and FriendFeed released something new related to search that I thought they had already released. I don't think my confusion in the latter case had anything to do with jetlag.
			- New Twitter feature: It now hots-up hashtags. 
			- So when you refer to <a href="http://twitter.com/#search?q=%23iranelection">#iranelection</a> in a tweet it links to a search page with the results of a search for that string in the twitstream.  I've hotted it up the way Twitter would have. Nice to have for sure, seems it should have always worked that way. They probably didn't do it earlier to lessen the load on the search servers.
			- And FriendFeed now has <a href="http://blog.friendfeed.com/2009/07/real-time-search-we-have-it-its-here.html">real-time search</a>. Maybe the feature is totally new. It seems I've seen it before. But I still don't get it. Let me try to explain.
			- FF has a lot of stuff flowing through it, including part of the Twitter firehose. I think they just get the tweets of Twitter users who are followed on FF. So if I have it search for "davewiner" it returns a subset of all the occurences of my Twitter handle. Steve Gillmor <a href="http://friendfeed.com/scobleizer/dec9f46e/i-just-talked-with-steve-gillmor-and-he-said">says</a> that they've now got his much-fabled feature -- Track -- implemented. How so? Unless they're getting the <i>whole</i> firehose from Twitter. 
			- <a href="http://friendfeed.com/search?q=kitten+or+cat">http://friendfeed.com/search?q=kitten+or+cat</a> 
			- It's nice that they track sources other than Twitter, like this blog's <a href="http://scripting.com/rss.xml">RSS feed</a>. But apparently they don't poll very often, and they don't support weblogs.com-compatible <a href="http://www.weblogs.com/api.html">pings</a> (I know they invented a more complicated protocol, why am I not excited about that) so you can hardly call that "real-time." (BTW, this item first appeared in the feed at 7:52AM. It <a href="http://images.scripting.com/archiveScriptingCom/2009/07/03/thispostinfriendfeed.gif">showed</a> in FF at 8:28AM.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/03/mirror2.gif" width="125" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named mirror.gif">All this hype about real-time is welcome (but <a href="http://www.scripting.com/davenet/1997/07/10/TwoCrazyDays.html#3">hardly</a> new). The ideal of having search be up-to-the-minute accurate is an important one. It's just that no one is there yet. And 140-char tweets all repeating the same thing over and over and then retweeting those same things, well that hardly counts as information. After a while it's more interesting to <a href="http://images.google.com/images?q=wolf blitzer">watch Wolf Blitzer</a>. And that's really saying something. ";->"
			- So, while I'm glad that FF is reaching out beyond Twitter, their interface is impossible to use. Sit someone down off the street and have them try to watch the flow of tweets and comments rush by. No doubt FF's interface would make an impressive display for a mad genius in a scifi movie about the end of the world, but for more ordinary folk? Back to the drawing board.
			- BTW, talking about new features that should be sent back to the labs -- <a href="http://www.bing.com/community/blogs/search/archive/2009/07/01/bringing-a-bit-of-twitter-to-bing.aspx">Microsoft announced</a> that they are including results from selected Twitter users. The relevance criteria is follower count. Might have worked last year, before the <a href="http://www.scripting.com/stories/2009/06/03/suggestedUserListReloaded.html">SUL</a>, but now follower count is more a reflection of how much you are pwned by Ev and Biz, not how the net values your opinion. I'm sure Larry and Sergey are having a good laugh. Try again Microsoft. Use some other algorithm, follower count is meaningless. 
	- July 2
		- Sometimes it's better to say nothing
			- I've started to write blog posts three times today and gave up each of the three times because...
			- It's impossible to write coherently when your mind is scrambled by jetlag!
			- It's hard for me to finish a sentence coherently or even remember if I've used the word coherenent, or even spell it right, or finish the sentence without getting hung up if coherent is actually the right word to use, and where did it come from and why is that the word I thought to use anyway. 
			- This post was going somewhere.
			- I thought I had discovered the algorithm for fighting jetlag in both directions.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/07/02/jello.gif" width="125" height="114" border="0" align="right" hspace="15" vspace="5" alt="A picture named jello.gif">Flying west to east, time your arrival so that it's bedtime locally when you arrive so you can go to bed and when you wake it will be the proper time to wake for the place you're in. Fine, as far as it goes, but... It doesn't mean your body thinks it should be asleep at what it perceives to be two in the afternoon.
			- Coming home, arrive at 1AM and schedule something for 9AM so you have to get by with 8 hours sleep at roughly the time everyone else sleeps. No problem waking up at 4AM! (First sign of a problem.) Then when I return at noon I figure I'll just catch up on a couple hours but I can't fall asleep. (Maybe it's working!) Now as the time for the podcast arrives I realize my mind is complete Jell-o. I've tried to write three blog posts today, easy ones, and given up each time. And now I'm at the beginning of the piece again. Looping. 
			- All this led me to post this <a href="http://twitter.com/davewiner/status/2445165451">tweet</a> earlier today.
			- Good advice. ";->"
	- July 1
		- The longest day
			- Europe sleeps while I write this. ";->"
			- I arrived in Chicago a short while ago,  it's 6:30PM here and 1:30AM back where I came from. In about four hours I will have been up for 24 hours. Given my state of burnout I'll avoid saying anything challenging. Simply: It's always good to be back in the USA. 
			- At this moment in an overseas trip I always play <a href="http://www.youtube.com/watch?v=CU5IODKNbNs">California Girls</a> by the Beach Boys.
			- Also: All my gadgets work here. MyFi, and data roaming on my iPhone. 
			- The neatest thing on the SAS flight from Copenhagen -- they have cameras pointing out the cockpit and toward the ground from under the plane. Pretty neat for takeoff and <a href="http://www.flickr.com/photos/scriptingnews/3679964348/">landing</a>. Unfortunately there were clouds almost the whole way up over Sweden into Iceland and Greenland and northern Canada.
			- One more flight, a sprint from Chicago to SFO and then a cab to Berkeley. I get in so late that BART isn't running that late. Yeah I know, it isn't really a mass transit system. Rub it in. 
		- While you were asleep, from Copenhagen
			- Another in a continuing series of overnight dispatches from your faithful European correspondent, me!
			- This time I'm coming to you from the SAS business class lounge at CPH, a real treat. Often on my European travels I end up exiting through Amsterdam or London with time to kill at Schipol or Heathrow, and they are completely chaotic toon-town messes. In comparison, the pace at CPH is leisurely and the Danish of course are great designers, so the place is super-comfortable and pleasing to the eye. 
			- While you, in the US, were asleep -- I left Berlin, and created some memories in a set of photos on Flickr. Click on the picture below to see the set. 
			- <a href="http://www.flickr.com/photos/scriptingnews/sets/72157620544486955/" title="Reichstag (Parliament building) by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3600/3671633532_f2f8c5d9b9_m.jpg" border="0" width="240" height="180" alt="Reichstag (Parliament building)" /></a>
			- In two days in Berlin you can do nothing but scratch the surface of one of its many surfaces. 
			- Berlin is to Germany what New York and Washington are to the US. It's both the capital and the cultural and business center. The place is bathing in history, and change. Just 20 years ago when the wall came down, the place was very different. Now what remains of the division is in photographs and video. I stayed in what used to be the eastern sector, but you couldn't tell. It was hard to imagine how the plush surroundings had been transformed so quickly. Perhaps the Soviet system wasn't so austere? 
			- I spent all of yesterday afternoon at the <a href="http://www.dhm.de/ENGLISH/index.html">German History Museum</a>, listening to the official story of the war and the wall from their point of view. There were some not-so-surprising surprises. They talk about losing the war. Where I come from, we talk about winning. They don't  present their soldiers as heroes. How can a society survive that, I wonder. I did see one statue of a WWII era German soldier, just one. It left me with a sick feeling. The <a href="http://www.stiftung-denkmal.de/en">memorial</a> to victims of the Holocaust also was very moving. 
			- There also is a <a href="http://en.wikipedia.org/wiki/Soviet_War_Memorial_(Tiergarten)">Soviet War Memorial</a> in Berlin.
			- Berlin is indeed where it happened. I don't have any special insights, nothing to offer that hasn't been said a million times before. The only difference is to feel it you have to put yourself inside it.
			- I followed a Russian tour group for a few minutes yesterday as they soaked in the history of their WWII victory. Some of them seemed old enough to remember. There were many Americans and British and French accents. Seems a lot of other people are curious to see what's in Berlin.
			- Everywhere you go in Berlin they're rebuilding. Many of the big tourist spots I saw just re-opened three or four years ago. The Brandenberg Gate and part of the <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=tiergarten+berlin+germany&sll=37.892009,-122.274914&sspn=0.004437,0.013626&ie=UTF8&ll=52.51609,13.377174&spn=0.002899,0.010986&t=h&z=17&iwloc=A">plaza behind it</a> were in the middle of the dead zone between the East and the West. 
			- Maybe there will be more conclusions, this all seems quite rough right now. 
			- PS: On a less heavy note, I had a delicious <a href="http://www.flickr.com/photos/scriptingnews/3675317126/in/set-72157620544486955/">currywurst</a> and last night there was a beautiful <a href="http://www.flickr.com/photos/scriptingnews/3675549853/in/set-72157620544486955/">sunset</a>.
		- There's a missing product
			- There's a missing product in the social networking space. I'm going to try to describe it, but I think it may be hard. But I'm willing to give it a go.
			- A little over a week ago I got an email from a very good friend in Europe asking if it was true that I was going to Reboot. I replied with an email saying it was. And I thought to myself, I thought by posting that fact to Twitter four or five times that I would have informed him of this. It is not his fault. There's a missing product.
			- Yesterday, I was trying to figure out what to do with the four hours downtime between flights in CPH, so I posted a note to Twitter hoping someone with some time to spare that was interesting would respond. I got two responses to my blog post, when it was two hours into the downtime. It's not their fault. There's a missing product.
			- Here's what I think the missing product would do.
			- It would allow me to make announcements the way companies make announcements. The announcements would have good metadata attached, and would be stored in a database. People who follow me in this system are saying "I want to know everything Dave announces." Key words in that sentence: Know and Dave. I don't just want these facts to stream by in a river. I want Dave's name to go bold in a short list of people I choose to follow. Unlike a river, where I want volume and don't care about missing an item, in this product the oppositie is true. I place high value on not missing anything. I want to know literally everything Dave announces. (Or Paolo or Karin or you get the idea.)
			- I started to get a clue that such a product was needed when I started the <a href="http://twitter.com/friendsofdave">FOD feed</a> on Twitter. It monitors the blogs of people who are so important to me that I never want to miss one of their posts. People like NakedJen, Jay Rosen, Sylvia Paull, Doc Searls, Robert Scoble, Fred Wilson and Michael Gartenberg, and people I don't even know personally like Paul Krugman and Nate Silver. It was a success. It has kept me in these people's loops, and it required them to do nothing special. Now I'm thinking about what comes next when I want other people to do something similar with me. 
			- It may be that just monitoring blog posts is enough. Tweets are too cheap, but keeping track of people through blogs may be just right. 
			- Still thinking about it. 
