- October 2009
	- October 31
		- Housekeeping
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/31/halloween.gif" width="73" height="73" border="0" align="right" hspace="15" vspace="5" alt="A picture named halloween.gif">First, thanks to <a href="http://twitter.com/jeffPulver">Jeff Pulver</a> for a fantastic <a href="http://lax.140conf.com/">conference</a> earlier this week and thanks for letting me keynote it. Putting it in L.A., away from the distortion field of Silicon Valley, made it a lot more interesting and less of a festival of wiener-boys. I fell in love at least five times in 24 hours, that's pretty good. First time I spoke at a tech conference since LeWeb in 2007.
			- Technorati rolled out a new version and completely lost track of Scripting News, so I took its icon off the <a href="http://scripting.com/">home page</a> of the site. I used to check it every couple of days to see if it found anyone talking about something I wrote here. Nowadays it comes up with nothing. So goodbye Technorati. 
			- I added links to my newest projects in the right sidebar. Makes them easier for us to find and of course adds juice to them in the search engines. ";->"
			- That's all!
			- Happy Halloween! (And <i>Let's go Phillies.</i> Teach the Yankees about <a href="http://www.google.com/search?q=mets+philosophy+site%3Ascripting.com">philosophy</a>.)
	- October 30
		- Content drives adoption
			- <a href="http://www.scripting.com/stories/2007/10/24/theRegalSiliconValley.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/30/chalmers.gif" width="105" height="233" border="0" align="right" hspace="15" vspace="5" alt="A picture named chalmers.gif"></a>This began as a response to a <a href="http://www.scripting.com/stories/2009/10/30/listsAndOpml.html#comment-21391664">comment</a> left by Marshall Kirkpatrick to an earlier <a href="http://www.scripting.com/stories/2009/10/30/listsAndOpml.html">post</a> of mine.
			- My belief is that it's content that drives the apps. 
			- You need something or someone to go first. With RSS it was Wired, Red Herring, Motley Fool and Salon then the early blogs then the NY Times and it blasted off.
			- With podcasting it was IT Conversations, the Gillmor Gang, Morning Coffee Notes, Daily Sourcecode, the community, then NPR and it blasted off.
			- This confluence has not (yet) happened for directory structures. It's not immediately obvious who the big drivers are going to be, but if they're out there, the Twitter lists feature is getting them to think about this stuff. I don't doubt that OPML will be part of the bootstrap and that people will quickly want to make lists that include resources that are not (just) Twitter users or lists of Twitter users.
			- In other words, this is the most promising moment for OPML directories that's come so far.
		- Lists and OPML
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/30/nick.gif" width="105" height="205" border="0" align="right" hspace="15" vspace="5" alt="A picture named nick.gif">So many things to say about where Twitter's lists point, the thing is, I've said them all already, many times over many years. There's a whole architecture already designed and deployed for lists and lists of lists. And they form directories that are much more open than the original Yahoo directory or DMOZ. I know everyone thinks DMOZ is the most open directory possible, but it's not.
			- The list structure of the Internet should be a open as the web. That is to say no one gives you permission to create a web page on any topic you like. So if you want to create a list of resources, that might include Twitter users, but might also include many other things, go ahead. Be the best you can be. You don't need anyone to let you do it.
			- If you're good, I might include your directory within mine, thereby delegating that topic to you. If something better comes along, I might unhook yours and replace it with theirs. Or I might get fancy and <i>join</i> yours with theirs, forming the sum of two lists.
			- If you want to see this working, here's a <a href="http://htmlarchive.scripting.com/">directory</a> rendering of the archive of Scripting News. Look at the white-on-orange XML icons in the upper right corner. They, as always, link to the XML version of the rendering. In this case instead of being RSS, they are OPML. Every page has a way to suggest a link.
			- How do you edit these structures? In the OPML Editor of course. Here's a <a href="http://images.scripting.com/archiveScriptingCom/2009/10/30/opmlInOutliner.gif">screenshot</a>.
			- The OPML Editor allows you to build these attributed hierarchies but it also includes a full web server and CMS. And a lot more. And because it was built to run on the computers of the mid-90s, it's pretty fast on today's machines. The download is the size of an MP3. Takes a minute to install.
			- I may try one more time to push these ideas out there. It may finally be the time. If anyone wants to get something entrepreneurial going, I'm up for it. I'm not just doing this stuff out of the goodness of my heart. ";->"
			- Techies, read the <a href="http://www.opml.org/spec2">OPML 2.0 spec</a> to see how the pieces fit together. My software is all replaceable. The formats are open and lightweight. And there's some great connections to search engines possible. <a href="http://www.scripting.com/davenet/2002/06/02/theGooglishWayToDoDirector.html">I pitched Google on this in 2002</a>. 
	- October 29
		- Introducing the Bay Bridge Blog
			- Once again the Bay Bridge is in the news, and this time it seems obvious it's going to be in the news for years to come. So, what to do? 
			- <a href="http://baybridgeblog.com/">http://baybridgeblog.com/</a> 
			- Start a blog, of course ! ";->"
		- Obvious next steps for Twitter lists
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/29/entourage.gif" width="141" height="175" border="0" align="right" hspace="15" vspace="5" alt="A picture named entourage.gif">Okay things are getting interesting now that 50 percent of the Twitter users have the lists feature. And now it's getting pretty obvious that there are some serious omissions.
			- First the fun part.
			- I started a Twitter Babes list, but got really nervous about it, fearing backlash, so I deleted it and gave it some more thought. It came back to life as my Entourage list, very much gender-neutral, there are men and women on the list.
			- <a href="http://twitter.com/davewiner/entourage">http://twitter.com/davewiner/entourage</a> 
			- These are people who I admire for their intellect, big heart, creativity, willingness to take a chance. Some I would trust my life with and others I'd trust my heart. They're good people to hang with. I don't agree with them all the time, I even compete with some of them. Some I don't know well but find interesting.
			- I'd love to say all this on the list, but there's no way to. That's feature #1. You must be able to explain what a list means. Even if it's only a link to a web page where you explain it.
			- A list is like a Twitter user. In fact some of my placeholder Twitter accounts will now go away. I no longer need the page of NY Times twitterers, or the Top 100, or even the Berkeley folk. So it makes sense that all the annotations, all the metadata that goes with a user, should also go with a list. 
			- People are going to want a way to suggest a new addition to a list, and people with lists are going to want a way to have new additions suggested. 
			- It should also be possible to include a list within another list. My friend Cori has a <a href="http://twitter.com/berzerkeley/bay-area">list</a> of Bay Area people. She should be able to include my <a href="http://twitter.com/davewiner/berkeley">list</a> of Berkeleyites, since Berkeley is in the Bay Area (of course). That way when I discover someone in Berkeley she automatically gets updated with that person. 
			- All the ideas that we had for <a href="http://www.google.com/search?q=OPML+directories">OPML directories</a> apply to Twitter lists. 
			- In fact there should be a way to export a list as OPML, and I think Twitter ought to do this, as a way to create systems that bridge in and out of Twitter hierarchies dynamically. Very powerful stuff. If they won't do it, I'm going to suggest that Matt get on top of this asap. 
			- I'm doing so much stuff with WordPress these days, I'm starting to see it a bit as a platform the same way I view Twitter. I wonder if that's why Matt embraced rssCloud so quickly? Heh. 
			- Anyway I have projects I'd like to try, but I'm really busy and probably won't get to them soon enough. If I were viewing lists as an entrepreneurial opportunity, the first place I'd explore is doing a list browser and editor, with a Suggest-A-User feature. If you want to start one of these, I'd be interested in participating, for equity. 
			- BTW, lists are obvious gold for search engines.
		- A new OS feature worth upgrading for
			- It's been a long time since an operating system had a feature compelling enough for me to justify an upgrade. But last night I thought of one.
			- The web is totally getting reverse-chronologic and imho that's a good thing. It's becoming easy to find the new stuff everywhere. Everywhere but on my local area network, that is. 
			- When something new arrives, a podcast or an enclosure, or I download a new app or a song or TV show, on any of my machines, I'd like it to roll up into a list that I can scroll through, and have a blog-like calendar structure that I can search.
			- That's all -- nothing more.
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/29/pup.jpg" width="145" height="177" border="0" align="right" hspace="15" vspace="5" alt="A picture named pup.jpg">Also a follow-up to the <a href="http://www.scripting.com/stories/2009/10/28/twitterFeedsStrayPuppies.html">post</a> about the battery needs of my MacBook vs the Asus Eee PC. <a href="http://jim.roepcke.com/blog/archives/2009/10/28/dave-winers-macbook-battery-life.html">Jim Roepcke thinks</a> it's somehow my fault that the MacBook either has a weaker battery or uses more juice. And that they decided it would be better if I couldn't buy a spare battery to travel with. I have no idea which it is and I don't care. I'm a user. He thinks it's the OPML Editor that's responsible for the disparity. But that's just plain wrong. I run exactly the same software on both the Mac and the Asus. Further, if you look at the performance monitor, Firefox is the hog, not the OPML Editor. It's generally using five or ten times the CPU that OPML is.
			- Another clue is that at the conference, the last row of the auditorium, the one with the power strips, was filled with Mac users. I didn't see a single netbook user back there. That's unscientific of course, but it was pretty shocking nonetheless. Traveling Mac users are drawn to power outlets much more than netbook users are. It's just a fact.
			- I think I'm going to do an A-B test. Put an Asus next to a MacBook, kill all the apps, unplug both,  and see how long it is before each of them dies. That ought to put it to rest. (And don't forget that while the Mac is a nicer computer with a bigger screen and keyboard, it's also heavier and costs five times as much as the Asus. And it runs hotter too, your lap gets scorched using the Mac.)
			- Update: I see in his follow-up comment he thinks I'm sniping at Apple. That's nuts. I spent $1700 on the MacBook so I could snipe at Apple? I actually bought it because I hoped to take it on trips like the one I took to LA this week. It didn't work very well. You want I should say it did? ";->"
	- October 28
		- I want my Turbo Pascal!
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/28/bonehead.gif" width="125" height="165" border="0" align="right" hspace="15" vspace="5" alt="A picture named bonehead.gif"><a href="http://friendfeed.com/paul/f3a8c7d8/ooc-low-level-high-goodness">Interesting thread</a> on FriendFeed about the next evolutionary step for C. I wrote a comment that I felt deserved to be elevated to a blog post.
			- Start by creating a really lightweight and easy to use development environment. I should be able to teach Jay Rosen to program in it. Back in the 80s there was serious competition in this area -- from Borland with Turbo Pascal and on the Mac, from Think Technologies with their C and Pascal systems. 
			- The languages aren't the issue, at least not for me. I want to program in C again, but the curve is too steep in all the environments. Give me a Turbo tool and some nice libraries, and lets go! ";->"
		- How to rank real-time search
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/28/adjusted.gif" width="111" height="157" border="0" align="right" hspace="15" vspace="5" alt="A picture named adjusted.gif"><a href="http://www.readwriteweb.com/archives/google_web_in_five_years.php">Eric Schmidt says</a> he can search real-time stuff, but how to do ranking?
			- Good question. Would have been easier had Twitter not polluted the follower-count measure of authority. But you can still do it by making it relevant on a personal level. Someone I follow is a lot more relevant than someone I don't. After that people who are followed by people I follow. That immediately cuts down the power of the <a href="http://images.scripting.com/archiveScriptingCom/2009/10/28/oprah.gif">super-elites with millions</a> of followers (they tend not to follow many).
			- Google is onto it with their <a href="http://googleblog.blogspot.com/2009/10/introducing-google-social-search-i.html">social search</a>. I've been asking for that, but in a different form. I want to tell them that I'm the author of this blog. Now they know a lot more about what my interests are.
			- 7/26/09: <a href="http://www.scripting.com/stories/2009/07/26/twowaySearch.html">Two-way search</a>.
			- So it would be nice if ranking were a personal thing. Keep going the way you're going Eric. 
		- Twitter feeds stray puppies
			- <a href="http://www.amazon.com/ASUS-1005HA-PU1X-BK-10-1-Inch-Black-Netbook/dp/B002DYIXMI/ref=sr_1_1?ie=UTF8&s=electronics&qid=1256748268&sr=8-1"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/28/asus.jpg" width="145" height="171" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.jpg"></a>A bunch of random notes on returing from the <a href="http://twitter.com/#search?q=%23140conf">#140conf</a> in Los Angeles.
			- Next time I go to a conference I'm taking the <a href="http://www.flickr.com/photos/scriptingnews/2678143096/in/set-72157606227830081/">Asus</a>, not the MacBook. You're always looking for a power outlet with the Mac and that sucks. I'm also going to actively look for a replacement for the Sprint MiFi and my AT&T iPhone, both of which have terribly spotty coverage. I couldn't get online in LAX last night, even though my iPhone can tether and I had the Sprint. If you can't get online in one of the largest airports in the world, what is the point of carrying this thing with you. SFO wasn't much better. And I couldn't use either of them in my hotel room in the biggest hotel in Hollywood in the middle of a shopping mall and convention center. These are places that by now these cell providers should have the best coverage in. The question is -- is Verizon any better? 
			- <a href="http://rebootnews.com/2009/10/26/00041.html">Great Rebooting The News</a> with Jeff Jarvis as the guest. Lovely rapport betw Jay and Jeff. 
			- At the conference yesterday they explained the <a href="http://www.techcrunch.com/2009/10/26/twitter-and-y-combinator-team-up-for-startup-stream-access/">vague announcement</a> made by YCombinator and Twitter over the weekend -- YCombinator startups will have access to Twitter's firehose. The audience heard "startups get help from Twitter" which they reacted to as if they said "Twitter feeds stray puppies." I hate to spoil the party, but not all speculative investigations are done by "entrepreneurs" -- and not all entrepreneurs are part of YCombinator. This is just more of the lunacy that comes from building an industry around a company instead of an open format or protocol. <a href="http://www.readwriteweb.com/readwritestart/2009/10/says-paul-graham-twitter-is-th.php">Paul Graham hypes it</a> as Twitter having discovered a protocol like SMTP or HTTP. That's pure bunk. When there's a protocol, no one will own the firehose, and no one will be granted access (and no one will <i>not</i> be granted access).
			- <a href="http://www.bing.com/images/search?q=puppy"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/28/pup.jpg" width="145" height="177" border="0" align="right" hspace="15" vspace="5" alt="A picture named pup.jpg"></a>I'm continuing to love <a href="http://protoblogger.com/">my linkblog</a>. I've gotten nothing but complaints from readers. Eventually you all will love it too. I'm sure of it. In the meantime, my work is 100 percent more valuable to me, and my incentive to remember a link by pushing it through Twitter (and my linkblog) is greater than ever. So I'll do more work for you, you'll be better informed, and happier and more productive. I can't promise you'll live longer. We'll feed some stray puppies too. ";->"
			- Reminder to subscribe to <a href="http://static.lifeliner.org/dave/rss.xml">this feed</a> not the one that WordPress provides. (Note to Matt and the WP community and company, as I use WP more and more I'm hitting limits we never had in Radio or Manila. You guys should seriously look at stealing some ideas from those products. I'll help you find them, because I'm starting to depend on this software.)
			- I started to watch the <a href="http://www.youtube.com/watch?v=vhfz_xow0XQ">video of my presentation</a> at <a href="http://lax.140conf.com/">140conf</a>, which everyone says went well (it was widely quoted on Twitter, of course). That's good, cause I couldn't stand to watch it because I'm frowning too much because there's a light shining in my eyes. We have to come up with a better way to do this, so it doesn't feel so much like "I'm up here and you're out there." I have to be able to at least abstract the audience when I'm speaking. That's why I much prefer the interview format, because I can talk to another person. It's part of the theme of my talk, we're just people, I'm not Mike Wallace and you're not really an audience. It's a brave new world and we should have the courage to accept it for what it is. And please believe me that I'm smiling as I write this. I wish I had been smiling more while I gave the talk. 
			- And don't forget to feed the stray puppies. ";->"
	- October 27
		- My linkblog is active
			- If you haven't been following my linkblog, it's time! ";->"
			- <a href="http://protoblogger.com/">http://protoblogger.com/</a> 
			- If you want to follow it, don't subscribe to the wordpress feed, follow this feed.
			- <a href="http://static.lifeliner.org/dave/rss.xml">http://static.lifeliner.org/dave/rss.xml</a> 
			- Dave
	- October 26
		- Random travel notes
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/26/mirror.gif" width="125" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named mirror.gif">I chose to travel with my newish 13 inch MacBook Pro instead of my newish Asus Eee PC. It's just a one-day trip to LA and I figured I wouldn't be needing the 8-hour battery, but there is a fundamental difference between the two computers. With the MacBook I'm always looking for a power outlet. With the Asus, you know you're going to make it all the way without a charge, so you can relax about power. Apple may think they have the battery issue licked, but they don't. And the fact that you can't carry a spare battery for this computer is a real step backward.
			- The computer also likes to randomly reboot. It's happened four or five times so far. Just happened a few minutes ago. Luckily I didn't lose any work.
			- Also the computer just disappears for a minute at random times. Computers have been doing this for 25 years. When will someone make an operating system that's always there for the user, no matter what crazy thing the OS has to do to keep itself running. All the michegas about Macs working better, that's a half-truth and half-lie. 
			- Speaking of lies, the lies caused by the Suggested User List are approaching epicness. <a href="http://www.cnn.com/2009/TECH/10/26/unknown.twitter.stars/index.html">CNN ran a piece today</a> that profiles five unknown superstars of Twitter, all with over a million followers. They only mentioned the SUL once, in passing, when they were describing Veronica Belmont. So the myth created by the SUL, that there are superstars and the rest of us, keeps growing. And then you have to wonder how much of a tool the SUL is for Twitter, to keep people in line. 
			- Pierre Omidyar is on the list now, and he <a href="http://twitter.com/pierre/status/5162995824">wonders</a> how many of his 99K followers have any idea who he is. He has Fuck You Money so there's no way he's controlled. But Anil Dash is now on the list too and has 99K followers, and he's a working man, and I'm sure he can be influenced. I unfollowed Anil when he made a joke about how it feels like being on the Yankees. Exactly. That's what I dislike intensely about the Yankees. Their sense of entitlement. Maybe not so much by the players, but by the fans. Twitter is like blogging, it's best when it's just people. The people with millions of unearned followers must be uncomfortable, wondering when the millions are going to catch on.
			- Is 20 people enough to get started with? That's what a new user gets by default. I seriously doubt it. <a href="http://berkeley.100twt.com/">My Berkeley page</a> is just starting to get interesting, and it follows a <a href="http://twitter.com/davewiner/berkeley">list</a> of 167 people. And they weren't chosen at random. They all have one thing in common, they're <a href="http://unberkeley.com/2009/10/25/do-you-tweet-from-berkeley/">neighbors</a> of mine. 
			- The other day I said I was starting a linkblog. It's now visible at <a href="http://protoblogger.com/2009/10/26/monday/">protoblogger.com</a>. I really like the way it feels. I'm using the LifeLiner tool so it's hooked into rssCloud and it publishes through wordpress.com and I can route a link to Twitter with a single click. 
			- The idea of restarting our blogs came up on <a href="http://mp3.morningcoffeenotes.com/reboot09Oct26.mp3">today's Rebooting The News</a>, with our guest this week, Jeff Jarvis. This is how I think we will restart them. By making websites that carry the kind of content we're flowing through Twitter. 
			- <a href="http://www.scripting.com/stories/2009/10/24/testingBuddypress.html">I was wrong</a> the other day about what the BuddyPress theme is for. I'm still confused about the layers of WordPress. I'll figure it out.
	- October 25
		- Who or what will be the BitTorrent of Realtime?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/25/fanning.jpg" width="150" height="198" border="0" align="right" hspace="15" vspace="5" alt="A picture named fanning.jpg">A market develops, a bunch of people get it started, then someone at a big company discovers it, changes its name (sometimes they don't even do that) and relaunches it as if it were something wholly new. The press, many of whom were aware of the earlier efforts, goes for it. "Everyone knows" that it only matters when a big company does it. However, if you look at history that's often not true, it's often the small guy who ends up defining the market, despite what the press thinks.
			- A classic case is P2P. Ten years ago there were all kinds of early efforts, some remarkably popular (thinking of <a href="http://www.google.com/search?q=site%3Ascripting.com+napster">Napster</a>) and the industry launched a huge hype balloon. Conferences, white papers, press tours, alliances, books, VC, startups, etc etc. Billions of dollars thrown at it. What ends up taking the prize? BitTorrent! An open source project launched by a bunch of <a href="http://en.wikipedia.org/wiki/Bram_Cohen">nerds</a>, without much PR. I don't know if it was the best technology, but it certainly was good enough. It wasn't glitzy or even particularly easy to to use. It worked, and most important, you could get the music and movies and TV shows you wanted.
			- It's a good bet that in five years we'll look back and most of the companies staking out realtime today will be forgotten and something like BitTorrent will rule this space, <a href="http://www.scripting.com/images/asknot.gif">gently</a> of course. ";->"
		- In one way, losing a father is a relief
			- I've been amusing myself with illogic this last week, at times giggling with the relief I feel at the passing of my father. I finally found a way to explain it in words. 
			- When I was a kid, like every other kid, when the parents went out and left me alone, I'd do stuff that I wasn't normally allowed to do. But I had to be sure to cover my tracks so my mischief wouldn't be discovered. The lessons learned from the failures were incorporated into my future exploits, I'd never get caught the same way twice!
			- So all through my life I've been preparing for my father to come home and catch me doing whatever it is is I'm doing. Whether I was aware of it or not, I was always covering my tracks. My <a href="http://www.nytimes.com/2007/07/31/health/psychology/31subl.html">subconscious</a> can't get rid of this. It's a program I'll be running forever. But now it has a different ending. He's <i>never</i> coming home. 
		- Good API design at Twitter
			- <a href="http://www.slashfilm.com/2009/06/09/is-kevin-the-tropical-bird-in-pixars-up-a-nod-to-the-lbgt-movement/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/25/kevin.gif" width="150" height="300" border="0" align="right" hspace="15" vspace="5" alt="A picture named kevin.gif"></a>I've been putting off programming with Twitter lists, but I shouldn't have. 
			- They did a really good job, as usual, with the API. 
			- The project -- convert the page of <a href="http://berkeley.100twt.com/">Berkeley people's tweets</a> to run off a list instead of a special Twitter account. It turns out there's an API call that retrieves the timeline for a list, and it works exactly like the API call that retrieves the timeline for an account. So much so that I didn't even have to change the <a href="http://listings.opml.org/verbs/apps/twitter/getTimeLine.html">glue script</a>, I pass in a <a href="http://images.scripting.com/archiveScriptingCom/2009/10/25/gluescript.gif">different URL</a> and it just worked.
			- It Just Worked&trade;.
			- That's the Holy Grail of APIs. 
			- I am happy to criticize Twitter when I think they made a mistake, and I'm even happier to applaud when something works incredibly simply, and well. 
			- <i>Thanks!!</i> ";->"
	- October 24
		- My buddy Rex
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/24/river.jpg" width="125" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named river.jpg">These days my blog posts are always essays, but it wasn't always so. In the beginning they were all links, with pointers to articles both on this site and off-site. <a href="http://www.scripting.com/1998/08/18.html">Example</a>. 
			- Then it became a hybrid, at the top of the page were the links and at the bottom were articles. <a href="http://www.scripting.com/2006/03/22.html">Example</a>. 
			- Then in early 2007 (<a href="http://www.scripting.com/2007/01/06.html">Jan 6</a>, to be exact) I went all essays, and then a few weeks after that, <a href="http://www.scripting.com/stories/2007/02/21/thanksAnil.html">started using Twitter</a>. It's funny how one event followed another.
			- Anyway, this article by Rex Hammock is so lovely and so <a href="http://www.scripting.com/2007/01.html#mostRssReadersAreWrong">vindicating</a>, I'd do a special post just to link to it.
			- Rex Hammock: <a href="http://www.rexblog.com/2009/10/24/20070">Facebook goes River of News</a>.
			- And one little thing, I'm going to have a linkblog up in the not-too-distant future. Again. Everything is new again, every few years, it seems. ";->"
			- Also it's sad that my friends, people like Rex, have to hedge so much because of a handful of stinkers who follow me around on the web. I'd like to encourage my buddies to just go through it, and say what you want to say and let the stinkers stink up some other place. Life is too short. With much love, Dave.
		- Testing BuddyPress
			- When Matt told me that WordPress was going to support rssCloud that got me started using WordPress with new purpose. I've been learning to use the product through wordpress.com. I haven't yet started my own installation. My attention is focused elsewhere. ";->"
			- Anyway, the point of this post is to get help learning how to use BuddyPress. I don't want a huge hosting obligation. Ideally I want a freemium deal like the one at wordpress.com. However, it doesn't seem to exist anywhere, yet. 
			- I just came across a site that says it lets you test BuddyPress.
			- <a href="http://testbp.org/">http://testbp.org/</a> 
			- I was expecting to have to create an account, but it (apparently) found me on Facebook, and I'm already leaving a trail there. Totally not happy about that, but I suppose my gripe is with Facebook, who somehow has decided that they own the web and can give access to my account to anyone who asks for it? I was never asked to opt into this. Unless I'm missing something this seems just plain bad.
			- Anyway, I thought BuddyPress was supposed to be like Twitter. It doesn't look anything like Twitter. There's no box at the top of the page that asks <i>What Are You Doing?</i> Without that it's not Twitter-like. 
			- Confused.
			- Update: I found my "wire" page -- and on that page, there's <a href="http://images.scripting.com/archiveScriptingCom/2009/10/24/helloDave.gif">evidence</a> that I had been here on April 30. So that lets Facebook off the hook. I must have created the connection then. 
			- Update: Some free advice for the BP designers. The home page of my site has to look more or less <a href="http://images.scripting.com/archiveScriptingCom/2009/10/24/freeAdvice.gif">exactly like the home page</a> of the Twitter site. Any difference is going to equal pain for users, and pain for users means slower adoption. Later, when and if you achieve dominant market share, you can <i>slowly</i> evolve the UI, if you really feel you must. Users are less interested in innovation in the UI than you would think they are.
		- Our all-you-can-eat lifestlye
			- First thoughts on our <a href="http://www.flickr.com/photos/scriptingnews/4037860708/">San Quentin field trip</a>.
			- I went for a late lunch in Sausalito with Scoble after spending most of the day inside the walls at San Quentin state prison. We were sitting on a quiet beautiful street with healthy, well-fed people walking by, driving in to eat at the Indian restaurant, riding bicycles and stopping to ask for directions. Scoble entered our location into Foursquare and a few minutes later a clean, friendly young man showed up with an infant wrapped in a blanket. He greeted us with a smile, Scoble instantly knew he was. We didn't in any way at any time feel we were in any danger. I was pretty sure most of the people with us there had never killed anyone.
			- That may strike you as an odd way to describe a lunch in the center of high-tech land, because that's our normal reality. We expect so much, and we get it. We live the all-you-can-eat lifestyle. But just a few miles away reality is very different.
			- We met a man who had never used the Internet, had never seen a cell phone, had no clue what Twitter is, and probably a million other things we talk about all the time. He's been in jail since 1987. He talked to us for a while in the courtyard just inside the entrance gate. He's in a "program" and my guess from the way it sounded, will be paroled in January. He murdered his little sister when he was 18. Blew her head off with a shotgun. He did it because she and her brother and mother hid his money and drugs. He told his brother that he'd kill his sister if he didn't tell him where the stash was. The brother said he'd never kill her. He did.
			- He didn't tell us this, Rudy Luna, the assistant warden who was taking us on a tour, did.
			- The warden said that, ironically, that prison is a revolving door for people who commit minor crimes, but for murderers like the guy we were talking to, sometimes they get out and stay out. He says there's a point, usually at 11 years, where they realize that they could change. The guys who get sentenced for smaller crimes don't get there.
			- The guy we were talking to might not commit another murder, but I don't see how he can live with himself. 
			- Everwhere we went we were being watched. 
			- By everyone. 
			- That may have been the oddest thing. I am accustomed to leading what I think is a fairly anonymous life. Sometimes on BART a stranger is staring at me, I imagine they recognize my face from my blog. But most of the time I move around without anyone paying much attention. Not inside the prison.
			- And it's not just us they're watching, they're all watching each other, all the time. Because prison is a dangerous place. Everything they do seems to be about keeping from getting slashed or beat up or killed. 
			- We saw thousands of people in tiny cages.
			- We saw the outside of a building where people are locked up all the time, their crimes  so heinous or infamous, or they attract so much attention, or they are people who will try to kill anything that they possibly can.
			- It's the contrast that is so striking. And what it tells me about who I am. 
			- Having just lost my father, I'm thinking about what death means in a much more real and present way these days. Our guide tells us at one point that most of the people we're looking at, and there are hundreds of them, killed someone. And they're walking around like you and me in a park. Except it's nothing like the way we walk around in a park. Everyone is watching everyone. All the time.
			- I'm sure there will be other insights. Coming out of it, I think none of us knew what to write. That's the sign that we were doing something very different, something very very outside our normal experience.
	- October 22
		- Is Google/Microsoft/Twitter in the news business?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/22/lesPaulGuitar.jpg" width="114" height="318" border="0" align="right" hspace="15" vspace="5" alt="A picture named lesPaulGuitar.jpg">Yesterday the earth shook, and at first glance you might think it just shook in Silicon Valley, but I think a few years from now we'll look back and realize that the earth was shaking just as hard in the media industry. 
			- I've had this really strong feeling ever since I got enamored of Twitter in 2006 that it was something the news and entertainment world would jump on if it had leadership that was as bright and ambitious as Steve Jobs and Bill Gates at their prime. Alas, those days must be long gone, because they busily tried to litigate peace in the <i>old</i> war, which they lost long ago, looking for the reparations that are due the loser who manages to make the victor feel guilty. (In other words the crumbs left on the table after the meal is over and after the cleaning people have made their first pass.)
			- "Look over here!" I've said over and over. "You should be competing here."
			- "We don't see why," they respond.
			- Here's why.
			- Twitter got Google and Microsoft to pay for the content that the media industry should have been hosting instead of Twitter. There was money here. And as we all know, the media industry can't find enough money to keep going. They're looking for handouts from the government. Meanwhile there was money everywhere. They just had to evolve. 
			- I'm not saying this payday means Twitter has it made, they don't. Google and Microsoft are sharks and Twitter may be a goldfish. It could be that Evan Williams and his team have the competitive instincts of a Gates or Jobs, if so, they certainly have a few tricks up their sleeves, or they wouldn't have done these deals. They better, because Google and Microsoft are almost surely executing an Embrace & Extend. What that means for Twitter is that they have clones of Twitter in development. The race is certainly on. Have they cross-licensed their streams? In other words, does Twitter have reciprocal rights to any realtime content generated by users of Google's TwitterLand? Microsoft's? Even if they do, could they handle the load? My guess is that both Google and Microsoft will quickly take the search function away from Twitter. Now everyone has the Twitter stream. What streams can Microsoft and Google add to differentiate theirs? 
			- <a href="http://www.scripting.com/stories/2009/10/17/theInternetAbhorsAFunnel.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/22/funnel.gif" width="150" height="193" border="0" align="right" hspace="15" vspace="5" alt="A picture named funnel.gif"></a>And what business are they in now? I believe they're in the news business. This isn't tech anymore. This is what the Times and CNN should have become, what CBS, NBC and ABC should be. What Jay <a href="http://twitter.com/jayrosen_nyu/status/5048299149">calls</a> a pro-am system where everyone collaborates to create the realtime stream of news on all levels, national, international, local, broad coverage and specialized stuff. Everything from newsletters to nightly news. Everything flows through the same pipes, and curators pick off the good stuff and route it to people who are interested. This is the way news is done from here-on. We're not talking about the future, we're talking about <i>now.</i> And the moguls of the media industry, without a single leader thinking in advance of the wave, are sitting on the sidelines, hoping someone will give them some money because they're such great writers or whatever it is they're so great at. Soon they'll be looking for reparations. 
			- They should own the platform. 
			- And it's bad for the rest of us that they don't because the moguls of Silicon Valley have a very crude understanding of what news is. Witness the longevity of the 140 character limit and the inability of Twitter to carry any type of content other than text. The horror of the Suggested Users List. I don't expect Google or Microsoft to do much better, but they'll probably have the sense to hire a few news pros to advise them on how to build a system that works for news. The Twitter guys are fumbling around, and in doing so, holding all of us back.
			- And FriendFeed. Oh man what a wasted opportunity that was. If they had an ounce of competitive spirit they would have noticed that the news industry wasn't seeing their way into this space, and they would have gotten on a plane and camped out in NY and found someone, anyone, with a good flow of news to partner with, to guide them toward creating the fantastic news system that Twitter wasn't building. They had the technical ability to do it, but they were too much of homebodies, they enjoyed the comfort of other engineers too much.
			- This is what we still have to do -- create the connections between people with technical knowhow and people who can make the news flow to create a safe harbor for the millions who want to participate in news to do so, without being owned and controlled by the titans of tech.
	- October 21
		- Flickr in hindsight
			- You know what they say about hindsight being 20-20. It's that way with Flickr, which was way ahead of everyone else in the social network thing. With a few tweaks three years ago, with active entrepreneurial development and the resources of Yahoo, it could have been everything Twitter or Facebook is today.
			- I don't know enough about what goes on behind the scenes to know if it really was possible. It could be that the code is a mess and that the last engineer who understands it left five years ago. If so, the previous paragraph is probably nonsense. But if there are still some good people working on it, it may not even be too late for Flickr to act as a backbone for at least part of the future realtime web.
			- The thing that Flickr does that Twitter doesn't is, as I <a href="http://www.scripting.com/stories/2009/10/16/seeingPastTwittersLimits.html">said a few days ago</a>, payloads. In Flickr a payload can be a picture or a video. Another thing Flickr has going for it is a great API with lots of developer support. And while Flickr does go down sometimes, it's a lot more reliable than Twitter. And there's no Suggested User List. 
			- What it's missing is a Twitter-like timeline. But I honestly don't think that's so hard to do. I think they already do the hard stuff. Maybe when Carol Bartz gets over the flu we could meet to talk about giving Flickr a lot of independence and a bunch of cash and letting it be free to compete in wild, free of the constraints of corporate Yahoo. Then, once it's flying, the various Yahoo properties can latch on to its growth as any other developer could. 
			- It could be a terribly bad idea. But I still love Flickr and <a href="http://www.flickr.com/photos/scriptingnews/">use it all the time</a>. I even pay them money every year for privilege. I bet a lot of other people do too.
		- Bruce Sterling at Reboot
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/21/sterling.jpg" width="125" height="190" border="0" align="right" hspace="15" vspace="5" alt="A picture named sterling.jpg">Bruce Sterling gave a wonderful talk at the <a href="http://video.reboot.dk/video/486788/bruce-sterling-reboot-11">Reboot Conference</a> this summer in Copenhagen. At the beginning of the talk I wanted to strangle him, but as it progressed, it made more and more sense. By the end I thought it was one of the best speeches I'd ever heard, a story that I think everyone should hear. I've made an <a href="http://mp3.morningcoffeenotes.com/sterling09Jul02.mp3">MP3 of his talk</a> because I want to make it available to people in my family as a podcast. I hope Bruce and the people at Reboot don't mind. 
			- He talks about clearing your life of posessions, how you should divide everything into four categories: 1. Beautiful things. 2. Things with emotional value. 3. Functional things. 4. Everything else. 
			- Divide each category into the things you keep and the things you get rid of. In category 1, you can keep it if it's on display in your house, if you show it to your friends, if you share it. If not, then you don't need it, it's taking up space and time, which you're paying for with your money, time and health. Take a picture, put it on a thumb drive, take it everywhere with you and get rid of the original. In category 2, if it has a compelling story, one that you actually tell people, you can keep it. In category 3, unless it's very good at what it does and it does something you do a lot of, it goes. And of course everything in category 4 goes.
			- He says you shouldn't try to do this in normal times. Wait until a spouse dies, a divorce, a child is born or a child leaves home. Wait till you move. It pays to figure out now what you want to do when that time comes.
			- I know Sterling is right because I've had things like that happen and I've done it both ways. Most of the time I <i>don't</i> clean house, and miss the opportunity to improve my life. But sometimes I do make the changes and it's always, in the end, been a good thing. Most people advise you not to make changes in times of great life turmoil. That's exactly the wrong advice. Those are the only times you can make change.
			- This is a hot topic in my family because of <a href="http://www.scripting.com/stories/2009/10/03/fathersDay.html">Father's Day</a>. It just happened, and the shock is just now beginning to set in. It's strange that along with the pain and sorrow, there's also a new sense of freedom, of possibilities. It's palpable. And it doesn't take a second to locate the source -- it's the changes Sterling talked about so eloquently.
			- Anyway, most of the time most of us are not in position to do anything about the mess in our lives. But listen to Sterling's talk. It's only 43 minutes. It might be the best 43 minutes you've ever spent.
		- How to learn to love the Fail Whale
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/21/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">What if your Twitter client stayed up when Twitter is down?
			- Believe it or not -- it's possible. I'm sure it's crossed the minds of the people who run Tweetdeck, Tweetie, Brizzly, Seesmic, et al. What if users could keep communicating with people who used the same tool you use and have all your tweets flow out through Twitter when they're back on the air?
			- Even better, what if Tweetie and Brizzly got together and worked out a way for their users to stay up and communicate with each other, even if they used the other guy's tool? (See where this is going?)
			- An rssCloud case study: <a href="http://www.scripting.com/stories/2009/09/06/anRsscloudCaseStudyBrizzly.html">Brizzly & Seesmic</a>.
			- Most of the time people don't think this way, except when the <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">Fail Whale</a> is showing up, as it has been for the last couple of days. Then creativity kicks in and you start wondering if it's possible, and if it were, what's in the way?
			- Maybe Twitter wouldn't like it if the client companies got too independent? Maybe they have some way to punish those who stray and reward those who don't? Some people think they do, with the <a href="http://images.scripting.com/archiveScriptingCom/2009/10/21/twitterAdSpot.gif">little ads</a> in the right margin of the Twitter web page. They say those ads really work, and if you don't play ball the way Twitter wants you to -- <a href="http://en.wikipedia.org/wiki/The_Soup_Nazi">no soup for you!</a> ";->"
			- I know how the Twitter clients can become free from Twitter, yet still work with it. You might have to give up your tasty Twitter soup, but you might be able to find new users you wouldn't otherwise, if word of mouth started carrying the message that your client doesn't go down when Twitter does.
	- October 20
		- Innovating outside the 140
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/20/resed.gif" width="128" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named resed.gif">I pitched a simple idea at yesterday's <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622626875004/">GigaOm meetup</a>, one that is easy to explain verbally but I've not yet attempted to explain it in writing. So here goes.
			- When the Mac came out in 1984 it had a file system that worked much like a Unix or PC file system, it was hierarchic, had volumes, folders and files. But files had two "forks:" 1. Data and 2. Resource. The data fork was like a regular file, but the resource fork was really cool and different. It was like a file system within a file, but not quite. 
			- Resources had a type and an id. The type was a four-character string, and the ID was a number. There were standard system types like WIND and MENU, and in them you put designs for windows and menus. There was a <a href="http://www.macos.utah.edu/documentation/system_deployment/revrdist/resedit_hacks.html">resource editor</a> that shipped with the OS that had tools for the standard system types, the menu editor let you add a command to a menu or delete a command. The window editor let you set the default size of the window, its initial title, and what WDEF routine was responsible for drawing it. A big part of learning how to program the Mac was learning what all the resources were and how to set them up. Then you'd write C or Pascal code to open the windows or draw the menus. 
			- But that wasn't all you could do with resources -- because -- and this is the key point -- <i>you could define your own resources. </i>You didn't have to get anyone's permission (okay theoretically you did, but we never bothered). So if I wanted to write a DAVE resource to my file I could. And then I could tell you what a DAVE resource contains and your app could read and write them, and all of a sudden we've just enhanced the platform. Pretty cool! And we did this kind of stuff all the time.
			- So why shouldn't tweets also have resource forks? Then if I wanted to attach a picture to a tweet I'd just pack it up in a blob and shoot it up to Twitter as part of a PICT resource along with the 140 characters which would then be a description for the picture. Or why not have a menu go with a tweet? Or a bit of HTML? Or whatever the fuck.
			- This would get Ev and Biz out of the loop, they could just kick back and run a storage system and stop worrying about what features to add to the platform. You see the users get to innovate inside the 140 characters, but there would be so much more action if the developers could innovate outside the 140. 
		- Random Tuesday notes
			- Good morning. Getting back to work after a half-day at a conference followed by a five-hour baseball game. The conference was <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622626875004/">at Om Malik's</a> and was the first tech conference I'd been to since the <a href="http://www.scripting.com/stories/2007/08/11/jasonDidntBringUsAWinwin.html">disaster</a> at Gnomedex in 2007. This one was much better. I got to talk with a number of people I'm working with on RSS-related projects, and met a few developers with interesting projects. Om gathers an interesting group, that's for sure. And the mood at Om's place is respectful and collegial. We got some work done. Nice.
			- I told Om I'd like to try out the <a href="http://www.scripting.com/stories/2007/10/25/flashLeopardConferenceMond.html">flash conference</a> idea at his new 2nd St office. Great location and a good size. So next time there's a rush to get people's ideas on some new tech development maybe we can get together to talk about it at Om's place. 
			- The baseball game was the third in the ALCS between the Angels and the Yankees. I'm really liking the way the Angels are playing, and of course I'm always up for rooting against the other New York team.
			- There will be more baseball and I'm speaking at Jeff Pulver's 140 character conference next Tuesday, a week from today. It's in Los Angeles. I can invite the regulars at Scripting News as my guest, so if  you'd like to come, send me an email or post a comment, and I'll send  you a link that gets you free admission. Jeff was very kind to let us party on his dime in LA.
			- Meanwhile, two really interesting articles you all should read:
			- 1. Wired: <a href="http://www.wired.com/magazine/2009/10/ff_twitter">How Users Took Over Twitter</a>.
			- 2. Mediate: <a href="http://www.mediaite.com/online/we-keep-finding-historically-significant-photos-will-our-grandchildren/">We Keep Finding Historically Significant Photos. Will Our Grandchildren?</a>
			- The latter question was the punchline of yesterday's Rebooting The News podcast, which has yet to appear in the feed. The irony is that we could be doing a better job at archiving our thoughtstream, but we're actually doing a worse job. Our pictures, movies, recordings, thoughts have never been more ephemeral.
			- Yesterday at Om's we wasted (imho) a time talking about seredipity. The time could have been better used working on more mundane topics like maintaining a memory that lasts more than a year at a time. We love the latest and greatest stuff, but don't recognize the patterns, we've seen this before. It's like the recurring theme in BSG, it's happened before. But we threw out the archive! Oy gevilt.
			- <a href="http://friendfeed.com/glenc/2d78e30e/pea-smirk-meme"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/20/yahooGuy.jpg" width="150" height="171" border="0" align="right" hspace="15" vspace="5" alt="A picture named yahooGuy.jpg"></a>I refuse to solve the problem only for Scripting News, because I don't want future generations to think I was the only one writing in the early part of the 21st century. One of our bloggers is the next Ernest Hemingway or William Faulkner, Willa Cather or Emily Dickinson. Let's make sure we have their earliest emails, Flickr-ings and tweets. 
			- BTW, <a href="http://friendfeed.com/glenc">this guy at Yahoo</a> is surprisingly funny. I didn't know they were allowed to hire people with a sense of humor. Hate to say it, but I've never seen <i>anyone</i> at a big tech company, Microsoft, Google, Apple, Facebook or whatever that had a sense of humor. I have an idea, they should make being funny one of the requirements to work at the Bigs. Who knows the software might be more er uhhh you know -- fun. ";->"
	- October 17
		- The Internet abhors a funnel
			- <a href="http://en.wikipedia.org/wiki/Funnel"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/17/funnel.gif" width="150" height="193" border="0" align="right" hspace="15" vspace="5" alt="A picture named funnel.gif"></a>This might be one of those fundamental Internet laws, or it may just turn out to be a way to express another one.
			- The Internet is a bunch of pipes and tunnels with processors located at the junctions and at the ends of the pipes. Some of the processors are little things like iPhones, routers, blogs or webcams. Some are huge like Google's cloud.
			- All is good until something comes along that tries to get the whole Internet to flow through it. Compelling things that get more compelling the more stuff you flow through them. Instead of being shaped like pipes, they are shaped like <a href="http://en.wikipedia.org/wiki/Funnel">funnels</a> (as illustrated to the right).
			- Platforms that are owned by companies start out as funnels. They may trick you for a while into believing that they made of pipes, after all it would be suicide for the platform owner to turn the lovely ecosystem into a funnel, but companies can't help themselves. They compete internally to control resources and to the people inside the company, the platform looks like just another resource to fight over. Eventually it gets funnelized, if it wasn't from the start.
			- This is why my <a href="http://www.scripting.com/stories/2009/10/16/seeingPastTwittersLimits.html#p2">current motto</a> about Twitter is "How I learned to stop worrying and love the Fail Whale." I can love the Fail Whale, even though as a user I hate it, because it says to me that I will soon control my own destiny in this space. That <a href="http://www.flickr.com/photos/scriptingnews/2537265280/">cute little whale</a> says the idea of Twitter as a funnel (it started out as one, always has been one) is not working. As the network grows, it becomes less viable.
			- The funnel is also why I don't like a lot of the things Google does. Things like SideWiki that are only useful when <i>everyone</i> uses them. It shows funnel-oriented thinking over there. Long-term they can't make the funnel work. But as Microsoft showed us in the 90s, they can slow the rest of us down while we wait for the shakeout. Better if they never tried, imho. Better for them, for us, and esp for the Internet.
	- October 16
		- Rebooting the reboot of rssCloud
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/16/ninja.gif" width="150" height="224" border="0" align="right" hspace="15" vspace="5" alt="A picture named ninja.gif">It's been a really rough month for me, personally, and that has stalled some of the forward motion in rssCloudLand. I was able to find a little time between crises to <a href="http://rsscloud.org/walkthrough/openDiscussion.html#updateOctober22009">implement</a> both of the proposed changes, and to outline an <a href="http://rsscloud.org/walkthrough/openDiscussion.html">open discussion</a> page. 
			- Originally I had planned to have four or five days between the implementation and updating the rssCloud walkthrough, but then <a href="http://www.scripting.com/stories/2009/10/03/fathersDay.html">Father's Day</a> happened, and well, all my cards went up in the air. I'm still not firing on all cylinders, so please check my work carefully, but it is time to clear the space for more deployment of what amounts to a crucial feature for rssCloud implementers.
			- This morning I updated the walkthrough document to allow for:
			- 1. An optional <i>domain</i> <a href="http://rsscloud.org/walkthrough.html#optionalDomainParameter">parameter</a> on the REST request for notification.
			- 2. If the notification request included the optional domain parameter, the <a href="http://rsscloud.org/walkthrough.html#errors">verification process</a> works differently.
		- A note about evangelism
			- If anyone in the rssCloud community is marketing against PubSubHubBub, we will ask them to stop. My position, and I hope that of the community is that these are non-commercial efforts, no one is going to profit (or lose) based on the success of one or the other protocols. 
			- I see adoption of PubSubHubBub as a win for the Internet, and believe strongly their advocates should see adoption of rssCloud the same way. If they feel pressure from rssCloud, it should result in them more fully embracing RSS, which I felt they weren't doing when I first reviewed their efforts. Once that happens the differences will probably melt away and everyone will be happy. 
			- Personal attacks in furthering advocacy are totally unacceptable and should not be tolerated. I hope this goes without saying, but unfortunately it appears it still needs to be said. Please.
		- Seeing past Twitter's limits
			- When thinking about the future, something I've spent a lifetime training myself to do, I try flipping the classic question around. Instead of asking "Do you think X will happen?" try this -- "Can you imagine X not happening?" It doesn't always yield a breakthrough, but it often does. It helps you see past the limits of today. 
			- Anyway, I'm giving a 10-minute talk to open <a href="http://lax.140conf.com/">Jeff Pulver's Twitter conference</a> in LA on the 27th. The title of my talk, suggested by <a href="http://twitter.com/carlacasilli">Carla Casilli</a>, is: "How I learned to stop worrying and love the Fail Whale." It's a ripoff of the sub-title of one of the greatest movies of all time, Stanley Kubrick's <a href="http://en.wikipedia.org/wiki/Dr._Strangelove">Dr. Strangelove</a>. In his version, they replace the Fail Whale with The Bomb. In the 50s, 60s and 70s people were as obsessied with nuclear weapons as they are today with Twitter (that's only half a joke).
			- Anyway, today a tweet is 140 characters with an ever-evolving <a href="http://en.wikipedia.org/wiki/Cadre">cadre</a> of metadata marching alongside. And it's about the metadata that I wish to ask the inverted question. But first, I'd ask you to click on the small picture below, and go to Flickr and look at all the metadata that's assembled around a picture of my aunt and uncle taken by my mother sometime in the late 70s or early 80s.
			- <a href="http://www.flickr.com/photos/scriptingnews/4016393609/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/16/flickrpage.gif" width="250" height="296" border="0" alt="A picture named flickrpage.gif"></a>
			- What a rich collection of information there is. Yet you could imagine more, yes? If you read the paragraph that introduces the picture you'll see that there's some data that isn't reflected in the Flickr database. It was taken by my mother, and the two people in the picture are related to both of us. One by blood (the man, my uncle Ken) and one because she is married to the other (my aunt Dot). That data is missing probably because Flickr stopped actively evolving before social networking had fully gained a foothold in online culture. Same with the web itself. Wouldn't it be cool if a pointer could imply a familial relationship? I know that's what <a href="http://en.wikipedia.org/wiki/Tim_Berners-Lee">TBL</a> has been talking about. Maybe we're getting closer to actually having it.
			- Anyway, if you go crazy and try to imagine what Twitter might become, you can see that a lot of what it is is in the Flickr metadata without the thing in the middle -- the picture. I've been urging Twitter to support <a href="http://www.scripting.com/stories/2007/09/28/payloadsForTwitter.html">payloads</a> for years now. I can't imagine why they're not doing it. One piece of metadata is all that's needed, minimally, the URL pointing to the picture. Today we have to cram it into the 140 characters. Meanwhile they're advancing, adding geographic data and lists and retweets, all of which add little bits of data to a tweet, but for some reason they won't add the url. Which gets back to the question. Can you imagine that Twitter will never get this feature? No, of course not. It will someday get it. Why not get it over with?
		- Techmeme curiosity
			- <a href="http://www.scripting.com/stories/2009/10/15/twittersLists.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/16/tweetophone.jpg" width="125" height="142" border="0" align="right" hspace="15" vspace="5" alt="A picture named tweetophone.jpg"></a>First a prediction -- some people are going to say I'm writing this because I want to be on Techmeme. They are entitled to say that, but they are wrong. I am neutral about it. If a story of mine belongs on Techmeme, it should be there, if not, it shouldn't. And it isn't up to me to decide, it's up to the people who run Techmeme. 
			- Also, please read this whole post before commenting, not just one paragraph or phrase, because it's complicated.
			- I've always believed that Techmeme was a combination of a bot and human judgement. This was confirmed a few months back when Gabe, the guy who runs the site, <a href="http://www.readwriteweb.com/archives/techmemes_new_editor.php">hired a human editor</a>.
			- I've disabled their bot by including a line in my <a href="http://scripting.com/robots.txt">robots.txt</a> file that tells them not to crawl the site. But there is no such thing for the human beings, you can't make it so that a person can't read your site. So I always thought that if one of the humans at Techmeme thought something I wrote was interesting, they would publish a link to it. As far as I know this has never happened. (And I watch pretty carefully.)
			- Sometimes I take the block out of the robots.txt file to see what will happen. In those cases my pieces often turn up on Techmeme, almost never as a major item, rather as part of the "chorus" -- commenting on one of the major articles. I'm often in the chorus with the story everyone is reacting to, including the guy who got top billing. I don't know how this happens, but it's a large part of why I block their bot. I really dislike the chorus. It's what makes the blogosphere like a mail list. You end up with a lot of people chiming in with nothing to add, who just want the flow from being there.
			- Anyway, what made me think of it is that today Charles Arthur at the Guardian has a nice <a href="http://www.guardian.co.uk/technology/blog/2009/oct/16/twitter-lists-reputation">piece</a> which is centered on my <a href="http://www.scripting.com/stories/2009/10/15/twittersLists.html">review</a> of Twitter's lists. It's getting a <a href="http://techmeme.com/#a091016p19">good run</a> on Techmeme. If Techmeme were doing their job well, they'd flip it around and present it as him commenting on the original piece. I'm saying this in case Gabe and Company think the bit in the robots.txt is a prohibition on their human editors. It is not. <a href="http://en.wikipedia.org/wiki/Robots_exclusion_standard">Read up on robots.txt</a> if you don't believe me. It's all about robots. ";->"
	- October 15
		- Twitter's lists
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/15/tweetophone.jpg" width="125" height="142" border="0" align="right" hspace="15" vspace="5" alt="A picture named tweetophone.jpg">Like a bunch of other people I had the <a href="http://images.scripting.com/archiveScriptingCom/2009/10/15/newlists.gif">new Twitter lists feature</a> turned on today. Immediately I needed a list to explore and had a bunch of ready-made ideas. I had already done aggregated feeds of the <a href="http://100twt.com/">top 100</a> most followed people on Twitter, the <a href="http://twitter.100twt.com/">employees</a> of the Twitter company and the <a href="http://nyt.100twt.com/">NY Times</a>, the <a href="http://twincities.100twt.com/">Twin Cities</a> and most recently <a href="http://berkeley.100twt.com/">Berkeley Twitterers</a>. 
			- The last one I <a href="http://twitter.com/davewiner/berkeley">replicated</a> as a Twitter list. 
			- If you don't yet have the feature turned on, you'll get a blank page on the last link. Here's a <a href="http://images.scripting.com/archiveScriptingCom/2009/10/15/berkeleylistview.gif">screen shot</a> of what it looks like. 
			- Basically you get a flow of all the people I've chosen to put on the Berkeley list.
			- Depending on what the API looks like we'll probably see all kinds of tools for combining and cloning lists. 
			- It's a new authority system. The number of lists you appear on is a kind of page-rank. So let's hope Twitter does two things: 1. Provides an open API to crawl this data set. 2. Doesn't pollute it by artificially inflating the rank of friendly press and their industry friends. Stay out of the editorial space and let a healthy ecosystem develop. It's another chance to not screw it up.
			- Some people have said it's somehow related to the Suggested User List but I don't see it at all. This feature is for advanced users, the SUL is for total newbies. Unless Twitter somehow data mines our lists, something they could have done right at the start, it won't have any impact on the newbies' user experience.
			- Update: As you would expect, <a href="http://images.scripting.com/archiveScriptingCom/2009/10/15/scobleoleo.gif">Scoble is going crrrazy</a> with this feature! ";->"
		- Uncle Arno's books
			- My mother's uncle, <a href="http://en.wikipedia.org/wiki/Arno_Schmidt">Arno Schmidt</a>, was a German author who lived between 1914 and 1979. He left a collection of his work to his sister <a href="http://www.scripting.com/stories/2009/10/14/friendsSeeThingsYouDont.html#p8">Lucy</a>, my grandmother, and when she died in 1977, the collection was passed to my mother. Legend has it that he gave the collection to his sister because he wanted a backup of his work in the United States. 
			- <a href="http://www.google.com/search?q=arno+schmidt"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/15/arno.jpg" width="107" height="147" border="0" align="right" hspace="15" vspace="5" alt="A picture named arno.jpg"></a>Time goes by, and now my mother is thinking about passing on her stuff, and we want to do the right thing with Arno's legacy. There's a museum in Germany that wants the books, but they already have copies, and Arno wanted a copy in the US, so we're going to try to get him his wish.
			- I've listed our collection of books in a <a href="http://rsscloud.wordpress.com/2009/10/15/schmidtbooks/">separate post</a>.
			- We're looking for a university in the United States, probably one with a German Studies Department and a library, to take the whole collection. We're not looking to make money from this donation, it's strictly a gift, but we would like to have the materials accessible to the public. Ideally we'd like to work with a university in NY or the Bay Area because that's where our family is.
			- I wanted to make this offer publicly, through my blog, because it seems consistent with my efforts to get our electronic work archived. Here's a chance to learn how it's done with writing created in the mid-20th century. If you are at a university that is interested, either post a comment here, or send me an email at dave dot winer at gmail dot com. Thanks! 
	- October 14
		- Friends see things you don't
			- This is a very personal time for me, lots of observations, things I'm learning about myself, things you can only see when a big tree falls and light shines on spaces that were previously hidden.
			- Here's a reason why it's good to have friends (as if one needs a reason) and why you should share your childhood pictures with them as soon as you can. I waited way too long for this. 
			- When they see pictures of you as a baby and toddler and then as a small child they see something you never see in those pictures --> You!
			- <a href="http://leonwiner.com/2009/10/11/family-photo-album/#comment-16">Doc Searls' comment</a>, as usual, hits the nail square on the head. "That's Dave! Great to see the kid, the son and the big brother, and how they match with the man and the friend." 
			- Francine Hardway <a href="http://leonwiner.com/2009/10/12/1953-1971-from-the-beginning/#comment-13">sees</a> it too.
			- What a revelation. I never liked looking at those pictures, and now I know why. I didn't believe it ever happened. I have no memory of it, but friends can see what you can't -- that you were there. Now all of a sudden things your parents say start making sense. They were there too. Of course they have the advantage of remembering.
			- Some of Dad's pictures are so good they deserve to be called out specially.
			- <a href="http://www.flickr.com/photos/scriptingnews/4011958392/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/14/family.jpg" width="350" height="162" border="0" alt="A picture named family.jpg"></a>
			- That's my grandmother, Lucy Kiesler, on the left, and my mother, Eve Winer, on the right. My brother Peter Winer is sitting with his back to us, and the guy in the loud 70s style coat is me, at age 21. The picture was taken in New Orleans, not sure exactly where (possibly Commander's Palace) just before or after my college graduation. Click on the picture to see the <a href="http://www.flickr.com/photos/scriptingnews/4011958392/sizes/l/">full image</a>. And the <a href="http://leonwiner.com/2009/10/14/western/">full set of pictures</a>, uploaded yesterday, is on my Dad's memorial site.
			- Another observation. My Dad did a great job of organizing all the pictures. All I had to do was write some scripts to merge the captions, and link the thumbs with the originals. I'm storing all the stuff in Amazon S3 because I think it's the most reliable storage we have right now. Should I die or become incapacitated they will just keep billing my credit card, and hopefully my successors will just let the charges go through. Amazon really ought to allow people (as opposed to companies) purchase perpetual hosting. What a contribution to our culture they would be making if they did so.
		- What's obvious about netbooks
			- <a href="http://www.flickr.com/photos/scriptingnews/3116706556/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/14/dog.jpg" width="125" height="168" border="0" align="right" hspace="15" vspace="5" alt="A picture named dog.jpg"></a>Some people in the tech industry believe netbooks are a mistake that will be corrected any day now. Problem is they've been saying that for hundreds of days while the netbook market keeps growing, as the market for more expensive portables stagnates. The trend won't reverse because netbooks represent a far more fundamental shift than they recognize. Far more significant than I've realized until just the other day. 
			- 12/17/08: <a href="http://www.scripting.com/stories/2008/12/17/whatIsANetbook.html">What is a Netbook?</a>
			- At one level, a netbook is just a new product, something between a notebook and an iPhone. It fits easily into a briefcase or knapsack, has a keyboard and screen that while not exactly spacious, are functional. 
			- The iPhone is a compromise, a good one because of its supreme portability (it fits in a pocket). But netbooks are a good compromise too.
			- An aside, I know some people use iPhones for their networking. Scoble is my prime example. I can't get him to use my software these days because it runs in a desktop style web browser. Of course what he's doing is a reasonable choice. But it's never worked for me because communicating on an iPhone is too slow. Not just the typing, not just the cramped keyboard, but the actual networking. I had an interesting experience the other day on my mother's new FIOS home network, all of a sudden I could use the iPhone the way Scoble does. For some reason it doesn't work very well on my network at home, and the net connection from AT&T is infinitely too slow to be usable. So it could be that my iPhone experience is much worse than most people's. 
			- As a product a netbook is less expensive, more portable, and has longer battery life than a notebook.
			- It has a bigger keyboard, bigger screen and is a better reading and writing tool than an iPhone. 
			- It's in the middle -- and there <i>is</i> a middle -- a product between an iPhone and notebooks
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/14/eee.jpg" width="125" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named eee.jpg">But the netbook is not just a new product. It exposes something pretty ugly about the computer industry. They've been controlling prices. There must have been price collusion before netbooks came out. It's clearly possible to build notebooks for much less than they manufacturers are charging. 
			- That's a matter for the Federal Trade Commission to look into, but even that is not what's going on with netbooks. The truly significant thing is this -- the users took over.
			- Let me say that again: <i>The users took over.</i>
			- I always say this is the lesson of the tech industry, but the people in the tech industry never believe it, but this is the loop. In the late 70s and early 80s the minicomputer and mainframe guys said the same kinds of things about Apple IIs and IBM PCs that Michael Dell is saying about netbooks. It happens over and over again, I've recited the loops so many times that every reader of this column can recite them from memory. All that has to be said is that it happened again.
			- Once out, the genie never goes back in the bottle.
			- This should serve as a lesson to the architects at Twitter and Facebook. The day will come when your users figure out that they can do what you do without the costs you impose. Better to prepare for that day, factor it into your economics, than be surprised by it as <a href="http://www.techmeme.com/091014/p17#a091014p17">Michael Dell</a> appears to have been. He's complaining about netbooks probably because his expense structure can't sustain the business. He's a leading vendor of netbooks, yet is selling against them. This means only one thing, and it's kind of obvious -- he's losing money on each sale. He can't afford to be in the business. Which means he can't afford to be in business at all.
			- Windows 7 may be nice, I don't know and I don't care. I like my XP-based netbook just fine with its 10 inch screen, 160GB hard drive and 8-hour battery life. My computer cost $350. I'm not a likely customer for an upsell. Those are the new economics, like it or not.
		- An open letter to Om
			- In a thread about netbooks on his blog, <a href="http://gigaom.com/2009/10/12/notebooks-vs-netbooks-can-you-tell-the-difference/#comment-977811">Om asks what he's missing</a> in his analysis of the relationship between the computer industry and users re netbooks. I spent some time thinking of an analogy, and came up with one about the industry we all love to hate -- the airline industry. 
			- So here's the story...
			- Once upon a time there was an <a href="http://gigaom.com/2009/02/07/ted-negroponte-says-olpc-started-netbook-craze-will-open-source-its-hardware/">MIT professor</a> who said: "I have an idea, let's design an airline that can get you to a great resort for $100! Then every schoolkid can afford to have a great vacation in Mexico, Italy or Thailand!!"
			- No matter how hard he tried the professor couldn't come up with a solution. The moguls of the airline industry sighed in relief. Their margins were safe. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/14/southwest.gif" width="150" height="44" border="0" align="right" hspace="15" vspace="5" alt="A picture named southwest.gif">Not so fast! A Taiwanese airline named Susa discovered a way to do it for $600, which was still a lot cheaper than the airlines could get you to Italy or Spain for. Huge numbers of people signed up and the airline bustled with new business. People came home from their holidays and told everyone that they had a great trip. And with the new economies of scale Susa was able to get the price down to $350. Not the $100 that the MIT professor promised, but still cheap enough that lots more people could have a vacation, and while some people still went on the more expensive and luxurious airlines, more and more people were flying Susa.
			- In fact this happened in the airline industry, and it forced a lot of the big airlines to either merge or go out of business. Maybe analysts in the airline industry say that any day the users will tire of the cheap flights, but they'd be just as wrong as the analysts in tech who predict the demise of netbooks.
	- October 13
		- What I've learned about Hyperlocal
			- First, the news -- <a href="http://www.inberkeley.com/">InBerkeley.com</a> is coming to an end.
			- Other projects are consuming more of my time. And in the last couple of months, family stuff has taken me away from Berkeley, and I'm not sure where my attention will be in the future. So a big part of my decision to move on is personal. 
			- But I've also learned why sites that we're calling "hyperlocal" are difficult, and why I failed to get the site to grow the way I hoped it would. 
			- I thought we could apply the same approach that worked in bootstrapping weblogs, RSS and podcasting for a local site. One or two people start writing about their personal experiences. A small audience develops. Debates, discussions follow. More perspectives. At every step you invite people to participate. You always ask for the people who used to be called the audience to become full participants. That's how the idea scales. As I said, it worked for blogging and related technologies.
			- Instead, what happened at InBerkeley.com is that the people thought we were running a news organization, and they did stories the way reporters do them. That can't possibly work, imho -- for the same reason the news industry is in crisis. 
			- An example. Suppose you're writing a story about a parade on Shattuck Ave at noon and you don't happen to be there, you just heard about it from a friend, but feel you have enough information to write a story. Now you want a picture for the story -- in fact, you think that without a picture you <i>can't</i> run the story. The reporter will hold it, but the blogger runs it anyway, and at the end asks if anyone has a picture. It's that little difference that makes the hyperlocal idea scale, and it's what my colleagues at InBerkeley were unwilling to do.
			- Instead, we got in trouble, twice, for taking copyrighted material from other sites. The first time it happened, I apologized, and nothing terrible happened. The second time, I decided we had to shut the site down, because we were doing it totally wrong. I want to stress, this is my opinion, but as one of the founders, it's my reputation that's out there. I didn't think what we were doing was noble, or even very good. Not something I was prepared to stand behind. 
			- Further, I was sure that at some point I would be giving a talk and there would be a reporter in the crowd who would ask how news can reboot if it's dependent on scarfing copyrighted work from pros. Now if I get asked the question I can say I think it's possible, but we failed to prove it at InBerkeley.com. And I'll be telling the truth. 
			- The other people at the site, including my former partner Lance Knobel, are going to start a new site, and I wish them the best.  It's possible at some point I may even contribute, if they want my contribution. 
		- Dave at 17
			- <a href="http://www.flickr.com/photos/scriptingnews/4009926008/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/13/17.jpg" width="300" height="252" border="0" alt="A picture named 17.jpg"></a>
			- The next couple of batches of uploads at my Dad's memorial site.
			- <a href="http://leonwiner.com/2009/10/13/novascotia/">1971-72</a> and <a href="http://leonwiner.com/2009/10/13/scandanavia/">1972-74</a>.
		- TechCrunch is back on the SUL
			- On September 22, I wrote a <a href="http://www.scripting.com/stories/2009/09/22/theSulAsAToolToControlNews.html">piece</a> that showed a correlation between the number of followers a tech news site gets, and its position on Twitter's <a href="http://twitter.com/invitations/suggestions">Suggested Users List</a>. One of the two sites used in the example, TechCrunch, had been removed from the SUL in July after running a story based on leaked information about Twitter.
			- This is a followup to the Sept 22 piece.
			- TechCrunch is once again on the SUL, and once again their follower count is going up. Here's a screen shot of their new 3-month <a href="http://twittercounter.com/compare/TechCrunch/all/followers">graph</a> on TwitterCounter:
			- <a href="http://twittercounter.com/compare/TechCrunch/all/followers"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/13/techcrunchCountUpdate.gif" width="537" height="222" border="0" alt="A picture named techcrunchCountUpdate.gif"></a>
			- Compare this to the snapshot taken a month ago:
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/09/22/crunchcount.jpg" width="537" height="302">
			- Not much doubt that the SUL is what's driving new followers to TechCrunch.
	- October 12
		- Getting ready to Reboot
			- It's going to be a slow reboot for my new life, one step at a time.
			- <a href="http://www.scripting.com/stories/2009/10/09/letTheBloggingBegin.html#comment-19873690">Frank X. Shaw</a>, who has been through it, says the hole in  your heart will never close. I truly believe it. 
			- I've heard from so many people who have lost a parent, it seems the experience opened them up, and if they won't say it, I will -- made them better, stronger, sweeter. There are a dozen people who, next time I see them, will have an interesting and personally warm conversation that wasn't possible before. Another way a <a href="http://davenet.scripting.com/1995/08/14/eatdrinkandbejerry">big tree falls</a>.
			- I know my father much better this week than I did last week. So weird. But the barriers he put up, and he was a man with a very high wall around him, come down. Just going through some of the pictures he left behind is an eye-opener.
			- <a href="http://leonwiner.com/2009/10/11/family-photo-album/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/12/funny.jpg" width="150" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named funny.jpg"></a>Yesterday I went through each page of a family photo album. I had seen it before, of course, but had never studied it so closely. I had to this time, to choose a picture from each page for a thumbnail. One thing I can see clearly is that I was me very shortly after birth. Even though I don't remember any of it. The relationships you have with your family form very early and don't really change. And of course those are the relationships you have with the world. I've put my favorite picture of myself in the margin of this post. What a typical Dave expression. And it's funny how relaxed Mom looks, almost as if we had arranged before-hand that I would make the face. 
			- And my father, as a boy of seven or eight, was the same person he was a few days before the end. You can see it in his eyes, and in the tentative smile on his face. 
			- There are a few pictures of my parents where they are truly relaxed. There's one where I'm pretty sure they just did it. For all I know that might have been my moment of conception. ";->"
			- Anyway, this is all good. 
			- Update: <a href="http://leonwiner.com/2009/10/12/1953-1971-from-the-beginning/">Here's the first batch of photos</a> that are not in an album. I'm writing scripts to do the processing. The captions were written by Dad. I'm storing the originals and thumbs on Amazon S3. WordPress is doing the user interface.
	- October 10
		- Once again, future-safe archives
			- <a href="http://www.scripting.com/stories/2008/07/22/futuresafeArchivesAgain.html"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/10/joker.jpg" width="125" height="347" border="0" align="right" hspace="15" vspace="5" alt="A picture named joker.jpg"></a>Every time a relative passes this <a href="http://www.google.com/search?q=%22future-safe+archives%22">issue</a> comes front and center for me. Most other times it's just lurking in the shadows. 
			- We need one or more institutions that can manage electronic trusts over very long periods of time.
			- The institutions need to be long-lived and have the technical know-how to manage static archives. The organizations should need the service themselves, so they would be likely to advance the art over time. And the cost should be minimized, so that the most people could do it. 
			- I've felt that universities would do the best job, since they already need to maintain the work of their professors, possibly in partnership with technology companies. This could be a huge source of endowments, as wealthy people with a vision for techology compete to build long-lasting monuments to their creativity and generosity. 
			- And of course why not actually have the work be created in the archival form, so there's no pile of work to do when the person passes.
			- At this point I am managing the content for two relatives. At some point not too far down the road I will pass too. I would like to set aside a bit of money to maintain these archives, and to help inspire others to do so as well. I'm willing to devote a substantial portion of the time I have left to this task.
			- I don't run an institution that could fill this role. I've suggested it to people I've worked with at Harvard, a university that I think would be perfectly suited for the job, possibly partnering with a technology vendor. Amazon almost has exactly what we need, they just need a partner who does domain registration, and there must be a financial service organization that pays the monthly hosting bills. 
			- My father left a huge number of photos he took over forty years of traveling all over the world. He spent a lot of his time in retirement digitizing the photos. We have purchased leonwiner.com. So we've got a fresh problem right now. My mother, who owns the copyright has given us permission to license the photos under the Creative Commons. 
			- There's a huge amount of work to do to get ready for the future. Who else is interested in working on this?
	- October 9
		- Let the blogging begin!
			- <a href="http://vonnegut.com/"><img src="http://images.scripting.com/archiveScriptingCom/2009/10/09/openCage.jpg" width="135" height="206" border="0" align="right" hspace="15" vspace="5" alt="A picture named openCage.jpg"></a>Let's start by saying there's nothing good about losing a parent.
			- They say it's inevitable, it happens to everyone, but in the dark of night, as you're trying to fall asleep, there's no consolation in that fact. When you die and when you go to sleep it's the same, you're on your own. The only difference is -- well you know what the difference is.
			- However...
			- In the waking hours, as you rejoin the human race (which you never really left), you find that you have a new bond with a huge number of people you knew before, but never really knew, because until it happens to you, it's all hypothetical. 
			- Not much more to say except as one who is always looking to bond in deeper ways with others, I'm kind of excited to find out what's coming. 
			- My father said something to me a number of times which is now comforting. He said his life didn't really begin until his father died. I have no idea if this is true or not (for me, I'm not questioning his experience) but it says to me that I have his blessing to have a better life as I grow older. 
			- Anyway, I'm flying back to California today and have a window seat and a camera, so you can <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622424562487/">follow my progress</a>, cloud-cover-willing, on Flickr.
			- More notes here as I think of them.
	- October 7
		- Middle-of-the-week check-in
			- Just writing to say that Scripting News is on a hiatus this week. Not sure when I'll be writing again. But I'm still here, doing the best I can. 
			- And thanks to everyone who wrote for the kind wishes. 
	- October 3
		- Live from Virgin America #24
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/03/airbus.gif" width="140" height="101" border="0" align="right" hspace="15" vspace="5" alt="A picture named airbus.gif"><a href="http://www.flightstats.com/go/FlightStatus/flightStatusByFlight.do?id=172331816&utm_source=airlineInformationAndStatus&utm_medium=cpc&utm_campaign=co-op">I'm flying back</a> to NY to be with the family.
			- At first I thought -- sheez no big deal, I'll do the <a href="http://www.scripting.com/stories/2009/10/01/rebootTheNewsAtOna09.html">live podcast</a> with Jay at 4PM at the SF Hilton. Then I called Jay and he said I should get to the airport and head home. I gave it a second or two of thought and realized he's right. This is no time to be talking about rebooting the news. It's time to reboot the family. 
			- An aside, if anyone is at ONA09 and can record the event, it would be great. Of course I was going to do that, but I'll be over Wyoming or <a href="http://www.flickr.com/photos/scriptingnews/3977802843/">Nevada</a> when it happens. 
			- I thought of <a href="http://video.reboot.dk/video/486788/bruce-sterling-reboot-11">Bruce Sterling's inspirational talk</a> at the Reboot conference in Copenhagen earlier this year. I'll try to paraphrase what he said. 1. If you could travel lighter you'd be happier. 2. Most people know this and wish they could get rid of stuff. 3. But you won't do it until something huge happens to disrupt your life. A divorce, you lose your job. A parent dies. Yup. Sterling goes on to say that you should make a list of things you'll drop when the disruption comes. I don't have a list.
			- Usually I have a day or more to prepare for a trip, and I usually don't forget anything major. Heck I usually don't forget anything at all. Not this time. I left a bunch of things on the dining room table. And I realizedI left my iPhone in the car about 1/2 hour before the flight was due to start boarding. So I made a dash out to the parking garage, got the phone and went back through security. With plenty of time to spare. 
			- So much for my <a href="http://www.scripting.com/stories/2009/09/23/iwanttodivorcemyiphone.html">iPhone divorce</a>.
			- <a href="http://www.scripting.com/stories/2009/10/03/fathersDay.html">It</a> still hasn't hit me. 
			- Life still feels pretty normal, even though I'm flying cross country again after returning home two days ago. I got a call from Andrew Baron who lost his father in similar circumstances earlier this year. There's some kind of bond between Andrew and myself. I wonder if his father and my father are hanging out where ever fathers go after they die.
			- If there is an afterlife, I guess it's timeless. Or time flashes by really fast. In the time it takes us to live a day they live three centuries. So for my dad and Andrew's dad it must be 2300 or something like that. To my father I'm already long-dead. A few days ago he said that soon he'd be pushing up daisies. I told him I'd be there a few days after him. In the virtual sense.
			- Who knows what comes next. I have a feeling there's a lot of that coming up.
			- Susan Kitchens and I live parallel lives too. Guess what, her father was born in 1929 too. And he's in hospice, as my father was. And she predicts he won't make it through 2009. There have been other big parallels in our lives. 
			- The person sitting next to me on this flight, a nurse who lost her parents years ago, said it really hits you three months after it happens. Maybe. Right now I'm still standing at the plate with the bat in my hands and the pitch is coming out of the pitcher's hand in super-slow motion and I'm waiting for it to come at me so I can swing. Will I swing and miss, or hit a line drive, or hit it out of the park? Or something we don't even have a word for.
			- I know this -- when I was a little kid and realized that someday I'd lose a parent, it froze me with fear. Now, decades later it has happened. I'm not frozen at all. I'm in motion. Flying across the country on <a href="http://www.flightstats.com/go/FlightStatus/flightStatusByFlight.do?id=172331816&utm_source=airlineInformationAndStatus&utm_medium=cpc&utm_campaign=co-op">Virgin America #24</a>.
			- <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622509684296/">A Flickr set of photos</a> taken out the window of the flight.
		- Father's Day
			- I spent most of last week in NY, visiting my parents.
			- My father has been gravely ill, and as it turns out this was my last visit to see him. 
			- This morning he died. 
			- He's had a long decline and plenty of time to prepare for the end. This week we talked honestly and openly about the big things. In June, on his 80th birthday I wrote to him that he was my hero. There was a lot of forgiveness in that statement, over the years, we had focused too much on the bad times, and not enough on the time at the beginning and at the end, which were good, loving, generous and fair.
			- There's no doubt my father loved the little boy who looked up to him. There's no doubt we both had trouble adjusting to the man who took the little boy's place.
			- I was lucky that my father lived so long. Yet today there is a huge void, a puzzle, an unknown. How do you fill the space occupied by someone who looms so large.
			- My father fought for my life when I was young and had a ruptured appendix. 
			- When he discovered the beauty of outliners he said the nicest thing a father can say about a son -- "Every day is father's day."
			- We searched for my father, lost in the melee after the <a href="http://www.scripting.com/2001/09/11.html">9/11 attacks</a>. His <a href="http://www.scripting.com/images/leonFrontier.gif">picture</a> only appeared that once on Scripting News. 
			- Leon Winer was born on June 17, 1929 and died on October 3, 2009.
			- He will be missed by his family.
		- My web site is my space
			- ThirdVoice was small and never got large. 
			- As long as very few people used it, it was no threat to free speech, but...
			- What if Microsoft, who made the dominant web browser at the time, decided to either acquire ThirdVoice or create their own?
			- Then almost everyone who read my site would see the commentary first. Imho, that most definitely would have changed the web, for the worse.
			- If we hadn't objected to ThirdVoice that would have provided all the excuse Microsoft needed. 
			- And Microsoft did try to muck around with web content. But they backed down when the web community strenuously objected.
			- Now fast-forward to Google and its Toolbar and the cutely named SideWiki. Clever trick. Could have named it PuppySidebar. Now we'd be seeming to criticize puppies. Some people must think that Google's neo-ThirdVoice is actually a wiki, but of course it's nothing like a wiki.
			- And Google has more staying power than ThirdVoice. And they have ambitions to be the leading browser vendor and they have a chance. Then someday soon we may have the ability to annotate any page on the web. Sounds great that way, but do you want everyone viewing the annotated view of your writing? I don't. 
			- <a href="http://www.windley.com/archives/2009/09/claiming_my_right_to_a_purposecentric_web_sidewiki.shtml">Phil Windley</a>, who is (I guess) a libertarian, thinks everyone should have the right to view the web any way they want. Who could argue with that. He says my website is not a place, instead I should look at the components. It's actually a collection of documents that can be transferred from one machine to another over a network. But his bank account, like my website, is just a collection of documents that can be transferred from one machine to another over a network. I doubt if Phil thinks we ought to be able to use his money any way we'd like. Maybe he does. He's surprised me before. ";->"
			- We buy into illusions that virtual things are real all the time. Our way of life depends on it. The pieces of paper in our wallet used to be redeemable for bars of gold. They were virtual then, now they're not even that because the linkage to gold no longer exists. Even the wood, glass and concrete that makes up a "house" is something that is given meaning by a piece of paper that says Phil owns it, and not a poor family in downtown Salt Lake City. Why should he get to live in that collection of wood and concrete, stay warm in the Utah winter, when other people are cold and go hungry? Because we have conventions. And Phil, even though he doesn't trust government, depends on government to keep him in his house. Otherwise he would surely be out on the street. (Not saying that would be right, it just illustrates that the world isn't so harsh as to say that we have no say in how what we own is used.)
			- I don't mind if a small group of people wants to annotate my writing, off on the side, without effecting how other people read it. But that's not what Google is proposing, long-term, to do here. We have to object at the beginning, or we'll have no standing later. My website expresses <i>my</i> point of view. I get to take risky positions, ones that are complicated to explain because I know that here, unlike almost everywhere else, I get to finish a thought. There are so many places for "conversation" -- virtually everywhere. I like my website because it is <i>not</i> one of those places. And yes Phil it is a place, every bit as much as your collection of wood and concrete is.
			- This really is my intellectual home. And I think the government should protect it, the same way the government protects my bank account. If Google wants comments, great, put it on their own site. But unless I ask for it, stay out of my space.
	- October 2
		- Advice on recording tomorrow's podcast?
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/02/sawyer.gif" width="125" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named sawyer.gif">Tomorrow we're doing a live <a href="http://www.scripting.com/stories/2009/10/01/rebootTheNewsAtOna09.html">Rebooting The News podcast</a> at the <a href="http://maps.google.com/maps?oe=utf-8&client=firefox-a&ie=UTF8&q=san+francisco+hilton&fb=1&gl=us&hq=hilton&hnear=san+francisco&cid=0,0,3014684366093376142&ei=9cfESvzOD4bflAe-1NWSAw&ll=37.78859,-122.410226&spn=0.007241,0.014162&z=16&iwloc=A">SF Hilton</a>. It's going to present an interesting challenge because it will be in a room with a number of people talking, and without spending a lot of money on new equipment, I have to get them all on the recording with a single mike.
			- Which leads to this: <a href="http://www.amazon.com/s/ref=nb_ss_0_13?url=search-alias%3Daps&field-keywords=omnidirectional+microphone&sprefix=omnidirection">omnidirectional microphone</a>.
			- I'd like to have the room set up as a big conference room with seats around a table, and a single microphone in the middle of the table.
			- There will be no time for sound checks, it has to work the first time.
			- Whatever I buy has to be here by tomorrow mid-day. If it's not here, we'll have to go on without it.
			- It would also be nice to webcast it through <a href="http://www.blogtalkradio.com/">BlogTalkRadio</a> and perhaps <a href="http://www.ustream.tv/">Ustream</a> or similar services.
			- One possibility, admittely low-tech, is to have everyone call in on their cell phones! ";->"
			- Any advice people have would be quite welcome. 
	- October 1
		- Why Flickr should do realtime RSS
			- 1. Flickr comes from Yahoo.
			- 2. Yahoo used to be a source of innovation. 
			- 3. Twitter defines realtime.
			- 4. Twitter doesn't do pictures.
			- 5. Flickr is all about <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622494286378/">pictures</a>.
			- 6. Flickr already <a href="http://api.flickr.com/services/feeds/photos_public.gne?id=22221172@N00&lang=en-us&format=rss_200">supports RSS</a>, nicely.
			- 7. RSS lets anyone play realtime.
			- 8. Flickr gets to do it more openly than Twitter.
			- 9. With pictures.
			- 10. It's innovative and new and interesting and pretty easy. (But not trivial.)
			- 11. A way for Yahoo to do something useful, interesting and innovative.
			- 12. An example of a <a href="http://static.newsriver.org/afp/fashion.xml">realtime photo feed</a>. Note the use of Yahoo's Media-RSS extension.
		- Reboot the News at ONA09
			- <img src="http://images.scripting.com/archiveScriptingCom/2009/10/01/sawyer.gif" width="125" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named sawyer.gif">Jay and I decided we wanted to do a live podcast at ONA09 so much we rented our own room. And it's open to the public, even if you're not going to ONA09. 
			- Here's the deal. Come to the <a href="http://maps.google.com/maps?oe=utf-8&client=firefox-a&ie=UTF8&q=san+francisco+hilton&fb=1&gl=us&hq=hilton&hnear=san+francisco&cid=0,0,3014684366093376142&ei=9cfESvzOD4bflAe-1NWSAw&ll=37.78859,-122.410226&spn=0.007241,0.014162&z=16&iwloc=A">SF Hilton</a> at 4PM on Saturday and look for "Rebooting The News" on the TV screen in the lobby. Or you can follow <a href="http://twitter.com/davewiner">me</a> or <a href="http://twitter.com/jayrosen_nyu">Jay</a> on Twitter, we'll certainly advertise our location. Be sure to be there before 4:10PM. We'll all sit around a conference room table and reboot the news.
			- No punditry, or savvy church-goers, just talk about how the news will work after the new system is fully rebooted. 
		- Flying cross-country
			- I'm flying today from JFK to SFO.
			- Trying something new, taking pictures as we go, as cloud cover permits, and uploading them in realtime. 
			- I have enough people in my loop so that almost anywhere I post a picture of, someone is in the the picture, and a few people can tell me exactly where it is. I learned this on the west-east trip last week, when I took a <a href="http://www.flickr.com/photos/scriptingnews/3948357105/">picture in the middle of Colorado</a> that turned out to be in Ouray County near Telluride. I've been there! Beaufiful country. 
			- <a href="http://www.flickr.com/photos/scriptingnews/sets/72157622494286378/">Here's the Flickr set</a> of pics taken today.
			- <a href="http://www.flickr.com/photos/scriptingnews/3972392252/" title="Kickass Wyoming vista by scriptingnews, on Flickr"><img src="http://farm3.static.flickr.com/2496/3972392252_e9955943ed_m.jpg" width="180" height="240" border="0" alt="Kickass Wyoming vista" /></a>
			- Realtime interactive social media. Whatever you call it, it's really coool. ";->"
		- Two proposed rssCloud additions
			- <a href="http://rsscloud.org/walkthrough/openDiscussion.html">On Tuesday I outlined</a> the next steps on two proposed changes to the rssCloud walkthrough document. 
			- I plan to implement these changes shortly. Joseph Scott of Wordpress, who proposed the second change, has said he will also implement them in his software. 
			- Also see the short-term <a href="http://www.scripting.com/stories/2009/09/25/whereWereAtWithRsscloud.html">roadmap</a> I posted last Friday.
