- March 2010
	- March 31
		- iPad as coral reef
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/31/asus.gif" width="193" height="135" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif">Interesting tech products often spawn ecosystems like shipwrecks spawn coral reefs.
			- It's an old story, which I've <a href="http://www.google.com/search?q=site%3Ascripting.com+coral+reef">written here</a> on Scripting News many times. A ship sinks in a tropical ocean and fish come and live in its hull. Then their predators show up, and pretty soon there's a food chain. Many generations later the skeletal remains of the first fish get so dense they solidify and form rocks around around the remains of the ship. Pretty soon you can't find the wrecked ship. 
			- Radio UserLand, a product of mine, formed a coral reef called RSS. There are many other examples.
			- So today Asus <a href="http://www.forbes.com/2010/03/30/apple-ipad-shih-technology-security-asus.html">announced</a> two tablet computers. The Apple fanboys sniff, but I bet they'll be good. At first I was concerned that Asus might try to write the software themselves. I use their products, and love them, but their software is Taiwanese and doesn't translate well to English. Lots of happy animal cartoon characters and funky messages that make as much sense as All Your Base Are Belong To Us. Instead they're going to have <a href="http://www.engadget.com/2010/03/31/asuss-jonney-shih-confirms-two-tablets-one-for-googlites-one/">two models</a>, one that runs a Google OS and another that runs Windows. 
			- You can sniff all you want but I would be surprised if the Asus products aren't better than Apple's in some ways. It could be that Apple understands the value of battery life, a technology that Asus has mastered. Today you can buy a $350 netbook that claims 14.5 hours on a single charge. It's not likely that you'd actually get more than 8 hours on a charge, but that's huge. I have a netbook that was rated at 10.5 hours, and in practice, I'm using it all day as much as I want, even on a cross-country plane trip, and I never look for an outlet to charge it. I don't even bring the charger most times. In contrast Mac users are always tethered to a power outlet. On Monday I forgot to bring my power brick for the Mac to the studio at 20 Cooper Sq, and I used 75 percent of the charge in a single hour. You can see it at conferences too. The Mac users are all grouped around power outlets. The netbook users are spread out everywhere else.
			- Another thing I know Apple doesn't care about is price. There's no Asus netbook you can buy for as much as $499, but that's the <i>entry-point</i> to the iPad market. For me the iPad is worth $499 because I'll learn from the design of the product. Maybe you will too. But most people just use the things. Sure the iPad breeds lust that Asus likely won't, but at some point these have to be pragmatic products or else they'll just stay in a drawer at home. I bet the Asus products win some pragmatism points relative to Apple. 
			- Regardless, until this year there was no market for tablet computers. Microsoft tried to push them, but to no avail. People didn't want them. Now finally there's going to be an installed base of tablets. We'll find out for sure, one way or the other, if they're useful. And if they are, there will be lots of options to choose from, unless Apple hits every point (and they won't).
			- There's one thing we know for sure -- Apple will control the gate for software for the iPad and Microsoft and Google don't. That, for me, is a huge difference -- freedom. 
		- NYC Hackathon at NYU, Apr 2-3
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/31/ipad.gif" width="163" height="198" border="0" align="right" hspace="15" vspace="5" alt="A picture named ipad.gif">Hype-wise, Apple pretty much owns this weekend. Even though I <a href="http://www.scripting.com/stories/2010/03/12/meAndIpadNotNow.html">swore</a> I would sit this one out, I broke down and bought an iPad, scheduled to arrive on Saturday.
			- But before that, starting on Friday night at <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=251+Mercer+St,+New+York,+NY+10012&sll=40.730056,-73.995752&sspn=0.007025,0.015664&ie=UTF8&hq=&hnear=251+Mercer+St,+New+York,+10012&ll=40.728771,-73.995752&spn=0.007025,0.015664&z=16">Courant Hall</a> on the NYU campus, there's the <a href="http://hackny.org/hack/2010/03/welcome/">NYC Hackathon</a>. As I understand it, the goal is to get students from New York-area universities to meet New York-area startups, who will pitch their APIs, hoping to attract interesting overnight projects from the students, and longer-term interest once they enter the workforce.
			- I'll be there on Friday evening as an "ambassador" -- trying to help the students and entrepreneurs connect. I can be useful during the ideation stage, but I might try working on a project myself. 
			- There's also an iPad party on Saturday night at Gawker, which I plan to make a stop at. It's all in the neighborhood! ";->"
			- The hackathon is a project of Chris Wiggins of Columbia, Hilary Mason of Johnson & Wales University, a member of NYC Resistor, and the lead scientist at bit.ly (a NYC startup); and Evan Korth of NYU. I've met both Chris and Evan and look forward to meeting Hilary.
			- And if you're in the area, with either an API or some undirected programming energy, maybe I'll see you at the Hackathon.
	- March 29
		- If it were my newspaper I'd... 
			- <a href="http://www.scripting.com/stories/2010/03/28/learnFromQuarterbacks.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/29/football.gif" width="155" height="212" border="0" align="right" hspace="3" vspace="3" alt="A picture named football.gif"></a>Most days I stay away from making predictions, or giving people advice, but today is an exception. With the iPad about to ship, and the news industry on the ropes, it seems like a good time to put a stake in the ground, make a prediction, offer some advice.
			- But first a story... Back in 1981, I was an Apple developer and was among the first to get an IBM PC (it shipped that year). The PC was a great advance over what Apple had been offering. <a href="http://scripting.com/davenet/2001/08/01/bigBlankMachine.html">I called it</a> a "big blank machine" because it had 640K memory and could host relatively large and inexpensive hard drives. 
			- The IBM PC came with a choice of operating systems. 
			- 1. CP/M -- then the leading OS, installed on most computers, including Apple's.
			- 2. UCSD P-system -- a very popular system, largely because Apple was an early adopter. My software at the time, <a href="http://www.outliners.com/thinkTank2Pc">ThinkTank</a>, was written to run under the P-system.
			- 3. PC-DOS -- a new operating system created by Microsoft for IBM. At the time Microsoft wasn't a very big company. Apple was much larger, so was the publisher of the leading spreadsheet, and the publisher of the leading word processing software. 
			- The prices of the three products were, respectively: $450, $550, $40. 
			- So which of the three became the default choice? Do I have to even ask? ";->"
			- Even though I had made a huge investment in the P-system, and there were far more CP/M developers (there were zero PC-DOS developers), my first PC ran PC-DOS. I could have had my software running on the PC in hours, but I chose the slower route because I could tell, easily, which OS was going to win.
			- Now, in a way, a newspaper is to the iPad what the OS was to the IBM PC. The one that gets installed first is going to have a huge advantage over the ones that come second or third. A newspaper is an advertising platform, and the iPad probably will be a hot reading platform, and the apps (ads) will seek out the hot newspaper the same way guys like me bet on PC-DOS and ignored CP/M and UCSD.
			- So the best price for a newspaper on the iPad is $0. (Sorry. I know this isn't what the news guys want to hear.)
			- And if you can get Steve to bundle your newspaper so that every iPad user gets a free subscription, then, when you look at yourself in the mirror you'll be looking at one smart and newly rich person!
			- PS: Remember yesterday's <a href="http://www.scripting.com/stories/2010/03/28/learnFromQuarterbacks.html">story</a> about the quarterback. ";->"
	- March 28
		- Learn from quarterbacks
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/28/touchdown.gif" width="59" height="250" border="0" align="left" hspace="15" vspace="5" alt="A picture named touchdown.gif"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/28/touchdownMirror.gif" width="59" height="250" border="0" align="right" hspace="15" vspace="5" alt="A picture named touchdownMirror.gif">Nick Bergus <a href="http://nbergus.com/2010/03/metaphors-horse-carriages-and-a-really-dumb-quarterback/">transcribed</a> a bit from <a href="http://rebootnews.com/2010/03/22/rebooting-the-news-44/">Rebooting the News #44</a>. 
			- I said this to Jay about the execs in the news industry.
			- "It's like in football. When the quarterback gets the ball, the quarterback always turns back and runs a few yards back before even thinking about passing the ball. And you think, 'Why is the quarterback doing that? He's giving up yardage. I mean, he's running the wrong way.' Well he does it to find some little bit of room so he can see what's out there. So, in the news industry, they're never willing to do that. They're always standing right at the scrimmage line, not budging an inch. And of course what happens -- they get tackled every goddamn time and they can never throw the ball."
			- Yup.
		- Just sittin by the river...
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/28/joker.gif" width="173" height="270" border="0" align="right" hspace="15" vspace="5" alt="A picture named joker.gif"><a href="http://www.avc.com/a_vc/2010/03/how-to-defend-your-reputation.html">Fred Wilson says</a> you should vigorously defend your reputation on the Internet.
			- This is something I gave up on long ago. 
			- There are too many <a href="http://techcrunch.com/2010/03/28/reputation-is-dead-its-time-to-overlook-our-indiscretions/">people</a> with too many <a href="http://techcrunch.com//03/13/the-rules-apply-to-everyone/">axes</a> to grind. 
			- When competitors make public and <i>personal</i> accusations, how are you going to respond, when customers are watching? It's a very low-road way to compete. Not much you can but weather the storm, keep offering the best service you can, figuring the smart customers will ignore the personal stuff.
			- Anyway, there's an ancient Chinese proverb that goes something like this.
			- <i>If you sit by the river long enough, you will see the body of your enemy float by.</i>
			- It works! As your competitors rise, eventually they have done to them what they did to you, and if you sit there a while, you don't have to do a thing -- nature takes care of it.
			- BTW, for some reason I love <a href="http://www.reallysimplesyndication.com/riverOfNews">metaphors</a> that involve watching the river. ";->"
			- I have a <a href="http://en.wikipedia.org/wiki/Hudson_River">river</a> a few blocks from my house, with lots of benches, but this far south it isn't really a river, it's more of a bay.
		- Was Scripting News really born on April 1?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/28/joker.gif" width="173" height="270" border="0" align="right" hspace="15" vspace="5" alt="A picture named joker.gif"><a href="http://tawawa.org/ark/2010/3/27/scripting-news-launched-1-feb-1997.html">Rudolf Ammann</a> went to the trouble to figure out that April 1, 1997 is <b>not</b> actually the day a blog first appeared on the <a href="http://scripting.com/">home page</a> of scripting.com. 
			- As he says, the real beginning of Scripting News is on February 19 of that year. And if you want to really have fun with it, Scripting News began a <a href="http://www.scripting.com/frontier/admin/oldNewsPages/archives96/jun.html">year before</a> that with Frontier News (which I <a href="http://frontiernews.org/">restarted</a> earlier <i>this</i> year, 2010). 
			- If you really want to mess with your mind, you'd have to go back to October 7, 1994 -- the day I started writing on the net -- when <a href="http://scripting.com/davenet/">DaveNet</a> started because that's <i>also</i> the beginning of Scripting News. The archive of that site was reverse chronologic, and in every way that matters, was a blog. When Scripting News got started, DaveNet were the long form pieces, otherwise my idea of a blog was a collection of short snips with a link, very much like what we do on Twitter today. DaveNet was more like what we think of as a blog. 
			- I choose April 1 as the beginning of Scripting News because that's the day the archive begins. 
			- Anyway...
			- 13 years! That's a lot of bloggin. ";->"
	- March 27
		- A preview of what I'm working on
			- <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/27/sawyer.gif" width="145" height="201" border="0" align="right" hspace="15" vspace="5" alt="A picture named sawyer.gif"></a>1. An easy-to-install version of River2 for EC2.
			- <a href="http://www.scripting.com/davenet/2001/01/04/desktopWebsites.html">In 2001 we worked</a> on ease-of-use so end-users could run servers on their desktops. Most of them didn't even realize they were doing it, they just used software that appeared to "live" in the browser. In fact they were installing and managing a dynamic web server. 
			- Now I'm sure we can do the same thing for server software that runs in the cloud. Last year I wrote a Howto called <a href="http://howto.opml.org/dave/ec2/">EC2 for Poets</a> that walked people through the process of setting up an OPML server on EC2. It worked for end-users, people who never in a million years would think of themselves as a server admin. 
			- The idea I'm working on now is that you can set up your own River of News to share with others, without ceding control of your life to a company who may be trying to get you to join a social network. RSS is valuable enough for some people to make it worth the $90 a month that EC2 costs. And once there's an installed base of people doing this, we can start evolving it to places you can only go when everyone is running a net-accessible server. 
			- 2. Thursday is April 1, and that's the 13th birthday of <a href="http://scripting.com/">this</a>, the  longest-running weblog on the Internet. To celebrate I'm going to release all of 2009's text in a single outline. If I have the time, I want to implement some notetaking features as well, so you can bookmark individual paragraphs, and maybe share those with other people who are reading the text. A new level of collaborative filtering perhaps. 
			- 3. Finally, my friend Doc Searls is having trouble with wordpress.root in Radio UserLand, and other people are reporting problems with it in the OPML Editor. This old trusty tool apparently is suffering some growth pains (maybe something changed in WordPress). So I want to take a look at this in the next few days and perhaps release an update. 
	- March 26
		- It's all acting I tell you
			- I've always had a sneaking suspicion the supposed animosity between Apple and Google is <a href="http://gizmodo.com/5503004/steve-jobs-and-eric-schmidt-spotted-together-again">just acting</a>. 
			- A brilliant ploy to make sure the only two tech companies anyone talks about are Apple and Google. 
			- There are a lot of huge important companies <i>not being talked</i> about as these two titans hog all the oxygen. 
			- Can you name three?
			- I thought you could! ";->"
	- March 25
		- nyblogs.org is up!
			- I was at breakfast earlier this week with <a href="http://silencematters.com/">Jeremy Zilar</a> of the NY Times.
			- Not sure exactly what Jeremy does there, but he's basically the only person (I know) who speaks the same language I do at the Times. Maybe Martin Nisenholtz does too, but he's so far up the ladder, the only projects I get to do with him are really big ones, and the Times isn't doing those these days (though of course they should, now more than ever).
			- Anyway -- Jeremy and I are members of the same tribe.
			- And our breakfasts are full of ideas. 
			- <a href="http://www.flickr.com/photos/scriptingnews/3752868478/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/25/meetup.jpg" width="400" height="135" border="0" alt="A picture named meetup.jpg"></a>
			- This week one of the things we talked about were NY blogs. 
			- I've been trying to get a sense of what's going on in the "New York Blogging Community," imagining that there is such a thing. I don't know why there should be, any more than there's a "San Francisco Blogging Community" or even a "Berkeley Blogging Community." But since I'm new to NY, my naivete and fresh eyes are good for something, and envisioning a community of bloggers who go out to eat at great restaurants in each of the boroughs is something that appeals to me. Probably because my life here isn't yet cluttered with many other things on my plate. 
			- When Jeremy got back to work, he dug in. Turns out the Times has a list of NY blogs. One of the things the TImes is very good at is making lists. They have four editors for every reporter, I hear, and one of the things those editors do is make lists. 
			- Their list of blogs was done in WordPress, and it turns out you can get OPML from a blogroll in WordPress. Someone was thinking! But the OPML doesn't have RSS feeds, which makes sense, since the person entering the URLs didn't care so much aobut the feeds as they did about the web pages. Not a problem. Back in the early days of RSS someone came up with a convention for linking an HTML page to its feed. Most of the blogs in the Times list obey this convention, so I was able to write a script that, in fifteen minutes or so, while I killed some time playing, got me most of the feed URLs. 
			- Then I had to do a teeny bit of River2 programming to get it to subscribe to the feeds on the server that's doing the East Village aggregator, and voila..
			- <a href="http://nyblogs.org/">http://nyblogs.org/</a> 
			- I still have to tweak up the OPML that's linked into the page -- it's the OPML for the East Village blogs plus the NY blogs -- or maybe not, after all the East Village is part of NYC, no? 
			- See why I like Jeremy? We had breakfast on Tuesday, on Thursday the aggregator is up. ";->"
			- Update: <a href="http://cityroom.blogs.nytimes.com/2007/06/25/how-to-get-on-the-city-room-blogroll/">How to get on the City Room blogroll</a>.
	- March 24
		- How big is a nugget-of-news?
			- I finally did a little project I've had on my to-do list for a long time.
			- The question is this. If Twitter is a news-delivery service, and I believe it is, what are the real dimensions of a nugget of news? 
			- We've been living with the limit imposed by Ev and Biz and Jack for a few years, but what's the magic of 140? It's pretty much a random number pulled out of the air (I know some people will say it's magic, they do that every time we question this limit. Could you just let this proxy stand in for your appeal? Probably not.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/24/ouija1.gif" width="125" height="83" border="0" align="right" hspace="15" vspace="5" alt="A picture named ouija1.gif">My project: I asked the editors of the NY Times what they think the average length of a nugget of news is. I didn't sit them down and interview them. Rather I turned to their RSS feeds. I figured the actual data would do a better job of speaking for the collective. What is the consensus among NY Times editors?
			- I didn't include the link to the full story because I figured that any Times-based news delivery system would hide the URL as metadata, unlike Twitter (I believe this is a design mistake). I only included the title and the description. I looked at 8279 stories that had been gathered by my aggregator since September 2009 and now. I really had no idea what the number would be. If you had forced me to guess, I would have said the number would be somewhere between 250 and 500. 
			- The actual number, the average length of a Times "nugget-of-news" is this: 185.
			- I should probably throw out some of the outliers, for example there's one item from the TechTalk podcast that's a whopping 949 characters. 
			- Even so, the answer is fairly clear. 140 is not enough, not even for the average nugget. And to be able to hold the largest one, the max would have to be 250 or 300. And there would be no room for the link, even shortened, in that size nugget.
			- Update: <a href="http://static.scripting.com/misc/nytNuggets.html">Here are the posts</a> that were studied in this post.
	- March 23
		- ScanSnap first look
			- On Wednesday last week I <a href="http://www.scripting.com/stories/2010/03/17/couldAScannerReallyBeThatG.html">wrote</a> about a scanner I heard about, wondering if a scanner could really be that good. Later that day I ordered one from Amazon.
			- <a href="http://www.scripting.com/stories/2010/03/19/crutchfieldShreddedAmazon.html">UPS lost track of it</a>, saying it was on the truck for delivery for five days. This morning a battered package arrived, after Amazon arranged to ship a replacement. So now I'm going to have to deal with returning it after it arrives. Not a big deal. I wish Amazon could just cancel the shipment, but apparently that's not possible.
			- Anyway, finally I'm getting a chance to test this impulse purchase. ";->"
			- Here's a picture of the device. 
			- <a href="http://www.flickr.com/photos/scriptingnews/4457031031/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/23/scanSnap2.jpg" width="404" height="258" border="0" alt="A picture named scanSnap2.jpg"></a>
			- It's hard to explain how small it is. It's very very small. You can easily hold it in one hand. I put it next to a can of Dr. Pepper so you could see just how small it is.
			- A movie that demos how the scanner works:
			- <object width="400" height="224" ><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.facebook.com/v/374991442454" /><embed src="http://www.facebook.com/v/374991442454" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="400" height="224"></embed></object>
			- <a href="http://static.scripting.com/misc/scanSnapTest.pdf">Here's the PDF</a> that was generated by the scan in the demo above.
			- One thing that might not be clear in the demo is that it scanned both sides of the letter.
	- March 22
		- Do you have FIOS in Manhattan?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/22/dropPants.gif" width="150" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named dropPants.gif">This question came up in <a href="http://rebootnews.com/2010/03/22/rebooting-the-news-45/">today's podcast</a>.
			- I thought I'd try casting a net to see if we can get any information by asking people who live in Manhattan if they have <a href="http://www.google.com/search?q=fios+manhattan">FIOS</a>. 
			- If you do, please post a comment below, saying where you live. Not the exact street address if you don't want to share it. Something like "86th and Broadway."
			- It also struck me that an app like Foursquare might be able to help gather this kind of information. 
			- My guess is that there is little or no FIOS in Manhattan.
			- Also, please pass on pointers to this post to help gather the info.
		- Two releases today
			- Jay was sick so we got a guest, Jonathan Glick, <a href="http://rebootnews.com/2010/03/22/rebooting-the-news-45/">to help Reboot the News</a>.
			- Another great suggestion from a River2 user: <a href="http://river2.org/2010/03/22/instapaper-in-river2/">Instapaper support</a>.
			- It's a rainy spring Monday in NYC!
			- <a href="http://www.scripting.com/wavs/curly1.wav"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/22/curly.gif" width="53" height="63" border="0" alt="A picture named curly.gif"></a>
	- March 20
		- Early podcasts, second try
			- <a href="http://www.scripting.com/stories/2010/03/10/rssEnclosuresFrom2004And20.html">Earlier this month</a> I uploaded a BitTorrent archive of early podcasts from late 2004 and early 2005. But I made a mistake in configuring the trackers for the torrent file, and it never really worked. Still learning.
			- Here's a new version of the torrent, with a lot more trackers. I have it downloading from one of my servers now, but could use a few more seed.
			- <a href="http://static.scripting.com.s3.amazonaws.com/misc/earlyPodcasts2.torrent">http://static.scripting.com/misc/earlyPodcasts2.torrent</a> 
			- I'm taking advantage of my mother's FIOS connection to get this booted up. It really helps to have a big pipe going up. It's much much fatter than the Time-Warner connection I have in Manhattan. ";->"
			- Update: I just tested it on another laptop and it's not finding the seeds. Must be doing something really dumb! :-(
	- March 19
		- Nutty musicians in Washington Square
			- The weather in NY has been amazing. It was over 70 today. 
			- Everyone was out in short sleeves, getting ready for the warm weather ahead. 
			- Winter? What's that? ";->"
			- <object width="400" height="224" ><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.facebook.com/v/373559977454" /><embed src="http://www.facebook.com/v/373559977454" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="400" height="224"></embed></object>
			- These kooky musicians were playing real good for free in <a href="http://en.wikipedia.org/wiki/Washington_Square_Park">Washington Square Park</a> yesterday.
		- Crutchfield shredded Amazon
			- <a href="http://www.crutchfield.com/p_15846EX400/Sony-KDL-46EX400.html?search=+Sony+KDL46EX400+46%22+BRAVIA&ssi=0&tp=161"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/19/sony.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named sony.gif"></a>I placed two electronics orders this week, one with Crutchfield and one with Amazon.
			- The Crutchfield order was fraught with difficulty. They asked for some info that Amazon never asked for, and the credit card company gave them trouble. It looked like the order, a TV and soundbar-with-woofer, would be delayed. I said so on Twitter. Even though the TV was a very interesting and totally <a href="http://www.crutchfield.com/p_15846EX400/Sony-KDL-46EX400.html?search=+Sony+KDL46EX400+46%22+BRAVIA&ssi=0&tp=161">new product from Sony</a>, and very reasonably priced. Further, Amazon was only taking pre-orders, Crutchfield had it in stock.
			- At the same time the order I placed on Amazon went through with out a hitch. I praised them on Twitter, and said Crutchfield should try to be more like Amazon.
			- Heh. 
			- The Crutchfield order, which was far more complex (a 46-inch TV) but not much more expensive than the Amazon one, is complete. And unusually, the Amazon order is lost in UPS hell. It's been "out for delivery" for almost 48 hours. After I paid for 1-day turnaround the best they can offer is they'll refund the $3.99 I paid (how generous of them, he said sarcastically) and say I should wait until the 22nd. Geez if I wanted it that slow I wouldn't have bought it from Amazon.
			- Sometimes I wonder if they look at their records to see how much I spend with them. It's guys like me that keep them flying First Class instead of coach. Couldn't they arrange a Saturday delivery? Couldn't they call UPS and find out what they did with my delivery?
			- BTW, I ordered the Fujitsu scanner I <a href="http://www.scripting.com/stories/2010/03/17/couldAScannerReallyBeThatG.html">wrote up here</a>. It was a total impulse buy. A product I'm <i>paying to review.</i> Nothing more aggravating than an impulse buy that turns into a support issue.
		- Scared of stairs?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/19/theEnd.gif" width="150" height="112" border="0" align="right" hspace="15" vspace="5" alt="A picture named theEnd.gif">This evening I saw a father and a small boy stopped on stairs leading down to the <a href="http://en.wikipedia.org/wiki/Chambers_Street%E2%80%93World_Trade_Center_%28IND_Eighth_Avenue_Line%29">Chambers Street station</a> in lower Manhattan. The boy was saying he didn't want to go down the stairs. The father was conceding. The boy was scared. Something about going down the stairs freaked him out.
			- I've seen it before, people frozen as they're about to get on an escalator going down. It's perfectly safe. I do it without thinking. I have no fear. I've even stopped to listen, and offered that there was an elevator to take. Once told of the opportunity, they always go that route.
			- Something like this happens to me when I have to climb down a ladder from some height. I don't have any trouble going up, it's going down that spooks me. It happened at a rooftop New Years Eve party in San Francisco, the <a href="http://www.scripting.com/1999/12/31.html">big one</a> on December 31, 1999. After the celebration was over, everyone went down, climbed down the ladder we had gone up, but I just couldn't do it. I stayed up there for an hour, made a bunch of approaches. People below said it's no big deal. I wished they would just go away, and let me do this myself. Finally when they gave up, I slowly put myself over the edge and climbed down, uneventfully. What choice did I have? Believe me, if I had had one, I would have taken it.
			- No moral of the story. You can't explain irrational fears to people who don't have them, and you can't reason with them either. If you have no choice, eventually you take the leap. If only there was an elevator... 
	- March 18
		- Your river in a box!
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/18/tales.gif" width="165" height="218" border="0" align="right" hspace="15" vspace="5" alt="A picture named tales.gif">If this were something Apple did, Steve would call it "magical."
			- Instead, I'm going to say it's rational. And --> It Works&trade;. 
			- A new feature in River2 today, the first developed entirely in NYC, makes it easy to set up so that your river is rendered into the Public sub-folder of your <a href="http://www.dropbox.com/">Dropbox</a>, for you or anyone else to browse.
			- It wasn't my idea, it came from a <a href="http://frontiernews.org/2010/03/12/opml-universal-app-available-for-testing/#comment-47">smart user</a> thinking outside the box. Not too hard to make work and it's fun.
			- Here's my <a href="http://dl.dropbox.com/u/1006496/River2/index.html">public river</a>. It's updated by the copy of River2 running on my MacBook Pro. Nothing fancy, no servers, just an app writing an HTML file into a folder that's managed by the very <a href="http://www.scripting.com/stories../2009/11/19/coolestSoftwareOfTheDecade.html">elegant</a> and useful Dropbox.
			- And here's the <a href="http://river2.org/2010/03/17/using-dropbox-to-publish-your-aggregator-2/">writeup of the feature</a>. 
			- The code was <a href="http://twitter.com/dwcodeupdates">released</a> today. ";->"
		- East Village Newbies
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/18/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif">I read a <a href="http://thevillager.com/villager_359/newblog.html">long article</a> yesterday on The Villager about LEV, which is an acronym for Local East Village, which is the name the NYT-NYU project to blog the East Village goes by. I know all the people the article was about, Jay Rosen, <a href="http://journalism.nyu.edu/faculty/kroeger.html">Brooke Kroeger</a>, <a href="http://journalism.nyu.edu/faculty/jones.html">Rich Jones</a>, the NYU students (who have personalities and lives but weren't mentioned by name in the piece). One thing I'm kind of grateful for, given the reaction of East Village bloggers to LEV, is that my name didn't come up in the piece. True, I'm just an adviser, but I have some experience blogging, and I hung out in the East Village when I was growing up in NY in the 70s.
			- There's a lot of planning going into LEV, as you would expect from two organizations the size of the NYT and the NYU. I think the people involved are well-intentioned. I think the East Village bloggers have every right to feel their turf is being invaded. I said in a <a href="http://twitter.com/davewiner/status/10658314532">tweet</a> last night, after writing about the competition between Kindle and iPad that it must seem to them as if Amazon and Apple have all of a sudden taken an interest in their turf, and they're not sure what that interest is. To which I would say, don't worry, they're not really sure either. But they think the East Village is interesting, and the Times covers NY and the EV is in NY and like it or not (and a lot of people seem to not like it) NYU is largely <i>in</i> the East Village. Having NYU itself watch the EV, esp under the guidance of people of high integrity like Rosen, Kroeger and Jones, is probably a very good thing.
			- My own perspective is as ephemeral as the students' perspective. My current appointment lasts one year. I may have an ongoing relationship with NYU but what that is, if anything, is completely unknown. I'm just focusing on what's happening now, and what I can do to help. And rather than bury my ideas in internal emails, I think I should offer my advice openly, so that any blogger can take advantage of it, not just the NYT/NYU bloggers.
			- So here's the first bit -- I want to learn about the history of the East Village. I want to know where the ghosts are and what they did. <a href="http://vanishingnewyork.blogspot.com/">Jeremiah's Vanishing New York</a> is already doing a wonderful job of that. Let's do more.
			- BTW, I'm following all the EV blogs I can on the <a href="http://east-village.org/">aggregator</a> I put together. 
			- I wrote a <a href="http://www.scripting.com/stories/2010/03/10/locationbasedContent.html">piece</a> about the Fillmore East. 
			- A second bit of advice. Even though my experience in the Village goes way back, I left New York and didn't come back for almost 40 years. A lot has changed in the meantime. I need a blog that contains a stream of interesting, useful even vital information for people who are new to the Village. For example -- now that the weather is good (knock wood) where's a good place to hang outside, read a book, watch people, have my coffee cup refilled, arrange to meet people. I'm sure people who've lived here a while know where to go. I'm a newbie. Help!
	- March 17
		- Could a scanner really be that good?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/17/scanner.jpg" width="145" height="57" border="0" align="right" hspace="15" vspace="5" alt="A picture named scanner.jpg">After <a href="http://www.scripting.com/stories/2010/03/12/installingSnowLeopardOnAHe.html">reading</a> of my <a href="http://www.scripting.com/stories/2010/03/14/iGotMyFirewireCable.html">troubles</a> with a new Canon scanner, Kellie Miller sent a link to a <a href="http://www.kk.org/cooltools/archives/004256.php">review</a> of a Fujitsu scanner. Except for Apple hype, I can't remember reading a review so glowing. 
			- What's been bothering me about all the awful scanners and software I've tried over the years: A scanner is just a camera. It seems you could make a really elegant Mac-like camera that was <i>fun</i> to use. Instead they all suck. But maybe not the Fujitsu ScanSnap? Maybe! ";->"
			- <object width="425" height="344"><param name="movie" value="http://www.youtube.com/v/rNAOkb9QdTI&color1=0xb1b1b1&color2=0xcfcfcf&hl=en_US&feature=player_embedded&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowScriptAccess" value="always"></param><embed src="http://www.youtube.com/v/rNAOkb9QdTI&color1=0xb1b1b1&color2=0xcfcfcf&hl=en_US&feature=player_embedded&fs=1" type="application/x-shockwave-flash" allowfullscreen="true" allowScriptAccess="always" width="425" height="344"></embed></object>
			- <a href="http://www.amazon.com/exec/obidos/ASIN/B001554FBE/ref=nosim/kkorg-20">The Amazon reviews</a> corroborate the CoolTools review. 
			- It's only $249.
			- I posted a <a href="http://twitter.com/davewiner/status/10635579916">tweet</a>: "Fujitsu scanner sounds fantastic. I might buy one just to see what a well-designed scanner can do."
			- Hmmm.
			- PS: I'm still waiting for my <a href="http://www.scripting.com/stories/2010/03/11/stillWaitingForMyHttpscann.html#comment-40257162">HTTP-based scanner</a>.
		- Cops playing bagpipe in St Patrick's Parade
			- <object width="400" height="225"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://vimeo.com/moogaloop.swf?clip_id=10240164&amp;server=vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" /><embed src="http://vimeo.com/moogaloop.swf?clip_id=10240164&amp;server=vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="400" height="225"></embed></object>
			- Fine specimens they are.
	- March 16
		- Spring walk on the Highline
			- I took a walk today on the Highline.
			- <a href="http://www.flickr.com/photos/scriptingnews/4439644898/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/16/springWalk.jpg" width="400" height="225" border="0" alt="A picture named springWalk.jpg"></a>
			- <a href="http://www.flickr.com/photos/scriptingnews/4438898879/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/16/sunners.jpg" width="400" height="225" border="0" alt="A picture named sunners.jpg"></a>
			- What a beautiful day it was! ";->"
		- What should LittleCo's do?
			- <a href="http://images.scripting.com/archiveScriptingCom/2010/03/16/spidey.gif"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/16/agile.gif" width="150" height="175" border="0" align="right" hspace="15" vspace="5" alt="A picture named agile.gif"></a>Okay, the <a href="http://www.scripting.com/stories/2010/03/16/whatBigtechcosAnnounce.html">piece</a> I wrote earlier that mocked Bigs for wasting their time with big plans that amount to nothing begged a question. 
			- What if you don't work for a Big and don't want to? What if you like to develop tech products for users and would prefer to do so in a truly free and open market, without the distortions caused by the struggles of employees at the Bigs?
			- What should you do then?
			- Well the question has a pretty obvious answer. You should do exactly what you want to do. 
			- Just do it -- develop the products, and sell them and evolve them, and compete. 
			- If you're lucky enough to be working in an area where there already is a defacto standard, then don't wait for teh Bigs to reinvent it. Just <i>Use</i> It. 
			- Basic guidelines:
			- 1. People come back to places that send them away. This means NO LOCK-IN. You don't hold your customers by force, you hold them with the love they feel for you. And the only way they feel love for you is if you love them. Sting <a href="http://www.youtube.com/watch?v=vTEm6oVPUD0">once sang</a>: If you love someone set them free. The wisest words ever sung, imho. People are smart. Even if they don't see the lock-in, they feel it. Eventually they will bolt. If your investors say you need to force your users to use your stuff, fire your investors and keep the users. Money is fungible. People are not.
			- 2. Choose the best people to compete with. If you're lucky enough to have your company grow, you're going to need great competitors to keep your employees from getting lazy and starting to act like they work for a Big. It's amazing how quickly that happens. The most successful entrepreneurs have been able to <a href="http://en.wiktionary.org/wiki/inculcate">inculcate</a> a tremendous fear of and respect for competitors among their people. It's much better than thinking your competitors are buffoons. If they're smart enough to compete with you, they're pretty freaking smart.
			- 3. Make products for geniuses, for the simple reason that if you think your customers are stupid, then what does that say about you? You make a product that idiots choose? It must suck. So if you're making a good product, it follows that it's for really really smart people who can sort through all the crap out there and pick the best stuff. Yours. 
			- 4. Only steal from the best, and consider theft of your ideas the most sincere form of respect (it is). But when you steal, don't be a dick and make your version incompatible. See item #1. That's lock-in and if you do it YOU SUCK and deserve to die.
			- 5. If I were an asshole I'd make up a fifth rule because no lists have just four items. But I'm not so I didn't. ";->"
			- That's about it for now. Let me know if you're going to build stuff according to these principles. I look forward to seeing what you come up with. 
			- PS: I've been talking with some folks in Comp Sci at NYU, trying to encourage them to build around these ideas. This school is interested in entrepreneurial development. Thats very cool. Now remember to give everyone choice and share your ideas, and compete based on price, performance and service, not locking people in. All universities should encourage their students to skip the shortcuts. Getting wealthy by cheating isn't a good way to live. Get wealthy by being the best! That's cooool.
		- What BigTechCo's announce
			- <a href="http://radio-weblogs.com/0001015/images/2002/01/29/worf.gif"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/16/worf.gif" width="150" height="202" border="0" align="right" hspace="15" vspace="5" alt="A picture named worf.gif"></a>Big Tech Companies enjoy a weird kind of megalomania, when viewed from outside. The net-effect of their announcements usually are: "We will tell you soon how we plan to announce our universe-changing plan to make everything work the way we think it should. When we figure it out we will announce how we will announce our plan. You will be even more impressed then than you are now." 
			- It is thus because in the meetings leading up to the big day, they can only agree that they will make an announcement, not what it will be. That comes later. 
			- In the meantime the partners have some demos. They don't do anything other than show how, when the BigTechCo's finally figure out how to announce their plann, they will submit to their will and become rich and powerful in their own domain.
			- What really matters are the TechCo's, large and small, that are <i>not</i> on stage. That usually is the point of the whole mess. "We invited them," they will say, "but they wouldn't come to be part of our open announcement of how we will announce our plan to dominate everything and do things the way we think they should be done (when we figure it out)."
		- What is Twitter up to? (podcast)
			- I recorded a little podcast that explains what @anywhere is. 
			- <a href="http://mp3.morningcoffeenotes.com/cn10mar16.mp3">http://mp3.morningcoffeenotes.com/cn10mar16.mp3</a> 
			- From my point of view. Your mileage may vary, etc.
	- March 15
		- Twitter as a force for good?
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/15/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif">If Twitter wants to be a force for good they should stick to small things they have high leverage over, not fancy "big picture" things that any other rich person could do. 
			- Bill Gates made this mistake. Instead of cutting off the air supply of his competitors and landing his company in antitrust hell, he could have been a Force For Good by welcoming competition as a way to keep his company tough and on their toes and responsive to customers. It would have been good for business and made him a force for good.
			- Instead, he's giving money for education and health care, obvious good things, but places where his money is no better than anyone else's. Had he chosen to make less money 20 years ago the world would have been a better place <i>today, </i>not some day in the future.
			- For Twitter, doing good would mean decentralizing, not making every tweet flow through their servers. This makes the network weak, slow and fragile. To add bells and <a href="http://blog.twitter.com/2010/03/anywhere.html">whistles</a> to a flawed architecture is irresponsible and definintely not something a Force For Good would do. 
			- People <a href="http://twitter.com/didic/status/10532682614">wonder</a> if they'd still be a force if they decentralize. Of course they would. They'd be even bigger than before. On the web, people return to places that send them away. We could trust them because we'd have a choice. People don't trust entities that force themselves on you. Look at how hated Microsoft became and how Google is going the same way. Twitter's future is in their hands. They could either trust us to come back or force the issue. If they use force, eventually Twitter will break.
			- I use twitter.com when I could use any of dozens of clients. In the same way, in a decentralized loosely-coupled space, most people would use Twitter, as long as it remains reliable. And they would have an incentive to be the most reliable. Today we have no choice. 
			- If they're worried about Google eating their lunch, or Microsoft, forget it. Look at the Buzz rollout for a clue. Google is too messed up by strategy taxes to be an effective competitor. Facebook might be a problem, but Twitter decentralizing would apply pressure for Facebook to decentralize. Look at all the upside there. Not just for Twitter shareholders, but for the web. 
			- Try <i>really</i> being good, not just saying you're going to be good. 
			- Finally a comment on the little <a href="http://images.scripting.com/archiveScriptingCom/2010/03/15/andreaRosen.gif">popup cards</a>. They break Twitter, as far as I'm concerned. Because of the 140-character limit, I have to be able to easily see the last few tweets for anyone I'm reading. And they need to read my tweet stream too. Try to get there (using Firefox/Mac at least). It requires a bunch of clicks to get the attention of the software. To replicate this paradigm on other sites makes me wonder if they're doing any real user testing at Twitter, Inc.
			- PS: Please get rid of URL-shorteners. They make the web more fragile.
		- Today's Rebooting The News podcast
			- Another "keeper" -- this week Jay is on the phone from SXSW and I'm in the studio at NYU.
			- <a href="http://mp3.morningcoffeenotes.com/reboot10Mar15.mp3">http://mp3.morningcoffeenotes.com/reboot10Mar15.mp3</a> 
			- Topics include: Jake Tapper, problems with WordPress, Thursday evening meetup, Dave pre-orders an iPad, Jessica Roy, general mayhem.
	- March 14
		- I got my firewire cable
			- <a href="http://www.scripting.com/stories/2010/03/11/stillWaitingForMyHttpscann.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/14/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif"></a>So now I'm following Lee Joramo's <a href="http://www.scripting.com/stories/2010/03/12/installingSnowLeopardOnAHe.html#comment-39447582">instructions</a> for installing Snow Leopard on the Mac Mini, in target mode. So far I've got the Mini showing up as an external hard drive on the MacBook. 
			- Update: It worked. I got a clean installation of Snow Leopard on the Mac Mini, using the method outlined by Lee. Unfortunately it didn't get the scanner working. I give up on that. I'll try getting another scanner. <a href="http://www.amazon.com/Canon-CanoScan-Color-Scanner-3297B002/dp/B001R4BTI0">Canon LiDE 700F</a> is a bad deal. I hear the hardware works, but the drivers are a nightmare. I concur with the drivers part, never got to use the hardware.
			- Update #2: Netbook haters are going to <b><i>scream</i></b> when they hear this. The Canon scanner works great on Windows XP on my little Asus netbook. The cool thing is that Windows has this built-in function that gets the drivers for you. I have no idea where they go or how it works, but -- it worked. I was able to scan all my tax forms, about 100 pages, in about an hour. I did it using the built-in Windows scanning software. No I did not do this just to irritate Mac zealots, but I'm kind of pleased that it probably will. ";->"
		- In a moment of insanity
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/14/ipad.jpg" width="128" height="153" border="0" align="right" hspace="15" vspace="5" alt="A picture named ipad.jpg">I take the <a href="http://en.wikipedia.org/wiki/Pleading_the_Fifth">Fifth</a>.
			- I plead temporary insanity.
			- <a href="http://en.wikipedia.org/wiki/Nolo_contendere">Nolo</a> contendere.
			- I threw <a href="http://www.scripting.com/stories/2010/03/12/meAndIpadNotNow.html">reason</a> out the window.
			- I felt smug for some reason.
			- And I was feeling jealous of all the people who, on April 3, would have their iPad. And I won't.
			- So, after reading that Andrew Baron ordered one with his winnings on AAPL stock, I figured I could do it too. So I sucked my gut and pressed Submit.
			- Now I have one of these things, whatever the frack it is, on its way to me in just a couple of weeks.
			- At least I'll be able to watch Fargo on it.
			- PS: I am <a href="http://www.pcworld.com/article/191436/">totally</a> out of my mind.
		- The lesson of Ikea
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/14/couch.jpg" width="175" height="85" border="0" align="right" hspace="15" vspace="5" alt="A picture named couch.jpg">Every few years I almost get snookered into making a major furniture purchase at <a href="http://www.ikea.com/us/en/store/brooklyn">Ikea</a>. Then I come to my senses. 
			- First, what Ikea is good for -- the little chotchkas you need to get a house started. Dishrags. Flatware. They have a starter box with a few pots and pans, measuring cups, a spatula, scissors, cheese grater. A hundred little things that if bought separately would cost $500, but they charge about $100. And you don't have to think of everything. A shower curtain. Cheap drapes. 
			- But when you buy things that require assembly, that's when I get in trouble. And it's even worse if you have to make a dozen choices before getting your order number. That's when you have to deal with Ikea sales people. 
			- Some of them are really nice, I imagine, but I always get the mean mofos. 
			- You know how we have unconferences? These are unsalespeople.
			- I really appreciate them, because they save me from having to deal with the assembly contractors and delivery people. Their function is to kick the people out of the system who have low tolerance for Ikea. For that, they are a blessing.
			- So I buy real furniture. And I pay more for it. But the sales people treat me like a customer, and the delivery people actually bring the stuff into your house and set it up. When you're a kid I guess you have DIY this stuff. But when you get to be an adult, you should pay to have it done for you. 
			- That is, imho, the lesson of Ikea.
		- Twitter is down this morning
			- Not sure how long it's been down, but it's been a while. Nothing on status.twitter.com.
			- This reminds me what I'm going to talk about at the <a href="http://nyc2010.140conf.com/">140Conf</a> on April 20. How we are fools to think that something like Twitter can run entirely on one company's servers. 
			- The Twitter guys should know that can't work, and should be planning on a resilient future, one where we can trust them because we don't <i>have</i> to trust them. 
	- March 12
		- OPML Editor universal app testing
			- See this <a href="http://frontiernews.org/2010/03/12/opml-universal-app-available-for-testing/">announcement</a> on the Frontier News blog.
		- Installing Snow Leopard on a headless Mac Mini
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/12/macMini.jpg" width="175" height="94" border="0" align="right" hspace="15" vspace="5" alt="A picture named macMini.jpg">I bought a <a href="http://www.amazon.com/Canon-CanoScan-Color-Scanner-3297B002/dp/B001R4BTI0">Canon scanner</a> to use with my MacBook Pro 13-inch laptop, but it just doesn't work. Once in a while it produces a scan, but most of the time, the drivers say they can't find a scanner attached to the computer. 
			- I've been advised this may be because the device is powered through USB, and there isn't reliable power coming through USB so the scanner doesn't power up.
			- It first I thought I was out of luck cause I don't have a desktop at the NY apartment, but then I realized I do have a Mac Mini. So I tried installing the drivers on that computer, but was told they require Snow Leopard. Okay but the Snow Leopard disk is back in Calif. So I spent $25 to get another copy of the OS, and tried to install it on the Mac Mini, but...
			- Well first, it's a headless Mac Mini. No monitor, no keyboard, no mouse. So when the computer rebooted it never showed up on the LAN. So I plugged in a keyboard and mouse and the disk starts whirring again, the installation continues, but eventually the disk stopped whirring and the computer still doesn't show up on the LAN.
			- After waiting an hour I recycled the power, but the computer still doesn't show up on the LAN.
			- That's where I am now. Anyone with experience installing Snow Leopard on a headless Mac Mini? Help! If this works I'll put in an order for an iPad today. ";->"
		- Me and iPad: Not now
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/12/ipad.jpg" width="175" height="219" border="0" align="right" hspace="15" vspace="5" alt="A picture named ipad.jpg">I was up this morning at 8:30AM Eastern and saw the notes that the iPad was now available for pre-order. So I went through the process, updated my credit card on Apple's website, changed the address and phone number. The total price was a bit of a shocker -- approx $650 including tax. 
			- I hesitated. I was typing the order on a $350 Asus Eee PC that I had bought a long time ago. It gets about 8 hours on the battery. It has a 160GB hard drive, three USB ports, Ethernet, webcam builtin. Real keyboard. No DRM. 
			- I went to Amazon to see what I could get for $650. Lots of stuff I'm not buying that I'd like to have. A nice <a href="http://www.amazon.com/Polk-Audio-AM1805-SurroundBar-Instant/dp/B001QCYHXC/ref=wl_it_dp_o?ie=UTF8&coliid=IYRDSUYOFDKWK&colid=3ON5W8HBTKUOI">Polk Audio soundbar</a> is about $500. 
			- I could fly roundtrip to San Francisco for that amount.
			- I thought about which I would bring with me on a trip to San Francisco, an iPad or the Asus. No doubt, I'd bring the Asus. I have no idea what I can do with the iPad, and most important, I have a pretty good idea that I won't be able to run my software on it, or watch a movie I ripped from a DVD. Or listen to a podcast I downloaded with non-Apple software. 
			- I decided that no matter how important it is for my work to understand what Apple's product does, it can wait until I find out what the product <i>is.</i> I guess I no longer have the Apple bug up my ass that says I have to get one of everything they make on the day it comes out. 
			- So for now at least, the answer to the iPad is "no."
			- Update: People say here and on Twitter that you'll be able to watch movies you rip from DVD or listen to podcasts downloaded with non-Apple software on an iPad. They reason that since you can do it on an iPod you will be able to do it on an iPad. 
	- March 11
		- I like abbreviated RSS feeds
			- <a href="http://www.reallysimplesyndication.com/riverOfNews"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/11/loverss.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named loverss.jpg"></a>Just read an <a href="http://blogs.reuters.com/felix-salmon/2010/03/11/why-did-nick-denton-truncate-gawkers-rss-feeds/">article</a> by Felix Salmon in response to a decision by Gawker to stop pushing the full text in their RSS feeds.
			- I've heard this argument over years, from many people, but I've never agreed with it. I prefer if publishers include thoughtfully written synopses in their feeds, with links to the full articles.
			- The reason I prefer this is that I am probably one of the few people to use <a href="http://www.reallysimplesyndication.com/riverOfNews">River of News</a> approach to feed reading, which imho is the only rational way to read feeds.
			- I skim. I don't need the full text of each article, in fact I was so annoyed by feeds that publish full text that I made my aggregator truncate the articles at 500 characters. 
			- My eyes are very good at scanning. I can quickly tell whether I need to read the full article. This allows me to consider orders of magnitude more stories than I would if I had to wade through feeds with full text. 
			- Another point of view that's rarely considered in these debates.
			- BTW, everyone reads a River of News these days. It's called Twitter. ";->"
			- Mine is better. (No 140-character limit.)
		- Still waiting for my HTTP-scanner
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/11/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif">Many years ago I <a href="http://www.scripting.com/davenet/1997/09/14/FractionalHorsepowerHTTPSe.html">wrote about an idea</a> for simplifying hardware devices that scan stuff producing digital images. They shouldn't require any drivers and they should work effortlessly. But the architecture they use for these devices is still rooted in the 1980s, when it should have and easily could have made the transition to HTTP.
			- I'm thinking about it again because I wasted a bunch of time on a <a href="http://www.usa.canon.com/consumer/controller?act=ModelInfoAct&fcategoryid=120&modelid=18125">Canon 700F</a> scanner that, because of driver problems, just won't work with my Mac laptop. Now that I've got the problem I see that dozens of other users had it too (the problems didn't show up in the Amazon reviews, but do show up in various support forums).
			- After all these problems I'm reminded how scanners <i>really</i> should work. Thus:
			- 1. It has a power cord and an Ethernet jack. 
			- 2. You plug the power cord into the wall and the Ethernet jack into your router.
			- 3. A new device appears on your LAN called "Scanner."
			- 4. Type http://scanner.loc/ into your browser and a simple configuration screen shows up. It lets you change the name of the device, turn security on, give it a username and password. 
			- 5. The device has about three buttons on it. The first turns the power off and on. The second creates a JPG image, the third creates a PDF. 
			- How to use it: Lift the lid, put a document in. Close the lid. Press a button. Refresh the home page of the scanner and click the Docs link. A list of docs in reverse chronologic order appears. To view a doc, click its link. To download, right-click its name and choose Open or Save or whatever other options your browser allows. 
			- No drivers, no fuss, no muss. Nothing to go wrong. It just works.&trade;
			- Please, please -- someone make this device. Thank you.
	- March 10
		- Location-based content
			- I can't figure out how the new <a href="http://thenextweb.com/apps/2010/03/11/twitter-turns-tweet-location-mapping-tweets-twittercom/">location-based Twitter</a> works. Firefox can't figure out where I am. No surprise, My 13-inch MacBook Pro doesn't have GPS. Is there some place I can click on a map to say This Is Where I Am? Not at all obvious. Other people say they see it. Not on my machine. 
			- Anyway, that doesn't mean we can't have fun with location stuff.
			- On Twitter, I posted a <a href="http://maps.google.com/?ie=UTF8&hq=&hnear=95+Christopher+St,+New+York,+10014&ll=40.727421,-73.988543&spn=0,359.984615&z=16&layer=c&cbll=40.727536,-73.988445&panoid=m1wGeJp0CgG8naEts_LDBA&cbp=12,302.22,,0,-4.99">link</a> to a Google Map <a href="http://twitter.com/davewiner/status/10300036299">asking</a> if this was the location of the Fillmore East. 
			- <a href="http://thenextweb.com/apps/2010/03/11/twitter-turns-tweet-location-mapping-tweets-twittercom/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/10/hippieVan.gif" width="250" height="176" border="0" align="right" hspace="15" vspace="5" alt="A picture named hippieVan.gif"></a>I got back an answer that it was close, but the <a href="http://maps.google.com/?ie=UTF8&hq=&hnear=95+Christopher+St,+New+York,+10014&layer=c&cbll=40.727615,-73.988385&panoid=WhDgvgo1ScQd50MCnQLUVA&cbp=12,309.75,,0,4.05&ll=40.727698,-73.988321&spn=0,359.984615&z=16">supermarket</a> next door is where the Fillmore was. I tweeted back that I had read somewhere that that was where the Ratner's was, next to the Fillmore, and if you go in there you can even see a giant R on the floor. Ratner's was a great Jewish dairy restaurant. Until I read the article (can't remember where it was) I only knew about the now-gone <a href="http://en.wikipedia.org/wiki/Ratner%27s">Ratner's</a> on <a href="http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=138+Delancey+St,+NYC&sll=40.733373,-74.004711&sspn=0.007268,0.015385&ie=UTF8&hq=&hnear=138+Delancey+St,+New+York,+10002&ll=40.718201,-73.986869&spn=0.00727,0.015385&z=16&layer=c&cbll=40.718249,-73.986971&panoid=otbdCtZFMQydyxOPEyDzDA&cbp=12,21.96,,0,-4.92">Delancey St</a>. I once took a blonde <a href="http://en.wikipedia.org/wiki/Shiksa">shiksa</a> VP-Marketing from California to Ratner's on Delancey, and the waiter yelled at me for bringing such a fine woman to such a lousy neighborhood. That was before it all got gentrified and yuppified. 
			- Both Ratner's are gone now.
			- Anyway, the same guy <a href="http://twitter.com/pheezy/status/10301109716">dug up</a> a <a href="http://images.scripting.com/archiveScriptingCom/2010/03/10/fillmore.jpg">picture</a> of the old Fillmore just before a Crosby, Stills, Nash & Young concert. My theory was correct. It's the site of the bank. 
			- I went to the Fillmore a few times. The most memorable concert was a Grateful Dead show with a surprise toward the end. A bunch of dirty hippies with long hair and beards come out and jam with the Dead. The music sounds weirdly familiar but hard to place. They were being deliberately misleading. Then all of a sudden a rock and roll standard -- Good Vibrations. It was the all-new dope-smoking <a href="http://members.tripod.com/~fun_fun_fun/4-27-71.html">Beach Boys</a>! Oh man those were the days. I also saw the Incredible String Band there. <a href="http://www.youtube.com/watch?v=cyNBV-BTzDw">Ten Years After</a>. 
			- We're getting ready to do an East Village blog for the NY Times. Going down memory lane is my way of getting ready.
			- PS: I read about <a href="http://vanishingnewyork.blogspot.com/2008/04/ratners-of-2nd-ave.html">Ratner's</a> on <a href="http://vanishingnewyork.blogspot.com/">Jeremiah's Vanishing New York</a>, an intriguing blog with lots of great stories about the ever-changing and not-always-for-the-best New York Shitty. ";->"
		- RSS enclosures from 2004 and 2005
			- I was doing some research for a blog post and came across this folder of RSS enclosures from late 2004 and early-mid 2005.
			- These were the months when podcasting was beginning to take root.
			- I was doing Morning Coffee Notes. Adam Curry was doing Daily Source Code. Together, we were doing the Trade Secrets podcast.
			- Dave Slusher, Steve Gillmor, IT Conversations, Dawn and Drew, Tony Kahn at WGBH, Engadget.
			- It occurred to me that this slice of early podcasting might be worth preserving, so turned it into a torrent and have uploaded it
			- <a href="http://static.scripting.com/misc/earlyPodcasts.torrent">http://static.scripting.com/misc/earlyPodcasts.torrent</a> 
			- If you have questions or comments, you can post them here.
			- PS: Another reason I like it is this is a non-infringing use of BitTorrent. We need more of those to protect this excellent distributed technology. 
		- Please fix WordPress for podcast feeds
			- Jay and I use WordPress to do the <a href="http://rebootnews.com/">http://rebootnews.com/</a> site.
			- It's a mixed bag. On the pro side, we both know how to use WordPress, and because Jay writes the show notes and I do the tech stuff, it's a good tool to put between us. 
			- But WordPress doesn't do podcast feeds well. 
			- And that's being generous. 
			- Here's how the UI works currently. You edit your post and link to an MP3 or a movie or an AVI or some other media object. The first one that WP encounters as it parses your text, it will supposedly turn into an enclosure. If you happen to link to two MP3s but the second is the enclosure, you're out of luck. And for some reason if you store the <a href="http://mp3.morningcoffeenotes.com/reboot10Mar08.mp3">MP3</a> on Amazon S3, as we do, it usually doesn't even find the enclosure. But this is variable. Today they've hacked up our link to point to some server on wordpress.com, totally without our permission. What a mess. And even so there's no enclosure in our <a href="http://rebootnews.com/feed/">feed</a> for this <a href="http://rebootnews.com/2010/03/09/rebooting-the-news-43/#comments">week's</a> show (which btw I think is one of our best, <a href="http://mp3.morningcoffeenotes.com/reboot10Mar08.mp3">one</a> I hope everyone listens to).
			- For the last three episodes of our podcast, it's failed to add an enclosure element to the feed. As a result none of our listeners get the podcast on time, and it always takes some fussing by the WordPress tech people to get it working, and for all I know a bunch of people <i>never</i> hear the podcast. I suppose it depends on whether or not the client sees an item as read if the guid doesn't change but all of a sudden the item has an enclosure. Imho a proper podcast client would just watch the guid, and therefore would miss the enclosure. Regardless, it's simply unacceptable that WordPress work this way and that Automattic doesn't do something to fix it.
			- This is how we did it in Radio 8, in 2002, eight years ago.
			- Here's a <a href="http://images.scripting.com/archiveScriptingCom/2010/03/10/radioForEnclosures.gif">screen shot</a>. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2010/03/10/radioForEnclosures.gif"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/10/radioForEnclosuresThumb.gif" width="200" height="157" border="0" alt="A picture named radioForEnclosuresThumb.gif"></a>
			- Click the screen shot for the full effect.
			- See the red arrow pointing to the box called Enclosure? That's where you paste the link to the enclosure. Anyone no matter how technical they are not, could be taught to do that correctly. 
			- We never had the problem WordPress is having. Granted a lot fewer people did podcasts then than now. Maybe. I'd argue that the way WordPress works now is killing the art of podcasting because it's so unpredictable and it's virtually got the market cornered. Regardless, I'm a paying customer, and I'd like to continue to use WordPress, but eventually I'm going to have to switch because it's killing our product.
			- Please Matt and company, fix this!
			- PS: I wish Wordpress.com was more hackable, if there was a way for me to patch our feed I could fix this without their help. Alas it's not something I can fix myself and I don't have any interest in running my own installation or fussing around with PHP etc.
	- March 9
		- A nice boost for rssCloud
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/09/santa.gif" width="125" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named santa.gif">It's been a while since we could announce new major support for rssCloud, but today is one of those big days we'll remember for a long time. 
			- Status.net has now enabled rssCloud support in the RSS 2.0 feeds for all its users. 
			- This means that identi.ca, the server operated by status.net, has the feature, as well as all other sites they operate. I assume it will be baked into a subsequent open source release (status.net is GPL software).
			- What does this mean? Well, when I post an update to my account on identi.ca, any cloud-aware aggregator will receive an update notification. River2, the aggregator I've built for Frontier (it runs in the OPML Editor) has support for rssCloud.
			- For a demo here's a <a href="http://images.scripting.com/archiveScriptingCom/2010/03/09/identicaPost.gif">screen shot</a> of an <a href="http://identi.ca/notice/24239307">update</a> I posted to identi.ca. Note the time of the update. I immediately refreshed the home page of my River2 server, and <a href="http://images.scripting.com/archiveScriptingCom/2010/03/09/river2version.gif">there's the update</a>. Elapsed time ==> 12 seconds. That's what real time means. ";->"
			- This is my <a href="http://identi.ca/api/statuses/user_timeline/323.rss">feed</a>. A source screen shot <a href="http://images.scripting.com/archiveScriptingCom/2010/03/09/cloudElement.gif">shows</a> the &lt;cloud> element.
			- It's also a holy grail for the idea of a <i>distributed loosely-coupled network of Twitter-like services, linked together in real time using RSS.</i> (What a mouthful!) It's very elegant and lightweight and it works today. 
		- 18 interesting firsts
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/09/crumb.jpg" width="150" height="199" border="0" align="right" hspace="15" vspace="5" alt="A picture named crumb.jpg">I stumbled across this very <a href="http://www.techreaders.com/2010/03/18-interesting-firsts-on-the-internet/">interesting list</a> of 18 firsts on the Internet. It's a good way to look at things. You could argue who invented what first, and you often get nowhere that way, because "invention" is such a poorly understood concept. Everyone's work builds on other people's. The guy who invented the car used a lot of other people's work to create something with four wheels and an engine. Did it have to have a steering wheel to be a car? We could argue about that, and that would change who the inventor was.
			- It may be more useful to say who had the first car. Who drove it, and where did they go? 
			- And on the Internet, there's no doubt, for example that Tim Berners-Lee had the first website. Unless someone else says they did. (Haven't heard anyone say that, btw.)
			- I was glad to get credit for creating the first podcast. 
			- Who wrote the first blog post? They give credit for that to <a href="http://en.wikipedia.org/wiki/Justin_Hall">Justin Hall</a> (and mis-spell his name). 
			- I wrote in the <a href="http://web.archive.org/web/20000621141352/www.weblogs.com/about">About page</a> for weblogs.com that the first blog was also the first website. TBL's info.cern.ch was a reverse-chronologic list of new websites. That's how central to the web I think blogs are. But if that wasn't the first blog, let's see Hall's first post, and decide if that really was the first one. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/09/typewriter.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named typewriter.jpg">Who had the first feed? That's going to be an interesting debate for sure. I can show you mine, it was first published on <a href="http://www.scripting.com/davenet/1997/12/15/scriptingNewsInXML.html#3">December 15, 1997</a>. But what makes something a feed? Can you have a feed with no aggregator? Is it the aggregator that makes something a feed? If so, we'll have to figure out who wrote the first aggregator and when, and what feed(s) it read.
			- One of the criteria for being "first" is, imho -- Did your work lead to other people imitating you? That test says whether or not your work commercialized or popularized the concept. The implies "hitting the spot" where being the only one seems, somehow, less significant. That's one argument against Hall as the first blogger, but in favor of TBL. As far as I know there were no bloggers that formed a community in the aftermath of his Links from the Underground. 
			- Pretty sure the first blogging community, in the sense that we think of blogging today, was formed around Scripting News. Most blogs today can trace their roots back to Scripting News, if you go back far enough. I suppose some communities are disjoint. Did LiveJournal spawn out of a blog that spawned out of something that came from Scripting? I have no idea. But I do know that most of the early bloggers were readers of this site, and many participated in the discussion group here. There was a website that traced the lineage, called BlogTree, and it verified that the root of the tree was Scripting News. This is something I'm proud of, I think justifiably.
			- One of the reasons I'm proud of it is that blogging was created without the lock-in you see in systems like Twitter, Facebook and though they'll argue for sure, Buzz. Even Posterous, Tumblr and Wordpress.com don't give you easy ways off their servers. Blogging started without the concept of a single server, so there was no place to get off of. The whole point was to be as distributed as the web itself, to give people independence, to let billions of websites bloom. This is such an obvious feature of blogs that people don't  usually see it. But it's there, and it's hugely important.
			- There are a lot of very vocal people who work to remove credit rather than give it. I'm sure some of them will comment here. As long as their comments are respectful they will stand. 
		- Promising competition
			- Several interesting half-developments in the competitive landscape from non-dominant tech entities. I believe in <a href="http://www.scripting.com/stories/2010/02/25/bigChangeInTheTechWorld.html#p7">supporting</a> the second and third tier companies and startups, when they offer alternatives to the BigCo's. I like the little guys because they have an incentive to listen to and please users, without the <a href="http://www.google.com/search?q=site%3Ascripting.com+%22strategy+tax%22">strategy taxes</a> almost always imposed by the big guys. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/09/loverss.jpg" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named loverss.jpg">First, there is Mark Fletcher's <a href="http://www.snapgroups.com/">SnapGroups</a>. It's basically a threaded discussion group with a modern browser-based UI. It's perhaps a framework that something like FriendFeed can develop from, although it's just a framework. There are no feeds in either direction -- you can't subscribe to feeds from within SnapGroups, and it doesn't generate feeds, so I can't subscribe to stuff from SnapGroups in other RSS-aware environments. But it does look nice, and Mark is the author of Bloglines, so we know he understands feeds. These days, you can't even get into the game without basic feed support. I'd of course also like to see him support rssCloud so the connections in and out can be real-time. 
			- Second, I just got an email from Zach Copley at <a href="http://status.net/">Status.Net</a> saying their software, which is an open source Twitter workalike, now supports rssCloud. That is very welcome news. I tested it with River2, and while the initial handshake worked, I'm not getting the realtime updates. I expect we'll figure out the glitch quickly and then we'll have another realtime connection. What can we do with it? We'll have to explore that. Meanwhile, it's nice to have a reason to get <a href="http://www.google.com/search?q=site%3Ascripting.com+identi.ca">reacquainted</a> with <a href="http://identi.ca/">Identi.ca</a>, which is the mother ship of Status.Net. And thanks to Zach for sticking with it.
			- Finally, <a href="http://marshallk.posterous.com/tech-startups-exclusivity-and-our-competitors">Marshall Kirkpatrick</a>, who writes for ReadWriteWeb, says the big players in his market, TechCrunch, Mashable, AllThingsDigital, don't pick up stories once RWW has covered them. This gives vendors an incentive to give exclusives to the big pubs, assuming they want coverage from them. Vendors who buy that are making a mistake. The news will find the people who need to know it, more now than ever. Pick a reporter who you think will understand your product and give them enough time. That's one approach, if you think you can get the attention. Otherwise, just write your own blog post, and send the links around to all the reporters, and hope they find it interesting. I know this isn't the standard advice, but the <a href="http://www.scripting.com/stories/2009/08/14/gatekeepingIsALosingStrate.html">gatekeepers</a> figure you need them a lot more than they need you, and act accordingly. It's hard to get insightful reporting from them, and I think the readers have figured that out. All pubs should follow this simple rule: write up whatever you find interesting, whenever you discover it, no matter who has already written it. Anyone who plays it differently will eventually pay a penalty. And these days "eventually" is a lot sooner than it used to be. 
			- <a href="http://www.scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">Remember</a>: "People come back to places that send them away."
	- March 8
		- Great photo of Jobs at Oscars
			- <a href="http://www.flickr.com/photos/karmagrrrl/">Zadi Diaz</a> got this <a href="http://www.flickr.com/photos/karmagrrrl/4416474706/sizes/l/">great picture</a> of Steve Jobs on the red carpet at the Oscars last night. 
			- <a href="http://www.flickr.com/photos/karmagrrrl/4416474706/sizes/l/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/08/jobsTux.jpg" width="238" height="283" border="0" alt="A picture named jobsTux.jpg"></a>
			- Click the thumb above for the full effect.
		- This week's RBTN
			- This week's Rebooting The News podcast, recorded in the studio at NYU, was particularly good. It starts off a little slowly, but picks up speed.
			- <a href="http://mp3.morningcoffeenotes.com/reboot10Mar08.mp3">http://mp3.morningcoffeenotes.com/reboot10Mar08.mp3</a> 
	- March 6
		- Best Picture 2009?
			- Tomorrow night they announce the winners of the Academy Awards, and for the first time in a long time, I don't really think there is a movie up to being called Best Picture. 
			- The only one I haven't seen is Precious. So it might be the exception. 
			- Of all the <a href="http://oscar.go.com/nominations/nominees#category_best-picture">nominated pictures</a> I have seen, if I had to choose one, I'd go for <a href="http://en.wikipedia.org/wiki/Up_in_the_Air_%28film%29">Up In The Air</a>. Great acting, interesting plot, well done all around. Second choice: <a href="http://en.wikipedia.org/wiki/An_Education">An Education</a>. 
			- Each of the others has something to recommend it, but none of them put enough of the pieces together to qualify as a Best Picture. 
			- Curious what other people think.
		- Jeff Jarvis and BloggerCon
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/06/umbrella.gif" width="150" height="181" border="0" align="right" hspace="15" vspace="5" alt="A picture named umbrella.gif">I just watched the live webcast of two friends, Jay Rosen and Jeff Jarvis, give talks at <a href="http://tedxnyed.com/">TEDxNYED</a>. They both did well. At the end of Jeff's talk he told a story about about a big moment in our friendship. Of course he tells it from his point of view. I'm sure they'll release a video of the talk so you can hear it. This is the story from my point of view.
			- I am an evangelist. I think I see how things are going, then I want to show other people, so we can get there faster. Sometimes if I have to, to get the idea going, I write some software, or create a format. That was my role in blogging, RSS and podcasting. And the unconference format that Jeff was describing in his talk. 
			- I wrote that format up <a href="http://www.scripting.com/stories/2010/03/04/renewedEvangelismBloggerco.html">here</a> a few days ago, because we're doing it again at NYU, but that piece was just an edit of a document that I wrote before the first BloggerCon. I sent links to all the discussion leaders. I talked with each of them before the conference. I knew the idea would be hard to get, because we all had a lifetime of training that said that conferences were mostly one-way affairs. I wanted to try something different, <i>a conference where there were no speakers, no panels, no audience.</i> I wanted the good stuff, the hallway conversations, to be drawn back into the formal conference. 
			- Even though we prepared, and knew the format worked (we were running the Berkman Thursday meetings with it) most of the discussion leaders didn't get it at first. When I walked into the room where Jarvis was preparing to lead a <a href="http://bloggercon.org/day2/weblogspresidentialpolitic.html">discussion</a> at BloggerCon, I saw that he had put a set of chairs in front of the room, and people were sitting in the chairs. It was an awkward fit, there wasn't enough room in front, but despite all the preparation, there was the old format trying to boot up!
			- So I asked the people sitting in the chairs to rejoin the rest of the people in the classroom. Then I said to Jarvis, "This is your panel..." -- and I opened my arms to embrace the whole room. From this point our stories are in total agreement. God you could almost see the light bulb go on over Jarvis's head. Immediately he started leading the discussion, and to this day he is one of the best practitioners of BloggerCon format, and is evangelizing it too. 
			- This blog post is an instance of the philosophy that says that everyone's point of view is valid and should be heard. In the old world, the speaker's version would be the only one to get out there. Or the professor's or the reporter's. But in the new world, each of us have a platform to tell our story. That same principle can be applied to conferences, and if it's done well, and Jarvis does it well, with spectacular results. 
	- March 5
		- Be wary of Google patents
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/05/elephant.gif" width="125" height="90" border="0" align="right" hspace="15" vspace="5" alt="A picture named elephant.gif">Google has been pitching its use of open standards as a way to insure yourself against Google going away. That's much appreciated, no sarcasm. All companies should plan for their users' data surviving them. But my concern is what if Google <i>doesn't</i> go away. This is a company that's at least heavily influenced by lawyers, if not run by them. They aggressively patent. Personally, I'd rather not build a new ecosystem out of Google patents. 
			- If you have a choice of using an already-existing format or protocol that works just as well as the new one Google is trying to replace it with, the rest of us, who don't patent, are better served if we all use the older one, including Google. That way we know that we won't be forced out of the market at some future date, when the cost of staying in is paying huge legal expenses, and royalties, for "technology" we could have had for free.
			- Unless Google also adds a disclaimer of all patents on all the new stuff, I'd be very careful about which ones we adopt. 
		- Alice in Wonderland
			- I am a big huge fan of <a href="http://en.wikipedia.org/wiki/Tim_Burton#Director_filmography">Tim Burton movies</a>. 
			- He's right up there with Quentin Taratino and Martin Scorcese. When one of these directors ships a movie, I'm often the first person in line on opening day.
			- So this morning I took off and went to the 11AM showing of the newly released today <a href="http://en.wikipedia.org/wiki/Alice_in_Wonderland_%282010_film%29">Alice in Wonderland</a>, at <a href="http://maps.google.com/maps?oe=utf-8&client=firefox-a&ie=UTF8&q=850+broadway,+Nyc&fb=1&gl=us&hnear=&cid=0,0,4900013324254305635&ei=fWyRS5XvDcbflAen_oH8AQ&ved=0CAkQnwIwAA&hq=850+broadway,+Nyc&ll=40.735275,-73.990774&spn=0.007495,0.01384&z=16&iwloc=A">850 Broadway</a>. 
			- First a caveat. Don't read this if you haven't already seen it. No matter what anyone said about the movie I would have seen it, even though I did read the NY Times review before going. 
			- 1. The Times <a href="http://movies.nytimes.com/2010/03/05/movies/05alice.html?hpw">review</a> is right. The movie is pointless, lifeless. 
			- 2. It's not even remotely a Tim Burton movie.
			- 3. It's almost as if as they were nearing completion someone said "Hey wait a minute this doesn't have any Tim Burton stuff in it," so they quickly added a bit of buffoonery, but it is totally embarassing.
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/05/beetlejuice.jpg" width="150" height="178" border="0" align="right" hspace="15" vspace="5" alt="A picture named beetlejuice.jpg">4. Hollywood has a formula that it can't seem to escape. A hero forms a <a href="http://www.urbandictionary.com/define.php?term=posse">posse</a> of colorful allies with big hearts who are in love with the hero. There's an evil adversary and she has a posse of despicable, frightening and evil allies. The movie is a buildup to the final showdown. The two do battle. The hero wins. The adversary is humilated and most of his posse is killed. There's a closing scene where everyone agrees life is great and the credits roll. It's Star Wars meets Harry Potter, Avatar meets Indiana Jones. Every movie with a budget fits this template, with the exception of parts of recent Pixar movies (they always include the basic elements but it doesn't always completely dominate the plot). Once you realize this is what you're watching, unless you really get off on special effects, you might as well walk out.
			- 5. A few people walked out. I stayed to the end, but I started checking email on my Droid during the movie. 
			- 6. Zero suspension of disbelief. I was always thinking "I'm in a movie theater watching a dumb movie." The plot never sucked me in. 
			- 7. Next time let Tim Burton do a Tim Burton movie. Break new ground. Big Fish was great. At least the parts that sucked represent risks taken. This movie took no chances, it was boring. I want great acting, and stuff to think about and to laugh about. I like dark comedy. Sweeney Todd and Alice in Wonderland were great titles, but neither produced an interesting Tim Burton movie. 
			- 8. If you like Tim Burton, go see it anyway. The next movie you see can only be an improvement.
			- 9. Probably because it's a Disney movie, the characters lacked the usual Burton depravity, seen in Beetlejuice, Nightmare Before Christmas or Corpse Bride. The ghoulishness in Burtonia can be very friendly, like the zombies in Corpse Bride. Or musical like <a href="http://www.youtube.com/watch?v=Yw0aoVpFCDw">Oogie Boogie</a> in Nightmare. Or humorous like the cigarette-smoking <a href="http://www.youtube.com/watch?v=uy6OEEhWqR0">angel</a> of death in Beetlejuice. Or the poor misunderstood Frankenstein -- Edward Scissorhands, who was only trying to do good, yet was run off by the villagers. Other reviewers say that Burton movies lack plot direction, but I disagree. The plots don't always end happily, but they often end with a song, nonetheless. I doubt if Disney would let the film be anything but colorful, but even children like a little depravity as long as it's not too dark. 
			- 10. Wait a minute -- I don't think there were any songs in Alice! WTF.
		- Real-time search
			- <a href="http://www.elmers.com/"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/05/elmersGlueAll.jpg" width="114" height="271" border="0" align="right" hspace="15" vspace="5" alt="A picture named elmersGlueAll.jpg"></a>Kara Swisher <a href="http://kara.allthingsd.com/20100305/the-eyes-have-it-real-time-search-is-still-kind-of-invisible-to-users/">reports</a> on a <a href="http://www.oneupweb.com/landing/10_realtime_results_eyetracking/?source=sus_realtime_030310&guid=97A9C954-EE26-DF11-811E-00A0D1E31666">study</a> that shows people are ignoring "real time" search results. This matches with my experience. 
			- The reason? It's impossible to convey much information in 140 characters. So when a search hits a tweet you get at most a soundbite, telling you something you probably already knew. When you search you're looking for information you don't have but want. 
			- I have a collection of <a href="http://www.google.com/alerts">Google Alerts</a> that report once a day or immediately, via email, telling me about occurrences of my name, products I've made, other topics I'm interested in. These used to be pretty useful until they started including tweets in the body of stuff they search. Now the alerts are mostly useless. So in this case, adding real-time stuff actually <i>subtracts</i> value. 
			- If Twitter wants to make money by inserting ads into search results, and all indications are that they do, they should seriously consider relaxing the 140-character limit, so tweets can carry information worth searching for.
			- Update: <a href="http://gigaom.com/2010/03/05/real-time-search-better-for-news-than-products/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+OmMalik+%28GigaOM%29">Liz Gannes</a> has the report too.
			- <a href="http://twitter.com/jny2/status/10040028849">Josh Young adds</a>: "Yes, real-time results in search suck because the <i>feed</i> is what's important, not the individual tweet."
	- March 4
		- Renewed Evangelism: BloggerCon Format
			- <a href="http://pics.scripting.com/0024/0005.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/04/classroom.jpg" width="150" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named classroom.jpg"></a>Ask anyone who was at <a href="http://bloggercon.org/day2/grid.html">BloggerCon I</a> and <a href="http://bloggercon.org/II/schedule.html">BloggerCon II</a> to explain the format that evolved there, and you're likely to see their eyes light up, as they wave their hands, but until you've experienced it, they'll just be words. I hope to renew the evangelism for this format while I'm at NYU, and have access to the meeting facilities of the university. 
			- The format is not far from the <a href="http://en.wikipedia.org/wiki/Socratic_method">Socratic</a> classroom, a discussion leader who pulls the interesting bits from the minds of the people in the room, with no sense of one person being a speaker and another being audience. Everyone is both a source and destination of thought. 
			- The format solves the problems of the typical professional conference, the problem of droning self-important speakers who bore the audience and force the good stuff out into the hallway. The first goal of the format is to suck the good stuff back into the room. Everything about the format is designed to eliminate the boring, self-serving droning. But to do it respectfully. We're not running the Gong Show. 
			- Fred Wilson wrote a <a href="http://www.avc.com/a_vc/2010/03/panels.html">piece</a> this morning on Panels. He went on to say what he doesn't like about conferences. I am so sure that Fred would <i>love</i> the BloggerCon format. It was designed for people like Fred. 
			- The format is <a href="http://bloggercon.org/II/newbies.html">outlined</a> on the BloggerCon site. But I'm going to reproduce that outline here, and edit it and bring it up to date. 
			- 1. We don't have speakers, slide shows or panels. 
			- 2. No Powerpoints.
			- 3. Every room has a discussion leader, a reporter who is creating a story with quotes from the people in the room. 
			- 4. The discussion leader is also the editor, so if he or she feels that a point has been made they must move on to the next point quickly. No droning, no filibusters, no repeating an idea over and over.
			- 5. The discussion leader can also call on people, so stay awake, you might be the next person to speak! ";->"
			- 6. Think of the conference as if it were a weblog. At the beginning of each session, the leader talks between five and fifteen minutes to introduce the idea and some of the people in the room. Then she'll point to someone else. She may ask a couple of questions to get them going, then she'll point to someone else, then someone else, then make a comment, ask a question, etc. Each person talks for two to three minutes. Long enough to make a point. 
			- 7. The attention is focused on the discussion leader. You can ask questions, you don't necessarily have to wait to be called on, use your judgment. But ask the question of the Discussion Leader, and let him find the answer for you in the room. Experience has shown that when others in the room assume the moderation function, the ground rules break down, and droning happens, and people move into the hallway.
			- 8. The leader's job is to keep it moving. Sometimes this means cutting people off. Don't take it personally if it happens to you, any more than you would if a reporter only quoted part of what you said in the article. Life's not perfectly fair. You don't have a right to be heard. Sorry. (But you do have a right to get new ideas, meet new people, have new experiences.)
			- 9. Since every person in a session is considered an equal participant, everyone should prepare at least a little. Think about the subject, read the comments on the conference website. Follow weblogs from other people who are paticipating. Think about what you want to get out of the session, and what questions you wish to raise, and what information or points of view you'd like to get from the session.
			- 10. This is an unusual conference in that almost everyone participating writes publicly. So we assume that everyone present is a journalist. Every badge is a press badge.
			- 11. All conversations, whether to the entire room or one-to-one, unless otherwise stated, clearly and up front, are on the record and for attribution. You do not need to ask permission to quote something you hear at BloggerCon. Of course you may ask for permission to quote, and you may choose not to quote things you hear.
			- 12. Where I come from, the technology world, most conferences are centered around the vendors. This is not like those conferences. Here, vendors are welcome, and we hope they will help by sponsoring a party, dinner or brunch, but they participate mainly by listening. 
			- 13. Most of the people who are talking are users. In my opinion, these are the revolutionaries. Vendors make a living by creating tools that these people use to change the world. So much attention is focused on technology, too much imho. At this conference we turn it around and focus on what people are <i>doing</i> with the technology. So if you hear someone say it's about the technology, expect me to challenge if I'm present. If not, stand up and say "That's not correct."
			- 14. If they say the technology is too complicated for a user to understand, ask them why, and if they could simplify it so we can understand. And if not, why should we use it? Perhaps a new user-centered philosophy will emerge.
			- 15. Sometimes conferences bog down in meta-discussions, discussions about what it's okay to discuss. I want to try to head some of that off in advance by stating some assumptions, and asking people who want to discuss these things to either discuss them here on the Web beforehand, or to find another venue to discuss them.
			- 16. Weblogs <i>are</i> journalism. Not all weblogs, and not all the time. People have said weblogs aren't journalism, and that seems foolish, as strange as saying telephones aren't journalism. It's kind of a moot question. Weblogs can be used for journalism, or not. When people say they're not journalism, I think they haven't thought it through well enough.
			- 17. "What is a weblog" is an interesting question. I've heard people say it's not a good question. At BloggerCon if you have an idea that requires you to say or ask what a weblog is, please go ahead. It's totally on-topic. I would consider the conference a success if that's the only thing we figured out. (Chances are we won't, btw.)
			- 18. No commercials. This is a user's conference, it's non-commercial, you may not promote products. If a discussion naturally turns to products, it's okay to talk about them, but it's probably not okay to talk about your product, unless the discussion leader asks you to. No matter what you must ask for permission, and don't be surprised if the answer is no. There are good reasons for this, if one person talks about his or her product, then their competitors will feel they are entitled to, and pretty soon the user's needs are drowned out by the needs of the vendors. The point of this conference is to focus on users.
			- 19. You are welcome to bring your own recording equipment, cameras are allowed, basically the rules allow Grateful Dead/Phish style recording. Bring your microphone or camera and recording device, and record it and broadcast it any way you like. Be innovative, but please don't interfere with the sessions.
		- Google and RSS
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/04/rsspizza.jpg" width="150" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named rsspizza.jpg">The first years of Google's existence and the first years of blogging coincide. Google started in 1998, shortly after I started blogging (depending on what you consider the start, which is always a subject of debate). Then blogging begat RSS, and then OPML and podcasting -- and so on. And blogs became influential in Google's ranking algorithms, and we bloggers loved Google, and we <a href="http://www.scripting.com/2002/01/10.html#yupTheUsersCared">gushed</a> over them here in the one and only year we gave awards on Scripting News. 
			- They were a small company, very excited. Great food in the cafeteria, and our meetings were always interesting, high energy affairs. Coming out of those meetings were a list of ideas that I shared with them and the readers of this blog. 
			- The most important idea was this -- Google could pay special attention to RSS and OPML files when they encountered them in their indexing of the web. They contained rich data which could be used for two purposes: 
			- 1. To make searches more current, what I called just-in-time, what people are calling realtime now. This has always been a big deal for me. I wanted search to be part of news and that means new -- and the faster the indexing happens, the more useful it is as news.
			- 2. Use OPML to allow anyone to create Yahoo-like directories. Open that process up, let a billion flowers bloom. I suspected there was a lot that could happen with organizing information on the web. The right place to present it, I felt, was in Google, not in a separate directory structure. And with users actively relating topics on the web, that long-term probably could help search engines make sense of the information. Another, more deliberate, form of linking.
			- Now, in 2010, Google is going to start reading feeds, but if I understand correctly, they're going to ignore the billions of RSS feeds out there, and ask everyone to convert to Atom to get more currency in search. You can imagine that I don't like this. I wouldn't like it even if I didn't play a big role in getting those billions of feeds out there. I wouldn't like because I have thousands of RSS feeds on my servers, and believe me -- they are not changing to Atom anytime in the next few decades. I don't think I'm alone in that.
			- Now a little preaching. Big companies always feel they can push the rest of us around, but I gotta say -- I've never seen it work. Usually the lesson they learn is that they would be better off if they would just Go With The Flow, and let the users guide them. Nothing wrong with reading Atom feeds, but to ignore RSS, well guys that's just plain dumb. 
			- Give up the fight Google. You don't have to acknowlege me, but RSS -- that's a force of nature. That's why I did rssCloud -- for you -- to give you the impetus to do what you should have done naturally, support the formats that the users have chosen. It's not too late to get our relationship back on track. I'm not your enemy, I'm just one guy in an apartment in the <a href="http://en.wikipedia.org/wiki/West_Village">West Village</a> writing on my blog. I'm not Apple, suing you for patent infringement, or whoever else you are worried about. Worrying about me is a waste of energy. 
		- Last night's SoHo party
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/03/04/glass.jpg" width="125" height="364" border="0" align="right" hspace="15" vspace="5" alt="A picture named glass.jpg">Last night <a href="http://en.wikipedia.org/wiki/Nick_Denton">Nick Denton</a> and <a href="http://www.cjr.org/behind_the_news/we_just_dont_know_an_interview.php">Jonathan Glick</a> co-hosted a party at Nick's fabulous SoHo apartment to welcome me back to NY.  
			- There were about 100 people from media, some entrepreneurs, academics, financiers, lawyers, writers. Some very well dressed, and some like me, in more comfortable clothes. It was unmistakably NY, as Boston has its signature, as does Silicon Valley. Columbia and NYU aren't Harvard and MIT, or Stanford and Berkeley. This is the big city, but tech here isn't yet so cut-throat, media still is a much larger business. I found it was more of a party and not so much a chance to share business models as California tech parties.
			- Thanks! I had a lot of fun last night, and it gave me a good warm feeling about what we can get done in the coming months and years. I'll have more about that in the next piece.
			- PS: One surprise was how many of the people read this blog, and were prepared to discuss the post on local business models I had written about an hour before the party. I'm always surprised by that. I don't get a lot of mail, and I know the numbers aren't even remotely in the same league as the big blogs. But when it comes to interesting people, well I guess it makes sense that I'm biased about that, but my readers are the best. ";->"
	- March 3
		- Where is the money in local blogging?
			- <a href="http://www.google.com/search?q=pizza+near+10014"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/03/pizza.jpg" width="150" height="128" border="0" align="right" hspace="15" vspace="5" alt="A picture named pizza.jpg"></a>I'm sitting in a class at NYU listening to a discussion about local blogging and the NY Times. Rather than speak up to the room, I thought I'd just write a blog post that explains where I think the money is in local.
			- First, where I <i>don't</i> think it is -- getting ad dollars from the local pizza parlor or stationery store. There may be nickels and dimes there, but the mega-dollars come from slicing the pie differently from the geographic way people are slicing local news up now.
			- Instead, pick the businesses that generate billions of dollars in the local economy that are information-based, where the information currently being supplied is inadequate. That's not restaurants and entertainment. 
			- When I started looking for an apartment in Manhattan, one of my requirements was FIOS. I naively assumed I'd be able to get it because my mother had it in Queens. Manhattan is a bigger, more lucrative market than Queens, so of course Verizon has it covered. Turns out, for a variety of reasons, it's not true. There's almost no FIOS in Manhattan. But if you went to the Verizon site you'd never find that out unless you punched in every address in Manhattan and found out that very few return positive. 
			- Time-Warner Internet is not bad, in some parts of the city, and awful in others. If you want great Internet service, where should you be looking? The only way to find out is word-of-mouth.
			- Business on the Internet is driven by finding places where dollars are spent, where people need lots of good information to make a decision they're going to spend a lot of money on. Become <i>the</i> place where people go for that information and then sell space on your site to businesses that sell products and services in that space. 
			- This is local. But it's local on a wide scale. This is where I think the money is.
		- What is Apple up to?
			- This is a continuation of the <a href="http://www.scripting.com/stories/2010/02/25/bigChangeInTheTechWorld.html">Big Change in the Tech World</a> thread, February 25. 
			- We may look back at these as the Good Old Days before the tech guys clamped down and closed off all the loopholes that allowed us to create and share our own content, as well as program our own use of the content created by the entertainment business.
			- The norm in entertainment, the system I grew up in -- the entertainment industry controlled what you watched and listened to, and when, where, and how much you paid for it. You could make your own special mix tapes, but that was hard and most people didn't do it, so they looked the other way. Napster was a big breakthrough. All of a sudden all the music was there for the asking, whenever you wanted. 
			- People were talking about music in supermarkets and on airplanes. We all bought iPods.
			- Charles Mann <a href="http://www.theatlantic.com/past/docs/issues/2000/09/mann.htm">called</a> it the "heavenly jukebox." I found I could listen to a Cat Stevens song about fathers <a href="http://scripting.com/2000/07/07.html#musicAndTheInternet">as many times</a> as I wanted. "I don't just want to listen to music, I want to study it, and let it really sink in, soak it up, and then go on. No medium before the Internet made this so easy." 
			- <a href="http://www.amazon.com/Western-Digital-Intellipower-Desktop-WD20EADS/dp/B001RB1TIS/ref=sr_1_3?ie=UTF8&s=electronics&qid=1267633555&sr=1-3"><img src="http://images.scripting.com/archiveScriptingCom/2010/03/03/twoTerabyte.jpg" width="165" height="235" border="0" align="right" hspace="15" vspace="5" alt="A picture named twoTerabyte.jpg"></a>I had a phone talk with John Gruber from Daring Fireball the other day, which I requested, after reading a <a href="http://daringfireball.net/2010/02/flash_saga">piece</a> he wrote suggesting that Apple's closing of the Flash hole in the iPhone/iPad was a way to enforce "web standards." I said it's a lot simpler and more insidious. Apple doesn't care about web standards, nor do any other large companies. That term, and "open" are just fig leaves that cover up what they're reallly doing. Instead of opening things up, they're doing just the opposite. Closing as many holes as they can as quickly as they can. Because they're doing what the media business wants to but hasn't been able to do, yet -- control and monetize user programming of content. Apple and many (if not all) of the tech companies want to get the control back from the users. Of course they can't say this, and they won't. But actions speak louder than words.
			- Then I read this <a href="http://news.cnet.com/8301-31001_3-10462562-261.html">article</a> in CNET that says Apple wants to cut a deal with the entertainment industry to store all their content on Apple servers. There's a chilling comment in the middle of the story saying they want to get rid of hard disks. That, my friends, is Hollywood's dream. The real culprit, the real cause of their economic problems isn't the Internet, it isn't the wires that connect computers. It's the <a href="http://www.amazon.com/gp/search/ref=sr_nr_p_36_2?rh=n%3A172282%2Ck%3Atb+external+hard+drive%2Cp_36%3A1253505011&bbn=172282&sort=pmrank&keywords=tb+external+hard+drive&ie=UTF8&qid=1267634834&rnid=386442011">under-$100</a> terabyte hard drive. With a terabyte you can store hundreds of hours of movies and TV shows. That enables you to do your own programming.
			- To Hollywood, a perfect world would be one without hard disks. 
			- To Apple, a perfect world is one where every moment a user is reading, listening or watching causes cash to flow back to Apple.
		- WordPress supports PubSubHubBub
			- WordPress <a href="http://josephscott.org/archives/2010/03/pushpress-a-pubsubhubbub-plugin-for-wordpress/">announced</a> today that they've added support for PubSubHubBub to their product.
			- This is great news. More realtime support is a good thing. 
			- I'm sure some people will use this moment as an opportunity to say bad things about RSS, that's just the way it goes. I've always <a href="http://www.scripting.com/stories/2009/10/16/aNoteAboutEvangelism.html">encouraged people</a> to see more realtime support as a just plain old good thing. 
			- I would love to see Google support <a href="http://rsscloud.org/">rssCloud</a> in Google Reader and their other products. It would show that they support all ways of doing this stuff. 
