- June 2010
	- June 8
		- Find an airplane to jump out of
			- The poor fumbling New York Times.
			- Everything about their world is flipped upside down.
			- Yes, they still have to write news stories, but the way they source them is changing, and slowly they are adjusting to the new way of doing things.
			- They used to use the cost of distribution as a way of adding a surcharge to cover the cost of reporting. Because they owned the means of distribution, and had a lot of people buying their information product, they could charge others to use their system.
			- They can't do that anymore, because: 1. They let Silicon Valley own the distribution in the new news environment. 2. The Californians are willing to sell access to that system real cheap to the people who used to pay the Times to distribute their stuff. 
			- In hindsight, the Times could have and should have been the new distribution system, but they would have had to be nimble to do that, and been willing to accept the feeling of jumping out of a plane with no parachute. They let people in California do that instead because they were willing to deal with insecurity. What a silly reason to cede an empire.
			- Now here's the good news for the Times. There's still time! 
			- The electronic system isn't finished upheaving. There are still planes taking off that you can jump out of but as before there are no parachutes. You <i>could</i> hit the ground. Hard.
			- Some small number of people at the Times get that. I know because I said these things to them two weeks ago, about 150 of them, and they didn't stomp out of the room, and they did't argue with me. In fact, some of the people told me they were psyched to do what I asked them to do. That's a new deal.
			- <a href="http://www.flickr.com/photos/karmagrrrl/4416474706/"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/08/jobs.jpg" width="105" height="154" border="0" align="right" hspace="15" vspace="5" alt="A picture named jobs.jpg"></a>Now, some of the people who <i>weren't</i> in the room are the ones who think that they need to get people like the two young <a href="http://www.scripting.com/stories/2010/06/08/whatHappenedWithPulse.html">Stanford grad students</a> to not publish a $5 aggregator. Look, if the Times is depending on stopping those two kids for its future, <i>then the Times has no future.</i> They have to make money, but they aren't going to make it by charging a few cents for every article. They must know that won't work.
			- They must re-establish their eminence in news. 
			- News is what they do, not newspapers. 
			- You give away most of what you do, and charge for the really good stuff. The stuff that <a href="http://www.flickr.com/photos/jseita/4486823805/">people</a> will <a href="http://www.nj.com/news/index.ssf/2010/04/apple_ipad_released.html">line up</a> to pay lots of money for. You need to get people excited about news the way Steve Jobs gets them excited about gadgets.
			- Or even better, find new businesses you can go into that depend on people coming to you for authoritative information about that business. It's how I got people to buy web development software from me. You can make a lot more money that way than by charging a few cents to read an article. It's a case of penny-wise pound-foolish. The Times is aiming to sell out too cheap. Use your franchise to build something truly big and very new that will make you rich.
		- What happened with Pulse?
			- <a href="http://cyber.law.harvard.edu/rss/rss.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/08/love.gif" width="150" height="150" border="0" align="right" hspace="15" vspace="5" alt="A picture named love.gif"></a>Kara Swisher has a <a href="http://kara.allthingsd.com/20100608/popular-pulse-news-reader-ipad-app-gets-steve-jobs-praise-in-morning-then-booted-from-app-store-hours-later-after-new-york-times-complaint/">story</a> this morning about an RSS aggregator for the iPad that was first praised in a Steve Jobs keynote and then, later the same day, booted from Apple's store. 
			- Apparently the NY Times played a role. "Apple informed the [authors] that Pulse was being pulled from the App Store, after it received a written notice that '[the Times] believes your application named Pulse News Reader infringes The New York Times Company's rights.'"
			- Swisher says: "Pulse is little more than a really well-designed RSS reader."
			- I'm both close to the Times and to <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a>, so I'd love to get to the bottom of the concern here. Swisher believes the app is doing nothing out of the ordinary with information available in the Times' publicly-available feeds.
			- This is a case where the readers of Scripting News may be able to help sort this out. Do you have a copy of the Pulse app? If so, can you make any sense out of this situation? Please advise.
			- <a href="http://www.scripting.com/stories/2010/06/08/findAnAirplaneToJumpOutOf.html">Follow-up</a>: "Look, if the Times is depending on stopping those two kids for its future, then the Times has no future."
		- The new Safari scrapes ads
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/06/08/car.gif" width="125" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named car.gif">Thanks to <a href="http://www.rexblog.com/2010/06/07/20889">Rex Hammock</a> for the pointer to Safari Reader, a new feature announced by Apple yesterday. 
			- Seems it's going to be very controversial. 
			- From the product <a href="http://www.apple.com/safari/whats-new.html">fact sheet</a>: "Safari Reader removes annoying ads and other visual distractions from online articles."
			- The ads are definitely getting annoying, but it seems to me people have the right to control the visual presentation of their own writing. On the one hand.
			- On the other hand, maybe authors should take this as an opportunity to receive a clue. There must be significant demand for this feature or Apple wouldn't have put it in their browser. Perhaps you should reduce the clutter in your web pages on your own. 
			- Just a thought. ";->"
	- June 7
		- Sources Go Direct on Wednesday
			- A reminder that you need a <a href="http://sources.eventbrite.com/">ticket</a> to participate in the Wednesday panel and open newsroom at NYU.
			- <a href="http://go.hypercamp.org/">http://go.hypercamp.org/</a> 
			- We've also set up an <a href="irc://irc.freenode.net/#hypercamp">IRC chatroom</a> for the back channel. 
			- The event will be carried live on <a href="http://www.ustream.tv/hypercamp">Ustream</a>. 
	- June 6
		- When you think you know it all
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/06/06/sneakers.jpg" width="145" height="154" border="0" align="right" hspace="15" vspace="5" alt="A picture named sneakers.jpg"><a href="http://www.scripting.com/stories/2010/06/05/shiningExamplesOfEasytorea.html">When I said</a> I'm "nearing the end of a top-to-bottom rewrite of the software behind Scripting News," what I really meant is that I'm "just beginning a top-to-bottom rewrite..."
			- I've been doing this a long time, but software projects still kick my ass, even when I'm doing it for the umpteenth time, there's a point where it feels like you're "almost done" when you're still just beginning. Everyone gets bit by it. The secret is to not make any great pronouncements until the system is in use by people who are the intended users. The first results achieved by the developer are <i>always</i> a mirage. 
			- And even when actual users use it, it <i>still</i> sucks. I learned that again today as I tried to <a href="http://www.flickr.com/photos/scriptingnews/4676265179/">teach my Mom</a> how to use her new iPhone. I was trying to show her how to turn a number in her Recent Calls list into a Contact. There was no button for that! Oy. I futzed around a bit, got there another way and there's the button. Yup even the best, most user-tested software, hailed as so easy your Mom could use it, is impossibly difficult even for an Old Hand like Yours Truly. ";->"
			- Con Edison used to have these great signs they'd put all around construction sites. They said "Dig We Must!" From that I came up with a programming slogan -- Still diggin. The way you'll know I've passed on to my final reward is that I'm no longer diggin. ";->"
	- June 5
		- Rachel Sterne, our third Sources Go Direct panelist
			- We've already announced the first two <a href="http://go.hypercamp.org/">Sources Go Direct</a> panelsts, Nick Denton and Fred Wilson. 
			- Nick is our contrarian -- I'm expecting him to say that while distribution is now electronic,  news flows much as it did when distribution was on paper. Or something like that. ";->"
			- Nick is also a focal point for a wide-ranging and often emotional debate about how sources are used to get information that companies are reluctant to share. Many of us, myself included, have a strong interest in knowing about Apple's products in development, as much as Apple has an interest in controlling how much we know and when we know it. I think it's good that people like Nick are trying to get the information we want, when we want it. I can empathize with Apple's perspective, having spent many years as a commercial software developer. But I've often been frustrated at how much the tech press seems to serve the interests of industry at the expense of users. It's good, imho, that Nick is pushing the envelope here, and helping strike a different, healthier balance. I expect some of the people in the room to disagree, respectfully of course.
			- Fred was the first VC to use the web in a personal way to create new relationships with entrepreneurs and other investors, to learn about new tools, and to share what he has learned. All this has allowed him to do venture capital in completely new ways. 
			- <a href="http://commons.wikimedia.org/wiki/File:Rachel_Sterne.jpg"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/05/rachel.jpg" width="125" height="200" border="0" align="right" hspace="15" vspace="5" alt="A picture named rachel.jpg"></a>Rachel Sterne, CEO of "citizen journalism" site <a href="http://www.groundreport.com/index.php">GroundReport</a> provides a platform for 5000 independent writers and editors who contribute their work to produce something analogous to a newspaper as Wikipedia relates to a pre-Internet encyclopedia. 
			- In the early days of news on the web, Salon boasted that they were sending a reporter to Yugoslavia, a sign of their maturing to become a more substantial news organization. I was <a href="http://scripting.com/davenet/1999/05/28/weblogs.html">skeptical</a>, thinking that we, the world wide web, were already there. Our network wasn't that well organized in 1999, but thanks to the work of Rachel and others, we are there today, and the dream of 1999 is being realized in 2010. Scott Rosenberg, one of the founders of Salon has already <a href="http://sources.eventbrite.com/">registered</a> for the event. It'll be interesting to hear his perspective. Jay Rosen, who Rachel says has inspired her work at GroundReport will be there too, of course. ";->"
			- As mainstream journalism pulls back, as international bureaus close around the world, it seems Rachel and Co may be building the distribution system that gets us the news we need.
			- So we have three very different perspectives on our panel on Wednesday, but in no way do they cover the entire spectrum. That's why our session will add some of the elements of a BloggerCon-style unconference. We will have a "monitor" with a wireless mike available to help you add your point of view to the discussion (which will also be webcast, the backchannel will be on IRC and Twitter). You can ask questions, but you can also simply comment. We don't draw a very bold line between the stage and the room, we understand that there will be 125 incredibly smart, experienced and knowledgeable people in the room, and we want to tap into as much of that as we possibly can.
			- <a href="http://www.flickr.com/photos/scriptingnews/4670918129/"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/05/baking.jpg" width="115" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named baking.jpg"></a>The session will last one hour and fifteen minutes. After that we will switch format to an "open newsroom," an idea I've wanted to try for quite some time. Bring your laptop, netbook or iPad, we'll provide wifi and refreshments. The discussion will continue and we can all write our blog posts and do it in any collaborative fashion that makes sense to you. If it goes as I think it will, the newsroom will be every bit as valuble as the panel discussion. It's an experiment, so it'll be new, that's for sure. ";->"
			- We've set up a website with links to all the resources for the event at <a href="http://go.hypercamp.org/">go.hypercamp.org</a>.
			- Tickets are free at <a href="http://sources.eventbrite.com/">Eventbrite</a> and we'll webcast via <a href="http://www.ustream.tv/user/hypercamp">Ustream</a>.
		- Shining examples of easy-to-read blogs?
			- <a href="http://www.flickr.com/photos/scriptingnews/4670918129/"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/05/baking.jpg" width="115" height="97" border="0" align="right" hspace="15" vspace="5" alt="A picture named baking.jpg"></a>I'm nearing the end of a top-to-bottom rewrite of the software behind Scripting News. 
			- As part of the rewrite, I'm adding CSS div's to every bit that's automatically generated, so it'll be easy for a designer to change the look of the site without touching site template (the template will also be easy to edit). 
			- Part of the inspiration is that I want Scripting News essays to be easier to read, esp for people whose eyes aren't so strong -- like me. ";->"
			- So I'm looking for great examples of blogs that are especially easy on the eyes.
			- Please either send me a pointer by <a href="http://www.scripting.com/stories/2007/04/02/newMailAddress.html">email</a> or post a comment <a href="http://www.scripting.com/stories/2010/06/05/shiningExamplesOfEasytorea.html#disqus_thread">here</a> with a link.
			- <i>Thanks!</i> ";->"
	- June 4
		- Coordinates for Wednesday's InternetWeek panel
			- We have information on signup and the webcast.
			- Tickets are free at <a href="http://sources.eventbrite.com/">Eventbrite</a>. Seating is limited to 125 people. 
			- It will be live webcast on <a href="http://www.ustream.tv/hypercamp">Ustream</a>. 
			- All links gathered at <a href="http://go.hypercamp.org/">go.hypercamp.org</a>.
		- Fred Wilson, our second panelist
			- As you may know, we're quickly putting together an NYU panel discussion for InternetWeek on my favorite subject -- Sources Go Direct.
			- It's next Wednesday, June 9 at 1PM at 20 Cooper Sq, 7th floor. It's part of the InternetWeek festivities. 
			- We've already announced our first panelist, <a href="http://www.scripting.com/stories/2010/06/02/nickDentonOurFirstPanelist.html">Nick Denton</a>, the famous founder of Gawker Media. Now we're ready to announce the second.
			- <a href="http://metarand.com/2008/06/01/the-big-picture-a-vision-for-social-media/"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/04/fred.jpg" width="150" height="114" border="0" align="right" hspace="15" vspace="5" alt="A picture named fred.jpg"></a><a href="http://www.avc.com/">Fred Wilson</a> is one of the shining examples of people who have something to say that didn't fit into the normal channels, so he invented a new one.
			- When Fred speaks at conferences he's usually asked to discuss business models in the tech industry. As one of our leading VCs and an early investor in Twitter, his opinion on business and tech is understandably sought-after. But on Wednesday that's <i>not</i> what we'll ask about with Fred.
			- Our focus is on the people who make news and add understanding to news. We're not interested in helping anyone survive, or helping anyone disrupt. We are interested in how people tell their stories in the new way of communicating. And Fred Wilson is, in every way, a pioneer and leader in the creation of this new way of doing things.
			- Tickets are free at <a href="http://sources.eventbrite.com/">Eventbrite</a>. Seating is limited to 125 people. It will be live webcast on <a href="http://www.ustream.tv/hypercamp">Ustream</a>. I think you'll find this very different from other panels you've participated in -- the "audience" will be an active part of the discussion, but it will also be moderated to keep it on topic. The backchannel will be on Twitter (of course) and on IRC.
			- <i>Stay tuned!</i> ";->"
		- Nicco Mele got some big news
			- <a href="http://www.flickr.com/photos/scriptingnews/4669405456/sizes/l/in/photostream/"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/04/nicco.jpg" width="400" height="300" border="0" alt="A picture named nicco.jpg"></a>
			- At breakfast this morning Nicco got some big news. I wanted to mark the occasion. Not sure if he wants me to share the news. ";->"
			- Update: I got <a href="http://www.scripting.com/stories/2010/06/04/niccoMeleGotSomeBigNews.html#comment-54674467">permission</a> from the Mom.
			- <object width="425" height="344"><param name="movie" value="http://www.youtube.com/v/Yza3Z1zkrdQ&hl=en_US&fs=1&rel=0"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/Yza3Z1zkrdQ&hl=en_US&fs=1&rel=0" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="425" height="344"></embed></object>
			- It's a boy! ";->"
	- June 3
		- Setting the record straight
			- <img src="http://images.scripting.com/archiveScriptingCom/2010/06/03/bass.jpg" width="175" height="392" border="0" align="right" hspace="15" vspace="5" alt="A picture named bass.jpg">I don't know Josh Fraser, so I'm going to assume he's well-intentioned. <a href="http://twitter.com/joshfraser/status/15305758467">But this tweet</a> from him represents something all-too-common. People spin stuff to make it look like corporate-owned technology is something other than what it is.
			- Here's what actually happened when I decided to implement PubSubHubBub. At first I was enthusiastic, and <a href="http://www.scripting.com/stories/2009/07/10/googlesPubsubhubbub.html">said so</a> -- until I saw that it had no support for <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a>. It was all about managing realtime updates for Atom feeds. It said so in the spec, and there was no indication that they planned to change it. In fact, it said quite the opposite. The authors didn't see any reason to implement support for RSS. 
			- At that point I knew I wasn't going to implement it, because I don't have any code that generates Atom feeds, and I don't plan to write any. I do have code that parses them. There's enough Atom-formatted content out there that you have to. So I do. But I have a choice in what I <a href="http://essaysfromexodus.scripting.com/postelsLaw">transmit</a>, so I use RSS 2.0. I know that every aggregator supports it, so I'm on solid ground in that choice.
			- Am I wrong to think that PubSubHubBub comes from Google? Well, I'm sure there are other people writing stuff that works with it, people who don't work for Google. But if there were going to be a major change in direction in PSHB, it would have to come from Google. Conversely, if you and I got together and decided that PSHB should fully embrace RSS, we'd find ourselves discussing this with Google people. Whether it happened or not, that decision would be made by people who work at Google. You decide whether that means it comes from Google or not. I don't care to argue hair-splits.
			- I was going try to work with them. Vic Gundotra, who I know for many years, before he worked at Google -- was setting up a meeting with the two leads when news of a Google patent on RSS reading lists came out. That reminded me, in very stark terms, how this works. The patent was in an area where I had done a lot of unpatented work. You don't find out about patents for years after they're filed. Has Google filed patents around PSHB? Is the Pope Catholic? It's in Google's nature to claim supposedly "open" technologies as their property. It's much better to use unpatented tech that pre-dates all this stuff. Which is where the &lt;cloud> element in RSS 2.0 comes in. 
			- Everything that PSHB does can be done with stuff that is prior art for PSHB and therefore in the future will not be subject to control by Google. To me it's a no-brainer to use it. I don't see why anyone else would go differently, unless Google is paying them to, or they don't understand how patents work. Google's fanboys will call this FUD -- which means fear, uncertainty and doubt. It certainly is fear -- sometimes fear is the right thing. There's no uncertainty or doubt because Google does file patents. If they haven't filed any around their work in PSHB they should say so, clearly and unambiguously, in a legally binding way (i.e. a statement from an officer of the company, in writing). Then we can all relax about it. Until then I'm going to assume they have.
			- Anyway, I'm not nervous about "jumping into bed" with BigCo's, because I don't do it. Life is too short to waste time waiting for a tiger to shed its stripes or for the church to name a non-Catholic Pope. I stay with RSS because it's solid, it works, and no one can tell me I can't use it.
	- June 2
		- Why the Lumix ad ticks me off
			- An interesting discussion emerged under yesterday's <a href="http://www.scripting.com/stories/2010/06/01/theDumbestAdEver.html">post</a> about Panasonic's insipid subway ad for its Lumix camera. 
			- Recall, <a href="http://images.scripting.com/archiveScriptingCom/2010/06/02/billboard.jpg">they</a> <a href="http://everythingunbroken.tumblr.com/post/605417569/ronworkman-siddman-if-it-has-a-ringtone-its">say</a>: "If it's got a ringtone, it's not a camera."
			- It's irritating in so many ways. 
			- 1. It's simply not true, under any reasonable <a href="http://www.google.com/search?q=define+camera">definition</a> of "camera." 
			- 2. As some have said, it's elitist, and that may be their intention. But the NYC subway is not a very <i>elite</i> environment. I expect to see ads for ambulance chasers and hemorrhoid medicine on the subway. Night school (so you can get a raise and move to Manhattan and stop taking the subway to Brooklyn?). There aren't many environments as <a href="http://www.google.com/search?q=define+proletarian">proletarian</a> as the NYC subway.
			- <a href="http://www.amazon.com/Canon-PowerShot-SD940IS-Stabilized-Black/dp/B002LITT6U/ref=sr_1_1?ie=UTF8&s=photo&qid=1275479049&sr=1-1"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/02/canon.jpg" width="138" height="198" border="0" align="right" hspace="15" vspace="5" alt="A picture named canon.jpg"></a>3. As a camera user, the ad makes me angry -- because no one is making the product I want to buy. I want a high quality, small camera like the <a href="http://www.amazon.com/Canon-PowerShot-SD940IS-Stabilized-Black/dp/B002LITT6U/ref=sr_1_1?ie=UTF8&s=photo&qid=1275479049&sr=1-1">Canon</a> I carry in my knapsack pocket, with the communication capability of my Droid and the user interface of my iPhone. I've wanted this product since 2007 when I saw how easy the <a href="http://www.flickr.com/photos/scriptingnews/4622286703/">iPhone</a> is. Three years later I want so much more. But we're stuck with thinking like Panasonic's. They think they know better than we do, they can tell us what is and isn't a camera. Either you anticipate all our needs, get real responsive or get out of the way.
			- 4. It violates the prime directive of marketing -- the customer is always right. If you're going to tell me I'm wrong, you'd better convince me <i>very quickly</i> or I'm going to think you're an idiot <i>and</i> an asshole. 
			- 5. I don't care about Panasonic. I never intend to buy one of their cameras. But if instead they ran an ad for the product I want, I'd line up outside their store and plunk down the money a month in advance and overpay by a factor of 3 if they said, instead -- "We believe all cameras should have ringtones."
			- 6. All it takes to make them toast is for Apple to make a deal with Canon or Google to convince Nikon to bake in Android. How much you want to bet both things are happening? 
			- 7. Basically I don't like the ad because it reeks of "We know better." I think the sub-text of the ad could be "We're dumb fucks." They pay money to tell me that! Oy!! Oy!! Oy!! 
		- Nick Denton, our first panelist
			- Yesterday I wrote about our <a href="http://www.scripting.com/stories/2010/06/01/lookingForEloquentNybasedS.html">Internet Week panel</a> at NYU. 
			- It's going really well. We have two panelists signed up, and a bunch more invites out. I expect this to be a sell-out, blockbuster, fun, interesting and controversial. There may even be some news made here.
			- Every good panel needs a contrarian, someone who isn't a believer, who hasn't drunk the Kool Aid, one who will call us on our religion. We hope with respect and humor. 
			- I couldn't think of anyone better than Gawker Media founder <a href="http://en.wikipedia.org/wiki/Nick_Denton">Nick Denton</a>.
			- I've known Nick since the beginning of the blogging boom in the Bay Area, the mid-90s. Back then he was a tech entrepreneur, starting the aggregator <a href="http://w.moreover.com/">Moreover</a>. We both embraced syndication technology, Nick from the content side, me from the tech and community side. 
			- I haven't always liked what he's done -- I'm thinking of the much-despised Valleywag, which viewed Silicon Valley as if it were Hollywood. It wasn't a good fit, yeah people sleep with each other, but they're actually married to their jobs. If you're looking for scandal, it's there, but it's not the personal who's-sleeping-with-who kind. At least not in the normal sense of "sleeping with." ";->"
			- But Valleywag is now <i>good</i> -- with Ryan Tate doing the editorial, and digging into the meaningful disasters of Silicon Valley. 
			- Nick is very thoughtful, direct and much in the news. His latest <a href="http://www.macrumors.com/2010/06/01/steve-jobs-on-stolen-prototype-iphone-not-going-to-let-it-slide/">controversy</a> <a href="http://www.appleinsider.com/articles/10/06/01/steve_jobs_talks_lost_prototype_iphone_adobe_flash_at_all_things_d.html">swirls</a> <a href="http://www.scripting.com/stories/2010/03/08/greatPhotoOfJobsAtOscars.html">around</a> the role of sources and reporters in the new world of online news. Couldn't be more on-topic, in a contrary way, to "Sources Go Direct."
			- I couldn't think of anyone better to be our contrarian than Nick Denton, and he accepted, so here goes!
			- The panel will be at 2PM on Wednesday June 9, one week from today. At <a href="http://maps.google.com/maps?q=20+Cooper+Sq&oe=utf-8&client=firefox-a&ie=UTF8&hq=&hnear=20+Cooper+Square,+New+York,+10003&gl=us&ei=rzYGTJLNOIP6lwfzy_H9Cg&ved=0CBkQ8gEwAA&z=16">20 Cooper Sq</a>. It will be open, but seating will be limited. We'll have an invite page up very soon.
	- June 1
		- The dumbest ad ever
			- <a href="http://www.buildyourownnewyork.com/IRT.html"><img src="http://images.scripting.com/archiveScriptingCom/2010/06/01/esb.jpg" width="131" height="375" border="0" align="right" hspace="15" vspace="5" alt="A picture named esb.jpg"></a>I love reading books about advertising.
			- I read one about the famous and <a href="http://www.brainyquote.com/quotes/authors/d/david_ogilvy.html">super-smart</a> ad man <a href="http://en.wikipedia.org/wiki/David_Ogilvy_%28businessman%29">David Ogilvy</a>. 
			- Sitting in a presentation, he noticed the presenter had taped notes on the back of each board to remind him what to say. Ogilvy stopped the show and asked the presenter to flip the boards around. Cut through the crap, basically -- say what you have to say. The people reading the ad want to know what the product will do for them, they're not interested in how cute you are.
			- Maybe. I like elegant products pitched with eloquence. And conversely, when they pitch a product with an idea that makes no sense, I think they should read their own ad, and go back to the drawing board and come up with a new product.
			- As I feel with the ads for <a href="http://www.google.com/search?q=lumix+camera">Panasonic's Lumix</a> cameras. 
			- They've made a massive ad buy on the NYC subway system, or at least on the <a href="http://en.wikipedia.org/wiki/1_%28New_York_City_Subway_service%29">1 train</a> which I take regularly to go up and downtown. 
			- Their pitch is <a href="http://everythingunbroken.tumblr.com/post/605417569/ronworkman-siddman-if-it-has-a-ringtone-its">thus</a>: "If it has a ringtone, it's not a camera."
			- Wow does that tell you a lot -- about them -- and the kind of heat they must be feeling in the market. 
			- The problem is thus: Someday very soon, it won't be a camera if it <i>doesn't</i> have a ringtone. 
			- Just as film cameras were pushed aside by digital cameras, so will non-communicating cameras be pushed aside by ones that communicate.
			- We live in an ever-more-realtime world. If I take a <a href="http://www.flickr.com/photos/scriptingnews/4656529502/">picture</a> of a pizza place, I want to tell my peeps "Hey I'm at this great pizza place." For a lot of reasons. First, to brag. Second to get kudos. And third, maybe someone will tell me what to order. It's happened before. ";->"
			- Gone are the days when we come back from a trip and do a slideshow for our friends. Five years ago we marveled at our ability to upload the slideshow from a London hotel room. Next year that's not good enough -- the pictures need to flow up to the net through wimax or at least 3G, selectively (only the good ones please) and our friends will see them within seconds of us taking them.
			- Someone at Panasonic knows this or the ad never would have been created. And someone else at Panasonic, the guy who owns the ad budget, is in denial. We're privy to an internal conversation that has leaked into the ad boards of the 1 train in NYC. 
			- Update: <a href="http://everythingunbroken.tumblr.com/post/605417569/ronworkman-siddman-if-it-has-a-ringtone-its">Rebuttal</a> -- "The best camera is the one you have with you."
		- Looking for eloquent NY-based sources who go direct
			- The tech industry looks at the web and sees User Generated Content.
			- The publishing industry sees Crowd Sourcing.
			- Both put themselves at the center, but in news it's the <i>sources</i> who are at the center.
			- We're putting together an NYU panel for Internet Week -- people who are frequent sources for news reporters who use blogs to get their story out there.
			- I call this <i>Sources Go Direct.</i> 
			- We want to provide excellent examples to show that the web is about more than traditional journalism, that a new kind of communication is emerging.
			- Examples include: <a href="http://www.fivethirtyeight.com/">Nate Silver</a>, <a href="http://www.avc.com/">Fred Wilson</a>, <a href="http://baselinescenario.com/">Simon Johnson</a>. The ultimate STGD is <a href="http://krugman.blogs.nytimes.com/">Paul Krugman</a>.
			- We're also looking for a contrarian, someone who says that sources can't or won't go direct, but do it with respect.
			- We'll send an announcement of the panel, it will be followed by an open newsroom for bloggers and professional journalists.
			- Likely date/time: 2PM through 5PM on Wednesday June 9 at 20 Cooper Sq, 7th Fl.
			- PS: STGD == Source That Goes Direct.
			- PPS: STGDs are always NBBs. (Natural-born Bloggers.)
		- Another test
			- Oy something is broken.
			- Vat am I gonna do?
