- 10/1/2016
	- Rebooting is as much fun as booting
		- The <a href="http://bloggers.scripting.com/">bloggers river</a> was such a good and easy <a href="http://scripting.com/2016/09/23/otherBlogsLikeScriptingNews.html">idea</a> I kick myself for not doing it sooner. People have said that it's like the early blogosphere ping servers, only better. That it is.
		- One of the reasons we stopped investing in ping servers is that the size of the tech blogosphere overwhelmed anyone's ability to keep up with it.
		- But as things have quieted down now, all of a sudden some of the things we did on the way up make sense again.
		- And what's cool is that servers are now much cheaper and we know better how to scale apps. So the services we created in the early days of blogging will go further. Probably much further.&nbsp;
		- <span>This reminds me of the arguments about market share in what were assumed to be the last days of the Mac in the early 90s when Windows was surging. I said then who cares, there are more Macs than ever now, if it was a good-size market last year then it's even better this year. Same with blogging in 2016.&nbsp;</span>
		- Anyway if you're a blogging programmer, now's a good time to be looking around for interesting projects. There's still enough critical mass to get something going, it seems.
		- PS: The software behind <a href="http://bloggers.scripting.com"><span data-auto-link="true" data-href="http://bloggers.scripting.com">bloggers.scripting.com</span></a>&nbsp;is <a href="https://github.com/scripting/river5">River5</a>.&nbsp;
	- Silos aren't doing us much good
		- Another thought..
		- We aren't getting anything out of the silos.
		- For example..
		- On Twitter today a friend <a href="https://twitter.com/djacobs/status/782186190439059456">said</a> something about good series to binge-watch. I asked him which ones he liked. Not much came back. Then I remembered that I had put together a <a href="http://bingeworthy.scripting.com/">list</a> of my own a while back. I shared it with him and everyone else.&nbsp;
		- Here's the point, why did I have to do the work to assemble that info and then show it to my friends? Why wouldn't this be something the net does for them, and me, and everyone who participates? The answer is that it could! &nbsp;<span>The information exists, the shows you've watched, and the network of friends, they're just on different networks, different social graphs, to use a term that Facebook likes. How many years have gone by where Netflix and Facebook could have integrated their data? But neither wants to. Of course. Why should they. It's their data. <i>But it's our data too.&nbsp;</i></span>
		- Our lives could be richer if the incentives were different for the companies that manage our networks.
	- Donald Trump as Captain Queeg
		- <a href="http://scripting.com/2016/09/30/theElectionIsGreatTvIfNothingElse.html">Yesterday</a> we were thinking of Donald Trump as Archie Bunker, or Walter White. &nbsp;After today's most recent Trump tweets I think it's another <a href="https://en.wikipedia.org/wiki/The_Caine_Mutiny">character</a> entirely.&nbsp;
		- <iframe width="560" height="315" src="https://www.youtube.com/embed/-95QqBXLG2I" frameborder="0" allowfullscreen=""></iframe>
	- NYT reveals Trump tax return for 1995
		- NYT has <a href="http://www.nytimes.com/2016/10/02/us/politics/donald-trump-taxes.html?smid=tw-nytimes&amp;smtyp=cur">obtained</a> part of Trump's tax returns for 1995.
		- He had a $916 million <a href="http://www.investopedia.com/terms/l/losscarryforward.asp">loss carryforward</a> from losses in the collapse of his casino business and airline.&nbsp;
		- Statement from the campaign:&nbsp;<span>“Mr. Trump is a highly-skilled businessman who has a fiduciary responsibility to his business, his family and his employees to pay no more tax than legally required,” the statement said. “That being said, Mr. Trump has paid hundreds of millions of dollars in property taxes, sales and excise taxes, real estate taxes, city taxes, state taxes, employee taxes and federal taxes.”</span>
		- <span>Note they don't claim that he has paid income taxes.&nbsp;</span>
		- <span>They had extensive quotes from Trump's accountant at the time, Jack Mitnick. The last quote puts it in perspective.</span>
		- <i>Mr. Mitnick, though, said there were times when even he, for all his years helping wealthy New Yorkers navigate the tax code, found it difficult to face the incongruity of his work for Mr. Trump. He felt keenly aware of the fact that Mr. Trump was living a life of unimaginable luxury thanks in part to Mr. Mitnick’s ability to relieve him of the burden of paying taxes like everyone else.</i>
		- <i>“Here the guy was building incredible net worth and not paying tax on it,” he said.</i>
- 10/2/2016
	- White men still have a choice
		- I wrote <a href="https://twitter.com/davewiner/status/782569102690902016">something</a> today on Twitter that I never thought I'd say.<blockquote>This election could be cast as White Men Rise Again, one last time. The American Zombie Party.</blockquote>
		- This is the <a href="http://www.newyorker.com/news/daily-comment/the-problem-with-trump-isnt-his-debating-skills?mbid=social_twitter&amp;mbid=social_twitter&amp;mbid=social_twitter">piece</a> in the New Yorker that inspired the outburst. And the specific excerpt:<blockquote>Yet Trump continued [in the debate] his self-congratulations for compelling the President to [provide his birth certificate], along with the grotesquely racist notion that it was “good for him” (i.e., for the President). It slowly dawned on the listener that this was all of a piece with the rest of Trump’s racial attitudes: he believes that, as a rich white man, he had a right to stop and frisk the President of the United States and demand that the uppity black man show him his papers. Stop-and-frisk isn’t just a form of policing for Trump; it’s a whole way of life. The idea that he had a right to force a black man to go through what Obama rightly saw as the demeaning business of producing his birth certificate showed his fundamental contempt for any normal idea of racial equality. It was of a line with his equally bizarre notion that owning a country club that doesn’t actively discriminate against black people is not a minimal requirement of law but a positive achievement of the owner. This isn’t the case of someone misarticulating an otherwise plausible position; it was just a case of someone repeating, once again, not only a specific racist lie but also the toxic underlying set of assumptions that produced it.</blockquote><h4>We still have a choice</h4>
		- The world that Trump grew up in, the one that I grew up in only ten years later, was like this. Enough people remember it. First a black president, now a woman president. That's a lot of change to swallow.
		- As you get older you can take one of two approaches to the world.&nbsp;
		- <ol><li><span>This is my last hurrah and if I don't get my way now I never will. Or,</span></li><li><span>I don't personally have a stake in the future, but I care about others, and want to leave the world better than I found it, in any way possible.</span></li></ol>
		- 
		- To think that all white men are responsible for the continued dominance of white men, is to miss that as individuals we still have this choice. No one has to be committed to the first approach, they can change. When presented with such a gross caricature of white maleness as Trump, we can say no fucking way, this isn't me. I'm human, I care. My choice is to help my friends, family, other members of my species, the earth that gave us life.
		- The confusion over Black Lives Matter, that it doesn't in any way devalue other types of lives, is also true of the dominance of white males in politics and economics. Not being dominant doesn't mean we don't count. However it does mean that when we have a clear choice of competence vs incompetence, we can choose a woman over a man. That our loyalty is to the union of all the people, not just to gender and race.
	- The online village
		- Glenn Beck, <a href="http://www.nbcnews.com/meet-the-press/video/glenn-beck-full-interview-we-re-losing-ourselves-777549379645">today</a> on Meet the Press said something that rang true for me.
		- When we talk it feels like no one is listening.
		- Tell me, is that Twitter, or what?
		- Our culture is forming around the communication tools.
		- The complaints we have about America are our complaints about social media.&nbsp;
		- We need the online equivalent of the village that Hillary talked about when she <a href="https://en.wikipedia.org/wiki/It_Takes_a_Village">said</a> it takes a village to raise a child.&nbsp;
	- Question for Mets fans..
		- Mets fans --
		- Who would you rather play on Wednesday night?
		- St Louis?
		- San Francisco?
- 10/3/2016
	- What to do with Gmail's .mbox file?
		- I just&nbsp;<a href="https://support.google.com/accounts/answer/3024190?hl=en">downloaded</a> all my mail from Gmail. I figured it was time to have a copy of all my email here. Especially so the files would show up in desktop searches along with all my other stuff accumulated over 20-plus years.&nbsp;
		- It took a couple of days for Google to build the archive, and when it arrived it was 15.5GB, all of it in one file with a .mbox extension. I guess I was surprised. I thought it would be a zip archive of a folder structure with text files and the enclosures in another folder. Now that I think about it, I realize this wouldn't work, if you wanted to switch to another email system with your archive intact.&nbsp;
		- BTW, the title of the file is&nbsp;<i>All mail Including Spam and Trash.mbox</i> -- which is all I really know about the file since I haven't opened it yet.&nbsp;
		- Now I know that <a href="https://en.wikipedia.org/wiki/Mbox">mbox</a> is a standard file format, and I might be able to get it to open in the Mac mail app, but there's reason to think the file is too big, based on this <a href="https://www.quora.com/How-can-one-open-mbox-files-on-Mac">Quora thread</a>. I was looking for a way to export all the files as text files. And found that even for a standard and open format like .mbox, there don't seem to be any good choices.
		- Ideally there would be a command line app that converts a .mbox file to a folder structure of text files and another for enclosures.
		- If you have an idea what to do with a .mbox file other than importing it into a desktop mail app, please post a comment here.&nbsp;
	- Less Facebook is OK
		- I've very deliberately scaled down my use of Facebook over the last month. I finally <a href="http://scripting.com/2016/09/04/endingAnExperiment.html">gave up</a> on trying to get them to turn it into a decent blogging surface. Without links, simple styles, titles and podcasts, it was stifling my online writing to try to make it fit into Facebook's limits. If I were them I'd be embarrassed. It's 2016. That shit was innovative in 1992. Facebook is a very serious step backward.
		- So instead of full text, my posts <a href="https://www.facebook.com/dave.winer.12/posts/486563118217765?pnref=story">appear</a> as links. And now going to Facebook has become a much less interesting thing. I decided that's fine. Perfect in fact. They decided that they don't want me to have an interesting time there, by imposing the limits. So I'll create my own fun. It'll take some time, but what's the rush. ;-)
		- When <a href="http://scripting.com/davenet/1995/08/14/eatdrinkandbejerry.html">Jerry died</a> in 1995, I wrote:<blockquote>Like the big tree that fell last March, the death of a huge human being like Jerry Garcia frees up a huge amount of space. Once there was a tree, now there are seedlings. After the sadness, there will be huge creativity.</blockquote>
		- Same would probably be true if Facebook ever relented and stopped stifling the web and embraced it instead. Then the growth could flow through them instead of around them. Ultimately I think the web will go on, treating Facebook like the outage that it has chosen to be.
		- PS: It's worth mentioning that my posts still appear in full text on mobile, with styling and links using <a href="http://scripting.com/2016/04/13/1182.html">Instant Articles</a>. That I get zero engagement on those is also interesting. Not one comment, ever. Zero. <i>All</i> the engagement apparently was coming through the web version of Facebook.
	- IFTTT doesn't like this feed
		- For some reason <a href="http://IFTTT.com"><span data-auto-link="true" data-href="http://IFTTT.com">IFTTT.com</span></a>&nbsp;never detects updates to this feed.
		- <a href="http://scripting.com/misc/nightlyLinks.xml"><span data-auto-link="true" data-href="http://scripting.com/misc/nightlyLinks.xml">http://scripting.com/misc/nightlyLinks.xml</span></a>
		- I have a <a href="https://ifttt.com/recipes/470606-ifttt-doesn-t-like-this-feed">recipe</a> that follows this feed. A new item appears in the feed every night at midnight. It's supposed to send me an email when a new item appears. Never get an email. In the log IFTTT shows no updates. Started the recipe on September 9. Crickets.
		- They asked me, on Twitter, to submit a bug report, but they said they might not respond. I did, and true to their word, they haven't responded.&nbsp;<span>So I thought I might put this out there to the </span><a href="http://scripting.com/">Scripting News</a><span> brain trust, and see if you all have an idea.&nbsp;</span>
		- There's never more than one item in the feed. Which isn't a problem as far as <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> is concerned. I wonder if that's the problem for IFTTT.&nbsp;
		- Any suggestions welcome and appreciated.
- 10/4/2016
	- Podcast: Why it's a shame for Twitter to sell out now
		- <span>I'm nursing a cold. Feeling fine, but my voice is a bit scratchy.</span>
		- Last night I read a <a href="http://www.vanityfair.com/news/2016/10/what-the-twitter-sale-reveals-about-twitter">piece</a> by Nick Bilton about Twitter's sell-off, which apparently, according to Bilton, is underway now.
		- That <a href="http://scripting.com/2016/10/04/mytweets.png">got</a> me <a href="https://twitter.com/davewiner/status/783136482554945536">tweeting</a>, and then thinking, why it's such a shame to have it happen at this point in Twitter's life, when it couldn't be more central to the way news happens and is reported, and when their technology can play such a big role in the evolution of the net.
		- I found it hard to write a post about this, so instead I did a <a href="http://scripting.com/2016/10/04/whyItsAShameToSeeTwitterSellOutNow.m4a">14-minute ramble</a>. Maybe it'll come together more concisely, but I wanted to get this out there now.&nbsp;
	- Do the NYT reporters know their source?
		- I've seen/heard a bunch of interviews with the NYT reporters who covered <a href="http://scripting.com/2016/10/01/nytRevealsTrumpTaxReturnFor1995.html">Trump's 1995 tax return</a>. In all those interviews I've not heard them asked if they know who the source is, and while the interviewers have referred to the source as anonymous, I've never heard the reporters refer to the source that way.&nbsp;
	- screen2.io debate party -- 9PM!
		- Tonight at 9PM Eastern we're going to have our second <a href="http://screen2.io"><span data-auto-link="true" data-href="http://screen2.io">screen2.io</span></a>&nbsp;debate&nbsp;watch party, and you're invited!&nbsp;
		- The video will be a livestream provided by NBC News and YouTube.&nbsp;
		- There's a place to post your comments and questions that all the other people in our group will see.&nbsp;
		- Lots of new features in response to feature requests from the last debate experiment.&nbsp;
		- Echoing to Twitter is something you can turn on and off without visiting the Settings dialog. There's a checkbox above the edit area, just check it to echo to Twitter, uncheck it and only people on <a href="http://Screen2.io"><span data-auto-link="true" data-href="http://Screen2.io">Screen2.io</span></a>&nbsp;will see it.
		- URLs that you enter into the text box are automatically hotlinked.
		- <a href="http://emoji.codes/">Emoji</a> short-codes are recognized. :kiss:
		- As before there's no 140-char limit and text can be styled. Multiple paragraphs.&nbsp;
		- There's a setting that automatically appends a hashtag of your choice to each tweet as it goes out, if echoing is turned on.&nbsp;
		- Lots of little tweaks and fixes far too numerous to mention here.
		- Also if the debate is boring I might add a few features while we watch. I've been known to do that before.&nbsp;
- 10/5/2016
	- Tea-leave reading about Twitter
		- Tea-leave <a href="https://en.wikipedia.org/wiki/Tasseography">reading</a> about Twitter has gotten more interesting as there are <a href="http://www.techmeme.com/161005/p2#a161005p2">leaks</a> coming from top management and the board.&nbsp;I try not to do company gossip here on Scripting News, so suffice it to say that some people at Twitter want to sell out, and <a href="http://www.bloomberg.com/features/2016-twitter-dorsey-strategy/">others</a> don't.
		- As I said <a href="http://scripting.com/2016/10/04/podcastWhyItsAShameForTwitterToSellOutNow.html">yesterday</a> it would be a shame if Twitter sold out now.&nbsp;So while I agree with the people at Twitter who say "don't sell now!" -- I don't agree with their reason. They are imho making a bad&nbsp;bet on the ability of internal development at Twitter to generate the breakthrough needed so that Twitter can achieve its destiny (no sarcasm) as the News System of the Future.&nbsp;
		- I've said many times over the years that Twitter is at least the <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=site%3Ascripting.com%20prototype%20%22news%20system%20of%20the%20future%22%20twitter">prototype</a> of the news system of the future. Now I'd go a step further and say it <i>is</i> the news system of the future.
		- It is. Maybe just for the moment, but all news happens on Twitter these days. I once thought it was extreme to predict that the entire Congress would be made up of blogger and tweeters, but now the presidential campaign of 2016 is happening on Twitter. O<span>ther parts of the Internet are important too. But the center of news flow is Twitter.&nbsp;</span>
		- It's a layer of the Internet. And the company must let it be that. The business model should be like that of <a href="https://en.wikipedia.org/wiki/Amazon_Web_Services">AWS</a>. If you want to build an app on their infrastructure, you pay per message sent. Set up a banking system to make it easy for app devs to collect revenue from users.&nbsp;
		- And link storage to each Twitter account, the way Amazon does with S3. Developers use the storage for their apps.
		- And boom a new app type is born. An app that lives entirely in the cloud and is EASY TO WRITE.&nbsp;
		- The easy part is important for the millions of new programmers who will come online in the next few years.
		- And btw, do the same as Apple did with schools and universities in the early days of the Mac. For students the service is virtually free.&nbsp;
		- This is the kind of reorg that Twitter needs. Undo the mistakes of earlier management, when they moved away from developers. If you're looking for the analog to Apple, and everyone always is, this is similar to how <a href="https://en.wikipedia.org/wiki/Steve_Jobs">Steve Jobs</a> undid the licensing deals done by Spindler.
		- Twitter should be the platform that developers love. It doesn't have to change the way the current management thinks it does. It just has to do much more of what it already does.&nbsp;
		- PS: I've always encouraged the news industry to care about what happens in the tech industry, as it's clear the two are merging in interesting ways. This transaction matters to journalism. I hope the thinkers and visionaries of news are paying attention.
	- Would you share your OPML, again?
		- In 2006 I had a <a href="https://web.archive.org/web/*/share.opml.org">web service</a> called <a href="https://techcrunch.com/2006/05/07/share-your-opml/">Share Your OPML</a>. It was fun. It was a way to see what other people were subscribed to, for news and podcasts. But we hit scaling walls, and the project fell into disuse, and eventually I took it down.&nbsp;
		- Now we know how to scale much better than we did then, and the community is growing more slowly. So I thought it would be interesting to try it again and see what happens.
		- So here's the question -- if I put up a web app that asked for your <a href="http://dev.opml.org/spec2.html#subscriptionLists">OPML</a> would you upload it?
		- The caveats -- 1. It's not private, don't upload anything with information in it that you don't want made public. 2. No guarantees that anything will come of it, nor what will come from it. You can't tell where these things lead. It's just an idea.&nbsp;
		- So think about it. If there were a way to upload your OPML for sharing, would you do it?
	- Meet the Mets!
		- I want to (continue <a href="https://www.theguardian.com/sport/live/2016/jun/19/golden-state-warriors-cleveland-cavaliers-nba-finals-game-7-live-score">to</a>) wipe the big smile off the Bay Area's sports attitude, and I am soooo happy that the Mets get to do it. Perfect.
- 10/6/2016
	- How Twitter is like Napster
		- It was imho a mistake for the music industry to shut down Napster. Having it all in one place had a ton of value that could not be replaced with a dozen incompatible music sharing systems. Yet they did shut it down.
		- Same with Twitter. Having one central news system has a ton of value, a lot more than a dozen incompatible news systems. Yet I'm afraid we're just going to let it <a href="http://www.techmeme.com/161005/p26#a161005p26">fade away</a>, and it will be replaced with who-knows-what.
		- News is in enough trouble to have a central place like Twitter not thrive.
		- I think the blame belongs to management who has been very confused about what Twitter is. But the price will be paid by everyone who depends on the free flow of ideas and info.
	- No joy in Mudville
		- I went to see the most exasperating excruciating exfoliating (sorry I need three) eviscerating most fucked up <a href="http://www.nytimes.com/2016/10/06/sports/baseball/new-york-mets-san-francisco-giants-nl-wild-card.html?partner=rss&amp;emc=rss">game</a> in history.
		- <a href="https://en.wikipedia.org/wiki/Noah_Syndergaard">Thor</a> pitched seven almost perfect innings.
		- I wondered if it was a good move to take him out after seven, but that was the standard thing for the <a href="https://en.wikipedia.org/wiki/Casey_at_the_Bat#Text">Mudville Mets</a>, who have a good bullpen (the Giants do not). Bumgarner stayed in. And as with the Toronto-Baltimore game the night before, a three-run late-inning home run, which would have been bedlam in Flushing had the Mets hit it, knocked the wind out of the New York faithful. A few ne'er-do-wells in the row in front of us, wearing freshly bought Mets clothing, left after that half inning. How like Los Angeles I said to my fellow <a href="https://twitter.com/Noahsyndergaard/status/783896639626940417">heart-broken</a> Metsies. What weak <a href="https://www.google.com/search?q=site%3Ascripting.com+mets+philosophy&amp;oq=site%3Ascripting.com+mets+philosophy&amp;aqs=chrome..69i57j69i58.6759j0j4&amp;sourceid=chrome&amp;ie=UTF-8">philosophy</a>. Good riddance I muttered under my breath. They probably are secretly Yankees fans.
		- We all stayed till the bitter end, and watched the opposing team celebrate on our field. This is the first time Citi Field has been so defiled. We had to tear down Shea Stadium because it was host to the infidels, the New Jork Jankees, who celebrated their <a href="https://en.wikipedia.org/wiki/2000_World_Series#Game_5">world crown</a> on our field. Call out the bulldozers, so say we all. It's time to tear this baby down.&nbsp;
		- No such fate awaits the current home of the Mets. The Giants won the game, fair and square. But the news reports that say the Mets were humbled are unfair and just plain wrong. The Mets were in the game all the way to the bottom of the ninth. Our ace, the only uninjured pitching star in the Mets season-starting rotation, was unhittable. Curtis Granderson made a circus catch in center field, the kind of thing that makes postseason baseball so incredibly intense. The Mets threatened to score a couple of times, if you were generous in your estimation, but they were still our team, always. The Giants? Good luck with the Cubbies. It would be nice to see a match between Los Angeles and San Francisco. For now, I'm going to focus on presidential sports.
	- How Tim Kaine blew it
		- Tim Kaine had the perfect opportunity to explain how the Democrats are listening to the people, really hearing them. Instead he told us how nothing would change when they get (back) to Washington.
		- <a href="http://scripting.com/2016/10/06/debateSnipped.png">Asked how</a> the Clinton team would bring a deeply divided country together, he explained&nbsp;they had experience "working across the aisle" with Republicans, both him and his boss, Hillary Clinton.
		- <ol><li><span>First, all politicians say that, all the time, and it's increasingly not true.</span></li><li><span>Second, you didn't answer the question. The country isn't in Washington, it's everywhere but Washington. That's why people who support Trump who are just Americans, and not white supremacists, are supporting him. On the slim chance that he might wake you guys up to realize that we all need help, and we want to help, and the Republican party line that government has to get out of the way is exactly not what the people are asking for.&nbsp;</span></li></ol>
		- 
		- Here was a chance to explain how the Democrats actually do work for normal people, much more than Republicans. And then just give the standard HRC talking point, how you are going to be the president of everyone, not just the people who voted for you. It's a good one.
		- We all need help, and many of us want to help more than we have been. What we need and don't get from our leaders is leadership. If you can do that, forget about working across the aisle, you won't need to.&nbsp;
	- Hillary's "Daisy" commercial
		- <i>Update: Here's a <a href="http://scripting.com/2016/10/07/ifThePresidentGaveTheOrderWeHadToLaunchTheMissiles.html">HD version</a> of the commercial in this piece.</i>
		- New Clinton TV commercial. I saw it twice tonight on MSNBC.
		- It's like the <a href="https://www.youtube.com/watch?v=dDTBnsqxZ3k">Daisy ad</a> that LBJ ran about Goldwater.
		- An ex-military guy, Bruce Blair (I took note of his name the second time it aired) talks about how he used to be stationed in a missile silo. For years. He dreaded the day when a command would come from the president telling them to launch the missiles. Now he's afraid of what happens if Donald Trump becomes president. Clips of Trump saying how he loves war, or being unpredictable.&nbsp;
		- I'm not the only person who saw the ad. They're talking about it <a href="http://m.dailykos.com/story/2016/10/6/1578627/-Mystery-Clinton-Ad">on Kos</a>.&nbsp;
		- I've looked everywhere for a video of the ad but it's nowhere to be found.
		- This one is going to be controversial.
		- PS: This seems to be an <a href="http://www.politico.com/magazine/story/2016/06/2016-donald-trump-nuclear-weapons-missiles-nukes-button-launch-foreign-policy-213955">article</a> that Blair wrote in Politico.
- 10/7/2016
	- 22 years ago today
		- 22 years ago today I wrote my <a href="http://scripting.com/davenet/1994/10/07/marccantersingsagain.html">first blog post</a>.
		- It went out via email to people I had met at tech conferences over the years, and was <a href="http://scripting.com/davenet/1994/10/07/marccantersingsagain.html">published</a> to the web.&nbsp;
		- I didn't know it would catch on, but I did know it was something new. I was just telling my business friends that there was a product rollout in San Francisco that they might want to go to.
		- Then I followed it up with some <a href="http://scripting.com/davenet/1994/10/13/lettertocannavino.html">ideas</a> I had for people who ran IBM and Apple, and then my <a href="http://scripting.com/davenet/1994/10/14/howtoinvestinpdas.html">vision</a> for PDAs (an acronym for Personal Digital Assistant, today we call them smartphones). Then I got a response and <a href="http://scripting.com/davenet/1994/10/16/randybattatonpdas.html">sent that</a> back out to my followers and something new was born.&nbsp;
		- Many years later this was called a weblog then shortened to blog. It begat podcasting and syndication, and later Twitter and Facebook.&nbsp;
		- All that started 22 years ago today.
	- Two tweetstorms re Twitter (and Salesforce)
		- I just did a couple of tweetstorms, one about Twitter, and one about the combination of Twitter and Salesforce. I figured I should add them to the flow on <a href="http://scripting.com/">the blog</a> too.
		- <ol><li><span>When people say Twitter, the company, is a lost cause they are out of their minds or don't understand systems. Twitter works. There's a&nbsp;</span><span>company behind it that makes it work. The service has a lot of value, not just as servers, but that it's all together in one place. If&nbsp;</span><span>that were to break it could never be replaced. Look at the void left after Napster's demise for a clue. Set us back 20-30 years.</span></li><li>Re Twitter and Salesforce. I've been reading about <a href="http://www.nytimes.com/2016/10/07/technology/twitters-fate-marc-benioff-of-salesforce-addresses-acquisition-talk.html?_r=0">Benioff's</a> ambivalence, and how the market doesn't like the idea, but I think they&nbsp;might be missing how Salesforce has already diversified into basic cloud systems in competition with Amazon, Google, Microsoft. Twitter&nbsp;as system software is probably completely discounted in the market cap of TWTR, but imho it should not be.</li></ol>
		- 
		- Add to this two recent posts about Twitter, <a href="http://scripting.com/2016/10/05/twitterIsTheNewsSystemOfTheFuture.html">the first</a>&nbsp;about its value as the Internet-scale notification system with a UI, lots of users, and unique role as the news system of the future, and <a href="http://scripting.com/2016/10/06/howTwitterIsLikeNapster.html">the other</a>&nbsp;comparing Twitter to Napster.
		- Now we're caught up. ;-)
		- PS: One more thing. This reminds me how, in 1996, I openly <a href="http://scripting.com/davenet/1996/01/26/wecoulddanceagain.html">pleaded</a> with <a href="https://en.wikipedia.org/wiki/Sun_Microsystems">Sun</a> to buy Apple to save the Mac for the world and to own the OS that the users loved most. They <a href="http://www.nytimes.com/library/cyber/week/0125apple.html">thought</a> $4 billion was too much. I bet they wish they had done it.&nbsp;
	- A rye bagel, who knew?
		- Have you ever had a rye bagel?
		- Who knew it could be so good.&nbsp;
		- Happened by accident. 
		- Always be open to new experiences.
	- "If the president gave the order.."
		- Here's the HD version of the ad I wrote about in <a href="http://scripting.com/2016/10/06/hillarysDaisyCommercial.html">yesterday's piece</a>.&nbsp;
		- <span>It's every bit as powerful as I remembered it was. &nbsp;</span>
		- <iframe width="560" height="315" src="https://www.youtube.com/embed/Dc25H2YgbDQ" frameborder="0" allowfullscreen=""></iframe>
- 10/8/2016
	- Sunday night debate at screen2.io
		- We're going to do another Screen2 debate watch party at:
		- <a href="http://screen2.io/"><span data-auto-link="true" data-href="http://screen2.io/">http://screen2.io/</span></a>
		- Tomorrow at 9PM Eastern.&nbsp;
		- I'm working on new features for this party, some of which are already visible on the site.&nbsp;
		- As they become ready to test I'll post the updates to the site.&nbsp;
		- Hope you can be there! :-)
- 10/9/2016
	- Podcast: Love Twitter
		- 14-minute <a href="http://scripting.com/2016/10/09/twitterNeedsLove.m4a">podcast</a>.
		- I'm thinking about Twitter on Debate Day.
		- Too bad it's so unloved by the stock market.
		- Twitter is fine doing what it does
		- It could be better at doing what it does.
		- It's the <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=site%3Ascripting.com%20%22news%20system%20of%20the%20future%22">news system</a> of the future.
		- And <i>now</i> is the future!<br>
		- So make it better at that.
		- Low hanging fruit.
		- Not hard to do.
		- It's about love.
		- Love Twitter.
		- The market will take care of itself.
- 10/10/2016
	- Country before career
		- As I've explained here many times, I used to vote Republican.
		- I switched in the 2004 election, because the war in Iraq.&nbsp;
		- <a href="http://scripting.com/2004/11/03.html">Kerry lost</a>, and I <a href="http://scripting.com/2004/11/05.html#morningCoffeeNotes">swore</a> at that point we needed to find out what was wrong, why so many Americans could vote to continue such a wrong unprovoked stupid war. Then 2008, the crash, and I figured at that point Americans had surely woken up. We elected Obama. We're on our way back! I figured at that point it couldn't revert. But it did. The people who were bitter then are even worse off now, I guess, and they are looking for someone to blame. They're white, so people of color, Muslims, Mexicans, blacks, of course, are who they blame. Which brings out the anti-semitism and we're off to the races.
		- On Friday we learn that after all the things Trump did, the one that causes his fellow Repubs to jump ship is that he boasted of sexual assault, on camera, in a very Trumpian way. <i>That's</i> it? After calling for the assassination of his opponent? Refusing to disavow support from the KKK? Giving comfort to the enemy? Pussygate is what causes his downfall? I doubted it then, I still doubt it now. I think that <a href="https://twitter.com/davewiner/status/785125865520783360">Josh Marshall</a> called it. Trump is certain to lose and the Repubs are trying to salvage what's left of their careers.&nbsp;
		- But wait, he did okay in the debate, so maybe the Republicans will get back on board..&nbsp;
		- But did he do okay in the debate?
		- Now he's <a href="http://www.memeorandum.com/161010/p33#a161010p33">saying</a>&nbsp;that he'll put his opponent in jail when he's elected. He said it in front of millions of Americans. That is imho disqualifying. The Repubs should be denouncing that. But I have a feeling that instead they're going to just ignore it.
		- When did the Repubs decide that their careers matter more than the country? How could they swing back to him just because his bluster fit the template of a Repub presidential candidate? Never mind that his talk was a nonsense word salad of sniffs and barks and threats to dissent.&nbsp;
		- We are truly fucked.&nbsp;
	- Saddam's 1979 purge
		- I've been looking for a video clip of how Saddam Hussein did a <a href="http://www.bbc.com/news/world-middle-east-25363857">purge</a> of the Ba'ath Party in 1979. It was videotaped, I remember seeing it, but I couldn't remember where.&nbsp;
		- A big room. Saddam sitting in front smoking a cigar. A thousand people. They start taking them out of the room one by one, to be shot by a firing squad. People figure out what's going on and freak out. Are they next? He makes his closest allies be part of the firing squad. Really chilling. It stayed with me all these years.&nbsp;
		- I finally found the video on YouTube. It was in a Frontline <a href="http://www.pbs.org/wgbh/pages/frontline/shows/longroad/etc/mind.html">episode</a> entitled The Mind of Hussein. It aired in 1991 during the first Gulf War. Here's the <a href="https://www.youtube.com/watch?v=lfJ1Lw5-W9Y">video</a>, the relevant part starts around 26:16.
		- <iframe width="560" height="315" src="https://www.youtube.com/embed/lfJ1Lw5-W9Y?t=26m19s" frameborder="0" allowfullscreen=""></iframe>
	- Liveblogging is largely unexplored
		- Twitter should work on DJ features.
		- Get us more live video to flow through the platform.
		- Make sure embedding works, so new interactive environments can be created.
		- We'll create bloggy tools for people to host conversations around events.
		- There's a huge untapped source of creativity -- people who are good at directing attention during live events. And there aren't many good platforms for creating interactive environments.
		- Liveblogging is a largely unexplored art.
		- Opportunity.
- 10/11/2016
	- The Deplorables Party
		- I think we'll look back on this period, after the first debate, the Twitter war with Miss Universe, the <a href="http://www.nytimes.com/interactive/2016/10/01/us/politics/donald-trump-taxes.html">leaking</a> of Trump's 1995 tax return, Pussygate, as the period in which the Republican Party finally split in two. The question now is which half is bigger.&nbsp;
		- And that's why you see DJ Trump <a href="http://www.politico.com/story/2016/10/trump-shackles-tweet-229592">turning</a> his guns on Republicans.&nbsp;
		- Paul Ryan, the Speaker of the House leads the "traditional" branch. And Trump and his Breitbart cohort will be in charge of the other branch.&nbsp;
		- It has been <a href="https://twitter.com/CathyTX/status/785613938490826753">suggested</a> that the name of the new party will be The Deplorables, which I think is a good name, along the lines of the <a href="https://en.wikipedia.org/wiki/Medell%C3%ADn_Cartel">Medellín cartel</a> led by <a href="https://en.wikipedia.org/wiki/Pablo_Escobar">Pablo Escobar</a> who called themselves&nbsp;Los Extraditables, because they <a href="https://en.wikipedia.org/wiki/Medell%C3%ADn_Cartel#Fear_of_extradition">feared</a> extradition to the US.
		- Trump, having <a href="http://www.memeorandum.com/#a161011p30">lost</a> the general election with four weeks to go, is free to use the power of incumbency as the nominee of the Republican Party, to tear the party in two.&nbsp;After the election, a fair portion of the Republican base will be loyal to him, and therefore some Republican members of Congress will at least be influenced by Trump, if not formally part of his new party.&nbsp;
		- If he was able to wreak havoc on the Obama presidency with his <a href="https://en.wikipedia.org/wiki/Barack_Obama_citizenship_conspiracy_theories#Donald_Trump">birther</a> campaign, imagine what he can do now, with much larger support in what was once the Republican Party.
		- PS: Maybe Trump isn't Hitler, or Stalin, as we thought earlier, but more like Pablo Escobar?
	- Convert OPML to JSON
		- A friend needed a utility to create JSON from an OPML outline.&nbsp;
		- I had all the code I needed in various projects, so I slapped something together. You might find it useful, so here it is! ;-)
		- <a href="http://dev.opml.org/json/"><span data-auto-link="true" data-href="http://dev.opml.org/json/">http://dev.opml.org/json/</span></a>
		- You can also call it with a parameter. An <a href="http://dev.opml.org/json/?url=https://dl.dropboxusercontent.com/u/36518280/readingLists/davesFavesPodcasts.opml">example</a>.&nbsp;
		- It remembers the last URL in localStorage, if you have cookies turned on.
		- Pretty simple.&nbsp;<h4>Update #1</h4>
		- Soon after I posted this, I realized I had only done part of the job. I wasn't copying in the informationer from the &lt;head&gt; section of the OPML, just the &lt;body&gt;.
		- I also display the version number in the upper right corner of the page. This is v0.41a.
		- I also turned on comments for this post in case people see any problems with the app.
- 10/12/2016
	- Are you ready to share your OPML?
		- <span>Imagine if there were a database of feeds we all subscribed to, and we could get recommendations of new feeds to follow, based on what we already follow.</span>
		- That's the idea behind Share Your OPML, a service I started in 2006. The <a href="https://techcrunch.com/2006/05/07/share-your-opml/">story</a> of SYO is one of success followed by scaling issues. Now we have better technology so it should scale better.
		- Help us get it started by:
		- 1. Export your <a href="http://scripting.com/2016/10/13/whatIsAnOpmlSubscriptionList.html">subscription list</a> in whatever RSS reader or podcast client you use.
		- 2. Upload it to the <a href="http://dev.opml.org/share/">new SYO site</a>. (It's simple, just sign in with Twitter and drag-drop your OPML on the gray box. Takes less than a minute.)
		- If you have questions, post a <a href="http://scripting.com/2016/10/12/areYouReadyToShareYourOpml.html">comment here</a>.&nbsp;
		- Dave
	- Praising DJ Trump after election
		- After the election, assuming Trump loses, we should have a big party for him, like halftime at the Super Bowl, praising him in ways he could only imagine before. He could feel like he was treated fairly and that would be the end. A ticker tape parade down Broadway too.&nbsp;
- 10/13/2016
	- What is an OPML subscription list?
		- <span>If you use an RSS reader it should have the ability to export your subscription list in a format called OPML.&nbsp;</span>
		- The subscription list contains a set of information about the feeds you follow, most important being the URL of the RSS file that contains the items of the feed.&nbsp;
		- Here's an <a href="http://scripting.com/misc/mlb.opml">example</a> of a subscription list, a set of feeds about Major League Baseball.
		- It's important to be able to export your list so that:
		- <ul><li><span>You can switch to a different RSS reader if you want.</span></li><li><span>If you want to share your subscription list with a service that combines your list with those of other people like you and provides recommendations based on the feeds you already follow.</span></li></ul>
		- <span>I am hoping to start a </span><a href="http://dev.opml.org/share/">new service</a><span> that shares feed information called Share Your OPML. It's a reboot of a service I had in 2006 which was quite popular.</span>
		- There's also a <a href="http://dev.opml.org/spec2.html#subscriptionLists">technical description</a>, which is part of the OPML spec.
	- Jay's short-form blogging style
		- Jay Rosen is experimenting with new ideas in blogging, and that's great to see.&nbsp;
		- He wrote a <a href="http://pressthink.org/2016/10/pressthinks-new-design-third-space/">post</a> about the changes on Monday.&nbsp;
		- <ol><li><span>There's a new template for the site, a new look.</span></li><li><span>And there's a </span><a href="http://pressthink.org/board/">new section</a><span> behind the home page (that's how I visualize it) called The Board with "l</span><span>ittle posts that are longer than Twitter updates and shorter than PressThink essays."</span></li></ol>
		- 
		- <span>Have a look at what Jay's done.&nbsp;</span><h4><span>My thinking</span></h4>
		- I've been iterating over this for a long time, myself. I want to tell you about it, with comments mixed in on Jay's approach, to the extent that I understand it.
		- I created a new blogging tool that is <a href="http://blog.1999.io/2016/06/01/0028.html">designed</a> to be as easy to write for as Twitter and Facebook. There's a text box at the top of the page. Start typing in it. That's how you create a new post. But you can go past 140 chars. You can go really long. And unlike Facebook, you can link to other places on the web, you can style text, or add a podcast. Posts can have titles.
		- <span>The thing I learned is there is no reason you can't use this kind of "quick" tool to write "serious" posts. As a software designer, this is an important observation. So you'll see posts of all length on my blog.&nbsp;</span>
		- <span>I'm not sure if this would work for Jay though. His PressThink posts are more substantial than even my most ambitious post. I rarely spend more than an hour writing a post. I see blogging as fresco writing. If I have more to say about a topic, I write a new post and link back to the previous one. This isn't optimized for readers, I know, but it does make it more likely I will write something. So in a way that's there for the readers too.</span>
		- <span>So maybe Jay needs two separate spaces.</span>
		- <span>But -- as a reader, who primarily finds out about Jay's new stuff through his feed, now the newest quickest bits of Jay-wisdom are not available to me unless I visit his site? Or is there another feed to subscribe to? This is something I imagine Jay should think about, because I bet a lot of people read his stuff in the feed as opposed to "visiting" the website.</span>
		- <span>On the other hand, I could see some long-time followers of Jay, the most vocal ones of course, saying they don't like change.&nbsp;</span>
		- <span>I have blown through those objections many times in the past, and no doubt have lost readers because of it. People ask me to do a separate feed for podcasts, but I won't. It falls under the same idea of "if it's too much work I won't do it," something I've observed about myself. I often won't use my own tools if it takes me too far off course. It's the web lifestyle, quick multi-tasking. It's too late for me to get off that train.</span>
		- <a href="https://en.wikipedia.org/wiki/Dan_Bricklin">Dan Bricklin</a>, imho, had the canonical observation on this topic.&nbsp;<blockquote>You look for software features that reward you for using them one percent of the time, and unfortunately there are a lot of products that penalize you for not using them 100 percent of the time.</blockquote>
		- <span>He was commenting on a feature I was trying to create that would make it super-easy to categorize my posts. I couldn't discipline myself to do it regularly, I figured if I over-designed it for quickness, that I might get myself to do it. Nope. Still my writing will only be categorized well if an algorithm does it for me (which seems totally doable).</span>
		- <span>Back to the short-posts thing. What's funny is I had this problem totally solved in the period before Twitter. The home page of my blog could have short items and long ones. The long ones were also archived on separate pages, with comments. The short ones had permalinks that took you to the archive page for the day. It really worked because I had a tool that made it really fluid. And it was pretty good for reading and it all flowed through the feed. Twitter kind of broke that up. And Google Reader finished the job. ;-)</span>
		- <span>An aside, I've always felt posting on WordPress involved too much thought on how to get the software to do what you want. The most common thing for a blogging tool is to create a new post. It is also the barrier to entry. Which says to me that writing should be up front and everything else should be subordinate to it.</span>
		- <span>Jay has identified a space that has gone underserved since Twitter became the place where our short posts go, and our blogs focused on long-form writing to please Google Reader. And more important, he's experimenting with solutions. I hope more people do this as well.</span>
		- PS: I could only find one reference to Dan's quote, in an <a href="http://scripting.com/myTwitterProfile/davewiner/rebootNews/rss.xml">archive</a> of an RSS feed for the podcast Jay and I used to do! It must be out there somewhere else?
	- If Trump interferes with the election, can we count on the police to intervene?
		- Watching all the <a href="http://talkingpointsmemo.com/livewire/timeline-trump-allegations-sexual-misconduct">news</a> about Trump's abuse of women.
		- Listened to Michelle Obama's historic <a href="https://www.youtube.com/watch?v=63IUgqCsA1s">speech</a> in&nbsp;New Hampshire today.
		- The Republican candidate for president is an abuser.
		- Not at all surprising.
		- Then I realized something.
		- The abuses are crimes.
		- So what does it say when so many <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=police%20organizations%20endorse%20trump">police organizations</a> have endorsed him?
		- And when he preaches interfering with voting in black districts, and he has been doing that, can we count on the police to stop it?
- 10/14/2016
	- Podcast: Unnatural acts of concentration
		- <span>A six-minute </span><a href="http://scripting.com/2016/10/14/programmingRequiresConcentration.m4a">podcast</a><span> that explains why programming requires concentration and why programmers do better in offices with doors that close and windows that open.&nbsp;</span>
	- Looking for love
		- <ol><li><span>I know DJ Trump is a very bad person. I know. I really do.</span></li><li><span>Everything he does says "I need love, and I don't know how to ask for it."</span></li></ol>
- 10/15/2016
	- Other people's families
		- When you look inside other people's families what you see can be disturbing. But to the people inside the family, it's just normal, it's life as usual.
		- A story...
		- I once dated a woman, I'm not going to say her real name, so let's call her Beth. An attractive, smart woman. I met her at a workshop and we hit it off. We went out a few times and it became a relationship, if you know what I mean.
		- She invited me to spend the weekend at a house her family owned in the mountains north of San Francisco. She had two brothers, and that weekend they were there too. It was a large house.
		- Something weird was going on. The brothers were incredibly rude to her, and then after a bit it started to get physical. They would bump into her. Push her. Not exactly hitting her, but the contact was deliberate, and clearly not affectionate. They called her ugly names.&nbsp;
		- Privately I asked her what was up. She said they had always been like that and I shouldn't worry about it. But I did! I wanted to say something to the men, hey Beth is a good person, stop fucking around. But there were two of them, and it wasn't my family and it didn't seem to bother her. So I didn't say or do anything.
		- We spent the weekend apart from them. We ate by ourselves. Went for hikes, went to a movie in town.&nbsp;
		- But I never saw her the same way. I was aware this was happening to me, that something was shifting, and I tried to figure it out. The way her brothers treated her still disturbs me to this day. But to her, and presumably to them, it was normal family life. Each of them had their role to play. Her role was to be the outsider, part of the family, but not really.
		- I wonder where this behavior originated. Did their father have a sister who the family treated this way? Was the mother a sister of brothers who they pushed around? How does a family get to a place where this is normal?
		- I mention this now because I see friends trying to figure out Donald Trump. The answer is that we have no insight into what happened in the house he grew up in. What his relationship was like with his parents and siblings. We have little clues, but it's likely even DJT himself couldn't tell you much about it. He doesn't seem like the type of person who has done a lot of self-discovery and digging through his past. It seems as if he just accepted what was given to him as the normal way things are.&nbsp;
		- <a href="http://scripting.com/2005/09/08.html#When:9:06:36AM">September 2005</a>: "Ask a fish to describe water. It can't because it doesn't know that water exists."
	- Men of the 40s from Queens
		- <a href="http://www.greatvavavoom.com/">My uncle</a>, had he lived, would be the same age as <a href="https://en.wikipedia.org/wiki/Donald_Trump">Donald Trump</a>.&nbsp;Like Trump, he grew up in <a href="https://en.wikipedia.org/wiki/Queens">Queens</a>.&nbsp;
		- I loved my uncle, but I have to say, he judged women by their bodies in the same way Trump does. He didn't do it on TV, in front of rallies. But he also didn't make much of an attempt to hide his opinions.
		- He had what I felt were very bizarre ideas about sexual relationships.&nbsp;<span>I've tried to even write down some of his ideas, but I can't even find the words. Things he thought of as betrayals were just people being more complex than he thought they were, or people changing.</span>
		- I heard someone describe Trump as an anachronism, a man who acts as if he just came out of a Las Vegas steam room with <a href="https://en.wikipedia.org/wiki/Rat_Pack">Frank Sinatra</a> and Dean Martin. A man who thinks of women as broads or dames. A pinup girl, a Playboy bunny.
		- On the other hand, he does hire women for senior jobs. Not sure how to make sense of that.&nbsp;
		- But most if not all of who he is, as we're learning about his sexuality, is rooted in America's fading past. It's as if the old Tonight Show starring <a href="https://en.wikipedia.org/wiki/Johnny_Carson">Johnny Carson</a> was back on the air, and life seemed simpler, because the people were younger and happier.&nbsp;
		- Boys will be boys!&nbsp;
		- <span>But as we're seeing through Trump, it</span><span>&nbsp;was also a mean time, not something we should want to return to.</span>
	- First SYO data
		- I just wrote a simple data gathering script that loops over all the OPML files that people have uploaded to <a href="http://dev.opml.org/share/">SYO</a> and generates a list of feeds that more than one person subscribes to, ranked from most popular to least.
		- <a href="http://dev.opml.org/share/data/feedlist.json"><span data-auto-link="true" data-href="http://dev.opml.org/share/data/feedlist.json">http://dev.opml.org/share/data/feedlist.json</span></a>
		- It's obviously a very small sample of users, but it is enough to be interesting and it might give you some ideas for feeds to follow, which is the whole point of doing this.
		- It's funny that my blog is not #1, but it wasn't the last time I ran the service, that was TechCrunch (since they helped promote the service) and that's totally cool. And the person who is #1 totally deserves it.
		- <span>If you want to upload your own OPML data, follow the instructions in </span><a href="http://scripting.com/2016/10/12/areYouReadyToShareYourOpml.html">this post</a><span>.&nbsp;</span>
	- We're living on Caprica
		- The writers of Battlestar Galactica were incredibly <a href="http://thesaurus.land/?word=prescient">prescient</a>.
		- Some small spoilers follow, so if you haven't seen the series and want to stay a virgin, hit the Back button now.&nbsp;
		- The basic plot: a fleet of starships are at war with a race of robots that also have starships.&nbsp;
		- This was the second war, one of the lessons from the first was that you couldn't network the fleet because that was an attack vector from the previous war. I think it might have even been how the humans lost the first war, but my memory is fuzzy.
		- In one episode they had to, for an instant, reconnect the network, and as soon as they did it was flooded with sentient viruses, cousins of the robots they were fighting. Clever, right? I mean if beings in human-like bodies could be intelligent robots, why not mere pieces of software flying around at the speed of light over a computer network?
		- This is of course one of the reasons geeks loved Battlestar Galactica so much. The writers were smart and they thought of stuff like this.&nbsp;
		- Now they were prescient because that is exactly what is starting to happen in a pretty huge way to our civilization, only instead of robots, it's Nazis. We've been seduced by network technology, from Napster to Tinder to Snapchat, Amazon, airlines, your bank, the power grid, cars, everything has an Internet address. We're like the denizens of the BSG world before they learned that there's a price to pay for all that networking.
		- Trump was the best troll ever, but there were already some great trolls that had a lot of practice. Trump was able to troll himself to the Repub nomination. CNN and CBS et al were able to make billions promoting him as a TV show. Now they're running propaganda programs designed by the Nazis and other really evil people who were very effective at creating chaos <i>before everything was networked.</i>&nbsp;
		- The election? That's just the first act. Twitter will still be running after the election.
		- PS: The tech industry appears tuned out, the news industry barely understands the tech.
- 10/16/2016
	- Dems hacked by phishing exploit
		- Buzzfeed <a href="https://www.buzzfeed.com/sheerafrenkel/russian-hackers-faked-gmail-password-form-to-invade-dnc-emai?utm_term=.ocmkk8GqP#.xhrvvLAVb">reports</a>&nbsp;that Jon Podesta's email was hacked with a straightforward <a href="https://en.wikipedia.org/wiki/Phishing">phishing</a> attack.&nbsp;<blockquote>The emails, which were sent to DNC and Clinton staff appeared almost identical to the standard warnings Gmail users get asking them to reset their passwords. Once clicked, the links took users to a page that imitated a Google login page, but which was stealing their password information.</blockquote>
		- It's great to have insight into the systems that the campaign was using. Presumably by now they have better control over email.&nbsp;
		- An important point -- what are the chances the hackers also sent phishing emails to members of the Trump campaign and the RNC? Why wouldn't they. And even if the emails weren't disclosed, they could still be useful to the hackers. Think about the potential for blackmail.
		- Anyway, more articles like this please, translating <a href="https://www.secureworks.com/research/threat-group-4127-targets-hillary-clinton-presidential-campaign">technical reports</a> into terms that anyone familiar with computer systems can understand.&nbsp;<h4>How to avoid phishing attacks</h4>
		- Basically if you get an email saying "change your password and here's the URL," ignore the last part and go to the site yourself. Or you could probably just skip it, figuring that if they put the URL in the email they're probably phishing you.&nbsp;
		- Same if you get a phone call saying it's your credit card company and they ask for your password. Say I'll call you back at the number on the card.
	- The rule of scandal
		- I wish reporters would apply a simple rule to all their reporting of potential scandals. "Is this how a person doing this job does it?" If so, it's not a scandal, it's just someone doing their job, and don't report it as a scandal, or even a potential scandal. (Technically I suppose everything has the potential of being anything. If I make a tuna salad sandwich that is a potential earthquake, somewhere, at some time.)
		- This is a variant of the <a href="https://en.wikipedia.org/wiki/Man_bites_dog_(journalism)">rule</a> that says <i>Man Bites Dog</i> is news but the opposite is not.
- 10/17/2016
	- How I'd teach computer science
		- If I were teaching computer science, I'd start with a working piece of software, probably an <a href="https://github.com/scripting/pagepark">HTTP server</a>, and give the students a series of assignments.&nbsp;
		- Assumptions: The software is documented, has users, and bugs, avoiding breakage is important.&nbsp;
		- 0. Set up and install the software on your own server. Verify and demonstrate that it can handle a request. You can add a new page to the site. Authorize a new user.&nbsp;
		- 1. You've encountered a problem. Write a great <a href="http://scripting.com/stories/2010/06/30/writingGoodBugReports.html">bug report</a>.
		- <span>2. You've got an itch. You wish the software could do X. Come up with a plan for adding the feature, outlining the steps, and how you're going to test the new version. (Two versions of this assignment, one with X specified, and another where the student comes up with X.)</span>
		- <span>3. Write a doc showing the user how to turn on a feature in the product, with all the configuration options.</span>
		- 4. Here's a bug report. Find the problem and fix it, without breakage. How will you verify that there was no breakage. Document the change, and circulate the change note to the users of the product.
		- 5. One of the features of your product is new and competitors are copying it. It's time to document the file formats and protocols it uses so your competitors can interop with you. Write the spec in clear language with numerous examples so users won't get locked-in to their products, or yours&nbsp;for that matter.
		- Most important, this would all be with an existing <i>working</i> piece of software that real people use. Most student projects are scaled-down versions of real-world projects. They don't behave like real communities. Esp because the users have expectations about how the software works.
	- Updated Facebook profile
		- <i>Cross-posted <a href="https://www.facebook.com/dave.winer.12/posts/492009721006438?pnref=story">from</a> Facebook.</i>
		- I freshened up my Facebook <a href="https://www.facebook.com/dave.winer.12?fref=nf">profile</a>.
		- Took off <a href="http://smallpicture.com/">Small Picture</a>, the company exists but it didn't become what I hoped it would.
		- I added my time at Harvard to the profile, though they don't have a way to express non-degree work. I was a researcher and in-house innovator. We got a lot <a href="http://scripting.com/2016/09/06/whyRss20IsAtHarvardInsteadOfMit.html">done</a> in just two years.
		- I also added a 100-char bio. "Media hacker, blogger, software dev, residing in NYC. Always playing with new tools and ideas."
		- Starting to think about next things I want to do.
		- I've more or less created the software I set out to create when I retooled in JavaScript three years ago. It's all there. Now it has become more of a hobby and less of an obsession.
		- Also thinking about relocating. I love NY but now I find I want a hot tub and a pool and more suburban living. Maybe Boston or Portland. Not sure.
- 10/18/2016
	- Online journalism remains unexplored
		- On John Naughton's <a href="http://memex.naughtons.org/archives/2016/10/18/23550">blog</a>, a link to an <a href="http://www.tandfonline.com/doi/abs/10.1080/17512786.2016.1208056?journalCode=rjop20&amp;">article</a> that suggests it might have been a mistake for news orgs to go "digital first." Why? Most of the readers and money are still in the print versions of the news.
		- A disclaimer. <a href="https://www.theguardian.com/profile/johnnaughton">Naughton</a> occupies a warm spot in my heart because he was the only print journalist to acknowledge the <a href="https://www.theguardian.com/technology/2014/oct/12/happy-20th-anniversary-dave-winer-inventor-of-the-blog">20-year anniversary</a> of the blog. None of the other great news orgs thought it was newsworthy, either when it happened, or 10 or 20 years hence. That might appear random, but actually it's not.
		- See it's not exactly a good controlled test they've done in journalism-land, which is more of a <a href="http://thesaurus.land/?word=priesthood">priesthood</a> than a hotbed of innovation. Yes, there were some journalists in the early days of the web who thought it would revolutionize their art, I even learned from them early-on in an experiment I did with the striking <a href="http://scripting.com/davenet/1994/11/07/davesautomatedwebster.html">San Francisco newspapers</a>. But for the most they have gone to the Internet with a feeling of necessity not wonder. You almost never hear a journalist or a journalism exec speak of all the possibilities that open up with electronic distribution, in the way a tech person ponders the exciting future opening up in front of them.
		- The big missed opportunity of electronic distribution of news is that there is no cost of goods. You can include as much content as there is. And therefore you can let the sources, esp ones who are good writers, and who have an ability to put their own interests aside, and write passionately about the issues and opportunities of the day, speak directly to the readers, without having reporters filter and dumb-down what they say. If you've ever had the experience of being interviewed by a reporter and then see how your thoughts are expressed, you know how valuable it would be sometimes to cut out the middleman. They go for the salacious, try to make you look like a hypocrite, on the theory (I guess) that that sells subscriptions. Why should I as a reader care if it sells subscriptions? I read in order to be informed and inspired (and yes, titillated and amused).
		- As with everything, the net offers the opportunity to disintermediate. But journalism has instead approached the Internet as the electronic equivalent of the paper distribution system. Nothing more than that. So why should we be surprised if it fails to achieve the potential promised by the hype?
		- As <a href="http://www.goodreads.com/quotes/21810-it-is-difficult-to-get-a-man-to-understand-something">Upton Sinclair</a> once said:&nbsp;"It is difficult to get a man to understand something, when his salary depends upon his not understanding it!"
		- Imho, that is exactly what's been happening in journalism.
		- Once blogging took hold, there was no excuse for reporters and their bosses to not see the opportunity to help the sources to go directly to the readers. We're still waiting for journalism to embrace that opportunity.&nbsp;
		- Note that other activities online haven't stagnated the way news has. Discussions (Facebook), singles (Tinder), classifieds (eBay), Amazon, airlines, pornography, gaming, entertainment, politics -- all have all embraced online distribution, and all those activities are forever changed.
		- And even news hasn't waited for the news industry. It happens on Twitter now. Why didn't one of the established news orgs see the opportunity to give newsmakers a platform from which to make news? Instead it happened by accident, to a tech org that still doesn't understand how revolutionary what they've created is.
		- Sometimes it's good to flip a statement around and see if it makes sense. "Journalism will always be printed on dead trees." How does that sound? Does that even begin to make sense?&nbsp;
		- Personally, when the web started carrying news I noticed that my print subscriptions to the NYT and WSJ were staying unread, so I cancelled them. I can't even read a printed newspaper anymore. I've tried. I used to have a ritual where I'd buy a printed paper for a plane flight, or treated myself to breakfast out with a printed newspaper. Last time I did it, I took out my iPhone and read the news there instead. It just works better electronically. I can't imagine ever going back.
		- PS: The study cited by Naughton in his blog post is also cited in this <a href="http://www.politico.com/magazine/story/2016/10/newspapers-digital-first-214363">story</a> by Jack Shafer on Politico.
	- The multiple meanings of #
		- It's really interesting how many "format collisions" there are with the # character. 
		- <ul><li><span>First, it is used to delimit #hashtags.</span></li><li><span>In Markdown, when it appears at the beginning of a line, it's treated as a headline.</span></li><li><span>In XML it's used in the representation of a character with its numeric code. For example &amp;#70; is a capital F.</span></li></ul>
		- 
		- This came up when I added Markdown support in <a href="http://screen2.io">screen2.io</a>. When a hashtag appeared at the beginning of the first line, the Markdown processor would remove the # and embolden and enlarge the line text. Not the intention of the author. 
		- How I worked around it. If a # appears as the first character in a post, I replace it with the XML encoding, &amp;#35; -- and so the Markdown processor doesn't see it as anything special and leaves it alone.
		- When the text flows to Twitter, if that connection is enabled, the # is left alone.
- 10/19/2016
	- Love will keep us together!
		- We need a <i>Be Kind To Others Day</i> on social media.&nbsp;
		- I don't know about you but I'm burning out on how SERIOUS all this shit is.
		- And of course this famous Captain and Tennille song would be the theme for BKTOD.
		- <iframe width="560" height="315" src="https://www.youtube.com/embed/xjloX_EvYiI" frameborder="0" allowfullscreen=""></iframe>
	- New investigative journalism technique
		- You know how years ago reporters would do profiles of people by following them around for a few days. Here's an idea. Do that on social media. Go everywhere they go and see how they interact with others. Key thing, these days they don't have to know you're doing it.
	- Small versions of Facebook or Twitter
		- <span>In the old days Steve Jobs used to talk about personal computers being like </span><a href="https://en.wikipedia.org/wiki/Fractional_horsepower_motor">fractional horsepower</a><span> motors.&nbsp;</span>
		- <span>The kind of thing you'd use to create an air conditioner or lawn mower, for example. A Mac was like that, but for computers.</span>
		- We had much success a few years back with the <a href="http://scripting.com/davenet/1997/09/14/FractionalHorsepowerHTTPSe.html">idea</a> of a fractional horsepower HTTP server.
		- And we can do the same for <i>social media</i> server.
		- They're interesting things!
		- I'm playing around with one such community at <a href="http://screen2.io/">screen2.io</a>. Join us there at 9PM Eastern tonight to watch the final presidential debate, share your observations in real time.
		- The technology is nothing revolutionary, but it is easy, both to use and to set up as a server. It may not be the final toolkit, but it's on the path. If there's a next one it will be even easier.&nbsp;
		- Facebook doesn't have an exclusive on easy-to-author content management. And the cool thing is, if I create my own we don't need to accept their <a href="http://scripting.com/2016/10/03/turnsOutLessFacebookIsOk.html">limits</a> on what we can do with it.&nbsp;<span>I'm thinking of the basics of the web -- linking, styles, titles and podcasts. Essential features that Facebook refuses to</span><span>&nbsp;support for users. Unacceptable.</span>
		- And Twitter? Well the 140-char limit is, for me, also unacceptable. There are so many things I can't post to Twitter because I won't hack up my writing to fit into such a small space. You may be a better writer than I am, but I am me, and ideas coming out of my head have to flow through my writing interface. So I'm experiencing a long-term inability to communicate, thanks to Twitter. Again, unacceptable. Finally it's time to do something about it.&nbsp;
		- As I like to say..
		- Still diggin!
		- <a href="http://scripting.com/wavs/curly1.wav"><img src="http://static.scripting.com/larryKing/images/2014/03/13/curly.gif" width="53" height="63" border="0" alt="I'm trying to think but nothing happens!"></a>
		- Dave
		- PS: Summary: 9PM Eastern, <a href="http://screen2.io/">screen2.io</a>, debate watch party.
	- Your many voices
		- People don't understand something very basic about themselves.
		- This: You have many voices inside yourself.
		- You're a virtual community of voices. Always chattering at each other. Disagreeing. Being very personal with the others. Not playing nice.
		- So if you read something and "hear" something in what the author is saying that you don't actually see in the words, that's just one of your internal voices making up shit about the other guy.
		- Because no matter what you do, as harsh as the voices are about you, they are equally hard on the people you interact with, who of course have their own chorus of assholes screaming at them inside their heads.&nbsp;
		- Sorry. I didn't make it this way. And I have them too.
	- How I feel about Google re RSS
		- Imagine that a big banking firm has a corporate <a href="https://www.jpmorganchasecc.com/events.php?city_id=6">event</a> in Central Park.&nbsp;<span>They not only trash the place, but they leave behind such a mess that the park isn't usable again for at least ten years. It's possible it may never recover.</span>
		- Now no one told the bank they had to have their outing in the common space. They could have bought their own land and trashed that instead.&nbsp;
		- That's how Google used and then walked away from RSS. We're trying, slowly, to clean up after them, the best we can. And they keep <a href="https://developers.google.com/feed/">digging out</a> the foundation underneath us.&nbsp;
		- To create such a mess and then just leave as if it has no responsibility to clean up after itself, I think eventually we will understand that that is corporate narcissism in the spirit of <a href="https://en.wikipedia.org/wiki/Exxon_Valdez_oil_spill">Exxon</a> and <a href="https://en.wikipedia.org/wiki/Enron_scandal">Enron</a>. <a href="http://www.forbes.com/sites/mikecollins/2015/07/14/the-big-bank-bailout/#19690aad3723">Goldman Sachs</a> and <a href="http://www.wsj.com/articles/SB122156561931242905">AIG</a>.
		- It seems so <a href="http://thesaurus.land/?word=crazy">crazy</a> for Google of all companies to trash open infrastructure on the net. It seems their whole business depends on it.
	- A personal space invasion
		- I have a small inkling of what it must be like to be a woman in a world of grabby entitled men, because of a near-miss I had on my bike last summer.
		- I was riding downhill on the west side of Manhattan, toward the Hudson River, which is one of my regular rides. A car weaves in and out of the bike lane in front of me and forces me to hit the brakes to avoid getting hit by him. This is a dangerous move, if you brake too hard you go over the handlebars. Not a good thing, it happened to me a couple of years ago and I was in bed for a week. Lots of blood.&nbsp;
		- But I didn't go down, and continued west till I came to a red light and I could see the car that cut me off waiting for the light. As I passed I tapped his window and said he cut me off, very loudly so he and everyone else could hear. This is the kind of loop-close you dream of. Usually the cars just speed away and you're left with all that anger and adrenaline in your blood and nothing to do with it.
		- So I pull up about four car lengths in front of him and wait for the light to change. I hear him getting out of the car, and I think oh shit what if he's a big guy, but I see he's not. He's a little creepy dude.&nbsp;
		- As he approaches, he pulls a familiar west coast passive-hostile line.&nbsp;
		- "Why all the aggression?"&nbsp;
		- Deep breath. I said firmly "Because you almost killed me."&nbsp;
		- "Oh I get it. I have all this metal around me, and your bumper is your skeleton, so I'm sorry I almost killed you." He gets back in the car and we're all okay.
		- But that isn't what happened.
		- Instead..
		- He said "I want to give you a hug."&nbsp;
		- To which I thought, my god a hug is the absolute last thing I want from this piece of shit. I want him to implode and disappear from the face of the earth, or at least get back in his fucking car. But he comes and hugs me. What can I do? Strangle him? I'd go to jail. So I had to let this piece of shit do his thing. And the whole ride and the rest of the day I couldn't get this ugly feeling of having been invaded by something vile and corrupt.&nbsp;
		- And that was just an unwanted hug.&nbsp;
		- I don't want to even think what it would be like if it was more than that. And yes, I had the option at any time of snapping his neck, an option most women don't have.&nbsp;
		- So I have a small idea, a very small idea of how awful it can be.
	- David Bunnell
		- Today, sad news that <a href="https://www.fastcompany.com/3064774/remembering-david-bunnell-1947-2016-the-maverick-who-helped-invent-tech-media">David Bunnell</a> died yesterday at 69.
		- <span>My thoughts.. When when he ran the PC and Mac news mags he was accessible. And he helped small developers like my company, Living Videotext. I got to know him better, personally, when I lived in Berkeley a few years back. He was of my generation in the tech industry. The milestones in his career correspond to milestones in mine. When the PC was new we read his PC Mag and PC World. The day the Mac came out there were copies of his MacWorld Magazine on every seat. It's a very sad day for those of us who knew Dave.</span>
- 10/20/2016
	- What does FiveThirtyEight's number mean?
		- I've been following the FiveThirtyEight &nbsp;<a href="http://projects.fivethirtyeight.com/2016-election-forecast/?ex_cid=rrpromo#plus">polls-plus</a> number through the summer and into the fall. My mood goes up and down with the percentage chance that Hillary Clinton will win.&nbsp;
		- I've always wondered what exactly does the number mean?
		- Look at it this way. If the polls accurately measure people's votes, then there is <i>zero</i> probability that she will lose, because the votes add up to enough electoral votes to win the election.&nbsp;
		- So why is there a non-zero chance of her winning?&nbsp;<span>What could happen that would cause her to lose if the chance of winning is accurate at approx 84 percent?</span>
		- I gave this some thought and listened to Tuesday's edition of the <a href="http://podcatch.com/pages/10332.html">Run-up podcast</a> and came up with this way of expressing it.
		- <i>The polls do <b>not</b> accurately measure people's votes.&nbsp;</i>
		- Here are some ways errors are introduced.
		- <ul><li><span>Pollsters don't weigh demographics accurately. They make assumptions about what percentage of voters will be white or black; Hispanic or Asian; college-educated or not; rural, urban or suburban; rich, middle-class or poor, etc. Those assumptions are wrong. That's a fact. How wrong? That's part of the uncertainty.</span></li><li><span>People don't always tell the truth. </span><a href="https://en.wikipedia.org/wiki/Bradley_effect">The Bradley Effect</a><span>. They tell the pollster something that makes them feel good about themselves (I'm voting for Mother Teresa) but in the end they vote for someone bad (Adolf Hitler).</span></li><li><span>People change their minds. Something happens, a new leaked email shows that Hillary has a nasty habit that we think is awful and disqualifies her. Or Trump turns out to be a sexual predator (oops that's already factored in).&nbsp;</span></li><li><span>Who is likely to vote? A poll respondent who isn't going to vote won't be part of the result, but they might be counted in the polling. You can't simply take them at their word. How should you weigh that?</span></li></ul>
		- 
		- The statisticians at FiveThirtyEight know about these errors, based on past experience with polling vs actual elections, and have theories about how much they affect the outcome. And that's weighed against how close it is. If 9 of every 10 respondents say they are going to vote for Clinton, no matter how big the errors are, they're going to say she's got a near-lock on the election. Not much chance the errors could be so big as to turn that kind of polling into a losing result. On the other hand if it's just 6 of 10 then the errors matter a lot and the election becomes a tossup, "within the margin of error," a pollster might say.
		- So when they say it's an 84 percent likely Clinton win, that means the numbers overwhelmingly say she's going to win, enough to give the statistician a lot of confidence in the prediction. How much? 84 percent. Heh.
	- A VR computer monitor?
		- Is there such a thing as a VR computer monitor?
		- If so it might solve a real problem for me.
		- It's a long story, but because one of my eyes has an artificial lens, I now have to wear a contact lens in the other eye.&nbsp;
		- I know there are progressive lenses but I haven't gotten a prescription that works for me.
		- As a result I have to wear glasses while I use the computer and to read.
		- But my vision when reading the computer screen is awful. Blurry, I see double at times. No matter how I turn my head I can't get a good look at what's on the screen. It's demoralizing. Makes writing harder. Reading is much harder.
		- On the other hand, my normal not-reading vision is much better.
		- I don't know if I'm ever going to get the right reading glasses or get a progressive contact lens that works.
		- All of this is preamble for the question.
		- Can I get a pair of goggles that can be hooked up to my Mac's video, and give me a clear, adjustable view of my computer screen? Adjustable in the sense that I can vary the correction, like switching between 1-strength reading glasses, to 2 or 2.5 or whatever.
		- If they weren't too cumbersome, I would use it to read on my iPad too.
		- Hopefully this question makes sense.
	- What's wrong with Hinderaker?
		- I had dinner with <a href="http://scripting.com/2005/01/23.html#When:3:54:25AM">John Hinderaker</a> at a Harvard blogging conference in 2005. He seemed like a nice guy, and even though our politics at that time were opposite, I thought it was nice that we got along.
		- Over the years however he has gone more and more off the deep end. If he has any knowledge or intelligence, he's suppressing it. I guess it's a business model?
		- I let it slide, there are a lot of jerks in right wing blogging. But <a href="http://www.powerlineblog.com/archives/2016/10/on-accepting-election-results.php">this howler</a> on his site got me thinking. Like a lot of others in right wing media, he's comparing the <a href="https://en.wikipedia.org/wiki/Florida_election_recount">recount</a> in Florida in the 2000 election with the 2016 election.
		- There is no comparison. Gore didn't contest the results of the election, everyone did. I can say that with some authority because I voted Republican in that election. I wanted Bush to win. And I remember the torture leading up to the Supreme Court decision, which we all felt, not just Gore. And I applauded him when he conceded, saying he took one for the country.
		- That race hinged on which way Florida went, and it was a virtual tie. A few hundred votes either way made the difference. And there were enough voting irregularities in that election so that the outcome was in question.
		- <span>Nothing like that has happened in this election. For crying out loud we haven't even </span><i>had</i><span> the election yet!&nbsp;</span>
		- Where Gore showed grace, Trump is putting his own greed ahead of our democracy. He is the opposite of grace. He's not taking one for the country, he's forcing the country to take one for him. So what if we have a 240-year tradition of peaceful transfers of power. Anything to keep himself in the news. Even shitting on the continuity of our government.&nbsp;
		- I wonder what it will take to get the Hinderakers of the world to sober up. Do they get that Trump is a puppet for the Russian govt? If he wins we will be a toy for Putin to play with? We're the greater country John, by far. Why do you support such a <a href="http://www.memeorandum.com/161020/p55#a161020p55">midget</a> of a man for president in his hour of maximum despair? What makes <i>you</i> so desperate?
		- Look I'm not saying you should support Clinton, but how can you support someone in his undermining of our democratic legacy? Is it really his to trash? Is that what you really want? Why?
	- When people show you who they are, believe them
		- If Trump doesn't respect the voters before he's in office, what's the chance he'd let an election vote him out.
- 10/21/2016
	- SYO update
		- A status report on the rebooted <a href="http://scripting.com/2016/10/15/firstSyoData.html">Share Your OPML</a> project.&nbsp;
		- I updated the <a href="http://dev.opml.org/share/data/feedlist.json">feedlist.json</a> file, but this is the last time that file will be updated, if you've built something that depends on it, you should transition to the next version, see below.
		- New file -- <a href="http://dev.opml.org/share/data/syo.json">syo.json</a>&nbsp;includes stats, when the file was generated, how many feeds are in the feed list, and a version number, so this file can be updated without breakage.&nbsp;
		- BTW, I'm doing this work in <a href="http://home.opml.org/">Frontier</a>, which is faster than JavaScript for this kind of work.
		- At this point the <a href="http://dev.opml.org/share/">flow</a> of new OPML files has slowed to a trickle. I'm going to leave this here for a while and see what happens.
	- Planning for post-war America
		- Let's figure out how to use online systems to create some kind of useful collegial communication across red-state/blue-state lines.&nbsp;
		- Citizen-to-citizen. No professional politicians, no media, no campaigners.&nbsp;<span>People who have different views about issues like abortion, the deficit, jobs, culture, even race and gender.&nbsp;</span><span>The thing we have in common is the ability to listen, and appreciate that there are many valid points of view, and we are willing to compromise. We know that in a country that's so large and diverse, no one gets everything they feel they're entitled to. None of us are&nbsp;</span><i>trying</i><span> to get everything for ourselves.&nbsp;</span>
		- Maybe something like the UN after World War II. Right after you fight a war, plant the seeds to help lessen the chance of a new one at least for a few years. Learn the lessons of war. Take steps to foster discussion and listening.&nbsp;
		- There are people in red states and blue states who aren't trying to make a point, to prove something, to achieve total victory -- people who see a bigger picture, that we're one country, and that you have to practice to be one.
- 10/22/2016
	- Imagine if we designed the ads the net shows to us
		- My longtime friend <a href="https://en.wikipedia.org/wiki/Doc_Searls">Doc Searls</a> has a vision, one that I fully endorse, of turning the tables on vendors, in an interesting way.
		- They talk about <a href="https://en.wikipedia.org/wiki/Customer_relationship_management">Customer Relationship Management</a>, which views the world from the vendor's<span>&nbsp;perspective.&nbsp;</span>
		- Doc proposes <a href="https://en.wikipedia.org/wiki/Vendor_relationship_management">Vendor Relationship Management</a>, which is a similar idea, but designed from the customer's point of view.
		- In the CRM view, the vendor creates the products and then sells them to targeted customers. You end up being pitched on things you already have or things you don't want. Occasionally they hit the bulls eye and offer you something you really want. But that doesn't happen often.&nbsp;
		- <span><a href="https://en.wikipedia.org/wiki/3D_printing">3D printing</a> is an example of Doc's VRM idea. The vendor provides the means of manufacturing, you specify exactly what you want. The product is created, sent to you, and theoretically you're happy and the vendor makes a profit. But it depends on the customer becoming a product designer. I might not want to do that. I might just want the perfect product and am willing to pay for someone else, an expert, to design it for me.&nbsp;</span><h4><span>Responsive advertising</span></h4>
		- A more satisfying version of VRM goes like this.
		- I am watching a lot of TV these days, with the election and World Series, and the NBA season starting on Tuesday. I like my couch, but since I'm spending so much time on it, maybe it could be optimized. Or maybe I could add a new piece of furniture specifically for TV watching.&nbsp;
		- How this works in the post-VRM world: I find a way to express the desire, and make it available to vendors, either making it public or putting it somewhere the vendors I've authorized can access. Their bots scan all the requests as they come online, decide if they have a product that might fit the bill. If so, they send me a proposal, otherwise known as an ad.&nbsp;
		- But it's different from the ads we have today, it's <i>responsive,</i> to borrow a <a href="https://en.wikipedia.org/wiki/Responsive_web_design">term</a> from web design. They know what I'm looking for, because I told them, and it can present itself to me in that context.<h4>Examples</h4>
		- Other things I would put in my VRM outbox --
		- <ul><li><span>I'm always thinking about a new place to live, here's what I'm dreaming about now. A place where I can afford a house with a hot tub and a pool, reasonably close to a major airport and at least one good university. Good bike riding. Nearby friends. Also if you find any AirBnB-type rentals in such a place, let me know, because it'd be great to try it out before doing something more permanent.&nbsp;</span></li><li><span>I'm tired of the usual computer conferences. I don't want to pick up a new skill, or meet programmers, or venture capitalists. I'm interested in academic-style conferences about the convergence of news and technology. Or a conference about creating online spaces for reasonable people in red states and blue states to discuss the issues of the day in a civilized manner. I don't mind meeting other programmers and investors in that context, btw.&nbsp;</span></li><li><span>I am tall, but my legs are average size. I have a very large torso. I have trouble finding a good fall or spring jacket that fits. No problem in summer (no jacket needed) or winter, (bulky jackets are fine). It's that inbetween season that's awkward. Send me a catalog of choices.&nbsp;</span></li><li><span>I have </span><a href="http://scripting.com/2016/10/20/aVrComputerMonitor.html">newly configured vision</a><span>. I have yet to find reading glasses that work well for computer use. I know there are people with experience with this, are there any vendors who specialize in such products?</span></li></ul>
		- 
		- These are just examples meant to illustrate the idea. I think when this idea is fully realized it'll feel something like a search engine combined with email-based alerts. And because it's centered on commerce, on money changing hands, there should be plenty of investor money available. Yet I don't see any evidence that investment is flowing this way.&nbsp;
		- Someday commerce will work like this and it will be as revolutionary in comparison to today's net-based shopping as it was to physical-world shopping a few years ago.
		- BTW, on a humorous note, you could think of this post as a VRM query for VRM itself.
	- Thiel buying Twitter?
		- There's a <a href="https://twitter.com/counternotions/status/788752817766801408">story</a> out there that <a href="http://www.nytimes.com/2016/10/20/technology/how-silicon-valley-treats-a-trump-backer-peter-thiel.html?_r=0">Peter Thiel</a> is forming a group to buy Twitter, making their offer as early as next week.&nbsp;<blockquote><i>Bid for Twitter by a new coalition backed by Peter Thiel won't come before Q3'16 earnings results on Oct 27, sources say.</i></blockquote><h4><span>That's astonishing</span></h4>
		- Thiel <a href="http://www.nytimes.com/2016/05/26/business/dealbook/peter-thiel-tech-billionaire-reveals-secret-war-with-gawker.html">sued</a> Gawker out of existence.
		- <a href="http://www.recode.net/2016/7/21/12254284/peter-thiel-rnc-republican-national-convention">Spoke</a> in support of Trump at the RNC.
		- Gave <a href="http://www.nytimes.com/2016/10/16/technology/peter-thiel-donald-j-trump.html">$1.25 million</a> to the Trump campaign.
		- <span>This could be part of Trump's post-election network strategy. Buying Twitter would be a brilliant move. In this context you shouldn't value Twitter as tech properties are generally valued. It's like CNN before the first Gulf War. It's where news makers go to make news. It has no peer, and with network effects, it could be a monopoly for quite some time. To have Thiel in control of that is a very bad deal for everyone who doesn't share his politics. </span><span>The Gawker suit is all the evidence you need of that.&nbsp;</span><h4><span>Background</span></h4>
		- <span>I don't know who </span><a href="https://twitter.com/counternotions">Kontra</a><span> is, but he has a fair number of followers.</span>
		- <span>DHH&nbsp;</span><a href="https://twitter.com/dhh/status/788799275253714944">takes</a><span>&nbsp;the rumor seriously.&nbsp;</span>
		- Here's <a href="http://scripting.com/2016/08/23/gawkerTheOpenWebThielAndZuck.html">what I wrote</a> about Thiel being on Facebook's board.&nbsp;
		- Obviously Thiel owning Twitter is even more serious.&nbsp;
		- PS: Ville Vainio <a href="https://twitter.com/vivainio/status/789856508196622337">observes</a> "He could just do it as a revenge, again."
	- Thoughts of a Mets fan
		- Mets fans aren't dicks, so congrats to the Cubs. Okay I said it. 
		- And there is the consolation of knowing <a href="http://www.nytimes.com/2016/10/23/sports/baseball/cubs-defeat-dodgers-reach-first-world-series-since-1945.html?partner=rss&amp;emc=rss">the Dodgers lost</a>. That was the silver lining of this year's NLCS. Either the Cubs lost or the Dodgers lost. Either way that's pretty good you know.
		- So while everyone else is saying how cool it is that the Cubs won, and the curse is over etc, as a Mets fan, well if the Cubs win the World Series the one team we have looked down on for the entire existence of our team, up till now, well, I guess it'll be hard to do that. But Mets fans are resourceful. We'll probably figure out a way to do it anyway.
		- Our motto used to be that the Mets only really need two other teams. The Cubs so we have someone to beat in the regular season and the Red Sox so we have someone to beat in the World Series.&nbsp;<span>Well, we know what happened with the Red Sox and the Curse of <i>their</i> Whatever, geez so much drama, and now we have to suffer the humiliation of seeing the fucking Cubs in the World Series. Honestly, I enjoyed last year's postseason more.&nbsp;</span>
		- <span>I'll watch the World Series, and it's hard to imagine that I'll root for the Indians, they are after all an American League team and we all know the American League is not a real league. But I don't really think I'll be able to root for the Cubs. I think they'll understand, and they probably won't even give a shit. I wouldn't if I were them.&nbsp;</span>
		- <span>Whatever.&nbsp;</span>
- 10/24/2016
	- The photos are back
		- <span>I love photos on blog posts, but the content management side of it is vexing. It has to be something I'll use. And the pictures have to show up in the preview of the story on Twitter and Facebook, and other places that pull the metadata we embed in our stories for those two services.</span>
		- A few weeks ago, I made the metadata for each story user-editable, and to my surprise, I actually keep up with it. &nbsp;So now it was disappointing when you see this clever or snarky or beautiful picture in Facebook but it doesn't appear on the story when you view it on my site.&nbsp;
		- So I decided it was time to fix that.&nbsp;
		- Now they show up at the top of the page.&nbsp;
		- Let's see if people like it as much as I do. ;-)
	- Dave The Blogger
		- A few days ago I realized I could change <a href="https://twitter.com/davewiner">my name</a> on Twitter without blowing anything up. I had sort of been aware of this feature, but had too many other things swirling through my mind to consider changing it.
		- My first change was simple: Dave The Blogger. It was an instant hit.&nbsp;
		- Then the next day: Dave the Bad Hombre.&nbsp;
		- But then I liked Dave The Blogger again, and so it is now.&nbsp;
		- I like it because:
		- It's simple and friendly.
		- I am a blogger, and have been for a long time!
		- What blogging is&nbsp;has been muddied-up by reporters who decided they were bloggers. Then they decided blogging was over, which really means they realized they were journalists, and not bloggers, even though they never properly asked the question of what a <a href="http://scripting.com/2014/06/27/iKnowWhatABlogIs.html">blogger</a> actually <a href="http://scripting.com/2016/10/24/bloggersAre.png">is</a>. (It's never too late, and it's important.)
		- Since no one else wants it, I decided to claim it myself.
		- Which could result in the <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html">Tom Sawyer effect</a>, which imho would be a <a href="https://www.youtube.com/watch?v=xrOek4z32Vg">Good Thing</a> for blogging. Win-win!
		- No guarantees I won't be something else soon. Halloween is coming up after all! :-)
		- PS: The big controversy is going to be is the word <i>the</i> in the title capitalized or not? To confuse you I have done it both ways in this post! Haha.
	- Wirecutter + NYT is a good idea
		- Good for the <a href="http://www.techmeme.com/161024/p12#a161024p12">NYT buying Wirecutter</a> instead of making their own.
		- I am a big fan of Wirecutter. When they say this is the best keyboard or router, I very often buy it, sight-unseen. The Bluetooth <a href="http://thewirecutter.com/reviews/best-bluetooth-on-or-over-ear-headphones/">headphones</a> they recommended are my favorite. I've bought a second pair (the first was spoiled in a rainstorm) and get them as gifts for friends. They really are <a href="http://scripting.com/liveblog/users/davewiner/2015/12/25/0710.html">that good</a> and are also a good <a href="https://www.amazon.com/Jabra-MOVE-Wireless-Bluetooth-blue/dp/B00MR96TFW/ref=sr_1_1?ie=UTF8&amp;qid=1477337890&amp;sr=8-1&amp;keywords=jabra+headphones+bluetooth">deal</a>.&nbsp;
		- I view Wirecutter as my gadget-savvy friend. I have one in real-life, David Jacobs, who started the <a href="https://www.wired.com/1997/05/fetish-43/">Fetish</a> column in the early days of Wired. When you know someone who knows what's good and can tell you why, just do what they say. It's a way of benefiting from their know-how without having to attain it yourself.&nbsp;
		- I feel the same way about NYT reviews. If a movie gets a Critic's Choice from the Times, I go see it. Even if I end up not liking the movie, and that does happen, I still feel it's interesting to see how my point of view differed from theirs.&nbsp;
		- If they got a cut from the sale of a movie ticket, I have no problem with that. I am pretty confident that their recommendation would be the same, either way -- as I am confident in Wirecutter. And it's&nbsp;<span>good because it helps flow cash through the NYT and the readers know that, but as long as they're finding you good products, this is exactly the kind of stuff you like to pay for.</span>
		- And maybe along the line, their editors will discover niches where there <i>should</i> be products, but aren't. It's good to write those things up too, and some of them could be projects the NYT Co could invest in.&nbsp;
		- If you're gathering the best information first, that can have a lot of benefits, beyond getting people to pay for subscriptions.&nbsp;
		- It's good to see the Times find other businesses that make more sense online than they did in print. Wirecutter and the things that follow from it are certainly one example of such a business.
- 10/25/2016
	- Black Jeopardy on SNL
		- <iframe width="560" height="315" src="https://www.youtube.com/embed/O7VaXlMvAvk" frameborder="0" allowfullscreen=""></iframe>
	- Journalism in 2016
		- <span>I'm as surprised as anyone at how powerful journalism has been in this election season. They seem to control how the mood swings in the country. I think they could probably make it so one candidate wins and the other loses. Is that rigging? Yes, I think it is.&nbsp;</span>
		- <span>I agree with many of the things they say about rigged elections. But I don't think it was a secret, so if you entered the race in 2015, thinking you'd run for president, you don't get to call a do-over just because it is what it obviously was. That's bad sportsmanship. We wouldn't tolerate it in the NFL or NBA, why should we put up with it in politics?</span><h4><span>Social media mirrors what's said on TV</span></h4>
		- On social media, a lot of what you see are just rehashes of what's said on the cable news talk shows. And they just rehash the same talking points over and over. Someone should make a list of them. Basic common-sense ideas that people say to fill the time. It feels at times like its an opera, with each singer asked to sing a part at various times by the conductor, Chris Matthews or John Dickerson or Rachel Maddow.
		- I guess that's journalism? Seems it fits the basic definition. It's not imho good journalism, but that isn't the point. (It's not good because questions that concern voters often don't get asked, just questions that concern insiders. Which causes all discourse, even among voters, to center on insider issues.)<h4>What is journalism?</h4>
		- Then you have to ask the obvious question -- what is journalism? Here goes..
		- You can look at journalism as a process that yields a result. It begins with an interest or a question. Are young blacks voting for Hillary? Find young black people, ask them. Get expert opinions -- talk to pollsters and sociologists. All the time you're doing searches, read what people say on Twitter or their blogs. Write it all up, edit it, add pictures, maybe a video, give it a title, hit Publish. Feedback. Corrections. A process that yields a result, the mechanics of journalism.
		- Of course journalism is also a set of ethical rules. If you have an interest in the topic you're writing about, disclose it. Include context so you reflect not only what the person said, but also their intent. Never include something you know to be false without saying so.&nbsp;
		- PS: This piece was inspired by a <a href="http://nymag.com/selectall/2016/10/citizen-journalism-is-a-catastrophe-itll-only-get-worse.html?mid=twitter_nymag">passionate essay</a> in New York Mag about "citizen journalism." I think the author is correct, but the amateurs are doing it the way the pros do it.&nbsp;
	- A quick note about ObamaCare
		- <span>ObamaCare needs tweaks and updates, it is an ambitious program, but the Dems had two years to get it designed and passed through Congress, all while getting a stimulus through Congress to try to reboot the economy.</span>
		- As soon as the Repubs took control of the House, it all came to a halt.
		- ObamaCare needs updates. Nothing has happened. It has remained frozen for six years. As soon as Congress and the president get together to update it, it'll be working better. It still works well.&nbsp;
		- I am an ObamaCare user, who was very hard to insure before it. I pay my premiums, unsubsidized. I need health insurance.&nbsp;
		- I don't like that Repubs have turned this into a political game. My health is my life. That's fucked up, and the more people understand that, the more real our elections will be.
		- Please help spread the message. As citizens we have no upside in throwing out ObamaCare, and it needs to be worked on. Thanks.
- 10/26/2016
	- Why I'm voting for Hillary Clinton
		- Sometime in the mid-1990s, I was driving on <a href="https://www.google.com/maps/place/Santa+Cruz+Ave,+Menlo+Park,+CA/@37.4380102,-122.2121787,14z/data=!4m5!3m4!1s0x808fa4c73f0ee94b:0x308a308232eb32dc!8m2!3d37.4410003!4d-122.193371">Santa Cruz Ave</a> in Menlo Park. Listening to NPR.&nbsp;<span>They were interviewing a woman. She was talking about education, health care, national politics.&nbsp;</span><span>Deeply intelligent. She spoke clearly, and it wasn't the usual spin, she was telling the truth. A very rare commodity in my experience.&nbsp;</span>
		- <span>I wondered who it was.&nbsp;</span>
		- <span>I got to my destination, a </span><a href="https://www.google.com/maps/place/Draeger's+Market/@37.449232,-122.185272,15z/data=!4m5!3m4!1s0x0:0x3f3a802d2f8cadd!8m2!3d37.449232!4d-122.185272">supermarket</a><span> on University Drive, and waited in the parking lot until they identified her. It was Hillary Clinton. I was surprised.</span>
		- Until that point I had a negative opinion of her, as many people do today. I don't want to say what I thought, it's a case study in snap judgement, coming to conclusions based on <a href="http://scripting.com/2016/10/26/manyPantsSuits.jpg">appearance</a>, gender, the <a href="http://scripting.com/2016/10/19/yourManyVoices.html">voices</a> in my head acting out a movie for my entertainment and distraction.&nbsp;
		- This isn't just about Clinton, or politics, it's a reminder to fact-check your impressions. Why do you feel that way about someone? How connected is the way you feel to who they really are?
		- The value of listening. Really hearing what someone is saying. Quieting the voices in my head rushing to judgement. Shhh. I'm busy listening.&nbsp;
		- There was a flaw in my process. I remembered that years later when I supported her opponent in 2008. Don't underestimate Hillary Clinton. She's not what she seems to be.&nbsp;
		- Why am I voting for Hillary Clinton on November 8?&nbsp;
		- I want that person I was listening to on the radio in 1995 to be thinking about what we can do better in the US and around the world, and empowered to lead us there.
		- She has my support. Even if her opponent weren't so grossly inadequate, I still would be supporting Hillary Clinton.&nbsp;
	- Obama on the warpath, now?
		- It's nice to see President Obama take the gloves <a href="http://www.motherjones.com/politics/2016/10/barack-obama-revenge-tour-darrell-issa">off</a> and tell the truth about what's been going on in Washington in very stark terms.&nbsp;
		- But why did he wait so long?
		- What exactly did he have to lose?
		- I came across a <a href="https://www.youtube.com/watch?v=U9G8XREyG0Q">video</a> from the 2012 election yesterday where he did spell it out, he didn't name the right-wing pundits, Limbaugh et al, who control the Repubs, but he did show their <a href="http://scripting.com/2016/10/26/pundits.png">faces</a> in a cartoon.
		- Anyway, this raises the next question.
		- Did he negotiate with them? Did he try? Did he invite them to a meeting at the White House to discuss policy? If not, why? Afraid to go over the heads of the Republican leaders in Congress? I think they made it pretty clear early-on there was nothing to lose in doing that.&nbsp;
		- One of the things he said in the video which is still true today is that there is a remarkable confluence of economics that pretty much solves all the problems that Trump has taken advantage of in this election.
		- 1. Unemployment in manufacturing jobs in the US.
		- 2. Low interest rates.
		- 3. Need for infrastructure investment.
		- If you laid it out to Limbaugh et al, sought their opinions, as galling as it might be to do so, perhaps that would help break the logjam? Offer them jobs consulting with the new Department of Infrastructure. It's a sort of bribery of course, but relative to the benefit for the economy the price is small. (I can't imagine Al Sharpton would like it though.)
		- Anyway, assuming this never happened, perhaps Hillary Clinton, if she is elected, can reach out to them.&nbsp;Also the Koch's and Shelley Adelson too. And the billionaire <a href="https://en.wikipedia.org/wiki/Robert_Mercer_(businessman)">hedge fund guy</a> who's backing Trump. The worst they can do is say no.
		- To the purists who say you can't do business with these guys, you're wrong. You have to. They have power. If you want to get something done, they can help or hurt. We've had plenty of presidents come to Washington saying they're going to "drain the swamp." This is not a new idea. They always fail. You can pretend that it was possible they wouldn't but it's not.
	- About the new story pages
		- <span>I have been working on my blog, <a href="http://scripting.com/">Scripting News</a>, since its inception.</span>
		- There's always a hole being dug somewhere, and I whip through the home page and the stories on the home page, really quickly and move on to the next thing. I return to the home page a few years later, again very fast before jumping off to the other thing that's on my list. The <i>many other</i> things on my list. ;-)
		- But for the last couple of years, when I'd get back to the blog after digging other holes, I've been moving more slowly, and lingering longer. As a result the tools I have for editing the site are ideal. Really nice for the writer. I owe some of the inspiration to Facebook, which has a great JavaScript-based editor in their web interface. I think I've gone a number of steps beyond that.&nbsp;
		- Anyway I got a nice bit of <a href="https://www.facebook.com/dave.winer.12/posts/495899100617500?comment_id=495909977283079&amp;comment_tracking=%7B%22tn%22%3A%22R%22%7D">feedback</a> from&nbsp;Vitor Miranda da Conceição on my Facebook page about the design work on Scripting News and thought it would be a good time to ask for any other <a href="http://scripting.com/2016/10/26/whatDoYouThinkOfTheNewStoryPages.html">comments</a> or feedback on the new interface. I'm not stopping here, but I'm also not sure exactly where I'm going next.&nbsp;
		- The constant motto of this site is and will be as long as I'm working..
		- Still diggin!
	- Trump, in his own words
		- <span>Michael Barbaro at the New York Times got access to a set of audio interviews in 2014 with Donald Trump, his ex-wife Ivana and his kids.&nbsp;</span>
		- It was <a href="http://www.nytimes.com/2016/10/26/podcasts/what-we-learned-from-five-hours-of-trump-on-tape.html?_r=0">presented</a> in a two-part Run-up podcast.&nbsp;
		- It's totally worth a listen with the caveat that some of it is cringe-worthy.&nbsp;
		- In some ways Trump seems normal to me, for a guy raised in Queens in the 50s. But not all guys from Queens end up running for President after hosting a hit reality TV show, and all the other things Trump has done.&nbsp;
		- Some of the judgements by the commentators are pretty harsh and condescending. But some, especially near the end of the second part, are insightful.&nbsp;
		- There hasn't been anything else like this. I wonder if they're going to make the source audio available. It seems like a good idea.&nbsp;
- 10/27/2016
	- Spread the recognition
		- If you have a couple of hours to listen to the last two episodes of the Run-up podcast, I highly recommend it. I wrote my <a href="http://scripting.com/2016/10/26/trumpInHisOwnWords.html">review</a>&nbsp;in an earlier post. It's all about Trump's personality, based on audio interviews conducted two years ago, before he was running for president. No surprises, exactly, but some blank areas filled in.&nbsp;
		- Many people, not everyone, feel as Trump does. Not enough recognition for my contributions. The key is to realize other people feel this way, not just you. And you can be their source of recognition. Spread a little happiness. Just recognize someone. "I see you," or some variant of that.
		- I know that many people feel too miserable to do that. "I can't recognize someone else until I myself am recognized." But it doesn't actually work that way. The surprise you'll feel when you say something kind, at random, is actually a great form of recognition.
		- Remember, each of us is a <a href="http://scripting.com/2016/10/19/yourManyVoices.html">community of voices</a> inside. The place we're searching for love is in that community, basically inside ourselves. But you can ease those voices into self-acceptance, by simply accepting others, and in doing so help your set an example for your internal voices.
		- Once, when I was picking discussion leaders for a conference my boss asked if I knew that I would be helping people's careers by giving them such an honor. I remember being surprised at this. It had never occurred to me that I had that power. I imagined then that there were many times I had the power, but just didn't realize it.&nbsp;
		- When I wrote the You Are Many Voices <a href="http://scripting.com/2016/10/19/yourManyVoices.html">piece</a>, a correspondent wrote back (link is long-gone, sorry) that he has that too, but the voices all get together when he plays music. I get that! Music is amazing that <a href="https://en.wikipedia.org/wiki/Suspension_of_disbelief">way</a>.&nbsp;
	- Email fantasies
		- Nowadays when I write an email I think what will that look like if the person I'm writing to ends up running for President someday and Wikileaks gets their greedy little hands on their email.&nbsp;
		- Never mind. Let's get back to work.
	- WTF is Twitter doing with Vine???
		- Hey I was burning out on the net so I took some time off this morning, and when I came back, the news was that Twitter is killing Vine.
		- Here's the <a href="https://medium.com/@vine/important-news-about-vine-909c5f4ae7a7#.kborww1e9">announcement</a>.
		- Here's the <a href="http://www.techmeme.com/161027/p7#a161027p7">TechMeme thread</a>.
		- They didn't really announce anything.&nbsp;
		- At some point they're going to discontinue the mobile app. All existing Vines will continue to exist. You can keep making Vines. Nothing changes.<h4>Disclaimer #1: This was written very quickly</h4>
		- Sorry for typos and mistakes and fantasies.<h4>Disclaimer #2: This section is pure fantasy...</h4>
		- This announcement is the product of a meeting where some exec said we have to kill some products to go with the layoffs, what can we kill? He or she goes to the whiteboard, and asks for names of products. Little non-strategic things come up, then the boss writes Vine. Because Jack told them to do that, or it was Jack at the whiteboard.
		- This happened because at the board meeting they said we have to cut back on something, and they decided it would be Vine, probably because they don't use it and the numbers aren't growing, or they don't have an ad strategy for it, or the person running Vine isn't popular inside the company.&nbsp;
		- That's how decisions like this get made.<h4>Back to reality</h4>
		- Of course there are so many problems in cutting off a service, that the best they could do is <i>announce</i> they're cutting it off, not actually cut it off.
		- A better approach would have been to find a buyer for Vine, they must have tried this and failed. The stench of Twitter now among investors is a powerful repellant.
		- Second-best: Spin it off as an independent company, endow it with some cash and your best wishes. At least it'll have a chance.&nbsp;
		- Also, cut things you can cut right now. It's bullshit to announce to the world that you plan to at some point kill a product. That's like telling an employee that they're going to get laid off sometime in the next few months. You just lost the employee when you did that. They may come to work, but they're not going to do anything. Users respond like that too.
		- Cut things users want to see go. Mentions. Start there. Get back the screen real estate.&nbsp;
		- I would then boldly restructure the product, by licensing the API to the world via a liberal open source license, one that can not be reverted. Enable Twitter-compatible server products to be developed. Then create a pool of money to invest in projects building on that API. Want to be really bold? Make grants not investments. This allows the work to be done anywhere, by anyone.&nbsp;
		- Twitter is too good a product to let the whole thing die on the (sorry) Vine.&nbsp;
	- Who should own Twitter?
		- A sequence of tweets posted earlier..
		- <a href="https://twitter.com/davewiner/status/791833829229092864">1</a>. Watch out for Bannon and his hedge fund backer, Mercer, raising the money to buy Twitter with help from other Repub billionaires.
		- <a href="https://twitter.com/davewiner/status/791834049413349376">2</a>. Based on what he <a href="http://fortune.com/2016/10/27/marc-benioff-linkedin-twitter-microsoft/">said</a> publicly today Benioff may still be thinking about ways to own Twitter. It's a powerful rich person's toy.
		- <a href="https://twitter.com/davewiner/status/791834262538518528">3</a>. It might be good to think of the public interest.
		- <a href="https://twitter.com/davewiner/status/791834287507144704">4</a>. Twitter could be the open <a href="http://scripting.com/liveblog/users/davewiner/2015/12/27/0724.html">commons</a> we need to fuel a new boom in tech entrepreneurship.
		- <a href="https://twitter.com/davewiner/status/791834464699678720">5</a>. We all are at a crossroads, not just Twitter shareholders. We have a stake in the future of this communication system.
- 10/28/2016
	- The monthly archive page
		- Fixing broken stuff on <a href="http://scripting.com/">Scripting News</a>.
		- The monthly <a href="http://scripting.com/archive.html">archive page</a> had not been updated since November 2015, that's approximately when I switched over to the new <a href="http://1999.io/">1999.io</a>-based content management system.&nbsp;
		- It took a couple of hours to create a new system, I can now update it using any OPML editor, and the page is less cluttered, or viewed another way it's stark. :-)
		- But it's nice to have the monthly archives updating once again.
		- Also there's a link to the archive page in the <a href="http://scripting.com/2016/10/28/scriptingMenu.png">Stuff menu</a> on all Scripting News pages.
	- Apple makes room for Pixel & Surface
		- Apple is committing two huge blunders at the same time, through the art of <a href="https://en.wikipedia.org/wiki/Deprecation">deprecation</a>.&nbsp;
		- First, with the iPhone and it's lack of a headphone jack. Couldn't come at a worse time when Google came out with a conspicuously iPhone-like Android phone, <a href="http://www.theverge.com/2016/10/18/13310942/walt-mossberg-pixel-phone-by-google">Pixel</a>. Samsung, with even bigger problems, can't fill the gap.
		- I just took a walk around Manhattan and did an informal survey of people's headphones. Except for me, they all had wires. Bluetooth headphones are great, but haven't made a big dent yet, and as we know Apple's famous wireless buds are <a href="http://arstechnica.com/gadgets/2016/10/apple-earpods-indefinitely-delayed-beyond-original-late-october-window/">delayed</a>.
		- Second, well at least all developers use Macs right? But the problem is the new laptops are not going to be great <a href="https://blog.devteam.space/new-macbook-pro-is-not-a-laptop-for-developers-anymore-d0d4b1b8b7de#.98kvyajpu">development</a> machines. And again, the timing isn't great. Microsoft is achieving serious buzz with their new&nbsp;<a href="https://www.engadget.com/2016/10/26/microsoft-surface-studio-hands-on/">Surface</a>. I haven't tried it, changing platforms is such a huge pain. I can go a long way with the iMac I use on the desktop and a relatively new MacBook (with a full keyboard). But if they keep impressing people as they have, who knows?
		- Platform vendors do this a lot, much more than car vendors do, for example. Have you ever heard of a car without a steering wheel? It's going on 100 years. Sure it's old technology, but you can't beat the installed base!
		- I still own Apple stock, btw -- I may think they're blowing it but I haven't sold out yet.&nbsp;
- 10/29/2016
	- Let the email fade out
		- Taking <a href="http://www.foxnews.com/politics/2016/10/29/exclusive-comey-memo-to-fbi-staffers-says-election-timing-required-disclosure-renewed-probe.html">Comey</a> at face-value, the mistake he made was initially saying that the investigation was closed. He could have said something like this:<blockquote><i>For now, we're not actively investigating Secretary Clinton's emails. However if any new information shows up that's relevant we will look into it.</i></blockquote>
		- At the time I guess the Clinton campaign wouldn't have liked that very much, because it didn't offer a clean bill of health, but it would have made announcements like the one he made yesterday unnecessary.<h4>Trump surrogates</h4>
		- Meanwhile, when any Trump surrogate gets on TV saying that Hillary is a terrible choice for president because she is hiding stuff, remind them that their candidate has yet to release his tax returns. If we could see those, I bet he'd have a few questions to answer.&nbsp;<h4>I'm still voting for Hillary</h4>
		- In any case, I'm <a href="http://scripting.com/2016/10/26/whyImVotingForHillaryClinton.html">voting for Hillary</a>. If they had early voting in New York, I would have already voted. Nothing is going to change my vote. Trump is still a disaster even if Huma used Anthony's computer to do email.&nbsp;<h4>Critical sections</h4>
		- In software, there's the concept of a <a href="https://en.wikipedia.org/wiki/Critical_section">critical section</a>. It's a bit of code that, when executed has to not be interrupted, because while it's running the machine is not in a consistent state.&nbsp;
		- We're in a critical section in this election.&nbsp;
		- That's why Comey was wrong to make this announcement at this time. Some time in October the transition started from President Obama to whoever comes next. We're at our most vulnerable right now. We could have expected Putin to throw a wrench into the gears now, but our own FBI Director? That's unacceptable.&nbsp;
		- I understand <a href="http://www.newsweek.com/fbi-reviewing-more-clinton-emails-514825">why</a> he did it, so the Repubs couldn't cry foul after the election. But that's a relatively small thing, Repubs do that at the slightest <a href="http://thesaurus.land/?word=provoke">provocation</a>. We needed Comey to cover us, for the good of the country. Take the hit when it comes, and let the election draw to a conclusion, which it was doing.&nbsp;
		- If we lose this election there will be hell to pay. Not the kind of hell Trump supporters promise if they lose, but the hell that comes from letting a bull run loose in a china shop. From letting the fox guard the hen house. From letting a mob boss run the country.<h4>Let it drop</h4>
		- I think we understand what happened.
		- There are two possible ways to approach it. Insist that the FBI release the information they have, or just leave the whole thing where it is.&nbsp;
		- The two campaigns obviously have to insist that there be a release. But one of them doesn't have to repeat the message at every campaign stop.
		- Comey can now take the hit for us, and refuse. Let the press chew on nothing until they run out of things to say.&nbsp;
		- A week from Tuesday we'll elect a new president and she can worry about it.&nbsp;
- 10/30/2016
	- I'm okay with Trump winning
		- In 2012 as the election was approaching, I wrote a <a href="http://threads2.scripting.com/2012/october/imOkayWithRomneyWinning">piece</a> that said I was okay with Romney winning.&nbsp;<span>Here's the opening paragraph.</span><blockquote><i>If Romney wins, I'm okay with it, because Obama has run a decent campaign, and a mostly honest one. And if people prefer Romney, then we deserve what we get. And I think it'll be really radical. There's a huge difference in direction for us based on who wins this election.</i></blockquote>
		- I guess now it's time to write the piece about Trump winning.
		- So here goes..
		- If Trump wins the financial markets will go crazy.
		- There's a pretty good chance that Trump has made private deals with other governments, including Russia, and that will play out in American foreign policy.
		- Even before he takes office his election will have a chilling effect on free speech. People who are reluctant to criticize him now will be even more careful. People who have openly criticized him will try to clean it up.&nbsp;
		- Racists and anti-semites will come out of from hiding. There might be more of them than we realize.&nbsp;
		- It's hard to imagine how fucked up things will be.&nbsp;
		- With all that in mind, I will be okay with it, largely because I won't have to deal with this alone. Everyone will. Misery will have lots of company. I suspect many of the people who vote for him will be penalized too. So I will have the gratification of knowing that I voted for Hillary Clinton, the only person who stands between us and madness.
	- New Scripting News home page
		- Another change on Scripting News, this time on the <a href="http://scripting.com/">home page</a>.
		- The menubar at the top of the page has moved into a (new)<span>&nbsp;sidebar. Access the sidebar through the </span><i>hamburger</i><span> icon at the upper left edge of the screen.&nbsp;</span>
		- When you click on it, the contents of the page slides to the right, and the menu slides in from the left.
		- Here's a short <a href="https://youtu.be/USDvCsvHeJY">video demo</a> of the new design.&nbsp;
		- The contents of the menu is exactly the same as the previous menu.<h4>Why?</h4>
		- <span>For a few reasons..</span>
		- It's time for a new look.
		- I liked it when the home page was stark. <a href="https://web.archive.org/web/20121003045253/http://scripting.com/">When</a> there was a big Scripting News banner down the left edge of the screen.
		- Honestly, when I implemented this, I thought I would re-introduce that element, but I liked the starkness so much, I wanted to live with it for a bit and see which way I was pulled.&nbsp;
		- I've enabled comments for <a href="http://scripting.com/2016/10/30/theHomePageChanges.html">this post</a>, for kudos, slaps on the back, high fives and yes -- if there's some functionality that's gone or broken, please let me know. ;-)
		- PS: This change is only for the <a href="http://scripting.com/">home page</a> at this time. The story pages work as previously, with the menu at the top of the page.&nbsp;
	- What American really needs
		- I think we need a social network where Americans can discuss stuff that we don't agree on as citizens of the same country, with common interests. I think this is the real problem. Not that conservatives are having a crisis, rather that we rely on a central elite to do our communicating. They are not that smart, and they don't have any idea what we want because they do all the talking and never listen.
	- JavaScript turned off? No problem
		- Brett Glass runs his browser with JavaScript turned off.
		- He <a href="https://twitter.com/brettglass/status/792772766990606336">says</a>: "Could you make the home page static? By default, my browser won't bring up current page."
		- Ay caramba!
		- Short answer: It's fixed. It works now.
		- Here's what happened...
		- Okay, all the content of the <i>Blog</i>&nbsp;tab is baked into the page, so it actually is a static page. I just had to change the default setup so that the Blog tab is visible by default. So, if you have JavaScript turned off you can still read Scripting News. I think that's new, I don't think the old version could do that.
		- Caveat: The names of the tabs will still be displayed above, so that might confuse you. The fix is simple, turn JavaScript on.&nbsp;:-)
	- None of this works
		- I'm watching the <a href="https://techcrunch.com/2016/10/30/gillmor-gang-october-surprise/">Gillmor Gang</a> over on the other screen, and Scoble is ranting about all the crazy stuff Apple is shipping in twelve months, his four sources tell him. This makes me tired, because all the shit I bought twelve months ago is broken, and they can't manage to fix bugs in Chrome without breaking twelve other things. So the next thing I want is Apple to screw around with my heart? Here's the problem Scoble, none of this shit works. Back to our regularly scheduled program. :-)
- 10/31/2016
	- Why are Seattle's bridges so high?
		- I was in Seattle this summer, and one of my big questions coming from the trip was why are the <a href="https://en.wikipedia.org/wiki/List_of_bridges_in_Seattle">bridges</a> so high?
		- I'm thinking of the two bridges that tower over Lake Union.&nbsp;
		- <ol><li><a href="https://en.wikipedia.org/wiki/Ship_Canal_Bridge">Ship Canal Bridge</a><span>.</span></li><li><a href="https://en.wikipedia.org/wiki/Aurora_Bridge">Aurora Bridge</a><span>.</span></li></ol>
		- 
		- Here's a <a href="https://www.google.com/maps/place/Seattle,+WA/@47.6456073,-122.3435737,15z/data=!4m5!3m4!1s0x5490102c93e83355:0x102565466944d59a!8m2!3d47.6062095!4d-122.3320708">section</a> of Google Maps that highlights this area.<h4>Delayed response</h4>
		- My friend Sally Anderson sent a message last night, a <a href="http://thesaurus.land/?word=prodigious">prodigious</a> delayed response, saying she thought it was because the bridges got in the way of boat's masts, and they built them so high so the boats could pass underneath without having the bridges be <a href="https://en.wikipedia.org/wiki/Drawbridge">drawbridges</a>.&nbsp;
		- At first I thought no way, these bridges are much higher than they would need to be to stay out of the way of boats, but then I found out that they had a bridge <a href="https://en.wikipedia.org/wiki/West_Seattle_Bridge_collision">destroyed</a> because a boat hit it, and the bridge had to be rebuilt. This happened in 1978, so it's not ancient history.
		- So maybe her theory is correct.&nbsp;<h4>Alternate theory</h4>
		- I offered an alternate theory.
		- I think they built the bridges so high because they could and it blew them away.
		- They looked at the bridges after they were built and said "Holy shit those bridges are way up there!&nbsp;<span>We are very cool."</span>
		- Because I think like an engineer. ;-)
		- PS: Brent Simmons, who lives in Seattle,&nbsp;<a href="https://twitter.com/brentsimmons/status/793097215564652545">adds</a>: "We also have bridges so low they float on the water."
	- An election about freedom
		- It's now the last minute, the eleventh hour, the last chance for Americans to use the First Amendment to keep the Constitution alive. &nbsp;
		- Britain had a referendum on whether to remain in Europe. A small thing compared to what America is deciding, whether or not to remain free.
	- Writing more clearly
		- Over on Facebook my longtime friend Bob Frankston was <a href="https://www.facebook.com/bob.frankston/posts/10153939380083021">ranting</a> about grammar checkers. He didn't like how Microsoft Word criticized his writing. But I agreed with the software, and said so in a comment.&nbsp;
		- A discussion ensued, with no meeting of the minds.&nbsp;
		- Later I was linkblogging a quote from a Joan Walsh <a href="https://www.thenation.com/article/the-dangerous-cowardice-of-james-comey/">piece</a> in The Nation, and I had to make it shorter so it would fit into a tweet. As I did the edit I realized I was making the sentence more neutral, simpler, imho better, leaving it to the reader to draw his or her conclusions, and again imho presenting the idea more clearly.&nbsp;
		- Here's the original sentence:<blockquote> Chaffetz’s behavior raises lots of questions about possible collusion between rogue FBI agents and GOP oversight committee members.</blockquote>
		- And the edited version:<blockquote>Chaffetz’s behavior raises questions about collusion between FBI agents and GOP oversight committee members.</blockquote>
		- My version removes "lots of," "possible" (we already said it was a question, saying it's possible says the same thing again), and "rogue" (I don't know what that means in this context). Every other element of the sentence must be there to convey the meaning. And none of the omitted words are needed.
		- Just an example. Not a big deal. ;-)
	- The aliens reveal themselves
		- This is the moment in the science fiction book when the alien spacecraft reveal their presence over the major cities of Earth.&nbsp;
