- 5/1/2017
	- A Mac backup problem
		- A question/problem for my Mac system friends.
		- A few weeks ago <a href="https://en.wikipedia.org/wiki/Time_Machine_(macOS)">Time Machine</a> backups of my internal hard drive started failing. The error message (which is no longer available so I can't quote exactly) says that I should check the disk that I'm backing up to. I did, with <a href="https://en.wikipedia.org/wiki/Disk_Utility">Disk Utility</a>. It's okay. 
		- So I did a backup with another disk, and another, and another. I even bought a brand new disk, formatted it freshly, and the backup there failed too.
		- So I conclude that the error message is lying, that the problem isn't with the media I'm backing up to, it's the source disk that has the problem. So I checked it with Disk Utility. It says it's fine. 
		- So now I have a conundrum. I wanted to do a backup and then start using the new drive as my boot disk. But I obviously cannot do that. Unless one of the brilliant people who reads this has an idea what I can do to get one good backup from the internal disk, before saying sayonara!
		- Any help much appreciated.&nbsp;
		- PS: Yes I know I can start over from scratch. No need to suggest that. Thanks.
		- PPS: I <a href="http://scripting.com/2017/05/02/macOsIsAHugeMess.html">decided</a> to start over from scratch. It's working out pretty well.&nbsp;
- 5/2/2017
	- Three pieces from 1997
		- I wrote three posts in early May 1997, exactly 20 years ago.
		- I remember at the time thinking these were special. That I was figuring stuff out, coming into my own as a writer, and at the same time creating a record of the process that got me there.&nbsp;
		- Here are the three pieces:<ol><li>May 2: <a href="http://scripting.com/davenet/1997/05/02/ProofthatyouExist.html">Proof that you exist</a>.</li><li>May 5:&nbsp;<a href="http://scripting.com/davenet/1997/05/05/DoyouhaveaHead.html">Do you have a Head?</a></li><li>May 7: <a href="http://scripting.com/davenet/1997/05/07/Programmers.html">Programmers</a>.</li></ol>
		- The last one is imho the best. But they go together. 1-2-3.
		- Dave
	- Mac OS is a huge mess
		- Here's how I solved the Mac backup <a href="http://scripting.com/2017/05/01/aMacBackupProblem.html">problem</a>.
		- Wiped the big new disk, fresh-installed the latest Mac OS on it (Sierra).
		- Booted from the new disk.
		- Downloaded and installed the software I need to run my world. Chrome, GitHub, Atom. Copied the OPML Editor from the previous boot disk.
		- Installed Dropbox and logged in. Let it populate. This is actually a much bigger step than installing the OS. Hopefully it'll be done by tomorrow morning. In the meantime I can use the machine.
		- When it's done, I'll turn on Time Machine with an empty fresh disk as the backup device. 
		- Eventually I'll wipe the old internal startup disk, assuming everything goes well.<h4>The mess that is Mac</h4>
		- Ever been to <a href="https://en.wikipedia.org/wiki/Pennsylvania_Station_(New_York_City)">Penn Station</a>?
		- It used to be a <a href="https://upload.wikimedia.org/wikipedia/commons/thumb/3/39/NYP_LOC5.jpg/544px-NYP_LOC5.jpg">majestic</a> structure, a train station from the age of trains.
		- When a city's rep was a function of the majesty of the station.
		- Then they decided majesty didn't matter, <a href="https://nycarchitectureandurbanism.files.wordpress.com/2015/03/huxtable-farewell-to-penn-station-1963.pdf">and</a> they <a href="https://en.wikipedia.org/wiki/Pennsylvania_Station_(New_York_City)#Demolition_of_the_original_structure">decapitated</a> it. Removed the majesty and kept the trains.
		- The Mac OS is kind of like that. I don't remember Penn Station before it had its head lopped off, but I do remember the Mac.
- 5/3/2017
	- What if you fell for the phishing hack?
		- As I did..
		- I immediately went into <a href="https://myaccount.google.com/security#connectedapps">Google's security site</a> and deauthorized all apps that I had given access to my account.
		- I had been very conservative about giving access, so all I had were (what appeared to be) Google services and AirBnB. I deleted all of them.
		- I'm guessing that they make it look like they're Google Docs?&nbsp;
		- Not sure about that. &nbsp;
		- The phishers got access to my Gmail and contacts. Not so worried about the contacts, there the damage is that they transmitted the phishing email to them. Hopefully they were all smarter and most suspicious than I was.&nbsp;
		- Anyway what else is there to do? Not sure..
		- I changed passwords on a bunch of important accounts, just for good luck, not that I think the passwords for any of those accounts are in my Gmail inbox.
		- If you have other ideas, or questions post them here.
		- PS: Here's a Buzzfeed <a href="https://www.buzzfeed.com/blakemontgomery/if-you-just-got-an-unexpected-google-doc-dont-open-it?utm_term=.nnqpXyZOv#.cj0kpJnD6">story</a> about the scam.&nbsp;
- 5/4/2017
	- Phishing phollowup
		- We did not get a clear statement from Google re the exposure of users who fell for the phishing attack. They did access our email, yes? Can we get any info about how much they read? Does Google keep logs?&nbsp;
		- Suppose I disconnected all connected accounts. Were the phishers still able to access my account after I cut off permission? Did their script stop working? I suspect not because when I cut off Chrome it seemed to still have access to information in my Google account.&nbsp;
		- There's a lot that we don't understand about how Google uses permissions. Usually it's not crucial, but today, if you fell for the trick (as I did) it's very important to know how much exposure there was, and perhaps continues.
		- Assurances that they've protected about this in the future isn't very consoling if you're exposed right now.&nbsp;
		- I have to say the work that professional reporters did on this was totally inadequate. Mostly just rote security theater. Change your Google password, enable 2-factor? These have nothing to do with a phishing attack. Our passwords were never exposed. If anything you should change the password on every account <i>but</i> Google. (Of course it does no harm to change the Google password, and I did. But more important to change passwords on accounts that communicate to you through GMail.)
		- Google could help us in ways they haven't. A <a href="https://twitter.com/googledocs/status/859878989250215937">three</a>-<a href="https://twitter.com/googledocs/status/859879050738753536">tweet</a> <a href="https://twitter.com/googledocs/status/859879107349291008">advisory</a> is <a href="https://twitter.com/googledocs?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor">not</a> enough for something this serious. If I was able to take time to write a <a href="http://scripting.com/2017/05/03/whatToDoIfYouFellForThePhishingHack.html">blog post</a> explaining what the exposure is, then a company the size of Google can do that and should do much more.&nbsp;
		- PS: I have an idea how influential Google is. I feel some trepidation in criticizing them. I imagine reporters whose livelihood depends on access to Google have even more at stake. We have to go through that fear. Google doesn't need protection from us, for now we need protection from Google more.&nbsp;
	- iPocalypse?
		- An idea for a movie...
		- A bad update bricks all iPhones world wide instantly.
		- People wander the streets of cities aimlessly, staring at their now dead iPhones, trying to remember what they're supposed to do.
		- Huge traffic jams snarl the freeways, with cars stopped, drivers not knowing where, or even if to exit.
		- A team of crack programmers work thru the night trying to fix the bug, give up, and then realize they lost the backup.
		- Final scene, POTUS puts the world out of its misery and launches the nukes.
- 5/5/2017
	- What if more people understood journalism?
		- <i>Long-term if we want a more functional civic society, make a course in basic journalism a requirement in high school and college.</i>
		- A simple idea, but this is a hangup in the education world, where journalism education is often run by journalists, or by academics who need to maintain good relations with journalists.&nbsp;
		- Pretty sure they don't want the masses to know how to do what they do. But with the advent of the web, when publishing became almost free, the education system should have adjusted and started teaching journalism far more broadly. A society that was fully excited about technology would have. And we might have headed off a lot of the crises we're dealing with now.
		- I tweeted the message at the top of this post, <a href="https://twitter.com/davewiner/status/860521499341578240">cc'd</a> to future-of-journalism people I know in academia. I'm not trying to embarrass anyone, but I think this needs to get on the agenda, and I don't see how anyone but a blogger is going to do that.
		- Of course blogging is interested in having lots of people understand journalism. It's on the path to fully developed blogging, not just from a technological standpoint but from a human standpoint.
		- Another way to look at it. We have new incredibly powerful tools for journalism, and have very little or no idea how to use them, or what they are capable of, and what they do for (and to) journalism.&nbsp;
	- I want my old blog back
		- Before 2010, on <a href="http://scripting.com/">my blog</a>, I could have long and short items. I could use HTML. Link to as many places I wanted, where ever I wanted. There was no character limit, so the short items could grow if they needed to. The same format could accommodate post-length bits with titles that were archived on their own pages. Every item appeared in the feed, regardless of length, regardless of whether it had a title. I could shuffle the order in a given day, easily, because the text was on rails, edited in an outliner.&nbsp;
		- It was great. I didn't know how good I had it at the time.
		- When Twitter became popular it threw a monkey wrench in my blogging act. Where to put the short items? So I stopped posting small items on my blog. And everything needed a title to make Google Reader happy.
		- There was a gap, items that were longer than 140, or had multiple links, but were too short to get a title. There was no place for them. So much work for something small.&nbsp;
		- I'm just writing this evening to say I want my old blog back. I liked the freedom. My ideas flowed better.
		- You know some of blogging is about writing for other people, but I also write to organize my thinking. Scattering things all over the place makes me disorganized. I want it help me focus, to <a href="http://scripting.com/2013/08/28/programmingPhilosophyModularize">factor</a> my thinking.
		- PS: Here's an&nbsp;<a href="http://scripting.com/2005/10/20.html">example</a> of a day on my old format blog, chosen at random. <a href="http://scripting.com/2006/10/20.html">Another</a>. <a href="http://scripting.com/2008/10/20.html">Two</a> <a href="http://scripting.com/2009/10/20.html">more</a>.
- 5/6/2017
	- Do good now
		- If you're running a campaign -- think about what you can do now that makes the world a better place. Your campaign is drawing huge attention and money. Most of it is wasted on lies and attack ads. Take a small portion of the money and attention to start doing now the things you hope to do when you're in office. This will turn out to be good politics too. And the process can continue after you're elected. it will make sure you're not too deeply ensconced in the bubble of government. And if you lose, at least you can say the campaign was good for everyone, people who voted for you and people who voted for the other guy.
	- How a podcast should advertise its RSS feed
		- This came up in a <a href="https://twitter.com/davewiner/status/860898111849472001">thread</a> on Twitter, and I realized there is no write-up or even an example of a good way to advertise an RSS feed on your podcast page.
		- Here's the problem. If you put a link to the RSS feed alongside the links to iTunes and Stitcher and whatever else, you're going to get a bunch of emails from users about how your site is broken. I know, because I've gotten those emails.&nbsp;
		- So you're in an organization and the boss says <i>Do something about this! </i>So what's the easiest thing to do, considering that you're an overworked web content person? Remove the link. You feel a little guilty because you know you're removing a resource that you yourself would want there, but this is your job, and you have to keep the boss happy.&nbsp;
		- I just want you to know that I understand. I get it.
		- So here's the optimal answer.&nbsp;
		- Create a simple <a href="http://scripting.com/misc/rssfeed.html">page</a> that says "This is a link to our RSS feed. It's used by developers and hobbyists to build their own listeners and it helps support innovation on the internet."&nbsp;
		- Right below that put a plain link to the RSS feed. Assume the user knows to right-click. Remember this is for developers and hobbyists.&nbsp;
		- Point to that page from your podcast landing page, using the <a href="http://www.feedicons.com/">RSS icon</a> alongside all the others.&nbsp;
		- Tell your boss it's good for flow, will get more listeners, especially technical people who you can hire to help me (the overworked web content person), and yes you probably still will get some emails because some people like to write emails, but you will know that you're feeding the <a href="http://scripting.com/liveblog/users/davewiner/2015/12/27/0724.html">commons</a>, and helping other developers innovate, and also keeping podcasting from being controlled by silos. All that from a little icon! :-)
		- Here's an <a href="http://scripting.com/misc/rssfeed.html">example</a> of such a page...
		- One more thing, there is a <a href="https://www.petefreitag.com/item/384.cfm">standard way</a> to advertise an RSS feed, and it's supported by all the browsers. It works too, and if you have a choice between one or the other, use the standard way.&nbsp;
- 5/7/2017
	- My Mac seems happy!
		- Knock wood, I think I have all the glitches out of the setup of my main Mac. No <a href="https://discussions.apple.com/thread/304157?start=0&amp;tstart=0">rainbow cursor</a>, and <a href="https://en.wikipedia.org/wiki/Time_Machine_(macOS)">Time Machine</a> is backing <a href="http://scripting.com/images/2017/05/08/timeMachineWorked.png">up</a> the system. And I have a huge amount of space on my external boot disk. These were the main problems with my previous setup.
		- To get it done, it wasn't enough to get the new external drive set up, I also had to format the internal drive. And that was a little tricky, for me at least.&nbsp;
		- So I'm happy to have a radically nice desktop computer setup. Finally.&nbsp;
		- It should not have to be this hard...
		- <a href="http://en.wikipedia.org/wiki/Cheesecake"><img src="http://scripting.com/images/2012/05/30/cheesecake.gif" width="50" height="42" border="0" alt="A picture of a slice of cheese cake."></a>
- 5/9/2017
	- Manifesto: Rules for standards-makers
		- I've used all kinds of formats and protocols in a long career as a software developer. 
		- I also have created a few, and have had to fight to keep them independent and unowned, with varying degrees of success. This set of rules represents what I've learned.
		- If we work together on a project based on open tech, these are the principles I will try to stick to. I wanted to put all this in one place, so I can pass it along to future software developers.&nbsp;<h4>Rule #1: Interop is all that matters</h4>
		- 	The only reason we have open formats and protocols is so our software can interoperate. <h4>Why interop?</h4>
		- 	We want interop so that our users are free to move.
		- 	So our products compete on the basis of performance, features and price, and not lock-in. 
		- 	This is as basic as the&nbsp;<a href="https://en.wikipedia.org/wiki/Hippocratic_Oath">Hippocratic Oath</a>&nbsp;that doctors take.
		- 	It honors and respects the users of our products.<h4>There are tradeoffs in standards</h4>
		- 	There are few absolutes in standards work, some rules even contradict others, so you have to think, and strike a balance. <h4>Software matters more than formats (much)</h4>
		- 	Too often people try to design a format first, and then make software that conforms to the format. You might get some good demos. But not much chance of developing a standard that way.<h4>Users matter even more than software</h4>
		- 	People choose to interop because it helps them find new users. If you have no users to offer, there won't be much interest in interop.<h4>One way is better than two</h4>
		- 	No matter how much better the new way is, you'll still have to support the old way. <h4>Fewer formats is better</h4>
		- 	If you can replace two formats with one, without breakage or loss of interop, then I say go for it.
		- 	Removing complexity from the world is always good. 
		- 	Think of this like code factoring, but on a larger scale.
		- 	This is 1/2 of Postel's robustness <a href="https://en.wikipedia.org/wiki/Robustness_principle">principle</a> -- be conservative in what you send.<h4>Fewer format features is better</h4>
		- 	If you want to add a feature to a format, first carefully study the existing format and namespaces to be sure what you're doing hasn't already been done. If it has, use the original version. This is how you maximize interop. <h4>Perfection is a waste of time</h4>
		- 	I've witnessed long debates over which name is better than another. 
		- 	I once led a standards discussion beginning with this rule: We always had to come up with the <i>worst possible </i>name for every element. That way when someone said "I think foo is better" (and they did) we could all laugh and say that's exactly why we won't use it. 
		- 	It totally doesn't matter what we call it. We can learn to use anything. There are more important things to spend time on. 
		- Think of people whose first language isn't English. To them the names we choose are symbols, they don't connote anything. <h4>Write specs in plain English</h4>
		- 	I write for people who have brains, like to think, are educated, care about interop. I understand that people reading specs are not computers. <h4>Explain the curiosities</h4>
		- 	I also try to explain why things are as they are because people seem to be interested. But only after explaining how it works and providing an example. <h4>If practice deviates from the spec, change the spec</h4>
		- 	In writing the spec for RSS 0.91, I found that a lot of the limits imposed by the earlier spec were being ignored by developers. So I left the limits out of 0.91 spec. No one complained. 
		- 	After RSS 2.0, the format was frozen, so no more adjustments based on practice.<h4>No breakage</h4>
		- 	Version 2 of your format should be backward compatible. This means that a version 1 file is a valid version 2 file. 
		- 	Don't break the installed base. (Not that you can. There are still lots of people running XP even though Microsoft said it was over. And that's a commercial product, not a standard.)<h4>Freeze the spec</h4>
		- 	At some point, when the new ideas have slowed to a trickle, and as a base of compatible software develops, freeze the spec, but provide an extension mechanism so new ideas have an outlet. 
		- 	Developers need a foundation to build on, one that is fixed and isn't moving.<h4>Keep it simple</h4>
		- 	Beware of open formats that are impossible to fully support.
		- 	XML-RPC could be fully supported in a few days. You could never fully support SOAP. I believe this is no accident. Large companies crafted SOAP so they could say they were open without interoperating with competitors. The goal of XML-RPC was to make it easy to interop. <h4>Developers are busy</h4>
		- 	Now you've got a popular product and your data formats are open and documented, you are encouraging your competitors to be compatible. 
		- 	Next thing to do is to create a toolkit in at least one popular language that shows how to support the format. Real working code can help fill in the blanks for the spec. Some developers will use the sample code without ever looking at the spec. I know I do. <h4>Mail lists don't rule</h4>
		- 	There's a weird bit of psychology that seems to happen on mail lists set up to discuss interop. The people there feel like they can make decisions that the world will then obey. You can hear it how people talk. They seem to believe they have arrived at the top of the pyramid and now they are masters of the universe. Actually, they're just people on a mail list. No one, not even the other people on the list, care what you think.
		- 	Same is true for real world conferences. <h4>Praise developers who make it easy to interop</h4>
		- 	I'm thinking of Slack. They didn't have to make it so easy, but they did anyway. It's the web way, it's the strong way. They're saying they want their users to be free to leave at any time. That they should stay with Slack because their product is the best, not because they have to stay.<h4>Thanks for listening!</h4>
		- 	If you have comments or questions, you can use the <a href="https://github.com/scripting/Scripting-News/blob/master/manifesto/rulesForStandardsMakers.md">GitHub group</a>.&nbsp;
		- Just post an <a href="https://github.com/scripting/Scripting-News/issues">issue</a> related to this document.&nbsp;
		- There's also a <a href="http://scripting.com/manifesto/rulesforstandardsmakers.html">slide-show</a> version of this, suitable for presentations.
		- 	And thanks for making it this far. 
		- 	Dave
- 5/13/2017
	- Old School and WebSockets for River5
		- A couple of projects to report progress on.
		- 1. Back in the <a href="http://scripting.com/2017/05/05/iWantMyOldBlogBack.html">beginning</a>, I wrote my blog with an outliner, and I could put posts of all length in the feed. Posts with titles or no titles. Any HTML I wanted. Then came Twitter and Google Reader and they squeezed my blog to almost nothing. Facebook then took out what was left. Try to write for all of them, that's the empty set. So fuck it, let's go back to the beginning before all that michegas, and have a notepad where my ideas flow and maybe some of them make it into the silos, or not.&nbsp;
		- That's the concept.
		- And the implementation is coming along.&nbsp;
		- The project is called <i>Old School.&nbsp;</i>
		- Here's a link to the <a href="http://scripting.com/reboot/test/v3/dave/">prototype page</a>. You should be able to read it on a mobile device or desktop screen. Not sure when this will become the official blog, I hope soon.&nbsp;
		- 2. A number of months ago I added WebSockets to <a href="https://github.com/scripting/river5">River5</a> but never documented it or wrote sample code.&nbsp;
		- Now there's an <a href="http://rss2.io/code/socketdemo/">example app</a>.&nbsp;
		- It hooks up to my River5 server, and displays the JSON text for every item it discovers.&nbsp;
		- The <a href="https://gist.github.com/scripting/4d56250e2c5235663cb2136b1f0b2516">source</a> is on GitHub.&nbsp;
		- That's all for now.
		- Enjoy your weekend! ;-)
- 5/14/2017
	- My experience with Google *LINE Corp
		- I've been getting fraud alerts from my credit card company about <a href="http://scripting.com/images/2017/05/14/googleLineCorp.png">charges</a> from an entity known as GOOGLE *LINE Corp.&nbsp;
		- On the first reports, I just assumed they were from Google, the amounts were small, always either $1.99 and $3.99, so I just said they were okay. But they kept coming.&nbsp;
		- I did a <a href="https://www.google.com/#safe=off&amp;q=google+*line+corp">search</a> and see lots of people upset about it. So I called the credit card company, and turns out I've had charges from them, adding up to $200 already this year.
		- Turns out LINE is a Korean chat app, like WeChat, I've been told. 
		- So I called the credit card company, killed the card. Usually they're easy to deal with but they've added all kinds of fake security checks (meaningless stuff, easy to fake) that make it a miserable experience. And the people who used to be in the US are now in the Philippines. You can tell. There's a difference between dealing with people from your own culture. It's taken me a few hours to figure out what's going on and it's been pretty miserable. 
		- I think we're going to be doing a lot more of this..
		- And Google -- if you can hear me, please try to vet the companies using your services. This one is already famous.
- 5/16/2017
	- Experimenting with a personal Twitter
		- An experiment with blogging and news.
		- As you <a href="http://scripting.com/2017/05/13/oldSchoolProgressAndWebsocketsForRiver5.html">know</a>, I've been working on yet another version of Scripting News. This one is based on the way the site worked at the very beginning. Very free form, written in an outliner, I get to use all the features of HTML, the posts can be long or short, have titles or not, include as many links as I want.&nbsp;
		- I've been blogging <a href="http://scripting.com/reboot/test/v3/dave/">over there</a> for the last few days and it feels good. It also feels good to write longer pieces <a href="http://scripting.com/2017/05/16/experimentingWithAPersonalTwitter.html">here</a>, using <a href="http://1999.io/">1999.io</a>. So I will use both ways to blog, and they will be integrated. If the design is right, you won't know where a story came from.&nbsp;<h4>Combining flows on Slack</h4>
		- Along the way an item made it onto my todo list to try flowing all the links to a Slack group. So yesterday I cobbled something together quickly that flows all the links from four of my feeds into one flow on Slack. The four feeds are:<ol><li>The main Scripting News <a href="http://scripting.com/rss.xml">feed</a>.</li><li>My Radio3-based linkblog <a href="http://radio3.io/users/davewiner/rss.xml">feed</a>.</li><li>The <a href="http://scripting.com/reboot/test/v3/dave/rss.xml">feed</a> from my new Old School blog.</li><li>The <a href="https://api.flickr.com/services/feeds/photos_public.gne?id=22221172@N00&amp;lang=en-us&amp;format=rss_200">feed</a> from my Flickr account.</li></ol>
		- I thought this might be an interesting prototype for a <i>Personal Twitter, </i>one where an individual, someone who's very active at collecting links (me) and writing quick posts (again, me) and taking pictures (you get the idea), posts things as they come to his or her attention. I set it up and invited a few friends. I really like it.&nbsp;<h4>You can request an invite</h4>
		- So I want to invite other people to join the group. It's not for commenting, it's just for reading, but there's no way to configure Slack for that, so it has to be on the honor system. I set up a channel called Chatroom for people to talk about stuff, if they want to. The <a href="http://guidelines.scripting.com/">comment guidelines</a> for Scripting News will apply there.&nbsp;
		- If you've made it this far, great!&nbsp;
		- And if you'd like to request an invite, post your email address to <a href="https://goo.gl/forms/2tgdcKqS61FzAjqU2">this form</a>, with a comment about how long you've been reading Scripting News, and an idea of how much you're interested in this Personal Twitter idea.
- 5/18/2017
	- davereader is the engine of River5
		- I've long wanted a JavaScript package that made it easy to write quick apps that do stuff with feeds.&nbsp;
		- I write them all the time, but I always have to start over from the beginning, create a parser, then catch the new items as they come in, and do whatever it is I have to do, usually move the bits to another service like Twitter, or Slack or whatever. There are so many possible applications.
		- When I was doing this, I realized I was solving a problem that was already solved, in my River software, but it wasn't configured correctly to make this easy. It was faster just to crib the code and start from scratch.
		- Finally, I have it set up so that this works. So the beauty in this is in the apps, not the engine. It's a solved problem that can now be used to solve new problems.<h4>What's new</h4>
		- I moved the core functionality of <a href="https://github.com/scripting/river5">River5</a> into an <a href="https://www.npmjs.com/package/davereader">NPM package</a> that makes it possible to use River5 in any Node app. The name of the package is davereader. The <a href="https://github.com/scripting/reader">repository</a> is of course on GitHub.&nbsp;
		- The main <a href="https://github.com/scripting/river5/commit/1b19d1b61cfda43761ec7c106a1dd380f82bc0b4#diff-25e8551cb24637c32e269ed7331a2518">change</a> to River5 is that instead of containing the core, it accesses it through NPM as it does for many of its other core functions.&nbsp;
		- To the River5 user very little if anything changes. That's <a href="https://github.com/scripting/river5#v050----51817-by-dw">written up</a> on the River5 site. If you have questions, please ask them on the River5 <a href="https://groups.google.com/forum/?fromgroups#!forum/river5">mail list</a> or in a comment <a href="http://scripting.com/2017/05/18/davereaderIsTheEngineOfRiver5.html">here</a>.&nbsp;<h4>What's easier?</h4>
		- The <a href="https://github.com/scripting/reader/blob/master/examples/feedFiler/filer.js">Hello World app</a> for davereader watches a few feeds. When a new item comes in it writes its JSON representation to a calendar-structured folder.&nbsp;
		- That's the pattern that many of the davereader apps will follow. For a set of feeds, flow all new items to some other place. That's basically what RSS does, so that's what an application that uses RSS will most likely do. ;-)<h4>Why davereader?</h4>
		- The more obvious names were taken.&nbsp;
		- If I had my <a href="https://en.wiktionary.org/wiki/druthers">druthers</a> I'd call this <i>node-reader</i> because that's what it does, brings industrial strength feed reading to Node.&nbsp;
		- But <i>davereader</i> isn't bad. It's the reader that Dave wrote. :balloon:
- 5/21/2017
	- Re Evan Williams and JSON Feed
		- I'm doing a switchover from the current 1999.io-based blogging home page to my new software, which is codenamed <i>Old School. </i>In advance of the switchover I'm doing real writing <a href="http://scripting.com/reboot/test/v3/dave/2017/05/20.html">over there</a>, stuff that belongs in the main Scripting News <a href="http://scripting.com/rss.xml">RSS feed</a>. So I'm going to run a couple of them <a href="http://scripting.com/2017/05/21/reEvanWilliamsAndJsonFeed.html">here</a> in the this post.&nbsp;<h4>Re the NYT profile of Evan Williams</h4>
		- Re today's <a href="https://mobile.nytimes.com/2017/05/20/technology/evan-williams-medium-twitter-internet.html">profile</a> of Evan Williams and Medium in the NYT.
		- A few off-the-top-of-my head thoughts...
		- The best art ignores money. It's driven by the desire of a human to express what's inside. "I am human and I have something to say." 
		- I wish Medium had strived to make crazy-great editing software, and had created a server that they operated for free, and free of advertising, and open source with a liberal license that let others build new kinds of collaborative systems with great editing at its core. 
		- How do you make money from this? We don't have an opinion about that.
		- Think of it as a way for a man who made billions from the open web to give back. It was never about any individual's greatness or worth, it was and is about our need as a species to apply our collective minds to our evolution. We still have fundamental changes to make for our species to survive. 
		- I'd add that the whole idea of a Great Thinker solving our problems is itself part of the problem. It worked for us until we conquered and controlled nature. Now we have to find a new purpose for ourselves, a new mission.&nbsp;<h4>Re JSON feed</h4>
		- People have asked what I think of JSON feed... 
		- My longtime friend and collaborator, <a href="http://inessential.com/2017/05/17/json_feed">Brent Simmons</a>, is one of the two guys who designed the format. In fact I am in Seattle right now visiting Brent, talking about another project, though of course we have discussed <a href="https://jsonfeed.org/version/1">JSON feed</a>. I knew it was coming. Brent and I emailed about it about a month ago.
		- My opinion is pretty neutral. Kind of a shoulder shrug. It reminds me of the <a href="https://www.youtube.com/watch?v=6bOy3RNyWME">slogan</a> from Battlestar Galactica. "All of this has happened before and will happen again."
		- The hype around this effort reminds me of the hype at the start of Atom. Thankfully the personal stuff does not seem to be coming along with it this time.
		- Is this something we should be focusing on?
		- I think we have to work on climate change and the fascism that's trying to boot up in the US. Our systems for news suck, and there are obvious ways to improve them if we put our minds to it. And I think a new incompatible feed format not only doesn't move us toward solving those problems, in a very small way (not worth worrying about) it moves us <i>away</i> from solving them. By using bandwidth that could be used to foster working-together, perhaps. By making things that would otherwise interop, not interop. 
		- If developers have a hard time using XML in their apps, if that's the problem, why not attack it right there? Work to make it easier. I work in Node and the browser, and in both places XML and JSON are equally easy to use. The same could be done for any environment. In fact in the browser, XML is integrated deeply into the programming model, because the web is made out of XML. 
		- As a developer of <a href="http://scripting.com/2017/04/19/electricRiverV041b.html">feed reading</a> software, if any new format gains traction, my software will support the format. I don't believe in locking users in or out. So a new incompatible format makes my life slightly more difficult. But once the work is done, it moves out of the way, hopefully never to be thought of again.
		- As a writer, and developer of feed-creating software I am going to stick with good old <a href="http://cyber.harvard.edu/rss/rss.html">RSS 2.0</a> with the <a href="http://source.smallpict.com/2014/07/12/theSourceNamespace.html">source namespace</a>. It has served me well, and doesn't want for any features. If it did, I would just add them to the namespace. 
		- One more thought, a few years ago we played around with the <a href="https://web.archive.org/web/20140218231452/http://rssjs.org:80/">idea</a> of JSONified RSS, a simple translation of the XML elements and attributes to JSON. Two observations. 1.  It didn't invent new names for things that already exist. 2. It didn't catch on.
		- See my <a href="http://scripting.com/2017/05/09/rulesForStandardsmakers.html">Manifesto</a> for standards-makers for other general thoughts.&nbsp;
	- One enclosure per item or multiple?
		- Over the years one of the criticisms of <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS 2.0</a>, the version of RSS that enabled podcasting, is that it only allowed one <a href="http://cyber.harvard.edu/rss/rss.html#ltenclosuregtSubelementOfLtitemgt">enclosure</a> per item.
		- This was a deliberate decision. I was aware at the time that there was a choice. I went with the one-to-one correspondence. There were two reasons, a design question and to keep it simpler for developers and podcast listeners.<ol><li>Suppose you allowed an arbitrary number of enclosures. Wouldn't you want to be able to describe each? If so, an enclosure would morph from being a simple three-attribute element, to a structure. What would be the new sub-elements? One obvious one would be &lt;description&gt;. How about a title? A date? Category? Author? I'm sure you see where this is going. We just created a new &lt;item&gt; inside an enclosure. And could an enclosure have an enclosure? Why not? Isn't that more powerful? (The reason usually given for having more enclosures.)</li><li>The second reason is that you made life more complicated for the aggregator developer. When they look for an enclosure they somehow have to decide which of the multiple enclosures the user wants, or offer a choice to the user. Does the user really care what format the podcast is in? When I'm listening what I want is to hear the podcast. You want me to choose? My life is already too complicated. Too much software interrupts the flow of my thought with questions I have no interest in.&nbsp;</li></ol>
