- October 2017
	- October 31
		- After <a href="https://www.nytimes.com/2017/10/31/us/john-kelly-civil-war.html?_r=0">last</a> <a href="https://www.axios.com/john-kelly-hillary-clinton-uranium-one-2504132737.html">night's</a> <a href="https://www.washingtonpost.com/news/politics/wp/2017/10/31/historians-respond-to-john-kellys-civil-war-remarks-strange-sad-wrong/?utm_term=.b71ae6c956e2">interview</a> <a href="http://talkingpointsmemo.com/livewire/ta-nehisi-coates-john-kelly-civil-war">with</a> White House Chief of Staff Kelly on Fox, there's a bunch of grousing about what he said. Was it a smokescreen, or is he really that bad. Imho yes he is really that bad. Two theories: 1. <a href="https://en.m.wikipedia.org/wiki/Hanlon%27s_razor">Hanlon's Razor</a>: Never attribute  to malice that which can be adequately explained by incompetence and 2. <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">Occam's Razor</a>:  If you had to guess who Trump would choose as Chief of Staff, would it be a babysitter or a fellow white supremacist? There was a lot of wishful thinking behind the idea that Kelly was effective "adult supervision." Now we're finding out what we should have assumed all along. He's just as much of a Nazi as Trump is.
		- Your favorite TV series binges?
			- I'm looking for a show to binge. 
			- A TV series, like Deadwood, Fargo, The Sopranos, <a href="http://scripting.com/stories/2010/08/29/breakingBadOhSoGood.html">Breaking Bad</a>, <a href="http://scripting.com/stories/2009/03/06/howBattlestarGalacticaEnds.html">Battlestar Galactica</a>, <a href="http://scripting.com/2016/05/30/1295.html">The West Wing</a>, Mad Men, Six Feet Under, <a href="http://scripting.com/stories/2010/09/17/myFifthTimeThroughTheWire.html">The Wire</a> &mdash; these are some of my favorite classics. More recently The Leftovers, <a href="http://scripting.com/2015/08/30/whyYouMustWatchBojackHorseman.html">Bojack Horseman</a>, Mr Mercedes and Mr Robot.
			- I did something similar with podcasts, a couple of years ago, and the resulting website, "podcatch.com", has been supplying me with great listening ever since. I have a hunch something similar could be done with TV series. 
			- As with podcasts, I promise to share what I learn about bingeable TV, but it'll be different because TV series are different from podcasts. :rocket:
			- I have started <a href="https://www.facebook.com/dave.winer.12/posts/643494485857960">Facebook</a> and <a href="https://twitter.com/davewiner/status/925365704236388353">Twitter</a> threads for this, as well as an <a href="https://github.com/scripting/Scripting-News/issues/39">issue</a> on the GitHub repo. Tell me what your top all time favorite binges are, with a focus on ones other people might <i>not</i> know about.  
		- What is a binge?
			- A bingeable show is a serial, where you watch the episodes in order. 
			- The Americans is bingeable. Conan is not. 
			- If you have to watch out for spoilers, it's a binge. 
			- The Simpsons, Jimmy Kimmel and Monday Night Football are not bingeable. Reality shows might be. I have to think about, I probably will err on the side of not including them. You can jump in at any point and watch a Simpsons episode.
			- Implicit in "bingeability" is that a program be addictive, it hooks you, it tell a story. Fargo is bingeable. The Sopranos and The Wire, classic binges.
	- October 30
		- So, in the <a href="http://www.internethistorypodcast.com/2017/10/dave-winer-on-the-open-web-blogging-podcasting-and-more/">Internet History Podcast</a>, I talked a bit about the idea of "working together," and somewhat unfairly used <a href="https://en.wikipedia.org/wiki/Marco_Arment">Marco Arment</a> as an example of someone who wasn't receptive to my new ideas. I recorded this <a href="http://scripting.com/2017/10/30/aPodcastForMarco.m4a">10-minute podcast</a> to explain what I had in mind, generally, not about specific products (it was a long time ago, the opportunity long-since passed). Most of the time when you knock on the door saying <i>here's a free idea,</i> people think you want something. But sometimes it goes somewhere and that's when really interesting stuff happens. This is worth talking about. 
		- I was up late watching the fantastic World Series game betw the Astros and universally hated Dodgers. Today I've been beating a new app into submission, with good results. Also the Knicks were great last night. We have some really tall players and as a result the defense is kind of working. It's a surprisingly good team, and fun to watch. 
		- One thing people don't get is Trump's real business is money laundering. That's what all those Trump towers are. Laundered money.
	- October 29
		- I did an interview with the <a href="http://www.internethistorypodcast.com/2017/10/dave-winer-on-the-open-web-blogging-podcasting-and-more/">Internet History Podcast</a>. 
		- America the land of the free and the home of <a href="https://mobile.twitter.com/davewiner/status/924586406265188352">fuck you</a>.
	- October 28
		- Some thoughts from the future-of-news meetup at <a href="https://www.google.com/maps/place/Cable+News+Network/@40.7687596,-73.985394,17z/data=!3m1!4b1!4m5!3m4!1s0x89c258f6216a2e4f:0xda926bed47cb0ab9!8m2!3d40.7687596!4d-73.9832053">CNN</a> on Thurs night in NY. The panelists swirled all around what I feel is the obvious new direction for news. They must take responsibility for it, must define it. Letting tech define it results in Twitter and Facebook, neither of which are good at news. Twitter is sources. Facebook is friends. Both carry news, because there's a void, but not well. We should be much further ahead. News must create a new place for people who care to get vetted news. And become more inclusive of voices and ideas from outside their circle of comfort. Create an inclusive space that doesn't have deliberately misleading stories. This means also that news orgs are going to have to get the headlines in agreement with their stories. No more excuses about clickbait. News has waited for tech to lead them. That's the big mistake.
		- An important point that I <a href="http://scripting.com/2017/10/27.html#a112546">still</a> haven't made well enough is that people could stop trying to get ahead and put an emphasis on <b>working together</b> to get us back on track. There are clear tradeoffs. I'm saying this -- take the other branch. Instead of getting ahead, work with others even if it means they get ahead not you.
		- Watched my first full World Series game of the year last night. A couple of observations, one lighthearted, and one dead serious. 1. As a Mets fan, I see a win in the Yankees loss in the previous round, esp if followed by a <a href="http://scripting.com/2015/10/11/baseballGotUglyLastNight.html">Dodgers</a> loss in the World Series. Almost as good as the Mets winning it all. Go Astros! 2. As an American who believes in the Constitution, I strongly believe God Bless America has no place in this game. Insisting that everyone stand and take off their hat while a soldier prays to your god, that's enough to get me to boycott baseball. It was wrong to start playing GBA after 9/11, but somewhat understandable. That was 16 years ago, come on MLB, open your doors to everyone, even people who think that religion, war and baseball don't have anything to do with each other.  
		- One of the nice things about Facebook that I will miss, if it ever goes away, is a simple act of Liking a post from someone I'm thinking of fondly, who I haven't seen in a while, and want to just say hey -- I'm thinking of you. :heart:
		- My <a href="http://scripting.com/2016/12/30/theMlkButtonsArrived.html">MLK button</a> is coming back. I stopped wearing it a few months ago, but it's going back on my sweaters and jackets as fall is here. It's really a good idea. It says I am the kind of American who believes in respecting everyone regardless of the usual things that divide us: race, religion, gender, age -- basically appearance. I'm giving everyone a chance to be the good human that they are in their core. I felt the need originally, about a year ago, just after the election, when walking around in shell-shocked NYC, I felt people's eyes on me, and my eyes on them, wondering if they had voted for Trump, or them wondering if I had. Now, a year later it's a different question. I don't care if you voted for Trump. I want to know if you think there were <a href="http://www.weeklystandard.com/white-house-watch-trump-and-the-very-fine-people-who-march-with-neo-nazis/article/2009314">very fine Nazis</a> marching in Charlottesville. I want to know that you won't be breaking windows on the American <a href="https://en.wikipedia.org/wiki/Kristallnacht">Kristallnacht</a>, should it ever come, or lynching a black man, or tormenting women who work with you. These issues are all related, rooted in the same cause, and I want to root that out and destroy it, or at least make it go back into hiding. Wearing a symbol on my jacket says all this. I hope.
	- October 27
		- On the <a href="https://twitter.com/davewiner/status/923973759312293890">Internet</a> no one knows you're Russian. 
		- <a href="https://twitter.com/davewiner/status/923913025362546688">What</a> is the correct <a href="http://www.grammar-monster.com/glossary/collective_nouns.htm">collective noun</a> for a group for trolls?
		- I've been trying to figure out how to put this idea in words. The world is teetering on the edge of nuclear war. The American president is provoking it. Meanwhile, most people are trying to get ahead as if everything was normal. Nazis marched in the street this summer, killed an innocent protestor, yet were defended by the same president. Very fine people, he <a href="https://duckduckgo.com/?q=%22very+fine+people%22&t=hg&ia=news">said</a>. Companies are ripping off customers, shutting down the EPA, and journalism is thinking about page views, and congress people are thinking about reelection. As if any of that has any meaning in a world where <i>even one</i> nuclear weapon is detonated in war. I don't think people understand how much danger we are in right now. 
		- Brian's query
			- Last night I went to a panel run by the <a href="http://nycmedialab.org/">NYC Media Lab</a>, a new thing. One of the presenters was <a href="https://en.wikipedia.org/wiki/Brian_Stelter">Brian Stelter</a> of CNN. He wished he had an app that sent him email when one of his stories was on the front page, so he could do a quick review and edit. He said he didn't know who to ask.  I thought it was a good and interesting idea. 
			- I love ideas that come from users, because it means there will be at least one user for the software. Maybe others want it too. Such ideas have grounding. 
			- If the web were developing well, from its humble beginnings in the 90s, by now a website would be a scriptable data structure that could be queried. You'd write a script in a BASIC-like language that got a pointer to the structure representing cnn.com, looked at the list of articles. If any had Stelter as the author, send him an email. It says something when users think of simple features, but the system isn't flexible enough so that the answer is almost as easy as stating the question. Honestly I thought we would have been here by 2017. 
			- With all that as a preamble, it wouldn't be too hard to write Brian's script as a Node app. I might do it for him as a demo that the open web is still here, and wants to work with smart users. It really is true -- the HTML of <a href="http://www.cnn.com/">cnn.com</a> is publicly accessible. It could be searched every few minutes and you could probably figure out if one of his stories is on the home page. 
			- I might write it unless someone else beats me to it. :boom:
			- BTW, I haven't been to the home page of cnn.com in a long time. It's gotten a lot leaner and simpler. Whoever is resposible for that, thanks and good work! 
		- Should yes, and only yes, mean yes? 
			- <a href="https://www.vox.com/culture/2017/10/23/16517948/sexual-assault-america-weinstein-trump">Ezra Klein</a>: "Sex is too powerful, too primal, too uncertain to be chained to legalistic consent rules. What if she’s your wife? What if he’s your longtime boyfriend? What if you’re both so turned on that you can barely think, can barely talk, but everyone’s every movement is a yes unto itself?"
	- October 26
		- One year ago today: <a href="http://scripting.com/2016/10/26/whyImVotingForHillaryClinton.html">Why I'm voting for Hillary Clinton</a>.
		- Some <a href="http://www.cbc.ca/beta/news/canada/montreal/escalator-accidents-happen-every-2nd-day-in-montreal-metro-1.4369535">escalators</a> are so tall they scare me. Examples: 1. The <a href="https://en.wikipedia.org/wiki/34th_Street%E2%80%93Hudson_Yards_(IRT_Flushing_Line)">34th St</a> station on the 7 line. 2. The escalator connecting the <a href="https://en.wikipedia.org/wiki/Sutphin_Boulevard%E2%80%93Archer_Avenue%E2%80%93JFK_Airport_(Archer_Avenue_Lines)">E train</a> to AirTrain in Jamaica. It's weird but I'm only scared of falling when going down, not up.
		- A "Scripting News" reader asks if I can pre-expand all the videos and tweets. I should have seen this coming. The answer is no. Sorry, actually it's yes, I <i>could</i> do it, but no, I won't. Let me put it another way. Would you want to have all your Christmas presents opened at the same time? Would you like to be able to eat all 12 candies in a box at the same time, or would it be better to savor each one for its taste, texture, presence, the thought that went into its placement in the box? These are little gifts. You don't have to open them to get the value. But I do it this way to have a little fun with the presentation. So sorry, this is the way it is. However, I like to get feature requests and bug reports. If you have one please use the <a href="https://github.com/scripting/Scripting-News/issues">issues section</a> on the repo for this site. Thanks! :-)
		- <a href="https://twitter.com/Papapishu/status/923671836033994753">This</a> is just extraordinary. 
		- It's amazing how much undeserved faith we all put in <a href="https://splinternews.com/john-kelly-is-not-a-good-person-1819863768?rev=1508991132045&utm_campaign=socialflow_splinter_twitter&utm_source=splinter_twitter&utm_medium=socialflow">John Kelly</a>.
		- Jane Fonda <a href="https://www.glamour.com/story/jane-fonda-gloria-steinem-race-sexual-harassment-harvey-weinstein">and</a> Gloria Steinem were on MSNBC last night talking about sexual harassment, <a href="https://www.vox.com/policy-and-politics/2017/10/26/16526922/harvey-weinstein-donald-trump-sexual-harassment">Harvey Weinstein</a>, Hollywood and the <a href="http://www.womensmediacenter.com/">Women's Media Center</a> which is giving an <a href="http://www.womensmediacenter.com/about/press/press-releases/hillary-clinton-press-release">award</a> to Hillary Clinton tonight. 
		- Repubs have am almost-credible <a href="http://nymag.com/daily/intelligencer/2017/10/alt-collusion-the-gop-theory-to-defend-trump-from-mueller.html">explanation</a> for the <a href="https://en.wikipedia.org/wiki/Donald_Trump%E2%80%93Russia_dossier">Steele Dossier</a>. The Dems made a deal with the Russians to feed Steele false information about Trump's collusion with the Russians. There is a difficulty though. Why is Trump trying to <a href="https://www.vox.com/policy-and-politics/2017/10/25/16548688/trump-administration-delaying-russia-sanctions">delay</a> implementation of Russian sanctions? 
		- We're <a href="http://www.robgreenlee.com/2017/10/26/the-hard-to-find-consensus-on-truths/">emerging</a> into a new age of <a href="https://en.wikipedia.org/wiki/McCarthyism">McCarthyism</a>. This time it's worse because there are multiple often contradictory dogma that one must be sufficiently pious about and fear being accused of. It's worse for Republicans. In the past 40 years we've developed some powerful tools, but were naïve to think they would always be used for good.
		- We need a network with <a href="https://www.youtube.com/watch?v=gKnZMVIdia4">Rodney King</a> as the guiding light. 
	- October 25
		- Something weird is going on. I haven't had a lot to blog about this last week. Maybe I'm losing the blogging bug? Who knows... Hope all is well with y'all. ;-)
		- One cool thing of note. I've discovered that there is a <a href="https://emojipedia.org/shrug/">shrug emoji</a>. Who knows it might come in handy! &#x1F937;
	- October 24
		- <a href="https://www.nytimes.com/2017/10/24/us/politics/jeff-flake-transcript-senate-speech.html?_r=0">Jeff Flake</a> and I have opposite politics, but today I'm proud of him as a fellow American. We need more courage like his.
		- Journalism is to Facebook as app devs are to Apple. Both are headed to the same place. Journalism must break out of the silos and become independent of Silicon Valley. The news product on Facebook is low quality. We need better. Editors whose job it is to keep the quality of the feed up. Without tech's involvement. We work best (devs) when we serve the news, not the other way around. The open web has been ready to work with journalism all along, now you all have to open the door just a bit to let us (back) in. We can't give you any money, sorry. But are anxious to give you great new tech. Thanks. 
		- <a href="https://politicalwire.com/2017/10/24/exchange-of-the-day-59/">Taegan Goddard</a>: "Sen. Bob Corker (R-TN) gave an extraordinary interview to Savannah Guthrie on the Today Show."  What was so extraordinary? He told the truth. So much of what you hear on the news is lies that it's extraordinary when a politician says something so obviously true, any child could see.  Maybe we should take a step back and re-evaluate. Should we even let politicians on TV if all they're going to do is lie? What does that say about us as voters?
		- I did something unusual yesterday, I skipped a day of blogging. Can't remember the last time I did that. 
		- <a href="http://scripting.com/davenet/1998/01/01/menStaySilent.html">1998</a>: "When you're ready to hear what men have to say, men will say more."
	- October 22
		- People are still focusing, imho incorrectly, on the big lies in the Kelly <a href="https://www.nytimes.com/2017/10/19/us/politics/statement-kelly-gold-star.html?_r=0">press conference</a>, and missing the fact that the man doesn't know his job or his place, and at least doesn't have the Constitution frontmost in his mind, at worst -- knows what it means and has no intention of abiding by it. I'm not a lawyer, but I know we can question generals, and that whether or not you have a Gold Star family in your circle of friends has no bearing on your ability to ask questions of the government. It could be that it just hasn't sunk in yet with Mr Kelly that <i>he is the government</i> now, and that gives him special responsibilities. It would be one thing if he were a retired general spouting off in his <a href="https://duckduckgo.com/?q=dotage&t=hf&ia=definition">dotage</a>, but that's not who Kelly is. He's the Chief of Staff in the White House and his view of the world is much like the <a href="https://www.youtube.com/watch?v=9FnO3igOkOk">general</a> played by Jack Nicholson in A Few Good Men. Unlike Trump he is trained to control. And so far there hasn't been much pushback from others in the military. In their silence, confirmation that the Constitution and our form of government, is in question.
		- George C Scott as <a href="https://www.youtube.com/watch?v=NDAWaYu-YCo">Patton</a>. 
		- General Buck Turgidson, <a href="https://www.youtube.com/watch?v=9kOoagTlltc">played</a> George C Scott, from Dr Strangelove.
		- General Ripper, <a href="https://twitter.com/davewiner/status/922282654862626816">also</a> from Dr Strangelove.
		- <a href="https://www.youtube.com/watch?v=HWL06waOAGw">Trailer</a> for Seven Days in May (1964).
		- The <a href="https://www.nytimes.com/2017/10/19/us/politics/statement-kelly-gold-star.html?_r=0">full video</a> and transcript of General Kelly's press conference. 
		- Jack Nicholson's famous <a href="https://www.youtube.com/watch?v=9FnO3igOkOk">speech</a> in A Few Good Men.
		- Aaron Sorkin's <a href="https://www.youtube.com/watch?v=jrdJOvdU7po">classic story</a> from The West Wing about the role civilian government rightly plays with the military. 
		- Why is the <a href="https://twitter.com/davewiner/status/922209908573032449">map</a> so freaking small in AirBnB website? I want it to be 75% of the width of the page.
	- October 21
		- Here's the <a href="http://scripting.com/2017/10/21/partyTimeWithKelly.m4a">11-minute podcast</a> version of the <a href="http://scripting.com/2017/10/21.html#a113717">Military is Split</a> piece below. Lots of extras including the <a href="http:///scripting.com/images/2017/10/21/excerptWagDog.png">reason</a> the Ukraine thing was <a href="http://www.imsdb.com/scripts/Wag-the-Dog.html">in</a> the Republican platform last year. 
		- A bit of breakage had accumulated in the <a href="http://podcatch.com/">podcatch.com</a> back end. Spent the morning modernizing, it's all working again, or so it seems. :boom:
		- I could see <a href="http://www.cnn.com/2017/10/20/opinions/john-kelly-press-conference-dorothy-brown-opinion/index.html">Kelly</a> launching a first strike at N Korea because they weren't properly respecting some insane thing he's clutching for security.
		- Thank you. I needed that slap in the face. I was starting to beginning to almost thinking about possibly someday maybe under some circumstances rooting for them. Not gonna happen. 
		- The thing about impeachment
			- It's just like the Electoral College, and the RNC before it. Letting the process go forward is always easier and safer than standing in its way. Maybe someone else will do it. But each time we don't do the hard thing, it'll be harder the next time. We'll look back and say "if only we had.." This isn't the first time. We will look back on this moment too as a time when it would have been much easier to put a stop to Trump. 
		- The military is split
			- We found out something pretty horrifying in the last couple of days, and it's important to absorb it before it passes in whatever controversy comes up next. 
			- <a href="https://www.nytimes.com/2017/10/19/us/politics/statement-kelly-gold-star.html?_r=0">We saw</a> the actual personality of the White House Chief of Staff for the first time. He's a general. And he's one of the most powerful people in civilian oversight of the military. Maybe second only to the president. And he doesn't believe in the Constitution. 
			- He walked all over the First Amendment in his presser. There must be others in the military that see this (they watch TV too). So now we have two factions, one that believes in the Constitution and civilian oversight, and the other that doesn't. And it appears that the one that doesn't has vastly more power than the others. It's in the White House. 
			- Kelly is not a stupid man. He couldn't be where he is if he was. He knows what he said and did, and the message not only went out to the public, it went out to the military. It signaled in ways that can't be signaled through the chain of command, how the country is now being governed. So there's a pretty good chance we're on the other side of a military takeover. Seems almost tautological. It's visible now, if you believe what you saw on TV, and is likely to become <a href="https://www.youtube.com/watch?v=Ot11DMJKhj8">more visible</a>. 
			- BTW, I also don't think it's a coincidence that both Obama and Bush spoke yesterday, saying basically the same thing. We are not a fascist country. I suspect they were also talking to the military.
	- October 20
		- Good morning. I'm back in NY. Gorgeous fall weather. Starting to fill in my to-do list. 
		- Tom Steyer is funding a $10 million campaign to impeach Trump. 
		- Trump claims his administration has accomplished more in its first nine months than any previous presidency. How foolish, he hasn't passed any laws. But there's an argument to be made that it's true. Read about the dismantling of the <a href="http://www.pbs.org/wgbh/frontline/film/war-on-the-epa/">EPA</a> and the <a href="https://www.theatlantic.com/international/archive/2017/03/state-department-trump/517965/">State</a> <a href="https://play.radiopublic.com/the-daily-GMB3yp/ep/s1!e08eb916944f82c8a28e7a3ca802df894b1a736b">Department</a>, and realize how long it will take to bring them back. Some people feel it's for the best that the US not have any controls on pollution or have any foreign presence. For them these are accomplishments. Trump may not know or care about what they're doing, that doesn't mean it's not part of a plan, that the Kochs and Mercers aren't intelligently looting the government. Things are happening faster than people may realize.  
		- How you know what the "Marine general" said is indefensible. And they're all violating their oath to uphold and defend the Constitution.
		- Mr Mercedes is very good
			- I finished binge-watching the <a href="https://en.wikipedia.org/wiki/Mr._Mercedes_(TV_series)">Mr Mercedes</a> TV series on the flight back from Denver yesterday, and man it was good. At the same level as Breaking Bad, only more bizarre. The acting was great. I thought the story from Stephen King they had to work with was so-so, that's why I expected the TV series to drift and get sappy, because that's what happened (imho) in the novel. But it didn't happen and I think I know why. The writer of the teleplay was <a href="https://en.wikipedia.org/wiki/Dennis_Lehane">Dennis Lehane</a> who himself is a fine novelist, author of <a href="https://en.wikipedia.org/wiki/Mystic_River_(novel)">Mystic River</a> and <a href="https://en.wikipedia.org/wiki/Shutter_Island">Shutter Island</a>, two great movies. He also wrote for <a href="https://en.wikipedia.org/wiki/Dennis_Lehane#Film_career">The Wire</a>. 
			- In Mr Mercedes Lehane developed King's story into a 10-hour movie that would have been fine without the gore and violence, but it made it better, because it was delivered with humor and was outrageous and thrilling, on the same level as <a href="https://en.wikipedia.org/wiki/The_Shining_(film)">The Shining</a> or <a href="https://en.wikipedia.org/wiki/Carrie_(1976_film)">Carrie</a>. 
			- Even the computer stuff mostly made sense (in the novel it didn't, King doesn't really understand computers imho). There was even some good Mac humor in the story! How about that. 
			- Lehane found the thread in the King novel that worked, he changed a couple of things, and let the plot develop at a good pace, and the characters were fun, entertaining, cute, motivated, lovely and brave, and most important, believable. I loved it. Highly recommended if you like this <a href="https://en.wikipedia.org/wiki/The_Itchy_%26_Scratchy_Show">kind of thing</a>. 
			- Update: The <a href="https://www.nytimes.com/2017/08/08/arts/television/mr-mercedes-tv-review.html">NYT review</a> says there were three great writers working on the <a href="http://www.imdb.com/title/tt4354880/fullcredits?ref_=tt_ql_1">show</a>. 
		- RSS and podcasting
			- While I was vacationing in Taos, with a very slow Internet connection and a slowed-down mind, I wrote a <a href="https://twitter.com/davewiner/status/920846197455183872">Twitter thread</a> saying I was happy about podcasting, proud of how far it had come, and how many people's lives it was enriching, and because it was open and had no limits it didn't have the problems of platforms that were created roughly at the same time, platforms that are corporate and silo'd, like Twitter and Facebook. 
			- I had just driven a full day from <a href="https://www.google.com/maps/dir/Denver,+CO/Taos,+New+Mexico+87571/@38.0487234,-106.3913138,8z/data=!4m15!4m14!1m5!1m1!1s0x876b80aa231f17cf:0x118ef4f8278a36d6!2m2!1d-104.990251!2d39.7392358!1m5!1m1!1s0x871764da7f11fcb1:0x90ea918361a9b782!2m2!1d-105.5730665!2d36.4072485!3e0!5i1">Denver to Taos</a> and had listened to a bunch of podcasts, more than I had in one day since my cross-country drives in the mid-2000s. Back then there wasn't very much podcasting and since then it has boomed, several times. 
			- My thread drew a <a href="https://twitter.com/Jason_Rowley/status/920847027428261888">comment</a> from <a href="https://www.crunchbase.com/person/jason-rowley">Jason Rowley</a>, a writer at <a href="https://news.crunchbase.com/news/">Crunchbase</a>. "It’s almost like the RSS protocol finally found its killer app. Not in distributing text, but mp3s." I know he was being positive, but the comment was wrong from a couple of perspectives. 
			- I promised an explanation, so here goes. 
				- First, people focus on the connection between RSS and podcasting, but it's deep technology, most people, users and creators, aren't aware of the connection. That part of the bootstrap, writing the spec, implementing an authoring tool and adding the feature to my RSS reader,  took a couple of days at most. The hard part was figuring out how to get people to do it! It wasn't a matter of "build it and they will come." It was a totally different story, like <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html">Tom Sawyer</a> and the whitewashed fence. 
				- Second, RSS was already well on its way when we started up podasting, and would have thrived even if it had not come about. In hindsight the killer app for RSS was the New York Times. Once we had them on board, in April 2002, with daily updates to their feeds, it built out to a news network that to this day is delivering far better results for news consumers than anything else, even Twitter or Facebook. True, most people don't get their news directly from RSS feeds. But the people who really care about news do. 
			- RSS didn't need a killer app, it already had one. And RSS as a basis for podcasting, was essential to the bootstrap, but it was not the hard part. For that, we needed a bit of yeast to get the bread to rise. That came, as far as I'm concerned, from Chris Lydon, myself and then Adam Curry. At that point, we had enough examples for people to get the idea that they could do it too.  
			- Jason's well-intentioned understanding of how podcasting came to be, and what role RSS plays in today's news ecosystem is the one many people have, but it is wrong. Every time I see it I try to correct it. It's important because people who want to follow in the footsteps of RSS and podcasting, and develop open technologies, should know that there's more to it than technology. Without compelling content, that gets other people to do it, you don't even have a good demo. 
			- I did a <a href="http://scripting.com/2015/09/30/aPodcastAboutPodcasting.html">podcast</a> about this in 2015, if you want more of the background. 
	- October 18
		- Checking in from Colorado. My stay in New Mexico was very refreshing. Tomorrow, back to NYC to complete my next product ship. This one has nothing to do with web publishing, it's something new that imho shouldn't be. :rocket: 
		- Got a notice from NY State that I've been automatically re-enrolled in my ACA-based health insurance. Some parts of the system are working.
	- October 17
		- Suggestion: Choose to not be offended, at least once a day.
		- What if we lose the First Amendment? It's a serious question that deserves serious thought. All the reporting about stamping out fake news on Facebook amounts to suppressing speech. It can't be done without suppressing the First Amendment. And since the current govt is run by <a href="http://www.hollywoodreporter.com/news/trump-renews-his-feud-nbc-threatens-tv-license-1047669">this fascist</a>, you should expect that news would omit stories about Puerto Rico, govt sabotage of health care, even the Harvey Weinstein story might not have come out considering how much El Presidenté has to hide.
		- Sometimes serendipity is worth noting. I was posting a link to this <a href="http://nymag.com/daily/intelligencer/2017/10/john-mccains-final-act-is-war-against-trump.html">fantastic piece</a> by Jon Chait about the last act of John McCain's political career. The software I use, a linkblogging tool I wrote called <a href="http://radio3.io/">Radio3</a>, presents a random slogan above the edit box. The slogan was especially appropriate to the piece. Finally, hopefully before it's too late, McCain-the-Maverick is showing up. 
	- October 16
		- I am a non-conformist. If you tell me I have to conform to your way of thinking I say no. And not with respect.
		- I've been trying to write this morning, but everything I write comes down to this. Humans have made a total mess of everything. I could write more, but it would amount to the same thing. 
	- October 15
		- Took a long drive from Denver to Taos today. On the map it's supposed to take five hours, but I took nine. Lots of stops. Listened to a bunch of podcasts including two Sunday news shows. Conclusion: the best Republican liar is Tillerson. That guy is slick. I didn't hate his lies. But Lindsey Graham and Netanyahu, they just plain out lie, no spin. Insulting to the intelligence of the listener. I can see why Trump likes them. 
		- When I was driving cross-country in the mid-2000s, I remember wishing that I could ask the maps app to tell me what Starbucks were on my route, not nearby. I wasn't going to backtrack to get coffee. They have it now. I wanted to pick up groceries before checking in. I searched for groceries, it gave me a chance to search on my route. It presented a list of choices along with how much time they'd add to my trip. A button next to each one offered to add it as a stop. Smooth as silk. Another bonus, Google Maps says "Welcome to New Mexico" a mile or so before you see the official sign. It was a surprise and made me laugh. I guess what's next is the Google Home interface for the Maps app.
		- Very slow Internet at the place I'm staying. Barely faster than a 1990s dialup. I guess it's via satellite. I may have to use the Google Fi Nexus phone, if it's faster. Or find a Starbuck's. 
		- Best podcast I listened to was the Longform <a href="https://longform.org/posts/longform-podcast-265-michael-barbaro">interview</a> of Michael Barbaro of the NYT Daily podcast. It has become the Visicalc of podcasts. I think everyone is listening to it. I don't miss an episode. He of course talked about the famous interview with the coal miner, but left out the best part, the thing he got dinged for the most (at least of what I heard) -- not challenging the guy on his opinion that coal didn't cause climate change. I totally supported that. I wanted to hear the guy's story and have the interviewer just let him say his piece. We know the arguments. It wouldn't have added anything to the story. Also, he defines the Daily as a podcast about the reporters who report the news. And the Longform interview was a podcsat about the podcast about the reporters who report the news. I wondered if another level is possible, but for now I couldn't imagine it. 
		- I get a lot of ideas when I do long drives in the western US. 
		- Someone should do an interview with <a href="https://en.wikipedia.org/wiki/Hossein_Derakhshan">Hoder</a> about life in Iran for young bright entrepreneurial people. The deal Obama did with Iran wasn't just about the military, it opened up Iran to the rest of the world, and as you might expect from an intelligent population of an ancient civilization, they are rebooting. The theory is that the hardliners will have more trouble being jerks internationally if their citizens are bringing home lots of money trading with the rest of the world. It's a theory that works. It's why what Trump is doing is so wasteful and sets us back. It's not <i>just</i> about nukes.  
		- CBS had an interview with the Iranian chief diplomat, who speaks good English and repped his case well. The snotty Repub they interviewed to balance it of course lied, bigtime. Iran is not on the UN Security Council. DIckerson is performing a service, by clearly stating reality knowing (probably) the Repubs will just lie. He's telling the listeners the truth. They should have an alternated channel with narration, sort of a translation. What he really means is.. That kind of thing. 
		- Did you ever wonder where North Korea got the money for their nuclear program? Planet Money has the answer. Kim Jong Un has let an entrepreneurial class develop. They say he's funding it with tax money. How about that. 
		- Watched the first two episodes of Mr Mercedes, expecting it to be drek, and was surprised at how good it is. I knew the story because I read the book. The book started great and then like a lot of late Stephen King books got bogged down in smarmy bullshit. Most Stephen King movies/shows are crap, like the recent It. Some of them make great movies like The Shining, Carrie, Shawshank Redemption. This one is promising.  
	- October 14
		- Good morning sports fans!
		- Today's a travel day. Headed to <a href="http://scripting.com/2017/10/11.html#a012416">Boulder</a>, and then to New Mexico tomorrow. I want to enjoy some mountain air, hikes, change of perspective. I should be blogging once I arrive at the other side. :balloon:
	- October 13
		- JY is helping with <a href="https://github.com/scripting/Scripting-News/issues/37">yesterday's query</a>. 2nd opinion(s) sought.
		- A Twitter <a href="https://twitter.com/davewiner/status/918930070772899841">thread</a> I wrote without benefit of "Electric Pork". Freestyle. I think it's pretty good. It starts out like this: "Twitter users who think you are a customer. You are not a customer. You are the product."
		- I knew when I saw the web that's what I had been born to do. Just because people want to use Facebook doesn't change that simple fact.
		- The last <a href="https://twitter.com/davewiner/status/918872261343444992">phone booth</a> in Manhattan, possibly.
		- One thing's for sure, if we want to have a chance to survive we're going to have to start seeing the good in each other.
		- Yes indeed NYT, <a href="https://www.nytimes.com/interactive/2017/10/13/opinion/sunday/Silicon-Valley-Is-Not-Your-Friend.html?_r=0">Silicon Valley is not your friend</a> but the <a href="http://scripting.com/liveblog/users/davewiner/2016/01/07/0801.html">open web</a> is. As often is the case, corporate media has trouble seeing anything but corporate tech. But before there were tech companies, there was the web, which sprung from academia. It instantly wiped out the business models the tech industry had for networking, all of which were designed to lock users in. It took a couple of decades for Silicon Valley to re-establish lock-in, at least partially because news let them take over their distribution system. It may not be too late for the <a href="http://scripting.com/liveblog/users/davewiner/2015/12/27/0724.html">open web</a>, but it needs a lot of help. 
		- Michelle Goldberg <a href="https://www.nytimes.com/2017/10/13/opinion/put-women-in-charge.html">writes</a> about sexual harassment. She has only experienced it once, in college. Her theory, she has only worked in organizations with women at the top. That fosters an environment of respect. 
		- Why I empathize with Twitter
			- In 2003, almost by accident, the company that I founded but had left, surprised me by directing requests to a popular domain to one of my colocated servers. I tried to keep it running but there was too much traffic. I couldn't do the work required to stabilize the service, i had a new job and my health was still iffy after heart surgery, and I would have had to buy a bunch more servers, and there was no revenue to support it. So I had to turn the service off. Really the only choice was to risk my health, and spend a lot of money. 
			- A few of the users went on a campaign aimed at punishing me personally. Many of them had empty sites on the service, they had never published anything, so they didn't have anything at stake. I completely disclosed what happened. None of the bloggers referred to my post or the podcast I did explaining. They kept right on attacking. I appealed to blogging friends but they wouldn't say anything in my defense. 
			- Eventually the story was covered by mainstream journalists, and guess what -- they listened, and told my side of the story too. The ranters wanted something else, certainly not the truth. Most of the users just wanted their sites back. Quietly I worked with them, and got every one who wanted one a backup of their sites, personally, on my own time. 
			- I waited it out, they got tired I guess, but never forgot how awful they were. That's why I empathize with Twitter. 
	- October 12
		- <a href="https://github.com/scripting/Scripting-News/issues/37">Braintrust query</a>: Error handling in mySQL package in Node. 
		- "Little Outliner" tip: If you keep LO2 open all day every day, when you start work in the morning, reload the page. There's some kind of performance issue in the app that causes it to get slow if you leave it running too long. Reloading the page is the same as quitting and relaunching an app. "Fargo" didn't have this issue. I must be doing something differently, but I don't know what it is. <i>Still diggin!</i>
		- A <a href="https://twitter.com/davewiner/status/918491881960558596">message</a> to people who are angry at Twitter. 
		- It seems to some, all men are responsible for the worst of men. It's analogous to blaming all Muslims for the acts of "Muslim" terrorists. It's one of the reasons I talk about "Christian terrorists" -- to make the point that it's a form of racism to connect a religion to the acts of murderers. So perhaps, instead of talking <a href="https://www.newyorker.com/culture/jia-tolentino/how-men-like-harvey-weinstein-implicate-their-victims-in-their-acts">about</a> "men like Harvey Weinstein," try "rapists like Harvey Weinstein." That would help. 
		- BTW, I look like Harvey Weinstein. So I realllllly resent it when people say he looks a certain evil way. Please. The awful stuff isn't on the surface. That's why body shaming is the worst thing. And it applies to men too. 
		- It's a good time for the closing <a href="https://twitter.com/davewiner/status/918503175468060674">monolog</a> in Killing Them Softly.
		- Idea for a new social net: Last night <a href="https://en.wikipedia.org/wiki/Doc_Searls">Doc Searls</a> was in one of my dreams. I don't remember what we were doing. But it was nice to see him. What if there were a place I could go to record that event. And what if by chance Doc recorded that I was in <i>his</i> dream last night. Then we'd know there was some kind of cosmic connection. How would we know if we don't have an app for it?  :boom:
		- I see parallels in the way people attack Twitter today and the way the music industry reacted to Napster in 2000. The great thing about Napster was that ALL the music was there. And it sort of had an API. It could have developed into a music operating system. But it was attacked, and broken into pieces. And once that happens you know they almost never come back together. 
		- An email to Doc worth preserving
			- Hey it's like everything. I'm amazed that we still listen to journalists. I finally got re-awoken when I heard Rachel Maddow ranting about FB ads and Russia the other day. Did she somehow think that a human being at Facebook could have been involved in the content of the ad or who it was targeted at? It's all based on keywords and pointers to stuff on the web. 
			- And how could Russians possibly know how to speak American English or know what our divisive issues are? Well they could have gone to school here. We are a remarkably open society. They could read academic journals, or watch conferences on livestreams, or even go to the conferences. They could read Nate Silver and Jon Chait and many others, the same columnists that Rachel Maddow and Chris Hayes read. Russia must have people who do what our CIA does. Read everything they can get their hands on and look for all kinds of changes and vulnerabilities. How do they think espionage works? You think they need help from Cambridge Analytica? Maybe there is a linkup there, I hope so -- but you're insulting our intelligence if you think the Russians can't carefully study us, the way we certainly study them.
			- I came away wishing they'd do a one-day training for journalists about how Facebook ads work. If they don't learn we're going to have the same kind of debacle that we had w Hillary's emails. 
	- October 11
		- <a href="https://github.com/scripting/Scripting-News/issues/36">Braintrust query</a>:  In SQL do updates accumulate or overwrite? 
		- BTW, if you're a regular reader of this blog, you can and should call me Dave. I don't like fancy names. I'm kind of a <a href="https://en.wikipedia.org/wiki/Beatnik">beatnik</a>. And when you call me Mr Winer I am reminded I never got a PhD and that makes me sad. But I get over it quickly. :neutral_face:
		- We hear a lot re men mistreating women. <a href="http://www.abc.net.au/news/2017-10-12/mother-who-killed-son-jailed-for-at-least-33-years/9042560">Here's</a> some gender balance. 
		- What <a href="https://twitter.com/davewiner/status/918192055276449798">happens</a> when a tornado intersects with a fire. 
		- Reporters of all people should have open minds and be good at listening. But I find it's the opposite. It's a very closed world. I've had a little taste of it from the inside when I wrote for Wired a bunch of years ago. It's not a good thing for a profession that depends on listening.
		- I'm going to be in <a href="https://en.wikipedia.org/wiki/Boulder,_Colorado">Boulder</a> on Saturday night, if anyone wants to get together for dinner, or drinks. I remember there's a pretty good Mexican place with Margueritas. If you're doing a Boulder startup, tell me about it. I did office hours in <a href="http://scripting.com/stories/2008/08/28/theCommunitySystemForDemo.html">2008</a> in Boulder with <a href="https://www.techstars.com/programs/boulder-program/">Techstars</a> it was a lot of fun. We can talk about Node, browser-based apps, how to save the world from Trump, you know the usual stuff. :rocket: :boom:
		- So, I just signed up for <a href="https://www.trycaviar.com/">Caviar</a>. They deliver <a href="https://www.shakeshack.com/">Shake Shack</a> in my neighborhood. And I found out they also deliver <a href="https://momofuku.com/">Momofuku</a>. I'm hooked. Then ten minutes later I get an email from <a href="https://www.delivery.com/">Delivery.com</a> offering a 15 percent discount if I order today. You think they have a spy?
		- How to freak out Donald J. Trump
			- 1. He tweets out something outrageous.
			- 2. 
		- Enter an emoji using HTML encoded chars
			- First, I wish there was a table somewhere with all the emoji and their hex equivs expressed in HTML format, like this: &#1F4A9; But it's not so bad, you just have to do it for yourself. 
				- Look up the char on this <a href="http://www.unicode.org/emoji/charts/full-emoji-list.html">page</a>, and copy the "code point value", something that looks <a href="http:///scripting.com/images/2017/10/11/findingEmojiCode.png">like</a> this: U+1F4A9.
				- Remove the U+ part.
				- Add &amp;#x at the beginning and a semicolon at the end -- yielding: &amp;#x1F4A9; 
			- Here are the translations of a few characters:
				- poop == U+1F4A9 == &#x1f4a9; 
				- fire == U+1F525 == &#x1f525; 
				- neutral_face == U+1F610 == &#x1f610; 
				- smile_cat == U+1F63B == &#x1f63b; 
				- clap == U+1F44F == &#x1f44f; 
	- October 10
		- 10-minute <a href="http://scripting.com/2017/10/10/aboutHarveyWeinstein.m4a">podcast</a> on Harvey Weinstein, in two parts, two stories. Please listen generously and be kind in your criticism. 
		- <a href="https://twitter.com/lizziejohnsonnn/status/917533047917916160">Video</a> of the destruction in the California fires. 
		- It's a good time for one of the universities to have a one-day training for reporters on how Facebook ads work. How to use the software. Let's get in front of the problem before news makes another mess like the one with Hillary's email. 
		- If you find yourself saying someone else must shut up, you're very likely wrong.
		- Carl Sagan used to <a href="https://www.youtube.com/watch?v=wLigBYhdUDs">say</a> that humanity is the cosmos becoming self-aware, coming to "know itself." I always thought that was a super elegant idea. Well, Bob Corker saying the White House is adult day care is, in a similar way, the United States deciding to know itself, to tell itself the truth. Now reporters can quote him, saying what they could easily have said before, and imho should have. News has become news for lawyers. They're all trying to prove what's obvious, that we're reeling and teetering and sputtering on the edge of a cliff, with a guy juggling nukes in both hands and while they're in the air tweeting insults at everyone and anyone. It's as if Don Rickles and Joan Rivers were running the world, and they weren't just comedians. 
		- <a href="https://github.com/scripting/Scripting-News/issues/35">SQL question</a>: When I say a value is varchar (255) does that mean in every row it takes up 255 chars in the database? 
		- <a href="https://www.youtube.com/watch?v=phaDyPNnIKg">Jon Stewart</a> on Trump with Colbert. The best.  
		- Yesterday I did an interview with <a href="http://www.internethistorypodcast.com/author/brian-mccullough/">Brian McCullough</a> of the <a href="http://www.internethistorypodcast.com/">Internet History Podcast</a>. We talked about many of the things you'd expect. When we got to podcasting, I realized his was exactly the kind of podcast I hoped would emerge when we did the work in the early-mid 2000s. Something that starts out as a hobby, a passion, an idea, and develops into real media with regular listeners. A <a href="http://scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">weblog for the ears</a> is what I called it back then. I'll let you know when the interview is available. 
		- BTW, you want to know how <a href="http://scripting.com/2017/10/10.html#a102156">disgusted</a> I was with Maddow? I switched stations to watch the <i>Yankees</i> in the playoffs. I might have to get my head examined. The Yankees <a href="http://www.nydailynews.com/sports/baseball/yankees/yankees-putting-pressure-cracking-indians-entering-game-5-article-1.3552646">won</a>, btw. And oddly enough I find myself rooting for them (really need to see a doctor). Why? Well Cleveland is favored to win it all this year. And I love to see the favorites get knocked off their perch. Same reason I pull against the Warriors. That the Yankees are underdogs now doesn't really mean that I don't hate the concept of the Yankees. I do.
		- Another BTW, Brian thought, like virtually everyone I meet, that I am a Brooklyn boy. Not so. Why do they think that? Wikipedia incorrectly states that I am a Brooklyn native. I was born in a hospital in Brooklyn, that much is true. But I grew up in Queens. First in <a href="https://en.wikipedia.org/wiki/Jackson_Heights,_Queens">Jackson Heights</a>, and then in <a href="https://en.wikipedia.org/wiki/Auburndale,_Queens">north Flushing</a> (near Whitestone and Bayside). Ask anyone from Queens in that era if they came from Brooklyn (as I said on the podcast) and you're likely to get a (virtual) punch in the nose. And that, my friends, is where my hatred of the Yankees comes from. These days you see people wearing Yankees hats in Queens, but not when I lived there. 
		- I turned off Maddow last night in disgust
			- Last night I turned off the Rachel Maddow show in disgust. Never thought that would happen. They're going after Facebook on the flimsiest of pretense. She made it sound like there was collusion, something nefarious, as if Zuckerberg had sold out the United States to Russia to make Facebook richer. 
			- I have no idea why they're doing it, but it was coordinated. Ari Melber, earlier in the evening, became a panelist on his own show, and expressed the same ridiculous ideas. So much so that longtime tech journalist <a href="https://twitter.com/DavidKirkpatric">David Kirkpatrick</a> started interviewing Melber. Melber was full of it, but Kirkpatrick was more polite. It doesn't reflect well on the rest of MSNBC's reporting.
			- I don't know what they're doing, it was never exactly journalism, but now it's become total advocacy. It's wrong and dishonest and as fake as anything you hear on Fox. I'll give her another try, maybe there's an innocent explanation, but they crossed over into something mean and evil last night, and I'm not going to support that. 
			- BTW, I am not a fan of Facebook, the company or the product, or Zuck. I do think they're evil, but not very likely in the way that Maddow et al say. Maybe it'll turn out they're onto something, then I'll apologize. But I think the odds of that are miniscule. 
			- Like I said I don't know what they're trying to do but whatever it is I'm sure it will end up restricting the First Amendment rights of users of the net. I don't think most  journalists give a damn about that, they care about their rights, not ours. Never have I seen a better demo of that than last night on Maddow, a former hero of mine. 
	- October 9
		- Idea: One team in each league doesn't play the anthem or honor the military, they play the sport and everyone has their own opinions.
		- Another <a href="https://www.zillow.com/homes/for_sale/Taos-NM/house,mobile,land_type/2097659499_zpid/54659_rid/200000-900000_price/742-3338_mp/36.658504,-105.209542,36.061866,-105.768471_rect/10_zm/">incredible house</a>, an off-the-grid "earthship" in <a href="https://www.google.com/maps/@36.511086,-105.7499428,10z">Taos, NM</a>. 
		- It's not wrong to think beyond Trump. Indulge yourself. You might get some ideas. ;-)
		- Does anyone take <a href="http://www.memeorandum.com/171009/p2#a171009p2">Pence</a> seriously? A thin veneer of <a href="https://en.wiktionary.org/wiki/ersatz">ersatz</a> Reagan, under which is the soul of <a href="https://www.youtube.com/watch?v=fsWJ6JnwuAw">Rush Limbaugh</a>. 
		- I now have the ability to attach a video to a node, as illustrated in the post above. I just set the <i>urlvideo</i> attribute on the node. It assumes the same HTML embed code works as would work for YouTube, so theoretically it can be used to embed videos not hosted on YouTube. Now here's the Grateful Dead performing Uncle John's Band to wash away the taste of Rush Limbaugh. 
		- When life looks like easy street, there is danger at your door.
		- Programming won't really take off as an art until we accept a certain basic set of tools that more or less remain constant. As long as the debate is at such a fundamental level as synchronous or asynchronous, and we keep flip-flopping back and forth, we'll never get to the next level of refinement. It's as if great cooks couldn't agree on knives, forks, spatulas, frying pans, collanders, etc. These tools have been around for centuries. Not that they haven't been evolving, but they do it slowly. We really do know at this point the basic tools of programming. There haven't been many new ideas in the time I've been active, and that's about as long as anyone.  
		- A <a href="https://twitter.com/JRart/status/917152293111435265">picnic</a> meant to be seen from a drone. 
	- October 8
		- The <a href="https://en.wikipedia.org/wiki/Second_Amendment_to_the_United_States_Constitution">Second Amendment</a> doesn't say anything about using a gun to protect your family from burglars and home invaders.  :point_left: 
		- Another <a href="https://www.zillow.com/homedetails/215-Devon-Rd-Lee-MA-01238/56804871_zpid/?utm_source=email&utm_medium=email&utm_campaign=emo-instant-homerecs-3recsloop&utm_content=20171007-forsaleimage-CollaborativeRecModel&rtoken=d991648a-23b6-4061-85db-29561483920b~X1-ZUy9o59j6zxbt5_1wtuu&sse=X1-SS-1wdjom2hgitx1_1ekgn">fantasy house</a>. Imagine how much :moneybag: in the Bay Area. 
		- I watched the gun "debate" on CNN this morning and had to turn it off. So much shouting and interrupting, slogans and distractions. The gun advocates have it down, they can stop anything from being seriously discussed. On CBS they did a better job, with two advocates, Diane Feinstein and Wayne LaPierre, who were not on a panel and thus no one could interrupt. A much more useful format. On an issue like this, where many of us feel the wounds (I walk on streets with lots of windows every day), it hurt me physically to hear people treat the subject so casually. 
		- Still no one has an answer why it should be possible for one person to shoot 600 people before being stopped. It's as if we made it legal for people to drive tanks on city streets. 
		- In the aftermath of the <a href="https://www.nytimes.com/2017/10/05/us/harvey-weinstein-harassment-allegations.html?_r=0">NYT story</a> about Harvey Weinstein, and the fact that it was common knowledge in the movie industry that he was an abuser, suppose you were one of the people with that knowledge. What were you supposed to do with that? 
		- How Facebook controls speech
			- I have a rule that I don't point to Facebook posts. Rules were meant to be <a href="https://www.facebook.com/dave.winer.12/posts/635426309998111?notif_id=1507478092757946&notif_t=feedback_reaction_generic">broken</a>. It's a story I posted three years ago, about the time I pointed to a <a href="http://nakedjen.smallpict.com/2014/10/07/itsAWayToTellYourStoryToShareWhatYouSeeToProcessItDrawConclusionsAndMoveOn.html">story</a> written by NakedJen. Read all the way to the end, please. 
				- I just got a lecture from Facebook on their community standards.
					- First they logged me off everywhere, requiring me to re-enter my password on every system I use Facebook on.
					- Then a <a href="http://static.scripting.com/larryKing/images/2014/10/08/weRemovedSomething.gif">dialog</a> saying they removed something I posted. (Okay fine, I'll click the button.)
					- That's not enough. We want you to <a href="http://static.scripting.com/larryKing/images/2014/10/08/review.gif">review</a> the community standards. And then click another button to indicate that you heard us.
					- What was the offense? It's so silly. A couple of nipples attached to a simple and lovely very Facebookish <a href="http://nakedjen.smallpict.com/2014/10/07/itsAWayToTellYourStoryToShareWhatYouSeeToProcessItDrawConclusionsAndMoveOn.html">post</a> by NakedJen.
				- BTW, it looks like she removed the picture. It was a picture of NJ on the stairway at my old house in Berkeley, naked of course, but with her legs crossed, and arms spread out in the usual NJ way. They have to have their standards, I understand, and nipples are a no-no, this picture crossed the line, but..
				- Get this:
				- It was THEIR choice to grab the picture. Not mine. I just linked to her post. Maybe they should lecture their bot, not me.
			- Postscript, in 2017
				- I don't blame Facebook for this. They tried best they could to keep porn off their site. In my country nipples are considered pornographic. Their software hadn't learned yet to distinguish between photos scraped by their bot, vs photos posted by users. 
				- The moral of the story. When you want Facebook to stop political ads aimed at Americans from Russia, that means we're all going to be subjected to this kind of interrogation, not just about nipples, but also about our political values. People who believe you can cut out Russians without interfering with normal speech are naive about how the technology works. 
	- October 7
		- 23 years ago today this blog <a href="http://scripting.com/2016/10/07/22YearsAgoToday.html">was born</a>. 
		- I find that people mistakenly assume you're a newbie at everything if you're a newbie at something. They talk to you like you're a child, often forgetting they know you know a lot of shit about a lot of shit. BTW, this is not about you. It's a general comment. I learned a long time ago when you make a general comment on a blog people assume you're writing about them. I do it too. Seriously this is not about you. :balloon:
		- <a href="https://twitter.com/thereaIbanksy/status/916772125997969408">Everyone</a> says love hurts, but that's not true. 
	- October 6
		- Hayes and Swisher
			- <i>An earlier version of this piece remembered last night's MSNBC show incorrectly. I have since fixed the piece. Still diggin! :boom:</i>
			- It was fascinating to watch Chris Hayes and Kara Swisher together on Hayes' show last night, talking about Facebook. Swisher kept saying she thinks Facebook can get fake news under control. That idea deserves exploration, I wanted to hear more about why she thinks that. I suspect it might be right, and it's necessary imho for their survival. But I suspect they won't do it, because tech giants, and Facebook is that, don't see the <a href="http://scripting.com/2015/10/10/supportingStandardsWithoutAllThatNastyInterop.html">cycle</a>.
			- Both Hayes and Swisher talked about the <a href="http://scripting.com/stories/2007/04/07/isMicrosoftDeadFeh.html#p6">cycle</a>. They talked about how once we thought Microsoft was the big threat, but now not so much. One of the other guests said it was the antitrust suit that knocked them down, but I don't think that was the reason for them becoming not-dominant. 
			- Here's what happened in a nutshell. Microsoft achieved its moment of dominance on the shipping of <a href="https://en.wikipedia.org/wiki/Windows_3.0">Windows 3.0</a>. No threats in sight. They must have had quite a party that night. IBM vanquished. Lotus, Apple, left in the dust. That was about it. Microsoft rules. 
			- At the same time the web was booting up. Microsoft responded in a scrappy highly competitive way. And they won, for a bit. They managed to replace Netscape as the dominant browser. Then they tried to turn the web into a feature of <a href="https://en.wikipedia.org/wiki/Microsoft_Office">Office</a>. That was their basic posture re the upstarts, Google, blogs, all the things that were popping up around that time. All were apps that ran inside MSIE. A threat? Nah. Only the blogs turned into Facebook and Twitter, and Google was the glue that tied the web together. And where MSIE was stagnant and not moving (kind of like Facebook today) Firefox became the browser everyone used because it was fast and the bugs weren't so bad.
			- The bugs were, imho, the real downfall of Microsoft. Adware, malware, virii, they had lots of names, everyone was getting hit, and Microsoft didn't consider security their problem. It was a "third party opportunity." I remember realizing in a SLC hotel once that my laptop had been infected through the wifi network in the hotel. That's how bad it was then. Microsoft wake up, your platform is dying. They ignored all the signals. 
			- I switched to the Mac in 2005 and never went back. No problems with malware. For me there wasn't anything intrinsically better about the Mac, it just worked and Windows and its browser was always broken or about to break. Firefox on the Mac was a great browsing experience. A lot of people switched in that period. 
			- Microsoft missed lots of opportunities to win back users, they didn't seem to care.  I don't think it was any single thing that took them down, rather a lack of awareness of the world around them, a lack of interest, curiosity. In other words they became a big company. They generate their own gravity, and people who work there become focused on that, rather than the rest of the world. That was how Microsoft knocked down IBM, by being agile and scrappy, and how Google et al did the same to Microsoft.
			- Facebook has done a great job of preventing the kind of malware that hit Microsoft so hard. That's like the <a href="https://en.wikipedia.org/wiki/Maginot_Line">Maginot Line</a>. We always prepare to fight the last war. I guess fake news is to Facebook as malware was to Microsoft. And if Facebook can't clean up this aspect of their product, they could suffer the same fate as Microsoft. Or it could be just a symptom of a larger problem, too much internal gravity and not enough outward curiosity. 
			- I think it's great that the MSNBC hosts are interested in the history of big tech. It's not hard to understand. They're just stories like gods, royalty, sex, empires and great wars, victory and vindication. In other words, it's a human story. 
			- Ultimately the reason why Microsoft lost dominance and Facebook will is that no one gets to be dominant forever. 
		- Why they like guns
			- After listening to this <a href="https://www.nytimes.com/2017/10/05/podcasts/the-daily/bump-stock-las-vegas-guns.html?rref=collection%2Fcolumn%2FThe%20Daily&action=click&contentCollection=Podcasts&module=Collection&region=Marginalia&src=me&version=column&pgtype=article">podcast</a>, I understand why people like guns. I get it. And I think I can explain it. Let's give it a try. 
			- I used to have a fetish for stereo equipment when I was a kid. I'd go into the city to  high end stereo stores and get demos of the best equipment. I went to the electronics show at the Coliseum. I studied the equipment bands used. I became a sound engineer. I loved everything about it. The sound systems I lusted after were more power than I could afford, the systems cost thousands and I was just a kid. 
			- I also had fantasies about guns as a kid, like a lot of my young friends, we'd play soldier, or The Man from UNCLE, or James Bond, or Star Trek. There were lots of guns in the kid culture of the 60s and 70s.  When I was in college, at Tulane, in New Orleans, typically my roommates had guns. One took me to a firing range to learn how to shoot. I hated it. I didn't trust myself with the power. I realized I could just turn to the left and shoot someone. And they could shoot me. I couldn't wait to get out of there. I felt like I sometimes do on subway platforms. I could just jump in front of the train and be killed instantly. I step back from the platform and hold on to something to reassure myself that it's just fantasy. 
			- To some people the guns must be a combination of the lust I felt for the powerful sound systems and the weird way you feel when you can end it all with one irrevocable act. The fantasy gets better -- your country needs you to defend The Constitution. You have your guns ready for the day when you're called on. The NRA feeds the fantasy by saying who you will be defending the Constitution against. We're fighting for freedom, and our guns make it possible. More guns, get more guns. Because the country (in your fantasy) needs you. 
			- The reality is the country doesn't need you. If you ever start shooting people with your guns, you may kill others, like the guy in Las Vegas did, but you will be dead yourself a few minutes later. You are not responding to a threat. It's all in your mind. 
		- Diary of a MySQL noob, Part 2
			- I've made a lot of progress, but it hasn't been pretty. Here's the story.
				- It's going slowly as I fumble around in an old semi-familiar place. I know what I want, in user terms, but have to translate that into a database that's running on a system others can access.
				- My only experience with SQL was in 1978, as a grad student at <a href="https://www.cs.wisc.edu/">UW</a>, I took an introductory class to databases. I don't remember why I chose that class, maybe it was a requirement? I also don't remember how the database was set up, how we submitted our queries and how we got back the results. It's possible the work was done on punch cards and printouts. That's how long ago it was. I do remember having fun with it once I figured out what it was doing. 
				- Between then and now, I've used all kinds of data storage systems, mostly ones I wrote myself, for outliners, for the object database in Frontier, stuff like that. I only had a couple of apps in all those years that used SQL, other devs did the database work. Now I want to learn how to build these kinds of apps. I've put this off for too long.
				- Yesterday, I got MySQL running on my desktop Mac through MAMP. The instructions were better than with the download from the main Oracle site. But they weren't really good. It's common in this world to leave out the bridge you need to get from installing to using. In this case, they didn't tell you there's an app in the Applications folder called MAMP.app, that it put there. They also didn't tell you that you can access a local web page to find a dashboard for the MySQL server. They also never told you there's a <a href="https://en.wikipedia.org/wiki/Read%E2%80%93eval%E2%80%93print_loop">REPL</a> available at the command line called mysql and you can type SQL queries at it. I figured it had to be there, why have a command-oriented language like SQL if you can't enter it interactively? All of this info should have been in a bulleted list. These are the things you need to know to get started. 1. 2. 3. 
				- Anyway, after getting it up, and running a few commands, I quickly realized having it local will do no good, I need it on a server. I tried setting up a new server with MySQL on it, first on Amazon and then on Digital Ocean. On Amazon I went through <a href="https://aws.amazon.com/rds/aurora/?sc_channel=PS&sc_campaign=pac_ps_q4&sc_publisher=google&sc_medium=aurora_rds_b_pac_q42017&sc_content=aurora_e&sc_detail=amazon%20aurora&sc_category=aurora&sc_segment=webp&sc_matchtype=e&sc_county=US&sc_geo=namer&sc_outcome=pac&s_kwcid=AL!4422!3!224583983660!e!!g!!amazon%20aurora&ef_id=WQkVoQAAANfCJBGW:20171006143058:s">Amazon Aurora</a>, I don't know exactly what it's supposed to be. It sounded like it was supposed to be an easy hosted way to run MySQL; it was the <i>easy</i> part that attracted me to it. This time instead of not finding the bridge, I was asked to make a lot of decisions that 1. I had no idea how to make and 2. I suspected would not make a difference for my first application. They could have made these decisions for me, with good defaults, and I probably would be using their service now. Instead after guessing at answers on the first page, offered yet another page of impossible choices. At that point I realized I was deep in a rabbit hole. I closed the tab and moved on. 
				- The problem I hit on Digital Ocean that stopped me was that I couldn't figure out how to access the database from code running on my desktop. I know it's possible. The security program I ran offered me the option to do it, but it still wouldn't accept operations from my desktop. Okay so I have to run Node on the machine, and that means I have to run Dropbox, so I can update the code as I iterate. Setting that up was problematic, because I had chosen a machine size that I didn't think was up to running Dropbox. I could start over, but I had another idea.
				- I have a couple of underutilized servers. I chose the one on Digital Ocean because I had been able to install MySQL there. The server already had Node installed and Dropbox. It was ready to go. I hadn't wanted to install MySQL on an existing server for fear I would do something I couldn't undo --  but at this point I had already uninstalled it once, and was pretty confident I wouldn't break anything. So I sucked in my breath, said a prayer and installed MySQL, wrote a test app in Node, and hit another wall. My new app needed the new version of Node, there was a <a href="https://github.com/sass/node-sass/issues/2100">problem</a> <a href="https://github.com/hapijs/boom/issues/164">with</a> the <i>request</i> package, I had seen before on another server. So I fumbled around for about an hour trying to remember how I worked around this problem last time. I ended up completely reinstalling Node and then, boom, my little MySQL app worked! It showed an error message that it couldn't find the database. Correct, I hadn't created it yet. 
				- This morning I created the database, added a table, added a record to the table, did a query, and yaha it all worked. Now I get to think about next steps.
				- PS: If you have comments, add them to the <a href="https://github.com/scripting/Scripting-News/issues/34#issuecomment-334775438">ongoing</a> thread. Thanks!!
	- October 5
		- Follow-up on yesterday's <a href="https://github.com/scripting/Scripting-News/issues/34">braintrust query</a>. Per Scott Hanson's recommendation, I installed MAMP. It's running and I've got a <a href="https://github.com/scripting/Scripting-News/issues/34#issuecomment-334476526">Hello World</a> app working. Also looking for a REPL, some way to issue SQL commands in the Terminal app. That must be possible, right??
		- Facebook has my number. They show me ads for real estate in gorgeous places. Some of it way <a href="http:///scripting.com/images/2017/10/05/expensiveHome.png">too much</a> house (I try to signal to them to stop showing me that stuff). My sweet spot is betw $400K and $600K, in the Berkshires or Santa Fe, NM. I'm scared if they had a one-cick-to-buy button on some of the places I might actually click! The Berkshires esp must be a depressed real estate market, because the houses are amazing, and the pricing history indicates lots of markdowns in the last year.
		- My friend Cat Mikkelsen recently moved to Hawaii with her high-school-age son. I know her through her husband, a famous Mac developer from the 80s. She posts pics as she explores their new lifestyle in paradise. Yesterday she went kayaking on the ocean. That's a very effective way to sell real estate, indirectly, because seeing where she's going and what she's doing makes me want to buy something and live that lifestyle myself. 
	- October 4
		- Braintrust question: <a href="https://github.com/scripting/Scripting-News/issues/34">Quick MySQL-on-Mac playground?</a> 
		- <a href="http://scripting.com/2017/10/04/wisdomOfNetworking.m4a">Podcast</a>: It shouldn't be that easy for one person to shoot 600 people.
		- The Repubs get to frame the whole conversation about gun control. Don't politicize it, they say. A proper mourning period please. This is first class trolling. Don't engage. Just plow ahead. 
		- If you want to download MySQL for the Mac, here's the <a href="https://dev.mysql.com/get/Downloads/MySQL-5.7/mysql-5.7.19-macos10.12-x86_64.dmg">direct download</a> link. They really try to upsell you to Oracle and get you to create an account. Meh.
		- <a href="https://www.theverge.com/2017/7/10/15946642/two-factor-authentication-online-security-mess">Two-factor</a> actually makes your account <i>less</i> secure. Security on phones is terrible. If your phone is hijacked, the hackers could control of any two-factor account you have. And it's easy to talk a telco into giving you control of someone else's phone. Two-factor is a very misleading name. It's not two factors, it's the <i>weakest of</i> two factors. It's not <i>and</i> it's <i>or.</i>
		- Speaking as a lifelong Knicks fan, currently somewhat in remission (hah!), I have to say Fox Sports hit the nail on the head with the <a href="http://www.nydailynews.com/sports/basketball/knicks/hopeless-knicks-greet-nyc-subway-riders-due-fs1-ad-campaign-article-1.3538210">Knicks Hopeless</a> campaign. The moment of max hopelessness was reading the headline that <a href="http://www.ajc.com/sports/nba-fans-stunned-tim-hardaway-million-deal/3BDBrrw0u6gqnboyT23wBP/">Tim Hardaway</a> had gotten a $71 million contract and then learning that it was the Knicks who paid that for him. Until Dolan leaves, the Knicks will continue to <a href="https://www.si.com/nba/2016/06/22/derrick-rose-trade-knicks-worst-deals-team-history-andrea-bargnani">sputter</a> in hopelessness.
		- Where is the wolf for the news ecosystem?
			- Jay Rosen <a href="https://twitter.com/jayrosen_nyu/status/914645808435355648">tweets</a> provocatively, where is the wolf for news? He includes a stunning video about the rebirth of the Yellowstone ecosystem after they reintroduced wolves. It's totally worth watching.
			- Anyway, no one knows what if anything will cause a rebooting of news in a constructive way that responds to the challenges of 2017 and beyond. But if such a thing exists, I suspect it has something to do with aggregation, because we need it, and the current ways we get it are so inadequate and not near the potential of the Internet to deliver.
			- Aggregation is what Twitter and Facebook do for news. Neither company designed or tuned their products to news, it sort of just happened. What if there were a news aggregator that provided a customizable feed from many sources and only included vetted sources, known to at least be trying to present accurate news. I don't know if that's the wolf, but it's needed.
			- Over the years the news industry has pointed the finger at every tech leader, in turn, without ever taking on the problem of net-based news distribution itself. We gave them a great start with "RSS". Now Facebook is to blame. All they did is ruthlessly harness the native power of the net, in a fairly crude first-approach sort of way. Lots more iteration and refinement is possible. To win it requires cooperation among the competitors in news, and that might be impossible. 
	- October 3
		- Fargo has finally been retired. I changed the <a href="http://fargo.io/">home page</a> to point to places someone looking for Fargo might want to go. It has been a good run. Four years. Not bad. And seriously thanks to Dropbox for making it possible. The idea of an ecosystem of apps running on Dropbox storage was a great, if unfulfilled, vision. Onward! :-)
		- New <a href="http:///scripting.com/images/2017/10/03/parkAutumn.png">header graphic</a> for the new season. (BTW, that <a href="https://www.flickr.com/photos/scriptingnews/15582419877/in/dateposted-public/">photo</a> was taken on Nov 11, 2014, <a href="https://www.google.com/maps/@40.7756976,-73.9800835,654a,35y,90h,39.28t/data=!3m1!1e3">in</a> Central Park. The leaves aren't turning that much yet.) 
		- New <a href="https://github.com/scripting/pagePark#v078-10317-by-dw">version</a> of "PagePark" with features to support logging via WebSockets. 
		- Can <a href="https://twitter.com/MaddowBlog/status/915398022795685888">she</a> be our president, please?
		- <a href="https://en.wikipedia.org/wiki/Nazi_book_burnings">Book burning</a> will be a lot easier and cheaper on the net.   
	- October 2
		- Journalism <a href="https://www.buzzfeed.com/charliewarzel/the-big-tech-platforms-are-still-botching-breaking-news?utm_term=.itw143JOV#.xoeLje95V">people</a> say Google is bad at journalism. I must be missing it but why don't they fix it and get Google out of their business. They don't feel they're responsible for anything, not even what they do. Of course Google sucks at journalism. What Google does<i> the best</i> is keep a huge network of computers running against unbelievable attacks from everywhere. The bad guys must always be trying to knock them down. Yet their servers are reliable and run fast. That's what they do best. Everything else is so-so. 
		- Well it's all right, even if the sun don't shine. 
		- Today's <a href="https://www.axios.com/las-vegas-shooting-kills-at-least-20-injures-more-than-100-2491911641.html">gun tragedy</a> is different because the victims were probably mostly white and they were probably well-distributed from all over the country. This one more than most is an <i>American</i> tragedy. 
		- This was the <a href="http://doc.mageddon.org/">vision</a> for the worldoutline software. You could think of this document as a site or this site as a document.
		- I wish blogs could have the concept of required reading for the people who read the site. If I were permitted to require you read something, it would be <a href="http://www.npr.org/sections/money/2017/08/25/546127444/episode-790-rough-translations-in-ukraine">this episode</a> of the Planet Money podcast about how Russia used fake news to fight and win its war with Ukraine. They haven't rolled in the heavy artilery in the US yet. It would be great if we could all get out in front of it, a little. Russians use the net much more effectively than we do, to (I kid you not) wage war with the US. But we are so confused we don't even know we're at war. Listen. 
		- I'm still using a CNAME for the roots of domains and wondering why it works. I opened it as a <a href="https://github.com/scripting/Scripting-News/issues/32">new issue</a> on the Scripting News repo. Let's find out. Also sent a link to the people at <a href="https://hover.com/">Hover</a>. 
		- I'm still <a href="http://scripting.com/2017/10/01.html#a014003">repairing</a> sites, and finding old work I did. For example, here are <a href="http://opacity.blorkmark.com/">two</a> <a href="http://opacity2.blorkmark.com/">experiments</a> I did with opacity. I remember how eye-opening this was for me, figuring out how a lot of the special effects on the web work. I ended up using this in a bunch of different places. For example, the purple poundsigns on this blog aren't full opacity. It always bothered me how disruptive they are. Drop the opacity and they aren't so visible. 
		- For the 18th time I rescued <a href="http://rssjs.org/">rssjs.org</a>. Hopefully this time it sticks. 
		- Weird drag and drop with Electron app
			- I want my Electron app to handle drag-and-drop from the desktop.
				- I want to drag an OPML file onto it, and have it open it.
			- I have done this before with Electron apps, for example "Public Folder" lets you drag a file onto it to upload it. It works. 
			- For this app, it works when I'm debugging, but when I build the app, it launches the OPML Editor. This is so weird. 
			- When I drag an OPML file onto Chrome, it shows me the OPML source. But when I do it with the browser inside Electron it opens it in the OPML Editor.
			- I figure I have something configured in the OS to make it do this, but I have no memory of doing it and no idea how it might have worked. 
			- Any suggestions most <a href="https://github.com/scripting/Scripting-News/issues/33">welcome</a>. 
		- Other notable sites saved
			- <a href="http://guidelines.scripting.com/">guidelines.scripting.com</a>
			- <a href="http://bingeworthy.scripting.com/">bingeworthy.scripting.com</a>
			- <a href="http://source.scripting.com/">source.scripting.com</a>
			- <a href="http://outlinerhowto.opml.org/">outlinerhowto.scripting.com</a>
			- <a href="http://newsriver.org/">newsriver.org</a>
			- <a href="http://infiniteloop.blorkmark.com/">infiniteloop.blorkmark.com</a>
		- Morning coffee notes
			- Apply what we've learned about bots. When someone recites talking points at you in a tweet, you don't have to respond, it might not be human.
			- Thoughts and prayers count for shit. The way to kill the NRA is through legislation. Remember when you vote. That's how you create change. 
			- Terrorism is a racist term in the US. It means white people were harmed by people who aren't white. If the shooter is white, he's just crazy.
	- October 1
		- You can fake caring but you can't fake showing up.
		- I changed my name to <a href="http:///scripting.com/images/2017/10/01/140chardave.png">140-char Dave</a> on Twitter, not as an endorsement of the 140-char limit, the exact opposite. It's a disclaimer. You're not getting full-strength Dave, you're getting a highly abbreviated version. I favor no limit, with a simple "show more" <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">link</a> on tweets over 140. I understand some people don't favor such a change, but imho they are wrong. :boom:
		- Site restoration notes
			- I have a server that's been unreliable, running software that I no longer wish to maintain. The result -- a lot of archive sites are offline. I'm going to work gradually over time to bring them back, using more reliable software. 
			- They are the sites I created in the period 2008 through 2013, using the worldoutline software. I had the idea that domains and documents should be one and the same. Turns out there weren't so many advantages to that as I thought, and Google and EFF et al with their push to HTTPS made that an expensive decision. None of these sites can make that transition. There are too many -- a thousand of them, or so it seems. 
			- Side-note, this is why platform vendors with their seemingly arbitrary "deprecations" are so poisonous to longterm creativity of developers. I'm sure it never occurred to Google or Mozilla that someone had tried to innovate this way. They can't keep up with everything, and aren't inclined to. That's the way big companies are. That's why the web was so enticing. No platform vendor to fuck with you. Well, Google wants to be the platform vendor for the web, and now we're dealing with the usual malaise that platform vendors bring. 
			- Anyway, you'll see me pointing to various sites today and hopefully in the future as they get resurrected in the new way of things. 
			- Two to start with: <a href="http://morningcoffeenotes.com/">morningcoffeenotes.com</a> and <a href="http://rsscloud.co/">rsscloud.co</a>.
			- In 2013 I wrote the <a href="http://forewordbootstrap.blorkmark.com/">foreword</a> to an O'Reilly book about the Bootstrap Toolkit. 
		- Morning coffee notes
			- I saw <a href="https://en.wikipedia.org/wiki/Bob_Schieffer">Bob Schieffer</a> on Face The Nation. He says that the press used to be gatekeepers, but not so much these days. I still get my news from the major brands, only a few new ones have entered my zone of trust. And they are total gatekeepers. My number one frustration is the inability to join the discourse. I feel my ideas are good enough to be part of the flow, esp when there's so much boring repetition. For whatever reason it's impossible. And that's very frustrating. I don't know what the answer is but I think about it all the time. 
			- In that context I find the new voice of <a href="https://twitter.com/CarmenYulinCruz">Carmen Yulín Cruz</a> to be inspiring and optimistic. She was unknown just a few days ago, and has said things that normally would never get through the gatekeepers. But she had what it takes. A big enough title to make her not such a risk, and an eloquence and directness that serves as a wonderful foil to the panic, cowardice and covering-up of El Presidentè. Her anger comes through, and it seems real, which is very unusual for TV news.
			- What if everyone kept a public list of things everyone should know that they probably don't know, and why they should know it.
			- Here's one of the things I'd put in my list. Most supposed online jokes are not funny because this is not your living room and the people who hear it don't know you. 
			- I figured out today the <a href="https://twitter.com/davewiner/status/914361063994527744">key mistake</a> white Americans make about people who aren't like them.
