- November 2017
	- November 30
		- Around this time every year, Michael Gartenberg <a href="https://twitter.com/Gartenberg/status/936325389043077120">looks</a> for my <a href="http://scripting.com/2000/12/22.html#latkesAndShicksas">famous latkes recipe</a>, pretends he can't find it, so I do, and post it to my blog and to <a href="https://twitter.com/davewiner/status/936339778605371392">Twitter</a>, and we're okay for another year. It's a ritual like Groundhog Day. 
		- Trickle down, <a href="https://twitter.com/davewiner/status/933215085857718272">illustrated</a>.
		- I wonder if <a href="https://en.wikipedia.org/wiki/Andrew_Baron">Andrew Baron</a> reads my blog. Last time I saw him was in Boulder a few years ago. I think about him whenever I end one of my posts with two very cool emoji that work well together. A rocket :rocket: followed by a boom :boom:. This was the <a href="https://en.wikipedia.org/wiki/Rocketboom">name</a> of his videoblog, a pioneering effort, it was pretty famous in the early days of YouTube. It's so cool that those are the names of two emoji and they go so well together. :rocket: :boom:
		- A fictionalized account of a true story
			- I try to begin each email with one of two sentiments: Thanks or sorry. Or find a way to praise the person I'm writing to. Start with something positive or show empathy. I've found, over years of experience, that people will likely stop reading after the first sentence, even if you are being nice. If you show appreciation or sincere regret up front, the chances that they'll read beyond the beginning seem to go up significantly. 
			- A book author begins with a question, have you had a chance to read my book and write about it on your blog? Another rule kicks in here. No bad news. I could tell the truth, that I find it difficult to read printed books, esp ones with small type, because I have a disability. Not something that limits much of what I can do, but it does affect my reading ability. I had eye surgery a number of years ago and it left me with bad vision in one eye, and made it impossible for me to wear glasses, yadda yadda yadda. No one is interested in this other than me (very!) and my eye doctor (not much she can do unfortunately, other than surgery on the other eye, something I'm not willing to risk). 
			- If I told the author all this, he would probably react negatively. Tell people I was difficult (this has actually happened) or otherwise defame me. But if I simply don't respond there are no negative consequences. So that's what I do. I don't like it. It isn't in my nature to leave people hanging. I want to give them a chance to fix the bug. An electronic copy can help. But honestly I didn't find the subject of the book so compelling, so I don't want to create the expectation that if he jumps through this hoop I will read the book. I probably won't. 
			- And the idea that I owe anyone space on my blog is a <i>huge</i> turnoff for me. That isn't how it works. Once someone gets territorial about my space, that's usually the end of that. Which is why this is a blog post instead of an email. A rather long one, I might add. :rocket: :boom:
		- About that WSJ reporter years ago
			- Reminds me of a story I don't think I've ever told.
			- There was a famous reporter at the WSJ many many years ago. 
			- I had been a source for him before I started blogging, and he had reciprocated by writing nice stuff about me in some of his stories (that's how it works, btw in case you don't know). He had written a book, and sent me a blurb I should put on my blog. He didn't offer to send me a review copy. So I responded by saying he should send me a review copy and if I was interested I would write about it.
			- He got extremely nasty about how I will run the blurb he wrote and there's no need to send me a review copy. I said no, and he got even nastier.
			- I got a glimpse into how that part of the business works. I had much more respect for my blog and my readers than he did. And I'm guessing I had more respect for my readers than he did for his. And I also guess that this is the common practice, though I would rather not have known that. 
		- And now I'm reminded of another story
			- An ad guy for a major PC pub comes to visit. I was an advertiser, so this is normal. What wasn't normal is that he brought the Editor in Chief of the pub with him. I didn't know what to make of it.
			- The editor excuses himself to go to the bathroom, then the ad guy mentions that they're planning to run editorial about my product (a good thing, and not unusual or improper for an ad guy to know this) and if I commit to a big buy, they'll add more space about my product to this upcoming issue. Now that crossed the line. He connected ad purchases with editorial coverage. There's supposed to be a wall separating editorial and advertising. He just told me that there is no wall at this publication.
			- When the editor came back I told him what the ad guy said. He shrugged as if geez what's the problem. Yes I bought some ads, the amount we were going to buy before the meeting. But I never again read any of their editorial without thinking that it was all advertising. 
	- November 29
		- Being President of the United States means something different now than it used to. If we survive Trump it won't snap back to what it was before. The next president will inherit a vastly different <i>normal</i> with different guardrails. It's good that <a href="https://en.wikipedia.org/wiki/The_West_Wing">The West Wing</a> archive is around to preserve the <a href="https://www.youtube.com/watch?v=il-DowDFDo4">idea</a> of what the presidency used to be.
		- How do the <a href="https://duckduckgo.com/?q=ancestry+dna&t=hg&ia=web">ancestry DNA</a> products find relatives? Are they silos? Do you only find relatives who used the product you used?
		- One thing's for sure all future presidents are going to have to <a href="https://www.youtube.com/watch?v=ByeXMGqapnU">razzle dazzle</a> the electorate. No more boring campaign speeches, too many details, or too much truth. 
		- One of the news channels could be more fluid with personalities. I would like, for example, a half-hour at least once a week with <a href="https://duckduckgo.com/?q=site%3Ascripting.com+David+Frum&t=hf&ia=web">David Frum</a>, <a href="https://en.wikipedia.org/wiki/Julia_Ioffe">Julia Ioffe</a>, <a href="https://www.politico.com/story/2017/11/28/luis-gutierrez-retirement-chicago-illinois-267821">Luis Gutiérrez</a> and <a href="http://scripting.com/liveblog/users/davewiner/2016/03/31/1154.html">Barney Frank</a>. As the focus of news shifts, other experts are swapped in. Also Al Sharpton.
		- JY <a href="https://twitter.com/jy/status/935603589283745797">found</a> another Erik Sandberg-Diment <a href="http://www.nytimes.com/1986/04/01/science/personal-computers-new-software-for-making-note-scribbling-easier.html?&pagewanted=print">review</a> of one of my products, Ready!, which was a <a href="https://en.wikipedia.org/wiki/Terminate_and_stay_resident_program">TSR</a> <a href="https://en.wikipedia.org/wiki/Outliner">outliner</a> shipped in 1986. We were so busy with a growing company at the time, I probably saw the review when it came out, but I was in the middle of a tornado then. Not many memories. I remember the first review, of course, always will, because it was the one that made the startup actually start up.
		- Idea for the WP or NYT: Hire a psychologist to report on Trump. Develop a profile, explain each tweet in context. I'm not in any way competent, but I suspect a lot of what he does and says is trying to win the approval and love of his father.
		- Using GitHub in a feed system
			- I'm working with <a href="https://twitter.com/dabeard">David Beard</a> on an experiment. We want to teach editorial organizations how to run their own news "superfeeds," so they can invest in news resources for their editorial people and for their readers. But first we had to do it ourselves, with David in the editorial role and me as his system developer.
			- In this setup, I'm running "River5" on my one of my AWS servers. It's generating my news sites, the <a href="http://nytimesriver.com/">NYT river</a>, <a href="http://podcatch.com/">podcasts</a>, <a href="http://mlbriver.com/">MLB</a>, <a href="http://nbariver.com/">NBA</a>, <a href="http://politics.newsriver.org/">politics</a>, <a href="http://bloggers.scripting.com/">bloggers</a>, and the <a href="http://scripting.com/river.html">one</a> I do for the readers of my blog, and more. We're going to set it up so it generates David's river along with mine. 
			- David needs to create and update a list of feeds for his river. He's not a programmer. I decided to give GitHub a try.  
				- I created a <a href="https://github.com/scripting/test2">new repository</a> and invited him to be a collaborator.
				- I created a folder called lists, and a file called beard1.txt. I set it up <a href="https://github.com/scripting/test2/commit/fbf356a55a114e730e3076a69b6fdd48e9514923#diff-adaa18d5bfb99074a2656ce71c93dd32">initially</a> with some of the example feeds included with River5. 
				- I told him where the list was, and said he should edit it, to add or remove feeds, and to let me know when it was ready. 
				- Then I created a script on the server that reads the <a href="https://github.com/scripting/test2/blob/master/lists/beard1.txt">GitHub file</a> every five minutes and saves it into the <i>lists</i> folder on my River5 system. 
				- From there, "River5" does what it does with all lists. It creates a new river file, with the same name, and reads all the feeds in the list that it isn't already reading. When an item comes in from a feed he's subscribed to, it's added at the top of his river. 
				- Then I created a tiny <a href="http://scripting.com/misc/beardriver/">HTML shell</a> that uses the <a href="https://github.com/scripting/riverBrowser">RiverBrowser</a> module to display the river. I pointed it at his <a href="http://radio3.io/rivers/beard1.js">river.js file</a>. It all worked! 
			- The most important thing is we have a workflow that allows him to change the contents of his river whenever he wants, without any tech support. That's the kind of system we all like. :boom:
	- November 28
		- New "BingeWorthy" feature. Now you can suggest a new program. It's very low-tech and the ultimate list that's rated is an editorial thing, it's curated. The docs are on the <a href="http://this.how/bingeworthy/#1511880306000">howto page</a>. 
		- I added <a href="http://bingeworthy.io/?id=00318">Continuum</a>, <a href="http://bingeworthy.io/?id=00357">Law & Order</a> and <a href="http://bingeworthy.io/?id=00354">The Punisher</a>, per suggestions made through the new feature.
		- Don Draper <a href="https://vimeo.com/20736616">introduces</a> the Carousel on Mad Men. 
		- A quick <a href="https://youtu.be/13eG1LHuhgA">demo</a> showing how increasing the limit on tweet size to 280 chars made a big difference in my blogging. These systems all interconnect, and when the limits are erased, good things happen. Watch the demo to see how.
		- Why did the <a href="https://www.politico.com/story/2017/11/27/time-inc-koch-brothers-260987">Kochs</a> want to buy Time? Possibly because they saw Fox becoming Trump TV and buying CNN and Sinclair taking over local broadcasters. It's an insurance policy. They may need to have a way to speak that's independent of their competitors.
		- We want to keep the rule of law, the Constitution, the norms established over 241 years of American continuity. We need to organize around this principle. People who used to be thought of as liberal are now conservatives. Let's start talking about organizing.
		- Lots of <a href="https://mediagazer.com/#a171127p13">trolls</a>, not just <a href="https://www.washingtonpost.com/investigations/a-woman-approached-the-post-with-dramatic--and-false--tale-about-roy-moore-sje-appears-to-be-part-of-undercover-sting-operation/2017/11/27/0c2e335a-cfb6-11e7-9d3a-bcbe2af58c3a_story.html?utm_term=.ecd369c842f8">O'Keefe</a>, will take advantage of the #metoo movement. On the net you can't tell who's pulling the strings. It could be an abused woman, or it could be a political cause or Russian oligarchs. America has an exposed surface that's vulnerable to trolling. Gender is a huge wedge, and people who play on divisions will use this, <i>are</i> using this this, to reduce us, to get us to hurt ourselves. Keep your eyes and ears, and most important, your mind, open. 
		- Of course <a href="https://www.nytimes.com/2017/11/27/opinion/trump-patriot-russia.html?_r=0">Trump works for Russia</a>. There's the evidence of connections, meetings, emails, visits to Moscow by aides, and then there's the actions, such as the gutting of the State Dept. Why would a president, who was loyal to his country, do that? Has anyone asked? Doubtful. If it were asked, would there be an answer? Of course not. The answer is obvious according to the Occam News Service. Don was compromised in the 80s, and learned to love working for Russia. 
		- A <a href="https://twitter.com/davewiner/status/935371497899773952">review</a> for my first product, ThinkTank, appeared in the NYT in 1983.
		- JY Stervinou found the <a href="http://www.nytimes.com/1983/05/17/science/personal-computers-software-first-idea-processor.html?&pagewanted=all">article</a> in the NYT archive on the web. And a <a href="https://www.theatlantic.com/technology/archive/2016/05/what-happens-when-your-tech-predictions-tank/480990/">followup</a> with the author of the review, <a href="https://duckduckgo.com/?q=Erik+Sandberg-Diment&t=hf&ia=products">Erik Sandberg-Diment</a>, to see how his predictions turned out. 
	- November 27
		- <a href="https://en.wikipedia.org/wiki/Barney_Frank">Barney Frank</a> was on Lawrence O'Donnell's <a href="http://www.msnbc.com/the-last-word">show</a> this evening, explaining what Trump is up to in financial regulation in a clear way that you never hear on cable news. <a href="https://en.wikipedia.org/wiki/Lawrence_O%27Donnell">O'Donnell</a> interrupted when he was just about to nail it. He kept talking and was almost going to pull it all together when O'Donnell interrupted again and said "We have to leave it there." What was so urgent? A complete rehash of the Access Hollywood <a href="https://en.wikipedia.org/wiki/Donald_Trump_and_Billy_Bush_recording">thing</a>. So frustrating. <i>Would someone please get Barney Frank on a podcast and let him talk for an hour. </i>He has something to say that no one else is saying.
		- Trump is an actor who plays a reality TV version of a president.
		- The plan outlined <a href="http://scripting.com/2017/11/27.html#a141019">below</a> failed miserably. You simply can't walk in Manhattan without territorial strategies or people just walk into you. I had a <a href="http://freshdirect.com/">Fresh Direct</a> delivery guy force me into a wall with his cart. That's when I realized this couldn't work, and I pushed his cart away. The working hypothesis: Give an inch and they take a mile. Eye contact must never be made or all hope is lost. Walking in NYC is a contact sport. I don't know how really old people do it without getting crushed. 
		- Yesterday I was shopping at the local Whole Foods. On the way out the crowd slows to get on an escalator. A guy cuts in front of me and a few others, just shoving us out of his way. This kind of pissed me off. It happens a lot in NYC. Walking is very competitive. So right then I decided to do the opposite. There was a person on my right about a half-step behind. I stopped, and said after you, with a gesture of my hand. They said thanks. Then I did it again and again. People mostly didn't notice, but I thought this is a good thing in the end of year rush in NY. It's crazy time here. So I'm going to step back and let other people in ahead of me. See where that goes. 
		- When I'm looking for right margin pictures, I often search on my own blog using a key concept from the post. So I just searched for <a href="https://www.google.com/search?q=site:scripting.com+food&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwiAls3S-97XAhWB5IMKHYR7C_gQ_AUICygC&biw=1204&bih=1168&dpr=2">food</a>. There are <i>lots</i> of great images that go with food on my blog. There's a great <a href="https://www.google.com/search?q=site:scripting.com+food&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwjp8feu-N7XAhUK6IMKHXxMDhIQ_AUICygC&biw=1204&bih=1124#imgrc=zUUmdvpHhNmUrM:">picture</a> of Nick Denton from 17 years ago. I hardly recognized him, he's so young. We were at <a href="http://jingjinggourmet.com/">Jing Jing</a>, the <a href="https://www.google.com/search?q=site:scripting.com+food&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwjp8feu-N7XAhUK6IMKHXxMDhIQ_AUICygC&biw=1204&bih=1124#imgrc=1381sXtAJ1u_1M:">spicy noodles</a> place in Palo Alto. This is before <a href="https://en.wikipedia.org/wiki/Gawker">Gawker</a>, when he was starting up <a href="https://en.wikipedia.org/wiki/Moreover_Technologies">Moreover</a>, an RSS-based venture, which he sold to Verisign at the same time I sold them Weblogs.com.
		- And just as I'm finishing up my last post, the <a href="http://scripting.com/2017/11/24.html#a173638">hammering</a> and drilling starts again in a neighbor's apartment. This is not going to be a fun day. 
	- November 26
		- I'm doing <a href="http://scripting.com/images/2017/11/26/bikeAngel.png">my part</a> to make biking work in NYC. 
		- I'd like to see a Sunday news show that never invited people from the following categories: members of Congress, people who work in the current administration, reporters who cover politics, celebrities with political opinions. There might be other exclusions. But I am fed up with all the self-serving lies. I couldn't bring myself to listen to a single political podcast this Sunday. 
		- I'd like to try <i>What The Fox,</i> a fictional web browser that reverses the strategies of Mozilla, Google and the EFF. For example, instead of complaining about HTTP sites, it would complain about HTTPS sites as being a silly waste of resources. Instead of making it virtually impossible to see the source of an RSS feed, it would make everything but RSS feeds virtually impossible to see the source of. Or maybe it would show the source of everything by default, and make it virtually impossible to see the rendered HTML. That might impact the usefulness of the web however, so should possibly be reconsidered.
		- GitHub as S3?
			- <i>Can we use a GitHub repo as if it were an Amazon S3 bucket? It seems the answer is yes. The two are remarkably similar. Here's the writeup.. </i>
			- Long-term readers of this site know that I like Amazon S3 for storing public-facing web sites, and for object storage for web apps. I have support for S3 baked into a lot of my projects. I like it because it performs well, is inexpensive, and they worry about keeping the server running, so I don't have to. The more I can offload the more I can create and manage.
			- So, when I did the "public folder" project, without even thinking, I used S3 as the place where the publicly-accessible content was stored. <a href="https://blog.andrewshell.org/my-resume/">Andrew Shell</a> wrote to ask if I had considered using GitHub as the public-facing store. I didn't even understand what he meant. He said that GitHub does what S3 does. <i>Think of a respository as a bucket. </i>We usually use it for storing program code and maybe some HTML and JSON, which also happens to be what we use S3 for. (Can you store an MP3 there? Yes. Verified.)
			- So I put it on my to-do list, and finally got around to it this weekend. I wanted to see if I could write to a repo directly from a Node app using their API. According to <a href="https://developer.github.com/v3/repos/contents/#update-a-file">the docs</a>, you should be able to. 
			- A couple of days later, I have something working, a test app to see how reliable the connection is. Every night at midnight it uploads the previous day's Scripting News to the <a href="https://github.com/scripting/Scripting-News/tree/master/blog">blog folder</a> in the Scripting-News repo. It seems to work. I'm going to leave it running and come back to it after a time, to see if it's a dependable way to store and serve content. In the meantime, if you want to build something that uses this data, please do. That would be one of the reasons to use GitHub for this kind of application. 
			- I started a <a href="https://github.com/scripting/Scripting-News/issues/47">thread</a> on the repo, seems appropriate, if there are questions, comments. I also explain what the data is that we're storing in the blog folder. Could prove useful if you want to do some experiments. 
			- PS: There are <a href="https://help.github.com/articles/conditions-for-large-files/">limits</a> on file size and total size of a repository. 
	- November 25
		- I finished <a href="https://duckduckgo.com/?q=Godless+tv+series&ia=web">Godless</a>, and I liked it. 3.5 out of 5. It started off something like Deadwood, but in the end it was more of a Disney show with a bit of Hallmark, not nearly as depraved as Deadwood, which was <i>truly</i> depraved. Not that I'm opposed to lovely stories and gorgeous western scenery.  I'm not sure whether I'll give it a 3 or a 4 on "BingeWorthy". I'll sleep on it. In the meantime I think Rectify, based on the superb rating it has gotten from <a href="http://bingeworthy.io/hotlist.html">BW users</a>, will be the next program I try. It's on Netflix. And it should be noted that this is my first binge in the BingeWorthy era. As with "podcatch.com", one of the reasons I do these projects is to keep me better informed and entertained. 
		- I like the <a href="https://twitter.com/davewiner/status/934531131818545152">idea</a> of TIME savaging Trump. 
		- One simple reform in news would make a huge difference. If you know someone is going to lie when interviewed, you can't put them on your show. Make the broadcaster responsible for the lies they carry, just as some would make Facebook responsible.
		- Checked on the BingeWorthy <a href="http://bingeworthy.io/hotlist.html">hotlist</a>. Interesting to see Rectify at #3, but only with the minumum 5 votes to make it on the list. Freaks and Geeks which I had never even heard of, is in the top 10. It has 35 votes, which is more significant than 5. The really low-rated shows no longer get on the hotlist. Maybe I should increase it to the top 250, or increase the minimum number of votes to 10? Thinking about what's next. Have to figure out how we'll add new programs. I have some ideas. 
		- An idea for map websites. How about a mode that let me drive a virtual car anywhere I want. I don't have to stop for traffic lights, and I can't have an accident. No speed limit. I an go the wrong way down a one-way street. I can look all around while I move through the virtual space. 
		- A new curriculum
			- Many of our problems could be solved thus:
				- A new K-12 curriculum in empathy. Teach listening skills. How to put yourself in other people's shoes. The Golden Rule.
				- Remedial training for adults who didn't get this education when they were kids.
	- November 24
		- Good morning. I just did a switchover of my CMS. Hopefully all the pieces still fit together as they did before.  
		- Bert Cooper: <a href="https://youtu.be/FKgPTkIulEI">The Best Things in Life are Free</a>.
		- I'm working my way through <a href="https://duckduckgo.com/?q=Godless+tv+series&ia=web">Godless</a>. It's nice, but so far, three episodes in, it's not as great as the reviews say. I'd say it's about 3/5th of <a href="https://en.wikipedia.org/wiki/Deadwood_(TV_series)">Deadwood</a>, which came first, was more depraved, and more entertaining. That said I was just in the part of the country that it's about, southern Colorado and northern New Mexico. I think it was filmed there too. And this gives me a clear picture of what's next for "BingeWorthy", a diary, a place where I can take notes about programs as I work through them. 
		- Godless may not be a masterpiece, but it is bingeable. Not all shows are. I find myself looking for excuses to stop working so I can get to the next chapter of Godless. They got me to care about the characters. That's the basic thing about bingeable shows. They get you to care. 
		- Lovely. A neighbor is doing construction in a nearby apartment. It sounds exactly like a dentist's drill. And it's intermittent. At least when you're at the dentist you know when the drilling is going to start. (Update: I found that putting on my Bose headphones helps a lot. Hard to believe the noise cancelling function is working. The drilling seems very far away. Only downside is I can't hear my fingers on the keyboard.) 
	- November 23
		- Good morning and Happy Thanksgiving to all the turkeys who read this blog! :heart:
		- A new <a href="http://this.how/radio3/#1511448661000">Radio3 bookmarklet</a>, fixes a longstanding problem with percent signs in titles.
		- I see a trend. Bloggers making their Twitter name the <a href="http://scripting.com/">URL</a> of their blog. It says <a href="http://scripting.com/images/2017/11/23/exampleTweet.png">something</a>. I may post here, but I live there.
		- Sing along with <a href="https://youtu.be/m57gzA2JCcM">Arlo</a> in four-part harmony and feeling.
		- Yogi Berra: "In theory there is no difference between theory and practice. In practice there is."
		- I told my massage friends from Europe about <a href="https://en.wikiquote.org/wiki/Yogi_Berra">Yogi Berra</a> and the things he said. They thought he was their kind of Yogi, not the baseball kind. The cultures are connected I guess. 
		- Another great Yogi saying: You can observe a lot by watching. 
		- Now to what's really important, basketball. Thanks to Phil Jackson and Carmelo Anthony for leaving the Knicks. I didn't know we needed the space so badly. What a great team the 2017 Knicks are. So entertaining and hopeful. I have a theory about basketball. Once teams win two championships they should disband, because there's no reason to win a third. But teams like this year's Knicks, so full of naive optimism and the joy of youth, they are the reason we watch all sport. Al Pacino's character said it so well at the end of <a href="https://en.wikipedia.org/wiki/Any_Given_Sunday">Any Given Sunday</a>. Sport, like life, is about creating together. It's the friendship, teamwork, that's why we play, that's why we live. We are a social species, not designed to go it alone. Yet the myth is of the Great Man. That's Melo. And Jackson. But <a href="https://en.wikipedia.org/wiki/Kristaps_Porzi%C5%86%C4%A3is">KP</a> has a different ethic. He leaves room for his friends to shine. So you get a dozen characters instead of one. I could be wrong. It could be KP is upset at all the individuality, but I sure hope not. Anyway, that's the story that is this year's Knicks. 
		- I couldn't find Pacino's end-of-movie speech, but his <a href="https://www.youtube.com/watch?v=WO4tIrjBDkk">inch-by-inch speech</a> is the classic, and there are lots of clips of that on YouTube. 
		- This year I am thankful for all my friends, near and far, new and old, all genders, races, political persuasions, from red states and blue states. All we have really are each other. People who want more or think they have more are on a fool's mission. We start out as stardust and that's where we end up. In between, we hope there's time enough for fun and love and great ideas and helping each other. 
		- I'm thankful this year for <i>women</i> friends, all of whom have #metoo stories, though not all have been told publicly. Especially women friends who tell me, with love, that they know I'm a good man, not because I needed to hear that to know it, but because it helps me feel somewhat safer. I am afraid about where we're headed, how our strings are being pulled, how men's voices are silenced in this huge debate about what it means to be a man, and where leadership will come from, and if it will be kind, and wise.  
		- Net neutrality and exclusivity of ISPs
			- People are getting more vocal about net neutrality because there's a PR campaign to get people to rally behind the cause of the tech companies, which is ridiculous. People would never fall for it if it were Exxon or the NFL intead of Google or Facebook. The tech industry is every bit an American industry, meaning they'll take whatever they want until some entity with more power stops them. 
			- One of the ideas circulating is that your ISP has a monopoly, owns the only way for you to get to the Internet, but that's an old idea, it's no longer true. Where I live the wireless vendors are just as fast as the wired ISP. The cost is still prohibitive, I still need wifi, but given an economic incentive to replace Comcast and Spectrum et al, some wireless vendor is going to step in, probably the smaller ones who aren't yet owned by one of the big ISPs. Google could buy Sprint for example, and provide a route-around. 
			- In other words if a market develops for neutral Internet access, there's no reason a service can't rise to meet the demand. And remember Google and Facebook have already kicked the legs out from under the web. It's on the floor screaming for mercy. These are not cuddly cute baby squirrels, they're unregulated robber barons with the best PR ever, for now at least. 
	- November 22
		- Good morning bingewatching fans!
		- A simple JavaScript <a href="https://gist.github.com/scripting/98a6ab727ccacac41029b50e07b3c4e2">demo app</a>, running in Node, creates a new file in a repo on GitHub using the REST API.
		- Net neutrality is already broken. When you see a mobile service offer free Netflix or no bandwidth charges when watching Youtube, those are violations of the principle of neutrality. They predate Trump and the new FCC.
		- <a href="https://github.com/scripting/Scripting-News/issues/46">Braintrust query</a>: How should I add shows to BingeWorthy? 
		- I just added <a href="http://bingeworthy.io/?id=00353">Godless</a>, the new Netflix show, to BingeWorthy. Once it gets 5 ratings it will be eligible for the <a href="http://bingeworthy.io/hotlist.html">hotlist</a>. A highly-rated Netflix <a href="https://duckduckgo.com/?q=Godless+tv+series&ia=web">program</a> is pretty much an automatic add. 
		- Plot for a scifi book. An alien race from a faraway galaxy visits earth. We know they're coming and where they'll land like <a href="https://en.wikipedia.org/wiki/Close_Encounters_of_the_Third_Kind">Close Encounters</a>. When they show up, they walk right by the humans and greet the dogs. Turns out dogs are the master species of planet earth. And of course the aliens are canines as well. 
		- It shouldn't be that easy
			- <a href="http://littlecardeditor.com/users/davewiner/cards/2017/11/21/itShouldnt3.html"><img src="http://scripting.com/images/2017/11/22/itShouldntBeThatEasy.png" width="400" height="300" border="0" alt="A picture named itShouldntBeThatEasy.png"></a>
		- In TrumpSpeak 
			- <i>Tough on crime</i> == racist.
			- <i>Soft on crime</i> == respects rule of law.
	- November 21
		- Here's my page of <a href="http://bingeworthy.io/users/davewiner/">best binges</a>. 
		- The new version of "BingeWorthy" is released, v0.5.11. The docs have been <a href="http://this.how/bingeworthy/#1511275218000">updated</a> to show you how to create your own public ratings page. If you want tweet a link to your page, cc to @davewiner. I'll be RTing them so people can see what's up. 
		- Also there's a JSON version of the ratings page, so it can plug into other apps, if that's interesting. Here's the <a href="http://bingeworthy.io/users/davewiner/ratings.json">JSON version</a> of the ratings on my page. To find yours, there's a link at the bottom of your ratings page or just add <i>ratings.json</i> to the URL for your HTML page. 
		- There are also fixes and tweaks in the new version. One of the most consequential is that the browser's Find command now works in "Bingeworthy". With a long list of programs that scrolls off the bottom of the screen, having a Find command that works is pretty essential. 
		- Thanks to: NakedJen for putting together the initial list of programs with help from her friends in Salt Lake City. To JY Stervinou for lots of coaching on SQL and tireless testing and feedback on the initial design and all through development. Also bad French humor. And Scott Hanson and Andrew Shell for testing help. It's so important to have people who care and pitch in as software is developed. Thank you all so much! :boom: 
		- <a href="https://twitter.com/TheTedNelson/status/932997433277128705">Ted Nelson</a>: "The Four Horsemen of Respectability — Shallowness, Conventionality, Pomposity and Smugness."
		- <a href="https://en.wikipedia.org/wiki/Ayn_Rand">Ayn Rand</a>, <a href="https://en.wikipedia.org/wiki/Rand_Paul">Rand Paul</a> and <a href="https://en.wikipedia.org/wiki/Paul_Ryan">Paul Ryan</a> walk into a bar. The bartender serves them tainted alcohol because there are no regulations. They die.
	- November 20
		- <a href="https://github.com/scripting/Scripting-News/issues/45">Braintrust query</a>: Testing the new BingeWorthy w public ratings pages. 
		- This <a href="https://twitter.com/juanbuis/status/932566174973480960">Japanese sport</a> is weirdly entertaining. 
	- November 19
		- Next feature for "BingeWorthy" -- coming soon. A public page for each user that lists their ratings. Opt-in required. The data is also available in JSON so it can be shared with other apps. No lock-in, right from the start. 
		- I spaced out on renewing the <a href="http://radio3.io/">radio3.io</a> domain. It seems to be back now A little reminder of how fragile our Internet is. 
		- I don't share <a href="https://twitter.com/benjaminwittes/status/932258429636358144">his faith</a> in the crowd. I've seen them fuck too many people over, too many times. How can anyone, after the last election, and the way Hillary Clinton was treated, conclude that the crowd is fair. SMH.
	- November 18
		- <a href="https://github.com/scripting/Scripting-News/issues/44">New</a> version of <a href="http://pork.io/electric/">Electric Pork</a> for Mac supports 280-char tweets.  
		- What if Zuck's PhDs wrote him a memo, saying that unless Facebook disappears immediately it's a virtual certainty humanity will self-destruct, within days. What would Zuck do?
		- <a href="https://twitter.com/davewiner/status/931241083257917440">Twitter poll</a>: "Any gender, have you ever done anything sexual that you're now ashamed of?"
		- Timothy Snyder <a href="https://www.youtube.com/watch?v=nOQoXwIIbW8&feature=youtu.be">says</a> that America defeated itself in the 2016 election.
		- Earlier this year I decided to revert my blog to its original (1990s) format and not try to fit it into Facebook, Medium or Twitter's models. It's working nicely. I feel no urge to go back, esp since Twitter expanded to 280.
		- When you see someone online doing or saying something outrageous, consider the possibility they work for an Internet research <a href="https://en.wikipedia.org/wiki/Internet_Research_Agency">center</a> in St. Petersburg.
	- November 17
		- I released the "Bingeworthy" that works with phones. 
		- <a href="http://scripting.com/davenet/2000/10/19/transcendentalMoney.html">October 2000</a>: "How much money do you need to feel secure?" 
		- Robert Frank <a href="https://www.nytimes.com/2017/11/17/business/tax-cuts-rich.html?partner=rss&emc=rss&_r=0">writing</a> in the NYT says that a tax cut for the rich won't make anyone richer, because it's all relative. It's a bug to see your wealth as relative to other people's wealth. There comes a point, way before you're in the 1%, that more money can't buy you more than you already have that you can actually use. You can't use two bedrooms, or two cars. Owning a stadium with 50K seats does you no good because you can only sit in one. Having more money does not make you bigger. As Bill Gates said, wisely -- the hamburger is the same, no matter how much money you have. 
		- <a href="https://www.cnet.com/news/bill-gates-being-very-rich-is-the-same-hamburger/">Bill Gates</a>: "I can understand about having millions of dollars. There's meaningful freedom that comes with that, but once you get much beyond that I have to tell you, it's the same hamburger."
		- When people say someone is tone-deaf, clueless, doesn't get it -- someone's mind is closed, one point of view is dominating others.
		- One of the things that makes <a href="https://twitter.com/mathewi">Mathew Ingram</a> dangerous is that he asks what other people think. Which led to this <a href="https://twitter.com/davewiner/status/931569661296152581">thread</a> with <a href="https://twitter.com/benthompson">Ben Thompson</a>, <a href="https://twitter.com/rafat">Rafat Ali</a> and myself. 
		- <a href="https://www.thedailybeast.com/after-al-franken-and-roy-moore-we-are-dangerously-close-to-botching-the-metoo-moment">Erin Gloria Ryan</a>: "Morgan’s account reeks of naked political opportunism, of weaponizing victimhood in a way that is so morally bankrupt that it threatens to derail the entire #MeToo conversation for selfish political ends."
	- November 16
		- <a href="http://scripting.com/2017/11/16/wouldntItBeNiceNotToBeDependentOnFacebook.m4a">Podcast</a>: For news orgs, wouldn't it be nice not to be dependent on Twitter and Facebook? There may be a little pain at first, but on the other side is freedom to move, to innovate, to radically improve the news experience on the net. 
		- New Scripting News feature: If I tweet an item from the blog, which is more likely now with the 280 char limit, it's automatically set up to be expandable so you can see the tweet if you want. Like the <a href="http://scripting.com/2017/11/16.html#a181404">item</a> below. 
		- It would be interesting to see a list of billionaires, with a column for their net worth, annual income, and how much they would receive each year from the Repub tax bill. Let's see the numbers. Let's expose the billionaires who are pulling the Repubs strings. 
		- New BingeWorthy feature. The names on the <a href="http://bingeworthy.io/hotlist.html">Hotlist page</a> are now linked to the voting panel for that program on the main page. So if you <a href="http://scripting.com/images/2017/11/16/hotlist.png">see</a> a program on the Hotlist and want to vote, do a search, or the other features that are sure to come, click the link. 
		- There's now a <a href="http://bingeworthy.io/data/hotlist.json">JSON file</a> that contains the <a href="http://bingeworthy.io/hotlist.html">hotlist</a> data. It changes at most once a minute, so please don't read it more often than that. 
		- <a href="http://scripting.com/2017/10/31.html">October 31</a> is when I started the "bingeworthy" outreach.
		- I only make software that I use. When I've tried to make software that I don't use, it usually comes out unusable. It's gotten so that I write software <i>only</i> for my own use. I don't even release some of the best stuff. That way I can break the entire user base and they don't complain. :boom:
		- The Repub tax law is a direct consequence of <a href="https://en.wikipedia.org/wiki/Citizens_United_v._FEC">Citizens United</a>. 
		- Please choose a browser from <a href="https://twitter.com/davewiner/status/931115260924358656">this list</a>. 
	- November 15
		- A quick <a href="https://www.youtube.com/watch?v=Y7KFqAwbcmg&feature=youtu.be">demo</a> of a new <a href="http://bingeworthy.io/hotlist.html">hotlist</a> feature. 
		- New BingeWorthy feature -- a <a href="http://bingeworthy.io/hotlist.html">standalone hotlist page</a>, it does not require login. 
		- Hotlist notes. What is I, Claudius? Highly rated. Never heard of it. Nice to see my favorites being highly rated. Some exceptions. Fargo is #20, Silicon Valley is #47. Six Feet Under one of my #5's is rated 2.8. Bojack is #77? That can't be right! And Star Trek Discovery, which I have not watched, that everyone raves about is #98. It's still very early, but some programs have as many as 60 votes. Top 5: The Wire, Breaking Bad, Claudius, West Wing, Band of Brothers. 
		- This is <a href="https://twitter.com/davewiner/status/930882074013327360">how</a> Republicans make love. 
		- A story I like to tell. At Living Videotext, our first office was a dark room in a former church on San Antonio Road in Mountain View. The church is gone, the <a href="https://www.google.com/maps/@37.4114991,-122.106259,3a,75y,103.11h,75.13t/data=!3m6!1e1!3m4!1s2GuEo7y3_hdPAoo7SG5wnw!2e0!7i13312!8i6656">land</a> is probably now part of a Google sub-campus. It was kind of a slum of an office, but it worked, it got us to the next stage, a suite of offices on <a href="https://www.google.com/maps/@37.4316662,-122.1039337,3a,75y,121.42h,79.47t/data=!3m7!1e1!3m5!1sFT4lOwTmFFeDlVPVk8u4tQ!2e0!6s%2F%2Fgeo2.ggpht.com%2Fcbk%3Fpanoid%3DFT4lOwTmFFeDlVPVk8u4tQ%26output%3Dthumbnail%26cb_client%3Dmaps_sv.tactile.gps%26thumb%3D2%26w%3D203%26h%3D100%26yaw%3D97.83552%26pitch%3D0%26thumbfov%3D100!7i13312!8i6656">Elwell Court</a> in Palo Alto, near the golf course and airport. The problem with the first office was that the windows didn't open and I was a smoker and they let you smoke in offices back then, even if the windows didn't open. So we made sure that the Elwell Court office had windows that opened. It was our top feature request. Then, we kept growing, and the next office was a standalone <a href="https://www.google.com/maps/@37.4203375,-122.0956367,3a,75y,125.35h,90t/data=!3m7!1e1!3m5!1skMKj9NTMi-wniFPnqIiMkw!2e0!6s%2F%2Fgeo3.ggpht.com%2Fcbk%3Fpanoid%3DkMKj9NTMi-wniFPnqIiMkw%26output%3Dthumbnail%26cb_client%3Dmaps_sv.tactile.gps%26thumb%3D2%26w%3D203%26h%3D100%26yaw%3D131.76736%26pitch%3D0%26thumbfov%3D100!7i13312!8i6656">building</a> on Charleston Road in Mountain View. By then we had forgotten about the windows opening, and as soon as we moved in realized oh shit the windows don't open here. 
		- The moral of the story. We elected Obama to fix the economy that Bush broke. We, collectively, forgot. So we elected someone even worse, who is proceeding to break the economy even more. We're going to need someone better than Obama to fix it, if it's possible. Also, don't expect the next president to be like Trump. It doesn't work that way. He or she will be total Establishment. A real intellect. Not flamboyant or a narcissist. He or she will have other flaws, that we will have by then forgotten to watch out for. 
		- The 2017-18 Knicks are fun!
			- The Knicks this year are fucking awesome. So much fun to watch. So many stories and rookie lessons. I love it. 
			- The only reason the Knicks <a href="https://www.newsday.com/sports/basketball/knicks/knicks-cavaliers-lebron-james-1.14968904">lost</a> to Cleveland is that LeBron fucked with their heads. If that's how he has to win a game. My fear is that he'll want to come to NY next, and the Knicks might just do a deal with him. That would be Melo 2.0. We just learned how having a non-point guard who thinks he owns the ball is poison. 
			- This is <a href="http://www.nydailynews.com/sports/basketball/knicks/daze-linsanity-5-years-jeremy-lin-ny-storm-article-1.2974623">Linsanity</a> squared. The Knicks are having fun and there's so much love on the court. It's why basketball can be such a great sport. 
	- November 14
		- Bingeworthy <a href="http://this.how/bingeworthy/">howto</a> and a place to ask questions.
		- Here's a <a href="http://scripting.com/images/2017/11/14/bingeworthyScreen.png">screen shot</a> of "Bingeworthy" on opening day. :rocket:
		- Here's the idea. I want to binge something good on Netflix or HBO or Amazon, or whatever. I ask friends for ideas. Then I pick something. It might be good. I want to systematize that. That's "Bingeworthy". At first we produce a Top 100 list, because that's all we have the data for. The goal is to build a database of prefs so we can make better and better recommendations. 
	- November 13
		- Good morning CMS fans!
		- If we are to <a href="https://twitter.com/dabeard/status/930279417968037889">believe</a> Republican <a href="https://www.politico.com/story/2017/11/13/mcconnell-i-believe-the-women-accusing-roy-moore-244840">senators</a> have principles that won't allow them to accept Roy Moore, how can they accept Donald Trump?
		- Why are baby <a href="https://twitter.com/BabyAnimalPics/status/930279466424832001">animals</a> so darned funny?
		- How I rate bingeable programs
			- I've been thinking about my categories. When I say 4 out of 5, this is what I'm talking about. 
				- Worst! -- Never should have been made. A complete disaster. I need to hate on this.
				- Meh -- I have some respect for it, but please, don't do another season. Homeland is in this category. Lost is halfway betw Meh and Good. 
				- Good -- I watched it, maybe not all seasons, maybe not all the way through. It was entertaining. I respect the program, but I'm not sure I would recommend it. Dexter is a prototype. I got really tired of it. Also Big Love. Entourage.
				- Loved -- The programs I would recommend wholeheartedly. There are a lot of programs in this category.
				- Best! -- There are only a few Bests. For me The Sopranos, The Wire. The West Wing. Silicon Valley.
			- My rating is the average of all seasons. For example, the first couple of seasons of Homeland were pretty good. Then it got lost, about the time F. Murray Abraham came on board. So net-net it's a Good. ;-)
		- RSS feed problem diagnosed, fixed
			- I believe I found and fixed the <a href="https://github.com/scripting/Scripting-News/issues/42">problem</a> that was causing posts from "Scripting News" to repeat in "RSS" readers, and why they didn't show up as doubles in "River5".
			- The problem occurred when I traveled outside my time zone, and post something using my laptop. And it happens again, in some readers, when I return home. 
			- To understand why, you need to understand something about how RSS works. Each item has an <a href="http://cyber.harvard.edu/rss/rss.html#ltguidgtSubelementOfLtitemgt">identifier</a> called a <i>guid</i> that uniquely identifies it. My CMS software generates each item's guid using the time it was created. For example, if a post was created at 10:38:12AM, the guid would be <i>a103812.</i> But when I move to a different time zone, say to Mountain Time from Eastern Time, the guid would change to <i>a083812.</i> A different guid, therefore the RSS reader thinks it's a new post. So you see it again in Feedly. Depending on how the reader works it might see it as a new item once again when I move back to Eastern Time. 
			- Why didn't "River5" have the problem? It has another check. If two posts have exactly the same text, it figures you don't need to see it again. This protection was put in to guard against the possibility that you might subscribe to two feeds from one pub, and they might run the same item in two feeds. I reasoned you don't need or want to see it a second time. There are some pubs, like the NYT, where I subscribe to a dozen or more feeds. They might run a sports/business item in both the sports and business feeds. Because they are in different feeds, the guids don't match, so you'd see it again. So I used a <a href="https://en.wikipedia.org/wiki/Heuristic">heuristic</a> technique, that happened to also suppress this bug. 
			- The fix was simple, generate the guid using <a href="https://en.wikipedia.org/wiki/Coordinated_Universal_Time">UTC</a>, which doesn't change based on where the feed is generated. So at this point, if you see two items from this <a href="http://scripting.com/rss.xml">feed</a> in your reader, it's some other problem. 
			- As they <a href="http://artsites.ucsc.edu/GDead/agdl/touc.html">say</a> "it's even worse than it appears."
	- November 12
		- Just finished <a href="https://en.wikipedia.org/wiki/Big_Little_Lies_(miniseries)">Big Little Lies</a>. Great acting, characters and (no spoilers) it's a story for our time. 4 out of 5 stars.
		- I just made a change to how permalinks and GUIDs are generated in my <a href="http://scripting.com/2017/06/06.html#a050640">CMS</a>. This is a test post to see how badly I broke things. ;-)
		- Interestingly, that last post should have appeared twice because the GUID changed. I figured out how to fix things so it can survive an author time-zone change. More in the <a href="https://github.com/scripting/Scripting-News/issues/42#issuecomment-343806486">thread</a> for this bug and its fix.
		- With <a href="https://en.wikipedia.org/wiki/Legality_of_cannabis_by_U.S._jurisdiction">cannabis legal</a> in so many states, why isn't there a cable news show that spends an hour a week exploring the changes this brings about? Such a large change, an end to Prohibition, seems there would be quite a bit of interesting stuff to discuss about it. 
		- <a href="https://twitter.com/davewiner/status/929478678798532615">One</a> of my most frequently RT'd and Liked tweets ever. I don't keep track of these things. "Senator McCain, America has been humiliated by your president and party. Enough. Time to stop this. Speak up for impeachment." BTW, this is also the most responses I've gotten on Twitter from trolls. Wondering how many of them are real people, and how many are imitation people, Russians dressing up as Americans. 
		- Maybe John Dickerson should interview a group of Russian trolls to get their opinions on American politics. It would be more illuminating than listening to a bunch of Americans who were brainwashed by them. Skip the middleman, go direct to the source.
		- Facebook replaced the web with much less than the web. This should get more attention than it does.
		- There was a problem with "Radio3" this morning. I rebooted the app and all is working again. I saw that it had been running for 222 days. That's one of the advantages of working in the Node environment. Once you get a piece of software stable, in this case "nodeStorage", it pretty much takes care of itself. 
		- Couldn't watch the last segment on Face The Nation with a panel of Trump voters. It's time to stop asking them to explain themselves. Let's hear from other citizens. And let's stop putting reporters in the middle.
	- November 11
		- Five years ago I wrote a <a href="http://s3.forpoets.org/">tutorial</a> showing how to set up AWS to host a website. I just brought it back online. I need to do more of this! ;-)
		- Trump is one of the weirdest people ever. If there's a rational explanation for his behavior I hope to someday hear it.
		- Why do we let the front-men and women of the Republican Party speak for the power behind them, their billionaire donors? How does it serve the rest of us to accept the farce that the politicians have a say in the future of the US. We've been snookered.
		- In previous wars America had a big advantage -- an ocean on either side separated us from Europe and Asia. We no longer have that separation, the Internet removed it.
	- November 10
		- <a href="https://github.com/scripting/Scripting-News/issues/42">Reader query</a>: I've had a report by one user of repeated items from Scripting News in Feedly. Are other people seeing this? In other feed readers? I've seen no problems in "River5". 
		- <a href="https://twitter.com/davewiner/status/929061706839527425">Poll</a>: Should Louis C.K.'s work disappear?
		- The allegations against <a href="https://www.nytimes.com/2017/11/09/us/politics/mcconnell-roy-moore-sex-teenagers.html?_r=0">Roy Moore</a>, it seems, could split the Republican Party in two. It's hard to imagine, for example, Mormons in Utah, who are largely Republican, condoning what Moore is accused of. 
		- Everything in my world works better, post-280. I was sure this would happen. It's one of the things that was making the cost of Twitter too high to sustain. Facebook didn't have the 140-char limit, nor did my linkblog, or the RSS feed of links. But because I want all my links to flow to these four places, I was limited by the least capacity of them all. Now if Twitter and Facebook would support <a href="http://scripting.com/2016/04/30/1229.html">limited HTML</a>, then we'd be really flying (though, depressingly, we would just be where we were in 1994).
		- I <a href="http://scripting.com/2017/11/09.html#a025848">mentioned</a> my 2011 invitation to Moscow because it's worth considering if you see an American blogger supporting Russia, or an academic, or journalist, they might have taken the trip that I chose not to. Back then it wasn't clear that Russia was an adversary. In today's climate I wouldn't be tempted. But things were different then. 
		- An idea to balance all the writing online about ugly violent non-consensual sexual acts -- a place where people write about their loving consensual and adventurous sexual experiences. Otherwise people, esp young people, might get the wrong idea about sex. Seriously it's not all bad. (Quite the opposite.)
	- November 9
		- I have to say I like the 280 char limit. It feels like <a href="https://en.wikipedia.org/wiki/Legality_of_cannabis_by_U.S._jurisdiction">legal cannabis</a>. Something that was once forbidden that now is OK. It's like what, I can do that! Wow.
		- One of the reasons 280 chars is great is that it means that links I post to Facebook can have longer descriptions. It may seem counter-intuitive, but I use "Radio3" to post my links, to Twitter, Facebook, to my <a href="http://scripting.com/?tab=links">linkblog</a> and to an <a href="http://radio3.io/users/davewiner/rss.xml">RSS feed</a>. I don't write different versions for each environment, so what you get is the <a href="https://en.wikipedia.org/wiki/Lowest_common_denominator">least common denominator</a>. Which is Twitter. When they up the limit, they do it for all other platforms, at least in my world. 
		- I was invited to a future-of-news conference in <a href="https://www.google.com/maps/place/Moscow,+Russia/@55.7494733,37.35232,10z/data=!3m1!4b1!4m5!3m4!1s0x46b54afc73d4b0c9:0x3d44d6cc5757cf4c!8m2!3d55.755826!4d37.6172999">Moscow</a> in 2011, all expenses paid, by a Russian news agency, <a href="https://en.wikipedia.org/wiki/RIA_Novosti">Ria Novosti</a>. I said yes at first, but in the end didn't go. Something didn't seem right. Soon after, their feed redirected to <a href="https://en.wikipedia.org/wiki/Sputnik_(news_agency)">Sputnik</a>, then to <a href="https://en.wikipedia.org/wiki/RT_(TV_network)">RT</a>.  
		- Lindsey Graham <a href="https://twitter.com/davewiner/status/928643965800341505">this</a> $5 is yours if you vote against the Repub tax bill.
		- The 2017 election proved that the way out of our mess is with the people, not the pre-Internet political parties. This is true for everything, really. For tech, for news as well as politics. The institutions may fail, but that's not the end.
		- In 2013 I wrote a <a href="http://scripting.com/2013/10/16/byrneZivkovic">piece</a> on why men stay silent re sexual harassment. 
		- Re Google and antitrust, a little story. I have an Android phone. When it rings, if they think it's a spam caller, the screen goes red and there's a label under the number that says it's probably spam. I trust Google to not use this feature to censor political opinions, though technically they could, and we would never know. I want to believe they're saying it's spam because it <i>is</i> spam. The same way I trust Google not lower the rank of a site because it doesn't support HTTPS. The fact that they do this, and are <a href="https://webmasters.googleblog.com/2014/08/https-as-ranking-signal.html">open about it</a>, means I don't trust the whole move to HTTPS that they're trying to force on the internet, without any public debate, oversight or recourse. This is exactly the kind of thing Google, a company, not an elected government, should not be doing. 
		- The perfect length for a podcast
			- In 2004, I decided that 40 minutes was the perfect length for a podcast.
			- In 2017, an update: now 20 minutes is the perfect length. 
			- The two trendsetters: The Daily and Planet Money.
	- November 8
		- How I ended up with 100s of domains
			- A discussion about HTTPS at Newsgeist led to a question.
				- Dave, do you really have 100s of domains with real content, and if so, how did it happen?
			- First, there really are that many. 
			- Second, the reason is that, as you may know, I use <a href="http://scripting.com/2013/09/10/twoWaysOfLookingAtAnOutline">outliners</a> for my writing. That's how I write code and blog posts, docs, change notes, show notes for my podcasts, etc. Editing structures is my thing. Then, I had the idea that a website could be a document. And made that work, and it's great. Then I tried an even bigger idea, one document could hold lots of websites. It worked too, and it also was great. (How it worked: nodes in the outline structure could have a <i>domain</i> attribute and the server would know how to get to that place from an HTTP request.) 
			- If you're following me this far, you can see how the domain names proliferated.
			- All this is before Google even had a web browser. 
			- I wrote about it publicly on my blog. I didn't hide it. 
			- Later I got a little more sober about it. I was probably the only person who liked it. I created a web server called "PagePark" that made it easy to serve lots of domains from one machine, without any configuration. Just create a folder with the name of a domain in a specific place and the server would automatically route requests to the folder. It works. It's proven a good way to evolve sites I created, with real content, specs, essays, blog posts, feeds, JSON files, images, outlines, movies, podcasts, music, wire photos, all the things I have experimented with and created standards for over the years. It's a mess, but I kept good notes. If anyone wants to see my work, it's all there. But it's never going to make it to HTTPS unless it gets a lot simpler, and we know that can't happen because it's inherently a complicated and fragile thing. 
			- Now of course Google never considered the possibility that someone might be doing this. And there are probably are <i>many other things</i> they didn't think of that people did or are doing. Remember HTTP isn't just any protocol, it's certainly the most widely used networking protocol ever. It's the protocol that made networking explode. And it's been around a long time, and lots of people did all kinds of things with it, and some of those sites are still running. 
			- Or maybe Google had an idea of how widespread HTTP was, and they don't care. I suspect that's the case, because it's pretty freaking obvious to anyone who thinks about it. ;-) 
			- HTTP isn't some random half-baked idea, it's the biggest networking standard anywhere. No one has the power to break it. That's one of the big reasons so many innovations happened there and not somewhere else.
		- The steps to create a new site in my outliner
			- Here are the steps:
				- Press Return.
				- Enter the title of the site.
				- Press Return, then Cmd-R. Enter paragraphs for the text that goes on the home page of the site. 
				- Click on the title headline, then choose the Edit Attributes command.
				- Enter a <a href="http:///scripting.com/images/2017/11/08/editatts.png">domain attribute</a> with the domain name you want to be mapped to this sub-outline. Click OK.
				- Save
			- All you have to do from there is map the domain to the server. The CMS server takes care of everything else. 
		- "You're not an average user"
			- This came up in the first session at NewsGeist. I told a short story about something not important and one of the participants said "But you're not an average user." Hmmmm.
			- This comes up a lot in product discussions. I have never said it myself, I find the idea pretty useless. Because <i>no one</i> is the average person, and you could use that line to shoot down any idea, so why bother? It doesn't add anything to discourse.
			- I remember the first time I heard it, when I asked the CEO of the tech company I worked for if he had tried a product, and what did he think of it. It was one of his own products, a big moneymaker. He said "I'm a market of one." Same idea as not being an average user.
			- Should you be the CEO of a company whose product you don't use? Maybe if you're making a drug to treat cancer I could understand it. This was a product designed to make execs in companies more effective at their work. He was most definitely in the market the product was aimed at. 
			- So that's correct, I'm not an average user, but if you have an idea for a product that no one is currently using because it doesn't exist, then there is no such thing as an average user. And if someone says this to you in a brainstorming meeting, remember I told you to just ignore it, it doesn't mean anything. :heart:
			- One more thing, if you're going to develop products for a living, you have to learn how your users think. Do support work. Read their emails. Do searches on the web and social media. When you meet a user of your product, ask what they think, and listen. ;-)
		- Chris Matthews in Flint
			- This is an idea I didn't get to talk about, but I thought of it during the session by the people who did <a href="http://www.100daysinappalachia.com/">100 Days in Appalachia</a>. 
			- MSNBC could locate one of its hourly shows in the middle of the country. They could still interview people where ever they may be, but if you want to be in studio, either come from the area, or fly in. 
			- It would represent a commitment to a new kind of news. From a non-NY and DC perspective. A radical idea, but it might change things enough to be worth trying. 
			- Like having the public editor be a member of the public. Something obvious that didn't seem obvious to the people who run the large news orgs. 
			- Obviously, Chris Matthews is not going to relocate to Flint. He's a creature of the northeast. But why aren't there nightly news discussions emanating from all over the country. I'm sure there are podcasts that do. Can we get this organized?
		- PagePark v0.7.9
			- There's a new <a href="https://github.com/scripting/pagePark/blob/master/README.md#v079-11817-by-dw">version</a> of PagePark today. 
			- You can now tell it to ignore case in paths. This means that these two URLs will get you to the same place:
				- <a href="http://threads2.scripting.com/2013/february/theguyatthegasstation/">http://threads2.scripting.com/2013/february/theguyatthegasstation/</a>
				- <a href="http://threads2.scripting.com/2013/FeBruARy/theGuyAtTheGasStation/">http://threads2.scripting.com/2013/FeBruARy/theGuyAtTheGasStation/</a>
			- This becomes necessary when porting a site from a server that doesn't care about case. Because URLs that point into that site could be any case. If you want the site to work when served from PagePark, it also must able to not care about case. 
	- November 7
		- It's a good night for the <a href="https://twitter.com/davewiner/status/928111184624091136">U.S. Blues</a>!
		- Boring politicians are the best. Just do your jobs, help the people, and shut the fuck up. That's the lesson of Trump.
		- <a href="https://twitter.com/davewiner/status/928016911765557249">Poll</a>: Which is more revolutionary? 280-char tweets or Animoji?
		- Many of the great things we have invented will not be discovered until long after we are dead.
		- A change any publication could make that would quickly give lots of new ideas. If you have a public editor he or she should be a member of the public, not a journalist.
		- Giving <a href="http://nypost.com/2017/11/06/woman-fired-after-giving-trumps-motorcade-the-finger/">the finger</a> to authority is the most <a href="https://en.wikipedia.org/wiki/American_Revolution">American</a> thing there is.
		- What makes <a href="https://twitter.com/davewiner/status/927929855735451648">this</a> so funny: everyone knew exactly what it was about.
		- A gentler analogy for why I so despise Google's plan to rid the web of HTTP. It's as if I recorded on vinyl. Got really good at it. I have a huge collection of titles, converting them to digital would be completely diseconomic, and a very poor use of my time, and further I'd only be doing it to install Google as the owner of the web. We saw how well that worked for RSS. So no thank you. Go ahead and remove all the audio players that know how to play my 33 and 1/3 recordings. And I'll curse your name every night as I drift off to sleep, as <a href="http://www.businessinsider.com/arya-stark-kill-list-whos-left-2017-4">Arya Stark</a> does. 
		- Best. <a href="https://twitter.com/ericabuist/status/927281277719465986">Tweet</a>. Ever.
		- Spoiler from The Crown, so beware. One of the threads in <a href="http://www.vulture.com/2016/11/crown-recap-season-1-episode-9.html">Episode 9</a> is Churchill sitting for his portrait at age 80. At the end, he sees it and is outraged. The artist has one of the best speeches about life I've ever heard. Basically, Sir Winston, you're not angry at me, you're angry at life. I know the feeling. I prefer to walk through the world in my spacesuit of a body. No point looking at it, it's just my protective layer. But when I do catch a glimpse, I have the same reaction as Churchill. BTW, the acting is superb. I rate it 4 out of 5 stars, which for me is a very high rating indeed. 
		- One of my takeaways from the <a href="https://www.newsgeist.org/exploring-future-news/">Newsgeist</a> conference is that the current journalism leaders will not try to own their own distribution independent of Facebook and the rest of tech. So I will give up on trying to convince them it is necessary to compete. Uncle. However I willl keep my eye out for journalism upstarts, hybrids of editorial and tech, who want to upset this cart by producing a superior news experience, independent of silos. Happy to help if serious. 
	- November 6
		- Most of today's posts are thoughts that came from a weekend at a future-of-news <a href="https://www.newsgeist.org/exploring-future-news/">conference</a> in Phoenix. 
		- More Newsgeist -- the subject of the massive bit-burning that the <a href="http://scripting.com/2017/11/01.html#a100645">turn to HTTPS</a> will cause did come up at one of the last sessions. I was getting the usual talking points from several participants from different organizations, the ones I get when this is discussed on Twitter. Since we had <a href="https://www.chathamhouse.org/about/chatham-house-rule">Chatham House Rule</a> I can't say who they are. It was fun to get the pushback I always get when I write about it, in real time, face to face. It's all bullshit, masking the ridiculous power grab by Google and Mozilla. If HTTPS is so necessary, then selling it on its own merits should work fine, without destroying the history of the web. I'm kind of okay with Google using it as a "signal" to determine search rank, although it's a lie and makes me think very negatively of Google. But using their dominance of browserland to <i>force</i> this, there's no justification for that, and there should be a huge anti-trust outcry over it. If I have anything to say about it, there will. My blog may not have huge traffic, but I'll use whatever I have to expose this. They call me names, but it all amounts to one thing -- they don't want to be called out. I love the web, think it's very important, and only fascists want to destroy history. Google, you really are way out on a limb here.
		- <a href="https://twitter.com/davewiner/status/927637897326587904">Poll</a>: Will there come a time that Google Chrome will refuse to show pages with links in them? They're insecure, they might say.
		- Lots of gender discussions. Earnest, well-intentioned, supportive, even at times loving. But most of it too dangerous for me, as a man, to write about in public. I will say this one thing. I heard the term "mansplaining" used several times, by people of both genders. I don't like it. I don't think you should either. <i>Man</i> is becoming a <a href="https://duckduckgo.com/?q=pejorative&t=hg&ia=definition">pejorative</a> just as <i>Jew</i> was when I was growing up. I thought to be a Jew was dirty. I didn't want to be one, even though my family ran for their lives in the Holocaust, because we were Jewish. I both hated the term and myself. If the unfair effort to indict men, as a gender, continues, you're going to have a lot more angry self-hating men. If you think that's good you're crazy. You want to see how bad the term is. Imagine if the <i>man</i> in mansplaining were replaced with "jew." It's a hateful term, and if you use it, you're spreading hate. And you gotta know that's going to come back on you. No way around it. Find another way to get a person, of any gender, to listen. Without resorting to awful humiliating gender-slamming tricks. 
		- Even more Newsgeist -- Journalism should put extra effort to create high-density/quality news flows for people who really want to know what's going on. Out of that will grow new products, services, and news paradigms. It's the equiv of the way we developed first, in the 80s, for power users, and that helped us develop concentrated simplified versions for people who valued ease of use over power. That's how new ideas get developed. 
		- Trump-voter-on-Trump-voter violence is the least objectionable form.
		- Newsgeist was good. It would be interesting to have the same conference without the journalists. Also they could use some more independent software devs. They look to Facebook and Google for everything. Independent devs are much more likely to give them what they want. 
		- Newsgeist was good but I totally felt like I didn't belong. None of the things I care about are on their radar. It was shocking how much it's business-as-usual. Shouldn't there be some self-examination of how they screwed up the 2016 election and implementing some defenses against making the same mistakes again? Right now the bugs remain not only unfixed, they aren't even reported or logged. 
		- In hindsight, I should have proposed a session about how Facebook and Google are actively destroying the open web. Maybe we can get some of the reporters to look at that? Right now they mostly still want Facebook to give them money. That sickens me because Facebook is not what I think of as a good news system. 
		- <center><img src="http://static.scripting.com/larryKing/images/2014/05/16/magic.gif" ><="" center="">
	- November 5
		- I just learned that Facebook has already implemented fake news detection. To see it you have to try to post a hoax news article. 
	- November 4
		- I'm at the <a href="https://www.newsgeist.org/exploring-future-news/">Newsgeist</a> conference in Phoenix. I spoke once, saying pretty much the only thing I have to say -- news has to own its own distribution. Their attention is focused on the tech industry, Facebook etc. The users don't know where to go to get real news, so we get the garbage that Facebook serves us. 
	- November 3
		- Phoenix bike share
			- Whenever I'm in a city that has a bike share program, I give it a try if I have the time. Today I'm in <a href="https://en.wikipedia.org/wiki/Phoenix,_Arizona">Phoenix</a>, for a future-of-news conference, and took a 1/2 hour ride around downtown on their <a href="http://gridbikes.com/">Grid</a> bike system. 
			- The setup is just like the one in Portland. The bikes have GPS built in, and communicate with a server. You enter your account number and PIN and it releases the bike. The UI is very confusing and the server is slow, and it falls behind when you type the numbers. It took me ten minutes to unlock a bike, and I had prepaid through their website. The cost for a tourist like me is $7 an hour. 
			- I had no idea what downtown Phoenix is like, but the ride gave me a good view, much better than you'd get by walking or driving. Phoenix's downtown has a lot of empty space, like Oakland or San Jose in the 80s. And it's poor and outside of the main area pretty rundown. Lots of homeless and poor people. Very little sidewalk or street traffic, not many stores. An empty feel. A big arena and sports stadium. The arena must be where the Phoenix Suns play, and I'm guessing the stadium is where the Cardinals or DIamondbacks play. 
			- The place looks very small, judging from the downtown, but the city has a population of 1.6 million. It's the fifth largest city in the US. From memory: New York, Los Angeles, Chicago and Houston are larger. 
	- November 2
		- Watched the first three episodes of <a href="https://en.wikipedia.org/wiki/Mindhunter_(TV_series)">Mindhunter</a>, it's reallllly good. 
		- Good morning sports fans and congratulations to the Houston Astros and condolences for fans of the Los Angeles Dodgers. I have some suggestions for the Dodgers, but they'll wait until a proper period of grieving has taken place. Just know that it involves an apology and a retirement. And you might want to consider a new stadium. It worked wonders for the Mets after our stadium was defiled by the hated evil Yankees.
		- I think it's funny (in a sad way) that journalists have <a href="https://www.youtube.com/watch?v=SjbPi00k_ME">discovered</a> that social media was exploited by Russians to screw with our system of government. Facebook is to blame. They should have known! But where were all the hard-charging investigative journalists during the campaign? They were taking the bait from Russians about Hillary's email. And Access Hollywood was soooo salacious. Ask if The Clintons are corrupt a few thousand times, and the question becomes moot. So now we're stuck with the NRA in the White House and WW III looming. Our whole system needs to have the money taken out of it. Until it is, journalism is in no position to point the finger. 
	- November 1
		- A <a href="https://github.com/scripting/Scripting-News/issues/40">question</a> about emoji short codes. I want a simple JavaScript function that takes a <a href="https://www.webpagefx.com/tools/emoji-cheat-sheet/">short code</a> like :shrug: and turns it into the corresponding emoji character that is maintained, so when more emoji characters are added, corresponding short codes are added. It seems this must exist, but if it doesn't it should. :rocket: :boom:
		- Welcome to November! It's time to sign up for <a href="https://www.healthcare.gov/">ObamaCare</a> if you live in the US. Spread the word. 
		- Okay up front this isn't meant to be a funny or ironic post. I ride the <a href="https://www.google.com/maps/dir/West+St+%26+W+Houston+St,+New+York,+NY+10014/West+St+%26+Chambers+St,+New+York,+NY+10282/@40.7232226,-74.0162492,16z/data=!3m1!4b1!4m14!4m13!1m5!1m1!1s0x89c259f2746c1a49:0x7dad072dfdd78a03!2m2!1d-74.0105691!2d40.7291235!1m5!1m1!1s0x89c25a1c2d7a3ea9:0x20256b0648b74e4b!2m2!1d-74.0130308!2d40.7172486!3e1">bike path</a> <a href="https://en.wikipedia.org/wiki/Manhattan_Waterfront_Greenway">where</a> the <a href="https://www.nytimes.com/2017/10/31/nyregion/police-shooting-lower-manhattan.html?_r=0">terrorism</a> took place yesterday. It's one of my three favorite rides. It was cold yesterday, and I had an errand to do on the east side, so I walked instead of riding. But I know the path well, esp the segment where the truck driver mowed down the pedestrians and cyclists. But here's the thing -- there weren't supposed to be any pedestrians there. It's a <i>bike</i> path. There's a much nicer walkway about 50 feet west of the bike path, right on the Hudson River. Cyclists aren't allowed there. I love that segment of the walkway, in fact it's often my turnaround spot, where I stop, take in the scene, sometimes even take a <a href="https://www.flickr.com/photos/scriptingnews/36654661212/in/dateposted-public/">picture</a>. But please walkers and runners, stay in your space and we'll stay in ours. 
		- <a href="https://www.axios.com/trump-extreme-vetting-nyc-terror-2504826608.html">Trump</a> is an idiot.
		- Something else to note re yesterday's terrorism. Look at how lovely the city is by the river. There used to be an ugly eyesore of a highway where the park and bike path are now. Yes there's a small amount of violence, but actually much less than there used to be. Net-net the urban experience in the US is much-improved. To people in flyover country who hear how our cities are hellholes, Fox accidentally broadcast some evidence to the contrary yesterday. Ooops. :shrug:
		- The open web needs a friend
			- A very short conversation on Twitter with <a href="https://towcenter.org/academics/emily-bell/">Emily Bell</a>, director of the Tow Center at Columbia. 
				- <a href="https://twitter.com/emilybell/status/925762632828715009">Bell</a>: There is a govt that doesn’t care to understand tech power, and tech that won’t explain itself, left to academia and journalism to elucidate
				- <a href="https://twitter.com/davewiner/status/925763352504266752">Me</a>: Emily explains the problem. Unfortunately journalism and academia aren't in any way up to the challenge. Imho of course. ;-)
			- There is no organization repping the interest of the open web. I know people say that the EFF, Mozilla and the W3C do, but any organization that is trying to force HTTPS on the web, using the power of browser vendors to enforce it, is not repping the interests of the open web. So that cuts out EFF and Mozilla. And the W3C has unfortunately been controlled by big tech companies almost since inception. 
			- A hypothetical open-web-repping organization could come out of journalism or academia. But it would have to be rooted with two things: users and open tech. And that's it. 
			- I don't care how much money anyone makes. Some things' value come from being open to anyone, and those projects <i>consume</i> money, they don't make it. 
			- Think of <a href="http://scripting.com/liveblog/users/davewiner/2015/12/27/0724.html">Central Park</a>, for those familiar with New York. Or any public resource that's set aside for everyone to use. That's the web. It's not here so Google and Facebook or the NY Times or Washington Post can have a business model. It's not here for them to mine, exploit and leave a wasteland where once there was promise. 
			- The big tech companies behave like big companies. Right now there is nothing that balances that power. The journalists and academics have been in awe of them, and have been reluctant to understand the issues. I don't expect much from that combination until they get serious about protecting the resource that we all need. 
		- Why Google really wants you to use HTTPS
			- I consulted <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">Occam</a>.
			- Google doesn't want Verizon replacing their ads in your web pages with ads that Verizon charges money for. 
			- Google would have you believe they want you to do the conversion so your words cannot be changed. No one gives a damn about changing your words. <i>They just want Google's money.</i> (To be fair, they want your money too if you have ads on your pages.)
			- So when you jump through this hoop, remember, you're on their plantation now. Just like when you post on Facebook the profits go to Zuck. Google sees your website as their property.
			- And if you happen to not run ads on your site, you still have to jump through the hoop so Google can preserve the impression that they are doing all this out of love (of the web). Which of course isn't why huge companies do anything. 
			- PS: Here's a <a href="https://www.google.com/search?q=site%3Ascripting.com+https&rlz=1C5CHFA_enUS743US747&oq=site%3Ascripting.com+https&aqs=chrome..69i57j69i58.17664j0j4&sourceid=chrome&ie=UTF-8">Google search</a> for HTTPS on this site for people who want to read more about it. They still index this site even though it's plain old HTTP. It's hard to find stuff here though. They used to do a good job. But I won't jump through this <a href="https://webmasters.googleblog.com/2014/08/https-as-ranking-signal.html">hoop</a>. Been down this road with too many tech companies. There will always be one more thing you have to do to really get their approval, until you realize that actually never happens. 
