- August 2018
	- August 31
		- The smell of <a href="https://politicalwire.com/2018/08/30/trump-lawyers-drafting-report-to-counter-mueller/">incompetence</a> and desperation.
		- The <a href="https://www.villagevoice.com/">Village Voice</a> <a href="https://www.nytimes.com/2018/08/31/business/media/the-village-voice-closes.html?partner=rss&emc=rss">is</a> <a href="http://gothamist.com/2018/08/31/village_voice_is_officially_dead.php">shutting down</a>. A New York <a href="http://evgrieve.com/2018/08/rip-village-voice.html">institution</a>, it was <a href="https://en.wikipedia.org/wiki/The_Village_Voice#Early_history">born</a> the same year I was. One nice thing is that they are keeping half the staff, 15 to 20 people, to figure out how to <a href="http://scripting.com/images/2018/08/31/villageVoiceArchive.png">archive the site</a>. Any time a publication does this, we should offer to help, to learn from the experience, and develop a base of knowledge and best practices. I need to figure out how to do that for my blog. I want to do that sooner than later. Tick tock, the <a href="http://scripting.com/2018/03/03/135246.html">runway</a> isn't getting any longer. :check:
	- August 30
		- Journalists can't say that Google doesn't skew search results for political effect. In fact, we're pretty sure they do (consider what they'll have to do to get back into China). So the best you can say is that the company claims they don't do it. Journalism is doing this wrong.
		- This is not the kind of thing I usually write about, but things change, and I think it's okay to change what I blog about. A couple of days ago I was walking down a car ramp into a garage, here in Manhattan, unsure of where I was going so I was looking down at my iPhone studying the map. I also had a 30-pound pack on my back which made me more top-heavy than usual. I tripped over a speed bump, at first I thought I would be able to recover, but because of the weight of the pack and the downwards slope of the driveway, I was going down. I hit on both hands, my knee, somehow my side got involved and I hit my head. My hands took the worst of it. A little blood, mostly road-rash. Three strangers came to my aid, very nice people, and I was up and dusted off in a matter of seconds, horribly embarrassed, and in pain. It wasn't until hours later that I realized that if this happened a few years from now it could have been a lot worse. For now my whole body is sore. Reminds me of how I felt after a bike accident in NYC a few years back. This was nowhere near as bad. I told a friend I feel fragile. To look at me you might think that's ridiculous. But it's true. 63 ain't 23 or even 43. And I'm sure 73 will also be different. :boom:
		- I did a lot of driving in the last 48 hours, and that means I listened to lots of podcasts. And a lot of them <a href="https://www.google.com/search?q=site:scripting.com+mccain&safe=off&rlz=1C5CHFA_enUS743US747&source=lnms&tbm=isch&sa=X&ved=0ahUKEwjIzej80pXdAhWLUt8KHcC0BUoQ_AUIDCgD&biw=1383&bih=1186">were</a> about <a href="https://en.wikipedia.org/wiki/John_McCain">John McCain</a>. Surprising to me that I wanted to hear more about him, even though in life, I felt I knew all I wanted. I had mixed feelings about him. I <a href="https://www.google.com/search?q=site%3Ascripting.com+mccain&rlz=1C5CHFA_enUS743US747&oq=site%3Ascripting.com+mccain&aqs=chrome..69i57j69i58.174685j0j4&sourceid=chrome&ie=UTF-8">remember</a> when he ran against Bush and first did great and then got whipped. He does do a good New Hampshire town hall. He likes to say how honest he is, but I heard him do a lot of lying, esp about the Iraq War. That's the worst. To let people call you honest, to call yourself honest, while you're lying. That's worse than just being a liar. Anyway, he was an interesting person. One thing he said in an interview in the mid-2000s is that we should repeal Roe v Wade and then have a great debate about it. I wanted the interviewer to ask him why we can't have the debate before repealing it? I can't imagine there's anything more to say that hasn't already been said a billion times. It's a morally ambiguous situation. No amount of debating will change that. Some things just are. We will never come to agreement. Accept it. Now tell me again why appealing Roe v Wade is the right thing to do? Of course he's dead now, so we'll never know. ✓
		- I also thought he was a spitballer. The kind of kid who sat in the back of the classroom and made wisecracks about the other kids and the teacher. But he never went to the board. He did a lot of shooting from the hip. Choosing Sarah Palin was a great example. A brainstorming session, do something bold, and oops a tragic mistake. He did it again when he suspended his campaign because of the financial crisis, called a big meeting in DC to brainstorm ideas. He had no ideas, couldn't even lead the meeting. Obama did. He would have been a terrible president. We might have done a few bold and disastrous things, and I'm sure the important stuff would have fallen through the cracks. We were right not to elect him president in 2008.
		- I just want to add, it's sad that he's gone. I felt this more deeply than other celebrity deaths. I guess we really get to know politicians. For a musician their music doesn't die with them. Same with writers. But it's different with parents and one-time presidential candidates.  
	- August 29
		- The Democratic platform
			- One word: Oversight. 
			- Details
				- The courts are doing their job, as are the juries (so far).
				- The DOJ is doing their job.
				- Journalism is doing the best they can, given that Mueller doesn't leak and Congress doesn't do oversight. 
				- There are lots of questions about the president's behavior. Perhaps his most vocal supporters won't agree, but most Americans support the Mueller investigation, and that includes Republicans. 
				- Every branch of government is working, except one. Congress.  
				- No Congressional oversight. 
				- There's a way to fix that. 
				- Elect Democrats to Congress.
			- Impeachment is a distraction
				- All that impeachment means is the president is indicted. Then he has to be tried and convicted before he is removed. Impeachment is easy, and relatively meaningless.
				- Unless the Senate votes by a 2/3 majority to convict, nothing happens. It won't matter to Trump. It'll just give him a way of dominating discourse for another six months, and in the end he will still be president. 
				- Unless the people overwhelmingly want him removed, then he will be removed. And we aren't there now, so there's no point impeaching. So take it off the table. We have more important work to do. 
				- If you look at how things are set up in the Constitution, and our experience with removing a president from office, you must have overwhelming support from the people in order for it to happen. Impeachment wihtout removal is only symbolic. Republicans have to fear they will not get re-elected with Trump as president. 2/3 of the Senate has to vote to remove. That will include a lot of senators from Republican states. So at this point, removal is an impossible dream. It can't happen until thej people want it to happen.
			- The Democratic platform
				- Elect a majority in either house and the Democrats will provide the missing oversight.
	- August 28
		- What can <i>you</i> do to help? Unfollow people who RT the <a href="http://this.how/trolls/">troll</a>. Trolls feed on flow. Deprive them of flow, they shrivel up and die. People who RT him are undermining our future. Unfollow without a second thought. Eventually they'll get the message that RTing him has a cost.
		- First Amendment is more than law
			- There’s a big disconnect about what the First Amendment is. 
				- As a law it applies to the relationship between the govt and citizens. But it’s more than a law, it represents a basic American  value. We believe that speech is a right and must be protected.
			- So when in doubt a company should protect the speech of its employees and customers. Not must but should. Esp if it wants us to see it as American. I should be able to keep my job even if I have opinions that are different from my employer, if it doesn’t affect my ability to do my job.
			- If you try to get someone fired because you don’t like their opinion, you may be entitled to do that, but you are being intolerant and un-American. You should support everyone’s right to express their ideas. You don’t have to, but you should, if you want to be an American.
		- Puzzling Mac download behavior
			- On the Frontier-User list, Frank Meeuwsen <a href="https://groups.google.com/forum/#!topic/frontier-user/i13XoQ6Rq_I">reports</a> a problem using the <a href="http://home.opml.org/#1506805469000">DMG</a> that installs the OPML Editor.
				- He downloads the DMG, extracts the OPML folder, runs the app, and gets a dialog asking where the root is. You're not supposed to get this dialog. OPML.app is supposed to look for and automatically open opml.root in the same folder as the app. This isn't happening.
			- I have been able to reproduce it here. To try to narrow down the problem, I created a virgin OPML folder, zipped it, copied it to another folder, unzipped it, ran the app and it worked as it's supposed to. I then uploaded the zipped file, downloaded it, unzipped as before, ran the app, and got the behavior Frank describes. If you want to try it, you can download the <a href="https://www.dropbox.com/s/39lkdbd5cu2kc5e/OPML.zip?dl=1">zip file</a> from my Dropbox.
			- I wrote a script to compare the original zip file with the downloaded file. They are identical. Something is happening when the zip file is uncompressed? Not sure. I don't have the ability to look inside the OPML app to see what's tripping it up. This is new behavior. I am having trouble coming up with theories to try. 
			- I've started a <a href="https://github.com/scripting/Scripting-News/issues/93">thread</a> for this issue. 
			- Update: Ted Howard <a href="https://github.com/tedchoward/Frontier/issues/9">solved</a> this problem in April. Issue closed. 
	- August 27
		- <a href="http://nytimesriver.com/">nytimesriver.com</a> began <a href="https://web.archive.org/web/20060902170052/http://nytimesriver.com">in 2006</a> as an experiment to see how news reading on a Blackberry might work. I kept it running for twelve years, hoping the NYT would get the idea, and do it for itself, or even better, let me do it for them. Earlier today I got a letter from an in-house lawyer at the Times. It's a nice letter, given that a lawyer wrote it. But after all these years of being ignored, the first response is from a lawyer? That's not only rude, it's sad. So I decided the best thing to do is turn the site off. I don't feel like paying a lawyer to represent me when I'm just doing this project because I want the NYT to do better by its readers. If they decide to <a href="https://en.wikipedia.org/wiki/Mensch">say thanks</a>, or even maybe buy me lunch, I'll consider turning it back on. ✓
		- John McCain's <a href="https://github.com/scripting/Scripting-News/blob/master/misc/mcCainFarewell.md">farewell statement</a>. This is probably why Trump doesn't want the flag flying at half staff over the White House. BTW, I couldn't find a canonical copy of McCain's statement. So I thought where should I put a copy to point to where it might have a chance of surviving for a while. I chose GitHub. But we still don't have a good "for-the-record" place on the web, imho.
		- David Johnson on Twitter <a href="https://twitter.com/TheDavidJohnson/status/1034105691689107457">wonders</a> what's the diff betw "LO2" and "OPML Editor". That's an interesting question that never occurred to me, because they are so disjoint in time. The OPML Editor is derived from "Frontier", which is an outliner among many other things. But the OPML Editor does present as an outliner. One that lives inside a very powerful scripting environment, server and object database, all integrated, and evolved over a couple of decades. It's like the cellphone on the dashboard of a 747. However at this time, the power of the scripting environment would be wasted on an outliner user, most of the additions have fallen into disuse. That said, LO2 is a clone of the outliner inside OPML Editor, which was a clone of MORE, Ready and going way back to ThinkTank which first shipped in 1983. The long and winding road of Dave's outliners. 
		- I have never seen an Alex Jones tweet, believe it or not.
		- More on inclusivity, which I wrote about <a href="http://scripting.com/2018/08/26/161533.html">yesterday</a>. I wrote a <a href="http://scripting.com/2016/08/27/nerdsAndHippies.html">piece</a> in 2016 about how boys interpret the demonizing of men. It's very much related to the idea of being inclusive. If we're fighting for respect and justice there can't be any limits on who is entitled to it. 
		- Another thing about <a href="https://instagram.com/davew/">Instagram</a>. When you paste a link into a comment it doesn't hot it up. So they are even less a part of the web than Twitter and Facebook are. 
		- I went to <a href="https://en.wikipedia.org/wiki/Bronx_High_School_of_Science">Bronx Science</a>, one of two special high schools in NYC that you have to take a test to get into. I took the test when I was in 9th grade, in the late 60s. The NYT recently <a href="https://www.nytimes.com/2018/07/18/nyregion/shsat-new-york-city-schools.html">published</a> five questions from the test. I got four of five right. The one I got wrong was controversial. They have a discussion in the Times article why no one agrees on the correct answer. I was befuddled by it too, it was the one I got wrong. I was especially pleased to have gotten the geometry question right, because I haven't thought about geometry once since I left high school. Not a whole lot of geometry in software development work, or even in a math degree.
		- Kung Fu Darwin
			- "kung fu darwin"
	- August 26
		- The OPML Editor is my fork of the Frontier code base, started in 2004. It runs on today's Macs. In the flurry of activity in April, I broke the Mac part of the <a href="http://home.opml.org/#1506805469000">download page</a>. I have now fixed it. :boom:
		- The best reason to vote Democratic: Real <a href="https://www.axios.com/2018-midterm-elections-republicans-preparation-investigations-180abf7b-0de8-4670-ae8a-2e6da123c584.html">oversight</a> of Trump.
		- I've decided to get involved on Instagram. My name is <a href="https://www.instagram.com/davew/">davew</a> there. It's weird they don't let you post pictures from the desktop web browser. You have to go into the JS debugger and tell it to emulate a phone browser. Then you can upload an image.
		- I'm also going to start using <a href="https://mastodon.social/about">Mastodon</a>. I see they call their posts toots. I'm sorry but that makes me think of farts. If they'd have asked me I'd have said to call them grunts or snorts. After all I can't imagine a <a href="https://en.wikipedia.org/wiki/Mastodon">mastodon</a> tooting. That's the kind of thing a monkey might do. BTW, little known fact, my handle on CompuServe back in the 80s was Mastodon. PS: I absolutely despise dark backgrounds. Hurts my eyes. I can only read dark text on light backgrounds. 
		- Ever since Facebook turned off the API, doing something new with "Little Card Editor" has been on my todo list. One thing I wanted to be able to do is include a card in my blog, the same way I include a tweet. I thought I'd have to factor out the card renderer in the app, so I could call it from my blog renderer, but there's a much dumber and simpler approach, just include the image of the card as it appears in Twitter. It works. As you can see in <a href="http://scripting.com/2018/08/26.html#a160926">this post</a>. So I am able to do that now. Bingo. ✓
		- Inclusivity
			- What it means to be inclusive
				- I don’t care how you got to the party. Whether you took the subway, walked, came by spaceship or were driven by your chauffeur. What’s important is you’re here.
			- Non-inclusive vs inclusive
				- You can advocate for your cause by pushing away people who you don't identify with, or you can be inclusive, and take support where you get it. Most of the great causes we remember are the inclusive kind. The ones that demonize or ridicule "others" tend to result in war.
			- Two views of America
				- The Constitution is inclusive. It started out with some huge holes. Over the generations we've been closing them. That's been the clear trend.
				- The Trump movement is non-inclusive. It says there are <i>real</i> Americans, white, rural, Christian, male-dominated. They say these are traditional American values. This isn't new, this thread has been a constant since the beginning. It's the regulator on change happening too fast.
				- One of the reasons the Trump style America is ascendant is that the inclusive America has been moving forward at a rapid pace in the last few generations, post-World War II. Recently, we had an African-American president, the ultimate in other-ness, and we have removed gender from the concept of marriage. That's a lot of change happening very quickly, <i>within ten years. </i>
				- To heal we have to come out the other side with our inclusive principles intact.
	- August 25
		- <a href="https://en.wikipedia.org/wiki/Patient_Protection_and_Affordable_Care_Act">ObamaCare</a> is still the law. <a href="https://en.wikipedia.org/wiki/John_McCain">McCain's</a> vote was <a href="https://www.theatlantic.com/politics/archive/2017/09/john-mccain-saves-obamacare-once-again/540861/">instrumental</a> in keeping it from being gutted. McCain <a href="https://www.memeorandum.com/180825/p51#a180825p51">died</a> earlier today. 
		- I want a bank/brokerage website that has an easy UI. I don't care about commissions. My auto insurance company website is fast and easy. This builds trust, believe it or not. Nothing is worse than a bank that can't run a proper website. It's 2018, some bank should excel by now.
		- What I hate most about Chrome's "NOT SECURE" message is that this is all they could think of to say about <a href="http://scripting.com/">my wonderful blog</a>. A blog that predates Google itself by four years. It's got humor and sadness, fun and tech tips. Yet all they can say is yuck we don't like this site. We welcomed Google. Even <a href="http://scripting.com/2002/01/10.html#yupTheUsersCared">loved</a> them. And this is what's become of them. Heartless and soulless. Bullies. No love. 
		- There's a new brand of bike sharing in NYC now. Yesterday I saw two bright red bikes, shaped like a Lime bike or CitiBike, with a plastic basket up front. Didn't have time to read the logo/branding. Both in Manhattan. Andy DeSoto <a href="https://twitter.com/kadesoto/status/1033354917656911872">says</a> they're Jump bikes. And guess what, they say on <a href="https://jumpbikes.com/cities/new-york-city/">their site</a> they're available now in NYC. (But only in Staten Island and Westchester.)
		- I've been saying this for <i>decades.</i> Every brand should have an iconic image that bloggers can crib. What that means is this -- a product shot on a white or transparent background. Large enough for large product shots, and for right margin images, we can make them smaller. I wanted to put a <a href="https://jumpbikes.com/">Jump</a> <a href="https://twitter.com/jumpbikes">bike</a> in the right margin, but when I do an <a href="https://www.google.com/search?safe=off&rlz=1C5CHFA_enUS743US747&biw=1383&bih=1186&tbm=isch&sa=1&ei=4mSBW9uWH8mc_Qa7r4vYBw&q=jump+bike+share+red&oq=jump+bike+share+red&gs_l=img.3...7026.8128.0.8463.6.6.0.0.0.0.151.585.3j3.6.0....0...1c.1.64.img..2.1.67...0i24k1.0.pDhlh-JQAjE">image search</a>, all I see are bikes being ridden or parked with lots of not-easily cropped backgrounds. No free advertising for Jump. 
		- I have a friend who's an accomplished computer scientist, really smart and creative in that area. Also a good teacher. But in politics he's a snotty bastard, he uses logic that could never work in debugging code. I wonder how such contradictions happen? Really puzzling.
		- I like inclusive movements. I don’t care how you got to the party. Whether you took the subway, walked, came by spaceship or were driven by your chauffeur. What’s important is you’re here. That's also the philosophy of America, btw.
		- Facebook is broken, part #3929
			- Every time I visit the site, I get the same top message. 
			- If I go to the popup menu to say "Don't show me this again" they start me down the abusive-user path. Why do I want to block this user. I don't. What did they do? Nothing, you fucked up FB. So I skip it, and every time I come here I see the same damn image, a movie about cilantro.
			- I like cilantro, but it isn't the center of my existence. Facebook, we can move on from this. You have a bug. Give me a way to say stop showing me this message and the user is doing nothing wrong.
			- By lacking a way to tell you this, you're compounding the insult of the bug. <i>Your</i> bug. ;-)
			- Love,
			- Dave
	- August 24
		- A young <a href="https://en.wikipedia.org/wiki/Paul_Simon">Paul Simon</a> <a href="https://www.youtube.com/watch?v=vzDp2d5b_o8">explains</a> how he <a href="https://variety.com/2018/music/news/the-graduate-soundtrack-50th-anniversary-mrs-robinson-1202663554/">wrote</a> <a href="https://en.wikipedia.org/wiki/The_Graduate_(soundtrack)">the</a> <a href="https://www.youtube.com/watch?v=9C1BCAgu2I8">music</a> for <a href="https://en.wikipedia.org/wiki/The_Graduate">The Graduate</a> in an interview with Dick Cavett. He was really sweet and intense and oozed creativity. Earlier today I listened to a podcast interview with <a href="https://www.npr.org/sections/allsongs/2018/08/08/636328129/the-bands-robbie-robertson-looks-back-on-50-years-of-music-from-big-pink">Robbie Robertson</a> from <a href="https://en.wikipedia.org/wiki/The_Band">The Band</a>, remembering how they did <a href="https://en.wikipedia.org/wiki/Music_from_Big_Pink">Music from Big Pink</a>, recorded 50 years ago in a <a href="https://www.vrbo.com/3970069ha">house</a> in <a href="https://www.google.com/maps/place/56+Parnassus+Ln,+Saugerties,+NY+12477/@42.0776522,-74.0517061,177m/data=!3m1!1e3!4m5!3m4!1s0x89dda86a2f92ff0b:0xe993fcc7401d9732!8m2!3d42.0778051!4d-74.0512407">Saugerties, NY</a> (near Woodstock). I love to hear how creative people do their thing. 
		- Some people don't seem to mind if you know they're mean or corrupt. I've had this experience a few times. I guess they feel I can't do them any harm, so why not share their depravity? Funny thing is, eventually they all come to care that I knew. One of the mysteries of life. Our dear president appears to be one of those people, on a grand scale. And his chickens may be coming home to roost. 
		- To believe Trump, the US is scared of letting the world in. They should come to NYC, where their beloved Fox News originates. What they’ll experience is a huge city that works. A melting pot of every culture on earth. In other words, they’ll see America.
		- New LittleOutliner ships
			- There's a new release of "LO2" today, version 1.8.4.
			- Here's <a href="http://this.how/littleoutliner/v1.8.x.opml">what's new</a> in this release. 
			- As with the last major release, I <a href="http://scripting.com/images/2018/08/24/previousVersionsMenu.png">archived</a> the previous <a href="http://littleoutliner.com/archive/1.7.2/">version</a>. There are substantial UI changes in this release, you might want to choose the time to start using the new version.  
			- I <a href="http://lo.1999.io/2018/08/24/version18xShips.html">updated</a> the LO2 <a href="http://lo.1999.io/">blog</a>. 
			- If you want to subscribe to an RSS feed for the product, <a href="http://lo.1999.io/rss.xml">this is it</a>. 
	- August 23
		- Occam News says Txxmp is a territorial boss in the Putin Family. His territory is the former United States. 
		- A NYC story you won't read on the op-ed page of the NYT. I'm in the fucking bike line, a cab is waiting, adjacent to the lane, for I don't know what, and just as I approach he starts to move across the lane. I yell five times WATCH OUT and he stops, and as I pass, I make eye contact and yell FUCK YOU BIKE LANE. In Madison or Palo Alto you'd say Yo how you doing, but in NYC the salutation is FUCK YOU. Everyone understands this except people visiting from Madison or Palo Alto of course. It's why I like NY so much. Fuck you, let's dispense with the niceties. He was probably a Yankees fan anyway.
		- <a href="http://blog.schockwellenreiter.de/2018/08/2018082203.html">Jörg Kantel</a> likes the idea of Frontier for Linux. 
		- I know this is impractical, but if we wanted a more rational government we would only allow people who serve on juries to vote. It's an education in civic responsibility like no other.
		- Yesterday I was automatically upgraded to the new version of Gmail in the browser. The only new feature that I can see is that there's a really stupid animation that makes me wait for Gmail's UI to show up. Mail is a very integral part of my work flow. If anything they should make it load <i>faster. </i>Making the load slower is imho inexplicable and indefensible. Another beautiful feature, where the star used to appear is now a trash icon. I just deleted a message I wanted to star. Oh that really makes sense. (Sarcasm.) Now an adventure to figure out where the fuck they put deleted messages so I can undelete it. It was important (which is why I was trying to star it).
		- I think a lot of newbie software designers don't get that their users incorporate the quirks of their products at the base of the spine, i.e. beyond conscious thought. I think "star this mofo" and my spine tells my fingers to do it. My mind forgets the process. Breaking this connection immediately makes you think about things you normally do automatically. When I write my book there will be a whole chapter on <a href="http://scripting.com/2014/01/04/burningBrainCells.html">Burning Brain Cells</a> which is what I call this phenomenon.
		- The last couple of days I did a bunch of farting around with programmatic access to GitHub via <a href="https://github.com/scripting/oldSchoolNightly/blob/master/oldschoolnightly.js">Node app</a>. I came across a <a href="https://github.com/scripting/Scripting-News/blob/master/READMEx.md">readme</a> that said it was done with the <a href="http://this.how/english/">English editor</a>, a project I vaguely remembered. I did a little digging and found the software and the <a href="https://github.com/scripting/Scripting-News/issues/48">thread</a> I wrote documenting the work. The idea is to use GitHub as a blogging database. So what I did was get an instance of <a href="https://github.com/yabwe/medium-editor">Medium-Editor</a> to edit stuff on GitHub. Couple that with <a href="https://www.npmjs.com/package/githubpub">GitHubPub</a> that maps subdomains on locations within GitHub repos, and you've got a nice dynamic blogging system with almost $0 hosting costs. Oh if only I had the time to chase down all these <a href="https://en.wikipedia.org/wiki/Down_the_Rabbit_Hole">rabbit holes</a>. 🐇
	- August 22
		- <a href="https://twitter.com/davewiner/status/1032428816797454337">Poll</a>: Do you think Mueller has Trump's tax returns?
		- I've always thought the home page of the NYT should be a simple reverse chronologic <a href="http://nyt.newsriver.org/">list of stories</a>. Like the teletype of days gone by. It's how I like to get my news. The newest stuff first.
		- Here's a <a href="https://github.com/scripting/oldSchoolNightly/blob/master/oldschoolnightly.js">Node app</a> that backs up a bunch of files from my blog onto a GitHub repository every night. So in case my servers ever go offline, there's another copy of the content, kept current automatically, on GitHub. It's good starter code for your own backup app. I rewrote it in the last couple of days to also back up the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/misc/glossary.opml">glossary</a> and a few <a href="https://github.com/scripting/Scripting-News/blob/master/blog/rss.xml">other</a> <a href="https://github.com/scripting/Scripting-News/blob/master/podcatch/subscriptions.opml">files</a> that were being copied by another process running in Frontier. 
		- John Dvorak <a href="https://www.youtube.com/watch?v=NMQv0j29WHA">shares</a> the secret of successful trolling of Mac zealots.
		- <a href="https://www.insidehighered.com/news/2018/08/20/end-era-old-harvard-blogging-site">Inside Higher Ed</a> has a story about the <a href="http://scripting.com/2018/08/15/141004.html">Berkman blogs</a>. They raise the right issues. Can't we do better than just throwing away archives, esp from a project that yielded such good results. I'm also not sure what Berkman meant about the blogs being antiquated. They seem to be saying people would be better off writing on Facebook or Twitter. Blogs have significant advantages over writing for social networks. There are tradeoffs. Perhaps the server software hasn't been updated. That could be a problem. We can help with the decisions Harvard is making. But there has to be communication first.
		- Today I learned that calls to <a href="https://www.npmjs.com/package/davegithub">davegithub</a> are not re-entrant, meaning you have to wait till call N completes before starting call N+1. 
		- Just got <a href="http://scripting.com/images/2018/08/22/anotherGoogleEmailWarning.png">this email</a> from Google saying that some pages of mine are violating their Adsense policy. As far as I can recall, I don't have Google ads on any of my pages. Maybe at one time I tried it out on the XML-RPC site, but I don't think they're there anymore. Whatever. I tried to find a listing somewhere of the errors, and their site doesn't make it easy to find, if it's there at all. 
		- Emptying a folder with over 5 million items, it's already taken an hour, I get <a href="http://scripting.com/images/2018/08/22/dialog.png">dialogs</a> like this at random times. The current Mac OS is 25-plus years old. It took 10 minutes to preflight the deletion, couldn't all the confirmations be up front, so it can do this operation unattended?
		- On the Mac we had a phonebook size doc called <a href="https://en.wikipedia.org/wiki/Inside_Macintosh">Inside Macintosh</a>. It was divided into toolkits, which were analogous to <a href="https://docs.npmjs.com/getting-started/packages">packages</a>. At the beginning of each chapter was the theory, tightly written and edited. You might have to read a couple of times before grokking. Then all the calls you could make against the objects. As a result devs not only understood how to program the platform, but also understood the theory. I realize now that we are missing the equivalent doc for the web. Of course it wouldn't be printed. As a result you fumble around in the dark on a lot of stuff, not really understanding why things are the way they are, what the designers were thinking, and then years later it dawns on you. It's not too late imho to fill in this missing piece. 
		- Thinking about where I am in re a <a href="http://scripting.com/2018/08/21.html#a144138">Linux version</a> of Frontier. I just realized that my collection of <a href="https://github.com/scripting?tab=repositories">GitHub projects</a> amount to the built-in verb set of Frontier. There are big missing pieces, and they aren't tied together in an object database, but the functionality is there. I am often reminded of this, when writing a utility script that would take minutes in Frontier, and I'm already on Day Two in JavaScript.  For example, here's the <a href="https://github.com/scripting/utils/blob/master/daveutils.js">JS code</a> for the <a href="https://www.npmjs.com/package/daveutils">daveutils</a> package. I even use the same names as in Frontier, but without the Frontier syntax. 
		- We, who accuse the Repubs of cowardice, are just as scared as they are. Or we'd start striking, with picket lines. Shut the economy down until Trump leaves. It may ultimately come to that, but who knows, by then it might be too late. It's not too late now.
		- Trolls die in darkness
			- I've completely had it with people who RT the troller-in-chief.
			- When you RT him you shine the light on him.
			- It makes no difference to the troll whether you like or dislike.
			- You're feeding the troll either way.
			- Trolls are solar-powered. Trolls die in darkness. 
			- I am fed up with supposed members of The Resistance who RT the troll. You are every bit as bad as Fox News. If people stopped RTing him now, he'd lose his power. You can help by shaming people who RT him, no matter what their stated intention. I'm going a step further and <a href="https://twitter.com/davewiner/status/1032293670161211393">namechecking</a> them as I unfollow. Help bring notoriety to the troll-feeders. 
			- Zero tolerance for Trump RTers.
			- For more info see my <a href="http://this.how/trolls/">FAQ on trolling</a>. 
			- Trolls die in darkness. And that's a good thing. 
			- PS: With apologies to the <a href="https://www.washingtonpost.com/lifestyle/style/the-washington-posts-new-slogan-turns-out-to-be-an-old-saying/2017/02/23/cb199cda-fa02-11e6-be05-1a3817ac21a5_story.html">Washington Post</a>.
	- August 21
		- I was talking with <a href="http://wmf.editthispage.com/">Wes Felter</a> last night about a project I want to do. I want to get Frontier running more or less as-is on Linux. <a href="https://duckduckgo.com/?q=%22wes+felter%22&t=hi&ia=twitter">Wes</a> was an early <a href="https://duckduckgo.com/?q=site%3Ascripting.com+wes+felter&t=hj&ia=web">UserLander</a>, he got us started with Frontier as an HTTP server. He understood the product at the time in ways I didn't. What came from that? "XML-RPC", the <a href="http://scripting.com/frontier/netScripting/web.html">website framework</a>, <a href="https://en.wikipedia.org/wiki/UserLand_Software#Manila">Manila</a>, "Radio UserLand" and lots of other stuff. We talked about how to get the project done, and he suggested doing video demos of the things that make Frontier unique. It's a really good idea. And kind of daunting. I'm thinking about how to get started. I think the first step is to think of a project I can do in steps, that touches on most aspects of the environment. Maybe a web site for <a href="https://duckduckgo.com/?q=%22bull+mancuso%22&t=hi&ia=web">Bull Mancuso</a> or <a href="http://kim.smallpict.com/">Kim Parker</a> of <a href="http://bloatware.org/">Bloatware</a> (two not-so-famous fake people I use for demos and docs). It would be more interesting if it turned out to be something useful that made sense to deploy in Frontier. I wouldn't mind setting up a server on Amazon running Windows just to get the app up and running. And then getting that app running in Frontier on Linux would be the home run. 
		- Video: <a href="https://www.youtube.com/watch?v=a4H036El7is&feature=youtu.be">How to block trolls on Twitter</a>.
		- Comedians should do the news. Proof is <a href="https://www.youtube.com/watch?v=qzv6EhE7Cbo">Robin Williams</a> on The Tonight Show in 1991. He covers Supreme Court hearing for Clarence Thomas, the dissolution of the Soviet Union and everything else. (PS: Trump is a comedian. That's his (open) secret. He entertains his base.)
		- On Sunday I <a href="https://twitter.com/davewiner/status/1031889058451128325">tweeted</a> that librarians should run the web. I got a fair amount of snarky pushback on this. I didn't mean that <i>you</i> should run the web. I meant that the web should be run by people who are librarians. That the first questions they would ask would be questions librarians would ask. I've seen decisions made <a href="http://scripting.com/2018/08/10.html#a123459">lately</a> that took no account of the web as an archival medium. As a result, links to unknown amounts of the web broke that wouldn't have, if librarians ran the web. That's the thought behind that idea. The <a href="https://duckduckgo.com/?q=site%3Ascripting.com+librarian&t=hj&ia=web">librarians</a> I've known have been considerate, even loving people. I've <a href="http://scripting.com/2018/07/23/125635.html">written</a> about that. Now I get that (of course) some are jerks. How could it be otherwise? Living is a process of having your ideals chipped away at. 🤷‍♂️
	- August 20
		- Brent Simmons has been working on a Frontier port, for the modern Mac OS. He's naming the project <a href="http://inessential.com/2018/08/20/rainier_diary_9_the_renaming">Ranier</a>. I like it, esp because the last three letters are ier, which says the foundation originated in Frontier, but it also frees up Brent to follow the product where it wants to go. :boom:
		- A union of Twitter users with say over 1 million followers each, if they agreed to provide flow for blog posts that covered certain news areas that are being ignored by the news industry, could fairly quickly reform the flow of news.
		- Journalism has lots of problems, but the really big one is that distribution is a mess. There needs to be an <a href="https://en.wikipedia.org/wiki/European_Union">EU</a> of news. And a <a href="https://en.wikipedia.org/wiki/Euro">euro</a>. It's no longer an idea for the future, it's a model that should have been implemented long ago, and we should be growing based on it. 
		- One of the few journalists with courage is comedian John Oliver. <a href="https://www.youtube.com/watch?v=etkd57lPfPU">This week's show</a>, on trade wars, is essential viewing, and it's also incredibly funny. 
		- Why can't journalism change <a href="http://nymag.com/daily/intelligencer/2018/08/media-trump-russia-collusion-benefit-of-the-doubt.html">asks Jon Chait</a> and so many other people.  
		- It's time to rebel
			- If the news wants to be effective it should spend some amount of time not just describing our quagmire, but having realistic discussions for what we can do to dig out of it. There's no discussion of this on MSNBC as far as I know. 
			- When Jonathan Chait <a href="http://nymag.com/daily/intelligencer/2018/08/media-trump-russia-collusion-benefit-of-the-doubt.html">asks</a> why news won't factor in the corruption of the Trump govt, I think it's because if they did, they'd have to start leading the rebellion, or at least looking for people to interview who are ready to lead.
			- <a href="https://en.wikipedia.org/wiki/Civil_disobedience">Civil disobedience</a>. A <a href="https://en.wikipedia.org/wiki/General_strike">general strike</a>. Boycotts and picket lines. Those are proper citizen responses to treason on the part of the president. These ideas should be present in the press coverage. But if you put off accepting as fact the corruption of the government, you don't have to cross that bridge.
	- August 19
		- Next <a href="https://twitter.com/davewiner/status/1031350182229803019">time</a> you feel the urge to tell someone you disagree, skip it. If you really want to blow someone’s mind, next time you agree with someone, tell them. If you were going to qualify it, don’t. And if you think of a snappy rejoinder, chuckle to yourself and don’t pass it on.
		- Coming <a href="https://twitter.com/davewiner/status/1031271167510884353">soon</a>, a bookstore <a href="http://scripting.com/images/2018/08/19/bookstoreOpening.png">opens</a>. And a <a href="http://scripting.com/images/2018/08/19/theaterClosed.png">theater</a> closes.
		- I refuse to believe that Giuliani can make news. He's a nobody. If you report on what he said, what that make you?
		- It would be great to have a daily website that summarizes what's on each of the MSNBC shows, so I don't have to watch them. Each segment on each show. Any new information or ideas makes it in. Omit recitals of previous optics. I don't care what pundits think. Same for each of the Sunday morning shows. I just don't have the patience. If I had to list something I learned from any stretch of MSNBC-watching, I might learn one thing every week and that's it. Most of the stuff they report as news is what has appeared in my RSS river during the day. Please go ahead and put ads on the site. Or ask for donations via Patreon. It's worth a few bucks a month, also because it will force MSNBC to change, to stop being so repetitive, and to start taking a look at news more broadly than just how the legal case against Trump is proceeding or not. There is other stuff going on, and there are other ideas that need exploring. They are deep in a pointless rut.
		- They should give Krugman’s mike to someone else. Same <a href="https://www.nytimes.com/2018/08/18/opinion/the-slippery-slope-of-complicity.html">story</a> every time for the last N years. We get it, you’re right, more importantly you were right, now it’s time to say something original and useful, or step aside.
		- I haven’t heard from anyone at Berkman re the early blogs we hosted there that they have taken offline. I’m assuming at this point that we have <a href="http://scripting.com/2018/08/15/141004.html">all the info</a> we’re going to get. Take-away: I hoped academia would be how we could ultimately make the web long-lived and future-safe. Now this seems like a foolish dream.
		- Trump’s lunatic ravings are <a href="https://www.theguardian.com/commentisfree/2018/aug/19/twitter-supposed-to-spread-democracy-not-trumps-ravings">part</a> of democracy. People are surprised that when everyone gets a voice, they may hear things they despise?
		- When I rent a car, one of the first things I do is pair my iPhone with it, so I can play podcasts over the car’s sound system. But it may be sharing my contacts with the car. Does the rental company download those when I return the car?
		- I finished <a href="https://en.wikipedia.org/wiki/Deadwood_(TV_series)">Deadwood</a>. It’s worth a rewatch, to see how a person with huge money and a toxic character can destroy a community. In the end it is anything but a comedy. The last couple of episodes, when they wrap everything up, are really low quality. You see this happen sometimes in a great series. Everything but the writing is still great. They make up for the lack of coherence with music, to try to make the stupid shit they're doing seem dramatic, which just makes me turn away. I remember being angry that they didn't do a fourth season when the show was running. I have no such feeling now. I think they could have ended it without the last couple of episodes. Even so, it's a story for our times, in tech and politics, now one very rich and toxic person can spoil a flawed but vibrant community. Some rich people got rich by stinking up the room so thoroughly that people of integrity say <i>Go ahead you can have it. </i>That's their business model. Look at the top names in tech history. At least 1 in 4 are like that, in my experience. And there are a few second-tier characters like that as well.
	- August 18
		- <a href="https://twitter.com/davewiner/status/1030908523822178304">Poll</a>: How often do you use Twitter's block command?
		- Everyone's experience with Twitter is different. As is every person's experience with podcasting; and everything else in life. To say Twitter is boring or abusive or whatever is like making an equivalent statement about movies or the telephone or travel.
		- I'm in season 3 of <a href="https://en.wikipedia.org/wiki/Deadwood_(TV_series)">Deadwood</a> now. Very different experience from the first time through when I watched the episodes as they came out. One thing that's clear is that it's a comedy. And they sometimes had a blast in the writer's room, with puns and characters finishing each others' speeches. I know in advance some characters are doomed, which is disturbing. And I had forgotten how evil some characters are. Not Swearengen though. He's a poet and hippie. Has limited ambition. That isn't clear in the first season, but by the third he's matured, as has Bullock, to become peacemakers even civil rights advocates.
	- August 16
		- <a href="https://twitter.com/davewiner/status/1030143516045918208">Poll</a>: Is Manafort guilty or not guilty?
		- One of the great things about having archives that go back to the dawn of time is you re-discover gems like this <a href="https://www.youtube.com/watch?v=qf81H4v4ByM">Apple vs PC ad</a> from <a href="http://scripting.com/2009/06/02.html">2009</a>.
		- <a href="http://scripting.com/davenet/1996/01/08/gottabearetha.html">My plan for Apple in 1996</a>. It wasn't that far from the plan that Jobs implemented when he came back to Apple in 1997. I describe the iMac, very clearly. The major difference is that I wanted to invest in developers. Jobs pretty much did the opposite. 
		- Automattic and speech
			- <i>Update: After writing this piece, I got a correction via Twitter DM from Automattic founder and CEO Matt Mullenweg: "Automattic doesn't host Alex Jones and I don't think ever has." I probably didn't read the <a href="https://www.nytimes.com/2018/08/13/business/media/sandy-hook-conspiracies-leonard-pozner.html">NYT piece</a> carefully enough, and came to the incorrect conclusion about the sites in question. However the gist of this piece remains valid. There is a higher level question to answer, where if anywhere is there a line that protects speech on the net, or does every service vendor have a say in what their platform is used for, or are some required to be neutral?</i>
			- We're having an ill-defined debate over when silos have to yield to public pressure and deny access to members who are deemed undesirable by a vocal group of objectors. There's no process. People have pointed out that as private companies they are free to do as they please. I'm not entirely sure that's true, especially when combined they control virtually all the speech on the net. While that might not be a violation of the First Amendment, it could easily be a violation of antitrust laws. Having run a couple of companies I know how often companies come up against those laws, even small companies, far from having a controlling stake in a large market.  
			- Alex Jones is the first major test of this new system of speech governance. He has been banned by Facebook, YouTube, and put on a timeout by Twitter. Now the question has been raised whether Automattic, the operators of <a href="https://wordpress.com/">Wordpress.com</a> should be pressured to force the Jones site off their platform. A major <a href="https://www.nytimes.com/2018/08/13/business/media/sandy-hook-conspiracies-leonard-pozner.html">article</a> in Monday's NY Times raises that question, and my friend Davis Shaver <a href="https://davisshaver.com/2018/08/16/automattic-needs-to-rebalance-its-hate-speech-free-speech-protections-as-soon-as-possible/">opines</a>. But there's a problem in this analysis because Wordpress.com isn't like the others, it isn't a silo, so banning him from that service will not necessarily have any affect on the presence of his site. He will be able to export his site, set up his own server, point the DNS entry at that server, and proceed on the open web and it will appear to outside viewers as if nothing happened. This will be the end of the discussion, unless the anti-speech advocates try to exert pressure on the open web. There they will find there is no CEO, no corporate headquarters, no shareholders afraid of losing value, none of the usual pressure points. If the web maintains its integrity, Alex Jones will be able to spread his vile <a href="https://sandyhookstalkers.wordpress.com/">hateful</a> and possibly libelous <a href="https://sandyhooked.wordpress.com/">ideas</a> without further accosting. I for one am rooting for the open web, and in this way rooting for Mr. Jones. 
			- People should take two steps back from this debate and think. Where exactly is the line? What if a vocal minority of Internet users decided the ACLU shouldn't have a place to opine its hateful and disloyal fake news? What if it was decided that any site that didn't show proper reverence for Dear Leader Chairman Trump should be denied access to the public square? There must be a line in here somewhere. I ask the thinkers to consider, where exactly is that line? Alex Jones is on the wrong side, but who is on the right side, whose speech do we want to protect? Or is there a line at all? Perhaps dissent a quaint old idea of the past?
	- August 15
		- I have a Brainy Quotes <a href="https://www.brainyquote.com/authors/dave_winer">page</a>, for what it's worth. 
		- If you want to read feeds of any kind in a Node app, my <a href="https://github.com/scripting/feedread">feedRead package</a> is the easiest way to get something up and running super quick. Simple example code for reading a feed over <a href="https://github.com/scripting/feedRead/blob/master/examples/readurl/read.js">the web</a> or from a <a href="https://github.com/scripting/feedRead/blob/master/examples/readfile/read.js">local file</a>. I <a href="https://github.com/scripting/reader/blob/master/davereader.js">use</a> it in "River5" so it's been extensively burned in <a href="http://river5.scripting.com/">with</a> all manner of feeds. 
		- Yesterday I <a href="http://scripting.com/2018/08/14.html#a194320">asked</a> <a href="https://twitter.com/davewiner/status/1029453411262054400">about</a> bike-mounted speakers, and got lots of great advice. For some reason a <a href="https://www.amazon.com/s?url=search-alias%3Daps&field-keywords=bike+speaker">search</a> on Amazon yielded nothing but crap, but if you know what you're looking for you get some pretty nice stuff. Rex Hammock recommended <a href="https://www.amazon.com/JBL-Waterproof-Portable-Bluetooth-Black/dp/B01MSYQWNY">JBL Flip</a>. And Jason Gilman recommended <a href="https://www.amazon.com/dp/B01MXDNA2O/ref=cm_sw_r_cp_ep_dp_-L1CBbV67GDBM">Clearon</a>. Roland Tanglao <a href="https://twitter.com/rtanglao/status/1029534796957933568">said</a> he loves his <a href="https://www.amazon.com/Ultimate-Ears-Wireless-Bluetooth-Waterproof/dp/B01FFV59PY">UE Roll 2</a>, and I have one of those, but it didn't occur to me it could be bike-mounted. The bungee that's built in works fine on a bike, and I took it for a spin just now and it's perfect. Great sound. Totally loud enough to be heard over NYC street noise, with great frequency range and thumpin base to keep the wheels turning. A really great answer. Davey's a happy cyclist. Thanks everyone for the great advice. I want to try all of these speakers. 
		- 100 pointless editorials
			- I don't see what good <a href="http://www.gctelegram.com/opinion/20180814/some-newspapers-are-buying-into-ill-conceived-protest">100 editorials</a> tomorrow will do. The problem journalism has is that it is at war with a formidable adversary, the head of the US government. It's time to consult with people who have studied war. I suspect they will say that 100 editorials wouldn't have had much impact on Japan or Germany at the beginning of World War II. We never would have thought to respond to the 9/11 attacks with 100 stinging editorials. When attacked in an outright and clear act of war, aim at the power of the enemy, analyze and develop our own power, and fight back, to win.
			- In this case, the enemy is very powerful. His greatest power is that he didn't demobilize his supporters when he took office as every other presidential incumbent has. It's smart. I pleaded with Obama to do exactly that when he took office in 2009. The web was ready to take Obama's message of intellectual and just government all around the world. Instead he stuck to norms. And ran head-on into a Republican blockade. Nothing could get him out of the Rose Garden and back on the campaign trail. 
			- Let this be a lesson from now on: Presidents must stay on the campaign trail at all times. The power of the presidency is to rally the people, and when done best it's a unifying campaign, not a divisive one, like the one Trump persists.
			- And that, imho is exactly what journalism must do. 
			- Journalism has to break the biggest norm it has. Break the wall that separates it from their supposed audience, which is <i>rapidly</i> dissipating. They've lost the ones that follow Trump. The rest of us are losing patience. Hopefully on Friday morning, in the non-existent afterglow of the pointless editorial demonstration, they will start looking outside their cocoon for answers. 
		- Berkman weblogs, followup
			- A followup to my post <a href="http://scripting.com/2018/08/10.html#a121444">last Friday</a>. I had just heard about something happening with the blogs we hosted in <a href="https://duckduckgo.com/?q=site%3Ascripting.com+berkman+weblogs&t=hi&ia=web">2003</a> and beyond at <a href="http://blogs.harvard.edu/">blogs.harvard.edu</a>. I'm still not clear on what happened. I would like to know, and to see if there's anything we can do to keep the archived content available at the same address it has been at all along. 
			- I got a <a href="https://twitter.com/zittrain/status/1027936755796860928">response</a> to one of my tweets from Jonathan Zittrain, a former colleague at <a href="http://cyber.harvard.edu/">Berkman</a>, who is still there. He pointed me to the <a href="https://blogs.harvard.edu/blog/2018/07/13/upcoming-changes/">FAQ</a> they posted. Not much information there about what was about to happen, or has happened since. At the very least we should know what remains, what is gone, and what is the plan for the future. And perhaps we, outside of Harvard, can help in some way. We have some experience with these issues. 
			- I think a great university like <a href="https://en.wikipedia.org/wiki/Harvard_University">Harvard</a> that places a high value on learning, history, tradition, and played a big role in fostering the development of social media, both as the home of <a href="https://en.wikipedia.org/wiki/Mark_Zuckerberg#College_years">Mark Zuckerberg</a> in the early Facebook days, and <i>at the very same time</i> to the nascent blogging and podcasting community, should take an active interest not only in preserving the record, but in helping to set standards for how the web can continue long-term, even in the age of silos and corporate ownership. We, collectively, have a responsibility imho to do this well. 
			- PS: Imho this is a project that should interest <a href="https://library.harvard.edu/">librarians</a> at Harvard and elsewhere. There are a lot of great libraries there.
	- August 14
		- <a href="http://scripting.com/2018/08/14/toMathewIngram.m4a">20-minute podcast</a>. I got involved in a discussion with Mathew Ingram, Om Malik and others on Twitter on what is going on with <a href="https://blog.joincivil.com/introducing-the-first-civil-council-members-and-looking-ahead-to-the-next-year-def988ae25a1">Civil</a> and what's needed to get journalism the support of the people that it so totally needs. I want to tell the story of the W3C and the IETF and how the tech industry made it look like the tech was open without it being open. We need journalism, and we can't afford to wait for the experiments to prove not to be the answer. I outline emphatically what needs to happen now. Journalism needs to grow, without the limits that journalism has placed on itself. This is addressed to Mathew but it's really meant for everyone. I apologize in advance for using him as a foil. :boom: 
		- I'm looking for a good speaker for my bike, for listening to podcasts and music. I bought a <a href="https://en.wikipedia.org/wiki/Beats_Pill">Beats Pill</a> a number of years ago, but the battery is shot. Not finding many choices, certainly no brands I've heard of and there don't seem to be any reviews. Has to mount on handlebar.
		- I finally have the Chrome that <a href="http://scripting.com/images/2018/08/14/notSecure.png">opines</a> that my blog is "not secure". 
		- We're a few weeks into the new Chrome way of labeling sites like "Scripting News" as "not secure". I haven't seen any notable changes among readers. The only people questioning the security of the site, that I know of, are the same ones who followed Google's lead without considering the negative consequences on the web as an archival medium. I took a <a href="https://twitter.com/davewiner/status/1027582827381096448">poll</a> of my followers on Twitter and found that 68% of the Chrome users are seeing the "not secure" message. Here was a chance for some to express concerns, and there were none. My Chrome hasn't updated yet, apparently, so I don't see it here. I'm sure there are less draconian solutions for sites that are basically archives to Google's stated goal of assuring the content hasn't been meddled with in a MITM way while in transport. I have ideas, but so far I haven't seen much evidence of Google's interest. A bad sign for a <a href="http://scripting.com/davenet/1995/08/22/whatisaplatform.html">platform</a> manager, btw. But it's par for the course for Silicon Valley tech companies. I've had this experience with all of them, Sun, Apple, Microsoft, even the company I founded, after I left. We're the <a href="https://www.youtube.com/watch?v=7Znh0OM9jiA">power</a>, you're nobody, why should we listen. It's a terrible way to govern an even worse way to manage a platform. 
	- August 13
		- If you love RSS, <a href="https://www.sueddeutsche.de/digital/rss-reader-nachrichten-1.4091261">read this</a>. 
		- A new thing. <a href="https://twitter.com/rsg/status/1029057447393144832">Relatives</a> of <a href="https://www.politico.com/magazine/story/2018/08/13/stephen-miller-is-an-immigration-hypocrite-i-know-because-im-his-uncle-219351">Republicans</a>, disowning them and outing them as corrupt and demonic.
	- August 12
		- <a href="https://twitter.com/davewiner/status/1028590497898655744">Poll</a>: How do you know Alex Jones is on Twitter? 
		- I think there should be a panel of tech security experts who keep track of security concerns in the 2018 election. Otherwise the press is going to mangle the story, the way they did with HRC's email server in the 2016 election.
		- Silos vs decentralized networks
			- As I wrote in this <a href="https://twitter.com/davewiner/status/1028630757856751616">tweet</a>, Johannes Ernst is smart and brave. He <a href="https://upon2020.com/blog/2018/08/why-decentralized-social-networking-never-makes-it-ever-heard-of-crossing-the-chasm/">says</a> decentralized networks never make it, and there are reasons for this. I agree, in a way, but ultimately think his theory is wrong. Because <a href="https://duckduckgo.com/?q=site%3Ascripting.com+decentralized&t=hi&ia=web">decentralized</a> networks have blossomed and survived, and imho will still be operating when the silos are gone.  
			- Consider the case of RSS vs Twitter. When Twitter came along it grew fast, it overtook RSS. It didn't do away with RSS, because it's still here co-existing with Twitter. It still has advantages over Twitter. Richer data. Extensibility. Podcasting. Titles. Styling. Multiple links per item. No character limit. If RSS has so much going for it, why did Twitter surpass it? Not for any of the reasons Johannes cites. Imho it was because subscribing was done with a single click. That could have been done with RSS too, in fact we had it working in our own RSS network at UserLand, we called it the <a href="http://radio.userland.com/userGuide/reference/macros/xmlCoffeeMug">coffee mug</a>. One click to subscribe. it could have become a universal one-click subscribe, if our competitors were willing to go along with UserLand's leadership, but they weren't. One  click to subscribe was an important survival trait in the Darwinian ecosystem of online social nets. Twitter had it, RSS didn't.
			- Johannes mentions two other features: trending topics and search. I guess he's right about trending topics, but the feature has no value for me, it's there on the Twitter screen, but I never look at it. For search, it's been proven that search works well on distributed networks. Google is a good example. There's no reason an equivalent search function couldn't be created for blogs or feeds, in fact last week I wrote a <a href="http://scripting.com/2018/08/09/141354.html">post</a> about features that would make search much better for distributed systems. All are technologically possible and none are implemented on Twitter.
			- There will come a time when Twitter shuts down. But it's hard to imagine that day coming for the network of RSS feeds. It's been wishful thinking for TechCrunch and the VCs and BigCos they serve, a kind of wet dream that open systems will bend to the will of tech titans, that vast wealth is what makes the nets work, but it hasn't happened, even though they've been reporting its demise for a decade now. Really it has been that long! You can even <a href="https://www.google.com/reader/about/">shut down</a> the beating heart of the RSS network, and it routes around the damage, quickly.  (A corollary to <a href="https://en.wikiquote.org/wiki/John_Gilmore">Gilmore's Law</a>, perhaps.)
			- I'm not sure why Mastodon didn't use RSS, I think they should have. Then the power of the two open distirbuted nets would combine, there would be more interfaces, greater know-how among developers, and more choice for users. I have to dig into it. I think Johannes' theory depends on using Mastodon as the counter-example to Twitter, because while Mastodon is strong and growing, it hasn't withstood the <a href="http://scripting.com/2017/03/30/rssOnTheDesktop15YearsLater.html">challenges</a> that RSS has. I suspect it will. And I also suspect it will still be running when Twitter is gone. 
			- I really appreciate his post, no sarcasm. It's great when we step outside the silos and use our own disparate tools to discourse about things that matter.  
	- August 10
		- Note to self: Add <a href="https://blog.jonudell.net/">Jon Udell</a> to my blogroll. (Coming eventually.)
		-  I'd like to add that when I swim my body exudes good feelings from every cell. I'm a radio of good feels.
		- I got an email in the middle of the night asking if I had seen an <a href="https://blogs.harvard.edu/blog/2018/07/13/upcoming-changes/">announcement</a> from Berkman Center at Harvard that they will stop hosting blogs.harvard.edu. It's not clear what will happen to the archives. Let's have a discussion about this. That was the first academic blog hosting system anywhere. It was where we planned and reported on our Berkman Thursday meetups, and <a href="https://en.wikipedia.org/wiki/BloggerCon">BloggerCon</a>. It's where the first podcasts were hosted. When we tried to figure out what makes a weblog a weblog, that's where the <a href="http://blogs.harvard.edu/whatmakesaweblogaweblog.html">result</a> was posted. There's a lot of history there. I can understand turning off the creation of new posts, making the old blogs read-only, but as a university it seems to me that Harvard should have a strong interest in maintaining the archive, in case anyone in the future wants to study the role we played in starting up these (as it turns out) important human activities. 
		- Also, thankfully it's not where the <a href="http://cyber.harvard.edu/rss/rss.html">RSS 2.0 spec</a> is stored, but it was originally posted on one of the Berkman blogs. 
		- <a href="https://twitter.com/davewiner/status/1027820744196202496">In a tweet</a>: "Throwing out this archive is like throwing out an academic journal. Why would a university do that? One of the reasons we did this work at a university was the hope/expectation it would survive over time. Only 15 years later, they want to throw it away?"
		- John Palfrey, former executive director of Berkman wrote the <a href="https://blogs.harvard.edu/project-info/">project info page</a> for blogs.harvard.edu in 2011. 
		- I just looked for some of the old 2003-2004 sites, and they're already gone. Earlier this year we <a href="http://scripting.com/2018/05/10/204408.html">lost the handle</a> on <a href="http://radio-weblogs.com/">Radio UserLand</a> weblogs because the <a href="http://www.weblogs.com/about.html">new owner</a> of weblogs.com was unwilling to maintain a <a href="http://radio.weblogs.com/">DNS entry</a> pointing to them. That and Google's marking HTTP sites as <a href="http://this.how/googleAndHttp/">not secure</a> have been huge blows to the web as an archival medium. It's a good time to pause and reflect on the question of what was the value of all the work, and why bother continuing if the people who should care, a major university, a large research company and one of the largest tech companies, don't care about maintaining the web. What hope is there for it being maintained in the future?
		- I posted a <a href="https://groups.yahoo.com/neo/groups/berkman-thursday/conversations/messages/2902">note</a> on the Berkman-Thursday mail list which, amazingly, is still operating. Sarcastically, I don't see Yahoo saying they're getting ready to take it offline. :boom:
		- When I left Berkman I archived <a href="http://crimson1.scripting.com/">my test site</a> from the Harvard server, and it's still here on scripting.com, and I'll do my best to keep it around. I used it to post pictures and ask stupid questions, and try out new features in the software. There are pictures of people I've known for a long time and haven't seen in ages but still love. :heart:
	- August 9
		- We had a thunderstorm in Manhattan last night. It woke me up and I was in a foul mood, as I sometimes am when I wake up in the middle of the night. The lightning and thunder scared me. First time that ever happened. My mind started playing games. I imagined the flash of lightning was a nuclear weapon detonating, and the thunder was the wave of destruction. It's a good approximation of the time it would take between the flash and death. Great move, I said to my mind. Now I'm even more scared and sad. Eventually I fell back asleep, but it wasn't a good sleep.
		- Journalists think Twitter stands out as a <a href="http://amp.poynter.org/news/whats-matter-twitter">bad tech company</a>, I think the opposite. Their unwillingness to follow the herd is a sign of hope that we may continue to use the net to speak freely, even if the majority wants us silenced. And what does it say about journalism that there are few if any dissenters? You see this regularly, they’re too scared for some reason to present all sides of a discussion. It’s amazing at times, the way they form herds.
		- <a href="https://davisshaver.com/2018/08/09/turns-out-my-favorite-mcluhan-quote-is-actually-a-churchill-quote/?ppp=7666-0">Winston Churchill</a>: "We shape our buildings; thereafter they shape us."
		- Writing in the age of silos. After their <a href="http://scripting.com/2018/08/01.html#a022140">August 1</a> change, I can't cross-post to Facebook. So if I want to speak to people I know on Facebook, I have to write on Facebook. Today if I want to even post a link, I have to do it by hand. And Twitter, new forms of writing have developed there to work around the 280-char limit. Again, if I want to write for people I know there, I have to write it there. This is what always happens with corporate platforms, they become silos. Maybe they start with good intentions, on FB, the <a href="http://ogp.me/">open graph</a>, with Twitter their API, but over time, they evolve to become their own completely self-contained very unweblike worlds. You can see that evolution in action today, at a super-high pace. For me this is the Nth time around this loop, so I have an idea what to expect next.
		- <a href="https://twitter.com/davewiner/status/1027582827381096448">Poll</a>: Chrome users, do you see <i>not secure</i> on <a href="http://scripting.com/">scripting.com</a>? 
		- Smarter search for the open web
			- Three ideas for making the open web, and blogging, more valuable and interesting, by building a search engine for the next decade, not for two decades ago. Sorry Google, your search engine is showing serious signs of age and boredom. We can do so much better. Here are the ideas.
				- I just pointed to a post written by <a href="https://davisshaver.com/">Davis Shaver</a>. A nice database would note that, and create a link between his blog and mine. I could ask for a list of all the blogs that I've pointed to, and that would become my blogroll. Lots more ideas after that esp if the blogs are willing to share data with the centralized resource.
				- You know how the index in the back of a book works? Topics, sub-topics, and lists of pages that those topics are discussed on. 99 percent of the searches I do on my own blog are really just navigations of this structure. Search engine technology is getting smart enough to recognize not just words but concepts. How about a service that sucked down all the content of my blog and created the back-of-book index of my writing. Realtime. Updated every time I post something new or modified an existing post. 
				- A search engine that knows I'm a blogger and where my blog is, and uses all the info it can glean from that to give me more relevant searches. For example, when I <a href="https://www.google.com/search?q=Frontier">search</a> for Frontier, esp if the first letter is capitalized, what kind of cockamamie search engine <a href="http://scripting.com/images/2018/08/09/searchForFrontier.png">shows me</a> the airline? I'm obviously referring to the scripting environment I developed and worked on for a couple of decades, and still to this day use every freaking day. Google started out ridiculously smart, but it never figured this part out (or #2 above). It's been stagnant for too long. They clearly need some competition. 
			- BTW, Google knows I'm the "owner" of this blog, they <a href="http://scripting.com/images/2018/06/21/googleEmail.png">threaten me</a> as such. :boom:
	- August 8
		- xkcd's <a href="https://xkcd.com/2030/">story</a> for today is right on. I’m a software developer and I concur. We throw out our base technology every few years and start over, leaving the stuff that’s already deployed hard to evolve or fix, and the latest stuff full of bugs, and long before it’s mature and reliable we do it all over again. 
		- I commented in a <a href="https://twitter.com/davewiner/status/1027177850754027521">thread</a> on Twitter on the controversy re the recent hire by the NYT editorial board and sweeping comments she made previously about white men. I am responding to a <a href="https://www.vox.com/technology/2018/8/8/17661368/sarah-jeong-twitter-new-york-times-andrew-sullivan">piece</a> by Ezra Klein in Vox. I waited a few days for the furor to die down, and to try to say thoughtfuly and carefully how I as a man feel about such statements. Klein had said, for the first time I can recall for a reporter, how he feels about these things. I'll let the comments speak for themselves now. 
		- How can so many elections come down to a fraction of a percent of the vote? Doesn't probability say that this outcome is extremely unlikely? Why does it happen so often?
		- The other day I spilled a bottle of water on my keyboard, and have been limping along waiting for a new keyboard to arrive. I am now using it. This time I decided not to opt for the <a href="https://www.amazon.com/gp/product/B005DPF08E/ref=oh_aui_search_detailpage?ie=UTF8&psc=1">expensive</a> Apple keyboard, instead I got a <a href="https://www.amazon.com/gp/product/B077926YZQ/ref=oh_aui_detailpage_o02_s00?ie=UTF8&psc=1">Macally keyboard</a> which cost a fraction of what the Apple one did. So far it seems quite nice. My fingers need to set up in a different place, and the keyboard doesn't have lifters at the top to put it at an angle, but I'm already getting used to it. Unfortunately the modifier keys <a href="http://scripting.com/images/2018/08/08/kbControlPanel.png">control panel</a> isn't working, not sure why. Might have to reboot the system? I usually don't like doing that. And then as if by magic it started working! I like to map Control to Command and vice versa. My brain was trained by many years of using Windows, a long time ago.  
	- August 7
		- Making good progress <a href="https://github.com/scripting/Scripting-News/issues/91">testing</a> the new version of Little Outliner.  
		- <a href="https://twitter.com/davewiner/status/1025430776714813441">This idea</a> needs to get to the right people. Don't just like it, <b><a href="https://twitter.com/davewiner/status/1025430776714813441">RT</a></b> it. We can win this thing but we have to be smarter.
		- <a href="https://meyerweb.com/eric/thoughts/2018/08/07/securing-sites-made-them-less-accessible/">Unforeseen consequences</a>. It's not at all surprising that when a tech company hijacks an incomprehensibly huge, world wide platform that's been growing uncontrollably for 25 years, they might overlook some huge applications thereof, and in plotting a transition break the installed base. It's completely foreseeable. Which is why we don't let private companies hijack public resources if we have our heads screwed on straight, which we clearly do not. :boom:
		- This is a <a href="http://scripting.com/images/2018/08/07/uncleVaVa.png">picture</a> of my dear departed Uncle Vava taken in my parents' house in <a href="https://en.wikipedia.org/wiki/Flushing,_Queens">Flushing</a>, in the early 70s probably. He's the only person in my family who would have posed for a picture that way. 
		- I :heart: <a href="https://twitter.com/silentmoviegifs/status/1026897057037070337">Silent Movie GIFs</a>.
	- August 6
		- I fixed a serious startup bug in the <a href="http://scripting.com/2018/08/03/144422.html">new version</a> of LO2. Thanks to Steve Hooker for finding and <a href="https://github.com/scripting/Scripting-News/issues/91#issuecomment-410838712">reporting</a> it. Now would be a great time for people to try the <a href="http://littleoutliner.com/testing/1.8.0/">new version</a>. I'd like to put it to bed and move on to other projects next week. Thanks! :rocket:
		- Here's the <a href="http://outlinerhowto.opml.org/">outliner howto</a> doc that explains what an outliner is and how to use the core outliner in LO2.
		- <a href="https://twitter.com/davewiner/status/1026543904227614720">Poll</a>: Suppose all the social media sites ban a commentator whose ideas you detest. He no longer can communicate with most of the people who want to hear what he says.
		- <a href="http://dave.blog/">dave.blog</a> now redirects to scripting.com. I was never going to start a new blog there. I don't know what I was thinking. <i>One person, one blog</i> seems to be the default. 
		- If you fight for free speech only for people who agree with you then you are not for free speech.
		- Reporter vs Journalist
			- I've written here many times about the <a href="http://scripting.com/2014/03/03/whyBloggingIsAnAmateurThing.html">distinction</a> between the terms blogger and journalist. In a Twitter thread, <a href="https://twitter.com/lorakolodny">Lora Kolodny</a> makes a distinction between <a href="https://twitter.com/lorakolodny/status/1026499041792647168">journalist</a> and <a href="https://twitter.com/lorakolodny/status/1026499347763027968">reporter</a>. I hadn't realized there might be a difference. Here's what she says.
				- <i>Journalist</i> (besides sounding hi-falutin) includes people who aren't reporters. Editors, producers, photographers, columnists, podcasters, vloggers and bloggers may not all be doing the primary research or interviews for a piece, but are all responsible for accuracy of it.
				- <i>Reporters</i> do the primary fact finding, interviews, field work, etc. But by no means are reporters the only journalists. It's not a commutative property. If reporter then journalist. But not if journalist then reporter.
			- My own two cents. I'd love to reserve the term blogger for people who write about their own experiences, not for pay, the "unedited voice of a person." I think of bloggers as sources in the journalism world. 
		- Succession
			- <i>Spoilers ahead, you have been warned! </i>:boom:
			- I had been hearing good things about the HBO series <a href="https://en.wikipedia.org/wiki/Succession_(TV_series)">Succession</a> so I chose it for my next binge. I made it all the way to the next to last episode about an hour before the finale aired last night, but waited till the morning to watch it. I wasn't prepared for how disturbing it would be. I wasn't expecting it to be so. 
			- I think perhaps it was so disturbing because the Roy family reminds me of my own family. All the disconnects, vanity, foolish sense of self-importance. And the prohibition on every talking about it realistically. These were all big features of my upbringing. 
			- They really play with you. At times it's so funny, it seems like a comedy, but then, in the next episode, it knocks you down. That's what the finale was like. Complete knock down, with the tour de force in the very last scene. 
			- The best line delivered by the patriarch's latest wife to one of the adult children: "He built you a playground and you think it's the world." 
			- There's a lot of self-awareness in the last episode, but mostly they avoid living their own lives, all of them, including the all-powerful father. 
			- On reflection, the Roy family is not like my family, where the women fought, and the men, while they often roared, were mostly sidelined, not the main act. I guess when you participate in something so intensely for so many hours your subconscious starts accepting it as real. 
			- I have a hard time recommending Succession. It's very well done. But hard to watch at times, it's so awkward and the people are such fools. And it's very disturbing, that gives it value, at least for me. As art, it's outstanding. 
	- August 5
		- An interesting <a href="https://twitter.com/davewiner/status/1026172318341427200">thread</a> with Amy Bellinger on Twitter. People think somehow hate of whites on the net is innocuous, I don't believe it is.
		- Cut off the air supply
			- I can't believe people, esp journalists with lots of followers, still RT the troll, by pasting images, so even people who have the troll blocked are forced to see it. I unfollow them. Cut off the air supply of trolls. Do your part to save our democracy.
				- <img src="http://scripting.com/images/2018/08/05/charlieBrownFootball.png">
		- The Big Tent Party
			- I belong to the Big Tent Party. 
			- We stand for the American political system, universal suffrage, respect for the world, ourselves and the environment. 
			- From there we can argue about everything, inside the tent.
	- August 4
		- I rarely ask for a RT, but <a href="https://twitter.com/davewiner/status/1025430776714813441">this tweet</a> needs more circulation. <i>Thanks! </i>:rocket: 
		- "bingeworthy" had the Twitter login problem, it's fixed. 
		- I think it's time to start teaching regular people to do journalism. A civic thing, like jury duty. Every college grad should take a semester of journalism. It's a very important skill to at least appreciate, if not practice.
		- I definitely don't want to be part of the debate about whether <a href="https://www.google.com/search?q=define+racism">racism</a> can apply to white people. The dictionary <a href="https://www.google.com/search?q=define+racism">definition</a> seems to imply it can. <a href="https://www.google.com/search?q=define+sexism">Sexism</a>, on the other hand gives preference to women, but doesn't disallow sexism with men as the target. There's a lot of ridiculous gymnastics used to justify some pretty awful things said that should simply be retracted and apologized for.  One thing is very clear, it's possible to be <a href="https://www.google.com/search?q=define+abusive">abusive</a> without being either sexist or racist. And a lot of what passes for satire is imho abuse. We need a broad, simple, respectful, adult and professional code of conduct on Twitter, and we should have an amnesty for all past sins, and then set about solving problems working together, instead of having these ridiculous fights over who has the right to say what.
	- August 3
		- <a href="https://en.wikipedia.org/wiki/Tribalism">Tribalism</a> is good for sports not thought or policy.
		- The Trump things aren't rallies, they're concerts. Once you understand that, he's <a href="https://twitter.com/davewiner/status/1025430776714813441">easy to beat</a>.
		- It would be interesting, as an experiment, to see a Democrat run for governor or senator and directly ask for Republican votes. "We're really all conservatives now, in that we'd like to turn the clock back to when the US was a world leader and respected itself."
		- A quick <a href="https://www.youtube.com/watch?v=qgsMANmu9qo&feature=youtu.be">demo</a> of SAVED/NOT SAVED in LO2.
		- This is a <a href="http://scripting.com/code/testing/marquee/">test</a> to see if &lt;marquee> still works in this browser. 
		- <a href="https://twitter.com/davewiner/status/1025417736120426496">Poll</a>: How did you learn Facebook is down?
		- Little Outliner v1.8.0 testing
			- Good morning. The <a href="http://littleoutliner.com/testing/1.8.0/">new version</a> of LO2 is ready for testing.  
			- I've completed most of the features planned for this release, so it's a good time for people who'd like to help to start using the new version. I've made a backup of all the outlines, in case there are any data-losing bugs in the software. I don't think there are, because I've used it myself fairly thoroughly, and there aren't many changes to the core outliner in this release. 
			- If you encounter any problems or have questions, please post an item in <a href="https://github.com/scripting/Scripting-News/issues/91">this thread</a> on the Scripting News repo. 
			- Here's a quick list of the new stuff.
				- Hoisting. There are two new commands in the Outliner menu, Hoist and Dehoist, and two icons in the sidebar, the two pushpins. The commands and pushpins are enabled when the operations are possible. For example, you can only hoist if a headline has subs. You can only dehoist if something is hoisted. You can nest hoists. As far as I know there is no limit to the number of levels. 
				- The crumbtrail. At the top of the outline display is the crumb trail that leads back to the summit from the location of the bar cursor. You can click on any of the links to move the cursor back to that spot. The navigation undoes hoists if necessary. It's a good way to keep track of your context while you're focusing on a specific part of your outline.
				- The SAVED/NOT SAVED indicator. LO2 automatically saves your work. You can keep track of that by watching this indicator, just above the tabs, in the right margin. You may find it reassuring to know that your work is saved. <a href="https://www.youtube.com/watch?v=qgsMANmu9qo&feature=youtu.be">Demo</a>.
				- Integrated thesaurus. To start navigating the thesaurus, enter a word in a headline, click the suitcase icon and add a <i>type</i> attribute with the value word. Expand it the headline, and synonyms for the word, if any can be found, will fill in as subheads. Then you can expand any of its subheads to find synonyms. It is the basic functionality of the <a href="http://thesaurus.land/">thesaurus.land</a> application, integrated in LO2.
			- Known problems
				- There are problems with hoisting in readonly outlines. 
		- Conspiracy theories
			- My friend Stan Krute on Facebook wrote how astonished he is about conspiracy theories that real people believe in. I wrote a series of three comments, which I've included here, lightly edited.
				- My uncle, well educated, highly literate, creative, believed lots of conspiracy theories, and the people he hung out with did too. I believed a few myself when I was younger. So I have some familiarity with it. I think it’s a way of coping with the complexity and dishonesty of everything.
				- My parents too, when it came to Israel, had lots of what I considered irrational conspiracy like beliefs. Also very literate, highly educated, urban, liberal people.
				- Eventually as I grew older I got closer to the real power in the world, and understood that it’s just as confusing to the people at the top as it is to the people on the bottom.
	- August 2
		- Jim Carrey's <a href="https://twitter.com/JimCarrey/status/1024805472073699328">latest</a>.
		- "feedBase" was having the Twitter <a href="http://scripting.com/2018/06/22.html#a123436">logon problem</a>, fixed. The problem: <i>callbackfromtwitter</i> != <i>callbackFromTwitter</i>. Also I have to swing back around to feedBase, definitely some unfinished business there.   
		- A good open source identity system
			- I use Twitter as the identity system for my browser-based apps. To see how it works, log onto "Radio3", "MyWord", "Feedbase", "LO2" or "Little Card Editor". 
			- I like it, it works well, and takes a difficult problem off my plate. It takes a complicated problem and makes it relatively simple for me, as a developer.  
			- Here's how it works, at a very high level. I send you over there to log in, and in return I get your unique screenname and a bit of info about you (the stuff you put into your profile). And a few other bits, like when you created your Twitter account. 
			- An <a href="https://gist.github.com/scripting/71debfb607c8bbfd6b639b5bea9bed44">example</a> of the data that Twitter gives an app about a user (me).
			- I also get the ability to post in your name, but my software never uses that ability unless you specifically ask it to. For example, there's a tweet icon in LO2 that lets you send the text of the cursor headline to Twitter as a tweet. Nice functionality to have, but hardly mission-critical.
			- I'm concerned that at some point Twitter may decide not to allow this use. I would prefer if they tightened the restrictions on posting, maybe eliminate it, that would be okay. But I would have a problem if they canceled the service. 
			- Pretty sure nothing this simple exists in the open source world. I could be wrong. Either way this is something we should have, and it should be good. debugged, well burned-in. It would be nice if a public foundation ran the service, the way Twitter does. I know, keep dreaming. :boom:
		- Disqus ads are hated here
			- I really dislike complaining about free services. If you hate a service, my philosophy goes, just opt out. I've been on the other side of this, struggling to provide a free service to users who acted like they were paying huge money, long before there was any monetization of free services. I never want to be one of those people.  
			- But sometimes a service is very hard to opt out of, and they take advantage of that, by changing the service from tolerable to obscene. Disqus is now doing that, and it will be hard and/or painful, maybe impossible, for me to opt out.
			- Here's an <a href="http://this.how/feedBase/#comment-4017626921">example</a> of one of the pages. And a <a href="http://scripting.com/images/2018/08/02/disqusScreenShot.png">screen shot</a>. 
			- I've used Disqus for comments for many years, probably a decade, maybe more. I included their code in my pages, so users could comment on posts. I've even built support for products on Disqus. Some pages have a lot of comments with valuable information. Just turning off Disqus, a brute force way of opting out, would also remove those comments. And turning off Disqus is hard to do because I don't control the HTTP servers that host most of my content, and changing the HTML pages themselves is a sizeable task (understatement).
			- How we got here. The old Disqus was fairly innocuous. Of course they spied on the users, and then a few years ago they started including ads, but they were small and out of the way. Now the ads are huge, and getting bigger. They're more prominent than the comments. It's as if I were running ads on my sites, and the comments were clickbait to get you to look at the ads, like so many sites these days. Their ads make me look bad.
			- Of course I don't run ads on my pages. It's never been worth it to me. Those are their ads, paying them money, on my pages. They're changing the deal on pages that were published a long time ago, and are there just to maintain a record.
			- I could probably turn off the display for most of them without modifying any content, using CSS. I now wish I had a central set of styles every page included, but I wasn't so wise as to foresee the need. I have a conundrum. Every time I look at one of the pages with those huge ads on them, I think what a problem, I need to fix this, now.
			- And then I remember how impossible it is.
			- First step in fixing it, I guess, is documenting the problem. Done.
	- August 1
		- <a href="https://www.youtube.com/watch?v=YGNo11OD_RI">Video</a>: A demo of how the new version of "LO2" is coming along.
		- You can see in this <a href="http://scripting.com/images/2018/08/01/radio3List.png">image</a> when Facebook turned off the cross-posting API. It's a screen shot of "Radio3" -- the tool I use for linkblogging. It's amazing this has gotten almost no coverage in the press. It's like a tunnel under the Hudson was terminated, where FB is New Jersey and everything else is Manhattan (or vice versa, it doesn't matter). Only this <a href="https://techcrunch.com/2018/08/01/psa-cross-posting-tweets-to-facebook-no-longer-works-as-of-today/">TechCrunch story</a>. Update: And a <a href="https://www.programmableweb.com/news/facebook-breaks-twitter-feature-changing-its-api/2018/08/01">story</a> on ProgrammableWeb. 
		- A big downside of ceding economic leadership to China is that their norms of freedom will become the norms of the world. Once Google's search engine <a href="https://theintercept.com/2018/08/01/google-china-search-engine-censorship/">censors</a> access to the net in China, it's just a matter of time before they do it in the west too.
		- When I moved to California from Madison in 1979, I put together a <a href="http://scripting.com/misc/highFiles.pdf">brochure</a>, in a manner of speaking, about the work I had been doing on an integrated outliner and database that I build into the UCSD P-System running on top of CP/M on a Cromemco machine. I called the product <a href="http://scripting.com/misc/highFiles.pdf">HighFiles</a>, for high level file system. That's how I thought of it. We found a copy of this document in my mom's house back in February. Finally got around to scanning it. It's a time capsule. Some ideas I didn't think I had that early, and some absolute <a href="https://www.urbandictionary.com/define.php?term=shaking%20my%20head">SMH</a> things, which I'm now putting on the record. I was only 24 back in 1979. :boom:
		- I also uploaded the <a href="https://github.com/scripting/Scripting-News/blob/master/misc/highFiles.pdf">HighFiles PDF</a> to the Scripting News repo.
		- <a href="https://github.com/scripting/Scripting-News/issues/90">Interesting thread</a> on icons for hoisting and dehoisting. 
		- Monthly ritual complete. Posts for July, in OPML, <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2018/07.opml">archived</a>.
