- September 2018
	- September 30
		- The famous <a href="https://www.youtube.com/watch?v=ZQJ6yqQRAQs">Leo McGarry story</a> about the guy in the hole.
		- <a href="https://twitter.com/pwcdanica/status/1045393752427245568?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1045393752427245568&ref_url=https%3A%2F%2Fthehill.com%2Fhomenews%2Fstate-watch%2F408824-virginia-state-lawmaker-kavanaugh-should-be-disqualified-for-attacking">Danica Roem</a>: "If you’re being nominated for a nonpartisan position as a neutral arbiter on the Supreme Court, attacking the left, Democrats, the Clintons and the media in your opening statement while noting there will be reprisal for years to come is, well, disqualifying."
		- The Ruling Class, is one of the themes of this last week. A brief <a href="https://www.youtube.com/watch?v=LWdxezzDHKo">excerpt</a> from the <a href="https://en.wikipedia.org/wiki/The_Ruling_Class_(film)">movie</a> of 1972. 
		- Soup of abuse, part two
			- <i>I had written the <a href="http://scripting.com/2018/09/29/001342.html">piece</a> I published yesterday in many forms over many years, but yesterday's was the first I published. Here's another way to look at the same set of facts, from a piece I wrote earlier this month. </i>
			- Our online discussions always seem to miss the 900-pound gorilla in the middle of the room. The environment we were raised in was full of abuse of all kinds, lots of it impossible to get away from, because the abuse was at home. In those situations there was no escape. 
			- Even if there wasn't any abuse in the house you grew up in, that you were aware of, your classmates were dealing with it, your best friends, the people you chose as lovers. Or your parents did, or their parents. It's all a fog, because we're totally not allowed to talk about it. That might the worst part, you're forced to keep the secret for the people who are hurting you. 
			- This was the argument I had with my parents as I was growing up, why can't we talk about this, find a solution. I learned later through therapy and inference the horror show my parents grew up in. I've talked about it with my closest friends, and they've told me the stories of their families. Once, just once, my mother volunteered what happened between her and her parents, but after that, no more. She'd never talk about it. She didn't do anything wrong, she was a child,  she carried that burden for them through her whole life.
			- It really is the environment. And when we start talking about it that way who knows what happens, maybe it gets better, or maybe we find we can't live with each other. Or something else, totally unpredictable. 
	- September 29
		- The <a href="http://scripting.com/images/2018/09/29/libertyCartoon.png">illustration</a> of this moment in our civic life. 
		- I was happy to see this <a href="https://twitter.com/behindyourback/status/1045864179171766272">thread</a> on Twitter. And this <a href="https://twitter.com/AshleyJudd/status/1046156833487040512">post</a> from Ashley Judd. We're in this together, people of all genders. 
		- I wonder when the world is going to be fed up with us. Half of the US population feels like they've been screwed, and the funny thing is it's both halfs. And meanwhile we're the ones who are screwing everyone else. First we get them all going on <i>Let's Work Together to Solve Climate Change, </i>then we pull out of the group that we formed to do it. We make peace with Iran, bring everyone else along, and then we pull out. Meanwhile our currency makes us rich, everyone has to do all their international business using dollars. But we elect representatives who threaten to deliberately crash the dollar. Why? Who the fuck knows. I doubt if they know. How would you sleep at night if you were an Asian banker knowing that you had to trust this crazy country. We complain a lot, but have no idea what we do to others. That goes 1 million times over for the richest Americans. But even those struggling to get by, this is all being done in our name. If we wanted to stop it we could, we just need the will. 
		- The <a href="https://en.wikipedia.org/wiki/Tim_Berners-Lee">founder</a> of the web, writing about his new startup that intends to re-decentralize the web, posts his announcement, a <a href="https://medium.com/@timberners_lee/one-small-step-for-the-web-87f92217d085">web page</a> with a bit of text on it, in a VC-backed silo, to prove what? That he has a sense of humor? Is it <a href="https://twitter.com/davewiner/status/1046024987835019264">really</a> too hard for him to put up a page on a website? 
		- The soup of abuse
			- My father was an alcoholic. He was a mean personal alcoholic. I think he learned it from his father. My mother was my father's enabler. She also was a victim of sexual abuse as a child. Her father was her abuser. She learned to be the enabler from her mother, who she hated. Her mother knew what her father was doing and was okay with it. As my mother knew what my father was doing. 
			- My mother had a life, became a teacher and a school psychologist and ultimately a professor. I saw my mom in <a href="https://en.wikipedia.org/wiki/Christine_Blasey_Ford">Dr Ford</a>, the mother I wish had. My mother never told her story. She couldn't talk about it. Only once, in the middle of the night, she called me, and told me a tiny bit of the story. It was like a confession. Before and after she refused to talk about it. I hope she talked about it with her therapist, but I don't know if she did. I have reasons to think she didn't. 
			- I learned what happened by going to therapy myself, for eight years, in my forties. My personality formed as the inverse of my parents. They were the mold, I was the product. You could infer their abuse from my issues. I learned a lot about myself. I learned that it wasn't my fault that my childhood home wasn't like <a href="https://en.wikipedia.org/wiki/The_Adventures_of_Ozzie_and_Harriet">Ozzie and Harriet</a> or <a href="https://en.wikipedia.org/wiki/Leave_It_to_Beaver">Leave it to Beaver</a>. My mom often implied that it was my fault. Kids are amazing at absorbing the judgment of adults.
			- I mention this as we start to discuss abuse more openly in our society. What I've wanted to say, I've ached to say, is that it's not an extraordinary event, it's the context within which we exist. We talk about abuse as if it was exceptional, but it's so much more. It's like talking about the game of chess by talking about chess pieces. Or a soup by looking at the peas, tomatoes, carrots. There's a gestalt. And that is still unmentionable. The abuse forms us. It gives us our issues. It creates problems that we have to overcome, or not. We each are assigned roles to play as children, it's hard to break out of the part you're given. To really get started healing, we have to pop up a level and look at our environment. 
			- When I watched Kavanaugh this is what I saw. A person failing to maintain the pretense that he has had a wonderful life, when his life has been a horror show. He drinks to avoid looking. He is so much my father, I feel I know him, and while I loathed my father for most of my life, I eventually saw his struggle, one he never overcame, a child who was never accepted by his parents. It's no wonder he couldn't cope with being a father. Same with my mother. Again Dr Ford provided a perfect screen for me. She did what my mother never could do. My mother never got within 100 million miles of what Dr Ford did. She couldn't even talk about herself to her children, maybe not even to her therapist. She never made peace with her father and mother. And as a result never made peace with herself. She longed for love, for acceptance, for peace, she never attained it. 
			- I think we're on the cusp of a huge revolution in humanity. Living in a soup of abuse and having to pretend everything is perfect, that's the world we're coming from. It's the only world we've known. At least I learned to tell myself the truth. That's progress. Now maybe we can get to a place where it's common to tell each other our truth. Then evolution can take off in a huge way. 
		- It's a hopeful moment
			- I think this is the most hopeful moment in America since the election of 2016 and the initial revelations of #metoo. 
			- We're getting close to talking about the real stuff, as a society. We haven't gotten there yet, but the testimony of both Dr Ford and Judge Kavanaugh represent truths never spoken so publicly before. Not even on Oprah. And it happened in the United States Senate, on TV, for everyone to see, everywhere. 
			- So far we've only been talking about incidents, but abuse is more than that, it's the <i>context</i> for our civilization. It's what we never talk about, publicly, and very rarely privately.  But there it was, through both of them, not just Ford. They both spoke their truth. Ford was more direct, but Kavanaugh was just as revealing.
			- What he showed us is a last-ditch effort of a horror show he was trying to present as the pinnacle. He shouldn't worry about teaching at Harvard, coaching basketball or serving on the Supreme Court, he should worry about how he's going to tell the truth, not so much to us, but to himself. 
	- September 28
		- Like everyone else I've been bingeing on the Kavanaugh show, not on Netflix, but it should be. It's been an incredible story. If you need to catch up, I highly recommend <a href="https://www.nytimes.com/2018/09/28/podcasts/the-daily/christine-blasey-ford-brett-kavanaugh-hearing.html?rref=collection%2Fcolumn%2Fthe-daily&action=click&contentCollection=podcasts&region=stream&module=stream_unit&version=latest&contentPlacement=1&pgtype=collection">today's Daily</a> podcast. I was so exhausted last night I didn't watch any of the MSNBC shows. 
		- Four questions
			- 1. Can you imagine how Kavanaugh is blowing his top <a href="https://www.nbcnews.com/politics/congress/senate-judiciary-committee-postpones-kavanaugh-decision-friday-afternoon-n914676">right now</a>? 
			- 2. Who will play Kavanaugh on SNL tomorrow night?
			- 3. Do you wonder if they've invited Kavanaugh himself??
			- 4. What's the chance Kavanaugh withdraws before one week is up?
	- September 27
		- This <a href="http://scripting.com/images/2018/09/27/kavanaugh.png">picture</a> from today's hearing is practically biblical. 
		- <a href="https://twitter.com/davewiner/status/1045417207038189571">Poll</a>: Which Kavanaugh is your favorite?
		- <a href="https://twitter.com/davewiner/status/1045314231741140993">Poll</a>: Are you watching the Senate Judiciary Committee hearing?
	- September 26
		- <a href="http://scripting.com/images/2018/09/26/park.png">This</a>. Civic space, open to all, on the left. The most expensive real estate in the world, to the right. The net should look like this too.
		- Great bike ride today, might be the last summer-weather ride of 2018. It's 82 and humid. It's a fluke for it to be this warm on Sept 26. There's nothing like a good workout to improve the spirits. It's chemical. :rocket:
		- Continuing work on the new githubpub. One of the ideas I've been working towards is a similar kind of <a href="http://scripting.com/frontier/netScripting/web.html">hierarchy</a> in the repo as we had in the Frontier object database. I don't think it's practical to do the data gathering the website framework does as part of building a page. But there's a compromise, the idea of a default location. If I look for a template, for example, and don't find it in your database (i.e. repository), I then look in the system repo. It works. Not as cool as a completely hierarchic system, but two levels is better than one.
		- <a href="http://history.userland.com/">Here's a page</a> with a list of all the <a href="http://scripting.com/frontier/manual/chapter06.html">object databases</a> for userland.com websites, available for download. Many of the sites are still running, thanks to <a href="https://twitter.com/jsavin">Jake Savin</a>. I want to be sure that in the future as much of what we created at UserLand is preserved. You need a copy of Frontier or the <a href="http://home.opml.org/">OPML Editor</a> to read these files. 
		- Twitter and Facebook turned us all into attention junkies. Before that, blogging. Before that, I have no recollection of life before that. :boom:
	- September 25
		- I like what happened with Better Call Saul last night. A real <a href="http://scripting.com/images/2018/09/25/kimSpoiler.png">curveball</a>. The creation story of Saul Goodman took a surprising and sexy/interesting turn. I wish there were a <a href="http://spoilers.io/">site</a> where I could write all about it. 
		- <a href="https://www.nytimes.com/2018/09/25/us/politics/on-politics-jerry-brown-democrats.html">Jerry Brown</a>: “We are sleepwalking in a very dangerous era, when split-second decisions can kill hundreds of millions of people and people don’t seem to give a damn — or even know about it.”
		- A tragic <a href="http://www.nydailynews.com/sports/basketball/knicks/ny-sports-fizdale-noah-porzingis-20180925-story.html">situation</a>, the <a href="http://scripting.com/images/2018/09/25/noah.png">picture</a> captures it perfectly. Noah's career is disintegrating. He could probably play again if he gave the Knicks a discount on what's left in his contract. For now they can blame it on the <a href="https://nypost.com/2018/02/03/the-phil-jackson-era-isnt-over-until-his-biggest-stink-bomb-is-gone/">old management</a>. If it were only about money he'd be smiling. 😢 
		- <a href="https://twitter.com/davewiner/status/1044636427928174592">Poll</a>: Why do you tweet?
		- Young men who are virgins always lie about their virginity.
		- <a href="https://www.youtube.com/watch?v=OjPYmEZxACM">John Oliver</a> may have written the epitaph of Facebook. Most of what you read on Facebook is bullshit. So maybe connecting with all those people just creates new ways for bullshit to flow and aggregate, leading to some really awful stuff happening, as we have seen. If you're short on time, skip to the end and watch their honest commercial for Facebook. It's really good, funny, and thought provoking. 
		- A rare occasion <a href="https://www.youtube.com/watch?v=PfoRDgJPCAg">Trump comes off</a> as a human being. 
		- Facebook <i>is</i> bullshit
			- <a href="http://scripting.com/2018/09/25.html#a151130">John Oliver</a> is right about Facebook. And the thing is we knew it would be, because we came from there. There was always a bunch of bullshit on mail lists, that's why we found new ways to collaborate, in the primeval days of the web.
			- We built Web 2.0 on those ideas, but then SV decided to scale it and centralize it, and people liked it, because they believed it was a human experience. Why not? It <i>seemed</i> like one.
			- The human mind has an incredible ability to abstract. Once convinced it's a real conversation, it doesn't give that idea up easily. (Understatement.)
			- That's why Facebook has become such a disaster.
			- And why Jack is still wondering why conversation doesn't happen on Twitter.
			- We've incorrectly abstracted this as a human experience. It is not. Evolution did not prepare us for this. Yet here we are.
	- September 24
		- I've got the serving-from-GitHub part <a href="http://englishblog1.scripting.com/posts/2018/09/24/154357.md">working</a> now. Lots of loose ends. And this <a href="http://englishblog1.scripting.com/posts/2018/09/22/174921.md">link</a> may only work for a few days. But it's progress. Also here are my worknotes for today.
		- I get it. News doesn't care who the news favors. You got a scoop, you run with it, let the chips fall where they may. But.. that applies to current events. Things that happen today or yesterday, or a few days ago. Remember the word <i>news</i> comes from <a href="http://thesaurus.land/?word=new">new</a> which means something that just happened. Another requirement of news is that it be unusual. As they say, a plane landing on time might be new, but it isn't news. A plane crash, that would be news, if it happened recently. So if you report something that happened 1.5 years ago, and is as unremarkable as a plane landing on time, and it results in news being made, and your sources being gleefully ecstatic, that's not news, that's <a href="https://duckduckgo.com/?q=define+cronyism&t=h_&ia=definition">cronyism</a>, and you're indicted for no longer being about news. I've had this concern about the NY Times for quite a few years, since they were instrumental in providing the false justification for the war in Iraq. Then there were Hillary's emails. Thanks for that. And the anonymous op-ed. And then the bullshit report about Rod Rosenstein saying 1.5 years ago something <i>we want him to say,</i> like how do we dig out of this hole we're in? I don't know what to do about the NYT. I'd like to hear what they say about this. So far no reporter has asked them why they chose to run the story on Friday that's resulting in Rod Rosenstein's <a href="https://twitter.com/davewiner/status/1044239074851254272">resignation</a> <a href="http://nymag.com/daily/intelligencer/2018/09/rosenstein-resignation-would-be-disaster-for-the-rule-of-law.html">today</a>. And now what happens? Do you have any regrets NYT?
	- September 23
		- I want a user-owned browser. One that's free of the tech industry. Chrome was good when Firefox got slow and unfocused. And Firefox was good when MSIE was malware-infested and stagnant. But none of them were or are user-driven. We can't have a healthy web w/o a good browser.
		- I assumed the backlog on the <a href="https://3.tesla.com/model3/">Tesla Model 3</a> was longer than 4 weeks. 
		- The <a href="https://www.wonkette.com/new-york-times-just-handed-trump-rod-rosensteins-head-on-a-stick-so-thats-awesome-2606855001.amp.html">NYT report</a> on Rosenstein is as disturbing as Comey’s October surprise in 2016 re Hillary’s <a href="http://scripting.com/images/2018/09/02/butHerEmailsBig.png">emails</a>.
		- I don't see the point of polling for ordinary people. I get why political consultants and candidates would care. Even donors. But why should a voter care? I can't imagine ever making a decision on who to vote for based on poll results.
		- Lifestyle real estate
			- Suppose you could live in any time zone, as long as there was a major airport nearby, and you had certain requirements about weather, nearby universities, quality of bike riding, places to eat, real estate prices, or climate, even legal cannabis, politics (I can't live in a mostly-Republican place, I've tried).
			- The consultant would have a good idea about the markets in each geography, and was pretty good at listening. The things that make a good real estate agent, but without being tied to specific geography.
			- With the advent of a global network, where you park yourself in physical space is more a matter of preference, it might not limit you in terms of employment.
			- I imagine totally virtual companies might even provide this kind of service to their most valued people. "I feel like living in the mountains for few years, starting in August, make it so."
	- September 22
		- It would be great if we could make voting a party, a celebration, something to look forward to, not something you have to make time for. That would probably do more to improve the lives of all Americans than any other single thing. It's like the SuperBowl, the NBA Finals, Coachella or the Oscars, only better -- because <i>we</i> are the stars. 
		- I've got <a href="http://yaml.org/">YAML</a> working with my <a href="http://scripting.com/2018/09/17/145629.html">GitHub as CMS</a> <a href="http://scripting.com/2018/09/10/161928.html">experiment</a>. Here's an <a href="https://github.com/scripting/myEnglishBlog/blob/master/blog/posts/2018/09/22/174921.md">example</a> of a post so you can see what it looks like. This is exactly equivalent to using JSON, my server converts back and forth between YAML and JSON, so my app only ever sees the JSON. Every time I have to teach my software a new text-to-binary format, I shake my fist at a cloud and curse humanity. Some kid is going to come along in five years and not like YAML and there will be ZML or JDAUGHTER or whatever. Will they all do the same thing? Yes of course they will. 
		- <a href="https://gist.github.com/scripting/6d97390fe1f7a03567d96eb4776c82f8">JavaScript code</a> that converts between YAML and JSON using <a href="https://github.com/nodeca/js-yaml">js-yaml</a>.
		- I'm rolling through <a href="https://en.wikipedia.org/wiki/Maniac_(miniseries)">Maniac</a> on Netflix and loving it. Jonah Hill, Emma Stone, Justin Theroux, Sally Field. Hill and Stone are incredible together. It's a bit of everything, The Matrix, Inception, Big Lebowski, Cloud Atlas, so many other things. I'm just starting episode 7 and rationing it. I don't want it to be over. It's the best thing in a long time.  Update: Other movies it borrows from -- <a href="https://en.wikipedia.org/wiki/Eternal_Sunshine_of_the_Spotless_Mind">Eternal Sunshine of the Spotless Mind</a>, Borat and The Graduate. Also Good Will Hunting. Best line: Gas up the Miata!
	- September 21
		- At some point journalism has to look at the motives of journalists, because it’s material. What process led the NYT to run its <a href="https://www.memeorandum.com/180921/p69#a180921p69">piece</a> today? It looks like <a href="https://en.wikipedia.org/wiki/Access_journalism">access journalism</a>. Was it? Did they consider the consequences? It looks fake, btw. Was it? It feels like they sold us out, as they have been doing <a href="http://scripting.com/images/2018/09/02/butHerEmailsBig.png">starting</a> with <a href="https://en.wikipedia.org/wiki/Hillary_Clinton_email_controversy">Hillary's emails</a> (actually before that, in the <a href="https://observer.com/2015/04/judith-miller-carried-water-for-the-usas-worst-debacle-since-vietnam/">buildup</a> to the Iraq War).
		- This song, <a href="https://www.youtube.com/watch?v=U594N3AottE">Africans</a> by Peter Tosh, is always in my mind. 
		- Wishlist item: I wish it were possible to write a driver for GitHub that would teach it how to display formats it doesn't know about, like "OPML" and "RSS". I write my development notes in OPML, and would like to have them be directly readable in GitHub. OPML has been stable for 18 years and RSS for 16. I think it would be safe to support them now. And this raises a question, can there be a process for vetting the code and adding it to the native capabilities of GitHub? I think most of the expertise in these formats exists outside their company. Are we ready for this kind of collaboration?
	- September 20
		- Progress on my GitHub-as-CMS-database work. The concept it simple. Internet storage is a problem, there aren't many places to do it, where there are also interactive interfaces, and where you can store small amounts of stuff, personal stuff, for free, that has a chance of persisting into the future. Why do we need storage? When I want to write something, I need a place to store it. The stuff that the rendering for my blog is build from. All CMSes raise this question. There was an aha moment when I realized that GitHub's basic data structure, the repository, is similar to the basic data structure of Frontier, the object database. I wondered if some of the techniques we used for managing data in Frontier, the work that led to blogging, feed reading, podcasting, etc -- could work in GitHub. There are a lot of patterns that worked there, that might work here. I haven't gotten an answer yet, but I am learning, and getting data for more thought. 
		- I watched the 8-episode <a href="https://en.wikipedia.org/wiki/Forever_(2018_TV_series)">Forever</a> series on Amazon. I really liked it, totally worth watching. It's a love story, but anything beyond that would be a spoiler. Episode 6 is the oddball, it's totally standalone, you can watch it first if you want, it won't spoil anything. The two characters don't appear in any of the other episodes. It's an artistic flourish you see in shows like Breaking Bad or Better Call Saul, and in this case while the rest of the series is excellent, episode 6 is killer. 
		- Please <a href="https://secure.actblue.com/donate/scripting">give $25 or more</a> to the Democratic nominee for <a href="https://en.wikipedia.org/wiki/Susan_Collins">Susan Collins</a>' senate seat in 2020. No strings attached. The money goes to the candidate whether or not Collins votes for Kavanaugh. Help spread the word. :rocket:
		- Today's <a href="https://www.nytimes.com/2018/09/20/podcasts/the-daily/kavanaugh-christine-blasey-ford-caitlin-flanagan-sexual-assault.html">Daily podcast</a> is a must-listen. It's an interview with a woman who was sexually assaulted in high school. She talks about how depressed and suicidal she was after, but got relief when the assailant apologized in writing and in person. Being able to forgive is a vastly different situation from an attacker who denies. Provides a new perspective (for me) on the situation with Kavanaugh. 
		- Saving the web and saving democracy are related projects.
		- <a href="https://twitter.com/davewiner/status/1042787973354414082">Poll</a>: Will we, in the next 10 or 20 years, talk about "the former United States" in the same way we talk about the <a href="https://en.wikipedia.org/wiki/Post-Soviet_states">former</a> Soviet Union?
	- September 19
		- It happens. Sometimes I stumble across an app that I obviously wrote, but can't remember doing, or even how it works. Such is the case for this <a href="http://dev.opml.org/json/">OPML to JSON</a> converter app. 
		- A <a href="http://scripting.com/2018/09/19/itMightNotBeHuman.m4a">message</a> from a human being. When someone is attacked online, don't assume there are actual people doing the attacking. By now we should all be aware of Russian strategies for making us hate each other. And no doubt others have learned the craft. This story is as old as the net. <i>3 minutes.</i> 
		- Times are a changin
			- I remember hearing on the NYT Daily podcast a couple of weeks ago that the Kavanaugh confirmation was locked in. Not even the slightest doubt. I objected, you never know what can happen. A sports fan would <i>never</i> say something like that.
			- What's changing now is much bigger than one Supreme Court nomination, and I'm very aware of how significant one seat there is, esp this seat. 
			- We're at peak Republican power, if the rest of us do it right. Repubs have optimized the flaws in the Constitution to enable the maximum concentration of wealth. PCs were instrumental, esp in gerrymandering. But the net works against the Repubs, because now people can organize, if we resist the automated methods that keep us disorganized.
			- Now is a good time, a very good time, for the people to make their presence felt by the few senators needed to set back the Republican march. They just need to know we see them in this moment and are taking careful notes on what they do, right now.
			- And while you're watching the Senators, ignore the trolls. They are here to slow you down. Don't let them slow you down.
	- September 18
		- Why is our software so bloated? The problem is that when we get a consensus platform, so we can all focus our energies on optimizing, instead another platform gets invented, so we have to spread our resources paddling hard just to stay in place. It takes years and years to go from prototype to a well-oiled machine. In cars, how many years were there between Ford's Model A and Model T? What were they doing? Gratuitously changing indenting styles? Creating more hacks to try to solve callback hell by introducing fresh new hells? Or writing your docs in some arcane syntax built on top of the language everyone uses? We have 10000 times too many programmers for what we're getting done. Create limits. There are only so many MLB or NBA players. If there were fewer programmers we'd have to stop reinventing and try to be efficient. There's a math to this I'm sure of it.
		- It's not well known that <a href="http://www.aaronsw.com/">Aaron Swartz</a> made a contribution to RSS 2.0, wrt the &lt;cloud> element. We were initially only supporting XML-RPC and SOAP protocols, but <a href="https://en.wikipedia.org/wiki/Aaron_Swartz">Aaron</a> suggested also supporting HTTP-POST. It was a good idea, and it came during the comment period for RSS 2.0, so it was possible to add it, so I did. 
		- <a href="https://twitter.com/davewiner/status/1042053246599217155">Poll</a>: Will Kavanaugh ultimately be confirmed? 
		- My own opinion. Kavanaugh will not be confirmed. I expect <a href="https://en.wikipedia.org/wiki/Christine_Blasey_Ford">Christine Ford</a> to be a compelling witness. Reporters will interview <a href="https://www.vox.com/policy-and-politics/2018/9/17/17870642/mark-judge-brett-kavanaugh-friend-christine-ford">classmates</a> of hers and of Kavanaugh's. Some Repubs on the <a href="https://www.judiciary.senate.gov/">Judiciary Committee</a> understand enough about the issue to be far more <a href="https://www.motherjones.com/politics/2018/09/lindsey-graham-kavanaughs-christine-ford-accusations/">sensitive</a> than they were with <a href="https://en.wikipedia.org/wiki/Anita_Hill">Anita Hill</a>. But <a href="https://nypost.com/2018/09/17/orrin-hatch-says-kavanaugh-accuser-may-be-mixed-up/">some</a> will not, and this will spark rage at Republicans including from within their own base. A lot of <a href="https://www.thenation.com/article/the-reasons-why-white-women-vote-republican-and-what-to-do-about-it/">women</a> vote Republican. There's a decent chance a handful of Repub senators will quit the party, or even become Democrats. As I said <a href="http://scripting.com/2018/09/17.html#a030123">yesterday</a>, governing has become a burden for the Repubs. They know how to bully, they know how to <a href="https://en.wikipedia.org/wiki/Merrick_Garland">obstruct</a>, but this is far more complex. They won't be able to hold their coalition together. Think of it as an intra-party wedge issue for the Repubs.
	- September 17
		- It's been a long time since the Repubs were playing something other than the bully or obstructionist. Now the politics gets more complicated. This might be the moment when Repubs switch parties. The stars are lining up for that.
		- RSS was successful not because of the efforts of people on mail lists debating the merits of various formats. It happened because Netscape seeded the market with a few <a href="http://scripting.com/davenet/1999/10/27/salonherringwiredfoolcom.html">popular feeds</a>. Blogging software supported the format, so all blogs had feeds. Then software developed that made it easy to use the feeds, and finally the mother of all news pubs, the NYT, jumped in and everyone else followed. With the benefit of hindsight, the mail list people thought was so important, wasn't. 
		- There's a reality distortion field around mail lists. You feel you have arrived at The Place where all decisions are made. Yet when you decide something then what next? Who wants to tell the subjects they have to change? ;-)
		- File-level metadata in Markdown?
			- I wonder if anyone's thought about a way to add file-level metadata to a Markdown document. This just came up in a project I'm working on, but it's not the first time I've encountered it. 
			- In Frontier's <a href="http://scripting.com/frontier/netScripting/web.html">website framework</a>, we used a # to delimit a value, something like: 
				- #title "My Test Page" 
			- We borrowed the idea from C on Unix in the 70s:
				- #include "mymacros.h"
			- We have the same thing in HTML and OPML, in the &lt;head> section:
				- &lt;title>My Test Page&lt;/title>
			- The directives are not part of the rendering. You don't see them when you read the document. But the values are available to software processing the document.
			- It seems since we're in <i>The Age of JSON, </i>something in JSON, delimited by a # might be appropriate? 
				- #metadata = {
					- title: "Hello World",
					- tags: ["fun", "wisdom", "greetings"]
					- }
			- I started a <a href="https://github.com/scripting/Scripting-News/issues/95">thread</a> on this on the Scripting News repo.
	- September 16
		- <a href="https://twitter.com/davewiner/status/1041479434614792193">Poll</a>: Will <a href="https://www.axios.com/time-magazine-marc-benioff-salesforce-2e51eb0d-9abc-4023-afc1-56951936de0d.html">Benioff</a> lead a revival of TIME or will it continue its slide? 
		- Main thing wrong with journalism: too scared of pissing off Repubs.
		- If Trump can't deliver a Supreme Court confirmation, what good is he to the Repubs?
		- Google dismantles the web, cont'd
			- We're a few weeks into the new version of Chrome with its "not secure" label for sites such as "Scripting News". As I've said many times in this discussion, I'm just one person here, I like to tinker, but I'm doing other things in my life these days that right now are taking more of my attention. 
			- With limited time for playing with my web stuff, I can't consider using that time to jump through the hoops of random huge companies. They'll keep coming up with more and bigger hoops. Even if I do what they want now, at some point I won't be able to keep up. Ultimately, I'm just a statistic, some percentage of web traffic, a very small percentage. Net-net: I don't care about them, and they don't care about me. Cool. 
			- It's pretty clear they're going to whittle away at the web. AMP and Let's Encrypt, next up they're going after <a href="https://www.thurrott.com/cloud/172768/google-wants-to-kill-urls-in-chrome">URLs</a>. It doesn't make sense. Why not just jump straight ahead to the simple safe thing they have in mind. When they're done, it won't be the web. Certainly in their internal debates <i>someone</i> must be saying this. If you don't like the person you're married to, instead of trying to change them, marry someone you like better. 
			- Another idea, Google could buy AOL from Verizon. I bet they'd sell it cheap! :boom:
			- PS: Something like this happened with Apple and podcasting. They offered to promote my product, but I'd have to convert it to <a href="https://en.wikipedia.org/wiki/IOS">iOS</a> first. I thought it works perfectly well as a web app. So I said no. I'm sure it would have been fun to be featured by Apple, but I've been on that trip before, and I don't like how it <a href="https://www.brainyquote.com/quotes/unknown_133991">ends</a>. 
			- PPS: A quote from <a href="http://scripting.com/2005/01/19.html#When:12:26:30PM">2005</a>: "BTW, the bigco's will whisper sweet nothings into the ears of their 'third parties' but as they're doing it, you're being guided into the trunk of the car, while they ride up front. The clicking sound you hear is the lock engaging. The whooshing sound is the <a href="https://www.deseretnews.com/article/676103/Microsoft-executive-denies-threat-to-cut-off-air-supply.html">air supply</a> being cut off." 
	- September 15
		- <a href="https://www.youtube.com/watch?v=idgNXo8w2Vk">Statement by Manafort's lawyer</a>: It's a tough day for Mr Manafort but he's accepted responsibility and he wanted to make sure that his family was able to remain safe and live a good life. He's accepted responsibility and this is for conduct that dates back many years, and everybody should remember that. 
		- The conversion of <a href="https://www.memeorandum.com/180915/p20#a180915p20">Manafort</a> from enemy agent to FBI asset makes me proud to be American. We have a Russian tool as president, his party is thoroughly infested and in control of Congress. It feels like America might still win this one, and if so it'll be because of that corny stuff Superman used to talk about, Truth, Justice and the American Way. Ingenuity and persistence and the conviction that we're right. If we emerge with our pride intact, we better work on rules that keep enemy agents from occupying our government. BTW, if you haven't watched <a href="https://www.activemeasures.com/">Active Measures</a>, please do. It's like three months of Maddow in one sitting. 
		- Do any pubs, such as plan on a status center to track hacking leading up to the November election? Someone should own this reporting. Let's not wake up in mid-October having not prepared at least somewhat for this.
		- I voted for the establishment Democrats in Thursday's primary in NY. It's time to close ranks and present strong opposition to the Republicans. I expect to do the same in the November election. As Obama says "Better is good."
		- More restoration work on userland.com websites. Came across this <a href="http://my.userland.com/stories/storyReader$11">post</a> from 6/15/99 about ScriptingNews 2.0b1 format that predates RSS.
		- I injured my right shoulder 25 years ago in a skiing accident, it was worth it, I was in top shape and showing off, and crashed spectacularly. I could have had it fixed with <a href="https://en.wikipedia.org/wiki/Arthroscopy">arthroscopic surgery</a>, but opted not to. The cost, every so often my shoulder goes lame and is extremely painful. It's always (so far) been solved with rest and patience. I think I must have hurt it when I took <a href="http://scripting.com/2018/08/30.html#a021556">the fall</a> a couple of weeks ago, which otherwise appears to be healed. So it's been hard to sleep. Luckily there's a new season of <a href="http://scripting.com/2015/08/30/whyYouMustWatchBojackHorseman.html">Bojack Horseman</a> to feast on. It's made the pain of my shoulder disability a lot easier to bear.
	- September 14
		- Hot tub spas should be as prevalent as Starbucks. Three to choose from any block in Manhattan. The idea that humans can't immerse their bodies in warm water as readily as they can buy stimulant is barbaric. How much happier the world would be if soaks were commonplace.
		- I'm doing restoration work on a bunch of old UserLand websites. I just came across this <a href="http://legacystatic1.userland.com/snImages/weblogEditorScreenShot.gif">screen shot</a> of the weblog editor that was built into our first RSS aggregator, my.userland.com, in July 1999. I sort of remember it. It was super lightweight. It shipped, but we never really promoted it. It was way simpler than Manila. Things would have come out differently if we bet on this one instead. I often wait and do more powerful software when simpler stuff might work better. 
		- <a href="https://www.vox.com/policy-and-politics/2018/9/14/17860198/paul-manafort-plea-deal-robert-mueller">Manafort flipped</a>. Occam's News says we will soon know all about the conduit between the political operations of the Trump campaign and the Kremlin. That's obviously the role Manafort played. 
		- On Tuesday I posted a <a href="https://github.com/scripting/Scripting-News/issues/94">braintrust query</a> re how to get a list of all the files in a repo using GitHub's tree API. Last night I got some useful <a href="https://github.com/scripting/Scripting-News/issues/94#issuecomment-421224349">answers</a>, and I can pick up the project. Will report back. 
	- September 13
		- I <a href="http://scripting.com/images/2018/09/13/daveVotedBig.png">voted</a> today and I'm going to vote in November too. :boom:
		- <a href="https://twitter.com/davewiner/status/1039933430446866434">Saving</a> the web and saving democracy are related projects.
		- Not sincere: Writing about decentralizing the web in a Medium post.
		- Trump Trump Trump
			- This morning everyone on Twitter is talking about Trump. Nothing unusual about that. As they say it's a day whose name ends in Y.
			- I'm reminded that in the movie <a href="https://en.wikipedia.org/wiki/Sleeper_(1973_film)">Sleeper</a> we <a href="https://www.youtube.com/watch?v=D2fYguIX17Q&feature=youtu.be&t=2m10s">learn</a> that the US was destroyed when a man named <a href="https://en.wikipedia.org/wiki/Albert_Shanker">Albert Shanker</a> got hold of a nuclear warhead. People my age from NYC <a href="http://boatagainstthecurrent.blogspot.com/2013/09/movie-quote-of-day-sleeper-on-havoc.html">know</a> who he is. Amazingly, the movie was almost right. Trump and Shanker are historically similar NYC-famous characters. 
			- I met Shanker once, when I was a high school student leading anti-war protests in the Bronx. He said nothing. We were so impressed we decided to join up with them. Later they threw our naïve young asses under the bus. Lesson learned about power. 
	- September 12
		- Short Twitter <a href="https://twitter.com/davewiner/status/1039933430446866434">thread</a>. 1. Saving the web and saving democracy are related projects. 2. I guess why save democracy has a simpler explanation than why save the web. 3. The founders would have understood it. Every colonial town had a commons. The web is that for us in 2018.
		- One idea pundits and politicos have trouble with is the difference between voters and parties. When <a href="https://en.wikipedia.org/wiki/Susan_Collins">Susan Collins</a> blames Democrats for the campaign against her, she's missing that it's voters doing it, not the other party. A big difference. It's like fighting the <a href="https://en.wikipedia.org/wiki/Viet_Cong">Viet Cong</a> when you think you're fighting the army of North Vietnam. It's what they call an <a href="https://en.wikipedia.org/wiki/Asymmetric_warfare">asymmetric war</a>. The people can probably bring down one senator if we really focus on it. We should do just that to open the eyes of the press and the politicos.
		- Maine needs a new senator
			- I just <a href="https://secure.actblue.com/donate/scripting">gave</a> $100 to the Democratic nominee for Susan Collins' senate seat in 2020. No strings attached. The money goes to the candidate whether or not Collins votes for Kavanaugh. That's the topline message. Here are the bullet points. 
				- I think Collins has a <a href="https://www.vox.com/policy-and-politics/2018/9/12/17850180/susan-collins-crowdpac-kavanaugh-bribe-newsmax">point</a> that giving conditionally based on her Kavanaugh vote amounts to bribery. But she shouldn't campaign against that, because this is a grass roots effort, not a Democratic Party effort. They're people who feel so strongly about the Kavanaugh nomination that they're willing to put down money for her opponent, <i>sight unseen.</i> That should tell her something.
				- Collins is playing an awful game. If she's going to vote against Kavanaugh it's way past time to say so. By dangling this out there, she's getting more attention. I don't know why she wants that. It's not a good kind of attention, imho.
				- I am not a Democrat, in fact until 2004 I voted Republican. I switched when our response to the 9/11 attack was basically to sacrifice huge numbers of Iraqi, Afghani and American lives in order to transfer huge wealth from the US Treasury to Dick Cheney and his friends in the defense industry. I'm sick and tired of the country being run for the benefit of a few very very rich Republicans. 
				- Susan Collins could be really smart, and <i>switch parties,</i> vote against Kavanaugh, claim all the money in the jackpot, and cruise to re-election in 2020. Or she could remain a Republican, choose not to run in 2020, and do the right thing for the country and for Maine and vote against Kavanaugh. Send the nomination back to the president on the same basis that the Senate rejected <a href="https://en.wikipedia.org/wiki/Merrick_Garland#Supreme_Court_nomination">Merrick Garland</a> in 2016. Let the new Senate ratify, this already is a lame duck Senate. 
			- To everyone else, give unconditionally. No matter what Collins does, it's time for a Democrat in her seat starting in 2020. Give to the <a href="https://secure.actblue.com/donate/scripting">Democratic candidate</a> for the Collins seat in the 2020 election. 
		- Suggestion for Font Awesome
			- I've been messaging with Dave Gandy, the founder of Font Awesome, a product that I love in so many ways. It's such a nice and useful piece of software. Seriously.
			- Anyway, they just came out with version 5. I know this because I went to look up some icons, and do it the way I always do it:
				- Go to Google.
				- Type <i>font awesome icons</i> return.
				- First item in the list points to the icons.
				- Click the <a href="https://fontawesome.com/v4.7.0/icons/">link</a>.
			- This gets me to the page for the previous version. Not version 5, version 4. I know there's a version 5 because a popup informs me of this. Confusion. Which version do I want. I just want to look at the icons.
			- Obviously it takes a while for the search crawler to discover the new version. 
			- In the meantime, confusion.
			- I suggest having a canonical page that always shows the latest icons. Maintain the previous pages as archives as the new versions roll through. But the versionless page always has the current stuff. 
	- September 11
		- <a href="http://scripting.com/2001/09/11.html">Scripting News archive for 9/11/2001</a>. Start at the bottom and scroll up. It began as a normal day, and then... BTW, this is one of a few thousand days I've been blogging at this location. We still have no plan for how this archive will persist, nor the archive for your blog. Think about that when you click on all the broken links from that day. 
		- Braintrust query: <a href="https://github.com/scripting/Scripting-News/issues/94">GitHub API questions</a>. How to find the root of a repo for the tree api, and are the content and tree APIs deprecated as of Oct 1? 
		- JavaScript <a href="https://gist.github.com/scripting/c34f50f2c8e6b995f4f5c71da30bc44f#file-repocontents-js">sample code</a> to get the directory of a GitHub repo. 
		- Minor epiphany. A GitHub repository is very much like a Frontier object database. Makes me think #variables might make sense here, esp if you're using the repo to store a website. The <a href="http://scripting.com/frontier/netScripting/web.html">Website Framework</a> comes to the Unix world in a surprising way? Hmm.
		- For a while I was thinking riding season was over in NYC, but then the weather got a bit warmer, and I couldn't resist. It had been a few days. I wanted to get back on my wheels. I got rained on, but no problem, I was dressed for it. And nothing beats the feeling after a good bike workout. The endorphins are singing their feel-good reward. Lal la la Dave did good, they seem to be saying. And in my mind I think there must be a way to get this feeling in the winter too. 
		- Should j-schools have a course in civic writing for non-journalism majors? Kind of like basic writing taught in English departments, but for public writing? I bet Thomas Jefferson would’ve gone for it.
		- A question all tech companies should be prepared to answer and users should be asking. What's the plan for when your company goes away. What will become of what I created here? I am sure none of the companies we pour our lives into have any kind of plan.
		- Our number one post 9/11 failure — selfishness. A failure of ours to see how interdependent we are. We don’t live on a frontier. Without each other we would all perish.
		- Crowdpac  is running a compelling <a href="https://www.crowdpac.com/campaigns/387413/either-sen-collins-votes-no-on-kavanaugh-or-we-fund-her-future-opponent?ref_code=carousel">campaign</a> to convince Senator Collins to do the right thing re Kavanaugh, and I would donate if I had more of an <a href="https://www.crunchbase.com/organization/crowdpac">idea</a> about who Crowdpac is and if they can be trusted. Also we need two Republican votes, and all the Democratic votes to send Kavanaugh back to the appellate court. Where is the campaign for the second Repub, and the campaign to be sure no Dems defect?
		- Now that Twitter is somewhat algorithmic, it's got the same problem as Facebook. I see the <a href="http://scripting.com/images/2018/09/11/bojack.png">same tweet</a> every time I visit. 19 hours after posting. I must have seen it a dozen times. It wasn't funny the first time. 
	- September 10
		- Oy. When I wasn't paying attention it seems that <i>possibly</i> <a href="https://developer.github.com/changes/2018-04-25-github-services-deprecation/">GitHub deprecated</a> the API I'm using. I'm really not sure. The calls I make are all in the Contents part of the REST API. Maybe these are not the ones that are deprecated. I sure hope not. 
		- Video: <a href="https://www.youtube.com/watch?v=ZkFUU-xJM6I">Jim Carrey on Bill Maher</a>. 
		- The seasons are changing, so it was time for a new header image. The old one was of the <a href="http://scripting.com/images/2018/06/26/sheepMeadowHeader.png">Sheep Meadow</a> in Central Park and the skyline of <a href="https://en.wikipedia.org/wiki/Central_Park_West_Historic_District">CPW</a> taken on a super hot <a href="http://scripting.com/2018/06/26.html">June day</a>. The new image is of <a href="http://scripting.com/images/2018/09/10/naomiOsaka.png">Naomi Osaka</a>, a sports <a href="https://en.wikipedia.org/wiki/Naomi_Osaka">hero</a> with a <a href="https://www.nytimes.com/2018/09/09/sports/serena-osaka-us-open-penalty.html">story</a>. 
		- Big idea from <a href="https://www.youtube.com/watch?v=RRWsKMjASQ0">Obama's speech</a>. Better is good. This could be the US motto, as much as E Pluribus Unum, which is a similar idea. In a country that is the amalgamation of free people, no one ever achieves everything they want. But better <i>is</i> good.
		- I find these animated GIF shots of NYC intersections captivating.  
		- Journalism is eventually going to form something like the NBA or StubHub, a central organization that manages the aggregate of all their businesses, yet allows each to pursue independent strategies. The analogy. I can watch the Mets play in San Francisco. The Mets are paid, as are the Giants paid when they play in New York. I want to read a story on the New Yorker website today. Tomorrow I'll want to read something on Mother Jones or NY Mag. I can't possibly, as a reader, have a separate business relationship with each. I pay the NY Times because I live in New York. But that should get me access to reporting by their competitors.    
		- For-the-record blogging & GitHub
			- Yesterday I <a href="http://scripting.com/2018/09/09/130344.html">wrote</a> about for-the-record blogging and did a 6-minute <a href="http://scripting.com/2018/09/09.html#a135522">podcast</a> on why that's important, and how we haven't done much if anything to address the problem.
			- One of the big concerns is where to store the pre-rendered version of your writing. At this point that pretty much means using a commercial service, something owned by a big company, which has problems of its own. For example, where Facebook can change their API overnight, it's hard to imagine Amazon doing the same with S3. Their API is their business model. For Facebook, the API is just nice-to-have. 
			- BTW, Facebook did throw out, quickly, a big part of their API, because it was an attack vector used by Russian spammers. I don't blame them. I went in with my eyes open.  
			- That's why I think, on reflection, that GitHub, especially since it has been <a href="http://scripting.com/2018/06/04/134647.html">acquired</a> by Microsoft, represents a pretty good option, one of the best we have, maybe even better than S3. Why? Again, the API -- GIT -- is the product. GitHub without GIT is a vastly different product. Microsoft could evolve it, say in 10 years, to the point where GIT is as important as SMS is for Twitter, an ancient legacy, supported half-heartedly (I was never a fan of SMS in Twitter, btw). It could happen. But in this world, ten years is a long time. It shouldn't be, but it is.
			- Another fact in its favor is that Microsoft has an excellent reputation for continuity over the years by not deprecating past APIs, preserving software and data compatibility. I haven't been following closely in recent years, but in the 90s and through the 00s I marveled that new Microsoft OSes could still run software I shipped for MS-DOS in the early 80s. Somewhere deep in Microsoft's DNA, we hope, still lurks a reverence for how we got where are. 
			- GitHub was sure to get acquired by someone. Microsoft was probably as good as they could have done. 
			- Another thing about GitHub is that they, prior to the Microsoft acquisition at least, <a href="https://pages.github.com/">encouraged</a> us to think of it as a backend for a website. 
			- And even better, all of this is free. 
			- So I think it's a pretty good place to start for a future-safe for-the-record blogging back-end. 
			- PS: I have a couple of projects I started in the last couple of years that relate to this. <a href="http://this.how/english/">English</a>, a wizzy editor for GitHub docs and readme's, uses GitHub's OAuth-based API. And a Node app, <a href="https://github.com/scripting/githubpub">GitHubPub</a>, that serves via templates from GitHub repos, with custom domain names. Between the two, you could get to a very low cost Medium clone, the ideal of the for-the-record blogging concept, with hosting done for free by Microsoft. It's scary in a way how high you can build without paying a bill or even a <a href="http://scripting.com/davenet/2001/04/30/strategyTax.html">strategy tax</a>. 
		- Two binges
			- I binged two series over the last couple of weeks -- Man in the High Castle and The Deuce. Just a few comments on each.
			- The Man
				- I had read <a href="https://www.amazon.com/Man-High-Castle-Philip-Dick/dp/0547572484">Man in the High Castle</a> by Philip K Dick, and remember it being quite different from the <a href="https://en.wikipedia.org/wiki/The_Man_in_the_High_Castle_(TV_series)">series</a> on Amazon. I had started to watch the first season when it first came out but gave up in boredom and confusion and lack of caring. I decided to give it another try when a friend said she loved it. I accidentally started in the middle of episode 2 of season 2 (thinking it was episode 2 of season 1). It took a while to realize my mistake, but I decided to keep going because I was interested in the characters. Something that had not happened when I started with season 1. 
				- Anyway, it's a pretty mediocre story with the same characters meeting each other over and over, trying to get somewhere with each other, that they never seem to get. But it is beautifully shot, and a bit entertaining, so I got all the way to the end. And then I decided to watch the first two episodes of season 2, and then what the hell I watched the first season from the beginning. 
				- It is science fiction, an alternate history that plays with the idea of alternate history. That much of Dick's story they kept, and that was fascinating. 
			- The Deuce
				- I had a similar experience with <a href="https://en.wikipedia.org/wiki/The_Deuce_(TV_series)">The Deuce</a>, the first time I tried to watch it. Made it through the first episode. I really don't like the star, James Franco. But also the first time I watched it I wasn't in binge-watching mode, as I guess I am now. This time I started where I left off last time, and cruised through the eight episodes of season 1. 
				- I am one of many people who think The Wire is the best thing ever on TV. I've watched it from beginning to end so many times I've lost count. All I have to do is start with the <a href="https://www.youtube.com/watch?v=LYgKmOJT_gM">incredible opening scene</a> of season 1, episode 1, and I'm committed to going all the way. I may watch it again now that I've learned that everything that streams has closed captions. It would be helpful sometimes to know the actual words Wire characters are saying.
				- Okay, <a href="https://en.wikipedia.org/wiki/The_Deuce_(TV_series)">The Deuce</a>, run by the same <a href="https://en.wikipedia.org/wiki/David_Simon">guy</a> who did <a href="https://en.wikipedia.org/wiki/The_Wire">The Wire</a>, follows the same formula and has many of the same actors cast in different roles of course. Levy the lawyer is now the sargent of the <a href="https://www1.nyc.gov/site/nypd/bureaus/patrol/precincts/midtown-south-precinct.page">14th precinct</a> in Manhattan. The beat cop hero, kind of the equivalent of McNulty in The Wire is played by <a href="https://en.wikipedia.org/wiki/D%27Angelo_Barksdale">D'Angelo Barksdale</a> (took me a while to figure it out, he's wearing a wig, and of course has aged quite a bit). <a href="https://www.youtube.com/watch?v=DchmGutPWzI">Cool Lester Smooth</a> even makes an appearance at the end of the last episode, making you wonder if he's coming back for season 2 (it started last night, btw). The star of season 2 of The Wire, <a href="https://en.wikipedia.org/wiki/Frank_Sobotka">Frank Sobotka</a>, has a big part in this show too. 
				- And the structure of the cast is the same as The Wire. There's the journalist, there's a union, and the pimps are like the dueling gang bosses. And the cops of course. 
				- But the scale of this show is nothing like The Wire. It follows the formula, for sure, but it's a shadow of a shadow of the original. When you realize how closely they're following the formula it's a disappointment because it's so pale in comparison. 
			- No matter, I'm going to watch the next seasons of both shows. Because no matter how bad they are compared to the original, they're top notch compared to most of the schlock on Netflix and Amazon. Which is a subject for another post. 
	- September 9
		- Podcast: <a href="http://scripting.com/2018/09/09/forTheRecordPublishing.m4a">For the record blogging</a>. This is why I'm interested in creating something that functions like Medium, but has as its stated goal to be long-lived. 
		- If you find yourself having a strong emotional response to something you see on the net, take a step back and remember there's a good chance you're being programmed. You don't have to take the bait. And you shouldn't accept emotional appeals at face value.
		- Why Ghost is not Medium
			- Yesterday I posted a <a href="https://twitter.com/davewiner/status/1038449969374613504">poll</a> on Twitter basically asking if there were a rational not-for-profit place-of-record essay site, would people use it. This is intended as an alternative to <a href="http://medium.com/">Medium</a>, which has received <a href="https://www.crunchbase.com/organization/medium">$132 million</a> in investment, and therefore must at some point find a business model, leaving the for-the-recordness of it in question. 
			- In order to be a Medium replacement, it must be possible to do this:
				- Log on using a Twitter identity.
				- Write something and post it. 
			- The amazing thing about <a href="https://ghost.org/">Ghost</a>, while it might be a very nice piece of software, is this -- they hide it. It's one of the hardest pieces of open software to actually get to try. Maybe <a href="https://asana.com/">Asana</a> is worse (there you have to have a corporation to get a look). I've never actually been able to use it, though it sounds like something I'd find interesting. I did get a trial Ghost account when they were in beta, but it expired in a few weeks. 
			- Ghost is about the furthest thing from Medium imaginable because they have hidden it so well. Yet people persist in saying Oh you mean Ghost, when what I mean is Medium. Somehow they have confused the software's UI with its function. 
			- Also <a href="https://micro.blog/">micro.blog</a>, another piece of software with a vocal community that thinks it's everything to everyone. It also is hard to get started with. I did figure it out once, but I haven't been able to do it again. I actually <a href="http://dave.micro.blog/">have</a> a micro.blog site. How to post to it? I don't know. 
			- The great thing about Medium, the thing people like about it, is that they have crafted its design so that getting started isn't even three steps. That's hard to do. If one wants to replicate its functionality start there.
			- So if you think Ghost is the answer, tell me (or anyone else) where they go to get a free site that doesn't expire after a few weeks. If it doesn't exist, you haven't solved the problem. 
			- PS: I have written about Ghost in <a href="https://duckduckgo.com/?q=site%3Ascripting.com+ghost&t=h_&ia=web">the past</a>, and have gotten blasted personally by the founder, publicly. Maybe that's how they keep people from writing negatively about it. No I don't have anything against it. I've tried to write about my experience accurately. If I made a mistake I am happy to correct it.
			- PPS: A 6-minute <a href="http://scripting.com/2018/09/09/forTheRecordPublishing.m4a">podcast</a> explaining why I'm interested in creating something that functions like Medium, but has as its stated goal to be long-lived. 
		- Three Sunday pleas
			- Three pleas...
				- A plea to journalism copy editors. Strike the "neo" in neo-Nazi. There is nothing new about being a Nazi. They don't get to try again.
				- A plea to everyone on behalf of everyone. I'm soooo tired of people telling me who I am. This never lets up. It's a constant. Live and let live. Do unto others as you would have them do unto you. You don't know what's inside another human body. Let them be themselves.
				- A plea to corporate copy editors. Replace "We apologize for any inconvenience..." with "We apologize." It could be that the customer feels more than inconvenienced. And then you would have something else to apologize for.
	- September 8
		- A possible <a href="https://twitter.com/davewiner/status/1038607602165444608">reform</a> for tennis. Let the opponent reject a foul call, as in football. If Osaka didn't want the extra point or game, she could tell the judge to forget it. That would be weird psychology given that <a href="http://www.sportingnews.com/ca/tennis/news/us-open-2018-serena-williams-receives-game-penalty-in-final-match-against-naomi-osaka/aypuru80q2jn1s2k7h2045uw5">Serena</a> is the established star.
		- <a href="https://twitter.com/davewiner/status/1038449969374613504">Poll</a>: If there were an open source, publicly supported (i.e. no venture capital) not-for-profit essay-hosting service like @Medium that was easy and had a nice UI and could be cloned by anyone at any time, would you use it?
	- September 7
		- The way to think of Kavanaugh is that he would be a high level White House staffer with a vote on the Supreme Court. The ultimate political operator.
		- Radical idea -- Nike runs ads praising people for <a href="https://www.businessinsider.com/nike-advert-with-colin-kaepernick-has-people-burning-products-2018-9">burning</a> their Nikes in protest. "That's what we were talking about," they might say. Of course they can't, because the only thing Nike ever says is "Just do it." It's up to their spokespeople to say things other than that. 
		- I liked <a href="https://www.youtube.com/watch?v=RRWsKMjASQ0">Obama's speech</a>. He talks about voting the way I talk about the open web. People think it's my fight. They're wrong. It's our fight. If you don't help, it won't happen. And so far it seems to me we're headed for a Trump-like loss on the web. You'll miss it when it's gone. I was sure that Google's trying to own the open web wouldn't stop with <a href="http://this.how/googleAndHttp/">attacking HTTP</a>. They didn't even wait a month before launching the next attack on web addresses. There was no resistance, why should they wait?
		- They <a href="https://gizmodo.com/1-in-4-americans-really-have-deleted-facebooks-app-pew-1828824985">deleted Facebook</a>, but I bet Facebook hasn’t deleted them.
		- Honestly, I don't think I've ever smoked a joint while doing a podcast.
		- Note to Elon Musk as <a href="https://google.com/search?q=tsla">TSLA</a> continues to decline, and who smoked weed on a podcast last night, from the <a href="https://en.wikipedia.org/wiki/The_Fabulous_Furry_Freak_Brothers#Catchphrases">Fabulous Furry Freak Brothers</a> from the 60s. “Dope will get you through times of no money better than money will get you through times of no dope.”
		- Why the NYT was wrong
			- An analogy for what the NYT did by publishing the <a href="https://www.nytimes.com/2018/09/05/opinion/trump-white-house-anonymous-resistance.html">anonymous op-ed</a>.
				- Suppose I run an airline.
				- Some guy shows up at the gate with a package, asks if we'll put it on the plane for him and transport it to the plane's destination.
				- I open it, look inside, see a couple of soaked rags, and say OK.
				- I ask for ID because I want to know who is sending the package.
				- When the plane gets to its destination, they open the package. It contains a deadly toxin, it poisons everyone within 100 miles, they all die.
	- September 6
		- There should be an inverted real estate market where buyers could list their requirements. Sellers could peruse, the way buyers scan Zillow now. Who knows if I'm looking in the right geography? There could be lots of places that match my desires. 
		- <a href="https://twitter.com/davewiner/status/1037743106240729091">Poll</a>: Did the anonymous op-ed writer confess to a crime? I should have added "not sure" as a choice. I actually think that's the correct answer. Presumably the person took an oath to uphold the Constitution. Seems to me this is extra-constitutional at least, and it may be a violation.
		- The anonymous op-ed
			- I was in a real estate office in <a href="https://en.wikipedia.org/wiki/Woodstock,_New_York">Woodstock, NY</a> when news of the <a href="https://www.nytimes.com/2018/09/05/opinion/trump-white-house-anonymous-resistance.html">anonymous op-ed</a> came out. We all discussed it. I didn't get to read it until about 9PM. Here was my takeaway. 
				- We did not elect the anonymous columnist.
				- We've had a coup, 
				- And we don't even know who the new dictator is.
				- The NYT did not do us a service. They just supported an illegal government. 
				- If we don't stop this now, we will never put it back together.
			- I listened to the <a href="http://podcatch.com/archive/2018/09/06/51142.html">Daily podcast</a> on the subject on the drive back to the city. You should listen to it too. It makes my blood boil. Trump is president, for better or worse. The president runs the executive branch, not the people he hires, and certainly not anonymous people. This is no longer recognizable as our form of government. 
			- One of the theories they cite is that the piece may be intended to soothe Republican voters before the midterm elections. We, the American people, have an interest in Trump running the government he wants to run. For his supporters, they didn't elect these people to countermand his orders. And for those of us who desperately want him out of office, we want the real Trump to be visible, the one who was at the podium with Putin in Helsinki. So we can clearly see what we're voting for or against.
			- Same with the papers for Kavanaugh. It might not make a difference to how the Dems or Repubs vote, but it makes a difference to the voters. We want to know who just made it to the Supreme Court, while we still have a chance to vote out the people who put him there. They are hiding material facts, that's for sure. This is not acceptable. 
			- This has all gone way too far. I am angry at the Republicans, and at the NY Times. How presumptuous of them to let whoever this is rock our form of government without even attaching a name to it. I have not seriously considered cancelling my subscription to the Times before this, but now I don't know. This is fucking outrageous. 
			- "I'm in control here," <a href="https://www.youtube.com/watch?v=zUKW0fL-OqY">said</a> Secretary of State Alexander Haig in 1981 after President Reagan had been shot in an <a href="https://en.wikipedia.org/wiki/Attempted_assassination_of_Ronald_Reagan">assassination attempt</a>. This was a huge deal at the time. We knew his name, and he had been confirmed by the Senate.
	- September 5
		- John Gruber <a href="https://daringfireball.net/linked/2018/09/04/medium-domain-name">says</a> what we're thinking. Why, if you can't map a domain to your site on Medium, would you use it to host a blog. Rafat Ali, another longtime blogger, <a href="https://twitter.com/rafat/status/1037371592496570372">says</a> once Medium shuts down there should be an ethical replacement. I wonder <a href="https://twitter.com/davewiner/status/1037372465599668225">why</a> they can't co-exist, and then <a href="https://twitter.com/davewiner/status/1037372969520168961">answer</a> my own question. The problem isn't cost, or the tech -- it's users. Medium has momentum, still, as the place-of-record for web writing, much as YouTube is it for video. It's a shaky foundation. No business model, huge money already invested. Not a good situation.
		- Here's a conundrum. <a href="http://scripting.com/images/2018/09/05/potusOnTwitter.png">This</a> appeared in my Twitter timeline. It's from @potus. I must have followed that account when Obama was president. Now Trump is using it. 24 million followers. Do I have to block it? What about the next president? For now I'll just unfollow, but it might have to be blocked, if he uses it in a more troll-like fashion. 
		- I think there's a place for a simple RSS-based Instagram clone. Subscribe as in an RSS reader, with the URL of a feed. It displays items with &lt;enclosure>s that are images. Wouldn't have as many users as IG, but IG was fun before it had so many users.
		- <a href="https://github.com/scripting/opmlToGitHub">opmlToGitHub</a> is a new demo app that reads an OPML file, converts it to Markdown and uploads it to GitHub. I think outliners are a great way to write readme files, that's how I've always done it. I just added this feature to my nightly archive app, and created this little demo app as a byproduct. It contains a fair amount of <a href="https://github.com/scripting/opmlToGitHub/blob/master/opmltogithub.js">code</a> that might prove useful in other apps. MIT license. :check:
		- I'm using GitHub more and more as a platform. Part of the reason is that it was on my path. My GitHub code has been maturing, and my project to get more future-safe is progressing. But I am aware that it's now owned by Microsoft. I wonder if they see GitHub in a compatible way to how I'm using it? That's something you have to worry about when building on a corporate platform. 
		- Continuing to scrub my Twitter feed of troll RTers. A few every day. When will people figure out that <a href="http://scripting.com/2018/08/22/151134.html">RTing a troll</a> just gives them power.
	- September 4
		- Updated: <a href="http://this.how/scriptingNews/nightlyArchive.opml">How I archive Scripting News</a>. I’ve been backing up my blog to a GitHub repository for the last year. The idea is that the content of my blog should exist even if <a href="http://scripting.com/">scripting.com</a>  were to disappear. The process is now documented, hoping to leave clues for future historians.
		- If Evernote had built on open formats and protocols, now, as the company is <a href="https://techcrunch.com/2018/09/04/evernote-lost-its-cto-cfo-cpo-and-hr-head-in-the-last-month-as-it-eyes-another-fundraise/">failing</a>, the users’ data would remain usable.
		- I like what <a href="https://www.npr.org/2018/09/04/644418160/colin-kaepernick-is-chosen-for-nikes-anniversary-just-do-it-campaign">Nike did</a> by using Colin Kaepernick as a model. I think this is possibly a cleansing process. It'll force people to look at what exactly it is they're against. Whether Kaepernick might be a patriot and not a pariah.
		- OK, this is one form of <a href="http://scripting.com/images/2018/09/04/trumpTweetTruck.png">screen-shot</a> RT I actually support.
		- Every voter in the US should <a href="http://podcatch.com/archive/2018/09/03/30472.html">listen</a> to last night's Maddow re the Kavanaugh nomination.
		- I unfollow people who RT the troll. That includes people who paste screen shots on Facebook. Remember <a href="http://scripting.com/2018/08/22/151134.html">trolls die</a> in darkness. 
	- September 3
		- New season of <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22bojack+horseman%22&t=hi&ia=web">Bojack Horseman</a> on <a href="https://twitter.com/BoJackHorseman/status/1012002654325600256">Sept 14</a>. :boom:
		- Facebook broke the API that allowed me to cross-post there. Now I'm getting regular reminders from them about how I should be posting more stuff to Facebook, my readers are bored, they say.
		- Fear of palindromes: <a href="https://twitter.com/heavenlyav/status/1035951243544412160">aibohphobia</a>.
		- this.how now has an <a href="http://this.how/">index page</a> that links to the howtos. 
		- Democratic priorities for the fall
			- Campaign season starts today. Here are the priorities as I see it.
				- <b>Campaign on oversight</b>. The reason the Dems must take back at least one chamber of Congress is then they can do oversight of the Trump Administration. Subpoenas and hearings to investigate how the cash flows between Trump and foreign entities, not just Russia.  
				- <b>Concerts/rallies</b>. The Dems have completely ceded the ongoing entertainment campaign to Trump. His rallies are more like concerts, with a single comedian. He's a cross between <a href="https://en.wikipedia.org/wiki/Rodney_Dangerfield">Rodney Dangerfield</a>, <a href="https://en.wikipedia.org/wiki/Joan_Rivers">Joan RIvers</a> and <a href="https://en.wikipedia.org/wiki/Don_Rickles">Don Rickles</a>. He's good but he's not that good. The Dems have the best comedians and musicians. They even have politicians who can <a href="https://www.youtube.com/watch?v=_3eC35LoF4U">burn down the house</a>. Every Trump rally should be programmed against, provided for free to all the networks. Gradually push him off the air.
				- <b>Starve the troll</b>. He gets around the media and goes direct. This of course imho is a good trend long-term because it forces the media to become part of the people and vice versa. But in the immediate term, he controls discourse, he keeps the focus on himself, exclusively. Block the troll. And unfollow people who RT him, no matter how much you value their other contributions. Remember <a href="http://scripting.com/2018/08/22/151134.html">trolls die in darkness</a>, and that's a good thing. 
			- Impeachment is an issue for the voters, not the Democratic Party.
				- Impeachment as a goal is like starting a football game saying your strategy is to score a touchdown. We must focus on rebooting our democracy. We not only have to think about the danger of Trump in the White House, we have to set our country back on its previous course. It was flawed, but at least we had a semblance of the rule of law. Impeachment isn't itself an answer. When the time is right, when there's overwhelming support for impeachment <i>and removal</i> among the people, then and only then will it be the next thing to do. 
	- September 2
		- A new <a href="http://this.how/scriptingNews/nightlyArchive.opml">FAQ</a> explains how I archive my blog to GitHub. If you're a tech blogger, please consider archiving your blog in a similar way. I provide the <a href="https://github.com/scripting/oldSchoolNightly/blob/master/oldschoolnightly.js">source</a> to the Node app I use to do the backups.  
		- Avenatti works because while he cares how he's covered by the press, he doesn't follow their rules. The other Dems follow the rules. Hillary was the worst. So they could get her on her <a href="http://scripting.com/images/2018/09/02/butHerEmailsBig.png">emails</a>, not because there was any substance, rather because she was "defensive." They criticized her for following their rules. Heh. Break out, there's no penalty for doing so. 
		- <a href="https://talkingpointsmemo.com/livewire/avenatti-says-hell-hold-resistance-rally-to-counter-trumps-texas-event-with-cruz">Yes</a>. Always program a concert/rally opposite Trump's. Better comedy, more irreverent political ranting. Position Trump as the ridiculous imitation tinfoil-hat-wearing make-believe despot that he is.
		- I'm finally watching <a href="https://en.wikipedia.org/wiki/The_Man_in_the_High_Castle_(TV_series)">Man in the High Castle</a>. I had read the book, long ago, and found the first couple of episodes too dark. Just starting episode 4. No spoilers please.
		- With all the Kavanaugh mischief, seems like Tuesday would be the PERFECT day for Mueller to drop indictments on Don Jr and Kush.
		- One of my basic rules of discourse is to never tell another person to shut up as long as I can easily stop listening. And the converse, if someone tells me to shut up, or implies it, they're wrong, and I don't argue with them. But I have an exception to the rule. If a "troll" is destroying a community and people engage with the troll, I will tell them to stop, and explain, as lovingly as I can, that they're as much a part of the problem as the troll is. There is no excuse for engaging with a troll. 
	- September 1
		-  When people say "no pun intended," what they really mean is "pay attention to my pun, very much intended."
		- That was quite a <a href="https://www.youtube.com/watch?v=ZC08_cYeGHw">speech</a> by Obama. It's the kind of speech McCain might have made, but it says more that Obama said it at McCain's request. The very last thing said about McCain before being buried.
		- I've started backing up my linkblog <a href="http://radio3.io/users/davewiner/rss.xml">RSS feed</a> to the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/misc/linkblog.xml">GitHub repository</a>. It will be backed up every night along with all the other content on Scripting News. 
		- Emails like <a href="http://scripting.com/images/2018/09/01/moreDisgustingEmailFromGoogle.png">this</a> from Google about "violations" on my website are really disturbing, esp since I don't run any Google ads on my site. I wish they'd STFU about violations, or say what the violations are. I always can use a good laugh. Their email is a violation of my independence. Fuck off. 
		- Respect really gets to my core. People working together, listening, finding the connection. That’s humanity at its best.
		- Tech booms
			- The big boom in tech is never what the pundits say it will be. They generally go for the wizzy demo, but what wins is usually more cerebral and prosaic, has more to do with human potential than domination.
			- Like the cameras in phones. Few pundits called that. It wasn’t spacy and hard to understand. Instead  cameras got smaller, better, and key thing — could communicate without tethering.
			- Few predicted that radio was ripe to be democratized, but that’s what we did. Not VR or AR. Imagine how much money has poured into those. New media types are the simple obvious ones.
		- Different kinds of archives
			- <a href="http://scripting.com/2018/08/31.html">Yesterday</a> we heard that the <a href="https://www.villagevoice.com/">Village Voice</a> is ending, but they are sticking around long enough to be sure their archive is accessible for historic purposes. This is much appreciated by all who value the Voice, its history, and the human knowledge it represents. As far as I know, it's the first time a news organization, or a blog, when shutting down, has put effort into assuring the archive remains accessible. (If there are other examples, I'd like to hear about them.) 
			- So then the question is, what kind of archive? I'll try to explain.
			- Imagine the difference between the <a href="https://www.lonelyplanet.com/italy/rome/things-to-do/rome-s-ruins">ruins</a> of ancient <a href="https://en.wikipedia.org/wiki/Roman_Forum">Rome</a>, and a museum filled with artifacts from that time. In the actual ruin, you're standing where the great <a href="https://en.wikipedia.org/wiki/List_of_ancient_Romans">figures</a> of Roman history stood. There's more data available to you, things a museum curator might not think to preserve.  It also invokes the imagination and inspires in ways a museum can't. 
			- And there's also great value in museums and libraries! Sometimes the things that were created are more important. So you can visit the US Capitol (a place) in Washington DC, or see the <a href="https://www.archives.gov/founding-docs/declaration">Declaration of Independence</a> (a document) at the National Archives.
			- You can see the <a href="https://www.tripadvisor.com/ShowUserReviews-g186338-d187555-r376233744-The_British_Museum-London_England.html">handwritten lyrics</a> of Eleanor Rigby by Lennon and McCartney at the British Museum, but the Beatles are no longer performing the song. When the thing itself no longer exists, it's good to have the artifacts.
			- You want it all if you really care about the history.
			- As it is with the web. Most of the content of the Village Voice is probably already safely <a href="https://web.archive.org/web/*/http://www.villagevoice.com/">stored</a> at archive.org. But what about the villagevoice.com domain? Don't we also want to preserve the links into the site, for ongoing web sites that point to the Voice? Or when someone reads the preserved Scripting News, if I'm able to get that done, be able to click a link to a great Voice article and not get a 404? That's analogous to preserving ancient Rome in addition to remembering its history. (BTW, some of it's already gone. Here's a <a href="http://scripting.com/2004/03.html#When:2:56:16AM">post</a> on this blog from 2004 that links to a VV article. Not found. Ouch.)
			- With the web we have the technical means to create a perfect archive, but without planning ahead, all we will have are the museums. And we are not doing the planning. The web, as a historic medium is far less than imperfect, it's temporary. Only present as long as someone keeps paying the bills. And there's no way to pay the bills far in advance, so the historic record has a literally no chance of surviving, given the current state of things. 
			- The Village Voice offers a chance for us to learn how to do this right. So we can do it again, and again, until we've got a method that has a reasonable chance of working.
