- March 2019
	- March 31
		- One final (hopefully) comment about <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22the+correspondent%22&t=h_&ia=web">TheC</a>. There’s too much insiderism in news about the future of news. It was not a “message discipline” issue, it was pure snake oil. Deceived a lot of fans of news who were hoping for more honesty. What they got was the opposite.
		- I recently got a new <a href="https://www.amazon.com/gp/product/B0798B2L5H/ref=ppx_yo_dt_b_asin_title_o04_s00?ie=UTF8&psc=1">65-inch TCL/Roku</a> TV. Love the picture except everything looks like a soap opera. Then I remembered there was a setting that makes it look this way. Tom Cruise did a <a href="https://twitter.com/TomCruise/status/1070071781757616128">video</a> about it. It all comes back. I looked up <a href="https://www.pcmag.com/article/365402/how-to-turn-off-motion-smoothing-on-your-tv">how to change</a> it back to normal, and now everything looks good and right.
		- <a href="https://twitter.com/davewiner/status/1112350498106023936">Poll for journalists</a>: If a friend of yours did something that wasn't good for your readers, would you call them out for it, or would you let it pass to preserve the friendship.
		- Wi-Fi rules!
			- It's not often that open standards resist the power of BigCo's to usurp them, but one of them has, and it's made a lot of fun things possible. It's the wonderful ubiquitous international <a href="https://en.wikipedia.org/wiki/Wi-Fi">Wi-Fi</a>.
			- I have a story to tell about that today. 
			- I'm setting up the entertainment system at the country house. It's fun to start over in 2019, because so much has changed for the better since the last time I did it in 2010. 
			- When I went to the Spectrum <a href="https://www.spectrum.com/locations/ny/kingston/142-schwenk-dr">store</a> in Kingston, I realized I had a problem. The place that the cable entered the house was far from the TV room. I mentioned this to the guy behind the counter and he said no worries, don't use the cable set-top box. Use <a href="https://en.wikipedia.org/wiki/Roku">Roku</a> over Wi-Fi. Ohhh. Of course I had Roku, and was coming to use it more and more over time. I said what about all the channels I'm paying Spectrum for. Use the Spectrum app on the Roku. I wondered if the quality would be as good as the hard wire coming straight from Spectrum. He said it would be better and said that's how he does it at home. 
			- Well I have it set up now, and the quality is great. And I also set up my Apple TV on the same wifi network as the Roku, and that's when it hit me. <i>They're compatible. </i>I'm sure the two companies wish they weren't but the power of Wi-Fi as a standard is impossible to resist.
	- March 30
		- From the necessity is the mother of invention department. I had never been able to get <a href="https://en.wikipedia.org/wiki/AirDrop">AirDrop</a> to work, but recently I became incentivized to figure it out. Now I'm using it for all kinds of things. In my experience it doesn't "just work," but once you get it working, it's very useful. 
		- I just read a piece on Gizmodo saying that <a href="https://gizmodo.com/rss-is-better-than-twitter-1833624929">RSS is better than Twitter</a>. Then I had a thought, why not turn Twitter into an RSS reader. It's not too many steps. Accept an OPML subscription list. When you add a feed, call "IFTTT" and say "map the output of this feed onto this Twitter account." When a feed disappears from the list, delete the IFTTT script. I'm not sure if IFTTT's API will let you do this. OTOH you could probably set up a "River5" installation to do it, but it'd be more work. :-)
		- <a href="https://en.wikipedia.org/wiki/Cooper_Lake_(New_York)">Cooper Lake</a> with ice and fog. A warm rainy spring day before the ice has melted yields a <a href="http://scripting.com/images/2019/03/30/cooperLakeWithIceAndFog.png">beautiful photo</a>. No filters.  
	- March 29
		- Had a thought the other day. Pretty sure one could write an algorithmic redistricting app that was agnostic about party affiliation. Maybe that's the answer to gerrymandering.
		- For $2.7 million an open non-profit place-of-record for web writing could have been launched. A level playing field for journalism and civic writing. It's enough money to have done something great. The Correspondent wasted it. Next time "members" will be more circumspect
		- Be a sponge
			- In my career I can't tell you how many times people said they don't have to listen to me because I'm not relevant anymore. That always seems to end in failure, because there's no good reason not to seek out free advice, it can help you avoid pitfalls. If you fancy yourself an entrepreneur or an innovator you must absorb info and perspective like a sponge. Don't ever think you're so successful or smart that you might not be missing something huge. I was taught this early in my career as part of sales training.
		- ThinkTank gets a Star Trek credit
			- From Ted Howard 
				- I’m reading a <a href="https://www.amazon.com/Fifty-Year-Mission-Generation-Uncensored-Unauthorized/dp/1250089468/ref=pd_aw_fbt_14_img_2/140-9161096-1268535?_encoding=UTF8&pd_rd_i=1250089468&pd_rd_r=2c8aaa31-5235-11e9-b8ff-1749bfa13380&pd_rd_w=XOcD5&pd_rd_wg=eSrPc&pf_rd_p=3ecc74bd-d08f-44bd-96f3-d0c2b89f563a&pf_rd_r=A9ERAK8M4BNT35C7JCVY&psc=1&refRID=A9ERAK8M4BNT35C7JCVY">book</a> about the history of <a href="https://en.wikipedia.org/wiki/Star_Trek">Star Trek</a>, and came upon an interesting tidbit I thought you would like.
				- <a href="https://en.wikipedia.org/wiki/David_Gerrold">David Gerrold</a>, writer of the original series episode <a href="https://en.wikipedia.org/wiki/The_Trouble_with_Tribbles">The Trouble with Tribbles</a>, was also involved on the early days of <a href="https://en.wikipedia.org/wiki/Star_Trek:_The_Next_Generation">The Next Generation</a>.
				- He wrote the “bible” for the series using <a href="http://outliners.scripting.com/thinkTank2Pc.html">ThinkTank</a>. He printed the outline out to show <a href="https://en.wikipedia.org/wiki/Gene_Roddenberry">Gene Roddenberry</a>, who was thrilled with how he had organized it.
				- So, it looks like you contributed to Star Trek. That’s pretty cool.
			- My comment
				- I love that story. Back in the 80s the Mac was very popular in Hollywood, and our product was one of the leading products, so we had a lot of famous people using it for projects like that. 
	- March 28
		- TheC gets another look
			- This time I hope the press who cover new media will ask serious questions instead of echoing the hype. I will write more about it myself, I assume. I've been working on my move to <a href="http://scripting.com/2019/03/09.html#a181343">the country</a> for the last 24 hours so I've only had time to tweet about this.
			- In this post I'll link to the tweets and to the posts I wrote during the <a href="http://scripting.com/2018/12/">maximum hype</a> over The Correspondent. I didn't care where their office was. I did object to them claiming to be revolutionary, because I didn't see any evidence of that. I come from the tech industry which indulged in this kind of hype many many times, and fortunes were made, a lot more than $2.7 million, over less than what The Correspondent had. I had high hopes for them, and in the end when I saw the plan I saw that they either didn't understand, or they punted and decided to do something pretty normal, but to hype it as if it were remarkable. 
			- Anyway, here are some of today's on-topic tweets
				- <a href="https://twitter.com/davewiner/status/1111138011570421762">1:28AM</a>: It wasn't a movement.
				- <a href="https://twitter.com/davewiner/status/1111242012739756034">8:21AM</a>: I asked tough questions.
				- <a href="https://twitter.com/davewiner/status/1111301796985737217">12:19PM</a>: It's not a PR disaster, it's worse.
				- <a href="https://twitter.com/davewiner/status/1111305114726420482">12:32PM</a>: The baby squirrel pitch.
			- And some of the previous posts
				- December 10: <a href="http://scripting.com/2018/12/10.html#a145856">Another academic journalist endorsed TheC</a>, plus comments on overhyped journalism startups. 
				- December 11: <a href="http://scripting.com/2018/12/11/131151.html">Followup on The Correspondent</a>. I asked questions of the company and got some answers. Some of which may be news to pundits opining about TheC.
				- December 12: <a href="http://scripting.com/2018/12/12.html#a174702">I emailed with Baratunde</a>.
				- December 13: <a href="http://scripting.com/2018/12/13.html#a130100">I object to calling a for-profit venture a movement</a>. 
				- December 27: <a href="http://scripting.com/2018/12/27.html">What it means that TheC has to co-exist</a> with the deep-pockets of Medium, which takes a much more courageous view of reader than TheC does (and imho if they don't match them, what chance do they have).
			- Finally just so you know where I'm coming from
				- Last summer I wrote a piece entitled <a href="http://scripting.com/2018/06/24/181734.html">How journalism is like the Mets</a>. Especially appropriate since today is opening day, and the Mets won, with hits by a <a href="https://www.newsday.com/sports/baseball/mets/robinson-cano-home-run-mets-first-at-bat-1.29079705">former Yankee</a> if you can believe that. 
				- Journalism has yet to win the World Series in the new world. The people who write about journalism today don't have a feel for what's possible. They're roaming around in the dark looking for inspiration, but they don't seem to know what questions to ask.
				- The Correspondent was a softball. Easy to figure out. Yet they all took the easy way out and just repurposed the hype. I believe they believed it. But they have to toughen up if they want to make it to the championship series. 
	- March 27
		- Karl Dubost <a href="https://github.com/scripting/feedBase/issues/43#issuecomment-476914164">explains</a> where <i>feed: </i>came from. 
		- Also if you're looking for <a href="https://github.com/scripting/feedBase/issues/43#issuecomment-476849731">OPML reading lists</a> to test with, "feedBase" is full of them. That's its purpose. OPML in and out. 
		- Can Trump really kill ObamaCare? Here's a scenario to consider. 1. I have health insurance (thanks to ObamaCare).  2. According to the old rules, my conditions are not pre-existing. 3. In other words, I don't lose my insurance if Repubs kill ObamaCare. 4. It seems Trump's trickery would only apply to people who don't have coverage now.  
	- March 26
		- This is a really <a href="https://www.nytimes.com/2019/03/26/nyregion/school-segregation-new-york.html">interesting piece</a> that tells the story of school desegregation in NYC, which my family took part in, in the 1960s. My <a href="http://scripting.com/images/2019/03/26/eveAndPeterWalkingToSchoolIn1964.png">mother and little brother</a> were on the front page of the NYT on Sept 14, 1964, walking from our mostly white <a href="https://en.wikipedia.org/wiki/Jackson_Heights,_Queens">neighborhood</a>, to the paired school in <a href="https://en.wikipedia.org/wiki/Corona,_Queens">Corona</a>, a black neighborhood. (She was wearing a scarf and looking into the camera.) The white parents and kids walked toward the black neighborhood, the black parents and kids, walked to the school in the white neighborhood. My brother, now 60, posted <a href="https://www.nytimes.com/2019/03/26/nyregion/school-segregation-new-york.html?comments#permid=31244308">a comment</a> on the NYT story.
		- That <a href="http://scripting.com/images/2019/03/26/eveAndPeterWalkingToSchoolIn1964.png">picture</a> is so good, I made it my header image, replacing the previous one, the picture of a nearby <a href="http://scripting.com/images/2019/02/21/snowymountain.png">mountain</a>. 
		- 2015: <a href="http://scripting.com/2015/03/26/theBestFrameworksAreApps.html">The best frameworks are apps</a>. Still true today.
		- On this day last year
			- I wrote <a href="http://scripting.com/2018/03/26.html#a133914">this</a>:
				- <i>Our number one biggest problem is that we divide ourselves into groups. These people are good and those are bad. Everyone does it. It's stupid. It's the bug. Stop it.</i>
			- Still true today. Let's join together, celebrate or at least overlook our differences, find our common ground.
	- March 25
		- A few days ago I <a href="http://scripting.com/2019/03/17.html#a161227">teased</a> that I have ideas for new architectures for feed reading. Here's the main idea. Users should be able to subscribe to OPML lists, not just import them. So I could use a different editor, or discovery mechanism, or who-knows-what to manage (some of) my subscription lists. Or use two different readers and have them share their lists. Having this architecture widely supported in the feed reader market would open up possibilities for higher level applications. It's a major upgrade for the "RSS" market, something a silo can't match, without ceasing to be a silo. The challenge of open networks is that they leverage their openness. This is a remarkably easy feature for feed readers to support. I've implemented it in every feed reader I've written since 2002. It never takes more than a couple of days. If you're committed to <i>no lock-in</i> you should be all over this feature. [A <a href="https://github.com/scripting/Scripting-News/issues/113">place</a> to post questions or comments.]
		- I've been peripherally aware that some browsers and operating systems support the idea of a <i>feed:</i> prefix for web addresses. However I don't know the history, where the idea originated, or how widely it is supported, and what are its intended semantics? When the user clicks on a link like <a href="feed:http://scripting.com/rss.xml">this</a> on a Mac, what's supposed to happen? This came up in a <a href="https://github.com/scripting/feedBase/issues/43#issuecomment-476272480">thread</a> on feedBase work.  
		- Mueller's invisible report
			- We. Have. Not. Seen. The. Mueller. Report.
			- Analogy: You’re buying a house, so you hire an inspector. But the seller says I’ll read the inspection report for you, then writes a summary that says the house doesn’t have termites (even though you can see it does) and it might have a leaky roof. Of course you buy the house.
			- There are two kinds of reporters: 
				- Those who say the Mueller Report says such and such.
				- Those who say Barr won’t let us read the Mueller Report.
			- The latter are reporting facts. The former are rewriting a press release.
			- It seems maybe Trump found a way to fire Mueller after all.
	- March 24
		- <a href="https://en.wikipedia.org/wiki/Ari_Melber">Ari Melber</a> is having his <a href="https://www.memeorandum.com/190324/p45#a190324p45">moment</a>, like <a href="https://en.wikipedia.org/wiki/Nightline#The_Iran_Crisis%E2%80%93America_Held_Hostage_(1979)">Ted Koppel</a> with the Iran hostage crisis. The rest of MSNBC tries to cover every story as if it's a horse race. Trump's corruption doesn't fit the horse race model very well, hence they are failing. I assume CNN is the same.
		- From what I hear on MSNBC, we have no idea what the Mueller report says. We only know what Barr says the report says. Reminds me of a Watergate story. Nixon didn't want to release the tapes because they would incriminate him. So he got a <a href="https://en.wikipedia.org/wiki/John_C._Stennis">Democratic senator</a> from the south who mostly voted Republican to <a href="https://en.wikipedia.org/wiki/Stennis_Compromise">listen</a> to the tapes, and he came out and said basically Nixon is right, nothing criminal here. It didn't work. The tapes ultimately were released. The more the Repubs don't want the Mueller report released, the more it says it <i>must</i> be released. No one is going to give up on this. 
		- Can a president be indicted? Imho it might depend on how heinous and dangerous the crime. Being controlled by a foreign enemy might make a difference.
		- Bug fixed in "feedbase". If the user logs off, changes their Twitter username, then logs back into the app, the updates will go to the old username. This was a caching issue in the <a href="https://github.com/scripting/twitter">davetwitter</a> package. Thanks to <a href="https://github.com/vincode-io">vincode-io</a> for the excellent detective work and <a href="https://github.com/scripting/feedBase/issues/40">report</a>. I was able to understand the problem immediately, and it was easy to fix. 
		- Independent of whether Congress impeaches, it would be great to have a public resource that listed all of Trump's clearly impeachable offenses, with Clinton's <a href="https://en.wikipedia.org/wiki/Impeachment_of_Bill_Clinton">1998 impeachment</a> as the benchmark.
		- Social topology, something I've been thinking about for a long time. When I was a math student, I got interested in graph theory, and wrote all kinds of Fortran apps that walked graphs, figuring out things about them. Not a great choice of language for that. Graph theory is part of at least two branches of math, combinatorics and topology. And I think there must be a mapping from topology to the structure of online communication systems. Looked at a particular way, we've been spending the whole of my career in tech, dating back to the 70s, studying, without any sense of the theory, the topology of net communication systems. Blogs are very different from mail lists, so different the could be considered opposites. List all the different rules for each of the following: Facebook groups, Facebook messages, public Twitter, Twitter DMs, Instagram, Snapchat, AppleLink, Reddit, Whatsapp, on and on. And the tools we use for managing developer groups also yield different kinds of social topology. I was just thinking about the difference between Slack and GitHub as two recent examples of development systems I've used. 
		- Where have you gone Walter Cronkite?
			- Before <a href="https://www.youtube.com/watch?v=Dn2RjahTi3M">Walter Cronkite</a> did an hour special <a href="https://www.npr.org/templates/story/story.php?storyId=106775685">saying</a> the <a href="https://en.wikipedia.org/wiki/Walter_Cronkite#Vietnam_War">Vietnam War</a> was unwinnable, press coverage was pretty much re-written press releases from the Pentagon. Cronkite's observation, that the war was unwinnable, turned press coverage in a different direction. The question of whether or not we should be in Vietnam was now something they could ask, and did.  
			- We're in a similar situation now. People are covering climate change and Trump as if the normal rules of journalism can deal with these two crises. Clearly they cannot. We need a different approach.
			- Postscript #1: Jon Stewart was definitely on track to be the current day Walter Cronkite before he left The Daily Show. I know he disclaimed that he was just a comedian, but he was much more than that. 
			- Postscript #2: Three observations that address the shortcomings of news in covering the current situation. If Cronkite were alive and observing the rise of Trump and our failure to address climate change, I'd like to think he'd do a corner-turn today like the one he did in 1968 around these ideas.
				- Occam's Razor. If it's obvious, report it as obvious.
				- Common sense. Life teaches us how people are. Use that info.
				- This is a dire situation. (Trump, climate change.)
			- Postscript #3: The title of this piece is derived from the song <a href="https://www.youtube.com/watch?v=9C1BCAgu2I8">Mrs Robinson</a> by Simon and Garfunkel. 
	- March 23
		- BTW, re yesterday's <a href="http://scripting.com/2019/03/22.html#a130119">braintrust query</a> -- thanks to the readers of this blog, my mid-2011 MacBook Air is now <a href="https://github.com/scripting/Scripting-News/issues/112#issuecomment-475743963">running</a> High Sierra. 
		- There was a moment that press coverage of the Vietnam War turned the corner, when Walter Cronkite stopped reporting on Defense Dept press releases and started telling the truth, that the war was <a href="https://www.youtube.com/watch?v=Dn2RjahTi3M">unwinnable</a>.
		- Morning drive notes
			- I just drove back upstate from the city, listened to two hours of NPR. They had a jerk talk nonsense about the Mueller report, about how it exonerates Trump. They just let him go on and on, never interrupting to say hey you're full of shit. Then an hour later they had <a href="https://en.wikipedia.org/wiki/Jill_Wine-Banks">Jill Wine-Banks</a> and she was making so much sense, but they had to cut her off mid-sentence to go to an interview with a musician. This radio listener was pissed. After so much repetitive drivel, finally someone who knows the subject, who's had some time to process, is laying it out, and they have to cut her off?  
			- Meanwhile, whatever the Mueller report says or doesn't say, we all witnessed his obstruction of justice in the <a href="https://www.nbcnews.com/nightly-news/video/i-was-going-to-fire-comey-anyway-trump-tells-lester-holt-in-interview-941538371971">interview</a> with Lester Holt, and if you saw his press conference in <a href="https://www.youtube.com/watch?v=cwxqOoIyWm0">Helsinki</a>, you understand that Trump is controlled by Putin. We don't need a report to tell us any of that. If journalism is writing the first draft of history why aren't they writing that? 
			- PS: I tried listening to this morning's <a href="https://www.nytimes.com/2019/03/22/podcasts/the-daily/mueller-report-russia-investigation.html">Daily podcast</a> about the Mueller announcement, and realized finally that <a href="https://www.nytimes.com/by/michael-s-schmidt">their reporters</a> are really dull. They don't find this stuff interesting, they just namedrop and repeat bullshit they heard somewhere as gospel. 
	- March 22
		- <a href="https://twitter.com/davewiner/status/1109182829081051137">Poll</a>: Trump cancelled North Korean sanctions. Why?
		- <a href="https://github.com/scripting/Scripting-News/issues/112">Braintrust query</a>: I have a mid-2011 MacBook Air that I want to update to the latest OS that will run on it. I asked for help <a href="https://www.facebook.com/photo.php?fbid=913978282142911&set=a.113966572144090&type=3&theater">on Facebook</a>, but none of the suggestions work. So let's start over. I'll post screen shots over on the GitHub <a href="https://github.com/scripting/Scripting-News/issues/112">thread</a>. 
	- March 21
		- Joe Biden is going to run for president. Okay. I'm <a href="http://scripting.com/2019/03/17/135334.html#a144043">not</a> in favor of it. And today there's a <a href="https://www.axios.com/2020-presidential-election-joe-biden-stacey-abrams-vp-54472f8f-5bb2-4d1f-bc7c-0544a09ebba5.html">story</a> that to prove he's not just some random old white guy, he's going to name his running mate long before he's even won the nomination, <a href="http://scripting.com/2019/03/17/135334.html#a141900">Stacey Abrams</a>, a rising star of the Democratic Party. It reeks of what John McCain did in 2008 when he chose <a href="https://en.wikipedia.org/wiki/Sarah_Palin#2008_vice-presidential_campaign">Sarah Palin</a>. He paid <a href="https://www.youtube.com/watch?v=TxL7MKsGoPo">dearly</a> for that choice. Biden should stand on his own and compete on equal terms with the other candidates. If he wins, so be it. If not, same thing. Going down this path he risks being overshadowed by his very interesting running mate, the way McCain was by his choice. He may say it proves he has guts, but what will it say when she outshines him? 
		- The problem with the media reporting on itself is that it’s the media reporting on itself.
	- March 20
		- Yesterday's <a href="https://www.nytimes.com/2019/03/19/podcasts/the-daily/boeing-737-max-ethiopia-crash.html">Daily podcast</a> about Boeing's bug was interesting because bugs are starting to be mainstream life and death issues and the cost of lack of interop was frontmost in Boeing's decision to mask the difference in the two models of 737 using a compatibility bridge. Developer tool developers should be so concerned about the cost of re-training. Lots to process for techies. I listened to the podcast driving down the <a href="https://en.wikipedia.org/wiki/New_York_State_Thruway">NYS Thruway</a> in my Forester that <a href="http://scripting.com/2019/03/17.html#a035213">nudges</a> you to stay in your lane. I always think, what if there's a bug in this system, it might make my car do something like what the Boeing planes were doing. But I leave it on, because I like what it's doing, at least for now.
		- A friend who's known me for a long time said today that I am a special character. I like that. (Not sure which one though.)
		- 20 years ago, <a href="http://scripting.com/1999/03.html">March 1999</a>, was a big month for "RSS".
		- Noisy geothermal heating
			- This is a <a href="https://github.com/scripting/Scripting-News/issues/111">braintrust query</a>. 
			- The new country house has <a href="https://en.wikipedia.org/wiki/Geothermal_heat_pump">geothermal heating and cooling</a>, which is something I didn't know existed until I found this house. It's supposed to be a lot less expensive. It uses electricity to move water around to transfer heat from or to a pool of underground water that's at a constant temperature of 55 degrees. In the summer, it's used to cool, in the winter to heat. Genius.
			- But just before the heat comes on it makes a very loud jarring sound, like a garage door slamming shut. It rocks the whole house. Wakes me up when I'm sleeping. There's no preparation for it, it just happens. It's basically not acceptable. I don't want to get used to it.
			- I've tried searching on the net for ideas about how noisy these things are supposed to be, and no one talks about this loud sound.
			- I have to find someone to come out and take a look, but I don't know how to search for someone who does maintenance on geothermal heating.
			- I love the idea, but this is not an acceptable situation. I may have to switch to conventional heating and cooling.
			- PS: An AirBnB I rented the week before had the same problem. It was worse because the heat was going on and off all the time. So it was garage door slamming all night nonstop. Needless to say I didn't stay there the full time I had reserved it.
	- March 19
		- <a href="https://www.youtube.com/watch?v=gDxBN1y5C8o">A brief history of Brexit</a> is funny because it's true, and British.
		- Medium keeps changing their mind about what they are. <a href="https://blog.medium.com/medium-seeks-partners-to-launch-new-publications-6d7df0b05159">Today's change</a>, for me, adds to the confusion. Yet, if you think of Medium as a publishing company, as they seem to want us to, at least for now, of all the online publishing companies, they alone have structured their product around the idea of a somewhat level playing field where there isn't (much of) a distinction between professional writers and the rest of us. The big publishing and tech companies would be wise to pay attention. Even if Medium doesn't succeed, they are exploring an idea that is imho the future of news publishing. 
		- Facebook defaults
			- I found a default that's set the wrong way on Facebook. 
			- Here's the story.  
				- I set up a private group just for close friends for me to share stuff I don't want to be shared publicly.
				- I only added people, slowly, who I want to be in the loop on what I'm doing.
				- Someone I didn't invite posted a comment.
				- How did that happen?
				- I looked at the group settings and there's a pref that says whether or not group members can add people. It was enabled. Oy.
				- Luckily only one person was added this way, and it was someone I would have added anyway. But this should default the other way Facebook.
		- The clock doesn't turn back
			- You aren't going to solve the problems of journalism by turning the clock back to the 20th century. Because...
				- It doesn't work that way.
				- If somehow it could work, it's only in the interest of a few journalists...
				- Who don't want to use the new tech to make news better.
	- March 18
		- Note to self: A freshly set up Mac has weird mouse behavior. It scrolls when you move the mouse pointer, sometimes. This is how you disable it. In the Accessibility prefs panel, click on <i>Mouse & Trackpad,</i> then <i>Mouse Options, </i>then <a href="http://scripting.com/images/2019/03/18/mousePref.png">uncheck</a> the Scrolling popup. 
		- Today's <a href="https://www.nytimes.com/2019/03/18/podcasts/the-daily/new-zealand-mosque-shooting.html">Daily podcast</a> was about the terrorist attack in New Zealand. First they had interviews with victims, then quoted the prime minister about gun control and they ended with a broad trashing of the net, specifically YouTube and Facebook. But they omit a very <a href="http://thesaurus.land/?word=salient">salient</a> fact about the economics of running an open content publishing platform. You can't review each video in advance, there are too many videos and employees are too expensive. There are shades of gray, but for the NYT it's black and white. Further the reporters have a huge undisclosed conflict of interest, because the net is used for more than terrorism, it's <a href="http://scripting.com/2019/03/06/170723.html">sources going direct</a> to interested readers. There's a new news system trying to boot up. The same features of the net that make it possible to bootstrap a terrorism network, also enable new channels of news. But <a href="https://quoteinvestigator.com/2017/11/30/salary/">of course</a> this is never part of their discussion. They make it sound easy. Tech is bad. Tech is responsible. Implied but not said: shut it down. They are as scary as the terrorists. Think about it. 
		- It's way too early for a 2020 presidential horse race. I'd like to uncheck that box. Oh that's right, there are no topic <a href="http://scripting.com/futureNews.html">checkboxes</a> on Twitter. Somehow my car can steer itself, but Twitter can't tell a post is about horserace politics.
		- Journalism used to vilify Craig Newmark, then he started <a href="https://craignewmarkphilanthropies.org/">giving millions</a> to news think tanks, journalism schools, and startup news orgs. The new demon is Facebook. A few hundred million should make the troubles go away.
		- We need to talk about how we're going to reboot local news. The journalism industry <a href="https://apnews.com/790d194cbec347149be8b598009ad1c4">isn't</a> doing the job. 
		- This is our next big <a href="https://www.seattletimes.com/business/boeing-aerospace/failed-certification-faa-missed-safety-issues-in-the-737-max-system-implicated-in-the-lion-air-crash/">wakeup call</a>. If a couple of hundred people die in an American plane crash due to the incompetence of the FAA we can't say we weren't warned.
		- I decided to try <a href="https://www.amazon.com/gp/pantry/info?tag=googhydr-20&hvadid=223646217010&hvpos=1t1&hvexid=&hvnetw=g&hvrand=15591104968288053328&hvpone=&hvptwo=&hvqmt=b&hvdev=c&ref=pd_sl_7z63e8sfm8_b&hvtargid=kwd-315558576224">Amazon Pantry</a>, since I'm now living in a place where FreshDirect doesn't deliver. I just got a <a href="http://scripting.com/images/2019/03/18/soup.png">notice</a> that "Progresso Soup" has shipped. I ordered five different kinds of Progresso soup, wanting to try them all. I prayed that the title of the order was just one of the items they were shipping. Nope. One can of Progresso soup will arrive in its own Amazon box on Wednesday. I can see this will be a short-lived experiment. 
		- "Optimizing application" in Signal
			- I've had this problem for a few days in Signal and finally have a workaround. Warning you'll lose local copies of all the messages on your desktop only. They'll still be present on your phone.
				- In the Finder choose <i>Go to Folder</i> from the Go menu.
				- Enter ~/Library/Application Support/ 
				- Click the Go button.
				- Delete the Signal folder.
				- Re-launch the Signal app.
				- It'll ask you to pair it with your phone.
				- Do what they say to do.
				- It'll redownload all the stuff it needs.
				- Off you go!
	- March 17
		- My new <a href="https://www.subaru.com/vehicles/forester/models.html">Subaru Forester</a> has a passive self-driving feature -- it sees the lines on the road, if you steer outside the lines, it nudges you back inside the lines through a gentle force it applies to the steering wheel. If you ease up on the grip, the car steers itself, even on winding mountain roads.
		- I have some ideas for new architectures the RSS feed reader market, to better empower users and to create new opportunities for reading and writing tool developers.
		- Political tiersmanship
			- Tom Watson, who I have <a href="https://twitter.com/tomwatson/status/1107297515320283136">never met</a>, is a fellow New Yorker whose political opinions, until recently, track my own pretty closely. 
			- Tom just <a href="https://twitter.com/tomwatson/status/1107273866370523138">posted his list</a> of tiers of presidential candidates for 2020. I find it very provocative. Here are my comments on his list.
				- Please, just go away Bernie
					- First, there's one thing we agree on. Bernie should retire. 
					- We're saying goodbye to Hillary, even those of us who enthusiastically supported her in 2016. Sanders should step aside, following her example, as we want DJ Trump to retire, hopefully to <a href="https://en.wikipedia.org/wiki/Solitary_confinement">solitary confinement</a> at a <a href="https://en.wikipedia.org/wiki/Supermax_prison">max security</a> prison. 
					- Bernie is a vestige of the 2016 election, which we never will forget, but would really like to.  
				- Tom's A-tier
					- I don't think much of any of Tom's A-tier candidates. Harris doesn't speak well, I don't have a clear idea of what she stands for. The most convincing appeal I've heard for her came from California governor Gavin Newsom on Maddow. Now <i>there's</i> a politico who should run. He spoke highly of Harris, who he (surprisingly to Maddow) has endorsed. 
					- Gillibrand? Don't make me laugh. She flips positions so quickly, she's just a suit, running for something, without any reason I can discern. And she was the force that drove Al Franken from the Senate, and for that, I would love to vote for anyone other than her when she runs for re-election to the Senate. 
					- Booker? A solid meh. Like Harris and Gillibrand he says nothing other than I want to be famous. 
					- Warren? She'd be the best president of this bunch, but she's not the purist people think she is. I believed in her before she supported Israel in their killing of innocent Gazans. At that point I realized okay she's just a Democrat who has a specialized schtick. Not a good leader. Perfect for Massachusetts, not for America. 
					- Summary: If we elect any of these candidates, somehow (I think Trump will beat any of them) we will have wasted the election. And we'll get another Trump only worse next time. And Congress? Nothing will get done there. 
				- My A-tier
					- First, a note about criteria. A candidate, if you want them to win, has to be a great campaigner. Think about the poor campaigners Democrats have nominated recently and you'll see a list of losers. The winners, Bill Clinton and Barack Obama, were great at owning a crowd. Think about the moments they inspired you. So Corey Booker and Kamala Harris might have great ideas, and the support of other politicians, but both are stiff and not good at thinking on their feet. And then think about the guy they're running against, he lies shamelessly and he'll say anything for a laugh. So you have to exclude otherwise good candidates who would shrivel under Trump's abuse. Think of Jeb Bush as an example. Do you really think Gillibrand would do better than Jeb?
					- With that preamble, here's my A-tier: Klobuchar, Inslee, Buttigieg. They're very different candidates. I love Klobuchar because she would bring as much of the country together as is possible in 2020, and she has a strong spine, a calm demeanor and would be a good president. And she's lucky (thinking of the snowstorm in Minneapolis when she announced, who did she have to pay to make that happen). The fact that the press is gunning for her makes me like her even more. We have to think bigger picture than who best reps our personal policy preferences. Our form of government is built on compromise. You can't get everything you want, and neither can your most despised opponent. That's <i>good.</i> We have to think about the America the next president will govern if we manage to get Trump out of office. I think Klobuchar is our best choice for that. Not Biden. Not any of the others, except... 
					- Inslee, who I've only learned about recently, is actually the perfect candidate for our times. He has the guts to say what our top issue is, climate change, and is running on that as his only issue, and he pulls it off. A pragmatic and visionary politician who's great at leadership. Not often we get a chance to vote for such a candidate. His interview on Maddow was fantastic. Watch it if you can find it. (Their archives are awful.) He gets that politics is marketing, has ways of explaining all of it, in simple words that reach into your heart. And the great thing about it is, everything he advocates is right on, it's what we need to do. I would love to see a ticket with Inslee and Klobuchar, I don't really care who's #1 and #2. 
					- Buttigieg is smart and inspiring, thinks on his feet, has guts and also gets that politics requires positioning, memorable slogans that reach you at an emotional level, in other words, marketing. Like Klobuchar he comes from the middle of the country which is a big plus for 2020. 
					- I would pay money to see any of these three debate Trump (and btw, I think Biden would do pretty well there too). Tom's A-tier would deal with Trump's mischief about as well as HRC did, which is pretty good, but not good enough. 
				- The wild card
					- Stacey Abrams. Wow would she shake things up. She could either be Al Sharpton 2.0 (he was actually a good <a href="https://www.npr.org/programs/specials/democrats2004/sharpton.html">candidate</a>, but the press didn't take him seriously), or could come out on top. I'd pay <i>lots</i> of money to see her debate Trump. However there is a caveat. All the race hate that Obama inspired would re-double with a President Abrams. On the other hand, I guess this is a fight we're going to have, and I'm guessing she'd be the best to lead us. If she's running to raise her profile in advance of a Senate run in Georgia, then good for her. 
					- It's too early to worry about disruption in the field. And for sure Abrams would shake out airheads like Beto, Booker and Gillibrand. I would also pay to see them on the same debate stage. She'd mop the floor with them. 
				- All I have to say about Beto
					- Beto is the Democratic equivalent of Marco Rubio. A candidate designed by central casting, with no reason to be there.  
				- No to Joe
					- Joe Biden. I met him at the DNC in 2008. He's very charismatic, one of those politicians who make you feel like you're the only person who matters. He really is a good guy. But we have to win in 2020, and putting up someone who's even older than Trump loses us an advantage we need, the idea that we're looking to the future not to the past for our best. Biden's time has passed. It seems he is going to run. I think he'll add something to the field. And he deserves a chance to convince us we're wrong when we think he needs to join HRC, Bernie, Obama and <a href="https://www.themarshallproject.org/2016/01/08/my-life-in-the-supermax">Trump</a> in retirement. 
	- March 16
		- Fixed a bug in "feedBase" where if you upload an OPML file to a newly created account, it would lose track of its address. The <i>View my OPML</i> command in the Main menu would be disabled. It now works as it was supposed to. :check:
		- I use <a href="https://signal.org/">Signal</a> to communicate with any of my friends who will use it. I like that it's encrypted, and that it's open source. I'm not feeding Mark Zuckerberg. That's a plus. But today it's not working on my Mac desktop. When I launch the app it gets stuck in a loop saying it's <a href="http://scripting.com/images/2019/03/16/optimizingApplication.png">optimizing</a> the application. There is a <a href="https://github.com/signalapp/Signal-Desktop/issues/2581">thread</a> on the GitHub project about this, but the fixes are expressed in terms of a beta, which I don't think I'm running. According to the About window I'm running <a href="http://scripting.com/images/2019/03/16/signalAbout.png">v1.22.0</a>.
		- Ken Sedgwick from Berkeley: "Recently I became aware of <a href="https://keybase.io/">keybase</a>.  It is also open source and end-to-end encrypted.  It adds some really nice features authenticating your identity on twitter, github, reddit, http etc.  It also has encrypted groups with file sharing etc."
		- What could we do to prevent the kind of <a href="https://en.wiktionary.org/wiki/usurpation">usurpation</a> and abandonment of open formats and protocols so common among the big tech companies? I think there are some valid approaches. Including <a href="https://twitter.com/davewiner/status/1106694336215990272">this</a> from a thread on Twitter yesterday. "Let's talk about it. I think it involves patents and trademarks. And the equivalent of the GPL for intellectual property. Prevent open shared creations from being used in silos. <i>You can't import what you won't export.</i> Something like that."
		- Wires scare normal people
			- I was reminded of a story from Living Videotext in the 80s. We had a rule that every desk had to have a PC on it, which was somewhat radical for the 80s. That included our receptionist, Tammy, who was like my officemate, since my room was adjacent to the front entrance. We put a Toshiba desktop on the table next to her desk, and put a copy of ThinkTank on it, for notetaking, but she never used it. That was allowed too, the computer just had to be there. turned on and ready to go. 
			- One day we got a confidential demo of a <a href="https://en.wikipedia.org/wiki/Data_General-One">new product</a> from Data General, the first battery powered PC-compatible laptop. This was a huge deal. I brought groups of all the employees in to show it to them, including of course Tammy.
			- When she saw it she said "I would use that computer." I was puzzled. "But Tammy that computer does exactly what your Toshiba does." She replied, but it doesn't have all those wires. 
			- I learned something memorable there. People find computers intimidating because of all the wires. I don't blame them, I would too. That's the great thing about iPhones I guess. No wires.
			- PS: While we were testing the DG/One we were also testing the first Macintosh. Both used 3.5 inch floppy drives. But the formats weren't compatible. I tried to communicate to both companies, without violating the others' NDA that there was an opportunity to be compatible, but neither were interested. 
	- March 15
		- Yes, it's almost certainly a coincidence that <a href="https://www.thedailybeast.com/trump-warns-it-would-be-very-bad-if-my-police-biker-gang-fans-decided-to-get-tough-on-my-opponents">Trump threatened</a> his opposition (which includes a lot more than Democrats) with the force of the military, police and bike gangs the same day a <a href="https://www.aljazeera.com/news/2019/03/zealand-mosques-attack-suspect-praised-trump-manifesto-190315100143150.html">massacre of Muslims</a> was carried out in New Zealand, by a white terrorist, in Trump's name. Don't brush this aside. Trump's talk is more than a dog whistle. It's certain that fascists are present in the military and police. <i>That's</i> who he's talking to. 
		- It's just sinking in that <a href="http://scripting.com/2019/01/02/144116.html">Facebook</a> announced a radical shift in what their product does, reorganized around their chat apps. Are they shutting down the discussion group functionality? What does this mean for the ability to post messages on your timeline and to follow other users? What about private groups? Is Facebook going to shut down those functions? If so, we're facing a hole in the net far bigger than what Google created when they withdrew <a href="https://en.wikipedia.org/wiki/Google_Reader">Reader</a>. I'd like some idea from Facebook what this means for the public writing function of Facebook? And if that's going to be phased out, will they work with open web developers to replace the functionality off Facebook's servers. Let's try to put back some of the life FB drew from the web. 
	- March 13
		- It's not surprising that a journalist, Karl Bode, wants to <a href="https://motherboard.vice.com/en_us/article/qvymy3/consumer-groups-want-to-tax-facebook-to-save-journalism">tax Facebook</a> to pay him to write ads for journalism.
		- I got my coffee and breakfast sandwich at a nearby Manhattan Starbucks today. On the way out I noticed a Michael Jackson song was playing on the store's sound system. Since this is NYC, people didn't seem to notice. I think we're going to continue to listen to him, and I think that's right. The music doesn't belong to him, even if it's his voice, because it was so important in its time, to all of us. We all remember where we were when <a href="https://www.youtube.com/watch?v=sOnqjkJTMaA">Thriller</a> and <a href="https://www.youtube.com/watch?v=Zi_XLOBDo_Y">Billie Jean</a> were top hits. I was CEO of a growing software company headquartered on <a href="https://www.google.com/maps/place/2432+Charleston+Rd,+Mountain+View,+CA+94043/@37.4229346,-122.0917818,17z/data=!3m1!4b1!4m5!3m4!1s0x808fba04a984cc83:0xba930085ad5d12c5!8m2!3d37.4229346!4d-122.0895931">Charleston Road</a> in Mountain View. I was driving a white BMW 535i with a kickass sound system that was wonderful to listen to Jackson on. I was young, the world was mine, I was creating the best stuff in the world, and he wrote the theme music. These days I don't listen to his music very much, but I did just load up the Thriller album on my iPhone to listen to on the drive I'm taking today. I expect to enjoy the feelings it brings up. I'm enjoying writing about it now. 
	- March 12
		- <a href="https://twitter.com/johnrobinson/status/1105512447903965185">John Robinson</a>: "If I were still in newspapers, I ask @davewiner for help charting a new course." 
		- The NYT is steering us toward disaster
			- Two days of the Daily podcast have got me blowing my top. They have a scenario about the Mueller report that is <a href="https://www.nytimes.com/2019/03/12/podcasts/the-daily/nadler-mueller-trump-democrats.html">unhinged</a>, no other word for it. They need to be shaken, someone throw a pie in their faces, they need to read the Constitution, and think about what kind of country they want to live in, and then re-think their approach to the ongoing crisis that is the Trump presidency. 
			- First, the evidence that Trump committed a crime is overwhelming. Anyone with eyes and a mind can see it. Watch this <a href="https://www.nbcnews.com/nightly-news/video/i-was-going-to-fire-comey-anyway-trump-tells-lester-holt-in-interview-941538371971">interview with Lester Holt</a> (which of course they have all seen at the NYT, but apparently have forgotten). Having seen that, how could you imagine Mueller would come back with a conclusion that Trump did not commit obstruction? He confessed to it, publicly. We all saw it. Not a minor crime, he has been covering up a <i>stolen election</i> where he was the beneficiary. 
			- His confession was every bit as televised as the <a href="https://en.wikipedia.org/wiki/Lee_Harvey_Oswald#Murder">murder</a> of Lee Harvey Oswald. No one ever doubted that he had been murdered. They didn't need a special prosecutor. And no one imagined there would be a rebellion if a district attorney claimed he had been murdered. It was public, on TV, seen live by millions, just like Trump's confession.
			- So if Mueller comes back with what appears to be an impossible conclusion, the people who believe in the US as a rule-of-law country will have a tough decision. Do we immediately take to the streets? Do we have a general strike? Do we demand impeachment? They're so focused on potential retribution by Trump and his supporters, they forgot that most of us <i>voted against Trump</i> before the Lester Holt interview. We care about this country. We're not going to stand by and do nothing if the coverup extends to Mueller.
			- But of course Mueller is not going to come to that conclusion. This story is bullshit. The scenario isn't worth considering. If he does it's because someone is blackmailing him. They're holding his family hostage in <a href="https://en.wikipedia.org/wiki/Romania">Rumania</a>. 
			- Nadler by the way could not be blown off course by this nonsense. Thank goodness. He understands his job and is doing it, clearly and confidently, as if he believes in our system of government. I think that's a very basic quality we should expect from NYT reporters. 
		- TBL's first web browser
			- I like the <a href="http://osxdaily.com/2019/02/22/run-very-first-web-browser-worldwideweb/">way</a> they implemented <a href="https://worldwideweb.cern.ch/browser/">TBL's first web browser</a> written in JS presumably and running in a modern browser like Safari or Chrome. 
			- To go to a specific page, choose <i>Open from full document reference</i> in the Document menu and enter the URL. 
			- I tried loading the <a href="https://worldwideweb.cern.ch/browser/#http://scripting.com/">home page</a> of my blog in the app. It looks pretty good, but clicking links doesn't work at least in Chrome and Safari (the two browsers I tried).
			- I also tried a <a href="https://worldwideweb.cern.ch/browser/#http://scripting.com/autowebdocs/whatisautoweb_119.html">very early site</a> that hasn't been rebuilt <a href="http://scripting.com/autowebdocs/whatisautoweb_119.html">since 1995</a>. It's spectacularly <a href="http://scripting.com/images/2019/03/12/autowebInTBLBrowser.png">readable</a>. What a thrill! :boom: 
			- These sites, and the others I've tried, can all be read, which is testimony to the power of an unowned standard. As I've said elsewhere, if a big tech company owned the web, they would have deprecated its earlier forms long ago. Because no one owns it, forward compatibility is automatic. Of course that is very much at risk given Google's recent moves to <a href="http://this.how/googleAndHttp/">annex the web</a>. 
			- It would also be interesting to have early versions of Mozilla and Netscape browsers to try out in this mode too. Not to shame existing sites, because why should they be concerned about working in ancient browsers. Rather to experience early websites as they were designed to be viewed, given the limits of browsers of the times. This would help historians and researchers, now and in the future. 
			- Update: <a href="https://twitter.com/tedchoward/status/1105524589759811585">Ted Howard</a> recommends <a href="http://oldweb.today/">oldweb.today</a>. 
	- March 11
		- Pelosi is <i>totally</i> <a href="https://politicalwire.com/2019/03/11/pelosi-says-trump-is-not-worth-impeaching/">right</a>. Impeachment isn't something a party does, or even Congress. It has to be demanded by the people. Without that, not only can't it happen, it shouldn't.
		- <a href="https://twitter.com/davewiner/status/1105187254320943105">Thread</a>: He's a criminal. It's not in doubt. It's a proven fact. He confessed. On NBC.
	- March 10
		- I dare say most Knicks fans will cheer the day James Dolan sells the Knicks. So the fan who urged Dolan, quite politely, to <a href="https://www.nydailynews.com/sports/basketball/knicks/ny-sports-james-dolan-fan-knicks-20190309-story.html">sell the team</a> probably <a href="https://www.tmz.com/2019/03/09/ny-knicks-owner-james-dolan-bans-fan-msg-rude-sell-the-team/">speaks</a> for pretty much everyone in the Garden on any given night. He probably paid $1000 for his ticket to watch the Knicks get clobbered by the pathetic Sacramento Kings. For his advice to Dolan he's being banned from the Garden for life for being "rude." This is fucking NYC where people greet each other, with respect, by telling them to fuck off. I'm not kidding. I think it's long past time for Knicks fans to speak up. In the remaining nine home games this season, every game should be accompanied by universal chants of SELL THE TEAM, perhaps punctuated by ASSHOLE to give the punk (Dolan) a taste of non-trust-fund NY cultchuh. Then he can ban all 20K fans (Knicks games continue to sell out, amazingly) on the way out of the Garden. Repeat at the next game. 
	- March 9
		- Yesterday I bought a house to go with my new car. (Heh actually it's the other way around.) It's a beautiful house in upstate New York, in the Catskills. It's a place where old hippies go when they want to get an advance look at heaven. I was looking for six months, considered a lot of options, and went for a place that's a bit daring, not conservative, that's what I always seem to do. As you might imagine, I'll have much more to share in the coming weeks and months. :boom:
		- Warren asks the right question
			- I appreciate what Elizabeth Warren is proposing re tech companies. But we need to do more, and do it very soon. They are destroying natural resources the way oil giants did before the government stepped in. However our political leaders, like most users, don’t understand.
			- The natural resource they are destroying is the World Wide Web, an open, unowned resource that has fostered the innovative environment that gave birth to Google and Facebook.
			- Google is acting as if it were the government, without any checks and balances, no oversight, no redress of grievances. They say they’re doing it for the good of the net, but we know they’re a huge corporation, and that’s not how it works.
			- Facebook is sucking the life out of the web, along with Medium (where Warren published her manifesto!). Some simple rules, if followed, would restore balance to the web ecosystem. But there are no rules here, so they run wild, and take whatever isn’t nailed down.
			- They’ve had a fantastic run, but it’s long past time for some rules, and consequences for not respecting that we all have ownership of the resource they are foreclosing on.
	- March 7
		- <a href="https://twitter.com/davewiner/status/1103695231768252416">Poll</a>: According to a survey, a majority of Americans think Trump is a criminal. If you think he is, when did you realize it?
		- Facebook has value, dammit
			- I've been working on a project where I use a private Facebook group to gather info from experts, and a public blog to report on what I learn. It's proven a very good way to do (dare I say it) journalism, even though of course I have no training as a journalist. :-)
			- So I have to say I'm only beginning to use Facebook to its full potential. Who knows what comes next. But for all the asshole things FB the company does, FB the network has a lot of value. I don't like it any more than others do, but if it's there I'm going to use it.
			- Discussing this with a friend today I said, yeah I bet there's Exxon gasoline in the tank of my car too.
	- March 6
		- If you were going to design the ideal news reading environment, would it be a <a href="http://scripting.com/2014/06/02/whatIsARiverOfNewsAggregator.html">river of news</a> like Twitter, or would you use the mailbox reader style of the now-defunct Google Reader? Or would you do something else entirely?
		- It's <i>still</i> Sources Go Direct
			- Last time I spoke to the news industry in the US, blogging was booming, there was no Twitter, and podcasting was still very much in bootstrap mode. So I'm thinking that what I propose now, while it's basically the <a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">same idea</a> as I was promoting then, that we, the sources, the editors, and independent developers (not the big tech companies), work together to create a great open news publishing system (the basic vision of RSS, btw) might go over better than it did then.  
			- Back then, in the mid 00s,  I guess they thought I was dreaming, it was unrealistic, or whatever, but now all that I was pitching has happened. It really happened. We have a <a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">SGD</a> president. And Congress more and more is made of SGDers. But it's not happening in an open way, from my point of view because the news people won't listen, so things are faltering like crazy. Facebook, formed out of the DNA of Silicon Valley, has way too much power. News is shaped to suit their business interests, and not surprisingly this has choked off the <a href="https://www.deseretnews.com/article/676103/Microsoft-executive-denies-threat-to-cut-off-air-supply.html">air supply</a> for the news business. That's how dominant tech companies work. I know this because before news collided with Big Tech, I was a developer in the ecosystems of several huge tech companies. My career appeared to be over at age 37 because there was no way out of the tight boxes they had created for us, poorly designed boxes, like networking on the Mac, for example. Able to do so much but so crippled through its API that developers couldn't access its power. 
			- I struggled against it, and lost. But then the web came along, and boom, we were growing again. I was sure then and am equally sure now that the news industry will meet the same fate as MS-DOS devs, Mac OS devs and then Netscape et al. There is an economic math at work here, and being in denial of it doesn't change it. (These were among the very first pieces I wrote when my blog started up in October 1994.)
			- I don't expect to be liked for saying all this, but I'll try to smile "smile" and be affable, and maybe a few people will listen and see (as I believe) that sources and news people working together, without the big tech companies, is the only way out of the mess. 
	- March 5
		- Skiing
			- Good morning sports fans!
			- I went skiing yesterday for the first time in let's say five years. The last time was at Deer Valley in Park City, Utah. I remember being in extreme pain and skiing badly, and not being happy. But this time I was less than 30 minutes from a nice easy <a href="https://en.wikipedia.org/wiki/Belleayre_Ski_Center">ski area</a> (or so I thought) in the Catskills, on the day after five inches had fallen overnight, and I sucked up my courage and went skiing. It was painful, but I took it slow, and at times even felt in charge. It's the feeling where your boots are where you express your will to move in this direction or that. The skis in front and back of the boot almost aren't there. You move your ass one way to turn the other. When you get in that zone it's fun. I played another little mental game, sometimes when I'm <a href="http://scripting.com/stories/2011/07/05/bikingVsSkiing.html">bike riding</a> I pretend I'm skiing. This time I pretended I was bike riding. A new thing. Now this morning I'm sore from head to toe, but I feel gratified. I did it. I can still ski. 
			- Another thing I learned is that the vertical drop on Catskills ski areas are pretty good. The big difference is elevation. <a href="https://en.wikipedia.org/wiki/Belleayre_Ski_Center">Belleayre</a>, where I was skiing yesterday has a base elevation of 2000 feet, compared to <a href="https://en.wikipedia.org/wiki/Deer_Valley">Deer Valley</a> at 6500 feet. That's why the snow is so much nicer at the latter. It rains a bunch in the winter in the Catskills. Enough to make the snow wet sometimes and icy others. But yesterday it was perfect. The snow was the kind of stuff Utah is famous for. 
	- March 4
		- One of these days a thinker-about-journalism is going to have an epiphany, like this. Hey the crisis in journalism isn't just about me and other journalists. The people need and want journalism too. Maybe we should include them in the discussion about what to do?
		- I recommend watching this 9-minute <a href="https://www.youtube.com/watch?v=GH5oW3ynOFk">presentation</a> by <a href="https://en.wikipedia.org/wiki/Sarah_Kendzior">Sarah Kendzior</a> in 2015 about her experience as a journalist in NYC in 2000 and how things changed. At the beginning, she was paid enough to rent an apartment in <a href="https://en.wikipedia.org/wiki/Astoria,_Queens">Astoria</a> for $900 a month. By 2015, the same apartment rented for $2500 and her former job at the <a href="https://www.nydailynews.com/">Daily News</a> was now an internship that paid nothing. It's the first time I've heard the story told by someone who is not going on to say how tech needs to pay for the salaries of reporters. Her story is simple, compelling, and gives the problem of what to do to the listener. From here we can begin the discussion about how we proceed. Do we bet everything on finding a business model that returns journalism to the model that worked before the web? And if we do that, is that all we do? Is there no Plan B? No way to hedge against that not working? The truth is we need journalism. My job, as I see it, is to work on Plan B. Always have seen it that way. I'm not Craig Newmark or the Knights. I have no vast pile of money to pay to journalists to keep them employed. And even if I did, I think that's the wrong answer. I believe we need journalism to work. We all do. And I think it has to work <i>better</i> than it has worked before the web. My answer is not popular with journalists. They have a lot of power to shape the discussion, but journalism does not exist to serve them. It's for all of us. 
	- March 3
		- This is how parents <a href="http://scripting.com/images/2019/03/03/postcard.png">sent email</a> to their kids in 1968.
		- <a href="https://24houradventure.blog/quotes/">Mohammed Ali</a>: "Looking at life from a different perspective makes you realize that it’s not the deer crossing the road, rather it’s the road that is crossing the forest."
		- The Boston Celtics were so good last year, even though their two biggest stars were out for the playoffs, and this year they're struggling, even though they're both playing. More proof that teams are not arithmetic. There is such a thing as chemistry.
		- I was asked how I feel about my new <a href="https://www.subaru.com/vehicles/forester/index.html">Subaru Forester</a>. I love it. It's a sweet car all around, but the <i>best</i> thing about it is it fits me. For my whole life I've been driving cars that were too small. I'd have to <a href="http://thesaurus.land/?word=contort">contort</a> myself to get in and out. Not the Forester.
		- Does podcasting need a Netflix?
			- Maybe it's time to do some work on "podcatch.com", to make it possible for anyone to turn a list of podcast feeds into a reverse chronologic river of new shows. Help the open network push back against the VC-backed silos.
			- The diff betw podcasts and Netflix, btw is this. Movies and TV shows are almost all licensed, because they are very expensive to produce. Podcasts are not expensive, yes I know some orgs spend a lot of money but I don't think that makes them better. And the infrastructure for movies is super expensive and the infrastructure for MP3s is not. 
			- There are all kinds of reasons why podcasts will never need the kind of service that Netflix provides for video. But if we don't put up any open services, the lock-in might happen anyway.
	- March 2
		- I am going to listen to the <a href="https://gaslitnation.libsyn.com/">Gaslit Nation</a> <a href="http://gaslitnation.libsyn.com/rss">podcast</a>.  
		- After watching <a href="https://en.wikipedia.org/wiki/Bohemian_Rhapsody_(film)">Bohemian Rhapsody</a>, I wanted to see the actual <a href="https://www.youtube.com/watch?v=A22oy8dFjqc">Queen performance</a> at Live Aid.
		- When I was a teen, buying tickets at Carnegie Hall, a nice old man said he lost his wallet. If I loaned him $20 he’d send me $50 when he got home to Connecticut. I gave him the money and my address. The old guy is Trump and his voters gave him the money.
	- March 1
		- I saw an <a href="http://scripting.com/images/2019/03/01/electricCitiBike.png">electric Citi Bike</a> today in Manhattan.
		- Adweek is a sneaky outfit. If you go there with an ad blocker on you get <a href="http://scripting.com/images/2019/03/01/adweek.png">this scolding</a>. So if you turn the ad blocker off, you still can't read the article. This is supposed to make you do what? Subscribe? Not really, I wonder if they user-tested this. 
		- Over on Twitter, a question -- "What do you do to feel more confident?" I have an answer, but it's sort of <a href="https://www.urbandictionary.com/define.php?term=NSFW">NSFW</a>. So I'll post it here instead of there. Certain drugs in  your bloodstream give you confidence. Not sure if this is true for women, but it is true for me, and I'd guess for other men. So when I'm feeling frail, or sad, or lacking direction, I stimulate my body to produce this drug. It's never failed. :boom:
		- Buying furniture online?
			- The web is showing me lots of furniture ads these days. Here's an <a href="https://www.hayneedle.com/product/kodiakfurniturealbanylinenconvertiblefutonsofa1.cfm">example of an ad</a> for a simple convertible couch that looks really nice imho.
			- Here's the thing I don't understand. How can you buy furniture online? I can't get a feel for it. This little couch is very cheap. It must feel cheap, right? But it doesn't <i>look</i> cheap.
			- How can people buy something like this without sitting on it first? How does this work? Plenty of people must buy this way or there wouldn't be so many businesses selling this way, I assume...
