- February 2021
	- February 28
		- If a software developer from the 1980s were transported to the 2020s by a time machine, the first thing imho that he or she would want to know is what happened to all the word processors. why do people mostly use such shitty software to write online.
		- Sometimes I write <a href="http://scripting.com/images/2021/02/28/facebookthread1.png">good</a> <a href="http://scripting.com/images/2021/02/28/facebookthread2.png">stuff</a> on Facebook and that kinds of sucks because it's hard to point to. If we had a good scripting tool for the internet as a whole, then we could pull together all our creations, so at least we could archive, index and make them searchable. I hate when I deposit a good idea on Facebook or Twitter. They often are impossible to find even 24 hours after I write them. We can do much better.  
		- My Twitter newsletter is not off to a roaring start
			- I started a newsletter using <a href="https://blog.twitter.com/en_us/topics/company/2021/making-twitter-a-better-home-for-writers.html">Twitter's newly acquired service</a>, just to see how it worked. Four people subscribed. The email went out last night at midnight. Here's the <a href="http://scripting.com/images/2021/02/28/reportForNewsletter.png">report</a>.
			- Since <i>no one</i> read the newsletter, I thought I should post the content here. Why waste some good off-the-top-of-my-head writing? 
				- What I want, and will accept no less, is to be able to use my editor, my writing space. Ask any writer how they like to write, and they’ll tell you that they like to write where they write. Forcing me to use your tool says you have an attitude of world domination. Unfortunately quite a few other tech companies have the world domination strategy. This is how we get silos, and how we create weak tools and limit communication. At a time where we need better communication tools.
				- Also one other question? Why don’t they suck in my tweets? What a missed opportunity. In my editor, I have a command that gets all my recent tweets, so I can use them as a starting point for more writing. Twitter now makes a pretty good place to drop an idea for exanding on later. You’d think Twitter itself would understand that.
				- One more thing. Their writing app needs automatic vertical scroll. I don’t want to take my hands off the keyboard while writing to do something like scrolling the screen vertically, that the software should be doing for me.
				- Anyway that’s enough for one issue of this proto-newsletter.
			- PS: I am one of the four subscribers and as far as I can tell I did not get a copy of the newsletter via email. It says I subscribed over three years ago. That's pretty weird. Maybe I tried it once before they were acquired by Twitter? I tend to do that. Oh well. :boom:
	- February 27
		- I write code the same way I write blog posts: as if someone is going to read it. I want to make sure they understand, to the best of my ability. So I leave clues, and use names that hopefully give the reader an idea of my intention. With code, it has to work, at a machine level, so sometimes you have to trade off some human sense for machine sense. But the basic motivation is the same. If I can't work on it later, even when it isn't fresh in my mind, it's not worth nearly as much. 
		- In the early 2000s we had an <a href="http://1998.xmlrpc.com/metaWeblogApi.html">API for writing tools</a> to plug into content systems. We felt that writing tools should develop independently of how the writing is distributed. Simple idea, any developer can understand the need. But today, the systems don't offer choice. If you want to publish in their environment you have to use their text editor. Facebook makes you use their editor, it's a piece of crap, it has tiny little type, hard to read, super buggy. Why can't I use my own editor. Just want to tell non-devs out there, they could do it, easily and cheaply. Their reason for not doing it is to lock you in to using their tool. What a waste of our brainpower. It's as if your printer came with word processing software and you could only print stuff from that app. That's what Substack is doing, and Twitter's new newsletter software does it too. Use our primitive writing tool, that's the only choice. Ridiculous. It's a throwback to the way tech worked <a href="https://www.historyofinformation.com/detail.php?id=929">in the 1970s</a>. Bottom line, start evaluating these services based on the quality of their writing tools, really criticize them, until they get tired of hearing it, and offer you a chance to use the ones you love. 
		- Have you ever heard this idea on the op-ed page of a major news org or spoken by a commentator on cable news. "The reason news is in such hard times as a business is that they let the tech industry control their distribution. If they had competed they'd be making plenty of money."
	- February 26
		- How would you feel if Biden supporters invaded the CPAC meeting on Sunday when El Orange is speaking, and shot up the place, killed a cop, beat up a few more. Par for the course? Shit happens? Move on? Get over it? MAGA! Why not? Look who's up there on stage. Individual 1.
		- Perhaps my favorite thing about my <a href="http://scripting.com/2020/11/26.html#a201945">Subaru Forester</a> is how well it fits me: "It has more headroom than any car I've owned, which is cool because my torso is huge. In most cars, designed for normal-size people, I hit my head getting in, and have to scrunch my body uncomfortably just to fit. I sail in and out of the Forester, and I can sit any way I want." Is the same true of a Tesla, if so which one? I would certainly have to verify. 
		- One answer to all the new Republican voter suppression is to move Presidents’ Day holiday to the Tuesday after the first Monday in the month of November.
		- That huge crashing sound was..
			- The other night it was super windy, and my house makes pretty nasty sounds when it's windy, but nothing like what it did that night. A huge crashing sound from the roof, like a big tree had hit the house. I was surprised the house could be rocked so hard and still be standing. 
			- In the morning, I checked. No tree. This really weirded me out. 
			- I had no idea what had happened until a few minutes ago, when I saw on the upstairs patio off my office there were these huge chunks of ice. I tried picking one up, and it wouldn't budge. Hundreds of pounds of ice, all over the place. 
			- Clearly what had happened that night was a chain reaction of ice that had accumulated through all the storms this winter, dislodging and crashing down off the porch at once. Right over my poor sleeping head! 
			- Oy at least it wasn't a tree. And the house is still standing!
			- The culprit. Lots of heavy ice.
	- February 25
		- <a href="https://twitter.com/davewiner/status/1365006719374548993">Poll</a>: If you were a Republican who believes in the rule of law and the Constitution, what would you do?
		- If you don't believe such a thing exists, listen to this <a href="https://cafe.com/stay-tuned/trumpeachment-with-david-frum/">discussion</a> between David Frum and Preet Bharara, all the way through. Obviously Frum, a Republican, passionately believes in the rule of law, and he is staying a Republican, he says so clearly. I read Frum's <a href="https://www.amazon.com/gp/product/B07XKVQ2MJ/ref=dbs_a_def_rwt_bibl_vppi_i0">latest book</a>, I read all his Atlantic columns. I cringe when he talks about Republican campaigns he worked on, and his experience in the Bush II administration. How could someone so honest be so corrupt? Somehow it works for him. Who am I to question. I have a philosophy. I don't ask how you got to the party. I don't care if you took the subway, or cam in a limo or an Uber, or you walked, rode a bike, or hijacked a bus. You're at the party, that's all that matters. Let's work together to get back to a place where we can respectfully disagree, and retain our honor. I'm pretty sure Frum would agree.
		- <a href="https://www.youtube.com/watch?v=ab5zTLltXh4&feature=youtu.be">A video demo</a> shows how un-disruptive it would be for Twitter to go beyond 280 chars.
		- If you work at a tech company and hear someone say that you're going for world domination, tell them I said it's okay but you should plan for co-existence and working with your competitors for the benefit of users. Just in case you don't achieve world domination. Always good to have a Plan B. :smile:
		- Following up on the <a href="http://scripting.com/2021/02/22.html#a182406">question</a> about <a href="https://www.amazon.com/Thomas-Original-English-Muffins-Value/dp/B003G8DA9G">English Muffins</a>. The <a href="https://twitter.com/davewiner/status/1363858221694398465">consensus</a> is they are not muffins. This, believe it or not, is a practical question. I was at the grocery store, loading up the conveyer belt for checking out. I dropped a pack of English Muffins on the belt, and accidentally dropped the other on the floor. I said "there are two packs of muffins, please run that through twice." When I finished she said she didn't see any muffins. I laughed, and pointed to the <i>English</i> muffins. We had a nice discussion about whether or not they really are muffins. I thought I should ask my Twitter followers and Scripting News readers. We are mostly in agreement. 👎
		- Twitter has a newsletter service. I signed up to see how it works. <a href="https://www.getrevue.co/profile/dave-winer/issues/weekly-newsletter-of-dave-winer-issue-1-79432">You can subscribe</a>, but there probably will only be this one issue. Functionally it's very similar to the others. You have to use their editor. I already have an editor that's customized for the way I work, so there's no way I'm using their editor. I already have <a href="http://scripting.com/email/">email distribution</a> of my own. It's ridiculous. They must not understand how writers work. We find the tool that's right for us and it becomes part of our bodies. Too much world domination as a strategy in tech, as always. That's how we get situations like this. 
		- These few years will determine the fate of the world in so many ways. It’s like a comedy, a very dark one, that so many focus their attention elsewhere. From Repubs trying to rig the elections so they win even if they don't have the votes, to liberals trying to enforce philosophical purity in journalism. Meanwhile <a href="https://www.youtube.com/watch?v=efHCdKb5UWc">the world burns</a>. 
		- Let my tweets breathe!
			- My wish list for Twitter itself follows, not any of the things they announced today, all of which could be done just as well by others, and have been. 
			- To the core product, this is what I want. 
				- Tweets with more than 280 chars. 
				- Tweets with titles.
				- Simple styling, bold/italic.
				- Links.
				- Enclosures (for podcasting).
			- <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">A "more" button after 280</a>, so it's functionally equivalent to today's limits.
			- Would be enabling, explosive, powerful, society-transforming, useful, something only Twitter can do. Why not.
			- Let my tweets breathe! 
	- February 24
		- Today's song: <a href="https://www.youtube.com/watch?v=6vlPgDhIzKM">Country Comfort</a>. 
		- Are you addicted to the feeling the world is about to end every day. I found that I had a mild addiction to it, but I have been able to give up the drug now that Biden is president and the Dems are in charge in DC. I am happy to be a citizen, very tired of being a pundit. 
		- Listening to President Biden's <a href="https://www.npr.org/2021/02/22/970155352/white-house-to-honor-victims-of-the-coronavirus-in-evening-ceremony">schmaltzy speech</a> about the 500,000 Americans who died of Covid, I was sobbing in tears through practically the whole thing. I don't have any family or friends, that I know of, who have died of the virus. But the words reach inside this American's heart. Love of country and family live in the same place. We've lost a lot, but we're still America. You could argue, factually whether or not it's the greatest country in the world, but to the heart of this American, whose family found refuge here, who simply wouldn't exist if it weren't for America, there is no argument. We are great, when we choose to be great. 
		- BTW, that might be the first time the term [%search: President Biden%] have appeared on this blog. Oops it has appeared <a href="http://scripting.com/2021/02/13/183757.html?title=afternoonImpeachmentNotes">once</a> before. 
		- If you're a regular listener to <a href="https://radioopensource.org/">Radio Open Source</a>, and would like to help boot up a nice community around this <a href="http://scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">foundational podcast</a>, please send me an email or <a href="https://github.com/scripting/Scripting-News/issues/201">leave a comment here</a>. 
		- In 2017, I <a href="http://scripting.com/2017/01/12/scriptsMenuInLittleOutliner.html">wrote about</a> the (then new) Scripts menu in "LO2". I've been spending the last few weeks working with that functionality because we solved a big problem with JavaScript, how to make it work like an actual scripting language. This menu/script editor idea goes back to the early days of Frontier, and <a href="https://www.google.com/search?q=frontier+menu+sharing">menu sharing</a>, which was a feature adopted by Netscape, Microsoft and Apple, and then basically everyone else, in the early days of the web on the Mac. People say blogging is coming back, I hope so, and blogging came from scripting, and vice versa. The two technologies are very intertwined. That's why this blog is called "Scripting News", btw, which is a pun. 
		- John Naughton loves his Tesla
			- In response to <a href="http://scripting.com/2021/02/23.html#a224008">yesterday's bit</a> about Scoble and me lusting after a Tesla, I got a wonderful email from <a href="https://en.wikipedia.org/wiki/John_Naughton">John Naughton</a> about his love of Tesla. Even better, he told me which one to get! :boom:
				- I saw <a href="https://scobleizer.blog/2021/02/21/teslas-data-advantage-can-apple-or-others-keep-up/">Scoble’s post</a>, which I thought was perceptive.  I was receptive to it because last year I took the plunge and bought a Tesla — a <a href="https://en.wikipedia.org/wiki/Tesla_Model_3">Model 3</a> — and it’s been a transforming experience. What makes that remarkable is that I’m a recovering petrolhead — I had a 3.8 litre Mk II Jaguar towards the end of my grad student days — and believe me that was a big deal in those days.  So I’ve always been interested in cars, and over the years have owned lots of good and interesting ones.
				- But the Tesla is something else.  It’s basically software with wheels.  Every week or so it gets a software update — mostly bug fixes or minor features added.  For example, it used to be quite a palaver to open the glove box: you had to go to the touchscreen, go down a level, find glove box and tap on the icon.  Now you have voice control and you just say “Open Glove Box”.  That came in a software update.  Every so often there are more consequential updates — there’s one coming soon to the Autopilot and, eventually, to the (optional) Full Self Drive software which, theoretically, enables a measure of autonomous driving. So it’s a car that improves steadily the longer you have it.
				- I’m not interested in FSD because I rather like driving. But also I’m getting older and I wanted a car that could look ahead and take avoiding action if I missed seeing something — which it already does when Autopilot (which is basically just smart cruise-control) is on.
				- The Model 3 is a delight to drive — it’s as nimble as a Porsche (and indeed seems quicker — zero to 60 in 3.1 seconds — than even a Porsche 911).  And it’s soooo quiet. My wife and I can whisper and hear one another at 70mph on a freeway.
				- The other big deal is that Tesla starting building a supercharger network almost as soon as they started building cars.  This was smart because the non-Tesla charging networks are still chaotic and often unreliable — which is why people with non-Tesla EVs continue to find long journeys sometimes erratic and problematic.
				- If you do decide to go for one, I suggest you go for the long-range, dual-motor version of the Model 3.  That has all-wheel drive, which I reckon is necessary in the winter for where you live.
				- And get a home charger, so that whenever you leave the house the car is fully charged.
				- In a way, after I got the car I thought of you.  Tesla is what the automobile industry ought to have been doing when the tech arrived, just as you think the journalism/media business ought to have pivoted when the Internet and the Web arrived.
		- Soon it will be summer
			- It's all up from here.
	- February 23
		- I spent much of the day at the eye doctor, and left with my eyes dilated, still feeling weird. So you are forewarned this is not the usual "Scripting News" fare. No doubt many typos.
		- Scoble is trying to convince me to buy a <a href="https://www.tesla.com/">Tesla</a>. Confession: I'm starting to lust after one. But I'm also lusting after a Ford 150. Oy such problems. This is what I meant about feeling reborn after being double-vaccinated. I'm wearing a mask, frankly I think we should all wear masks from now on, for the foreseeable future. The way they did in Asia. People just wore them. I always thought it was weird. Then Covid happened, and they did a lot better than we did in mask-averse America. I think part of the return to "normal" is to understand that normal means something else now. 
		- About normalcy. I was telling a friend how there was a party atmosphere at the place we all got our vaccines. She pointed out that it might have been that we had been so deprived of social contact, and I slapped my hand on my forehead. Of course. I am not usually as gregarious as I've been in the last year, when I have had a chance to be with other people. I thrive on it.So we were all high at the vaccination site not just with relief at gaining some immunity, but also because here were some real live humans to talk with! It's why I think, no matter how dire the reality is, when we achieve new kinds of social interaction we will be a happy place, probably for quite a while or hopefully. I remember how it felt after 9-11, but the togetherness was short-lived. Maybe we should think about what kind of normal we want?
		- One more thing. I had to spend a few hours at an eye doctor today for a checkup. I wanted to be chatting with people, but they weren't interested. Then I realized they work in a busy office, to them there's nothing unusual about having someone to chat with. As I waited for my eyes to dilate, I heard lots of random conversations, and didn't realize then how unusual that was, a fairly normal thing in the past, but foreign to me now. 
		- Okay yet another thing. Apparently after the 1918 pandemic no one wrote about it, no songs were written, no great movies or novels about life in the pandemic. I wonder if it'll be like that this time. 
		- The exam room at the eye doctor.
	- February 22
		- I love English Muffins, but <a href="https://twitter.com/davewiner/status/1363858221694398465">are they really muffins</a>?
		- I keep sharing this idea with my friends at <a href="https://radioopensource.org/">Radio Open Source</a>, but I don't think they get it. It's the same advice I'd give to any professional news org. Build more community around your podcast. If you do a weekly show, say on a Thursday, compile a set of emails from listeners and publish it on Tuesday, via email, as a newsletter. That way you get to know who's listening, and we get to know each other. Chris's podcast no doubt has some very interesting listeners, who are they and what do they think, what do they know? They've set up, imho, a too-narrow pipe, necessitated by the technology <i>we used to use</i> for radio. Today's tech makes so much more possible. You just have to want to do it. I don't doubt they could find volunteers to read and curate the emails, so only the really interesting stuff goes out. What made me think of this was <a href="https://radioopensource.org/write-like-the-russians/">last week's show</a>, with a famous <a href="https://en.wikipedia.org/wiki/George_Saunders">English prof</a>, going through how short stories work. It was just a tiny sliver of a scratch of the surface. I want to know much more about this. Also glad to get away at least for a moment of end-of-the-world stories, which tend to dominate the podcast-o-sphere these days. :boom:
		- <a href="https://en.wikipedia.org/wiki/Lizzie_Vann">Lizzie Vann</a>, a famous entrepreneur, did something bold, she bought and renovated <a href="https://bearsvillecenter.com/">Bearsville Center</a>, a theater, studio and restaurants and other buildings in <a href="https://en.wikipedia.org/wiki/Bearsville,_New_York">Bearsville NY</a> that were built by <a href="https://en.wikipedia.org/wiki/Albert_Grossman">Albert Grossman</a> in the 60s and 70s as a place for the musicians he worked with to gather. He died in 1986, eventually Bearsville was abandoned. But now, it's beautiful again, an up to date and very attractive venue, what a great gathering place, as it once was, esp for people who produce audio (eg podcasters). Watch this <a href="https://www.youtube.com/watch?v=5FEpT8INVn8&feature=emb_logo">video</a> to get an idea. A beautiful place. Lovely in summer. An idea, as we come out of the pandemic of course. :rocket:
		- There should be a way to opt out of Fox on cable. I realized recently that I've been paying them as much as the most MAGA person in the world, <i>for decades. </i>I want to stop paying them. I want my money back too. Let's organize this. Fox is something that truly needs to be cancelled. 
		- Ex-Repubs should join the Democratic Party. What matters most is a commitment to the Constitution and rule of law. We can work on the rest.
		- I posted this on Facebook five years ago. I thought it was funny then, it's even funnier now. I hope.
	- February 21
		- I released a new <a href="https://github.com/scripting/folderToJson">Node package</a> earlier today.
		- Just read the name "ivanka" in a Facebook message and had to try hard to remember where I had heard that name before. Another thing I'm having trouble with is remembering if and when "intent" matters with the NYT. They run an op-ed from a troll, I guess intent is irrelevant?
		- A platform like Facebook is very hard to build. Serving billions of users, hundreds of millions at the same time, is a mostly unheralded accomplishment, probably like putting a man on the moon. Yet this never comes up in the public analysis. 
		- I don't watch a lot of movies these days thanks to the pandemic I guess. But in the last two days I watched two, <a href="https://en.wikipedia.org/wiki/Nomadland_(film)">NomadLand</a> and <a href="https://en.wikipedia.org/wiki/I_Care_a_Lot">I Care a Lot</a>. It's hard to imagine two more different movies. NomadLand is a character study, played by a 63-year-old <a href="https://en.wikipedia.org/wiki/Frances_McDormand">Frances McDormand</a>. Her age is important. I understand this somewhat because I'm 65, and it's like that great <a href="https://www.youtube.com/watch?v=_Z_7eu64y6c">Al Pacino speech</a> in <a href="https://en.wikipedia.org/wiki/Any_Given_Sunday">Any Given Sunday</a>, as you get older <a href="https://youtu.be/_Z_7eu64y6c?t=102">things are taken</a> from you. Parents, friends, lovers, and then pieces of yourself start going, and you're left wondering what the fuck. That's NomadLand in a nutshell. The acting is beautiful, the scenery, the characters, the feelings (somewhat) -- but the story? It's like viewing a work of art in a museum. It's just there. It's for you to decide what it means and a lot of that will depend on how old you are, I imagine. I Care a Lot is very much the opposite, but interestingly it's also about things being taken away from an old person, in this case played by 72-year-old <a href="https://en.wikipedia.org/wiki/Dianne_Wiest">Dianne Wieste</a>. So much happens in the first few minutes of the movie, and it's so anger-making, I turned it off at least three times to regain my composure to continue watching. But then it becomes a rollicking ultra-violent comedy, kind of like a Quentin Taratino movie, but funnier. If you want entertainment, I Care a Lot is for you. I will watch NomadLand again. Sometimes movies like this don't grab me on the first viewing, for example, <a href="https://en.wikipedia.org/wiki/There_Will_Be_Blood">There Will Be Blood</a>, which i panned after a first viewing, then <i>loved</i> after a second. I'll let you know.  
		- BTW, the title, I Care a Lot, is a joke. :boom:
		- Blogging is still with us
			- My friend <a href="https://twitter.com/jeffjarvis">Jeff Jarvis</a> is going on CNN shortly to talk about Google, Facebook, Australia and Murdoch. 
			- Had a thought. Simple arithmetic. There was a fantastic boom, blogging made a lot of stuff happen. Where did it all go? The thesis from journalism seems to be all that is over, ancient history. I think the evidence is to the contrary. Blogging reshaped the world. Not only for good, of course. 
			- Journalism plays a magic trick, ignoring the changes, and the good, and only focusing on how the new tech (yes it still is new) can be used for evil. 
			- Perhaps possibly because of their conflict of interest.
			- Jarvis is going on with <a href="https://twitter.com/brianstelter">Brian Stelter</a> who I understand got his start in <a href="https://www.adweek.com/convergent-tv/how-a-cable-news-blog-turned-into-a-top-source-for-the-highs-and-lows-of-broadcast-media/">blogging</a>. So it would be interesting if Jeff asked him a question. Do you think the flow is just one way, from journalism to Facebook, or perhaps something more is going on. 
			- My thesis is that blogging may be somewhat vestigial, may be a virtual dinosaur, but its genes are still in ciculation, the equivalent of <a href="https://www.scientificamerican.com/article/how-dinosaurs-shrank-and-became-birds/">online birds</a>.  
	- February 20
		- Finally a future-of-journalism <a href="https://thelogic.co/opinion/letter-from-the-editor-publishers-fight-with-big-tech-shows-the-risk-of-giving-away-your-most-valuable-asset/">pundit</a> who sees (and says) that the users are a huge asset that the news industry has ceded to Facebook and Twitter. There's simply too much news happening for the journalists try to cover it all. We need a cooperative effort. And despite all the trash talk from journalism about Facebook, a lot of very important stuff happens there, without their awareness or help. 
		- My perspective has shifted since being twice-vaccinated. 
		- <a href="https://www.metacritic.com/movie/i-care-a-lot">I Care a Lot</a> is a fine movie, in a way, the best movie I've seen in a long time. The beginning is hard to watch, but if you're getting on in years, you should know that what they depict actually happens, out of the blue people are committed, by strangers, and their assets stolen, legally. Anyway, once you get over that hump, almost every time you turn a corner, there's something new and wonderful. I haven't had my attention held by a movie like this in a long time. 
		- I was once invited to speak at an "RSS" conference in NY. I was living in Florida, they refused to pay my expenses, so I sold advertising for my speech. The promoters were offended. Of course all that anyone wanted to talk about at the conference was how to add advertising to RSS.
		- Trump supporters after the insurrection
			- A recital of some facts. 
				- The US is great at elections. We have been running them <a href="https://en.wikipedia.org/wiki/1788%E2%80%9389_United_States_presidential_election">since inception</a>, longer than any other country in the world. We are the gold standard in elections. 
				- Our elections are not perfect, but their imperfections heavily favor Republicans. 
				- The 2020 election was a standard US presidential election. 
				- It was secure, fair and not in any way rigged. 
				- Joe Biden won the election, in terms of votes, and in the Electoral College.  
				- On January 6, Trump supporters attacked the US Congress, and came close to overthrowing the elected government of the United States. This was and still is shocking. We have not fully processed yet what happened on January 6. 
				- Whether you think Trump caused it or not doesn't matter for this question. Trump supporters did it, in his name. It seems impossible for one to support Trump at this point, and not also support and accept the insurrection. If you self-proclaim as a Trump supporter, you also support the overthrow of the elected government of the United States by force. Sorry if this is news to you but you are not a patriot, you are a traitor. 
				- Before the insurrection you could possibly shrug off our "differences" but now your friends who are Trump supporters are no longer willing to accept the result of a fair election, and their response to the fair election is to try to overthrow the government. You can't accept this. Even if they are family members. You have to turn your back on them. 
				- I thought Julian Castro said it brilliantly at the impeachment trial. Asked if he was concerned about Trump winning in 2024, he said no --  he was afraid of Trump losing. He's afraid of a repeat of what happened on January 6. He's right to be afraid. 
				- Trump supporters live in an incompatible alternate country. The two cannot co-exist. We have to defeat them. It's not just about the people who crashed the Capitol, it's about the people who accept that. No excuses, not interested in discussing. We do not co-exist. 
	- February 19
		- <a href="https://twitter.com/davewiner/status/1362566978922250243">Question</a>: Is there a movie you’ve watched a dozen or more times, that you’d watch right now if it were on? Lots of responses. 
		- How much carbon am I emitting with <a href="https://twitter.com/davewiner/status/1362869318766239745">this tweet</a>?  
		- I just cancelled Fubo and YouTube TV. I was able to replace both for <i>much</i> less money by re-hooking up with Spectrum, my cable provider. So <a href="http://scripting.com/2021/02/16.html#a174955">cutting the wire</a> is not economic. That word should get around. When you look at the set top box and think "I can save money by getting rid of that," that's probably wrong. This is an ever more divided space, where big media companies use their content to keep you in their networks. And since many of them also own movie companies, and the pandemic has destroyed their distribution system, they;'re all trying, cautiously,  to use their streaming services to unclog their new movie pipelines. I guess because of history, the cable providers can offer the best deals? Not sure why it is that way but it is. YouTube TV still has the most comfortable UI in this category, btw. Spectrum's is awkward, but I'm guessing I'll get used to it.
		- The Disney streaming universe. (Typical)
		- Why I sympathize with McNeil
			- One of the reasons I'm so sympathetic with [%search: Donald McNeil%] is that I have a friend whose career was ruined by something not all that different from what happened to McNeil. And unlike McNeil, he's still got a number of productive years before retirement, has three children to provide for, and more important deserve to look up to their father.  
			- There are some people whose loyalty is so valued that no matter what happens I'll stand by them. There aren't many in my life. There was a time in 2002 when I was really sick, and had a long recovery in front of me. I made it is because of the help of three friends. And one of them is this person, who I'm not going to name, because I think there's a chance doing so would make it worse for him, and that's the last thing I want. 
			- This is something "the left" does, and it's real. They're pretending they don't do it. But they do. It's just as awful imho as the people who attacked the Capitol, at least they had the guts to try to ruin things out in the open. The people who attacked my friend had nothing against him. It was all laid out in a Medium post, crafted to make no specific charges, just to phrase things that made him seem like a <a href="https://en.wikipedia.org/wiki/Harvey_Weinstein">Harvey Weinstein</a> type, when he is nothing of the sort. 
			- Anyway another friend who reads my blog pointed this out. You are taking a lot of notice of McNeil, she said in a phone conversation. It's true. I love what McNeil did during the early days of the pandemic. I will miss his commentary as we go forward, but hopefully he can find another path to the podcast universe. I also like the rapport he had with Michael Barbaro, and I guess that's gone. I think the NYT is a lost cause. 
			- But friendship, that's still the whole thing. The personal connection. The knowing your friend is deeply flawed but still he's your friend. I can openly advocate for McNeil without much risk, but the issue is much bigger than McNeil and the NY Times. 
			- If I recall correctly, everything is in bloom in California this time of year.
	- February 18
		- My Mac is in <a href="https://www.youtube.com/watch?v=gFpyZeWU_EQ">Notification Hell</a>. Can you help? And a few minutes after posting this I got to the end of the list. And that's that. No more notifications. I think the Computer God had mercy on me, after I pleaded properly. Anyway, never mind. :smile:
		- The Republican Party, what's left of it, has one common value. Freaking out libtards so they can say they don't give a fuck about your feelings. They will keep upping the outrage to get this reaction. My mother taught me about people like this. I've met quite a few in my life.
	- February 17
		- Got my second vaccination today! :smile:
		- Anyone who has an opinion will be seen as grumpy. 
		- People don't know that [%search: podcasting%] came out of the blogging and RSS community in the early 2000s.
		- Something to be grateful for, if <a href="https://en.wikipedia.org/wiki/Rush_Limbaugh">Rush Limbaugh</a> had died a month earlier, Trump would've probably had a state funeral for him.
		- I use a Mac. I keep the <a href="https://support.apple.com/guide/macbook-air/the-dock-apd4b7fb731f/mac">desktop Dock</a> at the bottom of the main screen. I want to be sure the dock doesn't magically get moved to the second screen. It happens every few days, if I click in the dock in a certain way. Is there some way to lock the dock in place, at the bottom of the main screen? It doesn't seem there should be any mouse click that gets the dock to move such a great physical and conceptual distance. 
		- More <a href="http://scripting.com/images/2021/02/17/dialogsFromHell.png">bad human factors</a> from Apple. I've had this problem where it complains about disks being ejected that I never ejected. I deal with it, but today there seems to be an infinite number of these dialogs. I've been clicking on the Close button in these dialogs for ten minutes, and it's impossible to know how many there are. It feels like thousands. I've tried pressing modifier keys while clicking, to no avail. 
		- One more. I got a new pair of AirPods, couldn't live without them. I couldn't for the life of me read the very <a href="http://scripting.com/images/2021/02/17/instructions.png">simple instructions</a>. Letters are a light gray on a white background and tiny. Why? They have so much space. Why not use a big font and black letters? Did they user-test this at all? Are their designers sadists? Questions questions. 
		- Trump: "Mitch is a dour, sullen, and unsmiling political hack." The description also matches Trump. I wonder if he knows this. 
		- Imagine if the only sound the human voice could make was this: <a href="http://scripting.com/2021/02/17/oy.m4a">oy</a>. We'd develop a whole language around various intonations and combinations of oy. Give it a try. Sing <a href="https://www.youtube.com/watch?t=90&v=IvVr2uks0C8&feature=youtu.be">Jesus Christ, Superstar</a>, but replace all the words with combinations of oy. Try not to laugh.
		- 
	- February 16
		- I thought "cutting the wire" would save me money, but it actually costs a lot more for the same programming. I am currently spending $65 for both YouTube TV and Fubo, and $12 for Hulu, and no HBO, though I really want it. If you add it up, it's about $150 a month. So I called Spectrum to see if I could get that without the set top box, and if so, how much would it cost. Turns out it's about $40 on top of my internet service, with all the local sports, weather, news, CNN, MSNBC and HBO. I'm going to cancel the others, I'm sure I'll miss something, but one thing I won't miss is having to remember where to go for each of the shows I'm interested in. And of course I still have Netflix and Amazon. So I'm back to where I was before I naively threw all my cards in the air. Back to Roku and Spectrum. I guess I learned a lot. :heart:
		- It's ridiculous at this time to say that Clubhouse will be a raging success. But people like <a href="https://stratechery.com/2021/clubhouses-inevitability/">verdicts</a>. I remember when [%search: push technology%] was the rage, and Wired proclaimed the web dead as a result. 1997. 
		- BTW, I forgive Wired for doing that. That was the culture at the time. [%search: Web Energy%] -- I called it. I drank the Kool Aid <a href="http://scripting.com/davenet/97/review/push.html">myself</a>. But it's especially important to keep your own scorecard, so next time you temper your enthusiasm and negativity with a proper amount of self-doubt.
		- Power outages and an internet outage. We're having the same weather here half the country is having. Freezing rain and fog. Dramatic!
		- Facebook and journalism, yet again
			- Here's the disconnect with journalism and Facebook.
			- Facebook is not journalism. And that's not an insult to Facebook. 
			- It's not journalism the way the telephone is not journalism. 
			- Facebook says you can publish on our site. Go right ahead. That's the opposite of journalism which says, you want to publish on our site, get in line, and conform to our values, look like us, and then 1 out 10000 will get in. It's even tougher than Harvard or Princeton. 
			- So journalism keeps trying to fit Facebook into their model. Facebook says this can't work. Journalism calls them names. That's where we are right now in this great fight between the people and journalism. 
			- The real force here is not Facebook the company or their servers, which are impressive and very valuable -- it's the people who use Facebook.
	- February 15
		- Good morning sports fans!
		- Back in the late 80s I started a company called "UserLand". My second company. I knew that was going to be the name when I was running my first, Living Videotext. It was named after the tech. By the time I was ready for the second, I came to believe that every company is about the users, not the tech, hence UserLand. 33 years later, I feel the same way, only more so. 
		- Software people from the <a href="https://www.techradar.com/news/the-10-biggest-tech-breakthroughs-of-the-1980s">80s</a> will probably find this <a href="https://sbw.org/release1.0/">search engine</a> of <a href="https://en.wikipedia.org/wiki/Esther_Dyson">Esther Dyson's</a> RELease 1.0 <a href="http://radar.oreilly.com/r2/release1-0">newsletter</a> that Steve Williams wrote. Look at all the references to <a href="https://sbw.org/release1.0/search/?q=thinktank&o=e">ThinkTank</a> and <a href="https://sbw.org/release1.0/search/?q=userland&o=e">UserLand</a>. 
		- McNeil, the Jeremy Lin of the NYT
			- I hoped that when Ben Smith <a href="https://www.nytimes.com/2021/02/14/business/media/new-york-times-donald-mcneil.html">wrote</a> <a href="https://mediagazer.com/210214/p5#a210214p5">about</a> the Donald McNeil firing at the NYT, he'd look at the media angle, not the internal chaos at the NYT. I guess maybe in a sense that is media? It's an old story, honestly I think only journalism insiders care. I don't.
			- McNeil was like [%search: Jeremy Lin%] in 2012 and the NYT was the Knicks. Right person at the right place at the right time. And (oddly) the NYT did the same thing with McNeil that the Knicks did with Lin. Weird how that works. Someone should write a book. ;-)
			- What mattered with Lin and what matters with McNeil is that the users love them. You should check that out. I could go into great detail, but honestly that's not my job. I'm a user and actually a longtime fan of both the Knicks and the NYT. 
			- Ask the NYT reporter who covers the Knicks now. They're doing great. They have a bunch of Jeremy Lins now. Somehow they figured out their business. The NYT imho is drifting further and further away from it.  
			- The combo of McNeil and the Daily podcast was gold. Why did they break up the team? Ben, that would be a story worthy of you. Again imho. A fan. Dave
	- February 14
		- <a href="http://scripting.com/2021/02/14/theTrumpWeKnewIsGone.m4a">Podcast</a>: It's the day after the death of the thing we called Donald Trump. In this podcast I explain how magical things happen in the days after someone you're close to dies. It feels that way with Trump. We got one last look at him, not in person, because the person is gone, the Trump who watched TV and tweeted all day from the White House. Gone, not forgotten, becoming a distant memory. What little is left is finishing up old business, and then will depart for good. It's a 20 minute series of stories. Hope you enjoy!
		- I just released a new <a href="https://github.com/scripting/everyMinute">everyMinute</a> script. It's now incorporated into the <a href="http://scripting.com/email/">nightly emailer</a>. So the <a href="http://scripting.com/2021/02/09.html#a151330">drift I wrote about earlier</a> should now be gone. Fingers crossed. Knock wood. I am not a lawyer. Praise Murphy. My mother loves me. 
		- Jason Calacanis <a href="https://twitter.com/Jason/status/1361016929993908227">says</a> the Knicks are good at basketball again. They really are. They have two full teams now. I love the way they did it, not like the Nets, Clippers, Lakers. They didn't buy a team of rental players. It's a home grown team. There are a half dozen Jeremy Lins on this team. So much fun to watch. 
		- I think Apple could make a diff in cars. The other day I was on a longish drive and wanted to listen to the NPR coverage of the Senate hearings. I went in and out of range of various NPR stations. Something the car could have handled for me. A data processing function.
		- My friend Cathleen Rittereiser says <a href="http://scripting.com/images/2021/02/14/trumpIsOJ.png">Trump is the new OJ</a>. Both were guilty, but they got off with what amounts to <a href="https://en.wikipedia.org/wiki/Jury_nullification#:~:text=members%20of%20a%20criminal%20trial%20jury%20believe%20that%20a%20defendant%20is%20guilty,%20but%20choose%20to%20acquit">jury nullification</a>.  
		- The fact is Trump is guilty, regardless of what the Senate decided.
		- Listening to pundits yesterday, it was remarkable they forgot how scared we were on <a href="http://scripting.com/2021/01/07.html">January 7</a> that this wasn’t the end of the insurrection. Something had to be done and impeachment was the only option. That’s why I keep <a href="http://scripting.com/2021/01/07/152745.html?title=morningCoffeeNotes">a blog</a>, it’s like a time machine.  
		- There is a silver lining to Trump's acquittal. He can now go back to his new occupation of Former Pain In The Ass. Let the bill collectors and district attorneys have him. And Hawley, Cruz and Cotton can go back to their Hitler lessons. Maybe a new reality show that every week gives you a glimpse of the miserable life of a would-be despot, who failed.
		- BTW, having served on a [%search: jury%], next time maybe they should require deliberation among the jurors. 
		- I'm not too depressed
			- Net-net I'm not too depressed about the Senate acquittal because I remember how the impeachment happened. It was the only instant response possible. (Except as <a href="https://www.theatlantic.com/ideas/archive/2021/01/remove-trump-tonight/617576/">David Frum</a> pointed out at the time, the Senate could have met and voted him out of office the same day, that would have been awesome. Wish they had the guts to do it.) 
			- The inauguration was two weeks away. The concern was what would happen next. People say McConnell refused to have the trial before Trump left, but actually that was somewhat rational. They needed to clean up the Capitol, it was trashed, covered in blood and human excrement, and secure it. It sure looked like there would be more attacks at the time. Also don't forget that then-VP Pence refused to consider the 25th Amendment. He gets his share of the credit, if you want to blame McConnell.
			- We know how it turned out now, but we did not know then. And of course a conviction wouldn't have had much practical value. I think it's better if Trump fades into obscurity. Let minor government officials harass him now. He'll protest. "But but I'm the great Trump!" No, you're now a defendant in criminal and civil trials. Then, no you are a bankrupt resident of a federal or state prison. 
			- Let's give him something to really complain about. 
		- It's time to say goodbye
			- It's time to say goodbye to 45.
	- February 13
		- What Omar <a href="https://www.youtube.com/watch?t=115&v=WP-lrftLQaQ&feature=youtu.be">would say</a> to McConnell. "You come at the king, you best not miss." Shot his wad. He's a nobody now. He should retire. 
		- I guess most people think we go back to business as usual with Congress doing more or less what it did at some point in the past. If so, I think you've got blinders on. 
		- Afternoon impeachment notes
			- We have bigger fish to fry with the pandemic, and it's not just good enough to defeat it, people have to feel the government defeating it. Maybe we don't have a Congress anymore. Maybe it's Biden and a fig leaf for a Congress. Clearly they can't deal with the problem of Trump.
			- For right now, treat Congress as a museum. This is a shell of what it used to be. You have to use your imagination to see that there once was a co-equal branch of government here. Now they're a PR appendage for the executive branch. They give the MSNBC and CNN journos something to fuss over. Keeps them busy when they aren't reporting on President Biden's latest heroic battle against the virus. 
			- If the Repubs win Congress in 2022, who cares. It’s a powerless former coequal branch of government. 
			- President Biden will do as he pleases. 
			- Next up, as with the filibuster there will soon be a virtual insurrection. 
			- <b>A fantasy presidency</b>
			- And then Biden renames Air Force One The Rocinante.
			- Biden and his wily clever sidekick -- Fauci Man! ;-)
			- Biden and Fauci and Super Veep roam the country, fighting the MAGAs and The Virus, making America safe for whatever comes next. Have to figure that part out. 
		- Our 45th president
			- 45
	- February 12
		- Are you a first-generation something?  
		- Love the new <a href="http://scripting.com/images/2021/02/12/newWhiteHouseMessage.png">Valentine's Day look</a> for the <a href="https://twitter.com/NBCNews/status/1360238441582260236">White House</a>. :heart: 
		- This is what I posted on the <a href="http://scripting.com/urgent/2020/03/05.html">home page</a> of my blog on <a href="http://scripting.com/2020/03/05.html">March 5</a> last year. "A deadly virus is taking over the world and the United States doesn't have a government." It occurs to me now that the United States does now have a government.
		- I don't believe in the death penalty for people, no matter how enraged I am at what they did. But I do believe in the death penalty for political parties. If the Repubs don't vote to convict, a small gesture of respect for the Constitution, we must condemn the party to death. 
		- I asked my <a href="http://scripting.com/2021/02/12/164054.html?title=myImmunity">biomedtech friend</a> to review my immunity <a href="http://scripting.com/2021/02/12/164054.html?title=myImmunity">post</a>: "You’re good to go anywhere a week after the second shot, don’t worry about it! Even if you’re that 5% yes you almost certainly have some immune training that will keep you out of the hospital. Now is the time to enjoy your life and not worry, at some point a nastier variant could evade the vax but not yet man so go enjoy the spring and summer!"  
		- I tried watching Trump's impeachment defense, but the instant I tuned in I heard the lie. I immediately turned it off. This is the moment of truth when the Republican Party, or most of it, legally, openly and on the record becomes <i>the party of sedition.</i>
		- Another update in the [%search: Airpods%] saga. Recall that I <a href="http://scripting.com/2021/02/10.html#a163710">gave up</a> on the <a href="https://www.amazon.com/Jabra-Elite-75t-Earbuds-Comfortable/dp/B07X9VG6ZJ/ref=asc_df_B07X9VG6ZJ/?tag=hyprod-20&linkCode=df0&hvadid=366402654398&hvpos=&hvnetw=g&hvrand=5599194572670142815&hvpone=&hvptwo=&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-852536612290&psc=1&tag=&ref=&adgrpid=74513439285&hvpone=&hvptwo=&hvadid=366402654398&hvpos=&hvnetw=g&hvrand=5599194572670142815&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-852536612290">Jabra</a> and Skullcandy earbuds. They both sounded horribly tinny, like an old style AM radio. Actually I didn't give up, it turns out. While watching impeachment hearings, I searched for reports on the Jabra earpods and the word <a href="https://www.google.com/search?q=jabra+elite+75t+tinny">tinny</a>, and read <a href="https://www.reddit.com/r/Jabra/comments/hf1z9k/should_the_jabra_elite_75t_sound_very_tinny/">this thread</a> on Reddit. Basically they said do a bunch of voodoo, put them back in their case, take them out, do it again, change the silicon fits, do it all again, say a prayer, and sooner or later they will sound like you thought they should based on the glowing <a href="https://www.nytimes.com/wirecutter/reviews/best-wireless-earbuds/">review</a> in Wirecutter. It worked! Unreal. This is another example of the way we used to fix broken Apple II's, just take them for a drive in the car, and they start working again. Anyway, good enough. And in the interim I ordered a new pair of Apple Airpod Pros, because I got hooked, and had headset-envy every time I saw someone on TV wearing them. As I've said many times, I collect headsets the same way some <a href="https://pagesix.com/2021/02/03/kanye-west-moves-500-pairs-of-shoes-out-of-home-shared-with-kim-kardashian/">people</a> collect shoes. 
		- BTW, Google search is getting worse all the time. I know I've told the story of how we used to fix Apple II's by driving around (they always seemed to work when we got to the repair shop), and I've also said many times that I collect headphones the way some people collect shoes, but Google can no longer find either. I've been using Google search since 1998. I hate Google for the way <a href="http://scripting.com/2019/12/21/170042.html#a170258">they treated RSS</a>, and the way they are doing the same <a href="http://this.how/googleAndHttp/">to the web</a>, but I've been using their search engine for 23 years, and it's a hard habit to break, but one way to break it is to break search, which they seem to be doing. They should shrug this off at their own peril. Imagine Coke taking the fizz out of their cola. Same basic idea imho.
		- Math
			- It seems likely say 8 Repubs are going to vote to convict.
			- That means 58 out of 100, a solid bipartisan majority.
			- That's pretty damning imho for the 42 who voted to acquit. 
			- I bet that puts pressure on *some* of the 42 to either be sick the day of the vote, or vote to convict.
		- My immunity
			- Next week I'm getting the second dose of the Moderna vaccine. 
				- I had mild side-effects with the first shot, which I got on January 20, also Inauguration Day. I expect it to be worse this time, but I'm excited and a little disoriented by the new reality. 
				- A couple of weeks later, say by March 3, according to the science, I will be at 95% immunity. This means the probability of me getting infected, everything else constant, is only 5% of what it was before January 20.
				- A bit of info I don't have -- if I were to get infected would it be less likely to be severe or deadly?
				- Of course I'm going to continue to be masked. I ordered some new Docker brand masks for the event. 
				- What should I risk after immunity? Go to the movies? Drive down to the city, just to get some bagels perhaps or ride a CitiBike in Central Park? These would seem very exotic now. 
				- It's been 1.5 years since I've been to a city larger than Kingston, NY. I'm actually quite happy about that. I like life in the mountains.  
				- Suggestion to movie theater owners. Offer 1/2 price to anyone who is fully vaccinated. Or Olive Garden, or Applebee's.
				- And yes this is yet another boomer privilege. It's fair to hate me but only for this. :rocket:
	- February 11
		- <a href="https://github.com/scripting/jsPreprocessor/blob/main/compile.js">New code</a>. I've been looking for good sample code for a JavaScript pre-processor, couldn't find, so I wrote. 
		- I love [%search: Fresca Blackberry Citrus%] sparkling soda water. I tried it because I like regular <a href="https://www.flickr.com/photos/scriptingnews/945757610/#comment72157601091354345">Fresca</a>. My first taste was yuck this is like water with just a little hint of flavor. So I kept drinking my Diet Dr Pepper, my current go-to carbonated beverage. But then I ran out of chilled DDP, so I went with the backup, and the second time, wow, it was a super refreshing, bubbly instant thirst quench. I know this sounds like a commercial, but that's really where I'm at now. I'd pick Fresca Blackberry Citrus over <i>anything</i> at this point. Have to get some more. :boom:
		- I've been watching the impeachment trial on and off. It's excellent. They thought of everything. Just asked a big question -- what if Trump had succeeded. He came close. What if they had killed a few senators, the VP, the Speaker. What would have happened next? Clearly this whole thing was planned, probably around the time Barr left. Did he see how it was shaping up and decided to get out then. Are the only ones who stood with Trump up to the coup, Hawley and Cruz? Were they surprised when the mob got into the Capitol? So many questions. A lot of them are off-topic for the impeachment, but historians are going to want to know how this came together. 
		- It's about power, not feelings
			- I have never watched <a href="https://www.hollywoodreporter.com/news/the-mandalorian-star-gina-carano-fired-amid-social-media-controversy">The Mandalorian</a>, never wanted to. I saw the big comeback Star Wars movie a few years ago and was bored. All the comic book movies are boring. So I have no idea who the actress is who got cancelled, I don't know what she said. But the reaction to her being fired is huge and obnoxious, as usual. So I know it's wrong. Whatever she said, the response is not appropriate to the offense. It's like one of those <a href="https://en.wikipedia.org/wiki/Cytokine_storm">cytokine storms</a> that kills you when you get Covid. 
			- In other words, she's been fired, you won, you can shut up now. 
			- It's supposedly all about your feelings. But that's bullshit, right? It's really about power. You like being part of a mob. It's primal. It's probably the same rush the people who invaded the Capitol got. You didn't get sad and depressed, you were excited.
			- The Trumpers say they don't give a fuck about <a href="http://scripting.com/images/2021/02/11/trumpersAreObnoxious.png">your feelings</a>. That gets them hot, and I bet it gets you hot too. The conflict is what you love, right? Here's your chance to have power over someone else. 
			- I am a big fan of <a href="http://scripting.com/2021/02/06/154705.html?title=nyTimesFiresDonaldMcneil">Donald McNeil</a>. i've read everything i can get my hands on about his cancelling by the NY Times. There isn't much out there. They say 150 staffers at the NYT wrote a letter where they say that he said a word that makes them feel bad and because of that McNeil must go. And he is gone. 
			- Balance that against the huge good that keeping him at the NYT does for people who want to be informed about the pandemic. His <a href="https://www.nytimes.com/2021/01/24/health/fauci-trump-covid.html">interview</a> of Anthony Fauci on the Daily podast was amazing. i don't doubt that he saved people's lives in the last year in the podcasts he did and the reports he wrote in the Times. i don't know if he saved my life, but it's possible. I was thirsty to know what was going on, and he has been learning about this his entire career. And he knows how to explain things. Really powerful stuff, right up there with Fauci. He was cancelled. no transparency, no consideration of anyone outside their elite bubble at the NYT. They're royalty so their feelings rule. 
			- So we replace one Trump with another. 
			- Please just stop. 
	- February 10
		- Trump came very close to overthrowing the government.
		- It’s weird but good that Trump hasn’t figured out that he doesn’t need Twitter to broadcast his virulent trolling on the net.
		- An impeachment lawyer pleading, with a <a href="https://www.youtube.com/watch?v=u7ircXGtbqM">cat on his head</a>.
		- <a href="https://github.com/scripting/Scripting-News/issues/199#issuecomment-776823796">Braintrust query followup</a>: It took a couple of days of head scratching and trial and error, but I now have a skeletal JS preprocessor. 
		- Airpods followup. As you may recall, I <a href="http://scripting.com/2021/01/30.html#a162514">lost one of my AirPod Pro's</a> 10 days ago. I tried to order a replacement through the <a href="https://getsupport.apple.com/repair?caseid=101319750634&locale=en_US">Apple website</a>, but <a href="https://getsupport.apple.com/?caller=sfaq&PGF=PGF32003&category_id=SC0298&symptom_id=23360">the page</a> appears to be broken. So I compromised, and bought a couple of less expensive bud-style headphones, one from <a href="https://www.amazon.com/gp/product/B082Y2KM92/ref=ppx_yo_dt_b_asin_title_o01_s01?ie=UTF8&psc=1">Jabra</a>, which comes highly recommended by <a href="https://www.nytimes.com/wirecutter/reviews/best-wireless-earbuds/">Wirecutter</a>, and <a href="https://www.amazon.com/gp/product/B0857JLRFJ/ref=ppx_yo_dt_b_asin_title_o01_s00?ie=UTF8&psc=1">Skullcandy</a>. Together they cost about what the Airpod Pro's cost. But here's the thing, both of them sound awful on my iPhone. No bass at all, all high end. So I tried them on my Pixel 4a, same thing. My hearing is fine, I tried the one remaining AirPod Pro, and it sounds great. So now I'm trying to figure out how to equalize the audio on either of these phones. I can't believe there isn't a built-in equalizer, but it seems there's not. I really got to like the AirPods, didn't think I would. I find over-ear headphones clunky now. 
		- If the Titanic sank today.
	- February 9
		- I woke up in the middle of the night, as I often do. I always get out the iPad, check the nightly email. Make sure it went out at midnight. Noticed that the mail-sender's clock is drifting, have to do something about that. Every few days it sends the mail one second later. This is cumulative, leading to drift. So last night's mail went out at 12:00:21 AM. There is definitely a way around it. I'll let you know when I write the code. Next I started <a href="https://www.urbandictionary.com/define.php?term=doomscrolling">doomscrolling</a> through Twitter, only tonight I'm seeing clever women putting down men. Some of them are really funny. A woman listening to a neighbor playing the <a href="https://www.youtube.com/watch?v=jBupII3LH_Q">theme</a> for <a href="https://en.wikipedia.org/wiki/The_Pink_Panther">The Pink Panther</a> on his sax over and over, poorly. Next up, a woman sings an Irish ditty a cappella telling a man to stop explaining things to her. Then a NYT reporter who's been attacked the way only a woman can be attacked, to which I say, no -- men really do get attacked on the net too, in more horrific ways than you describe, sometimes involving police with weapons drawn, with all the fire trucks in Berkeley, lights flashing and sirens blazing. Other times, knocks at the front door in the middle of the night at your real actual house, the place you sleep. Also people who stalk your friends, so you have to have a conversation with your friends about this. Anyway, long story, sorry, I know I suck. Then I came across <a href="https://twitter.com/paramountplus/status/1357395624874835969">this ad</a> for Paramount+ -- a new ridiculously unwelcome expensive streaming service. But the <a href="https://twitter.com/paramountplus/status/1357395624874835969">ad</a> was <i>perfect</i> for my mood. You have to <a href="https://twitter.com/paramountplus/status/1357395624874835969">watch it</a>, I'm not going to narrate it, for fear of being excoriated online. But sometimes <a href="https://en.wikipedia.org/wiki/Beavis_and_Butt-Head">Beavis and Butthead</a> just nail it. Amazing. :heart:
		- So many programs when you sit down to use them for the first time, don't explain themselves. It's impossible to figure out how to make it work, even if you already understand the general purpose of the program. A good friend sent a pointer to <a href="https://astexplorer.net/">AST Explorer</a>, a tool that takes input from some language and shows you the <a href="https://en.wikipedia.org/wiki/Abstract_syntax_tree">abstract synatx tree</a> for it. Okay that's something I want to do. The language is JavaScript, and let's say the parser is Acorn. Now what? So many choices. And where's the button that says GO, do the thing, give me result. I clicked on the ? in the menubar, hoping it might give me a 1-2-3 to see the app in action, but it starts out with a list of all the myriad things it can do! I can already see that from the UI. I want the docs to give me a procedure for using it. I'm human. I don't know how to use the app. Help me please. (This is generally good advice not just for this app. Before you give it to a user to try, sit down yourself and pretend you know as much about the app as they do. Use newbie eyes.)
		- As the music stars of my youth are dying now, in their 70s and 80s, I realize that they aren't much older than I am, but when I was a kid, of course it seemed they were. 
		- An administration that communicates directly with the people. 
	- February 8
		- <a href="https://github.com/scripting/Scripting-News/issues/199">Braintrust query</a>: Let's write a simple JavaScript pre-processor!
		- I was asked why I care that the <a href="http://scripting.com/2021/02/06/154705.html?title=nyTimesFiresDonaldMcneil">NYT fired Donald McNeil</a>. It's pretty simple. We all have an interest in how journalism works. They like to say that journalism is a essential part of <a href="https://www.nytimes.com/2020/10/09/opinion/international-world/athens-democracy-forum.html">democracy</a>, but do the people have any influence over journalism? To really press the point, democracy is about the people, right? You can't be of democracy without being of the people. We have a role in this, which journalism hasn't embraced, in fact by fighting Facebook they are actively undermining our participation. And when they fire a great reporter who helps people, I, simply as a person and nothing more, have a stake in that, as does everyone who depends on good information from news orgs. And sure I care how 150 reporters at the NY Times feel, but I don't care abput them that much, compared to how much I care about the service McNeil was providing. 
		- Another reason the firing of McNeil was such a concern is this question: Would the 150 people at the NY use their power to cancel against the people they cover, for an infraction like McNeil's. Are we ready to accept that as a proper role of reporters at a news organization?
		- Part of program design is checking your assumptions. Sometimes things that conceptually seem like a lot of work, might not take a lot of time to run. A great example of this was in the early 00s, I wanted to add a feature to Radio UserLand that was eventually called <a href="http://radio.userland.com/stories/storyReader$6957">upstreaming</a>. It would watch a folder and mirror any changes to a server. That way you could maintain a website on your local hard disk. I had investigated ways to do it through the operating system, but it was too complicated, or not reliable, I don't remember why, but it wasn't feasible to use it. So I decided to write a bit of script code that watched the folder, the simple dumb way, to see what I was up against. To my surprise it took virtually no time to scan a large nested folder looking for changed files. It was something you could do every few seconds without a performance hit. The product shipped, thousands of people used it, upstreaming worked. I try to keep that in mind. Always check your assumptions. :boom:
	- February 7
		- <a href="https://twitter.com/davewiner/status/1358427857039601670">Poll</a>: Suppose you were a columnist at the NYT and you thought their firing Donald McNeil was a bad thing. What would you do? 
		- <a href="https://www.youtube.com/watch?v=D2XYH-IEvhI">Bruce Springsteen</a> in Jeep's Super Bowl commercial. 
		- The promise of the web, twitter, etc for journalism is it's supposed to give the people a voice in the news. So far that has not happened. That has been the core of the clumsy argument we're having about Facebook. Users like it, because it gives us a voice. I think though journalism hasn't been clear about it, even to themselves, that's why they don't like Facebook. It encroaches on their exclusivity.
		- I like <a href="https://twitter.com/MaryLTrump">Mary Trump</a>. There's a long <a href="https://podcasts.apple.com/us/podcast/reckoning-with-our-shared-trauma-with-mary-trump/id1514968525?i=1000507587288">interview</a> with her on the new Politicology podcast. She talks about the torture we're all experiencing and the huge trauma it will leave us with, all of us, at hopefully some time in the future, when the crazyness is behind us. 
	- February 6
		- <a href="https://www.youtube.com/watch?v=C1cMdXs6wG0">Video of the day</a>. Mac sounds performed <a href="https://en.wikipedia.org/wiki/A_cappella">a cappella</a> by a Korean group. I've watched it at least a dozen times.
		- A long time ago my friend "Doc Searls" and I agreed that you don't make money <i>from</i> a blog or podcast, but you can make money <i>because of</i> a blog or podcast. It's a subtle but important difference.
		- They have so many awards for journalism, why don't we have anti-awards, for acts of great cowardice, hubris or greed, at the expense of the public. It probably would do more good than the other kind of awards. 
		- I can see how the second <a href="https://en.wikipedia.org/wiki/Second_impeachment_trial_of_Donald_Trump">impeachment trial</a> could backfire. Trump has been obscured, pushed to the side. He used to be the focus of everyone's attention, but now it feels like years ago that he was a menace. The trauma could be substantial. On the other hand, it has to be done.
		- I often am asked to invite people to [%search: Clubhouse%] because I've written so much about it. To invite people you have to share your contacts with them. I'm not willing to do that, so I can't invite anyone. You have to find someone who is ok with sharing their contacts.
		- <a href="https://news.ycombinator.com/item?id=26044889">McNeil's statement</a>: “I was asked at a dinner by a student whether I thought a classmate of hers should have been suspended for a video she had made as a 12-year-old in which she used a racial slur. To understand what was in the video, I asked if she had called someone else the slur or whether she was rapping or quoting a book title. In asking the question, I used the slur itself. I should not have done that. Originally, I thought the context in which I used this ugly word could be defended. I now realize that it cannot. It is deeply offensive and hurtful. The fact that I even thought I could defend it itself showed extraordinarily bad judgment. For that I apologize.”
		- NY Times fires Donald McNeil
			- Yesterday the NY Times <a href="https://www.memeorandum.com/210206/p6#a210206p6">fired Donald McNeil</a>, a reporter I've written about <a href="https://www.google.com/search?q=site%3Ascripting.com+McNeilhttps://www.google.com/search?q=site%3Ascripting.com+McNeil">here</a>, in glowing terms, many times. There isn't another reporter in the world that I have so much respect for. He taught me about viruses, in clear language that I understood, that didn't insult my intelligence. In a time where all our lives are threatened by a virus, his reporting and advice was potentially life-saving. 
			- I remember well the first time I heard him interviewed on the <a href="https://www.nytimes.com/2020/03/12/podcasts/the-daily/coronavirus-pandemic.html">Daily podcast</a>. I was driving on the <a href="https://en.wikipedia.org/wiki/Kingston%E2%80%93Rhinecliff_Bridge">Rhinebeck bridge</a> across <a href="https://www.google.com/maps/place/Kingston-Rhinecliff+Bridge/@41.9776606,-74.0860387,11z/data=!4m5!3m4!1s0x89dd095c9557317b:0x4e76e90146cedab!8m2!3d41.9776606!4d-73.945963">the Hudson</a>. I had just heard a WHO press conference where they said the virus had gotten out of control and now was a pandemic. For that moment I felt like we were defenseless, completely at the mercy of the virus. 
			- I didn't know anything about pandemics. Then I listened to McNeil <a href="https://www.nytimes.com/2020/03/12/podcasts/the-daily/coronavirus-pandemic.html">explain</a> how the Chinese were already getting it under control. Testing, isolation, contact tracing. I could see how these three together, efficiently administered, could actually isolate the virus and thus destroy it. Now I knew it wasn't impossible to solve the problem, but it did require us all to work together. 
			- From that point on, every time <a href="https://www.nytimes.com/by/donald-g-mcneil-jr">McNeil</a> wrote something or appeared on the podcast, I stopped everything and read and listened carefully. His reporting is full of information and history, it was more than great reporting. They don't have a prize for this, but they should. Reporting that's useful. In this case very timely and useful, life-saving and useful. A gift. 
			- Yesterday the NY Times <a href="https://www.nytimes.com/2021/02/05/business/media/donald-mcneil-andy-mills-leave-nyt.html">fired McNeil</a>. Here's what I understand happened, based on <a href="http://scripting.com/2021/02/06.html#a161003">McNeil's statement</a>. He was asked by a group of high school students a question about whether it was okay for a friend of theirs to say a racial slur in a video. In answering the question McNeil himself used the word. This is a word that is used publicly, often as a term of endearment, in a lot of contexts to refer to all kinds of people, and it's not controversial, it's accepted. He didn't aim the racial slur at anyone. Grammatically it was the subject of a sentence, not an adjective. He said the word. And now, many months later he was fired for it. 
			- Maybe this isn't what happened. I'm open to hearing more. But if this is it, the Times should apologize and offer him his old job back. Apparently some reporters will object, and somehow threaten the Times. <i>They</i> should be fired. It's an honor to work at the Times, and if you don't like it, leave. 
			- What the Times did here is disgusting. This isn't the first time I've said the Times is disgusting. I think it virtually every day as they flaunt their conflict of interest re tech, never offer an opposing view to rebut their nonsense. They either naively or corruptly promote stories that put our country in danger, based on lies, just like the ones Fox is being <a href="https://www.nytimes.com/2021/02/05/podcasts/the-daily/smartmatic-fox-news.html">sued</a> for now. These are well-known. The Times doesn't seem to care. 
			- I don't expect the Times will reverse itself. So I hope McNeil lands somewhere where there is a daily podcast he can be interviewed on, and who will sponsor his reporting, which was exceptional, deep, informed by an enormous base of experience, thoughtful and caring. Let's make sure he's still viable as a source of information and encouragement to us. 
		- A socially distanced lift line
			- At <a href="https://www.steamboat.com/">Steamboat Springs</a> <a href="https://twitter.com/unicorn/status/1358086129933815808/photo/1">today</a>.
		- NakedJen lusts for this jacket
			- Look at all the pockets!
	- February 5
		- The <a href="https://www.businessinsider.com/senate-passes-motion-to-progress-biden-19-trillion-stimulus-bill-2021-2">Democrats show</a> what they do for the people when they have power. Let's hope they can market this for all it's worth. A few dollars spent now on marketing will equal many millions in the midterm campaign. This is a whole-of-party thing. Not just a whole-of-government thing.
		- I see why <a href="https://en.wikipedia.org/wiki/Marc_Andreessen">Marc Andreessen</a>, an investor in [%search: Clubhouse%], might not want <a href="https://twitter.com/simonowens/status/1357692763693862916">journalists</a> using the system. Journalism wants money from tech, they campaign for it, in their output, openly, in their hit pieces on tech, that are generally off-target. There are a lot of things to be critical of tech for, but the NYT and Maddow, two who I follow, don't have an idea. Why don't products like Clubhouse come from the journalism business. If they're so demanding of tech, compete. Show us how to do it. If Clubhouse is going to be a unicorn, it's still early days. 
		- It seems to me Clubhouse might be achieving the <a href="https://www.flickr.com/photos/scriptingnews/87587076/">vision</a> of <a href="http://scripting.com/stories/2010/02/07/hypercampRevisited.html">Hypercamp</a>. Made possible by the pandemic. I think maybe the pandemic will be something like a moon mission, it's forcing a kind of development that would have had to wait otherwise.  
		- Thanks to the <a href="https://github.com/scripting/pagePark/issues/17">braintrust</a>, once again have figured it out. In the docs for "PagePark" we ask them to map port 80 requests to port 1339 using the <a href="https://en.wikipedia.org/wiki/Iptables">iptables</a> command. But the routing was only going one way. When an outside request was coming into the server. For requests made going out of the server, the same mapping must apply. And that fixed the problem. Now I have to update the docs. :boom:
		- Maybe the proper amount of daily blog is "just enough."
	- February 4
		- <a href="https://twitter.com/davewiner/status/1357436948244226049">Poll</a> about who you mute replies from on Twitter. 
		- <a href="https://github.com/scripting/pagePark/issues/17">Braintrust query</a>: Longstanding problem with "PagePark", my homebrew web server, when an app on one machine makes a call to an app running on the same machine, where PP is the server. It gets a connection refused error. 
		- A little computer design/philosophy. Everywhere you look on a computer you see the same pattern repeating itself. Folders, sub-folders, files. If you're looking for it you see it everywhere. So why not have one really great browser for such structures, and use it everywhere. That way when you add a feature to the core, it improves everywhere. I think very quickly the computer itself would become simpler. BTW, this was the basic idea behind [%search: outliners%]. We never got close enough to putting code "in ROM" to complete the vision. But that was the idea. 
		- A favorite recent Twitter feature: I can filter replies so I only see, by default, replies from people I follow. It has made Twitter more civil for me. But it has a downside, that I realize when I reply to someone who doesn't follow me. They probably can't see my idea.
		- The mountain after the blizzard. 
	- February 3
		- Today's song: <a href="https://www.youtube.com/watch?v=ifhe6GQsxUo">Cruisin</a>.
		- The <a href="https://www.youtube.com/watch?v=qPY1DL5NMHQ">ultimate Bernie Sanders</a> meme.
		- <a href="https://twitter.com/davewiner/status/1357035444920270850">Poll</a>: Are the people who write NYT op-eds better than you?
		- If Joe Biden were running the government in March last year, the USPS would have sent free masks to every mailing address in the country. That would have been a master stroke. Someone at the USPS thought of this and got buy-in. Amazing. The politicians put a stop to it. 
		- Of all the rich successful tech people, Jack Dorsey stands out as someone who is trying to do something much more than be rich and successful in tech.
		- <a href="https://www.flickr.com/photos/docsearls/albums/72157716210689373">Doc Searls</a>: "The last flight I ever took was a spectacular pano across the continent on March 11, 2020, while escaping from New York via Newark Airport, where the departing planes were full and the ticketing and security spaces were already emptied. If you page through the photos, you'll see I've captioned every one; and in some cases have also made notes on the images as well."
		- I'm pissed I didn't know about the <a href="https://jewishnews.timesofisrael.com/republican-jewish-groups-condemn-qanon-backing-jewish-space-lasers-politician/">Jewish space laser</a>. What am I chopped liver.
		- In a brief <a href="https://twitter.com/davewiner/status/1356988600483799041">discussion</a> about <a href="https://twitter.com/globalvoices">Global Voices</a> on Twitter, I mentioned the idea that news has been <a href="http://scripting.com/2020/06/16/133627.html?title=newsHasBeenUnbundled">unbundled</a>, today no single publication delivers the news, as they used to. A story to illustrate. As a student at <a href="https://www.wisc.edu/">UW-Madison</a> in the late 70s, I'd often go to the <a href="https://union.wisc.edu/visit/memorial-union/">Memorial Union</a> with a copy of the <a href="https://www.chicagotribune.com/">Chicago Tribune</a>, on a sunny afternoon perhaps, and sit on the patio by <a href="https://en.wikipedia.org/wiki/Lake_Mendota">Lake Mendota</a>, people-watch, and read the news. Today I'd do it in a minute if I could, but today I'd read news on an iPad or laptop using "RSS" feeds. I'd have an all-in-one bundled news experience as I did in the 70s. But: My system kind of sucks, I never put any effort into maintaining it, and my system is vastly better than what most people get as a news experience. No wonder the truth has trouble getting out. The news industry blames Facebook, but as a former entrepreneur, I blame them. They've invested so little in understanding how their readers use their product. Their system is based on an incomplete understanding of their roles. The news industry product needs to be re-bundled. I believe the rewards will be huge for the first publication that bets on this idea. They wouldn't be the first, btw -- <a href="http://scripting.com/stories/2007/06/19/whatToDooWithYahoo.html">My.Yahoo</a> did it in the 00's. Have the guts to <a href="http://scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">point to your competition</a>. And if you have a paywall, send them some money <i>and</i> some readers. Now that Jeff Bezos is retired, and <a href="https://www.washingtonpost.com/national/washington-post-to-be-sold-to-jeff-bezos/2013/08/05/ca537c9e-fe0c-11e2-9711-3708310f6f4d_story.html">owns</a> such a platform, I would stand up and applaud if they had the guts to try this out. I'd also line up to hook my blog into such a network. Not because my writing depends on making money from it, it doesn't, but to help disrupt the news industry that's daydreaming itself to death over distribution, competition and economics. 
		- I'm trying an experiment in Less Is More. After writing on <a href="http://scripting.com/2021/01/30.html#a174046">Saturday</a> that I am writing too much, I decided let's do one or two ideas every night and see what if anything changes. And also let's see if I can stick to it for a while at least. (Update: It didn't work.)
		- PS: I did a <a href="https://twitter.com/davewiner/status/1356980498401271809">blog-like stream</a> on Twitter this morning. As I often say, 280 is a much better number of chars than 140. You can express more ideas in 280. 
	- February 2
		- There is a consensus among scientists that Covid will be with us basically forever. It will not be eradicated, it will continue to evolve, circumventing our vaccines, which will have to evolve too. It will kill approximately 10 times more people than the seasonal flu, and will make people a lot sicker for a lot longer. It may mutate into something less damaging, but it might go the other way too. No one knows. The probability of a return to what we used to consider normal is zero. So maybe no more movies or restaurants, in-person spectator sports, theater, art museums, bowling, singing, long distance travel. The smarter we are and the more we work together the less damage the virus can do. It eats "deeply polarized" cultures, like ours. 
		- Political journalism is as broken as the Republican Party. Of course you'll never hear about that in the news. And there will be no discussions on CNN or MSNBC on how to work around their brokenness. The system self-perpetuates until it collapses, which is has been doing lately.
	- February 1
		- <a href="https://twitter.com/davewiner/status/1356276883021844482">Poll</a>: Who is Elon Musk most like?
		- All they talk about on Clubhouse is Clubhouse. 
		- I have never been asked a tough question by a reporter.   
		- Some people misunderstood <a href="http://scripting.com/2021/01/31.html#a162601">yesterday's post</a> and sent codolences. I was just observing that this is what's going on around us. If I have personal news that I want to disclose publicly, I will be much more direct about it. <a href="https://www.cbs.com/shows/60_minutes/video/6Xworas9tjW5uXBFMo3zUekCqWgMsNwT/1-31-2021-left-behind-the-biodata-race-dna-for-sale/">60 Minutes</a> had a segment last night on just this subject, by coincidence. For some people who lose people they are close to, it never will return to normal. I suspect it won't for any of us.  
		- I'm waiting for the mass arrests of the people who attacked the Capitol. I have heard that locally the courts just think it was a joke. We need to make it clear this is not a joke. Long prison sentences. People begging for forgiveness, saying they thought it was a game. 
		- I remember as a young child of eight or nine, my father told me when we saw the Beatles, on the Ed Sullivan show, that their hair wasn’t real. They wore wigs, he explained. I told him that I thought he was wrong.
		- We should study how QAnon delivered its story, and do what they did, except put out the truth instead of made up stuff. The truth is strange enough. Whatever they did it worked, and I have to say the people who I've heard talk about it seem pretty sane to me.
		- Today's song: <a href="https://www.youtube.com/watch?v=qBdv_tqVqkw">Babylon Sisters</a>.
		- This is not a request for support. If Spectrum had decent customer service they could probably get me to subscribe again. But last time I had to wait an hour on hold to talk to a rep to cancel my free trial to a service that wasn't well-explained on their site. That said, they have service that's a lot cheaper than the unbundled version, because you have to buy everything twice just to get CNN and MSG because of exclusive deals they've made. I guess the old cable companies are grandfathered in?
		- The supposedly legit press is making the lunatic from Georgia into a major political force in the US. And they have the chutzpah to say social media is destroying the political system of the US. Why don't we all get together and wake the fuck up to how this works. 
