- May 2021
	- May 31
		- Today's song: <a href="https://www.youtube.com/watch?v=XCFJ_gJj_YQ">Daddy don't live in that New York City no more</a>. 
		- A piece <a href="https://bhc3.com/2009/01/16/before-there-was-twitter-there-was-dave-winers-instant-outliner/">Hutch Carpenter wrote</a> about the <a href="http://scripting.com/2018/05/06/170728.html">Instant Outliner</a>. Very much a <a href="https://www.google.com/search?q=%22Narrate+Your+Work%22">Narrate Your Work</a> tool. A feature supported by both "LO2" and "drummer", and I'm guessing no other outliner. If others do support I/O then we should interop! :boom:
		- Drummer milestone
			- I reached a milestone this week in my "drummer" work, I now have an Electron version of the app. It means that I can now start to use Drummer in my everyday work. 
			- Up till now, I've been able to use Drummer to test and document Drummer. A desktop app, with access to the local file system gives me a better tool for writing basically book-length docs. Drummer has a lot of functionality to document. 
			- I've been doing all my blogging and howto writing in the Concord outliner since April 2017. That's a fair amount of work to port. And I'm going slowly and making it better where ever I can. Four years is enough time to have an idea where there are possible improvements to make. 
			- I'm writing this in Drummer. If you can read it, then you know this much is working. :smile:
			- As they say...
			- <i>Still diggin!</i>
			- PS: Maybe I did it too carefully, it worked the first time. :-)
		- Drummer screen shot
			- When you hover over the icon in a tab, a popup window shows info about the file. 
			- Popup info for the outline where I edit Scripting News. 
	- May 30
		- When an idea is right it snaps into your mind like it always was there.
		- If the Knicks end up losing, the moment their fate was decided was when they gave Julius Randle the <a href="https://www.si.com/nba/2021/05/26/julius-randle-son-surprises-him-most-improved-player-award">Most Improved Player</a> award. Just before the first game of the playoff series. Who decided that timing? Tempting fate. God'll always <a href="https://www.youtube.com/watch?v=kpSw5tREOxQ">get you for that</a>. If I were advising Randle, I'd urge him to throw the award into the <a href="https://www.tripsavvy.com/how-to-walk-across-the-williamsburg-bridge-nyc-4158670">East River</a> before Game 5.
		- I listened to a <a href="https://podcasts.apple.com/us/podcast/spike-lee-on-the-knicks-resurgence/id1050430296?i=1000523437231">New Yorker interview with Spike Lee</a> about this year's Knicks. There was a surprise, he didn't watch the NBA bubble last year. I didn't either. It was too sad. The NBA now, finally, is back. And having the Knicks do so well this year, and it being the immediate post-pandemic season, it's like both happened at the same time and one was the cause and the other was the effect, though it's impossible to say which is which. I would like to hear <a href="https://en.wikipedia.org/wiki/Spike_Lee">Spike Lee</a> ramble about the Knicks, for an hour or so, or really as long as he wants. 
		- In the early days of the web there were purists who thought HTML should be edited by hand. I was not one of them. As soon as I got involved in 1994, I started working on <a href="http://scripting.com/autowebdocs/whatisautoweb_119.html">AutoWeb</a>, the first step on the road to blogging.
		- I wish the journalists would chase the connections between Repubs in Congress and Putin.
		- My new profile picture
			- I guess <a href="https://en.wikipedia.org/wiki/Guy_Kawasaki">Guy Kawasaki</a> is finishing up the edit of the interview we did a couple of weeks ago. He asked for a profile picture, I didn't have a good one, so I took this selfie yesterday. He wanted me to smile. This is something that usually I have trouble with in pictures, I get self-conscious, my smiles look phony -- because they are. I am not happy being photographed, I feel trapped.  
			- But Guy and I have been friends for a long time, and we were close in a very important time, around the launch of the Macintosh in 1984. If I didn't know Guy, I never would have gotten an early machine. The Mac was the perfect platform for our "idea processor" -- it attracted just the kind of people who would understand outliners. People who think, organize, analyze, do things. And Apple needed our software, Guy could see that. 
			- In 1986, the Mac was set to explode and we had had enough time to create a killer outliner for the Mac, and as they say, the rest is history. So I thought of how much I value our friendship as I was taking the picture, and the smile came naturally, all on its own. 
			- My profile pic for Guy's podcast. 
			- PS: Guy used to call me Beeeeg Stuffff. He has a very <a href="https://en.wikipedia.org/wiki/Los_Angeles">LA</a> way of speaking. I can <a href="http://scripting.com/2021/05/30/beeegStuff.m4a">imitate</a> him saying it. That's what actually put the smile on my face, the same smile is there right now. Instead of saying Cheese, I said Beeeeg Stuff. 
			- PPS: Many of the nicknames people have for me are about my bigness. For example, Mike Boich and Dave Jacobs call me El Grandè. I like that one too, because has adds a Latin accent to my grandiosity.  
			- PPPS: Another <a href="http://scripting.com/2021/05/30/heyBeegStuff.m4a">imitation of Guy</a>, a slight variant on Beeg Stuff.
	- May 29
		- Ruth Bader Ginsburg: "Fight for the things that you care about, but do it in a way that will lead others to join you."
		- How tech comes into existence
			- It's so important to <a href="https://aeon.co/ideas/coding-is-not-fun-it-s-technically-and-ethically-complex">change</a> the public perception of "coding" because it's needed if we're going to have good communication about issues in all the software and networking systems our world is built on.
			- Think about the pandemic doctors we got to know in the last year. Networking technology is just as complex and evolving as theirs is. And we haven't even sorted out who to go to to get the scoop. Consequently, there's so much awful journalism about tech. It has always been thus, in my entire 40-plus year career in tech. It isn't getting better, and the push to create millions of "coders" is going in the wrong direction. 
			- I haven't worked inside a company in a long time, but I imagine the problem is bad there too. And within my communities, many people don't understand why all the bugs don't disappear at once. Or why I made the software do something they don't like. Because they don't see a process. How can you blame them, even if they were here with me, all they would see is someone typing at a keyboard, going for walks, hanging out. How that turns into functionality, they don't even know that it does turn into functionality.
			- I remember a lot of the gestalts when I was learning how to develop software initially. And I was a student of this stuff, getting an advanced degree. Most people have a much more casual relationship with tech. That's okay, but some people *have* to understand to be able to do their jobs.
			- A famous NYT columnist once said something I made just blinked into existence through the magic of the internet. This person makes a lot of money. His books sell in the millions. He interviews heads of states and CEOs, but there is no one he listens to who will tell him when he garbles the most basic idea of how tech comes into existence. 
			- I want people to understand how it really works. Right now we're in a dangerous situation where few people have a good picture, and they aren't the people we listen to. 
			- PS: This is also a <a href="https://twitter.com/davewiner/status/1398639564466671626">Twitter thread</a>. 
	- May 28
		- Today's song: <a href="https://www.youtube.com/watch?v=Qh123TonnOc">Harmony</a>.
		- Occam’s News reminds you that the <a href="https://www.axios.com/jan-6-commission-senate-republicans-filibuster-40993503-9abb-484d-a4da-984eac929e88.html">Repubs</a> <a href="http://scripting.com/images/2020/05/06/moscowmitch.png">work</a> for <a href="http://scripting.com/2021/05/28.html#a211959">Putin</a>.
		- <a href="https://en.wikipedia.org/wiki/John_Gruber">John Gruber</a>, the originator of <a href="https://en.wikipedia.org/wiki/Markdown">Markdown</a>, says that it wouldn't make a good interchange format for outlines. I have said that much <a href="http://scripting.com/2021/05/27.html#a105240">here</a>, and I'm glad it looks the same from his point of view. It's <i>good</i> that two developers in the <a href="http://scripting.com/2021/05/23/134949.html?title=toolsForThought">Tools For Thought</a> market want their products to <a href="http://this.how/standards/index.opml#1497798753000">interop</a>. Much better than the alternative, where everyone retreats to their own silos. Why should I have to learn another editor to be part of your world? What about all the docs I already have, do you really want me to retype them? Isn't that why we have computers and networks? So this is good. A first step. 
		- That said, I like the two products that are trying to get together on this basis, and I like that they are interested in interop and willing to work for it, and compromise. That's really the most important thing. It's the <a href="http://this.how/standards/index.opml#1497798753000">first item</a> in my Rules for Standards-Makers faq. So if they proceed with Markdown as the basis for interop, I hope at least one of them doesn't stop there, and we can build on the capabilities of outliners and add-ons that already interop based on OPML. I think ultimately more will be possible with OPML, and I'm happy that they're working for interop. 
		- Right now <a href="https://www.google.com/search?q=derrick+rose&safe=off&sxsrf=ALeKk00mnCcJ9utTJXp-lxrS-rKxtq8Z0w:1622214232659&source=lnms&tbm=nws&sa=X&ved=2ahUKEwjY3tj40uzwAhXqY98KHU2JBzsQ_AUoAXoECAEQAw&biw=1203&bih=1138">Derek Rose</a> is the most interesting player in the NBA. 
		- A funny thing about tonight's Knicks game in Atlanta is Trey Young is going to have to deal with shit-talking Knicks fans tonight. That's the thing about NYers. We're everywhere. ;-)
		- Trump and Putin make love in Helsinki.
	- May 27
		- Today's song: <a href="https://www.youtube.com/watch?v=t9a1JQi7G3k">People Like Us</a>.
		- I had an <a href="https://en.wikipedia.org/wiki/Magnetic_resonance_imaging">MRI</a> this morning. There was only twelve minutes of MRI'ing, but I swore to myself next time I'd rather die than do this again. It's weird. I know I'll forget that eventually, I did last time (it was worse than today's).  It was broken into 5 separate exposures of different lengths. I tried various ways to keep my mind occupied. First, I counted all the states, first going around the edge of the country then looping through the interior. The second time I did it again. Next time I tried counting my breaths, but eventually lost interest. All the time I'm having bouts of freaking out from claustrophobia. I thought <i>terrible</i> thoughts. All the while it felt like the MRI was pulling me in, even though the operator told me that was just an illusion. But, by the last segment I figured out what to do. I reviewed the code in the project I'm working on now. I realized I had a great map of it memorized, and walked through all the bits I could remember, like the states, just to see how much I could find up there in my brain. My brain is a tool for thought, I realized, and tried not to laugh. It kept me entertained. I'm passing this along as a lifehack for programmers, or other designers and developers. 
		- Of course Bill Gates is a nasty fuck. Come on. All you had to do was <a href="http://scripting.com/specials/billGatesSatan.html">read</a> <a href="http://scripting.com/davenet/1998/05/06/yoQuieroScriptingNews.html">my</a> <a href="http://scripting.com/davenet/2000/01/14/billGatesVsTheInternetRevi.html">blog</a>. Even so, I actually <i>like</i> Bill Gates. It's weird.  I've met with him a few times and always found it interesting and memorable. At one time believe it or not I wanted to work at Microsoft. Friends later told me I dodged a bullet. Actually a couple of times. Anyway the reporters are going for him now. Time to get out the popcorn. 
		- Up for discussion, using Markdown as an outline interchange format. First, my outliners will support it if it gains traction. Here's an <a href="https://gist.githubusercontent.com/roamhacker/a615a1b2e83d79853b3cc40c9e0f3494/raw/a3d8ea783a0073555dd19f0f543a0c8d0ce4cce5/Logseq%2520Markdown%2520exammple%2520for%2520DW.md">example</a>. Comments follow. Markdown is good for what it was designed to do, to be a simple alternative to HTML. You could send someone an email in Markdown, and they wouldn't have a clue that it was also something a piece of software could turn into a decent web page. I like Markdown for appropriate uses. I've been <a href="https://www.google.com/search?q=site%3Ascripting.com+facebook+markdown">urging Facebook</a> to support Markdown so that their posts could have simple styling and links. But is it useful as an interchange format for outlines? Outlines can have attributes attached at any node, and this is something that Markdown can't handle without being extended, and it's questionable whether Markdown can be updated. Further if you start adding technical stuff to Markdown, it stops fulfilling its mission to be human readable. But as I said, I'm not picky, if it becomes popular I'll support it. What do I like for outline interchange? OPML, of course. That's what it was designed for, and it works. I wouldn't mind if we used a JSONified OPML, it's easy to go back and forth between XML and JSON (they're really the same thing, actually). For more information see the <a href="http://this.how/opmlChecklist/">checklist</a> I put together for devs supporting OPML in their outline-processing software
	- May 26
		- I hate tweets that look like links to news articles but really are pitches to get you to subscribe.  
		- In general businesses place $0 value on your time. The worst are doctors. And then people whose name you don't know call you by your first name, and use a name no one but your (deceased) mother uses for you (the one on my birth certificate). This nameless person may possibly think they're being "friendly" but they're really being dominant. 
		- A bike safety idea. I noticed on my ride yesterday, a very nice day, in the week before Memorial Day, so lots of city folk are around, and they're out for a walk, in groups of 2 to 8 on the same roads I ride my bike on. They often occupy all the space, and move around a lot so it's impossible to know where I can safely go to get by them. I'm sure if I hit them they would get hurt, but unlike a car, I would get just as hurt. And I don't make much noise, so maybe they don't even hear me. I noticed that when a car approaches they get out of the way, presumably because 1. They can hear the car and 2. They know they'd get hurt and the car driver would just get a ticket, if that. I get a lot of thinking done while I ride, and I came up with a potential solution. I have a <a href="https://www.amazon.com/Tribit-Micro-Bluetooth-Speaker-Waterproof/dp/B07VSPPQXC/ref=asc_df_B07VSPPQXC/?tag=hyprod-20&linkCode=df0&hvadid=416694489735&hvpos=&hvnetw=g&hvrand=16093003404928166045&hvpone=&hvptwo=&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-936549499154&psc=1&tag=&ref=&adgrpid=94693386915&hvpone=&hvptwo=&hvadid=416694489735&hvpos=&hvnetw=g&hvrand=16093003404928166045&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-936549499154">great little speaker</a> mounted on my handlebar. It's small but it produces a lot of sound. What if, as I was approaching a group of such people, I switched the sound to that of an accelerating car, headed straight for them. It would be fun to watch them scatter! It would be a valuable teaching experience and it would get them out of my way, quickly. I would get the same respect a car gets. I really like the idea. All I'd need to try it out is a recording of an approaching car to play on my iPhone. 
	- May 25
		- I went to a local supermarket today where most of the store personnel were not wearing masks. I asked about it, and was told because they had been vaccinated they didn't have to wear them. I kept my mask on. I would have liked to have not worn the mask, but I think we should have kept wearing masks, until the pandemic is squashed in most of the world. It isn't yet. I'd prefer to err on the side of caution, but I guess we've decided it's over and that's it. But what if it isn't over?
		- But <a href="https://donaldgmcneiljr1954.medium.com/the-end-is-near-no-seriously-142683fb085e">Donald McNeil</a>, our pandemic guru, says Dave, take it easy, the end is near. <i>OK!</i>
		- Our leaders lack the will
			- I listened to <a href="https://twitter.com/joetrippi">Joe Trippi's</a> podcast <a href="https://podcasts.apple.com/us/podcast/wapos-greg-sargent-on-gops-demise-and-future/id1523896927?i=1000523008931">today</a>. An interview with <a href="https://www.washingtonpost.com/people/greg-sargent/">Greg Sargent</a> of the Washington Post, who I read and think is smart. 
			- Trippi said what's obvious -- we're pretty fucked. 
			- He didn't say this part: At this moment we're not out of options. But they all require doing something that will provoke the ire of Trumpkins. So far the Democrats have not wanted to provoke them. 
			- This is when Democrats throw their hands in the air and give up. It's what they do on cable news, it's what they do in editorial board meetings at the great news orgs (when they're not fussing over who's woke enough to remain).  It's what Democratic incumbents do. It's what instant pundits on Twitter do. 
			- What to do? I give up!
			- Here's the common thread:
				- 1. We're <i>soooo</i> fucked.
				- 2. What can we do? 
				- 3. Throw hands in the air. 
				- 4. Give up.
			- Upsetting the Trumpians is inevitable and if done at the right time, probably survivable. It's better to provoke them now rather than later. Now we have a rule of law government. If you let things run their course, when it happens a Trump will run the government. Nothing you or I do or say will matter. If you make too much of a stink you'll go to jail, or worse. 
			- What a sad situation, where the people with a voice correctly parse the situation and then give up. 
			- Maddow did the same thing last night. Here's the problem, she spends 20 minutes prepping us. Then: what do we do? She may have an idea, but she doesn't say. Totally useless. Get out of the way. Time to say the truth or resign. 
			- The truth: The civil war is not just inevitable, it's here. 
		- George Floyd, America and slavery
			- Some thoughts about George Floyd, America and slavery
				- He was killed the way disobedient slaves were killed.   
				- <i>Of course</i> if he were white he would not have been killed. 
				- There have been other black people killed by police, recorded in video and shared on the web. Those were relatively instantaneous acts. George Floyd's murder was deliberate. It could have been stopped any time during the <a href="https://www.cnn.com/2021/03/29/us/george-floyd-timing-929-846/index.html">nine minutes</a>.  
				- It's hard to imagine in words what might have been going on in the head of the murderer. What did he think was going to happen? In his mind what was his relationship with Floyd? Did he see him as human or property? Did he think there would be consequences?
				- I have a good American education, and read a fair amount of history as a child. I was fascinated with it, but until last year I had never read a first person account of slavery. Just facts. Dates. Politics. The war. Reconstruction. Jim Crow. Voting rights. 
				- Our official American history treated our black ancestors the same way slavery did, as property. They didn't have a voice. Their story remains largely untold.
				- America is  built on slavery the same way Windows is built on DOS. We never removed it from our operating system. The code is running every time America does something. It's part of our implementation. Some corrections have been put in place in an attempt to route around the most egregious wrongs of slavery, but those changes can be reverted and they are, right now. 
				- Being responsible is not the same thing as "being the cause of." 
				- I am a first-generation American, a child of people who fled Europe for their lives during WWII and found safe haven in the United States. 
				- Your ancestors could have been living their own injustices, as mine were, but you and I now live in the United States, where the crimes (not a strong enough word) against Native Americans and African Americans are deeply ingrained. 
				- By coming to America, we became part of a culture and political system that was built on slavery. We haven't yet shaken that off. The George Floyd murder is the most graphic evidence most of us have seen that slavery is very much still with us. 
				- We are responsible, in the sense that it is up to us to respond.  
				- BTW, if you haven't listened to the <a href="https://www.nytimes.com/2020/01/23/podcasts/1619-podcast.html">1619 project podcast</a>, it's an easy way to quickly get a different perspective on America. There's a pretty good chance that you, like me, have not heard this story yet. Which is of course ridiculous. 
				- I think that everything we do to try to get out of the slavery system is doomed to fail until everyone understands the history. We have to teach it in the schools to people of all races. This is America, your country. Here are the problems you will have to deal with when you grow up, so you might as well learn about them now. 
	- May 24
		- Today's song: <a href="https://www.youtube.com/watch?v=wN35w-trGRo">These Boots Are Made For Walking</a>.
		- What could the Repubs do that would cause the Dems to expel them from Congress, making the filibuster totally irrelevant.
		- My project for last week and this week was to get "Drummer" running in <a href="https://www.electronjs.org/">Electron</a> so it can be a desktop app in addition to a web app. I just hit a milestone -- I can now create and open files, and it remembers what tabs were open and when you restart they automatically re-open. The idea, as always, is to create a layer below which there are differences between the app that runs over the net, ie your files are stored on a server in the cloud, and the one that runs on the desktop, where the files are on your local system. For my most important writing, I prefer to use the Electron version. So hopefully by the end of the week I will be able to switch from the Electron app I've been using for the last four years, to the new Drummer-based system, which is much cooler, more "Frontier"-like.   
		- My car sent an email saying that one of my dashboard lights is on. I verified. I need to add water to my windshield washer. I feel loved. 
		- Someone should tell the news industry that all the michegas over who barked at who and who should be cancelled, is not a good look for their readers and viewers who observe that our political system is in the process of turning from a dysfunctional two-party system into a one-party autocratic system that's planning racial and gender suppression and possibly even cleansing. 
	- May 23
		- Watching the <a href="https://nypost.com/2021/05/22/nets-shake-off-rust-and-then-cruise-to-game-1-win-over-celtics/">Nets game</a> last night, I felt sad for the Celtics, which is a milestone because I generally hate the Celtics, but I hate the Nets so much more. They filled Barclay's with fans. Where did they come from? Every city has fair-weather-fans, New York is no exception. The Yankees fans who root for the Mets when they're in the World Series, for example. Mets fans root against the Yankees no matter what. We <i>like</i> the Red Sox, because they torment the Yankees. These New Yorkers like that three carpetbaggers, KD, Kyrie and Harden decided they wanted to own an NBA team, and Brooklyn was available. This has nothing to do with New York, or even the Nets. It's just three players in the prime of their careers, all headed for the Hall of Fame, and all of them total fucking assholes. Which usually isn't a bad thing in NY, except that the Knicks are the team we actually love, and they're rising to the occasion. Their series with Atlanta, which starts tonight at the Garden, is probably going to turn out to be much better basketball than the coming rout by the top-seeded Nets of the low-seeded Celtics.
		- The Republican Party is being re-formed in the model of the Russian government. It's as if Putin owns one of the two parties in our two-party system. The problem is if this persists, it will not be a two-party system.
		- Brad Silverberg, who I was just thinking about, wrote a <a href="https://twitter.com/bradsilverberg/status/1396451375538651137">tweet</a> on a subject I was getting ready to write about, in response to something <a href="https://twitter.com/jayrosen_nyu/status/1396445625911291904">Jay Rosen tweeted</a> earlier. The question is does any news about Matt Gaetz really matter? He's a nobody. Obviously he did a lot of awful things, and he should be expelled from Congress, for that, and for voting to overturn a legal election (the latter being more in line with the news I care about). Same with Marjorie Three Names (a term coined by Silverberg). That they are tolerated by Repubs is news, but not super important. What matters is why aren't we actively trying to head off the looming permanent hijacking of American democracy? Why are our news channels content in reporting the points on the curve instead of the curve itself. When the 2022 election comes and the Repubs take over the House, then, when it is too late, will they report on how the next presidential election is meaningless because the Republican House will never let the election stand, if the Republican candidate should lose. That Democrats will never win another election. Whose fault will it be when it's too late? We have an incredible chance right now to get ahead of the history that the Repubs are trying to write. Why are we giving up? Maybe the people who can't watch the news as we drive off the cliff, are right?
		- Tools for thought
			- <a href="https://www.google.com/search?q=%22tools+for+thought%22">Tools for thought</a>. That's what the new category, with outliners at the core, is called. I endorse the name. It's a good one. Our first product at [%search: Living Videotext%], shipped in 1983, was called [%search: ThinkTank%]. Pour your your thinking into the outline structure, and then as time goes by reorganize the outline to reflect what's happened with these ideas. Right off the bat, that's a different use-case from the ones used by the TFT people. There are others.  
			- Our first ads had a big title: See what you think. We sold to people who understood <i>that</i> they think, were self-aware enough to have ideas about <i>how</i> they think, and were interested in tools that could make their thinking more powerful, as a spreadsheet makes financial planners more powerful. Or a database makes running a business less expensive and more personal. We applied the power of a personal computer to the act of thinking. And it worked!
				- The <a href="https://www.nytimes.com/1983/05/17/science/personal-computers-software-first-idea-processor.html">first review</a> of ThinkTank -- ever. In the NYT, in 1983. 
				- The <a href="http://static.scripting.com/larryKing/images/2014/02/18/uglyThinkTankAd.jpg">back cover</a> of the first commercial release in ThinkTank, the one that was reviewed in the NYT.
			- It's weird for me, because I'm sure I come off as arrogant, a know-it-all, but the truth is that I've been far down the road these young people are just starting down. I believe I know how a lot of this turns out. 
			- For example, one of the TFT thought leaders last night compared this stuff to the beginning of blogging, something I also know a lot about. If he knew the truth it would blow him away. The first blogging tools <i>were outliners,</i> because that's what I use to write. And I still think that blogging and outlining are basically the same thing. I'm using my outliner right now to write this post. 
			- Anyway there's so much more to say. I'm glad to have the opportunity. And I want to be clear, I want to help the young folk. I want to make sure we don't lose all the progress that's already in the bank. I want the interfaces to be open, simple, steady, efficient and most important, compatible. Creating 18 different silos will waste decades of future development. It's still very early and the interfaces mostly don't exist, so it's not too late to make this more like the blogging world and less like Facebook (more likely a dozen Facebooks, btw).
			- The three basic components that make up the TFT world. 
				- Outliners, of course. 
				- Databases which store the outlines, and maybe do discovery on what's stored there, and 
				- Renderers which view the outliner as an authoring tool, and produce a visualization of an outline or a section of an outline, as a bullet chart (presentation), tree chart or the display that the VCs love, the connected graph where you can zoom in on stuff and the blocks re-arrange. 
			- But there are other views of this world. Outlines are great structures for programming! Python started off in that direction, but stopped before they got to the good stuff imho. We went much futher with "Frontier". We also used the outliner to manage the object database and user interface structures. You used the same outliner to browse through the data kept by the runtime kernel. 
			- But, even that's just the beginning. Something I haven't seen explored in any of the TFT products is the idea of an outline as a file system. With the outlines being a permanent container for all kinds of work. File systems are of course outlines. Instead of the mediocre tools for managing file systems on the major OSes, why not have a great one! That was the idea behind ThinkTank and its successors. 
			- How do you know this is right? Pop up and look at the structures in your computer and on the net. They are all outlines. So if you're thinking of an outline as an inherently small thing, you're not seeing the full picture. 
			- Again, I'm aware that this could come off as arrogant. But what do you do when a group of brilliant young visionaries discover what you discovered when you were one of them, in the mid 1970s, and spent the rest of your career exploring and developing, while the rest of the computer world pretty much ignored you? First you celebrate! It's not a lost cause after all. Then you ask yourself as I am, how do you approach this. What I've decided so far is that I am going to continue to develop "Drummer", and I'm going to push in every way for zero lock-in, user choice everywhere, and clean simple and extensible APIs for each of the components. And of course I will be writing all through this process, as long as I can, because that's the other thing I do -- blog. Not only do I create the software for this stuff, I create it for myself because this is how I think, it's why I knew to develop this stuff in the first place. 
			- PS: If you want an idea of what it's like to use an outliner, <a href="http://littleoutliner.com/">here's my latest</a>. It's free to use. Hope you like. ;-) 
			- PPS: If you're a developer of outliners, databases or renderers, or simply want to explore the data format of outlines, I recommend taking a look at "OPML", which was designed specifically for interop between outline producers and consumers. I wrote a <a href="http://this.how/opmlChecklist/">checklist</a> for supporting OPML with examples, source code and advice. 
	- May 22
		- I test drove a Tesla <a href="https://www.tesla.com/model3">Model 3</a> today. Very nice car. So powerful. And while it was hard for me to get in and out of the car, once I was in there was plenty of head room. I also surprised myself and let it drive for a bit. It was pretty scary. I'm a horrible passenger and back-seat driver. But it seems to work pretty well.  
		- Is it a goat or a fucking goat? Depends <a href="https://twitter.com/ginoiseau/status/1395677801739554821">who you ask</a>.
	- May 21
		- Today's song: <a href="https://www.youtube.com/watch?v=zYKupOsaJmk">Walk the Dinosaur</a>. 
		- David Wynn has the <a href="https://github.com/scripting/Scripting-News/issues/209#issuecomment-845675052">answer</a> to the <a href="http://scripting.com/2021/05/20.html#a143914">question</a> I asked yesterday about debugging Electron apps. 
		- <a href="https://github.com/scripting/Scripting-News/issues/209#issuecomment-846001467">Now I have another question</a>. In Chrome, when I make a change in some code, sometimes just reloading the page doesn't cause the changes to load. There is a way to force it to do so. 1. Open the JavaScript console. 2. In the browser toolbar, hold down the mouse button while clicking on the Reload icon. A menu pops up, offering you a chance to "Hard reload" the page. The single keystroke for this is Cmd-Shift-R (on the Mac at least). How do you do this in Electron? I've been trying to use a cache confuser to the &lt;script> element, but that doesn't always work. I need a reliable way to make sure new versions of code are loaded. It's pretty hard to debug if you can't quickly make changes. 
		- In all the years I've been online and been a developer of outliners, I have never participated in a discussion of the design of outliners, from a UX standpoint. This seems to be happening on Twitter now. I'm going to keep readers of the blog in the loop. <a href="https://twitter.com/davewiner/status/1395632868035121156">Latest question</a> -- what to do when the user presses the Return key. Here's how "LO2" does it. If the cursor headline has expanded subs, then the new headline is the new first sub. If the cursor head has no subs or they aren’t expanded, it is the next sibling. It doesn't matter which mode you're in, structure or text, the behavior is the same. The Return key is too important to have multiple meanings. It always creates a new headline. BTW, LO2 works the same way ThinkTank, MORE, Ready, Frontier, the OPML Editor all work(ed). Once we had these questions sorted out, we kept the functionality consistent. Some things have evolved over time, for example the wedges are relatively new, earlier outliners had two leaders, a plus, indicating that the headline has subs, and a minus, indicating it has no subs. But the wedges are more expressive. They tell you whether there is unexpanded material underneath (the wedge is black) or not (it's gray). So it's easy to scan to see where there might be hidden structure. 
		- BTW, I call it the Return key, but on my keyboard it says Enter. This is to distinguish it from the other Enter key, usually along the right edge of the keyboard, near the numeric keypad if the keyboard has one. That one we reserve for a different function, it's the keyboard method for switching between text and structure mode. 
	- May 20
		- The next outliner <a href="https://www.youtube.com/watch?v=fm2xvfZeP1Y">demo</a>, the difference betw structure and text. 
		- <a href="https://github.com/scripting/Scripting-News/issues/209">Question</a> about debugging in Electron. I want to inspect an object in the HTML page. In the browser I'd right-click on the object, and choose Inspect <a href="https://user-images.githubusercontent.com/1686843/119004496-a0c00280-b95c-11eb-8c0f-98dda403d9a0.png">from the menu</a>. How do I do this in an Electron app? 
		- "Art Show" update: With over <a href="https://github.com/scripting/artDownloader/tree/main/data/images">10K works</a> of art in the <a href="https://github.com/scripting/artDownloader">repo</a>, I needed to slim down the <a href="https://github.com/scripting/artDownloader/blob/main/data/art.json">art.json</a> file that the <a href="http://artshow.scripting.com/">web app</a> loads on startup. It was getting too big, and was only getting bigger. Now there's data for 1000 works of art in the file. After a day or two you might want to reload the page in case there's a new random selection in art.json. 
		- We should have the civil war now, while we have a rule-of-law executive. The first step is to expel the seditionists from Congress. The next move is theirs. 
	- May 19
		- <a href="https://www.youtube.com/watch?v=1r19K2sXXJs">Video</a>: What happens when you move an outline node out a level.
		- The memory of <a href="https://www.google.com/search?q=site%3Ascripting.com+%22google+reader%22">Google Reader</a> may have faded so much that Google appears ready to try again. Even the headline of this <a href="https://techcrunch.com/2021/05/19/undead-again-google-brings-back-rss/amp/">TechCrunch article</a> is disturbing. Google did so much damage to "RSS", the thought of them "reviving" it is analogous to Exxon reviving the site of some <a href="https://en.wikipedia.org/wiki/Superfund">huge oil spill</a>, one that they didn't contribute to cleaning up. Even worse, browser vendors have no place trying to provide the user interface for RSS. Another toxic dump site. If Google wants to help RSS, great -- here's how. Do the subscribe button, that's a good thing. But the result should be a <a href="http://scripting.com/2013/08/15/feedReaderDevs">dynamic OPML subscription list</a>, that the user can provide to any reader app they want. It's dynamic in that the contents can change, and the readers should periodically check to see if feeds have been added or removed. This way, if someday Google abandons RSS, again, everything can keep on ticking, more or less. Inviting users to rely on them shows that they have no sense of responsibility for the trust they betrayed in the past. Perhaps users can refuse to go on this ride? That might be too much to hope for. And TechCrunch, they're hopeless, have been for a long time.
		- Things Google Reader is like
			- From a December 2019 <a href="http://scripting.com/2019/12/21/170042.html">post</a>.
				- An oil spill by Exxon in virgin Alaskan wilderness. 
				- A nuclear meltdown in the city you live in a suburb of.
				- A neighbor who runs a crack factory down the block from an elementary school.
			- Another way of looking at it -- Google is to RSS as the fox is to the henhouse.
	- May 18
		- A news search engine I'd like to see. Only index sites I can get to with an ad blocker on, without hitting a paywall. 
		- I’m reading Carl Sagan’s <a href="https://en.wikipedia.org/wiki/Cosmos_(Sagan_book)">Cosmos</a> — great book but quite dated. We must know a lot more now. What’s a good scientific history of what we’ve learned in exploring the universe in the last 40 years or so.
		- If you're going to Newsgeist in June, virtually. Is <a href="http://scripting.com/2021/05/16/144853.html?title=twitterCouldHelpFixNews">this</a> something you'd like to discuss? 
		- If Dems were great at politics, they would seize on the <a href="https://www.cnn.com/2021/05/17/politics/supreme-court-abortion-mississippi/index.html">new threat</a> to abortion and make it loudly clear to the electorate that the only way back from the hole the Repubs put us in is to elect supermajorities in both houses, or else poof there goes abortion. 
		- Newsgeist calendar
			- I was invited to <a href="https://twitter.com/newsgeist?lang=en">Newsgeist</a> this year, and accepted.  
			- It's a virtual conference, so no travel is involved.
			- The conference is split in two parts, Ignite and Discussion. Each set of sessions is split into four groups, for various time zones around the world. 
			- The <a href="http://scripting.com/images/2021/05/18/newsgeistSchedule.png">official calendar</a> is hard to figure out because they don't translate all the times into my home timezone which is Eastern Time in the US. So I did a little table with the times in my timezone. You can easily translate to yours, I hope. 
			- <b>Ignite sessions</b>
				- APAC -- May 17, 5AM ET
				- LATAM -- May 18, 4PM ET
				- EMEA -- May 19, 11AM ET
				- North America -- May 20, 5PM ET
			- <b>Discussion sessions</b>
				- APAC -- June 14, 10:30AM ET
				- LATAM -- June 15, 9:30AM ET
				- EMEA -- June 16, 4:30AM ET
				- North America -- June 17, 11:30AM ET
			- The only hard ones to figure out were the APAC times, which are in <a href="https://www.timeanddate.com/time/zones/sgt">SGT</a>, which is 12 hours ahead of Eastern time.
			- If you see errors, let me know! ;-)
	- May 17
		- Good words to begin an email with: 1. Thanks. 2. Sorry. 3. I agree.
		- Maybe the CDC was smart in <a href="https://www.cdc.gov/coronavirus/2019-ncov/vaccines/fully-vaccinated.html">rescinding</a> their mask mandate for the fully vaccinated. We who are vaccinated are safe. If you want to get sick and die, then don't get vaccinated. We're going on without you. Hmm. I don't know. I don't think it'll work, but maybe.
		- I hear there were <a href="https://www.reuters.com/business/media-telecom/booming-podcast-industry-comes-age-with-ambies-awards-show-2021-05-15/">podcast awards</a> last night. The companies sponsoring it are the ones trying to own podcasting. If they succeed we will all lament how podcasting used to be something anyone can do, but now they're all Disneyland and Burger King. You know when blogging started getting big, all the news orgs said they started blogs. We said yeah if you use blogging software to publish your articles that's not a blog. The point of both blogging and podcasting is that they are media open to anyone. No one can create rules that you have to adhere to, like Apple with their app store. Facebook has standards, and the same journalists who tried to usurp blogging want them to make them make us conform with more of their rules. What can you say, except corporatism keeps trying to own everything. Nice, good for them, but it's boring and fucked up. 
		- I don't know why I continue to watch <a href="https://en.wikipedia.org/wiki/List_of_The_Handmaid%27s_Tale_episodes#Season_4_(2021)">Handmaid's Tale</a>. It's the most ridiculously written show. Every scene is more ridiculous than the one before it. People keep changing their minds. One scene a character is in Toronto, safe from Gilead, then they show up in Chicago at the front, in the closing scene, meant as some kind of cliffhanger, I suppose. What is she doing in Chicago the writers must have thought we'd all be wondering. Can't wait till the next episode. Knowing there will be no good reason other than she felt she belonged there or some stupid shit like that. Aunt Lydia is a big power broker in Gilead, even though she's one of hundreds of aunts and a loser, and ridiculous. June Osborne keeps ranking on her. No explanation why this aunt is the new boss, except that she's played by one of the stars of the show. I should've stopped watching it a long time ago. But I obviously hate myself enough to keep going.
		- I'm caught up with <a href="https://www.metacritic.com/tv/mare-of-easttown/season-1">Mare of Easttown</a>. It's good. Kate Winslet. I'll wait for the ending to say if the story is good. 
		- In general we don’t like it when foreigners criticize us, but if it’s Trump, go right ahead.
		- Dear Amazon
			- Dear Amazon, if the listener has to stream these shows on your site, then they are not podcasts. Would you please not call them that. It's just radio. Come on, play fair. Open platforms are where innovation comes from. Don't eat the seed corn that belongs to all of us. 
			- Amazon's corporate-casts, masquerading as casts-o-the-people.
	- May 16
		- Idea: An international conference on voting rights in the US. Give journalism something to report on, a question to ask, create new voices to stand alongside Liz Cheney.
		- This may sound odd, but I think the most direct way to fight what the Repubs are trying to do to our voting rights is urgent and broad education about slavery in America. We need to quickly learn who we, this country, really are. Even people who immigrated here. No matter what was done to us, we joined a country built on slavery. It never went away, despite what we were taught in school, and what we came to believe when we elected a black president. We are very much still fighting slavery.
		- The <a href="https://www.cnn.com/2021/05/16/tech/colonial-ransomware-darkside-what-to-know/index.html">ransomware attack</a> that knocked out the flow of gasoline in the eastern US last week was likely a good thing. Better that the vulnerability in our infrastructure is made clear in a form that costs just $5 million. Never mind trying to find and fix all the security holes, there will always be more. Just take the critical resources offline. 
		- Twitter could help fix news
			- Twitter has a <a href="http://scripting.com/images/2021/05/16/newsbox.png">box</a> in the upper right corner of their web interface that lists news stories they think I might be interested in. I almost always ignore it, or try to, because I've been trained to believe that clicking a link in that box is a total waste. 
			- But I'm hoping two new developments with Twitter mean they may be doing something to fix that. 
				- They <a href="https://www.theverge.com/2021/5/4/22417852/twitter-buying-scroll-subscription-service-news-revue-newsletter">bought</a> Scroll.
				- They <a href="https://gizmodo.com/looks-like-twitter-may-be-working-on-a-subscription-ser-1846903280">leaked</a> that they're going to have a $2.99 per month subscription plan. 
			- The dream.
				- As long as Twitter is collecting money from me for the subscription, they can also let me give them say $25 per month to give to news publishers when I go from Twitter to reading their otherwise paywalled stories. 
			- A story I was interested in.
				- This morning they had an item about how Bill Gates owns a big piece of Canada's largest railroad network. This is a current interest, how the non-philanthropist side of Bill Gates is more or less the same as before inventing his philanthropist alter-ego. I'm wondering how much the philanthropy is just good PR, vs a real change of the goals of a hugely rich and aging person (Gates and I were born in the same year, so I have an idea). He said, during his most active years in tech that someday he would stop being a predator, and start giving away his money. That's a full-time job he'd say.
			- Screen shots and links.
				- I clicked the link. <a href="http://scripting.com/images/2021/05/16/newsbox.png">Screen shot</a>. It took me to Twitter's news page, but there's no obvious link to the story, just a synopsis (<a href="http://scripting.com/images/2021/05/16/topOfTwitterStoryPage.png">screen shot</a>) that isn't even about the investments. Oy I've been sold a bill of goods, I thought to myself. I looked everywhere for a link to the story, but it doesn't seem to be there. 
				- Eventually I found a <a href="https://twitter.com/TorontoStar/status/1393658704529170432">tweet</a> further down the page from <a href="https://twitter.com/TorontoStar">@torontostar</a> with a link. I clicked it. Aha <a href="https://www.thestar.com/business/2021/05/15/how-did-bill-gates-end-up-owning-13-billion-worth-of-canadas-biggest-railway.html?utm_source=Twitter&utm_medium=SocialMedia&utm_campaign=Business&utm_content=billgates&utm_source=twitter&source=torontostar&utm_medium=SocialMedia&utm_campaign=&utm_campaign_id=&utm_content=">here's</a> the story. <a href="http://scripting.com/images/2021/05/16/storyTopOfPage.png">Screen shot</a>. I start reading. But after I get through the first paragraph, which is a repeat of what I had just read on Twitter, I am informed that this story is <a href="http://scripting.com/images/2021/05/16/paywallArrrrgh.png">Exclusive to Subscribers</a>. Arrrrgh!! All that just to hit a freaking paywall? You gotta fucking be kidding me. 
			- Do they have UX people at Twitter?
				- It seems they must know this <a href="https://en.wikipedia.org/wiki/User_experience">UX</a> sucks. It didn't take me very long to figure that out. Maybe they don't know, so I'm doing them a favor by documenting it. Instead, please let's have a new rule Twitter, offer a deal to pubs via your new Scroll acquisition, they take down the paywall for readers coming from Twitter, in return they are paid a fair price for every click, and the news can start becoming useful, at least to Twitter users.
			- This problem is festering!!
				- The news industry complains they need money from the government. No that's not what they need. They need to offer their product in an easy to use way that isn't completely diseconomic. It's ridiculous, I am not even slightly in the market for the Toronto Star. I live two hours north of New York City in the US. But they got a story, apparently, that no US paper has, so they're entitled to some money for that. All they're getting from me now is grief. And btw, same with Twitter. Yes, I was interested in a story about the non-philanthropist Bill Gates, they got that right. But I do not have a subscription to the Toronto Star. Surely you can figure that out. If not, I'm willing to tell them which pubs I actually do have subscriptions to. Or better, to repeat myself for the 80,000th time, let me pay. I will pay you. You will make money. You will stop complaining about how there's no money and we can move on from this ridiculous stalemate. 
				- Thanks for listening.
	- May 15
		- Taking off masks now is like letting people bring weapons and explosives on planes, only a bit more damaging and deadly. We’re such pussies in America, wearing a mask is nothing. Wait till you or someone you love gets the disease.
		- Everything the Repubs are doing is about white supremacy and reinstating slavery. The <a href="https://www.nytimes.com/2020/01/23/podcasts/1619-podcast.html">1619 podcast</a> and reading <a href="http://scripting.com/2021/04/26.html#a135710">Roots</a> has changed my perspective on what we call racism, but is so much more. Whites in America feel entitled to all the money and to own everyone else. Heather Cox Richardson has a good <a href="https://heathercoxrichardson.substack.com/p/may-14-2021">historic perspective</a> on this. 
		- I asked lawyer friends and the EFF for help in establishing credit for innovative technologists who choose not to patent their work, but I guess money is all that matters even for the supposedly "good" lawyers. Thus if you want credit for your contributions, even if you'd prefer to give them away, you'd better erect a tollbooth. This came up in the interview I did with Guy Kawasaki that will be part of his podcast, I hope. 
		- I got an email from <a href="https://www.google.com/search?q=site%3Ascripting.com+Richard+Stallman">Richard Stallman</a> thanking me for <a href="http://scripting.com/2021/04/02/145549.html?title=pleadingForStallman">standing up for him</a>. In turn, I thanked him for his many contributions, and for politely telling the people who wanted to destroy him to fuck off. We need more people to refuse to go away just because an internet mob demands it of them. Imagine if <a href="https://www.google.com/search?q=site%3Ascripting.com+Donald+McNeil">Donald McNeil</a> had said that to his bosses at the NY Times. They never did tell us why he had to go. And every time something puzzling happens with Covid I think of how they betrayed our trust, not that they care what we think. Clearly they don't. Imho, the only reason to keep the NYT around is to tell us the truth about what's really going on. Well, firing McNeil was something we never did hear the truth about. And I'm not forgetting it. 
		- I saw Dr Fauci on CNN last night, and it appears he is horribly conflicted by what the CDC did. If he quits, it'd be a scandal. But what they did, in removing the mask mandate, is as bad imho as anything Trump did. Back then he could telegraph his disagreement, but apparently he can no longer do that. <i>People are going to die</i> because of what they did, possibly many people. We're throwing away the advantage we got from the vaccine. How do I know? I have been paying attention and I know enough basic math to understand that we are not yet in a position to declare victory over the virus. And wearing a mask is a lot easier than being intubated and living for years if not decades with the lingering features of the virus. 
		- Teaser screen shot
			- When you hover the mouse over the file icon in a tab, you get a popover that gives you the basic info about the file. 
			- Popover from Drummer, in development. 
	- May 14
		- <a href="https://twitter.com/davewiner/status/1393164938257047554">Poll</a>: Is the pandemic over?
		- I agree, it was a <a href="https://twitter.com/DrLeanaWen/status/1393030530577444865">mistake to cancel the mask mandate</a>. I imagine they did it thinking it would incentivize people to get vaccinated, but it seems it'll do exactly the opposite. 
		- I figured out the cruise control on my 2020 <a href="https://en.wikipedia.org/wiki/Subaru_Forester">Subaru Forester</a>, and it's lovely, interactive. Turn it on, set the speed, and how far you want to be from the car in front, it does the rest. It knows if you take your hands off the wheel and yells at you. The Forester also knows how to stay in lane, even on twisty mountain roads, like the roads where I live. I find  I no longer stress about driving off the road, which is weird because I used to be paranoid about that. But I kind of trust the car to keep me from killing myself.
		- I did another edit on the <a href="http://this.how/opmlChecklist/">OPML checklist</a>, which was released yesterday, adding notes about node-level attributes. 
		- We haven't won the war
			- It's too early to declare victory over the virus. We haven't won.  
			- It's like a Knicks game where they're leading going into the fourth quarter and then somehow the other team swings into high gear and gets through the Knicks defenses, and they win. It happens even in 2021 (the <a href="https://www.youtube.com/watch?v=RozIVdLmNpE">Lakers game</a>, for example).
			- They thought they had the virus licked in India, and then something happened, we don't even know yet what, the balance tipped and virus is winning big, and as a result their health system has collapsed and the near future is bleak.
			- After the last year "it can't happen here" must be totally discredited right? 
			- Anyway we do not get to declare victory now. It's not over.
			- There are kids who can't be immunized, anticipating you'll say kids don't get sick -- that's wrong, they do, and we don't know the long-term effects, and kids are different from adults in that they <i>have</i> a long-term future. So we have to protect them.
			- I have a friend who has had a kidney transplant. He got vaccinated, but the belief is that it doesn't do much for <a href="https://en.wikipedia.org/wiki/Immunosuppression">immunosuppressed</a> people like my friend. Sentencing him to death because we don't want to wear masks sounds pretty harsh, and that's what it amounts to, if the virus is allowed to run wild. Which is, it seems to me, certain to happen now. There aren't enough vaccinated people to stop that from happening, imho.
		- It's Putin, dummy!
			- It’s amazing how journalism keeps forgetting things we already know. For example they can’t figure out why the Repubs in Congress continue to fear Trump, even though he lost the election. Hmm..
			- Trump <a href="https://www.washingtonpost.com/news/worldviews/wp/2017/05/10/the-strange-oval-office-meeting-between-trump-lavrov-and-kislyak/">meets</a> with Russian handlers in the Oval Office in May 2017.
	- May 13
		- <a href="http://this.how/opmlChecklist/">New Howto</a>: Examples, source code and advice for people adapting outliners to read and write OPML. 
		- Knicks clinch, I'm ecstatic
			- The Knicks suck in so many ways. But this year they suck less. Last night the <a href="https://sports.yahoo.com/knicks-clinch-playoff-berth-first-021855101.html">Knicks clinched</a> a spot in the NBA playoffs. Tears are streaming down my sad old face as I write this. The first playoff year since 2012-13, the season of <a href="https://bleacherreport.com/articles/1747434-timeline-of-jeremy-lins-rise-to-linsanity-and-journey-to-where-he-is-today">Linsanity</a>. This year it's a team full of Linsanity. Randle, Barrett, Derek Rose, Quickley, Bullock and so many more. A lovely team like the 1969 Mets. So the <a href="https://youtu.be/Yb0HCTe1ET4?t=30">paper bags</a> come off our heads, at least for a while. We're no long staring into space wondering how a team could possibly suck as bad as the Knicks. Fans being kicked out of the Garden by the owner for telling the truth about him and his stinkin team. Phil Jackson, his triangle offense and all the lousy trades. This was the year the superstars of the NBA spit on the Knicks and went to Brooklyn. There must be a Basketball God who looked at this and said, my dear friends, fate is not in the hands of KD, Kyrie and Harden. I am the master of fate. The Knicks believed in themselves and we came to believe in them, however tentatively. And meanwhile, thankfully, Melo, playing in Portland, seems happy in his new role. For one day in May, pandemic or not, all is good because god loves us and we love the Knicks. 
		- Double-square brackets revisited
			- <a href="http://scripting.com/2021/05/12.html#a142449">Yesterday</a> I explained what the &lsqb;[square brackets]] are doing in the various outlining products that support them. But I got it wrong. They are simpler than I thought, and represent a feature we had in our web CMSes going back to <a href="http://scripting.com/clay/whatdoesclaylooklike.html">Clay Basket</a> in 1995. They're doing the same thing they do in Wikis.
			- Suppose you've written something in an outline entitled Bill Gates vs The Internet. Then a year later you could link to the <a href="http://scripting.com/davenet/1994/10/18/billgatesvstheinternet.html">story</a> with &lsqb;[Bill Gates vs The Internet]]. 
			- It's useful if you give titles to what you write, but this is an old discussion not just in blogland but elsewhere apparently. To programmers it is convenient if every piece has a title. But the truth is most items in web and personal writing don't have titles, in this sense: there isn't an obvious title for them, if you had to come up with one it would be convoluted, and probably collide with some other convoluted title, depending on how long you had been writing. 
			- Most of the things I write don't get titles, so this feature, with this definition, would be fairly useless to me. I use permalinks in their place, therefore I've made it really easy to generate an <a href="https://www.w3schools.com/tags/tag_a.asp">anchor tag</a> in my writing. 
			- When I started blogging in 1994, all my pieces had titles, but over time, I realized my daily writing comes in long and short bits, and even many of the longish ones don't get titles. I'm not writing for a magazine or newspaper. I'm writing a blog. My thoughts. 
			- I see how they get around this in Roam by starting a new outline every day, and giving it a title, which is the date. I could do that in my blogging outline, and even in my development status outline. But I have to say I've never wished for such a feature. Maybe now that I know they use them so much in other products I'll get more ideas. 
			- In the meantime, I automatically put a <i>created</i> attribute on every node, which is a string representation of the date-time, for example: Thu, 13 May 2021 16:41:07 GMT. From that I generate a permalink for the node, which is displayed next to it in the web rendering by a purple poundsign. If you're reading this piece on the web, you'd see a purple poundsign next to each paragraph. 
			- Lots more to say. In Roam et al, they use links as private connectors. When I refer to a piece called My Favorite Soup that refers to my piece with that title, not yours. But in a wiki, which is a group writing tool, there's only one piece with that name. 
			- Our outlines have attributes, and conventions for what the attribute names mean. For example, if a node has type "include" and a "url" attribute, that's an include node. The url points to an OPML file. When you expand the node in an outline, we read the file, parse it, and insert its contents under the include node. All that happens instantaneously for not-too-large included outlines. Some people call these transclusions, we call them includes. It's the outline equivalent of an HTML link. In Drummer it will be possible to have these link to specific nodes in outlines. Bookmarks can already do this, in the Drummer in development.
			- We also have <a href="https://www.google.com/search?q=site%3Ascripting.com+glossary">glossaries</a>. And they are explained in lots of places.
			- Here may be the biggest difference between my outline world and the nascent ones. I've tried out lots of approaches to lots of different things in the over 40 years I've been working on outliners. I'm happy to share what I've learned, and I think all of it is applicable to the connected world we live in. But there are also advantages to being a newcomer to this stuff, you start with a clean slate. You might think of something that takes another 40 years to develop, where my horizon doesn't extend nearly that far. 
			- There are also big differences in the way our outliners work. I could explain that in a podcast, but don't have the time to write it up now. The takeaway is that without open modular connections between the components via APIs, this new burst of outlineism will end up with a sad story of silos and stagnation, not a wonderful explosion like the earlier open platforms. One silo vs a thriving ecosystem -- either approach could win. It's happened both ways in the past. We have to be careful to learn from past mistakes in evolving open platforms. 
			- For that, I wrote <a href="http://this.how/standards/">Rules for standards-makers</a>. 
	- May 12
		- My song in a <a href="https://twitter.com/davewiner/status/1392526507881508870">tweet</a>. "Interop. Interop. Interop. Choice!"
		- Andrew asked that <a href="https://logseq.com/">Logseq</a>, a platfor for knowledge sharing via outlines, <a href="https://discuss.logseq.com/t/support-opml-as-file-format/939">support OPML</a>. I heartily agree, and add that we will help as much as we can.
		- Congrats to <a href="https://en.wikipedia.org/wiki/Todd_Rundgren">Todd Rundgren</a>, <a href="https://ultimateclassicrock.com/rock-and-roll-hall-of-fame-2021-inductees/">voted in</a> to the <a href="https://en.wikipedia.org/wiki/Rock_and_Roll_Hall_of_Fame">Rock & Roll Hall of Fame</a>. 
		- When an idea is right it snaps into your mind like it always was there.
		- I'm finally watching <a href="https://en.wikipedia.org/wiki/Fargo_(season_4)">season 4 of Fargo</a>. Holding my attention. All the characters are great, esp <a href="https://en.wikipedia.org/wiki/Chris_Rock">Chris Rock</a>, who, after getting over the weirdness of a comedian in a serious role, really pulls it off. My favorite character is the nurse, <a href="https://fargo.fandom.com/wiki/Oraetta_Mayflower">Oraetta Mayflower</a>. I've always liked dangerous women. :smile:
		- <a href="https://twitter.com/davewiner/status/1392490802056765440">Poll</a>: What percentage of Trumpers want to reinstate slavery?
		- <a href="https://twitter.com/CNN/status/1392476430525771780">Liz Cheney</a> is a great American. Any Republican who at this time stands for the rule-of-law and the Constitution deserves our support. We may disagree on everything but these basics. We can respect them because we agree on everyone's right to participate in our government. We have this cause in common, to make sure the fascists and would-be slave owners go back into hiding. We have a terrible history to overcome. Another way of looking at it -- Cheney might be one of a small number of Republicans in Congress who aren't owned by Russia. 
		- Following up on <a href="http://scripting.com/2021/05/11.html#a164404">yesterday's thread</a> about integrating "LO2" with Obsidian, an idea promoted by SMS. He said <a href="https://twitter.com/sabre23t/status/1392115762358276097">he expected</a> that putting a word inside two &lsqb;[square brackets]] would open a page full of links to that word within my outline. This is a very important point, and one I want to focus on. I actually put that feature into the outliner I currently use to write my blog, when I saw how they were doing things in &lsqb;[Roam]] and &lsqb;[wikis]]. I will ship that for sure, it's a good thing, I'm using it myself. But! It would be so much better if all these tools worked together in an open web of these things. That's the way I think about it. Remember, I led the development of &lsqb;[RSS]] in its early years. I always wanted outlines to be <i>world</i> outlines, ie to include content from other outlines all over the web. I've <a href="https://www.google.com/search?q=opml+%22world+outline%22">written</a> a lot about that. In that context, I should be integrating with a <i>world wide</i> service that integrates lots of tools into a database of linked material. Roam insists that you use their editor, which is abhorrent to me, I will never support that, where Obsidian takes the open web approach. So the question I throw back to SMS and others is how can we set things up so a &lsqb;[bracketed]] reference works with the <i>world wide link manager.</i> We can do this. The technology is totally here. It sounds like &lsqb;[Obsidian]] is off to a good start. 
	- May 11
		- <a href="https://twitter.com/davewiner/status/1392240236109996033">If Giuliani is arrested, Trump will pardon him</a>. Yes, I know former presidents can't pardon people. But Trump says he won. A fair number of people agree. Some work in law enforcement. Let this fester a few more months. There will be a "controversy" about who the "real" president is. I said Trump will pardon him. Who will do what about that? How many days of fake rage will this generate on CNN, MSNBC, Fox, etc. No one seems to grasp the kind of twisted horror show American politics is becoming. Also, what happens if a Democratic senator dies. It's good to have programmers around. We are paid to think of the worst thing that could possibly happen. 
		- Interesting <a href="https://twitter.com/sabre23t/status/1391981493438668802">tweet</a> from a person named SMS. "I would love to see how your outliner app can work with Logseq. A few Obsidian users had got Logseq to work with Obsidian on the same folder." Lots of new terms in that sentence. He posted a pointer to this <a href="https://forum.obsidian.md/t/logseq-a-perfect-companion-for-obsidian/10887">post</a>. Okay so <a href="https://obsidian.md/">Obsidian</a> is something like Roam, but it's an open system, where Roam is a silo with lots of lock-in. So we like Obsidian over Roam, instantly -- simply because our tools (yours and mine) have a chance of participating, where Roam, well we can use their outliner, and get locked-in, which I don't see happening any time soon. "LO2" is where we start. Since outlines are in an easily used and open format dating back over 20 years, and can be made accessible to any web-able app (by making them public), it should be possible to <i>easily</i> hook it up to Obsidian or any similarly open platform. This is a good place to start. Now, this has to be a community thing, because I'm busy working on a new product, and don't want to detour. And that's why we support open formats and protocols, so there are no limits on what users and devs can do. See my <a href="http://scripting.com/2021/05/10/164703.html?title=myNolockinPledge">no-lock-in pledge</a>. This isn't new, it's the same idea I've been using since I started developing commercial software, way back with ThinkTank in 1983. 
		- BTW, here's <a href="http://scripting.com/">my blog</a>, and this is the <a href="http://electricserver.scripting.com/users/davewiner/electric/blog.opml">OPML file</a> it's generated from. Gives you an idea of how a chronologic outline can be turned into a publication. My blog has been running since 1994, and for most of it, I've been writing it in my outliner. I did take a few detours to use other tools I was working on, but realized eventually that the only writing tool for me is the outliner. 
		- Testing local file system with Logseq
			- Okay I don't know much about either <a href="https://github.com/logseq/logseq/blob/master/README.md">Logseq</a> or <a href="https://www.google.com/search?q=mozilla+local+filesystem">local file systems</a>, but I'm just trying it out, starting on <a href="https://logseq.com/">this page</a>. There was a box I clicked on that asked it to connect with the local file system. I was expecting something like localStorage, but it's not, it's better. The files are stored in a folder on my local system. That means they can be used by, or generated by, other apps. Very nice. I'm not sure what Logseq does with them from there, if they can be connected with other apps in some way.  
			- Anyway, here are two screen shots. 
				- 1. A simple <a href="http://scripting.com/images/2021/05/11/editor.png">outline</a> as I edit it. 
				- 2. What that <a href="http://scripting.com/images/2021/05/11/markdown.png">generates</a> in Markdown.
			- Here's an <a href="https://web.dev/file-system-access/">intro</a> from Google to the <a href="https://wicg.github.io/file-system-access/">File System Access API</a>, updated in April 2021. 
	- May 10
		- My no-lock-in pledge
			- First, I love there's new interest in outlining software. 
			- But there's too much lock-in in the developing systems. 
			- This is anyone's business who wants to use these systems for collaboration, now or in the future. I may like to use one editor, others may want to use another. Key point: We should be able to collaborate even though we use different writing and organizing tools.
			- Same with the servers and back-ends, which are so powerful for outliners. They can be used for beautiful tree visualizations, or networks of nodes, presentation slide shows, blogs. There are many different ways of rendering structures created by outliners. You should be able to innovate here without having to write your own outliner! It would be like having to use a different text editor just because you got a new printer. These things should work together. If we've learned one thing about tech over the decades it's that locking people in to using one vendor's tools stops growth. We should compete on the basis of price, performance and features, not lock-in. Users and devs should demand no lock-in. Long-term it means what holds promise now will devolve into a complete mess of things that don't work together. 
			- There should be simple APIs to connect any outline editor with any back-end used for storage, graphic displays, data crunching.
			- I promise that all my editors, storage systems and renderers will be connected through simple, open APIs. There will be no lock-in for users or devs. I challenge anyone developing idea organizing software and back-ends to do the same. Users and developers should demand it.
	- May 9
		- Happy Mother's Day to my <a href="http://scripting.com/2018/02/26/024939.html">mom</a>, where ever she be. :heart:
		- Our problem is we live our lives on TV. In our minds we’re badasses like the characters on TV. Our lives feel dramatic, but they’re imaginary.
		- Puzzle I saw on Twitter, sorry I don't have the link. Suppose I have three numbers. The second is the square of the first, the third is the square of the second and the first is the square of the third. What are the values of the three numbers? I didn't seen their solution. 
		- More re <a href="http://scripting.com/2021/05/08.html#a143741">Elizabeth Warren</a> as a candidate for president. We liked the idea of Warren more than we liked Warren herself. I saw her on TV during the campaign, and this idea hit me square between the eyes, she's talking to us like we're in the <a href="https://hls.harvard.edu/faculty/directory/">faculty</a> lounge at Harvard Law School. Very top down. Center of the universe, only this isn't a good image to project to voters. They want to feel feel understood, which is weird because the candidate is doing the talking. HLS faculty make good <a href="https://en.wikipedia.org/wiki/List_of_law_schools_attended_by_United_States_Supreme_Court_justices">Supreme Court justices</a>, not presidents. We had one with Obama. And he was funnier than Warren. She's got a real mean streak. Not good for someone who wants to lead the Free World. Clearly they understood this problem when she launched her campaign, because they presented her as a down home single mom from Oklahoma. She may have been that at one time, but that's not who she is today. 
		- Dear PC police, I use the term <a href="https://www.google.com/search?q=site%3Ascripting.com+%22black+people%22">black people</a> often enough. :smile:
	- May 8
		- <a href="https://twitter.com/davewiner/status/1391044631513665546">Poll</a>: Have you invested in cryptocurrency such as BitCoin?
		- I'm working on the docs for Drummer's <i>twitter</i> verbs today, and came across a few <a href="https://twitter.com/i/lists/2091338/members">examples</a> from the early days of Twitter lists. 
		- The reason <a href="https://nymag.com/intelligencer/article/elizabeth-warren-book-persist-campaign-memoir-2020.html">Warren's campaign failed</a> is that once she was the frontrunner and people got a good look at her, they didn’t like her. She’s kind of what you’d expect, a <a href="https://hls.harvard.edu/faculty/directory/10935/Warren">Harvard professor</a>. They do well at the top of academia, but don’t have a popular touch, and I’m being generous. Certainly there was some sexism, people who wouldn't vote for a woman under any circumstances, but she became the frontrunner with everyone aware of her gender. A woman candidate could have won the nomination in my opinion, someone like <a href="https://en.wikipedia.org/wiki/Amy_Klobuchar">Amy Klobuchar</a> or Michigan governor <a href="https://en.wikipedia.org/wiki/Gretchen_Whitmer">Gretchen Whitmer</a>. It's ridiculous to conclude that a woman couldn't get the nomination, esp since the Democratic nominee in 2016 was a woman. If Warren wants to be president she's going to have to listen to people outside her bubble. People who will, as they say, speak truth to power. 
		- When you hear about new strains of Covid that are ripping into India, as an American do you feel as if it's far away and won't affect me? Does it make you want to get vaccinated? What if our vaccines don't protect against the new strains? Are you ready for a new lockdown?
		- As a basketball fan this is how I look at where we are with Covid in the US. We have a 2 point lead going into the fourth quarter. Our two star players are out with injuries. Our fans are going home, they think the game is won. I know anything could happen at this point.
		- Front page of the NYT one year ago today.
	- May 7
		- Thanks to John Naughton for the very nice <a href="http://scripting.com/images/2021/05/07/naughtonOnArtShow.png">writeup</a> of "Art Show" in his <a href="https://memex.naughtons.org/friday-7-may-2021/33696/">Memex 1.1</a> blog and newsletter.
		- BTW I've heard it asked -- what's the big deal about "Art Show" -- I could write it in an afternoon. Well maybe you could (actually no you can't), but that's not the point. The points are this: 1. Art and 2. A <a href="https://github.com/scripting/artDownloader#the-fan-feeds">community</a> of curators doing it for love. But really it's about #1. It's nice to add art to your life where ever it makes sense. Beautiful images scrolling through the screen of a computer is a good thing, if that's what you like. If my development work ever was about prowess, that part of my life is long-gone. It's something young people worry about. Perhaps a residual part of the mating dance. As you get older, you're constantly reminded that you have no prowess. And gentler things, like appreciating other people's artistic visions, come to the front. So why do Art Show? It's the art, dummy! :smile:
		- Today's <a href="https://www.nytimes.com/2021/05/07/podcasts/the-daily/coronavirus-herd-immunity-vaccine.html">Daily podcast</a> was sad, both because we learned that herd immunity is slipping away  and also because [%search: Donald McNeil%] wasn't there to explain it in context of all his other prognostications. 
		- Google Maps on my iPhone has been giving bad driving directions around <a href="https://www.google.com/maps/place/Kingston,+NY+12401/@41.9273842,-74.0692088,12z/data=!3m1!4b1!4m5!3m4!1s0x89dd0f012dc98127:0x41d7895a5832c913!8m2!3d41.9270367!4d-73.9973608">Kingston, NY</a>. Sending me on a five mile loop to go somewhere that's less than 1/2 mile away. This is new behavior. I wonder if it is related to my blog not supporting <a href="http://this.how/googleAndHttp/">HTTPS</a>. (That was a joke, but it could happen. Their search index for my blog gets worse all the time. And I believe that <i>is</i> punishment for not obeying their edict.)
		- <a href="https://twitter.com/davewiner/status/1390703697630580737">Why people hate Elon Musk</a> starts a <a href="http://thesaurus.land/?word=rambling">rambling</a> Twitter thread. 
		- The changes happening in the Republican Party are more than disturbing. Given that there have been no charges or arrests of <a href="https://www.cnn.com/2021/03/05/politics/swalwell-trump-giuliani-brooks-lawsuit/index.html">political leaders</a> for instigating the January 6 attack on the US Capitol, it's fair to assume that it will happen again, and next time it: 1. Might be successful and 2. It will happen with the full support of one of the two major political parties. We are sleeping through this. 
		- I listened to another Kawasaki podcast, an interview with <a href="https://guykawasaki.com/mark-manson/">Mark Manson</a>, a deliberately foul-mouthed young man. They talked about people's legacies. I don't doubt that people want to leave something behind, but as I've aged, I've come to an unorthodox view of this. With <a href="https://www.worldometers.info/world-population/">8 billion</a> people on the planet, if we all succeed at leaving something of ourselves behind, what a fucking mess that would be! Some of these behind-leavings will cancel each other out. And others will be horribly misguided, they'll be exactly the wrong thing to leave behind. A better approach, imho, is to do things that please you, and others. Be kind. Help people. And whatever is left behind, incidentally, from that all that, is what you leave behind. Don't consciously try to change the world. Just do your thing. I'm not perfect about this. I would like to see what I've written, both in software and prose, survive me. They won't take up a lot of space. And, in all likelihood <i>none</i> of it will survive me, I'm aware of that. What can I do but shrug? Even so, I'm <i>still diggin!</i>
	- May 6
		- Next week I'm going to be on Guy Kawasaki's <a href="https://guykawasaki.com/remarkable-people/">Remarkable People podcast</a>. In preparation I listened to the <a href="https://guykawasaki.com/dr-katy-milkman/">latest episode</a>. I'm not surprised that he's an attentive and thoughtful interviewer. I knew <a href="https://www.google.com/search?q=guy+kawasaki+site%3Ascripting.com">Guy</a> when he was chief evangelist at Apple in the early days of the Mac. I was a software developer. He always treated me with respect. He worked for developers as much as he worked for Apple. I remember watching him talk with a developer who was kind of lost, and I was blown away how Guy treated him like a customer. I wonder if Steve Jobs knew how much care he put into his work. He was also one of the most passionate users of my early outliners. I wanted him to know that podcasting was developed the same way the early Mac products we worked on were. A core idea, an audio blog post. Trial and error. See what works. When something does work, do more of it, until four years after we started it, it took off. That so many years later, Guy is loving podcasting, that is so gratifying to me, that someone who connected to my earliest successes in tech, is flourishing with one of my more recent successes. That's how I came to get on his calendar to be interviewed next week. I'd like to talk with him as a developer and a user, I want to learn from his point of view how the product (podcasting) has helped him create. I'm sure we'll talk about why I keep doing this, iterating over new software ideas, over so many decades. That, right there is it. I do it so I can have conversations with smart people who use it, like my longtime friend Guy. 
		- One more thing. I think Guy would really get a kick out of <a href="http://scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">Bruce Sterling's talk</a> in Copenhagen, in 2009. Everything Guy and Dr Milkman said in his latest show has happened in my own life. Big changes in your life are good times to head off in new directions. I've done it a fair number of times myself.  That's what Sterling, a famous science fiction author, was talking about. How to use those big turns in your life, to have a more interesting life.
		- I keep saying I'm finished with "Art Show" and then I think of something else that would be nice to have. I just added an <a href="https://github.com/scripting/artDownloader/blob/main/data/rss.xml">RSS feed</a> for the image flow. Could prove useful.
		- Forget about ending the filibuster, it can stay. Instead, expel the congresspersons who backed and continue to back the insurrection. Let’s fight their civil war now, while the military is controlled by the rule of law. Later, it'll be a fairly one-sided affair. Think about it this way. We're getting a breather, a break between storms. Isn't it nice. Would you be willing to fight for this? Well if so, if you don't want to live in an authoritarian country, now's the time to fight. The situation is the most favorable it probably ever will be. We keep missing these windows. And every step it gets harder to put the genie back in the bottle. 
		- At one point I thought I'd have a <a href="http://chat.scripting.com/">chat app</a> adjacent to Scripting News, so I wrote a little bot that cross-posted everything I write <a href="http://scripting.com/">here</a>, over <a href="http://chat.scripting.com/">there</a>. Just for fun I took a look at the chatbot, it's still running, and has every post I've written for the last year, including images. It's kind of nice when something you wrote that you never look at just scales up fine. I've written so much software like this over the years. I guess I must like to write software? :rocket: 
	- May 5
		- <a href="https://twitter.com/davewiner/status/1389941099653963777">Tweeted</a> poetry about "Art Show". 
		- <a href="https://twitter.com/i/lists/1389951899424677888">Twitter list</a> with the fan feeds "Art Show" is following.
		- The fan art feeds from Twitter are now available as a web app, at <a href="http://artshow.scripting.com/">artshow.scripting.com</a>. I think that's about all the work I'm going to do on this project for now. The <a href="https://github.com/scripting/artDownloader">GitHub repo</a> will update periodically with more images. I've shared the source for the <a href="https://github.com/scripting/artDownloader/tree/main/app">Node app</a> that gathers the images and data about the images, and the <a href="https://github.com/scripting/artDownloader/tree/main/client">web app</a> that displays the art in a web browser. There's a <a href="https://raw.githubusercontent.com/scripting/artDownloader/main/data/art.json">public JSON file</a>, part of the repo, that is a list of all the images, so you can create your own apps if you like. There is a <a href="http://this.how/artshow/">howto</a> doc. Thanks to the <a href="https://github.com/scripting/artDownloader#the-fan-feeds">fans</a> who curate these wonderful art feeds. I love it, and am glad to be able to do a small part to make the art more useful. If you have questions or comments, please open an <a href="https://github.com/scripting/artDownloader/issues/new">issue</a> on the repo. 
		- We should have the civil war now while Democrats control the government.
		- <a href="http://scripting.com/2021/05/05/davecast.m4a">34-minute podcast</a> that's all over the map. But it's been a while, so there's lots to catch up on, esp with Scroll, and Repubs trying to overthrow the US government, how when you "invent" something, you have nothing but an intuition that what you're doing might be useful, certainly no clue how it will ultimately be used, the 50 best songs of <a href="https://www.npr.org/sections/world-cafe/2021/05/03/992097225/nprs-50-favorite-songs-of-1971">1971</a>, and lots lots more.  
		- Congress should follow <a href="https://arstechnica.com/tech-policy/2021/05/facebook-oversight-board-upholds-ban-on-former-president-trump/">Facebook's lead</a> and expel members who supported the January 6 insurrection.
		- Why Facebook must continue to ban Trump. Mitigating damage. If there were a sniper shooting up Times Square, it would be wrong for a bullet-supplier deliver more ammo to him. You might argue bullets are too dangerous to sell to anyone, but with Trump there's no excuse.
		- Having written so much about <a href="http://scripting.com/stories/2012/05/12/paywallsAreLookingBackward.html">paywalls</a> and <a href="http://scripting.com/2020/06/16/133627.html?title=newsHasBeenUnbundled">subscriptions</a>, it was a big deal for me that yesterday <a href="https://blog.twitter.com/en_us/topics/company/2021/a-better-way-to-publish-and-read-on-twitter.html">Twitter announced</a> that they had acquired [%search: Scroll%], a company that was founded to fix those problems, if only enough news publishers agreed. That's the chicken that's waiting for the egg, etc. It's possible that Twitter can make the difference, the same way the <a href="http://scripting.com/stories/2011/11/07/martinLeavesTheTimes.html">NYT made the difference for RSS</a> in <a href="http://scripting.com/davenet/2002/04/10/newYorkTimesAndUserland.html">2002</a>. That's what gives life to a standard. An entity so central to an economy, like NYT was to news in 2002, getting behind an independently developed format or protocol. With RSS it was an instant hit. It would be better imho if the NYT had bought Scroll and put its subscription function behind it. Would have also made sense for the Washington Post to do it, esp with Bezos as the owner. No question Amazon would know how to monetize this so as to eliminate the stifling ideas of paywalls and subscriptions. But Twitter is what we got. There was a <a href="https://blog.twitter.com/en_us/topics/company/2021/a-better-way-to-publish-and-read-on-twitter.html">post</a> from them yesterday that spelled out the vision. I wish them, and us, lots of luck, because the current economic system for news is untenable. Maybe Twitter can make the difference.
		- Edward Hopper, Cape Cod Morning. 
	- May 4
		- Fifty years ago today: <a href="https://www.youtube.com/watch?v=YX95QSKBODo">Four Dead in Ohio</a>.
		- One year ago today: "People seem to feel it's over, they see the weather changing, winter is finally over, summer is here,  we must have survived, time to go out and play. That's evolution for you. Of course the virus is still out there hunting us."
		- I wonder if people who feel that wearing a mask or getting vaccinated is giving up too much freedom, realize that you have absolutely zero freedom if you are hospitalized with Covid. You can't get up from bed, can't go home, can't even take a piss on your own. 
		- I question the idea that 1/2 of our legislative government can be trying to overthrow it. I think there has to be a radical response to this. Pretending it's possible is imho impossible. 
		- Two controversial questions
			- I wrote a couple of potentially controversial tweets yesterday and earlier today. I'm happy to say everyone responded respectfully, and at least tried to respond to the questions I asked. 
			- The first was about political discussions at work. The issue was raised by the recent controversy at the Basecamp company, which had suspended political discussions on the company's internal message boards. Later it came out that they were getting criticism for an internal list they kept of customers with "funny" names. I wrote about this on <a href="http://scripting.com/2021/04/28.html#a163250">April 28</a>.
			- Here's what I wrote in a <a href="https://twitter.com/davewiner/status/1389523386930499585">twitter thread</a> earlier today.
				- It’s a privilege to spend the day discussing politics instead of doing the job you were hired to do. At least some jobs could not work that way. Could a bus driver? An assembly line worker. A teacher. A tech support worker. A cashier at Starbucks. A cop. Emergency room doctor.
				- Suppose you worked at a company handling customer service calls. It’s a grind. All those angry people you deal with. But it’s a job. One of your colleagues spends much of their time on an internal discussion board commenting on the people they work with.
				- They start talking about you! You looked at someone funny in the lunchroom. You might be a white supremacist. Do you keep answering support calls, or join the discussion. You’re worried you might lose your job. Someone saw you reading a suspicious magazine.
			- If you can't tell, as a former founder of two companies, I think people should keep political discussions at work to an absolute minimum. It should be possible for people with different political views to work together. This, to me, is one of the central features of freedom. You are free to believe what you believe and so am I. But we can and must still respect each other, and the highest form of respect in my opinion is to create something with each other. Personal blogs are good places to express political opinions, so is Twitter. But not work. 
			- The other <a href="https://twitter.com/davewiner/status/1389318466524618759">thread</a> was about the use of the forbidden n-word to apply to white people.
				- Dave Chappelle uses the n-word to speak about individual white people. 
				- What is it supposed to mean?
				- Suppose Dave says a white person is his n-word. 
				- Is that white person then permitted to reciprocate? 
				- If so, how?
				- And please no abuse. Thanks. ;-)
			- The best <a href="https://twitter.com/tanyaweiman/status/1389378245888512007">response</a> imho came from Tanya Weiman.
				- Go the <a href="https://www.youtube.com/watch?v=PK-DSm--rww">Larry David</a> route and say My Caucasian!
			- I like that a lot, but only if you feel affection toward the person. I don't feel that way about Chappelle. I think he's using it as an act of hostility, knowing there's no way for a white person to respond in kind. But thanks to Larry David, if you have the chutzpah to talk back, we have a good response! 
			- Karri Carlson asked me to listen to <a href="https://twitter.com/heykarri/status/1389388998154412037">comments</a> by Ta-Nahisi Coates, which I did, specifically pointing at 3:23 in the video. I understand that blacks use the n-word as a term of endearment for each other and it's not something white people are entitled to an opinion about, according to Coates. Whatever he says, we can have opinions about whatever we want, as he has negative opinions about white people, and expresses them. At 3:23 he makes a generalization which I found offensive. I don't think I own everything. Further I don't <i>want</i> to use the n-word, and further, please don't use that word to refer to me. Thanks.  
	- May 3
		- Yesterday I <a href="http://scripting.com/2021/05/02.html#a213217">wrote</a> about the fan art accounts on Twitter, and what they've made possible. I now have my app running and downloading images from the initial 26 accounts. I've uploaded the <a href="https://github.com/scripting/artDownloader/tree/main/data/images">first batch of images</a> to a <a href="https://github.com/scripting/artDownloader">GitHub repository</a>. I plan to update them as long as there's interest in this project. I've also included the <a href="https://github.com/scripting/artDownloader/blob/main/app/artdownloader.js">source code</a>, with <a href="https://github.com/scripting/artDownloader#running-the-app">instructions</a>, in case you want to run it yourself. I'm sure there will be problems that need fixing, if you spot anything, post an <a href="https://github.com/scripting/artDownloader/issues">issue</a> in the repo for the app. I love this, it started as a warm-up project, but quickly got a life of its own.  
		- <a href="https://www.youtube.com/watch?v=UqSugwfthXM">Video demo</a>. I pointed my iPhone at my living room TV, displaying my Mac Mini, which has the images from the new <a href="https://github.com/scripting/artDownloader">project</a>. 
		- Really big things don't get <a href="https://knightcolumbia.org/events/reimagine-the-internet">imagined</a>, imho, they just show up. I did not understand the web at first, I was reading about it, scratching my head, until boom, I saw it happening. 
		- This is <a href="https://www.youtube.com/watch?v=-05LJPg0aHA">the kind of ad</a> I hoped the Lincoln Project would run. They can still occupy Trump's brain, rent-free, and it's still worth doing.
	- May 2
		- I wrote yesterday <a href="https://twitter.com/davewiner/status/1388485567348985860">on Twitter</a> that journalism does not cover the <a href="https://www.google.com/search?q=How+many+people+use+Facebook">2.8 billion people</a> who use Facebook. Imagine a country with that many people with no journalism. A blind spot, imho. A potentially costly one for all of us, our journalism should be facing in that direction more, imho. <a href="https://twitter.com/TaylorLorenz">Taylor Lorenz</a>, <a href="https://www.nytimes.com/by/taylor-lorenz">NYT reporter</a> <a href="https://en.wikipedia.org/wiki/Taylor_Lorenz">who</a> <a href="https://taylorlorenz.substack.com/">covers</a> Facebook and Instagram and other online media (I think it's all <a href="https://www.google.com/search?q=site%3Ascripting.com+silo">commercial</a> services, no open platforms) <a href="https://twitter.com/TaylorLorenz/status/1388487842360266758">responded</a> with classic reporter reasoning, the same line I've been hearing since I took an interest in journalism in the mid-90s. After a few back and forths, I sent a DM saying I'd be happy to continue in a voice chat, was surprised when she sent back her number. I called and we talked for about an hour. It was a fast and interesting conversation with a talented and observant young (from my pov of course) person. She got her start as a <a href="https://taylorlorenz.tumblr.com/">Tumblr blogger</a> believe it or not. She might be the only person in the world actually covering those 2.8 billion people. We talked about the NYT today, I talked a bit about tech reporting at the Times in the past, told stories of the old days in the Valley, it was refreshing. Memorable.  I'm going to read her more carefully now. BTW, I dropped <a href="https://www.google.com/search?q=site%3Ascripting.com+markoff">Markoff's</a> name a couple of times, later I wondered if she knew who he is (<a href="https://www.nytimes.com/by/john-markoff">NYT</a> star tech <a href="https://en.wikipedia.org/wiki/John_Markoff">reporter</a> as the web was starting up). I realize we are deep into the next generations of tech journalism, now. Also imho TL should have a podcast, I said a couple of times. A book first, then a podcast. I think she'd be great. :boom:  
		- I had another conversation a few days ago, on Twitter Spaces, with <a href="https://twitter.com/clemensv">Clemens Vasters</a> who works on standards at Microsoft. It was like the conversation with Taylor Lorenz, <a href="http://scripting.com/2021/05/02.html#a125604">above</a>. There was a brief period when I was involved with the standards groups, but mostly it turns out, it was to either transfer the power to evolve the formats and protocols without my further involvement with SOAP, or to fail to convince them to go with "RSS". Instead they tried to overtake RSS with another format, it failed, as I tried to tell them it would. Many years later, I hear there's a kind of reverence for RSS, its strength is amazing to them. But why should it be any less resilient than say HTML? Both are proof that the market creates these things, not the big tech companies. Honesly most of what they do in my experience is <i>destructive</i> to standards. Anyway if we're into interop now, maybe there's something more to be done here. I have three formats I am caring for -- OPML, XML-RPC and of course RSS. 
		- I've had <a href="https://en.wikipedia.org/wiki/Olive_Kitteridge_(miniseries)">Olive Kitteridge</a> on my re-watch list for a couple of years, finally got to it, and it was as good as I remembered. It's the kind of story <a href="https://en.wikipedia.org/wiki/HBO">HBO</a> excels at, they have a deep library of shows like this, many of which I've never seen. Unfortunately <a href="https://en.wikipedia.org/wiki/WarnerMedia">HBO's owners</a> decided that this unique library doesn't deserve to stand alone. They used its name to host a cheap Netflix clone called HBO Max, and filled it with crap, among which the HBO gems are buried. Sorry I know some people like superhero movies, I used to, but there's a glut and they're all the same, I can't watch any of them. I just want a simple interface for the HBO library. I guess the message is that HBO had no future, so let's just use what goodwill remains to throw a <a href="https://en.wikipedia.org/wiki/Hail_Mary_pass">Hail Mary pass</a> at Netflix. Meanwhile Apple seems to be aiming for the <a href="https://www.amazon.com/Positioning-Battle-Your-Al-Ries/dp/0071373586">position</a> HBO used to own., 
		- But. The NYT has the TV-watching UI that I've wanted all along. A set of lists of the top 50 movies and shows on each of the major streaming services, with a paragraph about each summarizing what the NYT reviewer said, with a link to both the review and the show. That's all I ever needed. An <a href="https://www.nytimes.com/article/best-tv-shows-netflix.html">example</a>
		- I love that there are so many fan art accounts on Twitter. Basically someone <a href="https://twitter.com/artfridakahlo">takes</a> <a href="https://twitter.com/artistrivera">responsibility</a> for a <a href="https://twitter.com/artistokeeffe">famous</a> <a href="https://twitter.com/artlichtenstein">artist</a>, and <a href="https://twitter.com/ArtistDaVinci">uploads</a> <a href="https://twitter.com/cezanneart">scans</a> of <a href="https://twitter.com/vangoghartist">their</a> <a href="https://twitter.com/artistgauguin">paintings</a> and drawings to Twitter. Seems to be catching on. My Node app reads those accounts periodically and downloads the images into a local folder, which I then point my Mac screen saver at. I have it running on a Mac Mini hooked up to my 65 inch screen in the living room. The result? Art show! I love this stuff. I'm going to hook the app up to a GitHub repo, so people can sync to that. We have such a wealth of art, and huge numbers of screens and good networks. Why not use them this way? The art is sooo beautful. Makes me happy. 
	- May 1
		- Another day another dollar.
		- Everyone seems to have a reason they don't have to listen. No wonder the world is so screwed up.
