- September 2021
	- September 30
		- I don't want to jinx anything but "Drummer" is getting pretty solid. Nothing much will change when the product is available publicly, the process will continue, more fixes and features, more interop. I have a lot of little projects I want to do, all designed to build an open ecosystem of thought tools and their adjuncts. The first verison of Drummer will be a blogging tool and a scripting system. But there will be more of all of it. 
		- I watched the beginning of <a href="https://www.metacritic.com/tv/the-problem-with-jon-stewart">Jon Stewart's show</a> on Apple TV. He says he doesn't look well, but he looks fine. I'm not sure this show is going to work. The old JS was confident, sassy even. Certainly never self-conscious. In charge. Comfortable.
		- I was mentioned once on The Daily Show when Jon Stewart was hosting it. As a result I was invited to do a <a href="http://scripting.com/manila/bloggerCon/iii/invitation.html">BloggerCon</a> at Stanford, the third one. It was a good event. 
		- As someone who ran a social net long before Facebook booted up, I suspect what we're seeing on FB has less to do with the company and more to do with the scaling up of humanity on social nets.  Journalism has made this about one person, Zuck, probably because that's how the journalism works. Kind of like <a href="https://www.youtube.com/watch?v=QMcXvP_J_8g">Don Geiss</a> on 30 Rock? 
		- TFT Hacker is <a href="https://twitter.com/TfTHacker/status/1443513598366601220">looking</a> for an open source JavaScript outliner, other than <a href="https://github.com/scripting/concord">Concord</a>. 
	- September 29
		- Today is the first day of real autumn weather in the Catskills. I just got back from my daily bike ride. I was fairly cold as I started, by the end I was all toasty, zesty and feisty. Feeling my Wheaties. 
		- Journalism is highly conflicted re Facebook, and they never look at their own culpability in weakening democracy. If it weren't so damned profitable for journalism, I doubt if we'd have had Trump. but you never read that in the NYT or WSJ, or even MSNBC.
		- Other people get mystical about [[outliners]], I prefer to stay pragmatic, to emphasize that the inspiration comes not from the tool, rather from the human being using the tool. 
		- The dateformat module
			- A story about the <a href="https://en.wikipedia.org/wiki/Node.js">Node.js</a> ecosystem. 
			- Yesterday I noticed that one of my server apps had restarted 21 hours ago, so I looked at the log, saw where it should have checked if something was <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/undefined">undefined</a>, added the check, published a new release, then went to the app, updated it, tried to restart it, and it failed. The source of the failure was a very small module known as <a href="https://www.npmjs.com/package/dateformat">dateformat</a> that had updated, which is fine, maybe they have bugs. So I went to their <a href="https://github.com/felixge/node-dateformat/releases">repo</a>, and saw a reference to a <a href="http://scripting.com/images/2021/09/29/breakingChange.png">breaking change</a>, which sounded like it might be the thing that broke my app (not well documented imho), and I found a <a href="https://github.com/felixge/node-dateformat/releases/tag/v4.5.1">version</a> before the breaking change, released on Jan 30, and updated the <a href="https://github.com/scripting/oldSchoolBlog/blob/master/package.json">package.json</a> for the <a href="https://github.com/scripting/oldSchoolBlog">app</a> at the beginning of this tale to require the earlier version, rebuilt it, and it worked. 
			- Sounds painless enough, but each step involved me figuring out how this or that worked. A tiny area of one app that I had long ago forgot about because you figure once date formatting is done, it's done. Right. It's not like there's any great technological breakthroughs in date formatting, btw. 
			- It turned out that the maintainers of the dateformat module wanted to use a feature that wasn't in the version of Node my server was running. As far as I can tell the feature had nothing to do with its mission, formatting dates. What they were saying is I should accept their change and upgrade to the version of Node they require.  if I were to do that, I'd have to shut down the server, upgrade Node, and then test all of the apps running on the server to see whether the new version of Node broke them, which imho is much more likely than dateformat breaking them. 
			- This is the culture of development these days. Breaking changes for stylistic reasons are fine. It's the reward for maintaining a useful <i>little</i> module -- you can force the attention of developers all over the place. This is just one module, add it up and the half-life of a Node app is very short indeed. Not a good situation imho. 
		- Trump was a Deadhead? Hmmm
			- Uncle Don's Band, who knew?
	- September 28
		- I always feel great after a bike ride.
		- I was thinking of adding a landline feature to my cable service. $12.99 a month sounds okay. But then I saw the <a href="http://scripting.com/images/2021/09/28/voicePlan.png">fine print</a>. Oy. I remember how hard it was to get rid of a feature last time around. I swear if only they'd stop scamming. I'm paying $8.99 a month to rent an Apple TV, even though I already had an Apple TV. Them's the rules they said. Can't get TV without paying the set top box tax. Oy oy. An Apple TV costs <a href="https://www.amazon.com/2021-Apple-TV-4K-32GB/dp/B0933D3SN6/ref=sr_1_1_sspa?dchild=1&keywords=apple+tv&qid=1632844905&sr=8-1-spons&psc=1&spLa=ZW5jcnlwdGVkUXVhbGlmaWVyPUEyRlkxQzZKRUkyQ1hJJmVuY3J5cHRlZElkPUEwOTU5MTI3MU1JQVJMRlNWSVM1MyZlbmNyeXB0ZWRBZElkPUEwMzg0NjkyMU81UjBBS0JSMExaNiZ3aWRnZXROYW1lPXNwX2F0ZiZhY3Rpb249Y2xpY2tSZWRpcmVjdCZkb05vdExvZ0NsaWNrPXRydWU=">$169</a> on Amazon.
		- What made me think of getting a landline? All of a sudden the phone app on my <a href="https://en.wikipedia.org/wiki/Pixel_4a">Pixel 4a</a> refuses to connect over wifi, a requirement since there's no cell service here. Not having a reliable way to make a phone call, that's not okay. And the way I used to make calls on my computer with Google Hangouts, that doesn't work anymore either. They said use Google Chat now. OK, but where in Google Chat, on my desktop (which they have) can I make a phone call? Every one of these companies is missing part of the plan for how to build reliable service around the still relatively new (I guess) open network. They all still want to completely control you and soak you for services you don't want, and change things around so you never get to feel confident in using their software. How that helps them, I have no idea.
		- It drives me crazy that the press makes everything about Dems and Repubs. Yes the Dems will be disappointed if the country disintegrates into civil war and becomes a zombie zone full of covid, but don't you get that other people will be unhappy too?
		- We’re really governed by journalism. They are not transparent, not accountable to anyone, dishonest, corrupt, no moral compass. Controlled by oligarchs. Not subject to recall. We are powerless against them. We have few if any rights.
		- <s>Twitter appears to be <a href="http://scripting.com/images/2021/09/28/twitterDown.png">down</a>, at least through the web.</s>
	- September 27
		- Obviously <a href="https://www.nytimes.com/2021/09/27/us/politics/republicans-block-government-funding-bill-debt-limit.html?unlocked_article_code=AAAAAAAAAAAAAAAACEIPuonUktbfqohkQVUZBCbIRp8_qRmHmfnE2_smi2fjJiyUQj9E1KEfB4-L-ALCYrRufd020jKHAdFcNrMuQvM3xO5bOwlhRgO055-FnZUZZSUprIb5FkUH46XwZ5Fquzn7cjv-b-5l2Ly0ux_BPWa-X_aI1Xw-I1tnpY9icVGgxScCw6baFrIjiIR63f4nBsh-Vi5AMHfRx4TgCR14PNuGagiNqVVlHrEEBkyA2IKU-LkCcw1NCFLZT3IZ4G407d1UPN9_L7-oZld7O5K42eNNfzQueIS5BJQxR5zXlqFpstPPqR-KzsmxwJYmBU4oFvBi7jeVsNGsqThvewI&smid=url-share">the Repubs</a> want to force Dems to nuke the filibuster to prevent default.
		- <a href="https://twitter.com/davewiner/status/1442605156772810753">Poll</a>: Netflix or HBO Max?
		- <a href="https://twitter.com/backlon/status/1442601620869554180">Netflix CEO takes a shot</a> at HBO Max, which makes me think, I can't remember the last time I watched something on Netflix, and I watch HBO Max content all the time. I think they have a deeper and more intelligent base of stories than Netflix, which seems to be skewing toward mindless garbage, although HBO is trying to catch up in that area. 
		- Repubs are great at organizing. Dems just want money.
		- Maybe it's time for someone to take over the Dems and get people organized. The rule-of-law people in the US still vastly outnumber the bombthrowers, at least that's what I hear from journalism.
		- <a href="http://scripting.com/2016/05/04/1237.html">Background</a>: "I expected that when the transition started, the Obama campaign website would turn into the White House website, and would continue to organize us."
	- September 26
		- The basic problem (imho) is that we all have been raised to believe that <i>getting ahead</i> is the thing to do with our lives. It's deeply ingrained over many generations. We're still doing that, even though the three big crises we're going to be dealing with for the rest of our lives. demand a different impulse -- <i>working together.</i>
	- September 25
		- I  just got a <a href="https://github.com/Podcastindex-org/podcast-namespace">link</a> to "A wholistic RSS namespace for podcasting." I wasn't even aware that it existed. No one tells me anything. :smile: 
		- I like that they use my <a href="http://this.how/standards/">Rules for standards-makers</a> as guidelines for the work. It was my hope that future developers wouldn't have to repeat all the pointless arguments about what <a href="http://this.how/standards/#1497798753000">matters</a>. 
		- When I find myself replying to a reply on Twitter with "Are you really that stupid?" I just block them instead.
	- September 24
		- The <a href="https://github.com/scripting/opmlPackage">OPML package</a> has a new <a href="https://github.com/scripting/opmlPackage/blob/3b4a4e289d87ebd9cffe9d239c7a8b63b3954a4c/client/opml.js#L154">end-point</a> that reads an OPML file, and if it has an <i>urlUpdateSocket</i> head-level attribute, sets up a subscription, and calls back when the outline is modified. Captures all the complex code behind the interface, so an OPML-consuming app can have instant updates with no effort. It's wonderful to see this in action, hope to have a public demo soon. 
		- <a href="https://www.youtube.com/watch?v=TY8x3r3niDI">Pee Wee Herman</a> is LOL funny. Really simple comedy. :smile:
	- September 23
		- We are <a href="http://scripting.com/2021/09/23/134131.html?title=backingOffTweetsopml">backing off</a> the Twitter feed feature I had developed for Drummer. 
		- To developers wishing to work in the [[tools for thought]] world, we can work together as equals, instead of platform vendor and third-party developer. There's a huge difference between the two models. In the first model we are free to compete, but never on the basis of user lock-in. In the latter, the platform vendor has all the power, you can only coexist with them on their terms, and they can change the terms at any time. This has always been true in my experience. The way we work as equals is we agree on an interchange format. I have committed to supporting [[OPML]] in all my products. So they can all be replaced. And so can yours, if you make it easy for users to migrate, and when you do that you also open the door for people to create products that plug into yours without having to replace yours. We compete as equals. We compete to please users. We are free to build on each others' work. That's the kind of discipline I like as a developer. 
		- Journalism did their part in screwing up the 2016 election. No contrition, they’ve never done an exposé, and they have the gall to be sarcastic. I’m no fan of Facebook, but journalism is actually making them sympathetic.
		- Backing off tweets.opml
			- I have taken the feature out of the first public release of Drummer. 
			- It turned out it was a mistake to try something so ambitious so late in the game. We'll come back to it in a due time.  
			- This happens sometimes, I wish it hadn't happened in view of the testers.
			- They all have been wonderful, enthusiastic, and understanding. 
			- Onward! :smile:
		- Journalism in the aggregate
			- I judge journalism in the aggregate. 
			- In other words, I say "journalism" did this or that.
			- I do it that way for a number of reasons.
				- They do act as a unit. You'll see basically the same stories on all websites and cable news stations. They often interview each other, which is pretty amazing if you think about it. 
				- To balance the way they treat online writers. They talk about us in the aggregate too. 
				- And to balance the way they view Facebook, with 2.7 billion users, they only consider one user when they talk about Facebook, as if we all are just Zuck-clones. I made a <a href="http://scripting.com/2021/09/17/153104.html?title=facebookIsAtLeastEightThings">list</a> of all the things Facebook is, and journalism rarely considers anything but the personality of one person when talking about "Facebook." Not that they really have any insight into his personality, btw. 
				- To tell journalism, to the extent that I can, how unthinking and automaton-like they are. There will come a day when computers do what they do, because they use so little of the intellect they certainly have. 
	- September 22
		- The Dems should run ads saying how much the average retirement account will go down if the Repubs crash America's credit.   Make it concrete. Estimate how the market will react.  Now is the time to run those ads. If the campaigns didn't go to sleep between elections...
		- As an experiment, I created a <a href="http://scripting.com/2021/09/22/152122.html?title=aThreadFromMyTweetStreamAsCapturedByDrummer">blog post</a> out of a tweet stream, with no editing. Copy/paste. 
		- I remember what I was doing at 24 and it wasn't <a href="https://twitter.com/gabegutierrez/status/1440437507284291602">dying</a> of a completely and easily preventable disease.
		- Yesterday's <a href="https://www.google.com/search?q=site%3Ascripting.com+%22Now+%26+Then%22+podcast&rlz=1C5CHFA_enUS743US747&sxsrf=AOaemvIVpAvY-txEFkhAmn7_YEpVusb3MQ%3A1632323867619&ei=G0lLYdWiJfKi_Qajqa-YAg&oq=site%3Ascripting.com+%22Now+%26+Then%22+podcast&gs_lcp=Cgdnd3Mtd2l6EAM6BwgAEEcQsANKBAhBGABQ7R1YzDJgjjZoAXACeACAAU6IAcMBkgEBM5gBAKABAcgBCMABAQ&sclient=gws-wiz&ved=0ahUKEwiVnKai8JLzAhVyUd8KHaPUCyMQ4dUDCA8&uact=5">Now & Then podcast</a>, about the history of NYC, was the first <a href="https://podcasts.apple.com/us/podcast/new-york-new-york/id1567665859?i=1000536112565">episode</a> that was disappointing. At one point Heather Cox Richardson said, almost proudly, that the only thing she knows about NYC is the line in the song <a href="https://www.youtube.com/watch?v=2u1zK8AaHic">New York, New York</a> "If you can make it there you can make it anywhere." This is one of my big problems with podcasts, the thing that tunes me out, when people speak from a position of false expertise. They're having a grand time, while I (the listener) am deciding whether or not to cut them off, based on the probability that they'll ever say anything interesting before the end. Yesterday I cut them off and listened to music for the second half of my ride. It's the same reason I can't watch any MSNBC show for more than 3 minutes. They're filling the air, meantime I know there are things going on they should be informing me of, and add to things my mind can think about. Okay so N&T had a bad episode, not the end of the world, the other most recent episodes are totally worth listening to, I highly recommend them, and I will keep listening in the hope that the NYC episode was just a bad idea they followed through on instead of canning. 
		- We are now all complete newbies when it comes to understanding how networks can be used to spread misinformation. We might look back in a few years and realize that our first line of defense was Facebook, Inc. Maybe tearing them down is like the press tearing down HRC in 2016. I don't trust their judgement on this stuff, do you?
		- The debt limit vote is filibusterable you say?   Perfect time to nuke the filibuster.
		- A thread from my tweet stream, as captured by Drummer
			- If only we had journalism covering itself we'd probably learn they've been doing the exact same thing since the dawn of journalism.  This is a big defect in our system, no one is watching journalism.  (<a href="https://t.co/w8nGgjZTfb">link</a>)
				- For example, what do you think the Pulitzer Prize is, other than a bunch of ads they do about journalism every year. No doubt the awards are highly politicized, and stories looking too deeply into corrupt journalism probably don't stand much chance of getting an award.
					- Until there's some way for journalism's corruption to be exposed, why would any intelligent person think there's anything but corruption in journalism? In an Occam's Razor sort of way.  I'm watching The Wire, about to start Season 5, btw, if you know what that's about. ;-)
						- There's this great scene at the end of Season 4, with Bodie and McNulty on a park bench. Bodie is talking about how fucked up the bosses are in the drug mob in Baltimore. It sounds just like what McNulty would say about the police department. That's the point.
							- Here's the scene with Bodie and McNulty.    (<a href="https://t.co/EtwlxhFKEz">link</a>)
	- September 21
		- Have you tried <a href="https://www.amazon.com/Bose-Sleepbuds-II-technology-Clinically/dp/B08FRR6Z1N/ref=sr_1_1_sspa">Bose SleepBuds</a>? What do you <a href="https://twitter.com/davewiner/status/1440366175238508548">think</a>?
		- <a href="https://twitter.com/om/status/1440367195247165443">Om Malik</a>: "In increments the civilization is built. In haste it is dismantled." A concise description of my experience in tech, I gather Om sees it that way too. We labor for years, often lifetimes, to build a community of software and users, and it's all gone in an instant, replaced by people who didn't take the time to understand what was learned, wanted to do it again, themselves. It's much more honorable, imho -- to use the best of what's already been done, as much as possible. That way you don't have to always start over. Another wise <a href="https://en.wikipedia.org/wiki/Jon_Postel">man</a> <a href="https://en.wikipedia.org/wiki/Robustness_principle">once said</a> be conservative in what you send, liberal in what you accept. 
		- <a href="http://scripting.com/davenet/1996/10/24/QueSeraSera.html">1996</a>: "How much happier we would be if instead of crippling each other with fear, we competed to empower each others' creativity."
		- Diego Rivera
			- <a href="https://www.brooklynmuseum.org/opencollection/objects/46220">Zapata</a>, 1932.
	- September 20
		- <i>Twitter Pro</i> probably seems like a weird idea. Could there be <i>professional</i> Twitter users? There are. It's a writer's platform. The name they chose makes such an idea uncomfortable, perhaps. But it's a for real idea. 
		- The next round of changes in [[Drummer]] will be about organizing tweets, using Twitter as a source for your writing work. Here's the use-case. You're out and about, and get an idea that belongs on the to-do list for your latest project. Open up Twitter, and post a note about it. When you get back to your desktop the note will already be in a Drummer outline, ready for you to act on it. It doesn't matter what kind of writer you are, whether you write for yourself, as a note-taker, if you write docs, research, news reporting, a blog, or a great novel. If you're a writer and and a steady user of Twitter, and interested in [[tools for thought]] and outliners, I'd like to add you to the Drummer test group in a few days because I want to groom the product to your use of it. Send me an email, let me know if this interests you and we'll get you on board soon. 
		- All kinds of "twitterpro" names are <a href="https://www.hover.com/domains/results?q=twitterpro">available</a>, somewhat amazingly. I've learned to control my domain name buying fetish, somewhat. I bought <a href="http://drummer.land/">drummer.land</a> recently. I found myself using that term when writing docs. I had to have it. Anyway. My name is Dave and I'm a domain name buying addict. 
		- <a href="https://en.wikipedia.org/wiki/Omar_Little">Omar Little</a> is the most likeable character on [[The Wire]]. <a href="https://en.wikipedia.org/wiki/Marlo_Stanfield">Marlo Stanfield</a> is the coldest. For some reason I think of Marlo as <a href="https://en.wikipedia.org/wiki/Matt_Mullenweg">Matt Mullenweg</a>. I know that's weird. Matt is a very nice fellow. But I guess the parallel is that I am <a href="https://en.wikipedia.org/wiki/Avon_Barksdale">Avon Barksdale</a> to his Marlo Stanfield? The Wire is good, but it's <a href="https://en.wikipedia.org/wiki/The_Wire_(season_1)">Season 1</a> that's great. The remaining four seasons kind of coast a little after the spectacular creative success of the first. 
		- One thing that makes The Wire so watchable is the huge number of fully developed characters interacting with each other. 
		- As summer winds down (tomorrow is the last day), I chose to listen to music instead of a podcasts on today's bike ride. I am loaded up with new ways of thinking from having gone through the archive of the <a href="https://podcasts.voxmedia.com/show/now-then">Now & Then podcast</a>. If you find your podcast fare is repetitive or shallow, dive into that podcast. It's a great college course in the history behind current affairs. Anyway, I've loaded up my <a href="https://en.wikipedia.org/wiki/IPhone_SE_(2nd_generation)">iPhone SE</a>, a very middle-class iPhone thank you, with lots of music history, and set it to shuffle the songs. The songs of my childhood. As this summer winds down, it feels like a metaphor for the summer of my own life winding down. The feelings from childhood that I re-experience with the music were the "other side" of the experiences  of adulthood which is now passing just like summer. The dreams of a child were of the future, full of possibilities, are now balanced by the regrets of an old man. I'm doing my best to stay fit, but it gets harder every year. This fall, esp because the pandemic is now going into its <i>third</i> winter, has a grim feel to it. I know winter can be beautiful in the Hudson Valley. But this winter, unlike recent past winters, there's a sense of dread that hasn't been there before.
		- I love to write. ❤️
	- September 19
		- Lovely day. The kind of day that makes California living so nice, except this is the <a href="https://en.wikipedia.org/wiki/Hudson_Valley">Hudson Valley</a>. 
		- Programming lesson still being re-learned after 46 years of programming: If your <a href="http://scripting.com/images/2021/09/19/infiniteLoop.png">program</a> behaves like it has an infinite loop, consider the possibility that it actually has an infinite loop. 
		- Another programming lesson I haven't forgotten. It's amazing how many bugs that you spend hours not finding at the end of the day are found first thing the next day. 
		- I love house-shopping on Zillow, like a lot of people do. It's fun to dream about living in one place or another. This <a href="https://www.zillow.com/homes/for_sale/Great-Barrington-MA/pmf,pf_pt/398147_rid/42.322254,-73.215809,42.095165,-73.442402_rect/X1-SS485ih8kulxh20000000000_7521p_sse/63437002_zpid/?utm_source=email&utm_medium=email&utm_campaign=emo-dailysavedsearch&rtoken=d2c21ff9-71b0-4daa-a258-27b8ba398037~X1-ZUy9o59j6zxbt5_1wtuu&utm_term=urn:msg:20210917092513c0fa08f52dde455f&utm_content=20210917-forsaleimage-PSS&3col=true">house</a> in Great Barrington would be fantastic for a family, as a country home perhaps, or a place to live in the age of telecommuting. 
	- September 18
		- Added an item to <a href="http://scripting.com/2021/09/17/153104.html?title=facebookIsAtLeastSevenThings">yesterday's list</a> of things Facebook is. "All the content -- video, images, posts, comments, live events, current and past." 
		- <a href="https://clear.ucdavis.edu/blog/big-oil-distracts-their-carbon-footprint-tricking-you-focus-yours">Frank Mitloehner</a>: "It’s been two decades since British Petroleum and the marketing agency then named Ogilvy & Mather deceived lots and lots of unwitting Americans into believing the hands of fossil fuel companies are clean of contributing to climate change through imaginative messaging. To this day, their marketing campaign continues to be highly effective in getting the public to take on the weighty responsibility of halting climate change. We’ve cut back on meat, upped our recycling game and made the creative campaign’s key phrase – 'carbon footprint' – part of our vernacular. All in an attempt to make a positive difference – and yes, to clear our consciences.
		- BTW, if you get <a href="http://scripting.com/email/">Scripting News via email</a>, you are welcome to forward copies to friends. There's a subscribe link at the bottom of every email. And don't worry they can't unsubscribe on your behalf. 
	- September 17
		- A bee flew into my mouth while I was riding my bike today. I quickly swatted it out of there, but I got stung anyway. That was 1/2 hour ago, and the swelling went down quickly. Whew good thing I didn't inhale the little fucker. 
		- Everything we think is a new low in American governance is far from it. We were taught a lot of crap in school. The people whose egos were being protected are all long-dead. Was it worth it? No, of course not. It would have been much better if they taught the unvarnished truth.
		- I thought this would make an interesting <a href="http://scripting.com/images/2021/09/17/tabsOpenInDrummer.png?x=1">screen shot</a>. Each tab is an outline I have open in "Drummer" all the time. Every idea can be slotted into each of these. And sometimes they move from one to the other as they get more "done." Most but not all are calendar structured. People often ask how I use outliners, this is at one level, the answer. 
		- Facebook is at least eight things
			- Here's the list. 
				- Mark Zuckerberg. 
				- A public corporation.
				- 60K employees. 
				- Servers, software, other tech.
				- An advertising platform.
				- A user community.
				- Connections to the rest of the web.
				- All the content -- video, images, posts, comments, live events, current and past.
			- When journalism refers to "Facebook" I don't think they're ever clear on which Facebook they're talking about.
			- Each of the different Facebooks are limited by the others. 
			- But if you are aware of all the different things "Facebook" is, their stories are usually mush. 
		- What I'm learning from The Wire
			- I have no idea how many times I've watched <a href="https://en.wikipedia.org/wiki/The_Wire">The Wire</a> from beginning to end, but it's probably more than five. The last time I remember watching it was in 2010 when I just moved to NYC. I was living in the West Village, and had an active social life, and The Wire was something nice to do calmly, alone, just to get absorbed by a fictitious yet very familiar culture, again. Like coming home in a way.
			- That's the thing about all good series that achieve suspension of disbelief, you feel like you're in the story, you're part of the family. And <a href="https://www.metacritic.com/tv/the-wire">The Wire</a> with five seasons of 13 shows each, each show an hour, with all the characters and their stories, and relationships, makes for very absorbing reality-shifting and an emotionally satisfying experience. 
			- Sometimes I know what's coming, and amazingly, sometimes I've forgotten. But some big events, you remember, and experience them in full fidelity now, as you did the first time. 
			- Also if I recall correctly the first seasons were only available in low-rez, they came out before 4K, but somehow they've upgraded the source material and it's all up state of the art, at least to my eyes, which aren't the strongest.
			- Anyway, I'm toward the end of season 2. Not even close to half way through. Looking forward to the end of the day when I might watch a couple of epsiodes.
			- And get this, while I'm working through The Wire, I can't watch cable news. It's just too sad, slow, repetitive and just wrong. On one hand you see how great we can be as story-tellers, and the stories told on MSNBC and CNN aren't stories at all. The characters say nothing. Even the ones with reputations for saying a lot. There's absolutely no human connection. And you can see that the things they're saying are repeats, just like watching The Wire for the 5th or 10th time, but there's never a question about what the characters might say or do, it's always exactly the same. Yet it's supposed to be The News which would lead you to believe their intention is to say new things. 
			- I keep asking the question -- does news have to be as bad as it is? Could imagination bet part of it, curiosity, intellect, depth of knowledge about something other than politics or law? Maybe this is just what happens when you become older and more experienced than everyone on the news. They all seem flat and boring, and just plain stupid, bored with their jobs, but keeping the seat warm. But does it have to be this way?
		- I turned off Maddow last night
			- I turned off Maddow  last night as she was reporting a leak of software for elections. She left out the vital part of the story, was this the first time the software had leaked? If not, all it tells you is the people who are doing the "recount" in Arizona are bad people. This is not news. If they were new leaks, I doubt I'd be hearing about it first on Maddow.
			- Come to think of it for all their breathess breaking stories, I can't remember Maddow ever cited by another news org as the source of a major story. Yet they often present their work as such.
			- And the dishonesty when it comes to tech reporting, gives me an idea of how dishonest their other reporting must be. 
	- September 16
		- It seems to me if there aren’t enough hospital beds, unvaccinated Covid-19 patients should be the first denied service.
		- Something to think about. While we're debating all kinds of things, so far 4.5 million have killed by Covid in the last two years. In four years, 6 million Jews were killed in the Holocaust. 
		- <a href="https://twitter.com/fxshaw/status/1438498450018996231">Frank X Shaw</a>: "Stress dream last night that my old guitar required two factor authentication to use and the only way to turn it on was to accurately play six chords assigned by the app. I kept messing up."
		- How long after your parents die should they still be in your dreams?
		- Pet peeve: People who are too frazzled to read an email carefully enough to correctly determine its meaning, even though the words are simple and direct. I've done this myself. And when I realize I've done it, I feel like crap.
		- CNN could use a constant critic
			- Saw a report on the news that Facebook is evil because they enhance pictures on Instagram. A really thin story because so many things other than Facebook damage people's self-perception based on ridiculous standards of appearance. 
			- CNN does it, for sure in huge ways. The <a href="https://www.google.com/search?q=brianna+keilar">anchor</a> reporting the story is a beautful woman, but probably not quite as beautiful has her makeup, hair and lighting people make her seem.
			- I wish they were required to have a constant critic in a window in the upper right corner of the screen, pointing out these hypocrisies.
			- Brianna Keilar
			- PS: I will always admire Keilar for how she <a href="https://www.youtube.com/watch?v=C2Kb7IDmFF4">interviewed Michael Cohen</a>, before he was famous. If you haven't seen it, you might love it. It's very different from the usual TV news fare. 
	- September 15
		- Thinking about the extent that Boomers are held responsible for where we're at, I still think that's nuts, the more I learn about slavery and how the Civil War is still going on, that's what we are fighting about in the US, that's why we can't get our shit together. We haven't accepted a very large part of our population, people who are fully entitled American citizens. Then I wondered about all the post-boomer generations that blame us. I wonder if they voted in every election they were entitled to vote in. What are the percentages of participation in democracy among the generations. I don't know if the idea of the vote as a sacred right is a Boomer thing, or what.  I know my parents had the participation bug. I got it from them, I'm sure. But if you didn't vote, I think it's hard to blame others. My friend NakedJen has a wonderful slogan for this. You can fake caring, but you can't fake showing up. ❤️
		- One reason I want Twitter to get rid of the character limit is so I no longer have to say "I wrote a tweet." I have never liked the idea of writing tweets. Tweeting is weird and joke-like, self-deprecating, which I don't mind, but please not about writing. Writing is a religion, not something I joke about. :smile:
		- Alejandro Prieto
			- Roadrunner at <a href="https://www.pri.org/stories/2021-09-03/award-winning-photograph-illustrates-us-mexico-border-wall-threat-biodiversity">US-Mexico</a> border <a href="https://alejandroprietophotography.com/">wall</a>.
		- Andy Hertzfeld
			- <a href="https://twitter.com/andyhertzfeld/status/1438207570888429574">Replicas</a> of Bay Area landmarks at <a href="https://www.legolanddiscoverycenter.com/bayarea/">LegoLand</a> in Milpitas.
	- September 14
		- Today is one of those rare days where I have very little to say on the blog. I'm still working my way back through the <a href="https://podcasts.voxmedia.com/show/now-then">Now & Then podcasts</a>, and <a href="https://en.wikipedia.org/wiki/The_Wire_(season_1)">The Wire</a> (still in season 1) and of course working every day on "Drummer", with the help of the test group. 
	- September 13
		- Don't assume they wanted advice. 
		- I'm <a href="http://scripting.com/2021/09/12.html#a171236">re-watching</a> [[The Wire]], after the <a href="https://www.nytimes.com/2021/09/06/arts/michael-k-williams-dead.html">death</a> of <a href="https://en.wikipedia.org/wiki/Michael_K._Williams">Michael K Williams</a>, the actor who played <a href="https://en.wikipedia.org/wiki/Omar_Little">Omar</a>. He was right about <a href="https://www.youtube.com/watch?v=RpST8KE3vSI">type-casting</a>. His one great role was Omar. Once you get a part that good, and play it so well, and everyone else is that good, you just don't get to do that twice.
		- More web breakage from Google
			- Chrome has done something insidious to break the web a little more. They do this so often, breaking the web seems to be Google's business model. 
			- Here's what they changed. 
				- If you type a domain name into the address bar of the browser, the protocol is hidden. This isn't new, or particularly bad, until they made the next change.
				- Now instead of automatically generating http as the protocol in the URL, they generate https. 
				- So sites that are running fine appear to be broken. 
			- It happened on a <a href="http://javascriptscript.com/">placeholder site</a> to me just now. I was fooled, I immediately thought a server had gone down, and started looking for the outage. Then I was reminded of this trickery Google is doing. I was reminded of how much I hate what Google is doing to the web. They're fighting with me, and weakening the web in a way they have no right to. My site is a perfectly functional web site. It's just a placeholder. No one needs to worry about a "man in the middle" interference. There are no ads on this site. I don't know how else to say it. My choice of protocols is none of Google's business. 
			- That's basically a protection racket. If mobsters were doing it. "Nice little website you have there, be a shame if people couldn't reach it because Google broke the web.
	- September 12
		- The other night I was bored and noticed that <a href="https://en.wikipedia.org/wiki/The_Wire">The Wire</a> was on HBO, so I watched one episode. Then another. And another. Later I started at Episode 1. I don't know how many times I've watched <a href="https://www.metacritic.com/tv/the-wire">The Wire</a>. I'm almost at a point where I can recite the lines along with the actors. I've yet to see a flaw in this show, there's nothing I don't follow with rapt attention. I can't believe there are people who haven't seen it. It's as I imagine Shakespeare was in his day.
		- <a href="http://publicfolder.io/">Public Folder</a> is an app I put together after Dropbox stopped supporting a public folder. It's too important a feature to live without. 
		- Everyone but silo-builders wins if our products interop.
		- Drummer has a feature called the <a href="https://www.google.com/search?q=site%3Ascripting.com+glossary">glossary</a>, it's been part of every outliner I have done since the mid-90s. It's a very simple idea. A table that associates terms with text. If I use one of the terms in my writing, when it's published, the term is replaced with the text. We use "OPML" to represent the glossaries. Here's my <a href="http://drummer.scripting.com/davewiner/glossary.opml">personal glossary</a>. I wish every place I type text could be configured to use my glossary, so where ever I go I can use my terms. It would also be great to configure my searches to use these terms too, so Google for example would know what I am referring to when I type the name of one of my own products. 
		- <a href="https://github.com/scripting/Scripting-News/issues/223">Braintrust query</a>: I want to understand the extended Markdown some outliners use. If you use one of them, you can help.
	- September 11
		- I get <a href="https://andrewsullivan.substack.com/">Andrew Sullivan's email newsletter</a>. Today's edition was a podcast <a href="https://podcasts.apple.com/us/podcast/michael-wolff-on-the-trump-threat/id1536984072?i=1000534947059">interview</a> with <a href="https://en.wikipedia.org/wiki/Michael_Wolff_(journalist)">Michael Wolff</a>, who I've met several times. Wolff is a great conversationalist, his writing is irreverent, and he's also very generous personally. The same <a href="https://twitter.com/justinbaragona/status/1416791009082712070?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1416791009082712070%7Ctwgr%5E%7Ctwcon%5Es1_&ref_url=https%3A%2F%2Fwww.businessinsider.com%2Fwatch-michael-wolff-flip-out-at-cnns-brain-stelter-2021-7">people dismiss him</a> who dismiss me. So I started <a href="https://podcasts.apple.com/us/podcast/michael-wolff-on-the-trump-threat/id1536984072?i=1000534947059">listening</a> and it's great. I did a <a href="https://www.google.com/search?q=andrew+sullivan+podcast">search</a> for "Andrew Sullivan podcast" on Google and <a href="https://podcasts.apple.com/us/podcast/the-dishcast-with-andrew-sullivan/id1536984072">there it is</a>. Another podcast to check out. I'm going to give it a try.
		- BTW, I agree with absolutely everything <a href="https://twitter.com/justinbaragona/status/1416791009082712070">Michael Wolff says</a> to Brian Stelter, about Stelter, CNN and journalism. Stelter asks what he should do differently, Wolff says "listen more" and of course Stelter just laughed at Wolff, pretty sure there wasn't any listening going on. They are in a deep increasingly irrelevant rut. We need a new news. 
		- Speaking of podcasts, the next Now & Then episode I listened to was great, it was about <a href="https://podcasts.apple.com/us/podcast/attacking-and-defending-voting-rights/id1567665859?i=1000533835280">voting rights in American history</a>. What's happening now is actually fairly typical. There's so much interesting stuff they left out in grade school history, which I used to love, my favorite subject after English. Now I'm wondering where I can take a remedial history class after I go through all the Now & Then episodes, which I'm clearly going to do. I also wonder who's going to do the history of tech with the rigor, curiosity and humor of Richardson and Freeman.
		- An unpublished post from 2008
			- <i>I was going through some notes and came across this piece I wrote on 5/19/2008 about how <a href="http://scripting.com/2018/02/26/024939.html">my mother</a> uses computers. I guess I didn't publish it because she was a regular reader of my blog, and might be offended. But she won't read it now, and if she did I would tell her this is how I loved you, knowing all about the stubborness and willfull ignorance of how computers work. Which is odd because her children and husband made their careers making these damn things work, in some fashion. </i>
			- One of my standard disclaimers after I Am Not A Lawyer and Murphy-willing is My Mother Loves Me. I say this to let everyone know that no matter how much you dis me, no matter how much you hurt my feelings or make me feel worthless, I know that as a last resort my mother still thinks I'm great. (I hope she still feels that way after reading this.) And I love my mother, all this is said with the deepest admiration, with a bit of irony and tongue in cheek. 
			- All that said, my mother is one stubborn person. ";->"
			- She's been using a Mac for 20 years -- 20 years! And she still doesn't know what a menu is or a window or the desktop or an icon, or a toolbar. But she does, somehow, know that if you press cmd-shift-4 you get a screen capture of the front window and it creates an icon on the desktop (what she calls this I have no idea). She showed me all her icons. I asked how she knew that, she said "I just know it."
			- It's as if kids born in Czechoslavakia in the 1930s were somehow taught this in grade school?
			- We have this clash every so often. I tell her she must go to the local community college or public library and take a class in basic computer usage. That she would get back a ton of time for doing this, and I'd be able to show her a lot more cool things she could do with her Mac. But she won't do it. It's as if one could drive a car without knowing which pedal was the brake and which the gas, or what the gear shift was, or the difference between the steering wheel and the volume control on the radio. If my mother drove her car like she drives her Mac the streets of NYC would not be a safe place to drive.
			- This came up over the weekend because I was trying to teach her to use WordPress, software that seems fairly straightforward and easy to use -- to me, but when viewed through my mother's eyes was unbelievalby difficult. It's not totally WordPress's fault. There are so many layers to the screen of a Macintosh. First there's the OS, it has menus, a desktop, windows, etc. All of which have controls and their own logic. Then there's the browser. It has an address bar, a search box (hers got stretched somehow so the address bar was tiny and it was huge (why is the search box even resizable?). It has a toolbar, Preferences, bookmarks (oy she totally doesn't get bookmarks). And then there's WordPress, and it has chrome too, just like the browser does! How can you tell the difference? I don't know.
			- For me this stuff is understandable because each piece came in one at a time.  But when I saw how it looked to someone who not only didn't have that perspective, but didn't have the time or patience or spongelike learning brain of a child to grok all the layers of logic at play, it's just something to laugh about and shrug off.  
			- Yet she understands the <i>purpose</i> of the web, viscerally. 
			- All this made me think that now that we have a handful of activities identified, blogging, bookmarking, clicking, chat, email, etc. one could start from scratch and design a computer that just did these things without layers at all. 
			- Or my mom could take a class at the local public library. ";->"
	- September 10
		- <a href="http://scripting.com/2001/09/11.html">This page</a>, 20 years ago tomorrow. I was living on <a href="https://www.google.com/maps/place/425+Manzanita+Way,+Woodside,+CA+94062/@37.4190408,-122.2473884,17z/data=!3m1!4b1!4m5!3m4!1s0x808fa438d2e58d87:0x6c0dbc392cc6bf79!8m2!3d37.4190408!4d-122.2451997">Manzanita Way</a> in Woodside, CA. Woke up early as I always did in those days. If you <a href="http://scripting.com/images/2021/09/10/scriptingNews911.png">scroll to the bottom</a>, the day started out normally. A link to a friend's blog hosting service, a Wired story about Hollywood, a new <a href="https://www.amazon.com/Breaking-Windows-Fumbled-Microsoft-Hardcover/dp/B010CKSFT0">book</a> about Microsoft, then at 6:15AM, we get the news of the first plane. Then a reader finds a web cam on the Empire State Building pointing at the <a href="https://en.wikipedia.org/wiki/World_Trade_Center_(1973%E2%80%932001)">WTC</a>. Then a second plane hits. And from there the <a href="http://scripting.com/images/nyTimesHomeBombing7AM2.gif">story develops</a>. There was a personal side to it, my father taught at <a href="https://www.google.com/maps/place/Pace+University/@40.7112562,-74.0073645,17z/data=!3m1!4b1!4m5!3m4!1s0x89c258fe30a7b447:0x8a0a55f0a5fd1f1f!8m2!3d40.7112562!4d-74.0051758">Pace University</a>, which is across from City Hall, very near ground zero. He was okay, but had to <a href="https://www.google.com/maps/dir/Pace+University,+One+Pace+Plaza,+New+York,+NY+10038/29-31+170th+Street,+Queens,+NY/@40.7336612,-73.9707111,12z/data=!3m1!4b1!4m14!4m13!1m5!1m1!1s0x89c258fe30a7b447:0x8a0a55f0a5fd1f1f!2m2!1d-74.0051758!2d40.7112562!1m5!1m1!1s0x89c28a8078136589:0xcdf1c8651455269a!2m2!1d-73.7949205!2d40.7696434!3e2">walk</a>, like many thousands of others, from lower Manhattan to Queens. My mother saw the whole thing from a rooftop in Brooklyn.
		- Thanks to everyone who pointed me to the <a href="https://podcasts.voxmedia.com/show/now-then">Now & Then podcast</a> with Heather Cox Richardson and Joanne Freeman. I listened to the most recent <a href="https://podcasts.apple.com/us/podcast/climate-control/id1567665859?i=1000534537048">episode</a> about the history of humans and climate in America. Wow. So much information and perspective, without any extra junk, and with depth that can only come from having spent a lifetime learning. It is exactly what I was looking for, at least so far. There are quite a few podcasts in the library, and they're exactly as long as my bike ride. They were finishing as I was pulling into the garage, literally. Also only one commercial and it was for a new podcast from the same network. Not overbearing. Thrilled. 
		- Fox News and Rupert Murdoch are to blame.
		- MAGAs in love
			- Jake Tapper <a href="https://twitter.com/davewiner/status/1436407239321997316">thinks</a> President Biden scolding unvaccinated Americans isn't very nice. Boo hoo. Never mind he might have saved their lives. And more important, mine. 
			- I can just see it. Biden says "Come little <a href="https://twitter.com/davewiner/status/1436408765478313990/photo/1">MAGAs</a>, let me give you a nice big hug and a mug of hot cocoa. Now let's talk about your vaccination. I would really like you to get one. It would make me feel good."
			- Cute little MAGAs just love Cousin Joey.
	- September 9
		- I'm loving going through [[Rick and Morty]] for the second time. I've promoted it to my friends, but the comments I get back are a lot like the ones about [[Bojack Horseman]]. They're turned off by the fact that it's a cartoon. I don't mind it at all, myself, and it has the advantage that they can go places with their imaginations that human actors can't. That's esp important for a show like R&M. Also another thing I like is that there's no fourth wall at weird times. Rick talks like a game show host, about commercial breaks, and then talks about episodes, and seasons of R&M. I love it when writers are free to talk to us through the characters, quite literally, not through manipulation. I think it's a masterpiece, as I did with <a href="https://www.google.com/search?q=site%3Ascripting.com+bojack">Bojack</a>. Here's the thing, as kids we loved cartoons right? I know I did. I also loved movies. So now I like movies made for adults, why not cartoons for adults?
		- 2015: <a href="http://scripting.com/2015/08/30/whyYouMustWatchBojackHorseman.html">Why you must watch Bojack Horseman</a>.
		- Listen. There are plenty of famous delusional loudmouths. Why aren't there any sane loudmouths to balance them? I'll tell you why -- because being confident and outspoken is considered a sin among the sane. But! It's not a sin to communicate in a way more people understand.
		- Liberty doesn't mean you can take a crap in the middle of the supermarket or burn down your own house. 
		- I wonder when someone in journalism is going to break the Republican lie that we're all independent of each other, that somehow we don't need the help of others to eat, stay warm, stay alive. We don't live on the prairie in the old times, before railroads and medicine. If your house catches fire, my house will too. Once we establish that foundation, that we depend on each other, we can solve problems, but not as long as our political life is mired in this argument about what liberty means. 
		- I am very happy with the way "Drummer" testing is going. There have been some surprising contributions, really good questions, and plenty of people actually using the software. Enough people to keep it moving. And I'm not in a rush. As far as I'm concerned this is the whole game. I have no development plans beyond Drummer and the scriptable apps I've lined up to hook into it. I'm not sure why this time is different, but I'm not arguing. :boom: 
	- September 8
		- Options for creativity are in the <a href="https://en.wikipedia.org/wiki/Edge_case">edge cases</a>. 
		- When you recommend a podcast please say a little about what it is and why you recommended it. Typically to find out what a podcast actually is takes hours of listening. and usually they're disappointing or too boring, or have a 1/2 hour commercial at the start.
		- Worth starring Michael Keaton
			- The Netflix movie <a href="https://en.wikipedia.org/wiki/Worth_(film)">Worth</a> got great <a href="https://www.metacritic.com/movie/worth">reviews</a>, and it stars <a href="https://en.wikipedia.org/wiki/Michael_Keaton">Michael Keaton</a> so I got out the popcorn and sat down to watch with great expectations and came away not liking the movie. That was almost a week ago, and I've had some time to reflect on why it was so bad. 
				- Interestingly, the score on Metacritic for Worth has gone down by 20 points since I looked late last week. Now it gets a 66, "generally favorable" which is not great. But I left the first paragraph alone. 
			- First, Keaton is a great actor, and this was an unusual role for him, playing a lawyer whose job it was to save the economy from being sued to oblivion by the families of victims of 9/11 by giving them money. 
			- Now I'm going to spoil the plot, but it's kind of funny -- you might not even realize this was the plot, esp the second part, after you watched the whole movie, that's how poorly done it was. So here goes. 
				- The families wanted their dead relatives' stories told, they cared less about how much money they got, although the money was important to some.
				- The families of rich people who died scammed the regular people and they took a lot more of the money from the settlement, and there was nothing Michael Keaton could do about it. 
				- But the most important part of the plot was that Keaton started out as a stiff and heartless lawyer and came out the other end as a champion of the people. Only we never saw the process by which this transformation took place. 
			- The conclusion I came to, after giving this enough time, was that it should have been a 6 to 10-part series. Netflix should have done for the families what they wanted Keaton's character to do. Tell their stories. That's where the juice was. If you want to make Keaton the central thread, that's a good way to do it. But we just got tiny little glimpses of the families here and there, and no understanding of who actually died in the 9/11 attack. And that's a shame, because it could be a good story. Maybe a bit like <a href="https://en.wikipedia.org/wiki/Six_Feet_Under_(TV_series)">Six Feet Under</a>. 
			- Anyway as a movie it was imho a failure. Michael Keaton, as always, commands your attention in a good way, just to see someone who's a true artist at his craft. 
		- My podcasting habit wanes
			- Editor's note: This started as a <a href="https://twitter.com/davewiner/status/1435615566476230661">thread</a> on Twitter and turned into a ramble <a href="http://scripting.com/2021/09/08/144104.html?title=myPodcastingHabitWanes">here</a> on my blog...
			- I have to admit the only podcast I listen to these days is <a href="https://www.wnyc.org/shows/bl">Brian Lehrer</a>, and I don't listen to that very often. 
			- If <a href="https://heathercoxrichardson.substack.com/">Heather Cox Richardson</a> did one, I would listen. A weekly version of her newsletter. Yes. She's one of those people I never have an argument with, and always learn something from. 
			- In contrast the <a href="https://www.nytimes.com/column/the-daily">Daily podcast</a> (which used to be my main daily news fix a year or more ago) sucks so much now because the NYT reporters are either dumbing things down intolerably or (sorry but this is more likely) they're just too young and inexperienced to have a clue. About anything, even what they're supposed to be expert in. I know they hire kids with great degrees from great schools, but I wonder if they aren't all the pre-med-type students who just go for the grade and recommendation. 
			- And then think about all the doctors they keep inviting on to CNN and MSNBC. The same ones all the time and they say the same things. You wouldn't need AI to do what they do!  
			- Also I would listen to a [[Donald McNeil]] weekly podcast about what's new with Covid. I wouldn't mind if he also talked about cooking, or great trips he's taken that didn't get him fired from the NYT. I think he should be as popular as that <a href="https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk">asshole</a> on Spotify who got Covid and is taking oxycloriquin or whatever. How about a rational outspoken person to balance the crazy outspoken people. McNeil with a good sidekick could do that. 
			- They could do a clean sweep of MSNBC while you're at it. Again, clinging to a world that is gone. No patience for that. Get <a href="https://heathercoxrichardson.substack.com/">HCR</a> and <a href="https://donaldgmcneiljr1954.medium.com/">DM</a> to begin. Offer Brian Lehrer a nightly spot. That's three hours right there. The people they have now are out of ideas. Need a rest, a change of venue. Put them out of their misery. 
		- Who to blame for Afghanistan?
			- Who to blame for the Afghanistan debacle? 
			- It's not nearly as complicated as journalism makes it sound.
			- The people who voted to re-elect Bush in 2004.
			- Blame yourself if you‘re one of them. We had a chance to listen to the world and use our dominance in so many areas other than blowing up Iraq.
			- Very limited imagination.
	- September 7
		- I love one thing about Facebook. It gives the person who posted a piece absolute power over the existence of comments. On pieces I post, I don't limit myself to deleting abusive or personal comments, I delete ornery or challenging ones too. I hate online debates. I host a debate-free environment. If you want to debate, take your business elsewhere. 
		- All the nasty fascist crap that's surfacing now has always been there, handed down lovingly from generation to generation. Every family no matter how good or bad, depraved, sociopathic, narcissistic, everything -- they all think they're the best, smartest, luckiest <i>and</i> the worst treated and unluckiest. SItting around the kitchen table listening to mom and dad philosophize about the world, it rubs off. What makes families different is how they deal with those beliefs. March, write letters, watch Maddow or Hannity. Or join the Nazi party. I don't honestly think there's anything that can be done to break this, family is the strongest force for determining our view of the world. 
		- I just remembered that Apple basically <a href="https://en.wikipedia.org/wiki/Beats_Electronics#Subsidiary_of_Apple_Inc._(2014%E2%80%93present)">merged</a> with the music industry, so it's not surprising that it's difficult if not impossible to copy MP3s from my Mac to my iPhone so I can program my own music.
		- A <a href="https://medium.com/inside-of-elle-beau/body-autonomy-is-protected-by-the-constitution-ede4fb256ebb">must-read piece</a> on abortion. "The government cannot force you to save someone else’s life against your will." 
		- Winter is coming. Technically it's still summer, but I'm sitting here trying to warm up for a day of work, wearing a sweat shirt and shivering. Thinking about warm climates where I can spend the winter. 
		- I went on a boat yesterday with friends on the <a href="https://en.wikipedia.org/wiki/Hudson_River">Hudson River</a> between the <a href="https://en.wikipedia.org/wiki/Kingston%E2%80%93Rhinecliff_Bridge">Rhinecliff Bridge</a> and <a href="https://en.wikipedia.org/wiki/Saugerties,_New_York">Saugerties</a>. I had been on the Hudson before, but only in a much larger <a href="https://www.circleline.com/">boat</a>, and way south, in NYC. This was a great experience. I drank too much. Hic.
		- Factoring
			- I spent about an hour today doing a factoring experiment, taking a promises-based API and transforming it into a callbacks-based API.
			- Well no surprise they're <a href="https://en.wikipedia.org/wiki/Isomorphism">isomorphic</a>. When you do the translation, you end up with the same thing with different names. 
			- The promises syntax is slightly more compact. A long distance to go and a lot of introduced complexity for very little gain.  
			- It's like getting nice fat clothes instead of just losing the weight. 
			- I have a philosophy in programming, one I thought was stolen from, but actually <a href="https://www.nature.com/articles/d41586-018-05004-4">mis-attributed</a> to Einstein, who ironically said as much in a lot more words.
				- "Everything should be made as simple as possible, but no simpler."
			- This is a basic mathematics thing. They're always looking for a way to find one theorum that encapsulates and makes unnecessaray two or more. A more fundamental truth. The hope is ultimately to have one concise way of saying everything. A <a href="https://en.wikipedia.org/wiki/Rick_and_Morty">Rick and Morty</a> kind of idea. But why do programmers always seem to do the opposite? Solving a problem of too much complexity by adding even more complexity.  
			- I was a math major before I was a programmer, so I find this whole thing super frustrating.
			- At some point, instigated by Drummer perhaps, I hope we will have a great debate in the JavaScript community where our respected leaders explain to us why we need any of this stuff, and we can't have a language that behaves like all others, where asynchronous bits live underneath the interface that the langauge defines for the programmer.
	- September 6
		- Covid is raging in Texas and the government responds by setting citizens against each other over abortion. 
		- This just worked
			- Each of the two calls are implemented on a server, btw.
			- opml.getAtt ("tmp.opml", "name") + " is " + opml.getAtt ("tmp.opml", "age") + " years old."
			- Ask a friend who's a JavaScript dev why this is interesting. 
	- September 5
		- New term: <a href="https://www.google.com/search?q=%22Inter-outline+inclusions%22">Inter-outline inclusions</a>.  <i>0 matches.</i>
		- I once designed a JSONified version of RSS. <a href="http://scripting.com/stories/2011/03/17/jsonifiedRss.html">Wrote about it</a> and even put up a demo. I was surprised that somewhere in my sprawling ecosystem is a piece of code, still running, that maintains my <a href="http://scripting.com/rss.json">JSONified RSS feed</a>. Geek pride. 
		- When someone says "X is part of the problem" that's wrong in so many ways. Useless. They're actually the problem, not part of it even. Working together is how we get ahead. Unite rather than divide. I don't care how you got to the party, I'm just glad you're here now.
		- I saw a <a href="http://scripting.com/images/2021/09/05/snarkySlogan.png">snarky thing</a> in a friend's Facebook feed that said women don't need men telling them what to do with their bodies. A recent <a href="https://news.gallup.com/poll/244709/pro-choice-pro-life-2018-demographic-tables.aspx">Gallup poll</a> shows that 43 percent of American women are pro-life and 45 percent of men are pro-choice. I thnk everyone should be pro-choice, but it's wrong to blame men for the current situation. 
		- Most people in America don’t get how slavery is what we’re still fighting over. Colin Kaepernick  is  black, in America that means he’s a slave. Our country has yet to settle that question. Most of us have decided to grow out of it, but for a sizeable minority, they’re going keep fighting it. What Kaepernick is to them, a slave who forgot his place.
		- If you want to make a long-term contribution to tech, make your users' data accessible through open file formats. Software comes and goes, lots of planned obsolescence, but users' files tend to stick around.
		- I'm <a href="https://twitter.com/davewiner/status/1434511147185618944">using Twitter</a> to explore options for listening to my collection of MP3s without using Apple's official iOS music playing app.
		- Getting caught up with Electron
			- A query for <a href="https://en.wikipedia.org/wiki/Electron">Electron</a> devs. 
			- I have been <a href="https://www.google.com/search?q=site%3Ascripting.com+electron">developing</a> Electron apps for five years at least.
			- I have an Electron version of "Drummer" for the Mac (to start) almost ready to go, but there are problems with the File dialogs. It feels like a versioning thing? These routines worked fine in earlier software. So I figure what I need to do is get this app building using the latest versions of Electron and the latest build tools. If I recall correctly they change a lot. And it's been a while since I figured out how to do it. When I read their docs for building stuff I feel as lost as I felt when I was just starting out. 
			- Okay, so here's how I build the app currently:
			- <code>sudo electron-packager . "Electric Drummer" --platform=darwin --arch=all --overwrite --icon=drummer.icns --electron-version=7.1.10</code> 
			- What should I change to get my build process up to date? 
			- It works, it builds the app, and I've been using it, it's just not the current Electron release and their are quirks with the file dialogs. 
			- Ideally I'd like to not have to learn too much about the Electron release process or versions -- just give me something that works and I can get back to my sprawling codebase. 
			- Here's a <a href="https://github.com/scripting/Scripting-News/issues/222">thread for comments</a>. Thanks in advance. :smile:
		- JSON Feed after four years
			- I've <a href="http://scripting.com/2019/11/04/164251.html">written</a> about JSON Feed a few times. Summary: it was a bad idea. I don't know why devs want to come up with new names for well-established concepts. It makes all our lives more complicated if the format catches on, and if it doesn't, it just makes a mess.
			- If you absolutely had to have a JSON feed format, which no one does, it's easy to encapsulate anything you don't like about a format behind a simplifying API, and anything you can represent in [[RSS]] can be represented in JSON and vice versa, the best thing to do was a <a href="http://scripting.com/rss.json">JSONified RSS</a>. But they didn't do that either. 
			- Okay, so four years later <a href="https://github.com/manton/JSONFeed/issues/157">this thread</a> appears in the support repo. 
			- I might have been vaguely aware that Apple has a new format, obviously its own reinvention of RSS, also a totally bad idea, and another developer thinks JSON Feed should adopt its features. He is correct. That is the right move. Or even better, just leave JSON Feed behind and support both Apple's new incompatible format and RSS 2.0. Given that they're rooted in the Apple world, probably both. But the sparsely supported format they put out there was a bad idea and today it's an even worse idea, and it's only going to get more so. 
			- People keep doing this, thinking that starting over is the thing to do. Apple will have trouble with their format because publishers will see it as the trap that it obviously is and probably will forever tell Apple it would be better if they didn't go off and blaze a new trail when there already is a well-worn path. No one wants to get locked in the trunk, they want to ride up front with you. And in publishing, thankfully, Apple still is not dominant. And hopefully it stays that way. And the rest of us have to circle the wagons and <i>reduce</i> the number of formats we have to deal with, not add to them.
	- September 4
		- Every problem America has now, and they're huge problems, come from slavery. If we were to go through a transition like the one Afghanistan is going through now, we'd go back to the 1860s and slavery would be reinstated.
		- If I were in health care
			- If I were in health care, working in a place where they have to care for Covid patients who are very sick, I'd feel very inclined to quit. 
			- Given that 99 percent of the people who are very sick with Covid chose not vaccinate. And the transmissibility of the virus unlike other illnesses, makes them responsible not only for their own illness but other people'.
			- I'd seriously consider quitting. 
		- Diego Rivera
			- <a href="https://www.wikiart.org/en/diego-rivera/la-dona-maria-felix">La Dona Maria Felix</a>, 1949.
	- September 3
		- <a href="http://oldschool.scripting.com/ryantate/2021/09/03/133431.html?title=helloWorld">Ryan Tate</a> is an old school Scripting News reader, and now is an old school Drummer blogger. 
		- I wish Facebook would silence the spammy viral phishy poll messages that get thousands of shares, my friends fall for them, and they're certainly gathering all kinds of data that hurt people, they're easy to detect, it should be a big issue for journos, but for some reason it isn't.
		- I saw a supposed expert on Wolf Blitzer's show on CNN last night saying there was nothing the Dems could do about Roe v Wade. This is what passes for expertise at CNN these days. People who look nice in a suit and learned how to speak in CNN style.
		- Drummer user note: When you're creating something new in a chronologic structure, use the big + icon at the <a href="http://scripting.com/images/2021/09/03/plusIcon.png">top of the icon bar</a>. Don't do it by hand. The software that cares about chronologic notes ignores nodes that were created by hand. The + icon puts special attributes on the nodes that matter. You could if you wanted to do it yourself. But why would you? I'm saying this 20 different ways, here on Scripting News and everywhere else I can think to because I want [[Drummer]] users to get this right. It's important. :rocket:
		- I'm doing user support for the first time since [[Fargo]] days and am reminded of what sucks about it. In the groups I am part of, as a user,when I ask for help I have reproduced the problem on my machine several times. I have tried workarounds. I've thought about it. I don't immediately ask for help, because I know the other people are like me, doing it for love, it's not their job, they're helping because they like to help. For whatever reason the groups I assemble often don't do this. At the first sign of trouble they post something that's impossible to understand, and it's really clear they didn't try it again, or they would have spotted their mistake. Support is a dear resource. Use it when you need it, but be sure first that you do need it. 
		- We have to fight, at some point
			- Last night I saw Amy Klobuchar interviewed on CNN and the reporter pressed her to say that <a href="https://www.theguardian.com/law/2021/jun/13/stephen-breyer-retire-supreme-court-alexandria-ocasio-cortez">Breyer should resign</a> while there's a Dem president, was wondering why no one wishes <a href="https://en.wikipedia.org/wiki/Ruth_Bader_Ginsburg">RBG</a> had resigned when Obama was president, but of course there was <a href="https://en.wikipedia.org/wiki/Merrick_Garland#Supreme_Court_nomination">Merrick Garland</a>.
			- On the other hand, in hindsight, we should have had the fight over the Supreme Court when Garland was nominated and <a href="https://www.npr.org/2016/03/16/470664561/mcconnell-blocking-supreme-court-nomination-about-a-principle-not-a-person">McConnell refused to confirm</a>. Obama could have taken that as an affirmation, and seated Garland. It would have been a better time to fight.
			- I said it at the time. If McConnell won't vote, then after a decent amount of time, Garland takes the seat. Set a new precedent, if the Senate abdicates its responsibility, we go forward without them.
			- The good guys have been scared of a fight, and the Repubs have been walking all over the Constitution. You can't be nice always, sometimes you have to hit back. We've been delaying and delaying. And btw, where are the indictments of Trump, <a href="https://en.wikipedia.org/wiki/Merrick_Garland#Attorney_General_(2021%E2%80%93present)">Mr Attorney General</a>?
		- Roe v Wade, day 2
			- <a href="https://twitter.com/kairyssdal/status/1433803558290223104">On Twitter Kai Ryssdal asks</a>: "What happens now?  I mean, courts/procedure-wise."
			- I am not a lawyer...
			- The Supreme Court declined to put a stay order on the law, so Texas can and will presumably enforce it.
			- But the lawsuits can proceed, as if the SC did nothing.
			- Here's another question even more ominous imho.
			- Now that Texas found a way around the Constitution, what other rights can they infringe on this way?
			- Pick an amendment, it's easy to construct an analog.
			- Pass a law saying immigrants can't ride on public transportation. If one is caught doing it, you just have to document it and, you (or more likely your employer) can sue the bus driver, the bus company, the city, other passengers. 
	- September 2
		- <a href="https://en.wikipedia.org/wiki/Roe_v._Wade">Roe v Wade</a> was decided in 1973, 48 years ago. I was 18 that year. I was on the edge of awareness for what it meant. I don't remember a time when abortion was not legal, not in a way that could have affected me. We're all going to learn about it now. 
		- BTW, for people who are into news cycles, the Repubs changing the subject from Afghanistan to abortion, well that's kind of a gift to Biden. If you look at the world that way, that is.
		- Are we going to leave Texas before we rescue all Americans there who want to evacuate?
	- September 1
		- On Facebook, when you reply to a post you disagree with, your followers will then see it in their timeline. This puts people who follow you in an awkward position. I want to unfollow you because I don't want my timeline polluted with nonsense about how great the former president is (for example), and the only way I can do that is by unfollowing you. So your momentary feeling of righteousness has a hidden potential cost you should be aware of. 1. You help a cause you disagree with and 2. You alienate your friends.  
		- BTW, [[Drummer]] runs on Linux, in case that wasn't clear. And Windows and Mac. I use a Mac mostly, but I'd love to convert to Linux. Only one app is keeping me on the Mac, the OPML Editor, and only for its ability to manage my development work. But Drummer is getting pretty close to being able to do that. When it's fully up to speed I will be able to run everything in Linux, and believe me -- I will relax. I'm skating on thin ice on the Mac and know it. 
		- <a href="http://scripting.com/2021/08/31.html#a153800">Yesterday</a> I put out a call for new "Drummer" testers, asking for people with blogging and/or scripting experience. I should have also asked for people who have used [[outliners]], such as LogSeq, Roam, Obsidian, Org-mode, my own MORE, ThinkTank and Ready, or others. [[Drummer]] is all about outlining, as I said yesterday -- unabashedly so. We used to be reserved about software centered on outlining, but no more. Send an email or Twitter DM if you're interested in being in the test group. 
		- The press is full of <a href="https://www.memeorandum.com/210831/p138#a210831p138">reports</a> that President Biden screwed up the pullout from Afghanistan. But none of the people saying he did it wrong say what he should have done instead. 
		- The usual monthly ritual is complete. Archived the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2021/08.opml">August posts</a>, and started my outline with a fresh slate for September. Trying to imagine what wonders and atrocities await us! :boom:
		- Tagging in Scripting News
			- My use of [[tagging]] has been going for a while now, and i'm still doing it, which in my experience is a total success for a categorization system. Even better, some of the tags are getting enough references to be useful, for example <a href="http://scripting.com/?tag=drummer">Drummer</a>.
			- What seems to come next is to hook all of this up with a Wiki, so the landing page for a tag can have more than just links to articles. In other words all of this amounted to integrating an outliner with a Wiki, which was one of my goals after hanging out with <a href="https://www.google.com/search?q=ward+cunningham+site%3Ascripting.com">Ward Cunningham</a> for a couple of days <a href="http://scripting.com/2016/08/23/gettingBlogsAndWikisTogether.html">a few years back</a>. 
			- Software development sometimes is like painting. You do something over and over iteratively, from a lot of angles, and arrive somewhere, but that itself is probably just on the road to what's next after that. 
