- January 2023
	- January 31
		- To journalists (and others) who are trying to figure out how podcasting was born, I suggest listening to the podcasts in <a href="http://morningcoffeenotes.com/">Morning Coffee Notes</a> starting at 6/11/2004. Work your way up the list. Those were amazing days, lots of firsts and imho lots of fun. I kept the archive because I hoped at some point someone would want to know how it happened. Maybe grad students will do a thesis on this stuff? This is a new medium being born. I tried to keep good records. Also recommend looking at Scripting News archives for 2004 as well. 
		- 2001 was also a big year in podcasting. The first program to <a href="http://scripting.com/2021/01/21/141332.html?title=twentyYearsAgoInPodcasting#a154217">download podcasts</a> was <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22MUOTD%22&t=h_&ia=web">MUOTD</a>, in January 2001, in conjunction with the <a href="https://podnews.net/article/first-podcast-feed-history">Grateful Dead experiment</a>.
		- It's HTTPS week for FeedLand
			- I have a group of testers working with me on getting the <a href="http://roadmap.feedland.org/">open source release</a> of FeedLand ready to go. And this is the week we're working on HTTPS support. One of my friends thanked me for doing this work, and I thought my response deserved to be public, so here it is.
				- Supporting HTTPS in FeedLand was the plan all along. The rule is if you're giving your identity to a service, you gotta have HTTPS. My commitment is to the web. I think HTTPS is shitty technology, I'm sure Google if they tried harder, or asked me, could have come up with more of a win-win. But it is what it is. They're a shit company, but HTTPS is not Google. I know that. Some people can't seem to get that I get that. Not everything is a political cause. I think they're accustomed to Republican politics where they'll burn the world down to assert their will. I'm genuinely in this for the good of everyone, not just me. And -- I don't blame HTTPS for Google. 
			- My <a href="https://twitter.com/davewiner">profile</a> on Twitter is something I think every technologist should agree with, like the doctors take.
				- I work for the betterment of the network we all share. I'm not trying to get rich or famous, just fix the stuff that's broken. I hope you are doing that too.
			- It's okay to want to be rich or famous, btw -- I like having money, and if you succeed at being famous I want to warn you there's a downside to it, but more power to you. 
		- Diego Rivera
			- <a href="https://collections.artsmia.org/art/3147/portrait-of-the-knight-family-diego-rivera">Portrait of the Knight Family</a>, 1946.
	- January 30
		- Still listening to <a href="http://scripting.com/2023/01/29.html#a150911">You Don't Have To Cry</a>. Maybe the best song ever.
		- To anyone who cares about ActivityPub, Peter Zingg provides a <a href="https://mastodon.cloud/@pzingg/109780947294643685">great roadmap</a> for what's needed to get serious adoption.
		- My work address once was <a href="https://www.google.com/maps/@37.3930045,-122.0677959,3a,75y,335.28h,78.5t/data=!3m7!1e1!3m5!1s94Em7fQKlL0uM2ERaQ6WJw!2e0!6shttps:%2F%2Fstreetviewpixels-pa.googleapis.com%2Fv1%2Fthumbnail%3Fpanoid%3D94Em7fQKlL0uM2ERaQ6WJw%26cb_client%3Dmaps_sv.tactile.gps%26w%3D203%26h%3D100%26yaw%3D101.703125%26pitch%3D0%26thumbfov%3D100!7i13312!8i6656">117 Easy Street</a>, not in Anytown, USA.
		- A stunning realization
			- Having done it with "FeedLand", I was starting to think about how to wean "Drummer" off Twitter identity, and had a stunning realization -- it may not be necessary, since (I believe, haven't tested yet) it might be possible to host Drummer from a FeedLand instance. 
			- I would actually have to do it to be sure there aren't any roadblocks I haven't foreseen. But they're both running the same server software, <a href="https://www.npmjs.com/package/daveappserver">daveappserver</a>, and once you've established an identity in FeedLand I don't see why it can't be used with Drummer. 
			- Ken Smith was tripping out on the synergies between Drummer and FeedLand. This, if it works, would blow the doors off that. They would be storing their data in the same place. You would be able to open your FeedLand bookmarks menu in Drummer, to start. 
			- I figured something else out. I was wondering what would happen if Twitter broke their identity with developers like me as they did with the clients, how would we transition Drummer then? I don't want people to have to start over. I could ask them to do what I asked FeedLand users to do, is make a connection between their Twitter identity and an email address, as a backup. But this would have to be done before any outage. Something most people probably wouldn't do. 
			- Then I realized we would be able to do what we do now when we want to associate an email address with a domain, ask the user to post something to their Twitter account, some magic string. When we see it in their timeline, voila, we know they are who they say they are and we can move the files to the new server. So we can relax. Users shouldn't have to lose data if Twitter pulls the plug.
			- One more thing, when Twitter was blowing up, I was getting harassed by idiots (no other word for it sorry) who didn't understand that you can't unwind a connection just by snapping your fingers. Identity is baked into an app at a deep level. And, when it already has users, and has gone through a ship cycle, you can't just flip a switch or everything you worked so hard for would just fall apart. It would be like, for example, making the NYC subway system run on a different track gauge. Sure you could do it, but it might take a few weeks. :smile:
		- Only on Twitter
			- There are still some things you can only learn <a href="https://twitter.com/markos/status/1620266385594277888">on Twitter</a>.
	- January 29
		- <a href="https://twitter.com/davewiner/status/1619718976199876608">Poll</a>: Would you get rid of Google or the web?
		- BTW, all who think Musk/Twitter is the big problem, you're falling for a smokescreen. A much bigger problem is the brain of Google. It's the nightmare of science fiction. We have no clue what it wants. It has unfathomably immense and unchallenged power. 
		- Today's song: <a href="https://www.youtube.com/watch?v=PmduVX7_-kE">You don't have to cry</a>. I can't tell you how much I love this song. And it turns out this was the first CSN song. It was first sung in Joni Mitchell's <a href="https://en.wikipedia.org/wiki/Laurel_Canyon,_Los_Angeles">Laurel Canyon</a> living room, or Cass Elliot's kitchen, or John Sebastian's house. Crosby and Stills were tripping out on their harmonies. Cass brought Graham Nash with her to meet them. After hearing the song twice, he joined the harmony. Imagine the <a href="https://www.songfacts.com/facts/crosby-stills-nash/you-dont-have-to-cry">discovery</a> that this kind of music was possible, and that it was coming from you! BTW, the song was written by Stills about <a href="https://en.wikipedia.org/wiki/Judy_Collins">Judy Collins</a>. 
		- <a href="https://chat.openai.com/chat">ChatGPT</a> is a godsend to people with aging minds who sometimes can't find the right word. It's in there, in my brain, but I can't quite get at it. It's amazing how it <a href="http://scripting.com/images/2023/01/29/chatscreen.png">nailed this question</a>. Bravo! 
		- I like HTTPS, but...
			- I won't be forced to use it, I won't give in to <a href="http://this.how/googleAndHttp/">blackmail</a>.
			- However, "FeedLand" <i>will</i> support HTTPS. I am working on that now.
			- That's why I'm in such a foul mood. I feel completely manipulated by a big company I despise.
			- It's as if the biggest music label also owned all the players and refused access to music written by individuals and independent publishers with some made-up bullshit about "security." You have to pay them their tribute or be shut out. I choose being shut out. 
			- If your browser requires HTTPS, you won't be able to read my blog. 
			- Also, to lawyers -- if this isn't antitrust, I don't know what is. 
			- The day is coming. Get ready for it. I am ready. I am doing nothing. :smile:
		- I like Masto, but...
			- I like Mastodon, and like Twitter. I've been on Twitter since 2006, and on Masto since 2017, but didn't start using it until late last year. I think Mastodon is an improvement over Twitter, but the limits I list below matter more than all the improvements.
				- Optional titles.
				- No linking.
				- No styles.
				- Posts are limited to 500 chars.
				- No enclosures.
			- Yes I know some instances don't have these limits, but what matters is the <a href="https://en.wikipedia.org/wiki/Lowest_common_denominator">LCD</a>. What can be exchanged with all Masto systems, and the list above applies to the vast majority of instances. 
			- Think about it this way. This is a simple post, expressing a simple idea. Yet neither Mastodon or Twitter can transmit this message. When we really get out of this bottleneck we'll be able to send messages like this one, and we'll wonder why we put up these limits for so long. 
			- Also, I've heard all the arguments. At one point 140 chars was the limit that mattered, if we went over that then it wouldn't be any good. Then we went over it, and communication got better. I don't want to argue about this. Just want to point out that we're still waiting to be set free from the limits imposed by Twitter 17 years ago.  
	- January 28
		- "RSS" is a good thing. It represents something precious, developers working together, just a little, and only for a brief period. We should recognize it for the lucky gift that it is, and do things to help it. 
		- "RSS" is a thing like <a href="http://scripting.com/liveblog/users/davewiner/2015/12/06/0582.html">roadways</a> and paths of <a href="https://www.nps.gov/vick/learn/nature/river-course-changes.htm">rivers</a>, they change very slowly. Think about <a href="https://en.wikipedia.org/wiki/QWERTY">qwerty</a> keyboards. That's what we're talking about here. Agreements between products to interop. RSS is just like the <a href="https://en.wikipedia.org/wiki/Track_gauge">gauge</a> of rails, or always driving on one <a href="https://www.rd.com/article/why-drive-on-different-sides-of-the-road/">side</a> of the street. A convention that makes progress possible. 
		- Also, we have to stop <a href="https://en.wikipedia.org/wiki/Anthropomorphism">anthropomorphizing</a> tech. Formats and protocols aren't alive. 
		- I was raised in the aftermath of the Holocaust by survivors. In that sense my whole life is <a href="https://www.ushmm.org/remember/international-holocaust-remembrance-day">International Holocaust Remembrance Day</a>.  
		- I'm not using the term <a href="https://en.wikipedia.org/wiki/Antisemitism">antisemitism</a> any longer. Instead calling it "Jew Hate." If you hate Jews, that's what I'm going to say you do. 
	- January 27
		- The open source release of FeedLand is <a href="http://roadmap.feedland.org/">on the way</a>. :rocket:
		- <a href="https://www.youtube.com/watch?v=0TYq9RjdYYU">Today's song</a>: "Did you know we're riding on the Marrakesh Express? Did you know we're riding on the Marrakesh Express? They're taking me to Marrakesh." 
		- <a href="https://twitter.com/POTUS/status/1619032684378095619">Democrats are campaigning</a> as part of governing! This <a href="http://scripting.com/2016/05/04/1237.html">works</a>.
		- I did a top level demo of FeedLand for a friend all in <a href="https://mastodon.social/@davew/109762807709805907">one Mastodon post</a>. Having 500 chars to work with makes a big difference.  
		- On 4/13/2005 I did a <a href="http://mp3.morningcoffeenotes.com/cnApr13.mp3">singing podcast</a>. The music was on an educational site for kids. Why should they have all the fun.
		- Just when I thought I'd seen all the good bingeable shows, I started watching <a href="https://www.metacritic.com/tv/feel-good-2020">Feel Good</a> on Netflix, and wow, it's such a great story, so emotionally involving. Not going to spoil anything, but if you need a good love story, this is it. Gave it the highest rating on <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Ffeel-good-2020">Bingeworthy</a>. 
		- Last night's <a href="https://www.postingandtoasting.com/2023/1/27/23573957/rj-barrett-after-edging-celtics-in-ot-we-played-together-we-played-hard-we-held-our-own">Knicks game</a> was a real milestone. At the end with the Knicks defending, they stopped the best team in the NBA, without Mitchell Robinson. In previous seasons the Knicks would always lose these games. At the end we'd say well it was a good effort, knowing that's bullshit, it's pathetic. To win one of those games, with such competence, for the second time in two games, both times against the best in the league, wow. Maybe it's time to change how I think about this team. I'll let you know. :basketball:
		- Just heard an excellent <a href="https://mastodon.social/@ortgard/109760375504217740">analogy</a>. Defaulting on the debt would be as destructive to the US as Brexit was to the UK. Only I think it would be a lot clearer to the world how we've lost our minds, and also the US is bigger than the UK, economically, so we have further to fall. 
		- Embedding Mastodon?
			- I was wondering if it's possible to embed a Mastodon post in a web page. Turns out that it is. <a href="http://scripting.com/images/2023/01/27/embedMastoScreenShot.png">Screen shot</a>. 
			- <iframe src="https://mastodon.social/@davew/109758004055360356/embed" class="mastodon-embed" style="max-width: 100%; border: 0" width="400" allowfullscreen="allowfullscreen"></iframe><script src="https://static-cdn.mastodon.social/embed.js" async="async"></script>
	- January 26
		- Since <a href="https://en.wikipedia.org/wiki/David_Crosby">David Crosby</a> died I’ve been listening to all the <a href="https://en.wikipedia.org/wiki/Crosby,_Stills,_Nash_%26_Young">CSNY</a> and <a href="https://en.wikipedia.org/wiki/The_Byrds">Byrds</a> hits. These few days have been an explosion of the past. Forgotten love, long-gone friends, wounds all fresh again. Good? Not known at this time.
		- If you're going to tell the story of the growth of podcasting, you can't leave out <a href="http://morningcoffeenotes.com/">Morning Coffee Notes</a>. Podcasting was a mission that two people were on, myself and Adam Curry, mostly working in harmony, to find ways to get people to adopt this idea. We kept throwing ideas out there, and it wasn't until MCN in the summer of 2004 that other people got the idea that <i>they could do it.</i> That was the breakthrough. You didn't need a big studio and money to produce good audio programming. That's what MCN did. It was as crucial to the growth of podcasting as Serial or The Daily were many years later. You can't write a truthful history of this without including this series. Luckily the <a href="http://morningcoffeenotes.com/">archive</a> is pretty good! :smile: 
		- There's a <a href="http://scripting.com/2015/09/30/daveCast2015Sep30.m4a">20-minute podcast</a> linked to from <a href="http://scripting.com/2015/09/30/aPodcastAboutPodcasting.html">this piece</a> about how podcasting came to be. If you're going to write about this stuff, please listen to it. 
		- On 4/13/2005 I did a <a href="http://mp3.morningcoffeenotes.com/cnApr13.mp3">singing podcast</a>. 
		- There's a lot to be said for no paywalls and no intrusive ads. Transmits a message. No fuss no muss. Sending out a link to them won't cause trouble for anyone. Over time that builds a brand. We should give out awards for that. #1 is Axios for sure.
		- Nothing is more galling than people who never cared what you thought of them claiming credit for your accomplishments. Soon we'll all be dead and it won't matter. But in the meantime it means people aren't interested in my new work. So there is a cost.
		- Would someone please make a ChatGPT product that can be pointed at specific websites, and allow intelligent queries against the contents. I’d love to explore the site I’ve been writing for 28.5 years, <a href="http://scripting.com/">scripting.com</a>. Let me know. It’s worth $ to me.
		- Who owns the web?
			- I asked <a href="https://chat.openai.com/chat/f1631d0c-cb60-400c-8194-59745ec05b6f">ChatGPT</a> who owns the web. This is what it said.
				- The World Wide Web is not owned by any single person or organization. It is a decentralized system of interconnected documents and other resources, linked by hyperlinks and URLs. The Web is maintained and developed by a community of individuals, companies, and organizations, who contribute to its growth and evolution. The core technology of the Web, including the HTTP and HTML standards, is developed and maintained by the World Wide Web Consortium (W3C). However, the web is also regulated by different countries with different laws and regulations, but no one owns the Web.
		- Google acts like the web's owner
			- <i>From a heated <a href="https://mastodon.social/@davew/109758004055360356">discussion</a> on Mastodon.</i>
			- Google has been acting like the owner of the web for years. 
			- This is being covered up by the tech industry, but it is a fact and a public issue of the utmost importance. 
			- The web belongs to no one. 
			- Period.
		- Why the US is so rich
			- Judging from the news, no one has figured out how to explain what defaulting on our debt means in human terms.
			- To do it, you'd have to explain why the United States is richer than any other country in the world.
			- It's not because we're smarter, or make better products, or have more natural resources. It's because the dollar is the <a href="https://en.wikipedia.org/wiki/Reserve_currency">reserve currency</a> of the world. It's the safest place to store value. That means when we create a new dollar someone accept it as repayment of a loan. That's how our wealth is created and sustained.  
			- In other words, people are happy to be paid in dollars. They want to be paid in dollars. They like dollars because they remain valuable, because they trust the United States to repay the loan because <i>the US never has and never will default.</i> That's the assumption. 
			- We got a good thing! We should want to keep it! (I don't often use exclams on this blog, btw.)
			- If we don't pay back our loans, the safety thing blows up. It'll be gone. Then when we print a dollar to pay back a loan, they'll say no thanks, give us Euros. It's actually pretty simple. If you understand the rules of football, driving or poker you can definitely understand this.  
			- People ought to learn what it means to be a reserve currency. And how it makes the US much richer.
			- It means we can piss away huge amounts of money on the military, and let the super-rich get off with paying no taxes. That's where the difference goes. It's why we can still live in a Western way, with big cars and mortgages, and have the hugest miltary and fuel the growth of the super-rich all around the world all at the same time. It's not because we're a great country, it's because everyone thinks the dollar is safe.  
			- I don't the military is going to suffer much when our unfair economic advantage is blown up by a default, I think the poor will. I think health care and education will disappear. I think the rivers and air will be polluted. We'll be sicker and more ignorant. Everything will work much worse. More shortages so prices will go up. 
			- To understand this all you have to understand is what a reserve currency is. Please news people, explain that. Help the people understand how this works. 
			- Thanks.
	- January 25
		- I realized today in a <a href="https://mastodon.social/@davew/109751165568341278">Mastodon thread</a> that my source code is my <a href="http://scripting.com/2023/01/24/150122.html">zettelkasten</a>. I take copious notes in my outliner, but I don't worry about gardening them, it's the code I focus on. And because I write code in an outliner, I can create notes that are tucked away at the top of each function, for some long-lived functions, the notes at the top are basically a blog. Yet it in no way interferes with the readability of the code. I've been doing it this way for 20+ years, so it's a pretty smooth process. And I'm sharing all this publicly, in my GitHub repos, most of which have a source.opml file that contains the outline with the source code for the whole project. Here's an <a href="https://github.com/scripting/reallysimple/blob/main/source.opml">example</a>. Read the comment at the top of the OPML file. 
		- I finished bingeing <a href="https://www.metacritic.com/tv/his-dark-materials">His Dark Materials</a>. Utterly tedious. 99 percent speeches by people saying nothing and the music rising and sounding ominious as if something very profound was happening. The last episode was good for about 15 minutes then it got tedious too. Somehow I was snookered into watching one of those <a href="https://en.wikipedia.org/wiki/List_of_superhero_television_series">superhero shows</a> that are so popular now. It's all special effects. I'm sure they're impressive, and they made a big deal about how important stories are, too bad the show didn't have much of a fecking story. I give it a <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fhis-dark-materials">rating</a> of 💩&nbsp;and I'm rating myself a fool for sitting through it all the way to the end. Oy boy what a mess.
		- We've started testing the <a href="http://roadmap.feedland.org/">open source release</a> of the FeedLand server. Looking for people with experience running a WordPress server, or equivalent. It should be that level of complexity. I want to smooth out the experience, before releasing it publicly. If you're interested, please send me an email. Include your GitHub username.
		- It's not about HTTPS
			- I posted a link to a <a href="http://archive.thedali.org/mwebcgi/mweb.exe?request=record;id=1780;type=101">Salvador Dali work of art</a> that Twitter thought might be bad so they blocked it. 
			- Someday Google will do the same for a blog post like that because they own the web the same way Twitter owns tweets.
			- Then we will see that the question in 2023 wasn't whether HTTPS is good or not, rather it's whether it's good if <a href="http://this.how/googleAndHttp/">Google owns the web</a>. 
	- January 24
		- Clearly what will drive the microblogging market outside Twitter is Mastodon not ActivityPub. Here's a <a href="https://mastodon.social/@davew/109747780315482164">short thread</a> that explains.  
		- If you think losing the Twitter clients was a big deal, wait until they start screwing with the archive. 
		- New version of <a href="https://github.com/scripting/mail">davemail</a> package. Since this is part of "FeedLand" it means that we can send confirmation emails via SMTP, not just SES.
		- <a href="https://github.com/scripting/Scripting-News/issues/250">Braintrust query</a>: Something weird is going on with NPM and how package.json files work. Suppose I have a package called package1 which is required by a package called package2, which in turn is required by package3 which is required by an app called helloworld, which only requires package3. I know that's complicated to say but it's really simple. Okay, so I make a change to package1, and go to the directory that contains helloworld and <i>npm update</i> it. You'd think that we'd get the new version of package1 but we don't. The only way to get it to update that I've discovered is to make a change to package3, publish it, and then npm update. But nothing changed in package3, why should I have to rebuild it just to get the change reflected in the app. I have a feeling that this is because NPM modifies the package.json that NPM passes up the chain of require's? I swear this used to work, and what a pain in the ass if this is the only way to get changes deep in the stack reflected at the top. A place to <a href="https://github.com/scripting/Scripting-News/issues/250">comment</a>.
		- Why ChatGPT is a good thing
			- We should be pleased that CNET is <a href="https://futurism.com/the-byte/cnet-publishing-articles-by-ai">putting themselves out of business</a> of being an authority on commodity info. That business isn't viable today much as being a travel agent isn't. 
			- Lots of what doctors do will be automated by ChatGPT too, and that's a good thing! They can give us more personal care. Their recommendations are also commodity, and rightly so. And I'm absolutely sure that the new way will save lives and make human bodies work better and live longer. 
			- The fuckups of medicine pile up. By the time you're my age it's happened so many times it's a wonder I'm still alive. (That said medicine saved my life twice, so there's that too.)
			- Worrying about side-effects like CNETs demo, is like people worrying about typesetters losing their jobs when desktop publishing came around. This is evolution and imho it's a good thing. 
		- Uncle Arno's zettelkasten
			- There's this idea called <a href="https://en.wikipedia.org/wiki/Zettelkasten">zettelkasten</a> that's been going around in the outlining world. It's like a "second brain" another term they use. 
			- The thought is that if you get all the info and ideas out of your brain and onto a computer something magical will happen, you will attain a sort of super-humanity. 
			- I'm not sure why but I hate the term zettelkasten, but I love to say it. It sounds like something goofy and idiotic at the same time. It's not an English word. I do not like it. 
			- But then I decided to <a href="https://www.google.com/search?q=arno+schmidt+zettelkasten">look it up</a>. I found that one of the <a href="https://notes.andymatuschak.org/Zettelkasten">early pioneers</a> of zettelkasten was my ancestor, <a href="https://en.wikipedia.org/wiki/Arno_Schmidt">Arno Schmidt</a>, a fantastic but fringe German writer of the mid-20th century. He was my maternal grandmother's brother, my great-uncle. 
			- In his case zettelkasten made sense because:
				- He was German and zettelkasten is a German word so it isn't icky or pretentious.
				- He had a legitimate use for one, he was writing a complex novel with lots of characters and plots. And this was before personal computers, in the 1940s and 1950s, so he did it with index cards. 
			- Around the time Uncle Arno died in 1979, I started working on my first outliner, which is the ideal tool for creating and managing a zettelkasten on a personal computer. 
			- I've attached a <a href="http://scripting.com/images/2023/01/24/arnoSchmidtWithZettlekasten.png">picture</a> of Arno with his zettelkasten.
	- January 23
		- I went to ChatGPT and entered "Simple instructions about how to send email from a Node.js app?" What <a href="https://chat.openai.com/chat/cfc3e146-c2d3-42bd-8e39-b23092d65206">came back</a> was absolutely perfect, none of the confusing crap and business models you see in online instructions <a href="https://www.google.com/search?q=Simple+instructions+about+how+to+send+email+from+a+Node.js+app%3F&rlz=1C5CHFA_enUS743US747&oq=Simple+instructions+about+how+to+send+email+from+a+Node.js+app%3F&aqs=chrome..69i57.1373j0j9&sourceid=chrome&ie=UTF-8">in Google</a>. I see why Google is worried. ;-)
		- The tech industry and Google
			- I was chatting with a leader of tech, a person who has made huge money on the open web. I don't want to say this person's name because my goal isn't to shame them, rather to provide a rebuttal in public where it won't just go into the trash -- I hope -- where there might actually be some listening. 
			- If Google owned the web when my friend's company was starting up, it's likely Google wouldn't have permitted their product to launch because they were competing with a Google product. But the web was an open platform, no one controlled who could deploy a web app, so my friend had a chance. But Google is now taking that power for itself and there's very little resistance. Right now Google and a number of other organizations are taking ownership of the web, but it's mostly Google. 
			- As I've <a href="http://this.how/googleAndHttp/">written before</a>, Google's first change to the web, now that they apparently feel they own it, will mean losing a lot of the archive of the web because it won't be possible to update those sites to comply with Google's rules for what constitutes a legal website. But the web is a fantastic archive medium. And losing the archives, that's not something a big company should be allowed to decide. It would be like saying Exxon could decide if beaches should be protected from oil spills. We'd never let them take that power, they would be stopped, they <i>have</i> been <a href="https://www.epa.gov/laws-regulations/summary-oil-pollution-act">stopped</a>. But there's Google, doing it in the Age of the Web, saying we own this and if you don't like we'll just shut you down. You know, like Apple and iPhone apps. 
			- We have to put up with this on corporate platforms, there's no choice -- but the web doesn't belong to them. And my friend, who really is someone I like on a personal level, is going along with it. We are opponents in this, and I hope he comes around and realizes that not only do we need the archives, we need the web to be an open playground for innovation. And having tasted this power once, you have to know Google isn't finished, it'll happen again, and again. 
			- And of course Google could just create something new and market it as being "more secure" and leave the open web alone. You gotta wonder why they didn't just do that. 
			- PS: I asked Chatgpt <a href="https://chat.openai.com/chat/f1631d0c-cb60-400c-8194-59745ec05b6f">who owns the web</a>. It's not Google. 
	- January 22
		- There’s no comparison between Twitter and Mastodon for idea distribution. I routinely get hundreds of RTs on Masto. The Twitter system thinks the same ideas are worthless. I’m guessing virtually no one sees my tweets. For an idea why that is, see the next item. 
		- Twitter made a change so that you have to click a link to see the recent posts from people you follow. Hard to remember to do that, and you end up seeing a lot of disgusting crap. The stuff an algorithm chose for you, including posts from people you blocked. But you can work around this. If you have a bookmark for accessing Twitter, <a href="https://twitter.com/search?q=filter%3Afollows%20-filter%3Areplies&f=live">change it to this</a>. Now you'll only see items from people you follow. None of the bullshit their algorithm chose "for you" which is really "for their advertisers" or "for whoever."  
		- There's much more to feeds than reading them! :smile:
		- I unfollow people who use "white male" as code for "evil asshole." Say what you have to say without the bullshit. 
		- I hate when people explain in detail something they thought I needed to know because I said something that reminded them of it. 
		- Trump was a free man...
			- <i>I wrote this on <a href="http://scripting.com/2017/01/22/trumpWasAFreeMan.html">Jan 22, 2017</a>, two days after Trump was inaugurated.</i>
			- Trump was a free man until he took the oath. 
			- But once he assumed the office, and until he leaves, he belongs to us, the American people. I'm sure this is a new feeling for him. But we all must submit to something. The president submits to the people. 
			- I can't imagine what hell it must be behind the closed door that leads to the press room. The ranting and screaming, the tears and the "there there's" from his staff, the promises to get even. 
			- But he will keep bumping up against the reality that now, we own his ass, even the ones who thought his campaign was crazy and dangerous. The people who voted for him thinking it left the rest of us powerless are in for a surprise too. The other politicians you elected care about what we think, because they need us to keep their jobs. The election is over, now they're worried about the next election. And like it or not, they need us. 
			- Harry Truman famously called the White House the "crown-jewel of the federal penal system." 
			- I don't know how Trump will come to terms with this. We have an idea of what a president does, says, how he or she reacts to events. We just had eight years with a guy who never lost his cool over anything. The new president sees a report on TV saying he lost the MLK bust in the Oval Office and he loses it? He has a long way to go before he is our president. He may hold the office but he hasn't embraced it yet.
	- January 21
		- I moved the <a href="http://roadmap.feedland.org/">FeedLand roadmap</a> to its own place. 
		- Arguing with people is usually not productive and it wears you out.
		- <a href="https://twitter.com/davidfrum/status/1616892096434012160">David Frum</a>: "I'm doing an experiment. On my computer, I am checking the latest tweets by people I follow. On my phone, I'm checking whether their most recent tweets are showing up in the 'Following' column. I'm just getting started, but even in the first dozen cases, Twitter failed."
		- Twitter should have been an operating system. 
		- I just had ChatGPT write some docs for me -- how to set up Node.js and Amazon SES.
		- The best feature of Mastodon is that you can edit your posts.
		- Another problem with people getting upset when something they depend on on the internet goes away, for whatever reason, is that it's <i>all</i> going to go away, probably sooner than you expect. If you want things to be long-lived, then we need to make some major changes. And no one, absolutely no one, is working on making a long-lived net. 
		- RSS-spect
			- I was hoping that people would see <a href="http://reallysimple.org/">RSS</a> as a key to decentralization, but it's hard to draw the picture because people have the wrong idea about RSS.
			- I had a similar problem explaining why a Pub-sub company should support RSS without thinking of it as a "third party opportunity."
			- Pub-sub could use a "really simple" interface. You could send any kind of message with RSS, and the knowledge of how to find the new stuff in a feed is totally established in developer-land.
			- And that's what the Pub-sub people wanted. Ideas for new simple APIs. They look down on RSS as beneath them. I've seen "serious" devs do that over and over and it's a mistake. Simple is better, not trivial. Microsoft, for example, had something "much better" than RSS coming in the late 90s. Eventually they did get on board with RSS, to their credit.
			- Sometimes the answer is so obvious you can't even see it. 
	- January 20
		- Sometime next week we'll start testing the <a href="http://scripting.com/2023/01/15/160957.html">open source release</a> of the FeedLand server. Looking for people with experience running a WordPress server, or equivalent. It should be that level of complexity. I want to smooth out the experience, before releasing it publicly. If you're interested in participating, please send me an email. 
		- The Twitter API still works. If that changes I'll let you know. Yes, they shut down the clients, but the people who make the clients should have known that was coming. It happened before. Every corporate platform vendor will defend their cash flow. If you bet otherwise, you're probably going to lose. If you don't like it, develop for an open platform or stay out of the platform vendor's path.
		- Why aren't we <a href="https://twitter.com/TheDailyShow/status/1616421662219534337">marching</a> over the Dobbs decision?
		- Having trouble focusing on work today I posted a <a href="https://mastodon.social/@davew/109722242134122701">load of bullshit</a> to Mastodon. 
		- I went to Davos in <a href="http://scripting.com/2000/01.html">January 2000</a>, just once, with a white badge (access to everything). Not as a journalist. I was a representative of the web, which was the hot thing at the time. Not sure what other people were doing but I was a celebrity and enjoyed all the attention. 
		- After Davos, I went to Amsterdam, to write and enjoy the local herb. Back then it was the only place in the west where you could buy and consume the weed openly and semi-legally. Scroll to the end of the <a href="http://scripting.com/2000/02.html">February archive page</a> for pictures from Davos and Amsterdam, as well as a few pieces with closing thoughts about my experience at Davos. This is one of the advantages of blogging and keeping relatively decent archives. You get to relive experiences like this.
		- The only question I was asked was <a href="http://scripting.com/davenet/2000/02/04/howToMakeMoneyOnTheInterne.html">How To Make Money on the Internet</a>. The <a href="https://www.google.com/search?q=%22Davos+Man%22">Davos Man</a> was skeptical. I did pretty well, in hindsight. :smile: 
	- January 19
		- Today's song: <a href="https://www.youtube.com/watch?v=3Q3j-i7GLr0">Wooden Ships</a>.
		- NYT: <a href="https://www.nytimes.com/2023/01/19/arts/music/david-crosby-dead.html?unlocked_article_code=Q9v49BbdddtZDdw4yX_PLKRG67ZyJ8_y4iVuNTHXS-_toMgGpHXnPa86L32crpLqYUITCzER2ACZDSB8NmMHtTmfEWSRwSVGvu7WKNkbgBa3hQUgZ2DoRljdaQMZtExecaBu7ddXvmaYZRortniEe-LDMsCeCpgxaGkBEHMemmu5M4qA6UshHiRL1QthR72MHCgKXZw1cFSIE1M8fHR10hpjXRKV84df0AywBmMu-HT-aloBwmXuqIaf-Ok3TSdC4e0OxNjLUgsfY_Jf-XiBUHH_QbaE1nxDQD7dOkY8BLLTCWVPeL5s7YiKFbN689JxauZ_C8qpm0bwfWTcsg&smid=share-url">David Crosby dies</a>.  #nopaywall
		- So much made up bullshit about Twitter's API. I've never seen anything like it. Some of them actually think of themselves as journalists.
		- I'm watching <a href="https://www.metacritic.com/tv/his-dark-materials/season-1">His Dark Materials</a> on HBO. About to reach the end of the first season. So far -- <a href="https://twitter.com/davewiner/status/1616253910620020737">so-so</a>. Not sure if I want to finish. 
		- I just got a <a href="http://scripting.com/images/2023/01/19/16TB.png">16TB</a> disk. Remarkable.  
		- I let a domain, <a href="http://nodestorage.io/">nodestorage.io</a>, lapse. That's why we're seeing problems on scripting.com. One of the files we include is from api.nodestorage.io. I renewed the domain, so the outage should hopefully clear soon.
		- We're following <a href="https://en.wikipedia.org/wiki/WordPress">WordPress's lead</a> in releasing FeedLand's server as an open source project using <a href="https://en.wikipedia.org/wiki/GNU_General_Public_License#Version_2">GPL2</a>.  
		- We (Adam Curry and myself) approached the Zune people at Microsoft in 2004 to ask to work with us to make a perfect podcast listening and recording device. Basically the PC of podcasting. I wanted to work with them, lived in Seattle at the time, was only working on podcasting at the time. Still to this day such a product does not exist. 
		- Twitter's developer program
			- I've seen recent editorials about Twitter's developer program. 
			- It wasn't great. The first time I ever spoke with a person from Twitter who worked with developers was in spring 2022.
			- I have been developing for the platform since 2006.
			- Most of what they developed for developers wasn't what we needed. It was what they thought of based on not having much contact with actual devs.
			- What we needed more than anything was a way to be validated by the platform and promoted to users. 
			- See also: <a href="https://hbr.org/2015/05/the-art-of-evangelism">evangelism</a>.
			- <a href="http://scripting.com/davenet/1994/11/26/letathousandflowersbloom.html">1994</a>: "Apple should stop looking inward for the answer. Do your software shopping in the developer world. You get there sooner and it costs less."
			- Users never heard about our products and struggled with limits in Twitter that our products overcame. 
			- Eventually I realized there was no point pouring effort into the platform because users would never hear about it.
			- Twitter except at the very beginning had almost zero entrepreneurialism in its dna.
			- <a href="https://en.wikipedia.org/wiki/Evan_Williams_(Internet_entrepreneur)">Evan Williams</a> et al did a great job of promoting it at first via SXSW. They had some kind of exclusive marketing deal with them. And then momentum carried the service, not innovation or creativity. 
			- Then, with no where to go, Elon Musk bailed them out. 
			- PS: I was a very small shareholder and was bought out by Musk. I didn't want to sell. I wanted Twitter to get with it. 
	- January 18
		- My apps still work with the Twitter API. I don't think any developer should try to <a href="https://idioms.thefreedictionary.com/make+hay">make hay</a> out of the pain of another developer. I wouldn't do that to you, even if I had questions about the foundation of your product. You see this in sports, no one puts down a competitive team just because one of their star players is injured. For good reason -- it can happen to you too and you don't want to see people do that to you. Remember this isn't just about Twitter, it's about developers too.
		- <a href="https://twitter.com/TribuneKevin/status/1615632786378956800">Kevin Williams</a>: "Every time Dave Chappelle comes up, Black folks cape for him, and it's weird. Learning when to let people go when they have done harm to a community, even if it isn't the Black community, is a muscle that has to be trained. Hell, folks haven't let R. Kelly go."
	- January 17
		- I am pleased to report that  <a href="http://news.scripting.com/">news.scripting.com</a> works again.
		- I work for the betterment of the network we all share. I'm not trying to get rich or famous, just fix the stuff that's broken. I hope you are doing that too. Keep on truckin.
		- When Twitter shuts down client apps everyone says Twitter is bad. But Google deliberately <a href="http://this.how/googleAndHttp/">breaks their browser</a> and blames my blog, people don't seem to care, probably because it sounds like Google is being benevolent when they're actually engaging in a huge act of piracy. 
		- <a href="https://twitter.com/davewiner/status/1615487888258486273">Twitter is getting better</a> folks. You may not like "hard core" but we used to call that "management by shipping" at Living Videotext (my first company). What mattered was delivering features to users. Everything else, bullshit.
		- Following up on my <a href="http://scripting.com/2023/01/16/143731.html">GMail problem</a>, a <a href="https://github.com/scripting/Scripting-News/issues/248#issuecomment-1386247668">suggestion</a> that I delete all Google-related cookies turned out to be the cure. I once again have access to GMail from my main desktop computer. 
		- On owning a Tesla
			- I have a Tesla Model Y.
			- I will no doubt get a new EV in the next couple of years.
			- As I bought a new PC every year or so when they were new. 
			- But I wouldn't miss driving a Tesla now. 
			- It's like what <a href="https://www.youtube.com/watch?v=zMo36SfyQhw">Harry said to Sally</a> -- 
				- "When you realize you want to spend the rest of your life with somebody, you want the rest of your life to start as soon as possible."
			- That's how I feel about EVs. It's like driving an amusement park ride every time I go out. I deserve this.
	- January 16
		- One timeline for each user. Lots of choice, but one timeline. And there has to be a basic agreement on what goes in that timeline. What are the elements of a message. A way to define more types, without going to a standards body, which always crush the individual in favor of the bigco's. Something minimal, orderly, easy to document, lots of example code. Once I get finished with the new FeedLand release, I want to work on this. 
		- The WordPress user interface must be seen as a platform, a command line, and much higher level writing tools built to run on it. It should be possible to never see the UI of WordPress except for configuration and global settings, much the way you have <a href="http://scripting.com/images/2023/01/16/systemPreferencesMac.png">System Preferences</a> on a Mac. This is why blogging software has languished. The software we use for blogging must fit into the One Timeline paradigm, above.
		- When I think of obvious missing tech products, I can’t do most of them, because as soon as the idea gained traction as a product it would be taken over by a big company, partly because users prefer that. So a lot of gaps never get filled. That’s the lesson from twitter shutting down the clients again. It isn’t just twitter, you as an independent developer, can’t step into any platform vendor’s territory, they will eventually take away your business.
		- If Google  succeeds at burying the open web, we'll create a new open easy to write for web that Google doesn't own. In my <a href="http://this.how/googleAndHttp/">piece</a> about this I suggest we should just use the web since it already does what we will ultimately need. There will be too much creativity locked up behind Google's blackmailing, and it has an easy way to escape, we just need to create a new open web. TBL showed us how to do it, we'll just do it again.
		- Debuggers and internal docs
			- Developers who don't use debuggers limit the complexity of code they can create.
			- If you don't document the inner working of your software you will break things unnecessarily, if you're the one who's working on it.
			- If someone else is working on it, they'll beg to be allowed to rewrite your code so they can understand what's going on.
		- Gmail shut me down
			- Last night while I writing some stuff Gmail said it detected that my computer was sending some kinds of unspecified messages, and they were concerned about it, so they logged me off. I could still check my email on my other systems. I tried to go through the "prove this is you" process, but when it said it had sent a message to my phone, no message arrived. When I got to that place on other systems, the message did arrive on my phone. 
			- I reviewed my account on Google, everything looks fine. The phone I have hooked it up to is an Android. I have a backup email address connected to my account. 
			- I changed my password, and re-logged-in on my various other systems, everything worked, but not on my desktop. The problem is -- no confirming message ever appears on my phone, or anywhere else I can read my Google chat messages. 
			- Their help system is unhelpful, they keep telling me things I already know and have tried. I can live without accessing Gmail from my desktop because oddly while Gmail won't work with Chrome, it works fine with Safari. But there are often links in my emails and when I click on them the pages open in Safari. So this is very disruptive to my workflow. I'd rather still use Chrome on my desktop because everything is set up to work there. 
			- If you have any ideas please <a href="https://github.com/scripting/Scripting-News/issues/248">post a note here</a>. <i>Thanks!</i>
			- Near the end of the day, still can't get GMail to open on my desktop. I've had it try to send me a security message to my Android phone, without luck. I've quit ever app, removed every extension to Chrome, still no luck. 
	- January 15
		- A new <i>this.how</i> doc: <a href="http://this.how/nobreakage/?permalink=20230015164932">Rule 1 means no breakage</a>.
		- My local network is <a href="https://www.youtube.com/watch?v=7KCaXLn14kw">incredibly slow</a> at Mac-to-Mac file transfers. 
		- This <a href="https://thehill.com/homenews/sunday-talk-shows/3814002-gop-rep-us-defaulting-on-national-debt-a-real-threat/">debt limit bullshit</a> happens only when a Democrat is president.
		- One of the pioneers of an <a href="https://en.wikipedia.org/wiki/Zettelkasten">idea</a> called <a href="https://www.google.com/search?q=zettelkasten+arno+schmidt">zettelkasten</a> was <a href="https://en.wikipedia.org/wiki/Arno_Schmidt">Arno Schmidt</a>, who also happens to be <a href="https://www.google.com/search?q=site%3Ascripting.com+%22arno+schmidt%22">my great uncle</a>. Quite independently, just before he died, I started working on <a href="http://scripting.com/dwiner/outlinersProgramming.html">software</a> that makes it work without the index cards, on a personal computer.
		- I want an AI to read my web archive and create an auto-zettle for me. It seems Google should already have this. I bet they do. 
		- Bingeing report. I watched <a href="https://www.metacritic.com/tv/band-of-brothers">Band of Brothers</a> all the way through. It's good, but I had forgotten how bloody it is. Since I was in that mode, I watched <a href="https://www.metacritic.com/movie/all-quiet-on-the-western-front-2022">All Quiet on the Western Front</a> on Netflix. Same idea, with 2020's production, a different war, and from the other side. I think the next thing will be <a href="https://www.metacritic.com/movie/they-shall-not-grow-old">They Shall Not Grow Old</a> on HBO. I think an AI could have plotted this path for me. 
		- FeedLand roadmap
			- There's a lot of new stuff here and I don't go into great detail. There is a link to a place to comment or ask questions at the <a href="#a161849">end</a>.  
				- FeedLand is a feed management system for individuals and groups. So far it's only been offered as a free service on the web. This roadmap explains how that will change.
				- The next version will by default <i>not</i> use Twitter for identity. When you sign up you'll specify both a name and an email address. Both must be unique. An email confirms. Click the link and you're sent back with the credentials your browser needs to access your account. The usual dance. 
				- I do not plan to transition <a href="http://feedland.org/">feedland.org</a> to work this way. Recall that we haven't been accepting new members since December 12. Everyone who uses it has a Twitter identity and it's working, and I don't want to screw with that. As long as Twitter is willing to let us use their identity service, we'll keep using it on this server. 
				- Here's the big news: The new FeedLand server software will be available as open source, so anyone will be able to run a FeedLand instance. It's a Node.js application. Uses <a href="https://en.wikipedia.org/wiki/MySQL">MySQL</a>. You may want to hook up an <a href="https://aws.amazon.com/pm/serv-s3/">S3</a> bucket for special features like RSS feeds for Likes. At first email sending will be via <a href="https://aws.amazon.com/ses/">Amazon SES</a>, the method I currently use. It will be possible to plug in new drivers to use other email services. 
				- The open source model is <a href="https://wordpress.org/about/license/">WordPress</a> which uses GPLv2. I want to make it as easy to set up a FeedLand instance as it is to start a new WordPress server. 
				- People can set up commercial services to host FeedLand for individuals and groups. Every instance is set up to do that. 
				- It's efficient software. I'm spending about $25 a month to host feedland.org for almost 1000 users. 
				- The client, which runs in the browser, will <i>not</i> be open source. I don't want to spawn a bunch of incompatible forks. I want FeedLand and its API to be solid. By maintaining control of the client, which btw need not be the only client, I can help be sure that we're starting a developer community with some basic rules about interop. If you want to run FeedLand it has to behave like FeedLand. I've been down this road and watched others go down this road. I think this is the right way to start. 
				- Typical use-cases: A university department maintaining a FeedLand server to gather new writing from other departments at other universities on topics of interest.  Workgroups at companies. It would make a lot of sense for a news org to offer a FeedLand service to readers and their internal news writing staff. 
				- I don't have dates for any of this. But at this point the path is pretty certain, so I felt it was time to say where FeedLand is going. 
			- On Friday I posted an earlier version of this roadmap on the <a href="https://github.com/scripting/feedlandSupport/issues/166">FeedLand support</a> repo. I'm sure there will be other changes to this document as we go forward. 
			- If you have comments or suggestions, you can post them as <a href="https://github.com/scripting/feedlandSupport/issues/166">comments to Friday's post</a>. Comments must conform to our <a href="http://guidelines.scripting.com/">guidelines</a>. 
	- January 14
		- Today's song: <a href="https://www.youtube.com/watch?v=JgPr-sd7eKg">Something So Right</a>. 
		- I don't use WordPress very much, but recently I had a chance to try out the <a href="https://wordpress.org/support/article/wordpress-editor/">block editor</a> and my reaction was that I can't imagine writing this way. If you're a writer who uses WordPress, do you use the block editor, if so <a href="https://twitter.com/davewiner/status/1614261301466865664">what do you think</a> of it?
		- I have the 2015 MacBook Pro running now. It took a lot of iterating to get the right version of the OS running on the machine and to then restore a Time Machine backup on the machine without having one or more extra accounts on the machine. One thing I will never understand is why Macs are so slow at transferring stuff over a local wifi network. All the advice on the net says you need to use faster wifi, but my wifi is very fast. Here are <a href="http://scripting.com/images/2023/01/14/speedtestresults.png">speed test results</a> communicating with a server in NYC, about 100 miles away. Why is it so much faster to communicate with that server than it is to communicate with a laptop that's in the same building? 
		- I've started listening to <a href="http://feedland.org/?feedurl=https%3A%2F%2Fwww.omnycontent.com%2Fd%2Fplaylist%2Fe73c998e-6e60-432f-8610-ae210140c5b1%2F4cab918b-b4e7-4a21-8300-aec3011bf3f1%2Fe7682aaf-443f-41d8-945f-aec3011c5127%2Fpodcast.rss">Keith Olbermann's podcast</a> again. It's worth another listen because he's explaining why news is like it is, from the point of view of someone who was an insider for years. 
		- When I first started using Mastodon <a href="http://scripting.com/2022/11/07.html#a233839">late last year</a>, like so many others I had questions about what it is, how it works, what is ActivityPub, does it have an API, where is this going, will the BigCo's try to take it over, stuff like that. In the past when new markets appeared, like the personal computer, desktop publishing, the web -- there were always publications that grew up along with the platform, because there's such demand to know about the latest developments. I contacted my friend <a href="https://mastodon.social/@jeffjarvis/109682144184951137">Jeff Jarvis</a>, who teaches journalism at CUNY to ask if there was interest in one of their students forming a news site to gather news of the Mastodon world. He liked the idea and now they've taken the next step. They're offering a full scholarship to their "100-day, online certificate program that helps creators establish their own enterprises to serve specific communities/markets." Apply by Feb 3 <a href="https://www.journalism.cuny.edu/j-plus/entrepreneurial-journalism-creators-program/">here</a>. 
		- Defaulting, explained simply
			- Anyone who can understand the rules of baseball or football, who can play poker or Monopoly, can understand the rules of defaulting.
			- If the US were to default the same thing would happen to the US that happens to a person if they fail to make a payment on a loan. 
				- Foreclosure, the lender seizes assets to cover the default.  
				- Your credit rating goes down and cost of borrowing goes up. 
			- Today, before default, the US defines what money is. If we create a dollar that's worth a dollar. No other country has this power.
			- The world lets us do this for them because a dollar is considered the safest way to store value. That's why the US dollar is the world's dominant <a href="https://en.wikipedia.org/wiki/Reserve_currency#United_States_dollar">reserve currency. </a>
			- However if we default, there goes the safety. It's gone, and that kind of trust, built over <a href="https://www.smithsonianmag.com/sponsored/alexander-hamilton-debt-national-bank-two-parties-1789-american-history-great-courses-plus-180962954/">hundreds of years</a>, once lost will never come back.
			- Then we really will be as poor as the oligarchs want us to think we are.
			- So, why are the oligarchs who own all our sources of news, willing to let a default actually happen? I think it's a good chance it's due to inbreeding, narcissism, stupidity, selfishness and resentment. They don't believe they will suffer personally if the US turns into an economic basket case. Maybe they won't. For sure, that's <i>all</i> they care about. 
			- I keep waiting for a news article that doesn’t gloss over the real impact of defaulting. If news were run like journalism this would be the horserace of the millenium. A story with a billion angles. We'd all tune in every night to hear how bad it'll be. But they clearly aren't interested in that. They're interested in keeping their jobs. That probably also explains why we're not responding to the climate crisis or the pandemic. 
	- January 13
		- As many people noticed, the <a href="http://scripting.com/email/">nightly emails</a> didn't go out last night at midnight. The theory they had was that it had something to do with the reported <a href="https://techcrunch.com/2023/01/12/third-party-twitter-apps-tweetbot-twitterrific-echofon-down/">outage</a> at Twitter. Only <a href="https://www.dictionary.com/browse/tangentially">tangentially</a>. The cause was a <a href="http://scripting.com/?tab=links">linkblog</a> item <a href="http://scripting.com/images/2023/01/13/nolink.png">without a link</a>. The mail-sending software had never encountered such a thing before, and it turns out there was an assumption that all linkblog entries would always have links. So the software lost its mind and went boom. Easy to find, the error message and <a href="https://en.wikipedia.org/wiki/Stack_trace">stack crawl</a> were the last thing in the log. Adding a protection against such a situation was also easy. This is how software gets mature. Sooner or later every weird case shows up and hopefully it will be patched well and documented, so next time it happens the email goes out as it's supposed to. This is all part of the "It's even worse than it appears" philosophy of Scripting News. And, how was this related <i>tangentially</i> to the outage at Twitter? Well that's what the stupid linkblog entry was about. As <a href="https://www.youtube.com/watch?v=X8VSSdteKqM">Maude used to say</a> "God'll get you for that Walter." In this case <a href="https://all-in-the-family-tv-show.fandom.com/wiki/Walter_Findlay">Walter</a> is me and god is the Software God. 
		- <a href="http://scripting.com/davenet/2000/09/15/whatIsOpenSource.html">2000</a>: "Programmers pray to the Software God, Our Lord Murphy, the one who makes sure that anything that can go wrong, does."
		- <a href="https://blog.iconfactory.com/2023/01/state-of-the-twitterverse/">Iconfactory</a>: "Last night at about 7:30pm PST, Twitterrific customers started reporting problems accessing Twitter via the iOS app."
		- An RSS OS
			- What if you built an operating system around RSS?
			- FeedLand is going down this path. 
			- Feeds are so easy to work with in FeedLand, I want to build all the features with RSS now.
			- BTW -- I am not leaving outliners and OPML behind. 
			- There's a small <a href="http://source.scripting.com/#1405176800000">feature</a> tucked away in the <a href="http://source.scripting.com/">Source namespace</a> that allows an RSS item to be an outline. 
			- A global network of outlines moving at the speed of RSS.
	- January 12
		- Medium gets Mastoicized
			- It was smart for <a href="https://techcrunch.com/2023/01/12/medium-embraces-twitter-alternative-mastodon-with-launch-of-its-own-community/">Medium to embrace Mastodon</a>.
			- It gets people talking about Medium again.
			- What comes next? Setting up a Masto-instance is easy. 
			- Will Substack, who stole Medium's thunder, be <a href="https://www.google.com/search?q=substack+mastodon">next</a> to embrace Mastoicism?
			- Maybe Mastodon will become WordPress? Just support Markdown and get rid of the character limit and Masto is almost there. 
			- I spend a lot of time every day using Mastodon and use WordPress only when i'm testing for compatibility with WordPress. Mastodon is much closer to what I think a centralized blogging host should be.
			- I keep wondering how this will evolve. 
			- Meanwhile I'm working every day on <a href="http://feedland.org/?username=davewiner">FeedLand</a>. Quietly. :smile:
			- One thing is for sure -- <a href="https://en.wikipedia.org/wiki/ActivityPub">ActivityPub</a> is complicated.
			- It would be a very hard job I imagine to make Medium an ActivityPub node. 
			- I'm not sure ActivityPub gets you all that much, btw.
			- I'm still betting heavy on RSS, just enough syndication.
			- Just some random end-of-day thoughts.
		- Let RSS be RSS
			- TL;DR: RSS is how we move documents around the web. That it works so poorly is because the big social media companies want it that way. We need products and services with big installed bases to serve as <a href="https://en.wikipedia.org/wiki/Counterweight">counterweights</a> and help pull RSS out of corp-tech control.
			- How I got there...
			- Yesterday I <a href="http://scripting.com/2023/01/11.html#a175023">wrote</a> something provocative about <a href="https://en.wikipedia.org/wiki/WordPress">WordPress</a>. 
			- HiMY SYeD read it, and <a href="https://mastodon.social/@HiMYSYeD@mstdn.ca/109662819679711900">commented</a>, on Mastodon: 
				- What Mastodon is to ActivityPub...
				- WordPress is to RSS.
			- My first response was:
				- Interesting analogy.
				- Something to think about.
			- After pondering a bit...
				- There are other products that could claim ownership of RSS -- like <a href="https://www.google.com/search?q=site%3Ascripting.com+%22Google+Reader%22">Google Reader</a>, which still controls the market almost 10 years after its demise.
				- And Twitter, by <i>not</i> supporting RSS is also a big definer of RSS, in a negative way.
				- I think we'll be on solid ground once RSS defines itself and the products get out of the way.
			- And I think that's the key point
				- RSS has never had a chance to be itself. 
				- Right from the start, all kinds of people and companies sought to own it. No one succeeded at that, but each of them diluted it, added confusion, took some of its power away and gave back nothing in return. Very typical approach of tech to open tech they didn't create. 
				- Until we can get RSS leading, as itself, and not being carved up and controlled, we won't really have a good way of moving documents around the web, which is what RSS is for, btw, imho. 
				- All the usual disclaimers apply.
			- PS: I hope people at WordPress read this. Right now they're in the best position to help RSS if they're inclined to do so. There aren't many companies I would credit with possibly wanting to do that. Slack was one, and Automattic is another. I still have to write the howto doc for what it would take for that to happen, subject to discussion of course. 
		- My new old Mac laptop
			- I got my 2015 MacBook Pro. Two problems to start.
				- It came with Mojave installed. I got this machine because the software I want to use specifically does not run on Mojave. I didn't realize this until after I had copied a huge number of files to the machine via Time Machine backup. I will have to do this again.
				- Today they're selling the same $600 machine <a href="http://scripting.com/images/2023/01/12/pricechange.png">on Amazon for $389</a>. I wish I had an idea what the price range was. I could have waited a few days. I thought $600 was a good deal, but it's a ripoff.
			- Anyway, so I thought this morning I'll just copy a High Sierra installer to the hard drive and run it, but Mojave won't run it. The app is there, but it's grayed out. Who knows why. Presumably it won't run on this machine. 
			- Next up I went into Recovery mode to install the OS that's in ROM, it was El Capitan. As the machine is rebooting after install it freezes with a totally cryptic error message. Here's a photo.  
			- A not very encouraging error message from my new MacBook.
			- After restarting, the message is gone. I found I couldn't restore from a Time Machine backup because it comes from a machine more advanced than El Capitan. So I then did the minimum to get the machine to boot up, went into the System Preferences app, turned on file sharing and copied an install app for High Sierra. It's running it now. 
			- Update: After a lot more bullshit work, I think I'm pretty close to having the laptop working the way I need it to. If so, I will be able to travel and still keep up with my development projects. 
	- January 11
		- Jeff Beck Group: <a href="https://www.youtube.com/watch?v=JqpclYuZabs">I Ain't Superstitious</a>. 
		- WordPress is in the way. I've avoided saying this because I like Matt, but at some point, it being in the way has to win out. And since when do I not say something because I like the person who made it. It's in the way. I would like to see it move out of the way. I will write a piece soon explaining how they could, and should, do that. 
		- <a href="http://scripting.com/images/2023/01/11/fsdscreen.png">Today</a> I got the <a href="https://www.tesla.com/support/autopilot">FSD beta</a> for my Model Y, and of course I tried it out, very carefully. And I can validate that it did try to do the worst thing at the worst possible moment. Luckily I have always been a nervous passenger and I wasn't about to trust a bot this much. I intervened at the first sign of trouble.
		- Even though I have far fewer followers on Masto, I get much more engagement there than on Twitter. Has it been productive? Hmmm, not sure about that. But I have hope that it will result in collaboration.
		- <a href="https://www.facebook.com/dave.winer.12/posts/pfbid02nQaDhnL4oBMPNvyT9gVQhd893DRntRZsoVFmNtYApmx5GHFe4Rogm9TUUSKYP7t7l">2015</a>: "In order for the open web to flourish again, there have to be tools and services that are open that are more useful than the ones we use in the silos."
		- I watched two movies up for Oscars, and found little to recommend either. The <a href="https://en.wikipedia.org/wiki/The_Banshees_of_Inisherin">Banshees</a> movie is supposed to be a comedy of sorts but it was so painful to watch, not much room for laughter. And I guess I didn't really watch the <a href="https://en.wikipedia.org/wiki/The_Fabelmans">Fableman</a> movie, walked out after the opening scene. Spielberg's movies have declined into self-obsession. He thinks we're so freaking stupid and he's so freaking wonderful. Come on man do another <a href="https://en.wikipedia.org/wiki/Jaws_(film)">Jaws</a>. Now <i>that</i> was a movie. One thing I got from Banshees is that the Irish say <a href="https://en.wikipedia.org/wiki/Feck">fecking</a> and I wonder if it means what I think it means. Anyway, I'm looking for something great to watch, and have fallen back to re-watching <a href="https://en.wikipedia.org/wiki/Band_of_Brothers_(miniseries)">Band of Brothers</a>. It's been so long since I last watched it that it seems pretty fresh. I long for that kind of story-telling, but they don't seem to make shows like that these days.
		- <a href="https://twitter.com/JamesCorbett/status/1613216047598911488">James Corbett</a>: Fecking is used a bit like <i>frack</i> in Battlestar Galactica, with a more limited range of application. And isn't really used in real life the way it is in movie versions of Ireland.
		- Can't get <a href="https://en.wikipedia.org/wiki/Still_Crazy_After_All_These_Years_(song)">Still Crazy After All These Years</a> out of my mind. Such a sad <a href="https://www.youtube.com/watch?v=Q5Eoax6I-O4">song</a>. Written by Simon when he was 34, but it seems written from the perspective of a person my own age. Best line: "Longing my life away."
		- I still love my Tesla
			- I bought my Tesla before people got all crabby about it. 
			- And no just because you don't like Elon Musk I'm not going to walk away from a $70K purchase of a product that I absolutely adore. 
			- Every time I drive my car I feel like it's a huge privilege to drive it. 
			- I know of no other product that makes me feel that way.
			- And yes I think Musk is an asshole too and a danger to our civilization.
			- But then I actually <a href="http://scripting.com/2017/01/14/whatIfTwtrIsBoughtByARepub.html">warned you all</a> that someone like Musk could buy Twitter, and you didn't listen.
		- How you know you're gaslighting
			- You're <a href="https://en.wikipedia.org/wiki/Gaslighting">gaslighting</a> when you tell another person how they feel about something. 
			- If I see myself doing that, I hit the brakes hard, and go for a walk and think about it. And over time I've trained myself not to believe I know how other people are feeling. 
			- Esp people who I only know from reading their emails or blog posts.
		- A sad truth
			- A sad truth for all the holier-than-thous is that we <i>all</i> use products made by evil companies <i>all the fecking time.</i>
			- I bet you bought something made by <a href="https://en.wikipedia.org/wiki/Exxon_Valdez_oil_spill">Exxon</a> in the last week.  
			- They might have created a name of a company that makes you think you're not buying from an <a href="https://mrrobot.fandom.com/wiki/E_Corp">evil corp</a>, but that's just marketing. 
			- If you think you're fighting back against The Man by giving grief to a fellow human being, hmm, no.
			- Please have a nice day. :smile: 
	- January 10
		- <a href="https://www.facebook.com/dave.winer.12/posts/pfbid0vprNpfNPHpdXbBzJamSrftU1FXguRDNQXk2DgwZXAujeuxDpxLkDvpDUeqpdcvcyl?__cft__[0]=AZWSYJdQOliEcg8ZiyqwtfwCYlmI5PPAna0sTlEMCIwpKQWE6ryxtzeSq77gSvBC4Gt1iALHXWVAsMia9N8D4RLvVMkabaKuWt2AkNdccnqUamGnbIOULTh0Di5MGo__qOSXV_6fTRshLShjM9pOW280&__tn__=%2CO%2CP-R">2018</a>: I have a new motto --  if the world is going to end, I might as well have some nice headphones.
		- I'd like to have a personal social net that's coffee house size. Play a few tunes, have a couple of drinks, tell a few stories, and come back tomorrow and the night after that. There's a bouncer at the door so if you come in all nasty and shit, we kick your ass out.
		- The thing that makes a movie great is suspension of disbelief. If you get into the story, the movie is good. If you are still in the story the next day, it's great.
		- I can't get too worked up over the bomb throwers running committees in Congress, considering we had a bomb thrower in the White House for four years, this seems relatively easy. 
		- His mom must be proud
			- <i>asshole. </i>noun, vulgar. <a href="https://www.dictionary.com/browse/asshole">a stupid, mean, or contemptible person</a>. 
	- January 9
		- FeedLand: <a href="https://github.com/scripting/feedlandSupport/issues/164">Change in how "Add a few feeds" works</a>. 
		- Same way I want news to be unbundled, I dont care which service a show or series is on. I pay a lot for the services I subscribe to, but there are still shows I want to see that I can’t and some services I pay for that I almost never watch shows on.
		- Programming is rough when you were prepared to work on hooking up the sound system in the penthouse on the 173rd floor, and instead you have to work in the basement where the boiler is spewing all kinds of crap, but you're not clear if it was always doing this and you're just seeing it now because now you're listening. 
		- In my first job out of college I was in a similar situation and I thought to myself they shouldn't put programmers in offices on the 39th floor of the <a href="https://en.wikipedia.org/wiki/Empire_State_Building">Empire State Building</a> with <a href="https://bigapplewindowcleaning.com/this-is-how-the-empire-state-buildings-windows-were-once-cleaned/">windows</a> that open. I found that thought both disturbing and comforting. I guess I figured out the problem, because I'm still here 47 years later. :boom: 
		- Developers: If you ever want to know how "FeedLand" parses a feed, you can do it with the <a href="https://github.com/scripting/reallysimple/tree/main/demos/feeder">Feeder app</a>. Here's a <a href="http://feeder.scripting.com/returnjson?feedurl=http://laughingsquid.com/feed/">link</a> that shows you what FeedLand gets when it reads the Laughing Squid feed.  
		- Re yesterday's <a href="https://github.com/scripting/Scripting-News/issues/246">braintrust query</a>, I may be getting closer to understanding where the <span style="font-size: 17px">ER_CON_COUNT_ERROR</span> errors are coming from. 
		- Likes considered harmful?
			- On <a href="https://micro.blog/">Micro.blog</a> there's a <a href="https://retrodivergent.com/2023/01/07/the-problem-with.html">debate</a> about whether Likes are harmful. 
			- Some of my observations from the thread, all in favor of Likes. 
				- The Like button on various systems is a way of acknowledging that you saw something and thought it was noteworthy. Since micro.blog doesn't have a Like button, what's the proper way of saying that? 
				- As a person who writes posts that get zero response here (and not on other systems) I wish people had a less-committed way of saying they saw something I wrote. That would be a little bit of feedback where currently I get none.
				- If I see something on Micro.blog that I would Like on another system, I don't comment, I just do nothing, not because I'm bashful or overly quiet, rather because this is a language, and a comment has different meaning from a Like. 
				- In real life there's all kinds of non-verbal communication. you can nod your head, smile. We've come up with a similar language online, I don't think there's any more meaning in this. We're being human. Not a huge surprise.
				- Here's a parallel. My TV doesn't have a brightness control. It's an expensive screen, and I imagine that the designers of the system figured "we have a computer in this that knows how to automatically adjust brightness based on room light." But it doesn't work properly, I don't know what the problem is, but there are times the TV is useless because you just can't see what's on the screen, because the lack of a brightness control. Maybe if TVs never had brightness controls I wouldn't miss it, but they do in my mind, require one. Same thing here. <i>Like</i> is something that's part of the language of social media. To try to deny that at this stage is kind of pointless imho.
				- I've been in this position myself in the past, trying to buck a larger trend, and the pressure really does get you to support the common way, the sooner you do it, the sooner the pain goes away. 
			- BTW, "considered harmful" is borrowed from a famous <a href="https://homepages.cwi.nl/~storm/teaching/reader/Dijkstra68.pdf">letter</a> by <a href="https://en.wikipedia.org/wiki/Edsger_W._Dijkstra">Edsger Dijkstra</a> entitled "goto statement considered harmful."
		- We have Likes in FeedLand.
			- When you Like something in FeedLand it is added to two feeds:
				- A Like feed for all FeedLand users.
				- A Like feed for the person who did the Like.
			- This is <a href="http://data.feedland.org/likes/davewiner.xml">where</a> my personal Likes feed is. 
			- And the feed for all <a href="http://data.feedland.org/likes/all.xml">users of my FeedLand</a>. 
	- January 8
		- I bought a <a href="https://www.amazon.com/gp/product/B082XG7VBP/ref=ppx_od_dt_b_asin_title_s00?ie=UTF8&th=1">2015 Mac laptop</a>, used, for $600 via Amazon. I need it because I use "Frontier" as an integral part of my development process, all my build scripts run in Frontier, and while they could be converted to JavaScript, they'd be more complicated and it's a lot of work, and it's worth spending $600 to save all that work. Someday I want to do it because I'd like to use Drummer and its built-in scripting language for the same purpose. I learned a lot about why people choose older Macs. It reminds me of <a href="https://en.wikipedia.org/wiki/Fender_(company)#Sale_to_CBS">pre-CBS</a> Fender guitars, which still sell at a <a href="https://www.ebay.com/sch/i.html?_nkw=Pre-cbs%20Fender%20Guitars&norover=1&mkevt=1&mkrid=711-153677-346401-4&mkcid=2&mkscid=102&keyword=&crlp=632052376936_&MT_ID=&geo_id=&rlsatarget=dsa-1456167871416&adpos=&device=c&mktype=&loc=1023511&poi=&abcId=&cmpgn=18786426719&sitelnk=&adgroupid=144636292002&network=g&matchtype=&gclid=CjwKCAiA8OmdBhAgEiwAShr403s3aqhTbcuAgTH_yfHqEEFmps2tzdZFrHidJRllPpY8VuLIH0mcYRoCf2IQAvD_BwE">premium</a>, even though Fender sold to CBS in 1965. Maybe Macs peaked? Anyway -- I should get the "new" computer next week, and I'll let you know how it goes. BTW, my main desktop, the one I'm writing this post on, is a <a href="http://scripting.com/images/2023/01/08/macAboutScreen.png">2017 iMac Pro</a>. I love the machine. I hope it works forever.
		- <a href="https://github.com/scripting/Scripting-News/issues/246">Braintrust query</a>: I've got a problem with an app that uses the MySql package in Node running on a Mac. I'm getting a <span style="font-size: 17px">ER_CON_COUNT_ERROR</span> pretty close to startup. I'm taking the message at face value but it's hard for me to believe it's true that my app is making too many connections because I just doubled the max connections from 100 to 200 and still got the error on the very first query it tried to make. The problem goes away when I reboot the machine, but only for a little while, eventually it starts doing this again. This is in an app that has been running without these kinds of errors for months. I haven't tried running the app yet on another machine, but I'm beginning to think this is a not-resolvable issue. I thought I'd pass it by the SQL gurus that read this blog on how to debug this.
		- Ads on Twitter
			- The ads on Twitter are better.
			- Already today I've considered buying something an ad was selling.
			- I saw an HBO ad for a <a href="http://scripting.com/2023/01/05.html#a175850">movie</a> I just watched and loved, it reminded me that I loved it. Excellent brand advertising.
			- And one taught me something I won't forget.
			- <a href="http://scripting.com/stories/2008/11/13/onlineAdvertisingIsNowDead.html">2008</a>: Perfectly targeted advertising is just information.
	- January 7
		- A <a href="http://xmlrpc.com/storyreader/story2198.md">MetaWeblog API</a> ==> ActivityPub gateway in Node.js would be just the thing. 
		- Winning Time
			- I really like <a href="https://en.wikipedia.org/wiki/Winning_Time:_The_Rise_of_the_Lakers_Dynasty">Winning Time: The Rise of the Lakers Dynasty</a>. 
			- Almost finished with the ten episodes of Season 1 on <a href="https://www.hbo.com/winning-time-the-rise-of-the-lakers-dynasty">HBO Max</a>. 
			- I like it for a bunch of reasons.  
				- I like <a href="https://en.wikipedia.org/wiki/John_C._Reilly">John C. Reilly</a> who plays <a href="https://en.wikipedia.org/wiki/Jerry_Buss">Jerry Buss</a> the new owner of the Lakers when the season starts. He also btw is really good at audiobooks. I'd listen to any book he <a href="https://www.audible.com/search?searchNarrator=John+C.+Reilly">narrates</a>. He's Mr Affability. And perfectly cast for the role of Buss.  
				- I like the style, it's a little weird at first, but it's clever, and they break the <a href="https://en.wikipedia.org/wiki/Fourth_wall">fourth wall</a> a few times, to good effect. 
				- I like that the style reminds me of one of my favorite movies, <a href="https://www.youtube.com/watch?v=9rFx6OFooCs">Any Given Sunday</a>, also a sports movie.
				- I like sports movies/shows. And I especially like basketball. It's my favorite sport.
				- I like the story how <a href="https://en.wikipedia.org/wiki/Pat_Riley">Pat Reilly</a> became the coach of the Lakers and led them to dynasty. 
				- I like how Kareem became friends with Magic. 
				- I like that the guy who played <a href="https://en.wikipedia.org/wiki/Spencer_Haywood">Spencer Haywood</a> is the same actor who played <a href="https://en.wikipedia.org/wiki/Avon_Barksdale">Avon Barksdale</a> in <a href="https://en.wikipedia.org/wiki/The_Wire">The Wire</a>. 
				- I like that <a href="https://en.wikipedia.org/wiki/Sally_Field">Sally Field</a> plays Jerry Buss's mother! She's awesome as always.
				- I like all the actors and roles. That's unusual. With such a huge cast you'd think there would be one impossible to watch character, but no, they're all interesting. 
				- I like that they will have lots of potential seasons, next up <a href="https://en.wikipedia.org/wiki/Phil_Jackson">Phil Jackson</a> and how he became the next dynastic coach of the Lakers. And don't forget <a href="https://en.wikipedia.org/wiki/Kobe_Bryant">Kobe</a> and <a href="https://en.wikipedia.org/wiki/Shaquille_O%27Neal">Shaq</a> who probably won't show up until Season 3 or 4. 
			- I gave it the highest rating <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fwinning-time-the-rise-of-the-lakers-dynasty">on Bingeworthy</a>. It didn't get great reviews. When I finish it, I'll read some of them to see what I missed. ;-)
		- The New York Times
			- <a href="https://au.news.yahoo.com/rampage-in-capitol-newspapers-mark-historic-day-for-america-095905249.html">TRUMP INCITES MOB</a>, 1/7/2021.
	- January 6
		- We still need a simple user-facing <a href="http://scripting.com/2017/01/05/itsTimeToThinkOfTheUsers.html">storage system</a> that apps can be given access to via OAuth. All the hard stuff like assigning a domain is done via the user interface. Cost per month about what Dropbox costs.
		- <a href="https://tantek.com/2023/005/t3/indieweb-simpler-approach">Tantek is right</a>. Read every word in this piece. The only thing I'd change is calling this "IndieWeb" -- which is imho redundant. It's like saying "WetRain." Everything he says that applies to "Indie" applies to the web as a whole. Otherwise, right on.
		- <a href="https://twitter.com/davewiner/status/817408935221227520">2017</a>: "We're worse than stuck. Twitter hasn't moved in a decade. Google owned then abandoned RSS readers. Facebook smothered linking."
		- Today we remember the <a href="http://scripting.com/2021/01/06.html">January 6, 2021</a> attack on the US Capitol, as part of an attempt to overthrow the government of the United States. 
		- Soviet Union
			- <a href="https://www.reddit.com/r/PropagandaPosters/comments/nssq65/make_way_for_corn_soviet_union_1960s/">Make Way for Corn</a>, 1955.
	- January 5
		- <a href="https://mastodon.social/@hrheingold/109639552892763915">Howard Rheingold</a>: "I'm appreciating FeedLand -- I decided to follow everyone who follows me [on Mastodon]. I can add the feeds of a few dozen people I want to pay closer attention to under my Mastodon or News categories. Mastodon for the raw feed, Feedland for the curated feed. Once I went through it, the process was clean, straightforward, quick."
		- Here's HR's <a href="http://feedland.org/?river=true&screenname=hrheingold&catname=mastodon">news page</a>. 
		- <a href="https://github.com/scripting/Scripting-News/issues/245">Braintrust query</a>: I'm thinking about getting a refurbished Mac laptop. I seem to remember there was a point at which Mac laptops started sucking. Is it safe to buy a <a href="https://www.amazon.com/Apple-Macbook-MJLQ2LL-15-inch-Processor/dp/B07ZFZ33SK/ref=sr_1_3?crid=Z9YH82KC98CP&keywords=mac%2Blaptop%2B2015&qid=1672943328&sprefix=mac%2Blaptop%2B2015%2Caps%2C87&sr=8-3&th=1">2015 Powerbook</a>? I need to be able to run "Frontier" on it, that's why I can't buy a new one. 
		- My <a href="http://feedland.org/opml?screenname=davewiner">OPML subscription list</a> via FeedLand. 
		- I'm now setting up a second FeedLand instance, this one for me personally. Learning what it takes to set one up and smoothing things out. Taking lots of notes. Found a few bugs, but not many. Surprising how little breakage there has been between Instance0 and Instance1. 
		- If you've been reading this blog since the beginning you know about <a href="https://www.google.com/search?q=site%3Ascripting.com+%22fractional+horsepower%22">Fractional Horsepower</a> servers. It's an important idea. That software you think of as running on huge servers in the cloud also can be deployed on much smaller systems, including behind a firewall on a personal computer. <a href="http://scripting.com/images/2021/08/15/radioUserLandScreenShot.png">Radio UserLand</a> was a server that ran on the desktop, yet very few users knew that. It just ran in the browser, there was a little cloud component to act as a proxy, to do the kinds of things you can't do from a desktop. 
		- I wasn't very entertained with <a href="https://www.metacritic.com/movie/the-menu">The Menu</a> on HBO but now I find myself thinking about <a href="https://en.wikipedia.org/wiki/The_Menu_(2022_film)">it</a> a lot, not deliberately. Weird. So I watched it again, and on the second viewing it came together. I've had a similar experience with <a href="https://en.wikipedia.org/wiki/There_Will_Be_Blood">There Will Be Blood</a>. I didn't like it on the first viewing, but watched it again, and it became one of my favorite movies. 
	- January 4
		- <a href="https://www.metacritic.com/tv/for-all-mankind">For All Mankind</a> is incredibly lame. There is one moment where there's a bit of <a href="https://www.metacritic.com/tv/the-expanse">The Expanse</a> feel to it, when the daughter is docking with the big ship. I thought "yes that's what this could have been." It gets a turd rating on my <a href="http://my.bingeworthy.io/davewiner/">Bingeworthy list</a>.
		- What's cool about watching the Speaker rollcall for the fourth time is that we get to review the sheer size of the House, hearing the name and voice of every member. It's real, a new kind of programming. 
		- I want to find "Drummer" or "FeedLand" users who are on <a href="https://micro.blog/">Micro.blog</a> so I can follow. If you see this please send me an email. Thanks! 💥 
		- <a href="https://twitter.com/Cavalorn/status/654934442549620736">2015</a>: 'I never thought leopards would eat MY face,' sobs woman who voted for the Leopards Eating People's Faces Party.
		- I can't stop watching <a href="https://twitter.com/JuliaDavisNews/status/1609719192596381696">this video</a>. I want to know who each of the performers are. And the stories of each of the soldiers. I have a favorite, but they're all fascinating. I have a lot of Russian blood, my grandparents spoke Russian to each other. I could see a TV series like <a href="https://www.metacritic.com/tv/lost">Lost</a> based on the characters in the video.
		- I tuned into a <a href="https://en.wikipedia.org/wiki/Laura_Ingraham">Laura Ingraham</a> interview last night on Fox with one of the 20 reps who <a href="https://www.cnn.com/2023/01/03/politics/20-republicans-voted-against-mccarthy/index.html">voted against McCarthy</a>. His problem is that McCarthy works with Dems to do things that he ran against. What else could he do. Made sense, even though I don't support the things he stands for. 
		- I am in interop mode
			- Looking for products that can interop on the basis of RSS or OPML primarily. That's what I've invested in most heavily. 
				- FeedLand for RSS.
				- Drummer for OPML.
			- Though there is crossover. 
				- Drummer can read an RSS feed.
				- FeedLand products OPML feed lists.
		- Diego Rivera
			- <a href="https://www.thehenryford.org/collections-and-research/digital-collections/artifact/190925/">Edsel B Ford</a>, 1932.
	- January 3
		- Quick <a href="http://scripting.com/2023/01/03/questionAboutHttps.m4a">audio question</a> about https.
		- All of a sudden Twitter has wildly <a href="https://www.youtube.com/shorts/1nAk6W5cMbU">animated ads</a>.
		- It might be time for a new political party to form in the House. I'm pretty sure a majority of voters love watching the Repubs fight this way. I sure do. It's an actual bonafide horse race. They should keep doing this until the Republican Party explodes. 
		- I introduced a problem in "FeedLand" when <a href="http://data.feedland.org/changenotes/2022/12/28/162013.html">keyboard navigation</a> in the Feed List feature was added. Basically, if you had a <a href="http://feedland.org/?username=davewiner">Feed List</a> displayed, an "ask dialog" wouldn't receive your keystrokes, or it would appear to freeze. This dialog appears whenever FL asks for a string, for example to enter a string to search for, or to enter the URL of a feed to subscribe to. I believe I found the problem and fixed it. It's <a href="https://github.com/scripting/feedlandSupport/issues/163">explained here</a>. 
		- I'm interested in <a href="https://medium.com/@nkaurelien/how-to-create-a-read-only-mysql-user-226e8e49a855">read-only interfaces</a> to MySQL. 
	- January 2
		- It's amazing what AI can do <a href="https://twitter.com/JuliaDavisNews/status/1609719192596381696">these days</a>.
		- If you want to watch me update my blog outline you can do it <a href="http://scripting.com/code/testing/concordreader/?url=http://drummer.scripting.com/davewiner/blog.opml">here</a>.  It seems to update in real time. I must have written this thing, but I don't remember doing so. Looking at the JavaScript console, it's quite sexy, hooked into the websocket protocol supported by "Drummer", which is of course where I am editing this mofo. When I let up on the keyboard for a second or two it sends an update. It's not updating on every keystroke; that would be wasteful. It's fun to watch while I type in one window and watch the update in the other one.
		- I asked <a href="https://chat.openai.com/chat">ChatGPT</a> for a title for <a href="http://scripting.com/2023/01/01.html#a031124">this blog post</a> -- "A Blogger's New Year's Wish: A Place to Write, Edit, and Publish Without Boundaries."
		- BOTY 2022
			- Here's a Google search for <a href="https://www.google.com/search?q=site%3Ascripting.com+boty">BOTY</a>. 
			- After naming <a href="https://heathercoxrichardson.substack.com/">Heather Cox Richardson</a> as my BOTY for 2022 <a href="http://scripting.com/2023/01/01.html#a032915">yesterday</a>, I got a nice link <a href="https://twitter.com/JoeTrippi/status/1609884969765142529">from Joe Trippi</a>, a famous political campaign manager and a good human being, saying this means something, and that led to a nice thank you <a href="https://twitter.com/HC_Richardson/status/1609905737668468736">from Ms HCR</a> herself. Now I'm a nobody compared to her, but she was so gracious -- it made we wonder if grace is part of what makes someone a great blogger. 
			- When I think of great blogging I think of <a href="http://scripting.com/stories/2009/11/24/naturalbornBlogger.html">Julia Child</a>. She was on a mission to teach everyone who would listen about <a href="https://www.amazon.com/Mastering-Art-French-Cooking-Vol/dp/0375413405/ref=asc_df_0375413405/?tag=hyprod-20&linkCode=df0&hvadid=312061146391&hvpos=&hvnetw=g&hvrand=17119945012164616075&hvpone=&hvptwo=&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-435445841003&psc=1&tag=&ref=&adgrpid=60223809057&hvpone=&hvptwo=&hvadid=312061146391&hvpos=&hvnetw=g&hvrand=17119945012164616075&hvqmt=&hvdev=c&hvdvcmdl=&hvlocint=&hvlocphy=1023511&hvtargid=pla-435445841003">French cooking</a>. She would never miss an opportunity to praise someone for giving it a try. In the same way <a href="https://heathercoxrichardson.substack.com/">HCR</a> believes in American democracy, and that appears to be the source of her grace. It certainly is a consistent theme through all her posts, <a href="http://feedland.org/?feedurl=https%3A%2F%2Ffeeds.megaphone.fm%2FVMP8436744812">podcasts</a>, and the one book of hers that I have read. 
			- BTW, I used the word "sass" to describe some of her blogging. I was thinking about the way she talks about Thomas Jefferson. It's good. It says to me, a person who got a fairly standard education in American History from New York public schools, that these founders that we all iconify and think were so great, actually were people, and some of them were not beyond reproach, like Jefferson. That's the source of my use of the <a href="https://www.google.com/search?q=define+sassy">term</a> in yesterday's post.
		- TV relationships
			- I've been bingeing some highly rated but very mediocre TV series. What makes them so bad is how they present human relations. For example, it's very common for one character to approach another and ask "Are you OK?" with the clear implication that they are not. The person who is supposedly hurting, or sad, confused, troubled, about to die, grieving some horrific event (that we might know about) puts on a happy face and says "No everything's fine, what makes you think I'm hurting, sad, confused etc?" We know it's fake and so does the accuser. I imagine that a lot of people watching it think this kind of interaction is okay, but it's actually <a href="https://en.wikipedia.org/wiki/Gaslighting">gaslighting</a> which is a terrible thing to do to another person.
			- Another thing is how they portray romantic relationships. A wife is dancing wildly at a party. The husband grabs her and takes her home, and on the way back explains how embarrassing her behavior was to him. I want to yell at him -- hey who cares if you're embarrased. It has nothing to do with you. And she was having fun. I can imagine being married to you is pretty stressful. Etc etc. Or a young dude once gets to have sex with an older woman and is therefore obsessed with her for his whole life, even after he's married to a very nice age-appropriate woman. The way he describes his feelings might be the way an infant would describe their relationship with a caregiver. "Without you I can't live," he says. Sorry but that's bullshit. The baby is dependent. No matter how you feel, you <i>can</i> live without your age-inappropriate GF. 
			- I think about all the great shows I've binged many times and wish there were more out there. 
			- If you're interested, here are <a href="http://my.bingeworthy.io/davewiner/">my Bingeworthy ratings</a> for shows. 
			- If you see something that you think I would love, feel free to drop me an email. 
	- January 1
		- Happy new year and welcome to 2023. In tech we talk a lot about interop in software, but there is no interop in software without lots of interop between people, so start there. Open an invite to anyone you want to interop with, no matter what the history, let's work together to remove barriers to interop.
		- In that spirit, here's an open <a href="https://github.com/scripting/Scripting-News/issues/244">invitation</a> to developers at Automattic to learn how <a href="http://docserver.scripting.com/drummer/blogging.opml">blogging</a> works in "Drummer". It's very fluid, designed for writers. Does small and large posts easily, in the same data structure. I'll help. 
		- My wish for us, in the blogging world, for the new year. We'll know it's working if most people feel their best place to write is their blog, where the editing tools work just as they like them to, and there are no boundaries to where those ideas can be published.
		- My blogger of the year is <a href="https://heathercoxrichardson.substack.com/p/january-1-2023">Heather Cox Richardson</a>. Every day she teaches us something about what's happening, in a historic context. This is blogging at its best. If she has a business model it isn't in your face. She has something to add and she does it generously and with great expertise and sass. A role model for us all, and a perfect example of the blogging ethos and a perfect choice for my 2022 <a href="https://www.google.com/search?q=site%3Ascripting.com+boty">BOTY</a>.
		- The blog <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml/2022">archive for 2022</a> is now complete. 
		- I'm tired of typing into <a href="http://scripting.com/images/2023/01/01/tinyboxes.png">tiny little boxes</a>. 
		- Mastodon has a cute way to validate sites as being yours. If you put your masto address in the text of the site that's good enough. But it has to be HTTPS. Oh well. I think they get most things right at Masto, but the trying to force people to adopt HTTPS is selling out to <a href="http://this.how/googleAndHttp/">Google</a> and their thirst to own the web, which is imho not theirs to own.  
		- If you run a blog or other site, check your copyright notices. We're in a new year folks. For example the copyright notice on this blog should've changed. And then I realize there is no freaking copyright notice. I better <a href="http://scripting.com/images/2023/01/01/copyrightNotice.png">fix that</a>. Today is a day of fixing things.  
		- A new application for AI. Rate the humor level of a tweeted "joke" response. If people knew how unfunny their supposed jokes were they might think again before inflicting them on others. Better yet, score people on the quality of the jokes they actually post. Publish that score next to their number of followers. 
		- Requiring people to use one uppercase, one lowercase, one number, one special character in a password is bullshit. It doesn't make your password more secure. What it does is make it impossible to remember the password. 
		- I remember when I saw a product that expired after 2000 and thought that I had arrived in the future. Hah. It's 2023 now. That's just ridiculous. It's impossible that I actually have lived this long. It's all bonus from here-on-out.
		- In the new year, I miss my mother
			- Reading back over the archives of my Facebook posts, the <i>On This Day In</i> posts, it's the biggest gift when I can <a href="http://scripting.com/images/2023/01/01/iMakeMyselfLaughThanksToFacebook.png">tell a joke</a> to my future self and make that person who I would become happy all over again. 
			- I think I enjoy my own writing more than anyone else, anyone that is, except my mom. 
			- I'm sure she thought I wouldn't miss her when she was gone, but she was wrong about me in so many ways, so why not one more? Every time I look back on some event I measure it by whether or not she was still alive when it happened. It permeates everything I do. I wish it were otherwise, I really do. 
			- All I can say is if there is anything left of her, almost five years after her passing, I hope she's reading my blog, and I hope she's proud of her son, after all is said and done. 
		- Diego Rivera
			- <a href="https://www.diego-rivera.net/night-of-the-rich/">Night of the Rich</a>, 1928.
