- September 2017
	- September 30
		- Good news: Trump focused on <a href="https://www.theguardian.com/world/2017/sep/29/puerto-rico-crisis-supply-food-water">Puerto Rico</a>. Bad news: <a href="https://twitter.com/realdonaldtrump/status/914089888596754434">He's</a> <a href="http://thehill.com/homenews/administration/353216-trump-criticizes-san-juan-mayors-poor-leadership-during-puerto-rico">still</a> <a href="https://www.aol.com/article/news/2017/09/30/puerto-rico-crisis-san-juan-mayor-pleads-for-federal-aid-trump-hits-back/23228203/">Trump</a>.
		- 10-minute <a href="http://scripting.com/2017/09/30/howTheySpendOurMoney.m4a">podcast</a> about how politicians really spend our money by endangering what makes the US special in the world economy. We are the #1 safe place to park wealth. But as we creep toward being Third World, we become less special. We can't base our political system on outright lies and still be the business, tech, science and education leaders. There will come a time when we are #2, and from there it's freefall.
		- I grew up in the same <a href="https://en.wikipedia.org/wiki/Queens">part</a> of NYC as Trump about 10 years later. Things hadn't changed much, for sure. There is a lot of racial prejudice among whites in Queens, esp re Puerto Ricans, which are a <a href="https://en.wikipedia.org/wiki/Puerto_Rican_migration_to_New_York_City">large minority</a> in NY. I was raised to believe many of the things Trump still believes. A lifetime of trying to keep my eyes and ears open and questioning assumptions has helped me undo some very wrong ideas. This is something Trump clearly has not done. 
		- How would El Presidenté feel if another country mounted American-like relief efforts for Puerto Rico without all the Trumpian bullshit. 
	- September 29
		- Good morning sports fans!
		- A 13-minute <a href="http://scripting.com/2017/09/29/politics.m4a">podcast</a> around a simple idea. The campaigns we create every four years should not disappear after the election. They should be built to have lasting value, to continue to serve the interests of the people who contribute, just as the Repubs continue to serve their donors. I'm thinking about the value I buy with my $2000, as if I were giving to a charity. How efficient are they at implementing my political values? I think we can and must do much better. In the podcast it takes a while for me to get going, but if you listen to the end I think you'll get what's driving me. 
		- Wondering what other countries are preparing relief missions to Puerto Rico, and how Trump would react. 
		- When designing a promotional website, ask yourself this question. What would a visitor want to know. And then make sure the questions are answered on the home page of the site, near the top, in plain language. For example, if you're hosting an event, the basic info is -- 1. Where. 2. When. 3. How much. 4. What is it for. 5. Who should go. So often none of that information is anywhere in sight, even one click off the home page. Who designs these sites? They often look nice. I think people forget to do this because they already know all that, and they're thinking how to wow you and excite you. It's 2017, soon to be 2018. Websites aren't exciting anymore. Just the facts ma'am.
		- Tom Price <a href="https://twitter.com/davewiner/status/913882058417729541">resigns</a> as Health and Human Services secretary.
		- Changed my Twitter name to <i>140-char Dave,</i> to make clear you're getting the abbreviated version of me. Of course full-fidelity high-def Dave comes to you via blog, at <a href="http://scripting.com/">scripting.com</a>. 
		- A proactive idea: Every company can agree with the idea that black lives matter. It's time for them to say they do.
		- I changed the <i>Updated</i> message on the home page.  There's no room for it on phone and tablet-size screens, so I disabled it there. And I changed it from displaying the time of the last update to the amount of time since the last update. Here's a <a href="http:///scripting.com/images/2017/09/29/lastUpdateScreenShot.png">screen shot</a> to illustrate. 
		- It's not just Trump who's a narcissist, our culture is built on it. Break its grip. Work with someone today expecting nothing in return.
		- Yesterday I gave in and subscribed to the Washington Post. 
		- Something to think about. If the Trump Administration would form a <a href="http://www.truth-out.org/news/item/42094-calling-out-the-kobach-commission-for-what-it-is">commission</a> to screw with elections, how far behind could Chinese-like net censorship be? All the railing about fake news, and how Facebook is rigged against Trump and the stories about how Russia used Facebook to steal the election. It's coming. No doubt Facebook already has the software implemented and ready to go. 
		- Over on FB, sorry <a href="http://scripting.com/2017/05/31.html#a110526">no link</a>, a friend posted a picture of a gorgeous autumn morning scene in New England. He wrote "It is a heartbreakingly beautiful fall morning." I wrote in a comment:  I often wish it were possible to annotate a FB post with a comment to myself that no one else sees. Often someone else's message is a perfect place to make a note. Like in this case -- Why is it heartbreaking? I'm guessing for this reason -- because it's something you're going to miss when life is over. Or something you'd like to share with someone who's no longer here. Or something you <i>did</i> share with someone who's no longer here. In any case, this is just a note to myself. ;-)
	- September 28
		- <a href="https://github.com/scripting/Scripting-News/issues/31">Braintrust query</a>: Has anyone done a JavaScript implementation system calls are  synchronous?  I'd like to use JavaScript the way other people use shell scripts. 
		- Here's an <a href="https://gist.github.com/scripting/f122c9356733ac7373e60ae865fef702">example</a> of the kind of code I routinely write as part of my development process. This script runs when I save <i>fargoPub, </i>one of my Node projects. It copies the public files to the place where my GitHub repo lives. It's not written in JavaScript, but I'd like to create a system where it could be.
		- Andrew Shell <a href="https://github.com/scripting/Scripting-News/issues/31#issuecomment-332928935">sent</a> a pointer to <a href="http://onilabs.com/stratifiedjs">StratifiedJS</a> which appears to be <i>exactly</i> what I was looking for. Same philosophy as Frontier, but they added structures for threading that we never got to. Now I have to see what's involved in getting something working in an Electron app.
		- It'd be cool if a product that uses sports celebrities gave Colin Kaepernick an endorsement deal. Get him out of the corporate shit house. If not maybe LeBron and Steph and a few other superstars should start a competitor to Nike. 
		- The air travel scandal makes it look like Trump's cabinet secretaries see themselves as royalty, not govt employees.
		- Apple should keep coming out with new "Crazy Ones" <a href="https://twitter.com/davewiner/status/913594966349410305">videos</a>. Celebrate people Steve Jobs would have respected.
		- Small nice-to-have feature on "Scripting News" home page. We now say the time the page was last updated. You can quickly see if there's anything new. The time is in your local time zone. <a href="http:///scripting.com/images/2017/09/28/lastUpdateScreen.png">Screen shot</a>.
		- With <a href="https://www.axios.com/censorship-rising-2489797961.html">censorship</a> on the rise everywhere, it's pretty certain it's coming in the US, esp when you consider who the president is. The centralization of Twitter, Facebook et al, make it technically easier for the govt to do.
		- In studying the Trump Administration there are only two concepts: 1. Kleptocracy. 2. Narcissim. It's never more complicated than that. 
		- How Twitter and Facebook can get out of the hot seat
			- Because they're <a href="https://en.wikipedia.org/wiki/Information_silo">silos</a> they have become responsible for the content they're hosting. If they would let the web do that, then people can do what they need to do anywhere and have it viewable through Twitter and Facebook with no loss of fidelity. Here's what they'd have to do.
				- Both services support a subset of HTML.
				- Twitter blows through the 140-char limit, removing the length limit on text altogether. Twitter can preserve the user experience, by only showing the first 140 characters (or 280 if they're committed to that), and adding a <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">Show more</a> link as Facebook has been doing for years. 
				- Allow a post to be a pointer to the original content, in JSON form, which they can cache, but will read periodically so changes can flow through to their versions of the content. 
			- With these simple changes they stop being silos. Posts can appear in a variety of places including Facebook and Twitter. The companies are clearly no more responsible for the content than anyone else.  
	- September 27
		- <a href="https://twitter.com/MichaelSkolnik/status/912838972648284160">Dale Hansen</a>, an eloquent American veteran about protest. :clap: 
		- Here's the <a href="http://pork.io/users/davewiner/rss.xml">RSS feed</a> for my Electric Pork-generated threads. Interesting how many are two tweets long. 280 chars, not 140. Believe me, in my process, I start writing in Twitter, try to make it fit in 140, and only when it won't, do I edit it in "Electric Pork".
		- Would you contribute to an IndieGoGo-style campaign that created a fund that would be given to Trump the day after he resigns.
		- BTW, Trump's NY <a href="http://nypost.com/2017/09/27/trump-raises-5m-at-new-york-fundraiser/">fundraiser</a> last night completely screwed up midtown traffic. They had Broadway and 59th St closed. Can you imagine. Those are pretty major thoroughfares. All so El Presidente can raise money for Repubs. Very very very far from win-win. 
		- Coming clean, I point to <a href="https://politicalwire.com/">Political Wire</a> and <a href="http://talkingpointsmemo.com/">TPM</a> summaries of stories on NYT, WaPost and CNN so I don't drive traffic to their paywalls and to autoplay video that autoplays. It all keeps getting worse. I pay myself for the NYT, but still have to wait for ads to complete before I can read the stories I paid to read. Overall I'd much rather point to the original reporting. This is part of the malaise around web-based news. Just a part. It seems to me it has to be a fun and rewarding experience without gotchas before it can ask for money. 
		- Publishing HowTo docs from Little Outliner
			- This <a href="http://my.this.how/users/davewiner/myOutlines/howtosInLittleOutliner.opml">howto</a> shows how to publish howto's in "Little Outliner". 
			- I added a <a href="http://my.this.how/users/davewiner/myOutlines/howtosInLittleOutliner.opml#1506529449000">section</a> on customizing the howto's using CSS. 
			- Fixed a bug in "Little Outliner". If you deleted a file-level attribute, if would not save the deletion in the OPML file. v1.68a.
			- I used PagePark to implement this feature. <a href="https://github.com/scripting/pagePark/issues/9">Here's how</a> I did it. 
		- Let Twitter be Twitter
			- This subject comes up whenever Twitter <a href="https://twitter.com/jack/status/912784057863245824">flirts</a> with the <a href="http://www.techmeme.com/170926/p36#a170926p36">idea</a> of <a href="http://adage.com/article/digital/140-characters-a-quirk-twitter-a-relic-past/310632/">increasing</a> the 140-char limit. Some people say the limit defines Twitter, and without it, Twitter would lose its identity, and something terrible will happen. 
			- I'm. So. Tired. Of. This. It's like that West Wing episode where the president says "Let's just dangle our feet in the water." They talk about doing all kinds of things, but don't do them. At the end, Leo writes something on a notepad that has been used by real presidents at least a couple of times since -- <a href="https://www.youtube.com/watch?v=EZ9-3NxTzQ8">Let Bartlet Be Bartlet</a>. Well, it's time to Let Twitter be Twitter, and no, I don't think it has anything to do with the 140-char limit. 
			- I think the 140-char limit is something like the <a href="https://en.wikipedia.org/wiki/Conventional_memory#640_KB_barrier">640K limit on PCs</a>. At first it seemed enough, but then a few years later, memory was full of spreadsheets and word processing documents and TSRs, and all kinds of crazy fixes appeared for extending the memory, and in doing so made the whole thing much more unusable. Along came the Mac with its mouse and graphic user interface, but as a developer, I think the fact that the Mac didn't have the 640K limit was an equally important factor. There were no limits to the Mac's growth for software developers. In this analogy, on Twitter, writers are the developers. And any writer who thinks every idea can be expressed in 140 chars, has imho never seriously used Twitter. 
			- If we're going to <i>Let Twitter Be Twitter, </i>maybe there are other things that are more important than the 140-char limit? I think of Twitter as the <a href="https://twitter.com/davewiner/status/912863256963817472">place</a> where newsmakers make news. Where the people who write the news work, and where people who want news gather. It's all focused on news. 
			- In 2010, I did a <a href="http://scripting.com/stories/2010/03/24/howBigIsANuggetofnews.html">study</a> to see, from NYT feeds, how long the average synopsis is. It was more than 140. And 280 characters would have been enough for all but the longest. 
			- Also, just sayin, it isn't really working for Twitter-the-company. I bought a bunch of Twitter stock a couple of years ago, so I could have whatever upside was available, and so I could understand Twitter from the perspective of an investor. When the Knicks were faring as poorly as Twitter is as a stock, they basically got rid of everyone and started over. Sad as I was to say goodbye to JR Smith and Iman Schumpert and everyone else, I had to agree, this isn't working, and it's lunacy to keep betting on a team that's delivering such poor results. 
			- So if you think the 140-char limit is so great, why isn't Twitter making money for its shareholders? If you were management at Twitter would you be conservative or would you take risks? As a shareholder, I want them to take risks. Big ones. Why not? They don't really have anything to lose. 
			- It could be that when you remove the 140-char limit, Twitter will just crumble into a mass of servers and Russian bots, and all the good people will go to Ello and Mastodon, or whatever -- maybe Facebook. After all, now that the 140-char limit is gone, why not just go ahead and post unlimited-length messages on Facebook? It could happen that way, but I don't think so.
			- I wish Jack and team would stop dangling their feet in the water and just make the change. I don't think the complaints are real. The people complaining don't <i>know</i> that easing the limit will screw up Twitter. They say they know, but they don't. If they don't like it they can always unfollow or mute people who use too many characters. But they won't. Users always complain about change. Sometimes they're right, but usually it doesn't make as much of a difference as they think.
			- Also, why not make the limit 1000 characters or even 1,000,000? I can attach a video to a tweet that uses more than 1MB. Why not text? I don't see what they have against text. I did a <a href="http://scripting.com/2015/10/02/whatWouldAFatTweetLookLike.html">design</a> for them a couple of years ago that shows how it could be done with zero disruption for 140-char lovers. It's not an original idea, I stole it from Facebook. This is an <i>easy</i> software design problem. 
			- We do this every time Jack Dorsey flirts with the idea. This time just do it and stop dangling your feet in the water. Let Twitter be Twitter. And next month let's break another rule and learn from it, and start growing this platform again. 
	- September 26
		- I now have "PagePark" serving public outlines edited with "Little Outliner" at the domain my.this.how. Here's what the canonical <a href="http://my.this.how/users/davewiner/myOutlines/states.opml">states outline</a> looks like when viewed in this mode. If you're clever you can figure out how to get your Little Outliner outlines to do the same thing, or wait for the howto, coming soon. 
		- There's a <a href="https://github.com/scripting/pagePark#v077-92617-by-dw">new release</a> of PagePark, with the features used in the above example.
		- Got an <a href="http:///scripting.com/images/2017/09/26/dropboxemail.png">email</a> from Dropbox. Tomorrow will apparently be the last day for "Fargo". It's been a good run. 
		- Feature request for Twitter. Please, in addition to reporting followers and followed, also report muted. That is, report the number of people who have muted an account. I have muted the current president, and would like to have that officially counted. 
		- In 2010 I did a <a href="http://scripting.com/stories/2010/03/24/howBigIsANuggetofnews.html">study</a> to determine the ideal length for a nugget-of-news. Turns out it's approximately 185 chars.
		- As he often does, <a href="https://www.theatlantic.com/politics/archive/2017/09/why-cede-the-flag-to-trump/540930/">David Frum nails</a> the flag issue. He understands how the Repub pollster mind works. The flag is a good fight for Trump, he picked his foil, strong, young, virile, violent black men, telling his fans that the people they're rooting for in the NFL don't respect the flag or them. This is a must-read. 
		- Always thought it incongruous that people in very white places love their black athletes, but don't accept the humanity of black Americans.
		- Must-watch <a href="https://twitter.com/undisputed/status/912327330579677184">speech</a> by Shannon Sharpe. The protest eventually came <i>not</i> to be about black lives being snuffed out, rather the president challenged the owners and players to follow his order, and they don't accept being bullied. It was programming. In other words, he agrees with Frum. We have left the domain of Black Lives Matter, and are playing on the racists' turf now. Not a good place to be. 
		- God bless America
			- <img src="http:///scripting.com/images/2017/09/26/thatsOffensive.png" width="400" height="271" style="border: 1px solid silver; padding: 5px;" alt="A picture named thatsOffensive.png">
	- September 25
		- Here's <a href="http://publicfolder.io/">publicFolder</a> for the Mac. This is the <a href="http://this.how/publicFolder/">howto page</a> for the desktop app. And the source for the Node <a href="https://github.com/scripting/publicfolder">package</a> that implements the core tech, so you can build your own shell around the functionality. 
		- Here's <a href="https://github.com/scripting/instantDaveClientDemo">instantDaveClientDemo</a>. It demos the tech that connects the Instant Dave server with the client. It's based on webSockets and JSON. We can build on this. Here's a demo app, <a href="https://github.com/scripting/instantDaveClientDemo/blob/master/code.js">in source</a>, that you can <a href="http://scripting.com/misc/instantDaveClientDemo/">run</a> or modify. It updates in realtime as I post new items and modify existing ones. 
		- Shep Smith <a href="https://twitter.com/axios/status/912426241004900352">tells</a> it like it is, on Fox. 
		- Of course the <a href="http://www.memeorandum.com/170925/p67#a170925p67">kneeling</a> is about <a href="http://scripting.com/liveblog/users/davewiner/2016/01/17/0880.html">race</a>. What a fucked up situation, where American citizens are being killed by the police because of their skin color, and it's gotten to the point where the only way to get attention for the problem is for athletes to protest, and then of course the openly <a href="http://uproxx.com/news/sarah-sanders-trump-nfl-anthem-protest/">racist American government</a> says smugly it isn't about race. Very cute. But you're not fooling anyone. It's about race. 
		- It seems to me perhaps we're <a href="https://www.axios.com/north-korea-trumps-remarks-are-clearly-a-declaration-of-war-2489426664.html?utm_source=twitter&utm_medium=social&utm_campaign=organic&utm_content=textshort&utm_term=politics">getting close</a> to the last minute we can change leadership before we're in a full-scale war with North Korea. I would like to see a new president in place, whose first job is to pull us back from this brink. 
		- Wow OKC <a href="https://twitter.com/okcthunder/status/912349160606715904">loves</a> Melo! That's cooool.  
		- Every day I see something on Facebook that I'd like to post a pointer to on my linkblog. But I never do. I love the web. I won't betray it.
		- BTW, to continue yesterday's <a href="http://scripting.com/2017/09/24.html#a094703">thread</a> about geeks with good hearts. There are tech community people journalists can and should rely on. The press has assumed that we all work at big companies, but the truth is most of the ones you can trust do not. To my  friends in journalism, could you please, next chance you get, explain to your peers that there are people who want to help without locking you in. Thanks. 
		- Matt Mullenweg in 2006
			- People are surprised that Russia was able to use <a href="http://scripting.com/2016/07/28/dontFeedDjTrump.html">trolling</a> to change the outcome of our election, but I wasn't. I had experienced at the hands of some Russian-like tech companies in the early 2000s. I was reminded of it by a <a href="https://ma.tt/2006/04/feed-validator/">screed</a> posted by Matt Mullenweg in 2006. Excellent stuff. All technologists should write and think this way.  
			- Matt's post came near the end of a long story involving open technology and some very big tech companies. The <a href="https://www.feedvalidator.org/">Feed Validator</a> app was written by people who worked at IBM and Google, the equivalent of Russia in this story. They ruled by flame. If you said something they didn't like, boom -- a swarm of trolls emerged to push you back. I assume they wanted "RSS" to fragment, the same way the Russians today want Americans to be divided. 
			- To this day it issues <a href="https://www.feedvalidator.org/check.cgi?url=http%3A%2F%2Fscripting.com%2Frss.xml">warnings</a> about my feeds, which you might image would be pretty good RSS. I ignore their warnings and tell other people to ignore them too. Their feed validator, which is also being run by the W3C, is useful when you're developing feed-producing software. It <i>does</i> find bugs. 
			- But as <a href="https://ma.tt/2006/04/feed-validator/">Matt</a> points out, the whole point of a standard is to bring people together. Which of course is why the big tech companies hated it. Their trolls had the same effect as the Russian trolls did, almost 20 years earlier. To drive us apart. 
		- Trolls on Twitter
			- Yesterday Joan Walsh posted a screed on Facebook (sorry <a href="http://scripting.com/2017/05/31.html#a110526">no pointer</a>, just a <a href="http:///scripting.com/images/2017/09/25/walshOnFacebook.png">screen shot</a>) about trolls on Twitter, and how Twitter needs to do something about it.
			- I asked a straight/naive question -- Isn't blocking him enough?
			- She replied: "I've blocked him at least 11 times. I'm done. He's totally recognizable, he uses the same screen name, just adds a number! He's ugly and abusive, and why can't they figure it out? And it always takes about a dozen of us to get his new ID blocked."
			- And then Hue Ha said: "Joan it's not personal. Twitter is losing $100 million every three months; unfortunately protecting their users is not a priority. And these tech companies are full of servers; there's very few people in them."
			- She went on to tell how she was a driver for Uber. "Uber only communicated with drivers by canned emails, people think it's like American Airlines with a lost luggage department."
			- So the problem is and isn't solvable. If Twitter had the personnel to do it, they could recognize the pattern and shut him down when he pops up. Or at least be more responsive to claims of abuse. But they don't have the people, or the money to hire them. Twitter is bleeding cash. They <i>can't</i> throw money at it. 
			- More and more I'm realizing that Twitter and Facebook are just new instances of something we're really familiar with -- mail lists and discussion groups, without the human qualities. We found the answer, many years ago -- blogs. There's a physics to online discourse. Twitter/Facebook solve some of the problems of discussion groups, with blocking and following, but underneath it all it's still the same problem, everyone's voice is equal, so one troll can shut the whole thing down.  
			- There are things I like about Facebook, still -- for example it allows me to interact with a TV personality like Walsh. I don't get angry with her for posting regurgitated MSNBC talking points, because she is a source of them. But when I want to speak and have a chance at being heard, nothing beats my blog.
	- September 24
		- My next project, if all goes well, is to release example source that shows how to hook into the same flow of events that "Instant Dave" does in a <a href="http:///scripting.com/images/2017/09/24/latestInstantDaveMessage.png">browser-based</a> JavaScript app. Not sure what if anything will become of it, but maybe it's possible to hook WordPress up to this, or anything else for that matter. Never know when a standard might take root. :rocket: :boom:
		- <a href="http://www.slate.com/blogs/the_slatest/2017/09/23/trump_calls_on_nfl_owners_to_fire_players_who_kneel_during_anthem.html">Kneeling</a> during the anthem is a mild form of protest given what Trump is doing. There are no checks and balances to stop him from firing missiles. Even climate change and repealing health care are insignificant threats compared to nuclear war. 
		- Because of a <a href="https://mobile.nytimes.com/2017/09/23/technology/silicon-valley-men-backlash-gender-scandals.html">piece</a> in the NYT <a href="http://www.techmeme.com/170923/p7#a170923p7">yesterday</a>, people on the net are crapping on programmers, and I don't think very many, if any, have any idea what we do. I even unfriended one person because it's just too fucking offensive. People lose it when it comes to this topic. Yes we are mostly men. And we work really hard to do stuff to please you. And if you want to help I'm pretty sure most programmers will create plenty of space for you to do that. I certainly will. We're mostly  nice people. Yes there are assholes. But there are asshole women too. But for god's sake the programmers aren't in general the sexual harassers. We're fairly meek people. So stop shooting with such imprecision. Focus on the problem.  
		- If <a href="https://twitter.com/HillaryClinton/status/911984783194050560">HRC</a> were president, 3 million citizens wouldn't be forgotten.
		- People don't get something very basic about the United States. Our system gives very limited power to elected leaders. What's left is what we call freedom. When the president tells us how he wants to be worshipped, that's a president who has gone way too far. We <i>have</i> to find out what the "or else" is. What happens if the people don't walk out of the stadium when the players take a knee. It's one thing when he bluffs a foreign country and they know it, but now he's bluffing us. 
		- Try listening to people you disagree with, not dismissing. The problems will never be resolved until everyone does.
		- This could be <a href="https://twitter.com/oscaron/status/911652804808364033">bad design</a>, not a stupid user. ;-) 
	- September 23
		- <a href="https://twitter.com/B4IleaveU/status/911436659907948544">Tweet</a> of the century.
		- I just scored a 3-point <a href="http:///scripting.com/images/2017/09/23/bikeangel.png">CitiBike-angel</a> load-balance!
		- Kimmel sets an incredible <a href="http://www.slate.com/blogs/browbeat/2017/09/22/watch_jimmy_kimmel_hit_back_at_republican_critics_who_want_him_to_stay_in.html">example</a> of a citizen who decides to get informed, and bases his opinions on <i>facts</i> not lies.
		- I know there are bigger things to worry about but I pay the NYT and I still get an interstitial before I can read the article. 
		- It's time to stop playing the national anthem at sports events. 
		- No race or religion owns the national anthem. I am not pledging allegiance to white Christian men. Everyone should remain seated.
		- The national anthem is what any of us want it to be. That's what it means to be American. There is no ruling race, religion or gender. 
		- Melo to the Thunder!
			- I got back from a long bike ride around Manhattan to the news that <a href="http://nypost.com/2017/09/23/the-knicks-have-finally-traded-carmelo-anthony/">Melo has been traded</a> from the Knicks to the Thunder. 
			- I like the deal.
			- Melo gets a fresh start, and has two all-star team-mates, Paul George and Russell Westbrook, who also happens to be last year's MVP. 
			- Westbrook gets an outside shooter in Melo. 
			- Melo will not be the alpha guy on this team. It's Westbrook's team. It'll be interesting to watch him make the adjustment. 
			- The Knicks like it because they get to start over and they didn't have to give up a first round draft pick (rebuilding teams have valuable draft picks) and they got the Thunder to take the remaining two years on Melo's contract, and free up a huge amount of cap space for the Knicks, who can now invest it in younger players more suited for their young team. (They should also get some veterans to school them.)
			- Melo leaves with the affection of the fans. He will be cheered when he returns in his OKC uniform. It wasn't what we all hoped it would be with Melo, but he stayed cool at times when he didn't really have to, and in NY sports that's always appreciated. 
			- It's a fair, competent deal, and makes sense for both teams.
			- And as a Melo fan I'm glad to see he'll get a shot at the post-season. I don't think the Thunder are championship contenders, not enough depth in the lineup, but it should be some good basketball. 
		- How to use Twitter
			- If people read your tweets, you will get trolled.
				- If they don't, you won't, so you can skip this tutorial.
			- How to know if the person is trolling you, for sure? 
				- You can't know for sure, you have to make a guess.
			- Ask yourself this question...
				- Do you think this person is arguing with you? 
					- If so, hit Mute. Save yourself the grief. You might want to argue yourself, but know that it will not leave you feeling happy or satisfied. There is no victory in an online argument.
						- Not that there is any victory in a real-world argument either. :boom:
	- September 22
		- An update to the <a href="https://github.com/scripting/outlineBrowser">outlineBrowser code</a> to incorporate saving and restoring expansion state, as <a href="http://scripting.com/2017/09/22.html#a125135">used</a> in the <a href="http://scripting.com/?tab=about">About tab</a>. 
		- Extra bonus. I made it so that the this.how outlines remember expansion state. <a href="http://this.how/electricRiver/">Example</a>. And since this is a standard feature in "PagePark", it should work for "OPML" files served by PagePark as well. OPML is the format of "Little Outliner" so you can see how the pieces fit together.
		- People who <a href="http://www.slate.com/blogs/browbeat/2017/09/22/watch_jimmy_kimmel_hit_back_at_republican_critics_who_want_him_to_stay_in.html">say</a> Jimmy Kimmel should "stay in his lane" don't understand self-government. It's his <i>responsibility</i> to be involved in policy.
		- Putin used Facebook as a platform, just as anyone else could have. He figured something out that our top people were too complacent to figure out. And when journalists complain, remember they could have competed with Twitter and Facebook to be the platform for politics, and they punted too.  
		- In 2009, I wanted Obama to bring the gospel of the Internet to the world, and use it to create democracy everywhere. When he didn't do it, he left the door open for Putin to use it to create kleptocracy everywhere.  
		- Wes Anderson​'s <a href="https://twitter.com/nowthisnews/status/911236397016551424">new film</a> has talking dogs living on an island of trash.
		- <a href="https://en.wikipedia.org/wiki/Multi-factor_authentication#Mobile_phone_two-factor_authentication">2FA</a> is not as good as people think because the second factor is not very secure. It's pretty easy to <a href="https://blog.kraken.com/post/219/security-advisory-mobile-phones/amp/">hijack</a> your phone. This weakness has been used to <a href="https://www.forbes.com/sites/laurashin/2016/12/20/hackers-have-stolen-millions-of-dollars-in-bitcoin-using-only-phone-numbers/amp/">steal Bitcoin</a>. 
		- Almost <a href="https://politicalwire.com/2017/09/22/big-majority-want-congress-stabilize-obamacare/">70 percent</a> want the govt to stabilize ObamaCare, not throw it out. I wonder how Repubs plan to overcome that if they succeed. That's why I think they must want to fail at repeal. They understand polling math better than any of us do. 
		- It might just be me but is the <a href="http://podcatch.com/pages/19407.html">Daily podcast</a> and the NYT tilting more toward the Repubs? Omitting key bits of info that would expose their lies? For example, there's no debate that the new Repub health law would eliminate protection for pre-existing conditions because there is no mandate. It's not health insurance without a mandate. Not really for anyone but certainly not for people with pre-existing conditions. 
		- The About outline remembers
			- A nice-to-have feature in the <a href="http://scripting.com/?tab=about">About tab</a> here on Scripting News. It now remembers the expansion state of the outline, so if you go somewhere else and come back it will be as you left it. Here's a short demo.
			- <iframe width="560" height="315" src="https://www.youtube.com/embed/X_Whxz-EYm0" frameborder="0" allowfullscreen></iframe>
	- September 21
		- There's a new <a href="http://scripting.com/images/2017/09/21/myProjects.png">My Projects</a> section in the <a href="http://scripting.com/?tab=about">About</a> outline. 
		- Roger Stone <a href="http://www.salon.com/2017/08/24/roger-stone-predicts-a-civil-war-if-donald-trump-is-impeached/">predicts</a> a Civil War if Trump is impeached. What happens when they find out how they lost their health insurance?
		- Experian <a href="http:///scripting.com/images/2017/09/21/experianEmail.png">writes</a> to say my email address is on The Dark Web. They offer advice how to deal with it. Change your password. Buy $29 service from them. Buy the deluxe $109 service again of course from them (guessing at the prices, they don't say in the email). Okay first  what is <a href="https://en.wikipedia.org/wiki/Dark_web">The Dark Web</a>? I honestly have no idea. Second. I publish my email address on my blog. I don't in any way try to hide it. Experian is one of the three credit-rating agencies. This is dishonest. Deceitful. Sleazy.
		- There are a lot of posts going up today of the form: "I was a healthy person subsidizing sick people until something bad happened and I needed health care." But that doesn't tell the whole story. I was a healthy person subsidizing sick people until I needed life-saving heart surgery 15 years ago. Because of a sequence of COBRA, RomneyCare and ObamaCare, I have been insured ever since. Each year because of my age, I pay huge premiums. At times as much as $1500 a month with high dedictibles. In the interim, each year I used a fraction of that amount of health care. In other words as a person with a pre-existing condition (the definition of not healthy) I have been subsidizing sick people who need more health care than I do, and am happy to do it. 
		- If your site pops up a <a href="http:///scripting.com/images/2017/09/21/emaildialog.png">dialog</a> asking the reader to subscribe to an email newsletter, I won't post it to my <a href="http://scripting.com/?tab=links">linkblog</a>. I'll find another site that explains the concept. Same with videos that autoplay. You really hate your users if you do that. I don't support sites that hate their users. 
		- Unmasking is the new Shariah Law 
			- Repubs invent these scary concepts that don't have any substance, because the words sound important and menacing. We don't want to be governed by Shariah Law. That kind of implies that Shariah Law is being imposed on us. That's the joke. It isn't. They play the same ugly game with voter suppression (they <a href="http://www.heritage.org/election-integrity/heritage-explains/voter-fraud">call</a> it something else). And unmasking. I guess they must have been masked for a reason, you say. To protect someone. And to unmask them, well that's obviously bad, right? Haha. You fell for it. Even when you argue against it, saying it's harmless, you're falling for it. Maybe the best thing is to play along? Why were they masked in the first place? What were they hiding? Maybe you have to play the game to defuse it. Bottom line -- Repubs are scum. If you're a Repub and don't feel you're scum, maybe it's time to start something new. 
		- Write here, cross-post nowhere
			- I just cross-posted something from this blog to Twitter and Facebook. It gave me a nauseous feeling when the first comment came in on Twitter, from a stranger, who said that <a href="http://scripting.com/2017/09/21.html#a094502">unmasking</a> was bad and provided a link to support his belief. A bot. Even if he's flesh and blood, even if he thinks he's sentient, he's just human spam. This is the end of the line for discussion boards. We tried that a long time ago and blogging won out, for good reason. No. More. Cross-posting.
		- Finding myself in therapy
			- I was in <a href="https://en.wikipedia.org/wiki/Psychotherapy">therapy</a> for eight years, a long time ago, and while I often asked for advice there was only one time when the therapist gave it. 
			- She said this: Sometimes people are wrong. 
			- There had been a family trip I wasn't allowed to participate in. I had asked to go, and was told no. I was angry and disappointed. I couldn't find a way for it to make sense. Her point was this. They are being bad family members. You can stop grappling with this. You can stop trying to see it from their point of view because they are just wrong.  
			- I asked why this time she made an exception. She said she was human too, and didn't want to go through this with me, yet again. I suppose she wondered why I couldn't figure it out. Or maybe she thought I was ready to hear it. I learned something about myself then, that through nature and/or nurture, my sense of self had disappeared. I had lost the ability, if I ever had it, to see things from my own point of view. It was a big day for me. I'll probably never forget it. 
			- After that event, I saw lots of opportunity to see things from my own point of view. An example. I had gone to a conference and had mistakenly scheduled two things for the same time. I was fretting. What do I do about this? Which one should I go to and which should I blow off? My new inner voice found the answer, in a question: What do you <i>want</i> to do? That would not have occurred to me before. 
			- The <a href="https://www.thecut.com/2017/09/why-wont-my-therapist-just-tell-me-what-to-do.html">piece</a> that inspired this story tries to answer the question of why therapists don't just tell you what to do. The purpose of therapy is to help you discover yourself. I know that sounds dorky and new-age-y, but it is literally what you're doing. You're bouncing around the world, looking for answers everywhere but the only place that can provide them, inside yourself. But if you don't know you exist, how can you find that place? A therapist patiently shines the light on that space, over and over, hoping that this year, or maybe next, you'll figure it out. 
	- September 20
		- Here's a <a href="http://scripting.com/2017/09/20/publicFolderTesting.m4a">podcast</a> for the handful of people who try my software before it's public. I have a project ready for testing now, this podcast explains. 
		- I've been steadily releasing new versions of the <a href="https://github.com/scripting/publicfolder">publicFolder package</a> over the last few days. Fixing bugs, adding stats and callbacks. The current version is v0.4.23.
		- I did finally listen to Trump's speech at the UN, in full. It was horrifying. It's like he pulled his pants down and took a shit on stage. 
		- Also the <a href="http://podcatch.com/pages/19362.html">Daily podcast</a> about the Trump speech is worth listening to. They take it all in stride, which is somewhat disturbing. But it's useful. 
		- This <a href="https://twitter.com/davewiner/status/910557380961857540">dialog</a> pops up when I click most Medium links. I hate this dialog with a passion. It's a paywall thing. Before the paywall goes up. The word that best describes the feeling is <a href="https://duckduckgo.com/?q=bilious&t=h_&ia=definition">bilious</a>, which btw is a great word. ;-) 
		- The thing about silos is they do things to your reader they don't do to you so you don't know they're doing it. And they know you don't know.
		- Rich Hanover has been having trouble <a href="https://github.com/scripting/Scripting-News/issues/29">accessing fargo.io</a> over DNS. If you've been having trouble too, please post a note to the thread. 
		- Brendan Greely: "I was a healthy person subsidizing sick people until both of my sons spent a week in the pediatric ICU together." This is the drum I keep beating. Health care is <a href="http://scripting.com/2017/03/08/theWorldIsSocialistPartIi.html">socialist</a>. When Repubs complain that we're socializing medicine, they're wrong. It's not up to us to socialize it. It is socialist.
		- We thought we were bringing our system of govt to Russia, but it turns out they were bringing theirs to us. The net provided the means. 
		- I'm the first to blame Facebook when they're at fault. But this is not their fault. Our naïveté about the net got us and continues to get us.
		- I was chatting with a friend who reads this blog, and explained that sometimes when I'm critical of a big tech company, it's not just me speaking, sometimes I'm echoing ideas I've heard from people inside the company. People who aren't being listened to. I guess in that way I'm acting something like a reporter with a <a href="https://en.wikipedia.org/wiki/Source_(journalism)">source</a> who is on background. 
		- <a href="https://en.wikipedia.org/wiki/Jay_Rosen">Jay Rosen</a> <s>has been</s> is considering cross-posting to Medium. On Twitter he <a href="https://twitter.com/jayrosen_nyu/status/910508236423405569">asked</a> if he should point to the Medium versions of his post or the <a href="http://pressthink.org/">blog</a> version. I thought I'd answer on my <a href="http://scripting.com/2017/09/20.html#a111938">blog</a>. It wouldn't make much difference to me. I read his blog through his feed, and I dislike going to Medium, because of the interstitial dialog that pops up before I can read a piece. So I guess it would annoy me to see a Medium link to Jay's posts, but I'd get over it. 
		- BTW, I tried an experiment, different from Jay's, cross-posting from my blog to both Facebook and Medium. I <a href="http://scripting.com/2016/09/04/endingAnExperiment.html">ended the experiment</a> about a year ago. 
		- My inaugural Enemies List
			- Just like Nixon I've got an <a href="https://en.wikipedia.org/wiki/Nixon%27s_Enemies_List">Enemies List</a>. These are the first guys on it. 
			- <img src="http:///scripting.com/images/2017/09/20/worstPeopleInTheWorld.png" width="500" height="277" border="0" alt="A picture named worstPeopleInTheWorld.png">
	- September 19
		- If you want to be up on the latest developments emanating from this blog, be sure to watch the Scripting-News <a href="https://github.com/scripting/Scripting-News/issues">repository</a>. We're using that space more and more. 
		- <a href="http://www.businessinsider.com/vanguard-shines-in-protgs-1-million-bet-with-warren-buffett-2017-2">Warren Buffet bet</a> on an index fund over a managed fund, and he was right, he's winning the bet. I even understand why, as I've bet the same way more or less. Governments are judged by two prices: gas and stock. If gas is down and stock is up, the president wins re-election. So guess what. Gas stays low and stock goes up. It's like free money, basically. Until there's a war or a bubble burst. But most of the time you just make money with an index fund. Now you have the secret too. :apple:
		- If Kim Jong Un is Rocket Man, who's the Madman Across the Water?
		- I wondered why people cared about Sean Spicer having his "brand" redeemed by being allowed to make an <a href="https://www.youtube.com/watch?v=czaDGaoD8Dw">appearance</a> at the beginning of the Emmy award ceremony on Sunday. I don't think his brand was helped or hurt. I think it's all mixed up with Melissa McCarthy's <a href="https://www.youtube.com/watch?v=UWuc18xISwI">parody</a>. Spicer will forever be a punchline. Some things probably will never matter. This imho is one of them. 
		- If you think making others feel your pain is going to ease your pain, you're mistaken, and wasting effort. It just makes them tune you out. 
		- I listened to five minutes of the president's UN speech, expecting to be horrified, but I thought it was good. But only five minutes.
		- Chief of Staff at UN speech
			- <img src="http:///scripting.com/images/2017/09/19/kelly.png" width="500" height="291" border="0" alt="A picture named kelly.png">
		- We get the big things wrong
			- During the campaign last year, I pleaded with the press to listen about at least two things. 
				- Email is inherently insecure. You're spreading your ideas all over the place when you send an email. Just because the person-to-person channel is guarded, it doesn't prevent the email from being forwarded, saved to disk and transmitted other ways, or through phishing, being stolen as part of a whole mailbox. When you secure email transmission, you're locking a window but all the doors are wide open. It's really just security theater. In other words, someone is taking advantage of your ignorance, and there's one way to fix that -- to stop being ignorant. 
				- Trolls. We're being trolled. There's nothing new or novel about this. I know it's hard to not be fascinated, I could tell you stories of years I wasted dealing with trolls, thinking I could win by engaging. You can't. The only way to win is to just turn your back. 
			- But we get the big things wrong. The frustration I feel about us always being late at figuring this stuff out, and digging the hole deeper and deeper, is one that other people who care about science and technology share. 
			- Meanwhile Google is wiping out the history of the web, the few sites that remain from the early days, by doing it in a slow almost invisible way. I guess I have to give up on trying to stop this. I'm going to let them delete my sites over the coming years. I have done make-work for BigCo's in the past, countless times, thinking if I just do what the big company is forcing me to do, it'll all work out. Now I know that isn't true. It doesn't work that way. 
			- We get the big things wrong. Accept it. We take the low road every chance we get. Assume it's being fucked up and be surprised when it's not. 
	- September 18
		- Good morning <a href="https://www.citibikenyc.com/">Citibike</a> fans! :bicyclist: 
		- This is where I'm working on the <a href="http://this.how/publicFolder/">docs</a> for the <i>Public Folder</i> desktop app. It's not going to be an easy thing to set up. But it works. It's a <a href="https://en.wikipedia.org/wiki/Beachhead">beachhead</a>.
		- Speaking of Citibike, they sent an email asking if I'd like to be part of their <a href="https://bikeangels.citibikenyc.com/">Bike Angels</a> program. Yes, of course I would. You're basically part a human <a href="https://en.wikipedia.org/wiki/Load_balancing_(computing)">load-balancer</a> for bike stations. There's an app that shows you which stations need bikes and which have too many. If you move a bike for them, you get reward points. With enough points you can give friends (visiting from out of town for example) free days of Citibike. I'm exactly the kind of person to pitch this to. I'll do anything to get more people on the bike paths in NYC.  
		- Checking to see if "Fargo" still works, and it <a href="http://virgin.smallpict.com/2017/09/18/wonderingIfThisStillWorks.html">does</a>. I just see a lot of hits on "Little Outliner" and that gets me thinking. Did something change??
		- I wonder if there's a class in high school or college that teaches how to have a respectful conversation. You learn to ask questions and listen instead of assuming you know what the other person is thinking. I say that because I'm pretty sure some people never, in their whole lives, understand why every conversation they have ends up in frustration and anger. Not only would it make the world work better, but I think there would be more happiness.
		- Let's actively support bipartisanship
			- I knew this was coming. I believe Repubs are splitting up now. Maybe one part will be very small, the part that goes with Trump. I think maybe the number of diehard Trump supporters is very small. Where were they all when called to the <a href="https://en.wikipedia.org/wiki/Mother_of_All_Rallies">Mother Of All Rallies</a> this weekend? It was pathetic. Not even a thousand people showed up.
			- A new middle ground is forming with moderate Repubs and the Democratic voters who don't cast protest votes or stay home on Election Day, who understand that our system depends on compromise, on not getting everything you want because the other guy has to get some too. Obama would fit into this middle party.
			- Radical change like the failure of the USSR or Trump as POTUS have a way of shaking the order of things. It's like having a death in the family, or some kind of windfall of opportunity. It's a time for change. The assumption that we would change to fascism isn't the only way it can go. It could also turn out that the shakeup breaks the destructive partisanship in DC. Which is why, we as citizens of the US, who have an interest in support from government, also have an interest in bipartisanship.
			- I also hope it breaks the logjam of the journalism elite, who only listen to each other -- and it shows in their inbred thinking. 
	- September 17
		- The best standard <a href="https://twitter.com/davewiner/status/909473880078725120">practice</a> for how to respond to a bot. :rocket:
		- An idea for Citibike. When you return the bike you <a href="http:///scripting.com/images/2017/09/17/ideaforcitibike.png">get an email</a>. If the bike needs repair, there should be a place on the confirming email where you can report the problem. (Especially if you return the bike one minute after checking it out at the same station.)
		- I'm no fan of Facebook, but please...
			- I can't <a href="http://scripting.com/2017/05/31.html#a110526">point</a> to Joan Walsh's rant about Facebook, because she posted it on Facebook, but here's my comment. 
				- <i>I'm no fan of Facebook, and I am a fan of Joan, but this is crazy talk. "Allowed" is Repub-like misdirection. Your phone allows you to say and do all kinds of nasty stuff. If you want your platforms to take an interest in the words we use, more than they already do, you're just inviting fascism in here.</i>
			- I'd add, there are ways to prevent foreign nationals from breaking US laws using Facebook without condemning Facebook's past actions. 
			- PS: Here's a <a href="http:///scripting.com/images/2017/09/17/walshFacebookPost.png">screen shot</a> of her post.
		- The <i>publicFolder</i> desktop app takes shape
			- <a href="http:///scripting.com/images/2017/09/17/publicFolderScreenShot.png">Here's</a> the <a href="https://twitter.com/davewiner/status/909449458814996480">screen shot</a>. 
			- Let me explain what's going on there...
			- That's an <a href="https://electron.atom.io/">Electron</a> shell. The publicFolder <a href="https://github.com/scripting/publicfolder">package</a> is running inside it. There's a web interface that shows you what's going on. 
			- It's configured to have three concurrent processes, i.e. three simultaneous file uploads or deletions. All other operations are queued up, when a slot becomes available, the first in the queue is removed and processed. First in first out.
			- At least once a minute publicFolder gathers stats about the local folder and the S3 image. You can see how many files are in each and how much space they use. Obviously the numbers should be identical. 
			- You can see how many uploads and deletions have been done since the app first launched, and how many GB of uploads. 
			- Finally, there's a log of the last 500 operations. So you can scroll through them. The file name is linked to the public version, so you can see what's there (read a page, listen to a song, watch a movie, etc) by clicking the link. 
			- If you want to review the source, <a href="https://github.com/scripting/publicfolder/blob/master/publicfolder.js">here it is</a>. 
			- And here's a place for <a href="https://github.com/scripting/publicfolder/issues/3">questions</a> about publicFolder.
	- September 16
		- Look at what's happening at the <a href="http://www.slate.com/articles/life/education/2016/03/university_of_wisconsin_and_the_aftermath_of_destroying_professor_tenure.html?wpsrc=sh_all_dt_fb_bot">University of Wisconsin</a>. A good school. I got my Computer Science education there. Professors without tenure who answer to politicians.  
		- New version of <a href="https://github.com/scripting/publicfolder">publicFolder</a>. More stats, three new callbacks. 
		- New <a href="https://github.com/scripting/pagePark#v076-91617-by-dw">version</a> of "PagePark", fixes a "breaking change" from the <a href="https://www.npmjs.com/package/mime">mime</a> package. Why for crying out loud they felt it necessary to change the name of their core routine, such a simple function. Please. This is nuts. Unless there's some kind of explanation, which I would love to hear. 
		- This is <a href="https://twitter.com/Phil_Lewis_/status/908771692415275010">how</a> I like my sports journalism. 
		- The <a href="http://talkingpointsmemo.com/edblog/hes-one-of-them?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+Talking-Points-Memo+(Talking+Points+Memo:+by+Joshua+Micah+Marshall">president</a> <i>is</i> a white supremacist. That's a big problem for everyone, especially <a href="http://variety.com/2017/tv/news/jemele-hill-white-supremacist-trump-espn-1202557572/">ESPN</a>.
	- September 15
		- A couple of small improvements to "Instant Dave". 1. We now only show notifications for posts you are able to see in the timeline. 2. And we strip the HTML from the notifications, since they aren't correctly interpreted by the Notification Manager on the Mac. The new version, v0.5.4, is now available for download. 
		- On <a href="http://podcatch.com/pages/19214.html">today's Daily podcast</a>, an interview with Bernie Sanders about his bill to provide Medicare for everyone. The <a href="https://www.nytimes.com/2017/06/01/insider/inside-the-daily-with-michael-barbaro.html?mcubz=1&_r=0">host</a> asks why introduce the bill if it has no chance of passing. "You have to start somewhere." I agree. Obama always prenegotiated. Instead of saying what he really wanted, he proposed a compromise. The Repubs took advantage. Bernie says go for what you want. Accept less if you have to, but that's where the negotiating starts. Also gives Dems something to campaign on in 2018 and 2020. Good move. 
		- <i>Morning Coffee Notes</i> was the name of my early <a href="http://scripting.com/morningCoffeeNotes/">podcast</a>, but before that it was a <a href="https://duckduckgo.com/?q=%22morning+coffee+notes%22+site%3Ascripting.com&t=h_&ia=web">recurring title</a> here on "Scripting News". I created a MCN headline when I wanted to start over a new day. When the good morning message needed to be encapsulated so a new top item could appear. Today was <a href="http://scripting.com/2017/09/15.html#a095937">one</a> of those days, the first in a long time. 
		- <a href="https://www.newyorker.com/culture/annals-of-appearances/the-nightmare-faces-of-apple-engineering-and-cindy-shermans-instagram">Re Apple's Face ID</a>: "Who—for the price of a thousand bucks—owns whom?" Good question. We loved personal computers in the beginning because they were off the grid, out of the reach of the priesthood and the military industrial state. One of the companies that made these liberating products was Apple Computer, Inc. Woz's Apple, not the Apple of 2017.
		- Rebooting our societal intellect
			- At first I was ambivalent about Chelsea Manning as a fellow at <a href="https://www.hks.harvard.edu/">HKS</a>. But seeing all that it has stirred up, I think she would be good. You <i>want</i> lightning rods to help identify issues and boundaries. I understand the objections, let's get those people at HKS too, and discuss the issues, like scholars. That's what universities are for. 
			- I know so many influential people in academia, many who were early participants in the web and blogosphere. We were there in the early days when online discourse held great promise for bringing the differences of the world together, to be accepted, de-weaponized. It turned out the opposite. We brought the differences together and enhanced them, and the rage spilled out into the real world. 
			- <a href="https://www.hks.harvard.edu/announcements/statement-dean-elmendorf-regarding-invitation-chelsea-manning-be-visiting-fellow">Firing</a> Chelsea Manning was a <a href="http://talkingpointsmemo.com/livewire/harvard-revokes-chelsea-manning-visiting-fellow-title">mistake</a>, but an understandable one. Let's get the <a href="http://nypost.com/2017/09/14/ex-cia-director-resigns-from-harvard-over-manning-fellowship/">guy who quit</a> to come back and spend more time at HKS, and get more people on either side of this divide, study it, civil discourse it to death, and see what we're left with.
			- I think the university is our way out of the intelletual logjam we're in. We have to use all the tools at our disposal, including academic discourse. 
		- Morning coffee notes
			- Good morning everyone. Nothing special on the calendar for today. Apple's products are announced. <a href="https://github.com/scripting/publicfolder">publicFolder</a> package is released. I'm thinking about new projects for the fall and beyond. Hope everyone is healthy and happy. 
			- Wouldn't it be nice to have a random emoji? An emoji that when viewed generates a random choice every time? I'm going to simulate it now by closing my eyes and randomly clicking on a short code on this <a href="https://www.webpagefx.com/tools/emoji-cheat-sheet/">page</a>. :pushpin: 
			- JavaScript is getting <a href="https://blog.pragmatists.com/top-10-es6-features-by-example-80ac878794bb">too big</a>. I wish that the Ecmascript working group, instead of adding more obscure features that <i>people will use</i> (and therefore I have to understand to be able to follow their code), would work on a profile (or subset) of the language, that includes a single construct to do each thing, and no more. One way to write a function, for example. No conditional assignment (even though I use it, and think it's clearer in some cases). Languages that get too <a href="https://en.wikipedia.org/wiki/Software_bloat">big</a> become dinosaurs more quickly. What was the <a href="https://en.wikipedia.org/wiki/Ada_(programming_language)">name</a> of that language that was supposed to replace C and Pascal because it had everything everyone could ever want? 
			- Sometimes I do picture searches to find things for the right margin. I stumbled across <a href="https://www.nobelprize.org/nobel_prizes/physics/laureates/2004/wilczek_bio_1.jpg">this picture</a> of my friend Betsy Devine, long before I knew her. People who are beautiful, like <a href="http://images.scripting.com/archiveScriptingCom/2005/01/27/63900005.jpg">Betsy</a>, are beautiful their whole lives. 
	- September 14
		- Here's the first release of <a href="https://github.com/scripting/publicfolder">publicFolder</a>. It's a Node app that runs on your desktop and keeps a folder in sync with a location on Amazon S3. We will have a simple-to-use shell soon, but for now, this is for experienced developers. I'm looking for help validating the software, to be sure it works, before building too much on top of it. I see this as essential system software, something we have to be confident in. If you have questions or comments, please post an <a href="https://github.com/scripting/publicfolder/issues">issue</a> on the repo. Here we go! :boom:
		- The first <a href="https://github.com/scripting/publicfolder/issues/1">question</a> is (of course): "Why isn't it just like everything else ever?" BTW, no criticism intended. Positioning <i>is</i> important. It's the first thing I think of too when looking at something new. :ok_hand: 
		- In 2013 I <a href="http://scripting.com/2013/12/12/howFacebookCanDiversify">wrote</a> about positioning between Twitter and Facebook.  
		- Something weird happened on my blog today, an <a href="https://github.com/scripting/Scripting-News/issues/27">S3 outage</a> of some kind, 503 (slow down) when it tried to read the CSS file. I wrote it up in case it happens again, I'll find it when I search for it, hopefully.
		- About <a href="https://www.nytimes.com/2017/09/13/style/wifi-network-names.html?partner=rss&emc=rss&_r=1">funny wifi router names</a>. I had a router ten or so years ago called <i>Google Public Wifi. </i>It was rumored that Google was going to deploy a huge free public wifi network in the Bay Area. I lived in an apartment in downtown Berkeley. I was hoping to start a rumor, maybe get it into Gizmodo or something, but it didn't happen. ;-)
		- <a href="https://github.com/scripting/Scripting-News/issues/26#issuecomment-329411730">SparkyT found</a> a problem with the new arrangement on "Scripting News", which I was able to quickly fix. If you spot any further problems, please <a href="https://github.com/scripting/Scripting-News/issues/26">report</a>. Thanks! :four_leaf_clover: 
		- Late in the day I realized that Twitter truncated my video about the tab-clicking problem, so I uploaded it <a href="https://www.youtube.com/watch?v=PspBzwW1rtk">to YouTube</a> where they show the whole thing. This video is more like a podcast than a concise demo. There's a little bit of philosophy in there. Hope you enjoy.
	- September 13
		- Good morning day-after-new-product-from-Apple fans. :pear:
		- I'm halfway through the second episode of <a href="https://en.wikipedia.org/wiki/Ozark_(TV_series)">Ozark</a>. It's very weird, for sure. But it's very much a network type TV show, even though there is nudity, strong language, violence. I don't know if they can keep up the pace. My experience with shows that start really fast is that they run out of gas around the middle of the season. I'll keep you posted.
		- Is President Trump a <a href="https://twitter.com/davewiner/status/908130741669810176">white supremacist</a>?
		- Thanks once again to the great Jonathan Chait at NY Mag for explaining <a href="http://nymag.com/daily/intelligencer/2017/09/sanderss-bill-gets-u-s-zero-percent-closer-to-single-payer.html">why Bernie Sanders is still selling unicorns</a>. Uncle Bernie is the worst hand-waver anywhere. 
		- Why I hate the press. They say oh Hillary why don't you shut up. Just go away. No one wants to hear what you have to say. But, hey Steve Bannon, that was great, can we have more. Haha you wear two shirts. We're smart, we saw that. We're funny, we have a great sense of humor. Never mind you've heard us say shit about Hillary for years, and we're kind of fascinated with Steve Bannon. 
		- How shocked the press are that Russians could plan events on Facebook for Americans in Idaho. What could possibly have stopped them? To stop that from happening, FB would also have to stop regular people from organizing using FB. You can see the problem with that hopefully.
		- One thing I don't understand wrt North Korea. What if the US said to China and Russia and everyone else, fuck you, you guys deal with them. We're standing down. If North Korea wants to blow us up, go for it. But as soon as they launch their missiles at us, we will launch ours at Moscow and Beijing. Deal with it. And btw, fuck you.
		- Work on "Scripting News" for some reason always gets dicey. That's why I've been shy of working on it for all the years. But I have to keep coming back to it. It's by far the most popular thing I have going on the net. Investment here is more productive than elsewhere. In any case, the problems are solved for now. We have tabs. The sidebar is gone, so we have scrolling with arrow keys again. Now I'm going to work on something else for a while!! Happy. :sunny:
		- TrumpLaw
			- What if Trump were to pardon white police officers of a crime, but not black officers? Would the pardon stand? What if he pardoned a police officer who had been found in contempt of a court order requiring him to stop violating people's rights? Which is more important -- the pardon or the rights that are being violated? And what happens to the court's power to protect us if the president can pardon people to circumvent legal court orders? Turns out there is a case for <a href="https://lawnewz.com/high-profile/judge-considers-defying-trump-over-arpaio-pardon/">vacating Trump's pardon</a> of Joe Arpaio. And this practice is even being given a name: <a href="http://www.washingtonexaminer.com/trumplaw-activist-judges-making-up-law-to-hobble-trump/article/2625184">TrumpLaw</a>. 
		- The amazing Scripting News community, part 287,658
			- I just spent a couple of hours trying to figure out why the tabs on the <a href="http://scripting.com/">new home page</a> don't work on an iPhone. I decided to ask you all if you had any ideas, so I <a href="https://twitter.com/davewiner/status/907980895688314880">recorded a video</a> to demo the problem, and outline my theory. Also took out the sidebar, and replaced it with a directory in the About outline. It was responsible for flakiness elsewhere. I'll probably add it back in a year after I've forgotten the problems it caused. (It's even worse than it appears.) Here's a <a href="https://github.com/scripting/Scripting-News/issues/26">place</a> to discuss. 
			- <iframe width="560" height="315" src="https://www.youtube.com/embed/PspBzwW1rtk" frameborder="0" allowfullscreen></iframe>
			- Update: <a href="https://twitter.com/sahilk/status/907982259591954432">Sahil Khan figured it out</a>. The element #idPageTopText is in front of the tabs, invisibly. It's not a problem on the desktop because there's more space. The fix was easy. Thanks to Mr Khan. (More proof that you often can't see what's right in front of you. In this case literally.)
	- September 12
		- Good morning new-product-from-Apple fans. :apple:
		- You know <a href="https://twitter.com/HITEXECUTIVE/status/907378269342769152">who</a> cares what Hillary Clinton has to say?
		- Serious fake news. You hear this idea all over the place. The Russians couldn't have known to target Facebook users without help from Americans. This is a crazy idea. Russia is on the Internet. Data moves around the net very easily. Someone in Moscow could have just as much info about America as someone in Boston. Crazy. 
		- <a href="http://nypost.com/2017/09/12/espns-nonsense-rankings-made-carmelo-anthony-angry/">Melo</a>, if you want respect, take a chance. No glory for you available on the Knicks. Find a cause worth fighting for. 
		- Got a <a href="https://github.com/scripting/Scripting-News/issues/26">report</a> that clicking on tabs on mobile devices does not work. I am able to reproduce it here. I will look into that first thing tomorrow, with a fresh start. It's been a long (successful) day! 
		- Update at 12:40PM Eastern: I replaced the old JS and CSS files with the new ones that support the tabbed home page. Here's an example of a <a href="http://scripting.com/2017/09/">month archive</a> page, and a <a href="http://scripting.com/2017/09/08.html">day archive</a> page. They seem to work. I see a few CSS glitches. (The color of the wedges on the Twitter inclusions are wrong.) I still have to add the <a href="https://github.com/scripting/Scripting-News/issues/25#issuecomment-328613821">fix</a> for arrow keys and Page Up and Down. 
		- The corner is turned. There are <a href="http:///scripting.com/images/2017/09/12/tabsOnHomePage.png">tabs on the home page</a>. Still loose ends to tie up. I have to edit the links in the sidebar and on the About tab. Re-integrate the new JS file with the one used prior to this turn. Same with CSS. But the heavy lifting appears to be done as of 11:52AM Eastern. Knock wood. Praise Murphy. I am not a lawyer. It's even worse than it appears. :boom:
		- I tried watching the Apple keynote. I closed the window when he started talking about the new visitor center. I'm sorry, I don't care.  
		- What <a href="https://twitter.com/thereaIbanksy/status/907644988636397568">you</a> think of yourself is more important than what others think of you.
		- Apple products coming today
			- Briefly, I don't expect to want any of them. 
			- I have a watch, an iPhone 6, two iPads (one mini, one medium), an Apple TV, a PowerBook, two iMacs. 
			- Apple has made some compelling and useful products, but for now I'm happy with what I have. Let's see if anything announced changes that. I love computer lust. It's been a while. 
	- September 11
		- I'm working on a new version of the "Scripting News" home page. It has three tabs, Blog, Links and About. I was able to bring the tabs back without making too much mess. I really want a clean reading experience. The other big change is that it will now require JavaScript be turned on. I can't keep two versions going and do all the other stuff I have to do. Pretty much everything on the web requires JS nowadays, and there is the <a href="http://scripting.com/rss.xml">RSS feed</a> that has full text of everything, so you will be able to read the blog if you really want to. 
		- It's a good day to think about web history. There was a lot of news on this day <a href="http://scripting.com/2001/09/11.html">16 years ago</a>. My archive for that day is still here, but many of the sites I linked to that day are gone. "I've tried to sound the alarms. Every day we lose more of the history of the web. Every day is an opportunity to act to make sure we don't lose more of it. And we should be putting systems into place to be more sure we don't lose future history." I wrote that <a href="http://scripting.com/2015/09/11/aGoodDayToThinkAboutWebHistory.html">two years ago</a>. We're not doing better, we're doing worse. This is the web equivalent of climate change. Every non-backward-compatible "improvement" to the web kills more archives. 
		- When I hear about <a href="http://nypost.com/2017/09/11/at-least-8-dead-after-shooting-in-north-texas-home-police/">seven people killed</a> at a Dallas Cowboys watch party I think of this speech by <a href="http://www.tmj4.com/news/local-news/spirited-debate-on-effects-of-wis-concealed-carry-law-on-milwaukees-crime-problem">Milwaukee police chief</a> Ed Flynn on how loose gun laws ruin lives. "Stupid disputes that would have been fist fights are now shootings." What are the chances that that's what happened in Plano last night?
		- <a href="https://twitter.com/davisshaver/status/907246351968342019">Davis asks</a> good questions. Like this. "Are journalists more likely to view Amazon in positive light now that Bezos owns the Post? Perhaps even subconsciously?" Yes, of course. Because journalists love to get paid. (As we all do.) It's the ultimate form of recognition. Now Bezos is not only in a position to reward journalists, he is able to endow a journalist with enough money so you can do things that have nothing to do with making money. He can put you on the Woodward-Bernstein platform.  Bezos is A-number-one-journalism-sugardaddy right now. The previous #1 was Pierre Omidyar, but now not so much because his once-promising journalism venture didn't turn out to be all that great. 
		- I have another story to tell about influencing journalists. In the 80s I ran a commercial software company, we advertised in most of the industry weeklies. I noticed that the adjectives we used to describe our product were turning up in stories the journalists wrote about us. Journalists read the ads in their own pubs. Not surprising, nor wrong. But I doubt most journalists would admit it. 
		- <a href="https://om.co/2017/09/11/are-top-us-startups-really-startups-dont-think-so/">Om asks</a> if the top US startups are really startups. If they are, we need a new word for what we used to call startups.  
		- Arrow keys on Scripting News?
			- Yesterday on the UX thread, <a href="https://github.com/scripting/Scripting-News/issues/25#issuecomment-328370408">kwebble</a> says:
				- <i>After opening scripting.com it's not possible to navigate up/down with the keyboard using the up/down or pageup/pagedown cursor keys. I guess focus is not on the content are, but somewhere else.</i>
			- He's right. This is reproducible. Now, how to fix it?
			- I tried setting the focus to the divPagebody element on startup, but that didn't do it. This is a hard problem to <a href="https://www.google.com/search?q=why+don%27t+the+arrow+keys+work+in+my+web+page&rlz=1C5CHFA_enUS743US747&oq=why+d&aqs=chrome.0.69i59j69i60l2j69i57j69i60j0.1359j0j4&sourceid=chrome&ie=UTF-8">search</a> for, but other people must have encountered it. I don't think I ever have. 
			- If you have ideas or pointers, please post a comment on the <a href="https://github.com/scripting/Scripting-News/issues/25#issuecomment-328370408">GitHub issue</a> thread. <i>Thanks!</i>
	- September 10
		- It's all <a href="http://www.nhc.noaa.gov/graphics_at1.shtml?cone">Irma</a> all the time. I hope <a href="https://en.wikipedia.org/wiki/Robert_Mueller">Mueller</a> is still working on <a href="https://impeachdonaldtrumpnow.org/">Trump</a>.
		- This is a good time to comment on user-experience <a href="https://github.com/scripting/Scripting-News/issues/25#issuecomment-328340876">issues</a> with the "Scripting News" website, because I'm actively working on little cleanups and additions. One question came up, could we have a link from every archive page back to the home page? It turns out there is a link, it's at the top of the page. If you click on the name SCRIPTING NEWS it will take you to the home page. Here's a <a href="http:///scripting.com/images/2017/09/10/whereToClickToGoHome.png">screen shot</a>. Some things are so "in your face" you can't see them. Happens to me all the time. 
		- The thing people don't realize about storm surge, and they don't really explain it on TV, is this. If the ocean surges 1 mile inland, and you were on the beach before the surge, now you're 1 mile out to sea. In normal times you'd be pretty fucked if someone dropped you in the ocean a mile from shore. But you're in a hurricane. Huge waves. There's no one to rescue you. And (this is the part that will kill you) there are deadly objects in the water like buildings and trees and power lines, even a rope can entangle you and make it impossible for you to swim. And if you can't swim and you're a mile from shore, that's the end of you.
		- Assuming the republic survives Trump, the next president we elect will likely be the opposite of Trump, that is -- not a celebrity, not flamboyant, an insider, someone who will shut up and do the job. So when you hear the Dems should nominate someone like <a href="https://twitter.com/hackteck/status/906887538215997442">George Clooney</a> or even Al Franken, remember next time around we'll more likely want a bureaucrat, someone like Joe Biden or Kamala Harris. Let the government govern. Let's get the EPA back on track. Health care for everyone. Rejoin the Paris climate change accord. Etc etc.
		- People say it's going to be hard to run against Trump. Maybe I'm missing something. Suppose the leading car company produced a car that exploded when you turned the ignition. Or an airline that crashed every flight. A bank that lost all your money. It would be easy to launch a competitor to those companies, why is it any more complicated to run against an incompetent president? You just have to say it clearly. That seems to be the hard part, which is weird because that's what politicians are supposed to be good at. 
	- September 9
		- Good morning Florida! :palm_tree: 
		- After Katrina I <a href="http://scripting.com/2005/12/15.html">visited</a> Biloxi/Gulfport to see results of 25 foot storm surge. I took a lot of <a href="https://www.flickr.com/photos/scriptingnews/sets/1588659/">photos</a>.
		- I posted a <a href="http://fieldguide.gizmodo.com/1802969137">comment</a> on the very cool <a href="http://fieldguide.gizmodo.com/why-rss-feeds-still-beat-facebook-and-twitter-for-track-1800722740">Gizmodo RSS piece</a>. 
		- Yes, Twitter and Facebook are infested with fake people. Journalism can create new aggregations of news that aren't. Start with your bookmarks and "River5". Let's go!
		- To <a href="http://talkingpointsmemo.com/livewire/scott-pruitt-climate-change-insensitive-floridians">Scott Pruitt</a>, if you don't like to talk about climate change you should get another job. Your current <a href="https://en.wikipedia.org/wiki/Administrator_of_the_Environmental_Protection_Agency">job</a> is all about <a href="https://www.bloomberg.com/news/articles/2017-09-08/how-science-links-climate-change-to-irma-s-wallop-quicktake-q-a">climate change</a>. 24-by-7, 52 weeks a year, rain or shine. 
		- What the Equifax breach means
			- The <a href="http://www.techmeme.com/170908/p13#a170908p13">security</a> <a href="http://www.latimes.com/business/hiltzik/la-fi-hiltzik-equifax-breach-20170908-story.html">breach</a> at <a href="https://arstechnica.com/tech-policy/2017/09/are-you-an-equifax-breach-victim-you-must-give-up-right-to-sue-to-find-out/">Equifax</a> is much more than a security breach. You could say it's 1/2 of a meltdown of the economic system in the US. 
			- I haven't heard anyone say exactly what information has escaped, let's assume it's the worst, it's all the info needed to identify a person. Maybe their credit history, although with this information you could access anyone's history. So why would you bother <a href="https://www.axios.com/what-to-do-next-after-equifaxs-security-breach-2483302344.html">locking</a> your account so lenders know not to give you any loans? Is anyone going to trust that info in the future? I can't see why they would. 
			- I haven't seen anyone suggest you change your password this time. It's usually pointless advice, but this time it would be especially idiotic. You can't change your birthdate, social security number or mother's maiden name. 
			- I say this is only 1/2 because the other half would be a meltdown of the money system. Suppose you went to the ATM to get some cash and found you didn't have an account. Or your brokerage account was cleaned out. Or you learn that your mortgage payments have been going to Russia and you no longer have a place to live. 
			- When that happens, and I can't imagine it <i>won't, </i>it will be a civilization-level meltdown. If you think the US govt is doing anything to prevent it, well I'm not very confident about that. 
		- Instant Dave update
			- Happy to report that more people are tuning in to "Instant Dave". Now we can start learning and developing. It will be an interactive experience. I want to create a new kind of environment, to stimulate thinking and to get ideas for new features, shaping what I hope will become a new medium.
			- Naturally people ask how can they get their own? And that's something I don't know how to answer, at least not yet. But the name suggests that in addition to "Instant Dave" there will be other <i>Instants. </i>
			- I'd say the first step is to blog, and then start a linkblog (like <a href="http://scripting.com/links.html">this</a>) and use a photo service like <a href="https://www.flickr.com/">Flickr</a> that has "RSS" support. The idea is to aggregate them all into one easy to follow stream. 
			- What software to use? For blogging, obviously there are lots of choices and they all support "RSS" which of course is the basic technology behind the <i>Instant</i> movement. Your podcasts will have an <a href="http://fieldguide.gizmodo.com/why-rss-feeds-still-beat-facebook-and-twitter-for-track-1800722740">RSS</a> feed (or else they are not podcasts and shouldn't be calling themselves that). For linkblogging I recommend my own "Radio3". And to aggregate them all into one stream, try "River5" or "Electric River". 
			- And of course use "Instant Dave". If you're going to be an actor you want to soak up as much other people's acting as possible, so you can steal ideas from them. Blogging is no different. :boom:
	- September 8
		- Gooooood morning everybody! :deciduous_tree: 
		- I did a <a href="https://twitter.com/davewiner/status/906191200838877184">video demo</a> of Electric Pork, on Twitter. When you post a video direct to Twitter it works better than linking to a YouTube video. I had never tried it, never even thought to do it before.
		- Really good piece <a href="http://fieldguide.gizmodo.com/why-rss-feeds-still-beat-facebook-and-twitter-for-track-1800722740?utm_medium=sharefromsite&utm_source=Field_Guide_twitter">on Gizmodo</a> about why "RSS" is the best way to get news. Basically you  see what the news orgs publish, not what's popular or what Facebook wants you to see (for whatever reason). Gizmodo lists popular RSS readers. Let me put in a plug for my own "Electric River", which brings the power of "River5" (a server app) to the desktop. You get even more control when you run the aggregator. 
		- I'm looking at bringing back the tabs on "Scripting News". Technically it's straightforward, however on a blog, it raises a question. What about people who browse with JavaScript turned off? Tabs are implemented with JavaScript. I can make the page work as it does now for people without JavaScript, but that means it will be ugly for people with JavaScript turned on. Since I'm one of them, I resist doing that. I'd like to get an idea of what you all think, so I <a href="https://github.com/scripting/Scripting-News/issues/25">started an issue</a> for this on GitHub. 
		- Davis Shaver is getting started with "PagePark" and wonders how to <a href="https://github.com/scripting/pagePark/issues/6">make SSL work</a> in PagePark. I would like to know if there's anything I need to change to make it work. While I am opposed to the dance Google is trying to make us all do, I want my product to work for everyone it can work for. In other words I don't like to do strategy taxes if possible. 
		- <a href="https://twitter.com/davewiner/status/906266152623591424">Poll</a>: Would you forgive me if my blog was only readable w JavaScript?
		- Interesting <a href="http://nymag.com/daily/intelligencer/2017/09/5-reasons-why-a-dreamer-bill-could-really-happen.html">piece</a> this morning by Jonathan Chait at NY Mag about why there might be a <a href="https://en.wikipedia.org/wiki/DREAM_Act">Dream Act</a> that becomes law now, even though they've been trying in Congress for 16 years. One item he didn't mention -- as <a href="https://en.wikipedia.org/wiki/1972_Nixon_visit_to_China">Nixon</a> was able to open American relations with China because he was such an outspoken <a href="https://www.washingtonpost.com/opinions/nixons-great-decision-on-china-40-years-later/2012/02/10/gIQAtFh34Q_story.html?utm_term=.6d97df88e5a5">anti-communist</a>, Trump might be able to get Congress to do this because of his rep as anti-immigrant. The reasoning goes "If it's ok with Trump it must be ok."
		- One more thing. When <a href="https://en.wikipedia.org/wiki/Jonathan_Chait">Chait</a> took a vacation in August his presence was missed. He's such a lucid thinker and writer. He explains things so well, and finds connections everyone else misses. 
		- Sometimes when people misunderstand a product or feature they give you ideas for how it might work. Creativity sometimes comes just from not knowing something. Another reason it's important to listen, you never know how new ideas will arrive. 
	- September 7
		- Good morning sports fans! :football:
		- <a href="https://github.com/scripting/githubpub">githubpub</a> is a Node app that serves from GitHub repositories.
		- A <a href="https://twitter.com/BrendanEich/status/905677632225763328">magnificent thread</a> on how JavaScript got its name. Gets me thinking about paths not-taken. Frontier is of course built around a language and a database. I wanted to call the language Juicy, because it was like C, and Doug and I are Jewish. I was voted down. Too colorful I guess. But I <a href="http://images.scripting.com/archiveScriptingCom/2009/10/13/17.jpg">like</a> color in my product names.  ThinkTank was probably my best name, and I didn't even come up with it. Mike Conner, a guy from Apple, in 1982, came up with it. Those were the days. I think Public Folder might be a pretty good name. Although I really love Small Picture. I still have the domain of course. 
		- A funny thing happens when I criticize the <a href="http://www.msnbc.com/msnbc-live-ari-melber">Ari Melber show</a> on Twitter, I sometimes get a response from <a href="https://twitter.com/AriMelber">Ari Melber</a>. I wonder if it's <i>Melber Actual</i> typing. Yesterday he had a bit about an important Trump appointee and the guests were smart and had a lot to say, but they cut that short to do segment on dating in the Age of Trump which I think is ridiculous. BTW, it appears Trump has <a href="https://www.bna.com/trump-pick-top-n73014464231/">appointed</a> <a href="https://en.wikipedia.org/wiki/Eric_Dreiband">someone</a> to run Civil Rights at DOJ who is like his appointment to run the EPA, someone opposed to the idea of civil rights. If there's more to know about this, I want to know it. 
		- According to <a href="http://scripting.com/2005/08/15.html">this blog</a>, the word <i>podcast</i> was added to the <a href="http://www.oed.com/">OED</a> in August 2005. So if you think the idea of podcasting arrived fully developed in 2015, well the process took a bit longer. :balloon:
		- Reminder to self: Small fixes on "Instant Dave". Strip markup from desktop notifications. Do something to gracefully handle changes to a user's Twitter icon. 
		- BTW, "Instant Dave" is two-way. If you log in, you can <a href="http:///scripting.com/images/2017/09/07/instantDaveWhereToPost.png">post messages</a> to the flow. At this time only I will see your message. Everyone sees my replies. I know it's awkward. But we're just getting started. As I've said before I'd love to see other sites take a similar approach: Instant Axios, or Instant Daring Fireball, as examples. Some blogs and news sites form communities. We all have multiple flows now. This project's goal is to learn about joining the flows and having a platform for communities to grow, outside the silos. So we are not limited by their vision of who we are.  :money_with_wings: 
		- Rotten Tomatoes is brilliant
			- Rotten Tomatoes is a brilliant name because you expect nasty reviews. People are attracted to flames. So if you advertise with a flamey title like Rotten Tomatoes, that automatically makes you want to go there. 
			- The best YouTube channel would be person-on-the-street interviews with people who tell you about companies that screwed them. Set up a camera in Times Square or in front of Trump Tower and start recording. Instant hit.
	- September 6
		- Here's a <a href="https://github.com/scripting/Scripting-News/issues/24">place</a> to ask questions about <a href="http://scripting.com/2017/09/05.html">Public Folder</a>. 
		- Instead of watching Hardball on MSNBC I watched the last hour of Frost/Nixon, time well spent. Great movie. And Trump totally rehabs Nixon.
		- Working my way through <a href="https://en.wikipedia.org/wiki/Narcos_(season_3)">Narcos</a>, season 3. At first it didn't hold my interest, but four episodes in, I'm getting hooked. Also looking forward to the next season of <a href="https://en.wikipedia.org/wiki/BoJack_Horseman">Bojack Horseman</a>, on Netflix, on Friday. 
		- <a href="http://talkingpointsmemo.com/livewire/trump-exclaims-irma-size">Trump tweets</a> as if he were a spectator not the president. The most shocking realization when I did <a href="http://scripting.com/davenet/1996/03/01/juryduty.html">jury duty</a> was that I was the jury. I had spent so much time reading and watching courtroom dramas that it snuck up on me that the body of the trial was in my own body. After years of tweeting at and about presidents, I don't think <i>El Orange</i> has yet realized he's the guy in the hot seat. 
		- <a href="https://twitter.com/KenSmith">Ken Smith</a> reported a problem with "Instant Dave" that I was able to easily reproduce and the problem appears to be fixed in v0.5.3, which is now available for download. Thanks Ken! :balloon:
		- For JavaScript nerds, the problem was this. Whenever a new item came in or was updated, I ran a bit of magic jQuery code that caused all links to open in an external window, outside the Electron context. If you let the app run for a while, one click would open five tabs (same link five times). Eventually one click would open 1000 tabs. The problem was fixed by adding a single line of code, to unregister the click handler before re-registering it, assuring that there's only one handler for each link. Here's the <a href="https://gist.github.com/scripting/b7234a0840112217c0945cd92acf8acd">new code</a>. 
		- One year ago today, a bit of <a href="http://scripting.com/2016/09/06/facebookAlreadyHasStylingAndLinks.html">news about Facebook</a> that made me realize once and for all that they don't care about the world outside of Facebook. Maybe <i>they</i> don't know that about themselves, it's possible they're not paying attention, but the net-effect is the same.
		- <img src="http:///scripting.com/images/2017/09/06/pretzelLogic.png" width="85" height="84" border="0" style="border: 1px solid silver; float: right; margin: 15px;" alt="A picture named pretzelLogic.png">Last night I got a very NakedJen-like text from NakedJen, an effervescent effluvience of love and Jen-ness. She has emerged from Burning Man, so my work appears to be finished with the <a href="http://this.how/burnerNews/">Burner News</a> page. A bunch of stuff happened while the Burners were offline: Trump's transgender ban, Trump pardoned Joe Arpaio, Hurricane Harvey destroyed Houston, the fourth-largest American city, North Korea launched an ICBM-like missile over Japan, Mattis decided for now transgender troops will stay, a Utah nurse is arrested for preventing police from taking blood from an unconscious patient (an important story, more so since Jen is from Utah), Walter Becker of Steely Dan died, North Korea tested a hydrogen bomb, Trump rescinds DACA, Hurricane Irma is heading towards Miami, Hurricane Jose is right behind it.
	- September 5
		- I'm getting close with the <i>Public Folder</i> project. Here's the concept. If you can get it running on your desktop, you can have any number of simple-to-write publishing systems running there too. It takes care of exactly what's needed for a person to publish without any opinion about the software you use to do the writing or rendering. 
		- Dropbox was quite close to the idea of <i>Public Folder, </i>but once it became popular they pulled back from it. As I understand it, if you created your account after 2012, you didn't have a public folder. I did, because I was an early adopter. It was good, but had missing features, which I lamented here on this blog many-a-time. If only they had seen Dropbox as a publishing platform, but they didn't. They finally turned the feature off on Sept 1, four days ago.
		- Another precursor of <i>Public Folder</i> was upstreaming in Radio UserLand, released in 2002. PF should be a lot more efficient and powerful, but that said, upstreaming was pretty good, and Radio -- through upstreaming -- was one of the pillars of the early blogosphere, and an interesting web product as well. Radio had a CMS built in. This time around I have created that as a separate module. I'm pretty sure any static site generator that runs where Node runs will be compatible with Public Folder. 
		- One more thing. There's a <a href="http://publicfolder.io/">placeholder site</a> for the project, and there will also be a public GitHub repo, and more. ;-)
		- I put flowers on my blog today to honor the life of Ted Rheingold, who died yesterday. Cancer. He wrote about it <a href="https://medium.com/season-of-the-witch">on the web</a>, of course. A natural-born blogger. Apparently Ted asked for a new <a href="https://twitter.com/jw/status/904941100644818945">laptop sticker</a>, and it's a good one. Looks like a <a href="https://en.wikipedia.org/wiki/Clematis">clematis</a> flower with a simple message -- <i>Enjoy Every Day. </i>
		- What we used to call tweetstorms are now call threads, and they're <a href="http://www.politico.com/magazine/story/2017/09/05/twitter-thread-social-media-trend-215539">huge</a>. There is no better way to post a thread than "Electric Pork", a Mac app that chops a blog-post-length tweet into a beautiful thread, written by yours truly, the author of this humble blog.  :boom: 
		- Another huge hurricane is <a href="http://www.tampabay.com/news/weather/hurricanes/hurricane-irma-still-targeting-florida-with-category-4-intensity/2336263">bearing down</a> on the US, and the best our president can think to do is deport decent young Americans.
	- September 4
		- "Instant Dave" is an approximation of what's on my mind.
		- Quickly turned on @msnbc. They're in heavy-war-selling mode. Crisis. Repubs out of patience. Turned it off.
		- We are all living in 2017 while <a href="https://twitter.com/ascaniospread/status/904277827964477440">this kid</a> is living in 3017.
		- Hey instead of "taking back" this or that, how about we get good people in the important jobs and work on making things better.
		- I stumbled across this <a href="http://static.scripting.com/photos/archive/2005/05/22/stormyAtlanticInCrescentBeachFl/original.jpg">gorgeous picture</a> I took 14 years ago at the <a href="https://www.yelp.com/biz/crescent-beach-st-augustine">beach</a> in Florida. That's one of the reasons I have a blog. So I can leave a memory of this on the web. 
		- <a href="http://www.politico.com/story/2017/09/03/election-hackers-russia-cyberattack-voting-242266">Politico</a>: "The U.S. needs hundreds of millions of dollars to protect future elections from hackers — but neither the states nor Congress is rushing to fill the gap." Our president wants to build a physical wall though. 
		- I really went to town on the <a href="https://github.com/scripting/s3BigUpload">s3BigUpload demo app</a>. Not sure why. Hope someone finds it useful. Post an <a href="https://github.com/scripting/s3BigUpload/issues">issue</a> if you have feedback. 
		- I worry what will happen when and if NPM or GitHub add business models to the services they provide. I pay GitHub a monthly fee, to help be somewhat sure <a href="https://github.com/scripting?tab=repositories">my repos</a> are not filled with ads or made to comply with some rule I don't support. It's so funny to see the press just begin to tune into the power tech companies have to interfere with our creative work. I've been ringing this bell for a very long time. 
		- If you want an idea of what can go wrong, read this <a href="https://arstechnica.com/information-technology/2016/06/under-new-management-sourceforge-moves-to-put-badness-in-past/">Ars Technica piece</a> on the downfall of SourceForge, which was GitHub's predecessor. 
		- It's always something
			- Here's something I learned the other day. I have this awful pain in both my feet in the heel that happens whenever I walk. That's right when I walk. I thought oh shit this is going to mean surgery for sure. I looked it up on the net. Turns out lots of people get this.
			- They recommend special shoes or orthotics, which means a trip to a bunch of special doctors which is something I totally hate, because they all get their money, and that means tests and all kinds of shit that you know is going to come out false.
			- Anyway, I thought it might have something to do with the way I sat, so I tried to adjust the chair I sit in when I work, and realized as I bent down that I was getting this nice good feeling from the part of my heels that hurt. And the rest of the day, no pain! Turns out I needed to stretch the muscles.
	- September 3
		- <a href="https://github.com/scripting/s3BigUpload">Demo app</a> for big file uploads to S3 in Node/JavaScript with streams.
		- <a href="https://en.wikipedia.org/wiki/Steely_Dan">Steely Dan</a> was a favorite of mine in a wonderful and uplifting period of my life, when I was a grad student in <a href="https://www.cs.wisc.edu/">Madison</a> in the mid-late 70s. I was finally an adult, in love, lots of friends and accomplishments everywhere. Firing on all cylinders. One of the most prime periods of my life. I guess I'm going to listen to a lot of Steely Dan in the next few weeks. Kind of the way we listened to a lot of Prince last year. Donald Fagen <a href="https://twitter.com/search?q=donald+fagen+on+walter+becker&ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Esearch">wrote</a> about his friendship with <a href="https://www.nytimes.com/2017/09/03/arts/music/walter-becker-dead-steely-dan.html?_r=0">Walter Becker</a>. We all were friends with him through their creativity.  
		- Not focusing on Trump so much these days. I think he's a known entity. More of a void than an presence. For now, we're careening on the brink of nuclear, economic and environmental disaster. I'll let you know if that changes. 
		- If you want an America that works for Americans, here's your chance. Trump is cutting the money to let people know when the ObamaCare registration period begins (Nov 1) and ends (Dec 15). All we have to do is fill in for the missing ads. Get creative. <a href="https://twitter.com/davewiner/status/904039341219082240">Here's</a> the basic info. <i>Pass it on. </i>
	- September 2
		- It was <a href="https://twitter.com/davewiner/status/904158043247710209">driving</a> me crazy. I had used a picture of a frog in a suit in the right margin of yesterday's <a href="http://scripting.com/2017/09/01.html">edition</a>, and I didn't know what book it came from. I got the image from the archive of Scripting News. Sometimes I just look through <a href="https://duckduckgo.com/?q=site%3Ascripting.com+public&t=h_&iar=images&iax=1&ia=images">images</a> I've used before based on concept, and see what pops up. On Twitter, Debra Scherer <a href="https://twitter.com/schererforever/status/904158368415313921">suggests</a> the character might be from <a href="https://www.goodreads.com/book/show/5659.The_Wind_in_the_Willows">Wind in the Willows</a>, a book I must have read as a child. He could be <a href="https://en.wikipedia.org/wiki/Mr._Toad">Mr Toad</a>. Regardless there are some outstanding <a href="https://duckduckgo.com/?q=%22wind+in+the+willows%22&t=h_&iax=1&ia=images">images</a> from the <a href="https://www.amazon.com/Wind-Willows-illustrations-Arthur-Rackham-ebook/dp/B00ZE3M9FM/ref=sr_1_1?s=digital-text&ie=UTF8&qid=1504404748&sr=1-1&keywords=wind+in+the+willows">book</a>, and I hope to use many of them as decorations here. 
		- Here's the <a href="https://twitter.com/davewiner/status/904039341219082240">human chain</a> for ObamaCare. Enrollment is Nov 1 to Dec 15. 
		- You should try "instant dave". Launch it and leave it in the background. If I'm working I'll be there with you. I love getting comments and <i>likes</i> there.
		- Pro tip. <a href="http://screen2.io/">screen2.io</a> has exactly the same content as Instant Dave, in a web page.
		- <a href="https://github.com/scripting/chokidar-hello-world#v041----9217-by-dw">Update</a> to Chokidar hello world <a href="https://github.com/scripting/chokidar-hello-world/blob/master/hello.js">app</a>, with a setting for <i>awaitWriteFinish.</i> 
	- September 1
		- A new <a href="http://dave.blog/2017/09/01/theNewDaveblog.html">purpose</a> for dave.blog. 
		- It would be cool if <a href="https://en.wikipedia.org/wiki/Banksy">Banksy</a> picked a random <a href="https://en.wikipedia.org/wiki/Red_states_and_blue_states">red state</a> to work in a for a bit.
		- If you were using <a href="https://www.dropbox.com/help/files-folders/public-folder">Dropbox's public folder feature</a>,  it stopped working earlier today, about five hours ago. The change was announced long in advance, but today was the day it actually stopped working. I was using the public folder of my Dropbox in a few of my apps. It was a great feature, a kind of interprocess communication for Everyman. I wish they had gone the other way and enhanced it, but I understand that it wasn't in their longterm direction. However it is important in <i>my</i> longterm direction. I'm working on a desktop product called <a href="http://publicfolder.io/">Public Folder</a> that does more or less what it used to do. I plan to share the product. 
		- Fresh papaya and lime is the best.
		- I've written about <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22sources+go+direct%22&t=h_&ia=web">Sources Go Direct</a> so many times, thanks to Ken Smith for digging up <a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">this one</a>. I think it's the most concise explainer.  
		- What if we formed a <a href="http://www.cnn.com/videos/weather/2017/08/30/human-chain-harvey-rescue-ath.cnn">human chain</a> to let people <a href="http://talkingpointsmemo.com/dc/trump-hhs-open-enrollment-navigators-sabotage">know</a> it's time to re-enroll for their Obamacare? That would be some serious and easily doable activism. If we can't organize ourselves to use the health care system we have, then we don't deserve a health care system, imho.
		- All of a sudden <a href="http://www.techmeme.com/170901/p1#a170901p1">reporters realize</a> that Google pushes people around and suppresses ideas they find threatening. As I like to say "it's even worse than it appears." I've been reporting this here since the <a href="http://scripting.com/davenet/">inception</a> of this blog in 1994. Google continues a long tradition of tech companies holding back progress to maintain their dominance.  The web and blogging and have allowed us to circumvent this, to some extent. BTW, of course it's not just Google. There's a continuous chain of <a href="https://en.wikipedia.org/wiki/Fear,_uncertainty_and_doubt">bullshit</a> tech companies going back to the beginning. They all do it.  
		- It's hard to believe that <a href="http://www-03.ibm.com/ibm/history/ibm100/us/en/icons/personalcomputer/words/">IBM</a> is proud of <i>Nobody ever got fired for buying IBM. </i>It was their patent on mediocrity. How many IBM people hid behind that excuse for not doing something they could do, that the market wanted but they could obstruct because they were seen as the safe non-controversial choice. Of course eventually this ran out, I was happy to be there when it happened. They tried to FUD Windows and Compaq and guess what, it didn't work. :boom:
		- What is an ICO?
			- I've reconnected with <a href="https://twitter.com/christophera">Chris Allen</a>, a friend from the Old Mac Days, the mid-late 80s. We used to hang out at the <a href="https://developer.apple.com/wwdc/">WWDC</a> back when it wasn't such a juggernaut and pretty much anyone could buy a ticket. <a href="https://www.linkedin.com/in/christophera/">Chris</a> went on to develop SSL with Netscape, and has become a guru in blockchain technologies. Yesterday on Facebook I asked him what an ICO is:
				- I want to know what an ICO is. I saw you write about it earlier today. The amounts of money are astounding. Are they real? Can you turn the coins you get into US dollars that you can use to hire people and buy office furniture? Or does the value only exist in a theoretical sense? Or something else entirely?
			- And Chris had an answer, and it was as I expected, direct and honest.
				- To avoid securities regulations, an Initial Coin Offering is a cryptographic asset that can be used to purchase access to a network or a service. The computer equivalent of buying a token at the entrance of an arcade that can be used to play arcade and video games.
				- The big change lately is that due to standardization you can easily issue these tokens in exchange for Ethereum or Bitcoin. Once purchased, they can easily be traded back using a cooperative currency exchange. You can then trade these back out for fiat.
				- There are many regulatory questions: many may fail the <a href="http://consumer.findlaw.com/securities-law/what-is-the-howey-test.html">Howey Test</a> thus are actually securities after all and thus issuers, exchanges and sellers may be subject to fines and jail time. Others claim to not be subject to US law as they prohibit sales to US citizens.
				- I think there are valid uses for cryptographic tokens, but am quite concerned that many of these are little more than scams. Others are well intentioned but not well thought out.
				- I personally want more tools to support shared commons, and current ICOs are about halfway there. Thus my focus more on <a href="http://www.tokenethics.com/">TokenEthics</a>.
