- March 2018
	- March 31
		- New <a href="https://www.npmjs.com/package/davefeedread">davefeedread</a> package. Back when I was doing all my server work in Frontier, I had a <a href="http://scripting.com/images/2018/03/31/xml.rss.getFeedItems.png">verb</a> that, given a URL, would parse a feed and return a struct. It did all the work behind a simple interface. When it came time to fix encoding in feedBase, I decided to invest in having it be that simple in Node. I have the new <a href="https://github.com/scripting/feedRead">package</a> running inside "feedbase" now. It seems to work. You're welcome to use it in your projects as well, of course. 
		- "There's more to life than a little money," Marge <a href="https://www.youtube.com/watch?v=0hL-fpCsGR8">said</a>, as if talking to Republicans. "Don't you know that?"
		- If anyone from Facebook is listening, now would be a great time to do something kind and generous for the open web. Like for example supporting a subset of Markdown in  posts and comments. Most important to support linking. Would do a lot to breathe new life into the web.
		- Next items on my "feedbase" todo. Handle feeds that have special characters, such as feeds in German or Chinese, and merge duplicates, two or more URLs that point to the same feed. I'm going very slow with the changes. This is a long-term project, it's important to get it right. Very different from the first time around with "RSS" apps when everything was a rush. Also want to take a look at display on phones and tablets. If you have any problems you'd like to report, here's a <a href="https://github.com/scripting/feedBase/issues/25">fresh thread</a> to post in.
		- <a href="http://scripting.com/2018/03/30/howMelberCoversFacebook.m4a">8-minute podcast</a>. I often watch <a href="https://twitter.com/AriMelber">Ari Melber's</a> show on MSNBC, but when they turn to Facebook I get ready to be angry because they screw the story up so badly. Zuck pitched <a href="https://en.wikipedia.org/wiki/Dmitry_Medvedev">Medvedev</a> and China. He says he wants regulation but has lobbyists that worked against it. Great, you embarrass him, but the net-effect is they continue to destroy the open web. Why don't we work on something that really matters that isn't about Russia or doesn't feel like Watergate. Tech makes messes when companies get dominant. Finding things Facebook is <a href="http://scripting.com/2016/09/06/facebookAlreadyHasStylingAndLinks.html">screwing</a> up is easy. But Melber and the rest of the folks in the mainstream press have not found it. Same with <a href="http://this.how/googleAndHttp/">Google</a>. 
	- March 30
		- I was <a href="http://scripting.com/2018/03/29/151338.html">email-interviewed</a> for this Wired <a href="https://www.wired.com/story/rss-readers-feedly-inoreader-old-reader/">piece</a> about "RSS".  
		- <a href="https://github.com/scripting/Scripting-News/issues/72">Brain trust query</a>: I'm trying to use the <a href="https://www.npmjs.com/package/iconv">iconv</a> package in Node to translate from ISO-8859-1 to UTF-8. I have a very small <a href="https://gist.github.com/scripting/f68093b4da471028a821c3da467c62af">test program</a> that fails. Hopefully someone more experienced in Node and encodings can help find the problem. Thanks in advance. :boom:
		- From the <a href="https://en.wikipedia.org/wiki/Boiling_frog">frog-in-boiling-water</a> department. How long before Russian oligarchs murder a journalist in the US? A member of Congress? A US attorney? How will that chill discourse in politics? And assuming their <a href="https://www.youtube.com/watch?v=UaVWRetR4jg">puppet</a> stays in office, because what Congress of either party is going to impeach a president if they might get killed for their vote, how long before social networks are as regulated as those in China? This is likely our future. Not sure we can do anything at this time to prevent it. 
		- However, we're not out of options. We could mass-migrate to low population Republican-dominated states and change the composition of the Senate and the Electoral College.
	- March 29
		- I love this <a href="https://www.youtube.com/watch?v=bwz9X6ejuiQ">GEICO commercial</a> because it reminds me how journalists talk with readers. As if saying "Isn't it cute. The human knows how to speak."
		- Re the <a href="https://en.wikipedia.org/wiki/Royal_we">Royal We</a>. I use it in the piece below. I finally understand why it's not arrogant. When I say "we" I mean of course "me" but also the readers of this blog. I haven't been shy in my praise of Scott in the past. So if they were paying attention, they know Scott too, from the early days of the web. 
		- Axios has it right
			- I am a big fan of Axios, as I've <a href="http://scripting.com/2017/06/14.html">written</a> in the past. They continue to impress. And they have something very important right today in this <a href="https://www.axios.com/media-vs-facebook-this-time-its-personal-1522183448-542df9fc-f4a5-41fe-964f-7c955bbb96c9.html">piece</a> by Scott Rosenberg. 
			- As a user of news, who pretty regularly gets condescended to by press people, I'm fed up with them for not at least disclosing their conflict re Facebook. Just because it's huge, doesn't make it okay to ignore it.
			- To be clear, the press obsession with Hillary's email server, covering Trump for his entertainment value, and broadcasting the hacked Democratic emails, were all examples of press malpractice during the 2016 election. I'm pretty sure all of this <i>swamps</i> any mistakes Facebook might have made in throwing the election to Trump. 
			- Scott leaves bloggers out of his analysis, btw. We don't worry about access, nor do we care what the press thinks of us (other than in a personal way). On this blog, I've been writing about how Facebook is screwing all of us, Google too, but of course the press just sees how Facebook screws journalism. We all see the world through our own eyes, that's why it's so important to have a variety of different perspectives in the news. Today's journalism is a disaster in that way.  :boom:
			- Finally, congrats to Scott and <a href="https://www.axios.com/">Axios</a> on hooking up. We know Scott from his pioneering work at Salon in the <a href="http://essaysfromexodus.scripting.com/stories/storyReader$2106#scottros">early days</a> of the web. Finally one of the new media pubs has depth in their coverage of tech issues. They all still need depth in the technology itself, the lack of which makes a lot of their coverage laughably wrong.
		- Interview answer
			- <i>I was just email-interviewed for a story about the resilience of RSS. This the kind of story I love. It means the open web still has a shot. Here's what I wrote. </i>
			- Hey thanks for acknowledging that RSS is resilient. I've noticed it too. I can't really explain it, I would have thought given all the abuse it's taken over the years that it would be stumbling worse. 
			- Interesting timing, I just launched a new project called "feedbase". It's a reincarnation of something we had in the early days of RSS, a registry of the known RSS feeds. Back then it was possible to put them all on a single website. Eventually it couldn't scale, and it fell into disuse because there were so many other discovery mechanisms.
			- But now things are going nice and slow. It's been five years since Google Reader shut down. And there are lots of readers, the knowledge is out there, and the utility is known. So I thought it might be a good time to try to add an important feature to RSS that was always part of the vision, dynamic subscription lists. This will allow a user to feed their subs to a variety of apps, which makes it easier to start new apps if you can quickly boot up an installed base. 
			- This was the way the open web wants its feed readers to work, as opposed to the silos. ;-)
			- Re competition from Twitter and Faceboo, I think feed readers work well with social networks. I'm an avid Twitter user, esp since they upped the limit from 140 to 280. I have a pretty good synergy with it and my blog, which I have reverted back to its old format, because I no longer have to accommodate Google Reader which didn't support the full RSS spec (a fact that very few are aware of, if you never saw a feature, you don't know it's not there). I also use and value Facebook, for the classic purpose of keeping in touch with friends. I find it doesn't work well for news. 
	- March 28
		- Just realized that "feedBase" has the same initials as you-know.
		- New header <a href="http://scripting.com/images/2018/03/28/kimAndXi.png">image</a>. Old header <a href="http://scripting.com/images/2018/01/29/hedyLamarr.png">image</a>. 
		- Could a pardon be obstruction of justice? People say the president is free to pardon anyone. True. He is also allowed to use the phone. But if he uses the phone to threaten a witness, that's <a href="https://acronyms.thefreedictionary.com/OOJ">OOJ</a>. Same with a pardon. If it's purpose is to silence a witness, it's <a href="https://acronyms.thefreedictionary.com/OOJ">OOJ</a>.
		- Just an idea, what if the Dems didn't choose their candidate to run against Trump until say September 2020. Not give the Repubs/Russians enough time to smear them in shit.
		- I'd like to see a graph of illegal immigration from Mexico over time. I bet it's been going down. My guess it would have started its decline around 2008, when the recession started. 
		- Here comes feedBase!
			- Today is the official unveiling of feedBase. 
			- The <a href="http://feedbase.io/">home page</a> is the hotlist. Click on the name of a feed to see who subscribes. Click on a user's name to see what they follow. If you see something that interests you, click the Subscribe button and it will be added to your public subscription list.  
			- The next thing to do is to <a href="http://scripting.com/2018/03/27/164606.html">upload</a> an OPML file with your subscriptions. If you have more than one, upload both. We take care of duplicates. 
			- Read the <a href="http://this.how/feedBase/">docs</a>.
			- And the <a href="https://github.com/scripting/feedBase">technical docs</a>. Including a description of the <a href="https://github.com/scripting/feedBase/blob/master/docs/database.md">database</a>, and the feedBase <a href="https://github.com/scripting/feedBase/blob/master/feedbase.js">source</a> (it's written in JavaScript of course, runs in node.js).
			- If you're a developer, here's a feedBase-generated <a href="http://opml.feedbase.io/davewiner/main.opml">OPML file</a> you can test with. What to do with it? Listen to the 8-minute <a href="http://scripting.com/2018/03/27.html#a172435">podcast</a> I posted yesterday. It'll explain the vision. It's a bootstrap. You are part of it. :rocket:
			- Here's the <a href="http://opml.feedbase.io/hotlist.opml">hotlist</a> in OPML.
			- If you have technical questions or concerns, post an <a href="https://github.com/scripting/feedBase/issues/new">issue</a> on the repo.
			- If you have user questions, you can post them there too, or as a comment on the docs. 
			- I still have more work to do, and there will be more features to add. Bugs to fix. Etc. 
	- March 27
		- A <a href="http://scripting.com/2018/03/27/whatDevelopersCanDoWithFeedbase.m4a">podcast</a> primarily for developers of feed reader software, on how feedBase starts a bootstrap. 
		- An idea for a social network. When a family member dies, everyone remaining who was related to that person gathers, virtually and physically, and spends weeks telling stories about that person and other departed family members. The process could go on for generations.
		- And following the mythology that NakedJen and I have <a href="http://scripting.com/2018/03/03/135246.html">evolved</a>, a similar ceremony takes place in the afterlife, at the end of the newly departed's runway, and they tell stories about themselves, and those still living, of course. 
		- <a href="https://www.rawstory.com/2018/03/nra-admits-moving-money-accounts-foreign-donations-us-campaign-accounts/#.WrptTRjnabY.twitter">This</a> makes my head spin because he's using foreign money to prop up a lie about the US Constitution, yet he claims the Supreme Court gave him the right to do this.
		- First feedBase demo
			- <iframe width="560" height="315" src="https://www.youtube.com/embed/pkLbhqGO8F0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
			- Well here it is folks! A quick video demo of my new product. 
			- Here are some quick notes about what you're seeing here.
				- The new app both consumes and generates OPML files. 
				- You upload your OPML files, exported from various feed readers you use. All the feeds are added to a database, tagged with your name. Then we produce a new OPML file of all the feeds you've subscribed to. 
				- There are other ways of adding and removing feeds, but this is the basic input out. You give us OPML files, we give you back a single OPML file.
				- <i>It's a bootstrap. </i>This is where the leap of faith comes in. The new OPML file is fairly useless until feed reader apps add the ability to subscribe to an OPML file. Right now very few have this feature. But if even just a few of them do support the feature, all of a sudden we have a bootstrap. And a new way to share flows of news on the web. This was always part of the vision of RSS. Let's see if we can make this happen now in 2018. In a very real sense, we all can be part of history, if it works. :boom:
				- Please watch <a href="https://www.youtube.com/watch?v=pkLbhqGO8F0&feature=youtu.be">the video</a> and ask any questions you have in <a href="https://github.com/scripting/Scripting-News/issues/71">this topic</a> on our GitHub site. This is the beginning of something new, and hopefully fun!
	- March 26
		- In July 1979, I left a backup of my software project, a very early version of ThinkTank, at my parents' house in Queens. My brother <a href="http://scripting.com/images/2018/03/26/backupFrom1979.png">just found it</a>. 8-inch floppies, formatted in UCSD-Pascal on top of CP-M. How the hell we're going to read the disks is a good question, but this is lost software. I definitely want to read it. Who knows it might even run. ;-)
		- Our number one biggest problem is that we divide ourselves into groups. These people are good and those are bad. Everyone does it. It's stupid. It's the bug. Stop it.
		- A database of feeds
			- I want to tell you about a new product I've been working on. I want to separate the management of my RSS subscription list from feed readers. That way I can tell two different apps about my subscription list and they can do different things with it. Or ten different apps. 
			- It's a version of <a href="https://en.wikipedia.org/wiki/Doc_Searls">Doc's</a> vision of <a href="https://en.wikipedia.org/wiki/Vendor_relationship_management">VRM</a>. In the Facebook world it would be like telling them who my friends are. I can give access to the same information to any other app that might be competing with Facebook. I think this is a healthier situation. Tech companies are put in their proper place. Providing us with services, as opposed to defining who we are. We get to do that for ourselves, which was always the idea of the open web.
			- This was part of the original vision of "RSS". That subscription could be simple, one-button-click, and not just exportable, but dynamic. A huge difference in possibilities.
			- So the first step is to fill the database with feeds, and give people a way to subscribe and unsubscribe. To accept OPML files as input too. And to publish a list of subscriptions that is dynamic, that other apps will in turn subscribe to. I'm working with the developers of two new RSS reader apps that will hook into this feed database. And my own "River5" already does, it was built that way from the start, to accept externally defined subscription lists.  
			- I'm debugging and documenting now. Should have a pointer to the app soon. :rocket:
		- Apple software is broken, part 20299
			- I have to take my watch off to wash my hands. 
				- I put the watch in my pocket.
				- When I take it out it <a href="http://scripting.com/images/2018/03/26/wrongPasscode.png">says</a>: "Wrong passcode, open the Apple Watch app on your iPhone, go to Passcode, then tap Re-enable Passcode Entry to try again." Note I never entered a passcode. I'm guessing it interprets my movement as the watch is in my pocket as a human entering a passcode. 
				- I open the Apple Watch app on my iPhone. Locate the Re-enable Passcode entry, tap it. Nothing happens. Tap again. Nothing. Again, again. Nothing, nothing. 
				- Now what?
			- Believe it or not the watch has to be <a href="https://discussions.apple.com/thread/7898495">erased and restored</a> from a backup. I might get around to doing that in September or October. 
			- Hold on, after powering off and on, I get a <a href="http://scripting.com/images/2018/03/26/tryAgainIn59.png">new message</a>. 
			- Epilog: After 59 minutes, it let me enter the password. Moral of the story -- never put the watch in your pocket. 
	- March 24
		- Don't you ever <a href="https://www.youtube.com/watch?v=BkAlr90k23Y">ask them why</a> if they told you you would cry. 
		- Is it possible to let the users tell you what kind of marketing they want, instead of spying on them, and gathering all kinds of potentially damaging information, in an effort to <i>guess</i> what they want? Yes, it is. I know it is because Zillow does it. I have a bunch of queries about real estate in various markets I'm interested in. They send a bulletin every morning of property for sale in each market. The same idea could apply to almost everything I shop for. <i>Instead of guessing, let me tell you what I want. In return you don't spy on me. </i>
		- The kids are right!
			- Today is March 24, the day we march.
			- I'm in NYC, and will march with the kids from Central Park West to 43rd St and 6th Ave. Inspired, completely by their purity of purpose. They aren't trying to win any battle other than getting the military guns out of our society, and getting guns out of the hands of kids who rage against other kids.  
			- If you want change, you have to be focused like a laser on two things:
				- What you want.
				- What you have to do to get it.
			- So many causes led by adults falter on these two elements.
			- An example of a cause that is magnificently focused is #blacklivesmatter. It's in their hashtag. They don't care about teaching whites a lesson, or teaching whites what it feels like to be black, or to popularize the concept of white toxicity, or whitesplaining, what they care about is simply -- black lives. Anyone of any race with an ounce of empathy can get behind that. #blacklivesmatter is ready to accept help from anyone. And why not? If you're focused on a goal, in this case, saving black lives, why would you turn away someone who might be able to help?
			- For #2, the kids have it exactly right. Vote. It's always been the paradox of gun rights vs gun control in the US, that a small minority controls the majority because they vote. I said this over and over during the Occupy movement. If the result of Occupy is a "message gets out there" you will have accomplished nothing. But if we vote our cause, then we will achieve a lot. Everything. 
			- The kids are right. If, when they turn 18, and many of them will before the next election, they vote, this will make change. All the voter suppression that the Repubs can muster can't snuff out a movement of this magnitude. We will win. And we will also have a template for winning that can apply to other acts of government.
			- One of the kids said <a href="https://en.wikipedia.org/wiki/Sleeper_(1973_film)">something</a> so wise it makes my skin crawl. "Our parents don't know how to use a fucking democracy." Oh man. That is so true. They give up before they even start. The kids, bless their souls, see right through it. I love these kids with all my heart.
			- Let's go out and make some change today.
		- The best condolence note
			- Since my mother's recent <a href="http://scripting.com/2018/02/11/152545.html">death</a>, I've received many notes of condolence. All very very much appreciated. We all have to send messages of sympathy from time to time. I often find it awkward. Do I say I know what they're going through? In some sense I think I do, but I'm sure I don't, and would it be comforting? I don't think so.
			- When people say "It's tough," or talk about what you're "going through" that makes me want to object. I don't think it's tough, that's not the word I'd use. There are silver linings. New freedom. And expressing sadness is just sad, it's not tough. It's the easiest thing in the world. And is "going through" the right term? That assumes there's an end. There isn't always an end. And at the outset it doesn't at all feel like there is. 
			- An example, from an anonymous sender (not wanting to embarrass them).
				- Just caught up with the news and wanted to express my condolences.
				- She sounds like a great lady.
				- And good to know that she wasn’t too intimidated by her very smart son.
				- May she rest in peace.
				- And may you continue to provide optimism, criticism and horse sense in your customary generous quantities.
			- What' so great about about the example?
				- How to express condolences? Just that way. "I want to express my condolences." 
				- Say something positive about the departed. 
				- Say something kind about the relationship between the departed and the person you're writing to, even if you didn't know the departed.
				- Offer a little closure, and then talk about the bright future, in terms of the qualities of the person you're writing to. 
			- I just wanted to write this up, as a writer, who appreciates effective writing, and as a son who is going through something that is bittersweet and full of meaning, and is anything but tough.
	- March 23
		- Good morning <a href="https://www.youtube.com/watch?v=-gb0mxcpPOU">war</a> fans!
		- Yesterday we learned that <a href="https://www.nytimes.com/2018/03/22/us/politics/hr-mcmaster-trump-bolton.html">John Bolton</a> will be the new National Security Advisor. Trump found someone who's even crazier than he is about going to war. Reminds me of the line in the old Woody Allen movie <a href="https://en.wikipedia.org/wiki/Sleeper_(1973_film)">Sleeper</a>, where the main character, played by Allen of course, asks, 200 years in the future, how the world was destroyed. <a href="https://youtu.be/ngizj5FIcjo?t=1m30s">He's told</a> that someone named Albert Shanker got hold of a nuclear warhead. He only missed it by a generation. <a href="https://en.wikipedia.org/wiki/Albert_Shanker">Shanker</a> was the kind of NYC-famous person who terrorized the city, but people outside the city wouldn't likely have heard of him. That's Trump. Shanker never did get a nuclear weapon, it was ludicrous, but honestly, no more ludicrous than Donald Trump getting one, much less the entire nuclear arsenal of the United States. Which he did, and now, pretty clearly, plans to use.
		- Given that it's #nationalpuppyday, I once a long time ago had a puppy, a black lab named BonBon. She would greet people very enthusiastically, saying in her language. "Welcome to PuppyLand. And by the way, I'm the puppy."
	- March 22
		- Observed: People don't know what they don't know.
		- Lincoln had a <a href="https://en.wikipedia.org/wiki/Team_of_Rivals">team of rivals</a>. Trump is assembling a <a href="https://www.npr.org/2018/03/22/594363877/trump-names-john-bolton-as-national-security-adviser">team</a> of <a href="https://en.wikipedia.org/wiki/Peter_Navarro">nutjobs</a>.
		- Today's <a href="http://podcatch.com/archive/2018/03/22/505335.html">Daily podcast</a> was a disaster. They interviewed <a href="https://en.wikipedia.org/wiki/Mark_Zuckerberg">Zuck</a>. And they have no idea of the context that Facebook exists in, as far as they knew they FB has no competition (there is Google of course), there is no open web, and it probably never crossed their mind that <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22lock-in%22&t=hy&ia=web">lock-in</a> might be a problem. It's <i>always</i> the problem in tech. Poor Zuck, never thought he would have to deal with these problems. They actually have sympathy for him! It's still the <a href="https://www.google.com/search?safe=off&source=hp&ei=zhy0WrqnJama_Qbr8oTwCg&q=baby+squirrels&oq=baby+squirrels&gs_l=psy-ab.3..0i67k1j0l9.1639.4841.0.5001.16.12.0.3.3.0.97.848.11.12.0....0...1c.1.64.psy-ab..1.15.944.6..46j35i39k1j0i131k1j0i46k1j0i20i263k1.86.NS3xzrSRuCk">baby squirrels</a> thing. There's an easy way out Mark. Set everyone free. Let people use Facebook not because it's the only choice, but rather because it's the best. Eventually his monopoly will break, and it will be a shock to him and the economy. We might come to think of Facebook as <a href="https://en.wikipedia.org/wiki/Too_big_to_fail">too big to fail</a>. Which btw, might have been a fair question to ask him too. I love the Daily, but this is the problem, when they finally get to a subject you know well, we find out what we always find out. They aren't doing a good job of representing the rest of us. 
		- Tonight's Facebook <a href="https://twitter.com/papascott/status/976933478980874242">gem</a>.
		- A note for the Programmer's Ethos. All users shall be treated with respect. They will be listened to and assumed by default to know what they're talking about. On the other hand, users must take responsibility for their presence on the net, and beware of the costs and tradeoffs of using different services. All we have to do is clearly offer the information they need. If they don't listen, that's on them.
		- Facebook is what the web has become. Its closed nature (no linking) is forcing Google to try to hijack what remains of the web to try to compete, to co-exist. They should both disarm, and stop fighting for control and just provide compatible services and let the open web be.
		- If I were dictator
			- If I were benevolent dictator of the net in 2018, here would be my first decree.
				- Make it so that leaving Facebook is just a matter of signing out. And that does not mean leaving your friends behind.
			- This would would make it possible for anyone to compete with Facebook, which would keep Facebook (and their competitors) from grabbing too much power. It's Facebook's lock-in that makes the problems inexorable.
			- And Facebook would have to support all the protocols they currently don't support. Most important -- linking. That's how their walls are implemented. It's probably a fix they could implement in 24 hours. And would work wonders at turning the lights back on outside Facebook.
	- March 21
		- Since people are talking about regulating Facebook, how about requiring them to support the basic features of the web in their posts. So you can add links to what you write there. I don't do much writing on Facebook because they're basically killing what I love most about the web. I can't support that.
		- Assume <a href="https://www.amazon.com/Amazon-Echo-And-Alexa-Devices/b?ie=UTF8&node=9818047011">Amazon</a>, <a href="https://store.google.com/product/google_home">Google</a> and <a href="https://www.apple.com/homepod/">Apple</a> are listening to every word, grunt, angry utterance, fight with your SO, toilet flush, door opening and closing in your house through their speaker products. And remembering them. If you're not into the whole surveillance thing, unplug it, and put it away somewhere safe. I wouldn't just throw it out, I'm pretty sure it retains its ability to phone home on your behalf.  Imagine what the <a href="https://www.theverge.com/2018/3/16/17130366/china-social-credit-travel-plane-train-tickets">Chinese</a> version of these devices might do. 
		- BTW, it's not a good idea to have big tech companies control the cash flowing into news orgs, because more and more news is going to have to look at them unfavorably. We don't want them to have any more leverage than they already have.
		- <a href="https://twitter.com/davewiner/status/976497829727363074">Poll</a>: When Trump and Kim Jong Un get together, they will talk about...
		- For those who have been following my eye infection saga, here and <a href="https://www.facebook.com/dave.winer.12/posts/696068493933892?comment_id=698963866977688&comment_tracking=%7B%22tn%22%3A%22R%22%7D">on Facebook</a>, I am happy to report that the eye is now clear. I'm wearing the contact lens. No double vision. But I have to keep an eye on it. :boom:
		- Want to know what new scandal the Bannons are working on now? We're so preoccupied with what happened two years ago. Time <a href="https://www.youtube.com/watch?v=i7O5Ony7Oa0">waits</a> for no one. I suggest reading <a href="http://scripting.com/2016/10/15/wereLivingOnCaprica.html">this piece</a> written just before the election. 
		- Pro tip. If you want to know what I think about something, search my blog. If I have an opinion it will be there. For example, what I <a href="https://duckduckgo.com/?q=site%3Ascripting.com+battlestar+galactica&t=hf&ia=web">think</a> of Battlestar Galactica. 
		- I'm still using Facebook. I knew what they were doing all along. I'm happy everyone else knows it now too. That said, please also use your blog!
		- Re Trump <a href="https://www.axios.com/white-house-leak-trump-putin-call-congratulations-53c68b0d-7e3f-4211-9816-fd3c24e927dd.html">congratulating</a> Putin even though his advisors put DO NOT CONGRATULATE on the crib sheet. Lots of people are like that. You say please don't do this. They aren't really listening. So all that registers is the thing that you didn't want them to do, not the fact that you don't want them to do it. 
		- I had to explain to a non-technical friend  the significance of Google <a href="http://this.how/googleAndHttp/">breaking</a> HTTP in their browser. I offered an analogy. I've been building and living in a house for 24 years. Some of the annexes are falling apart. Others have skeletal remains, and others have become porn sites because I forgot to go to City Hall and re-register the deed for that part of the property (a rule with no exceptions). Honestly, it's a mess. But the core house is fine. Lots of parties and dinners happen there, and we have great photos of them all lining the corridors. It's a huge house for one person, but I call it home. I like it. Then Google comes into the house, uninvited, and says that electricity is too dangerous. We're going to run on new kind of power in our world. I honestly never think about the electricity. What? They say you may not remember where all the wires are buried, but you must dig them up and replace them and rebuild your whole house from the ground up with the new system. Since this neighborhood doesn't support the new kind of power, Google continues, you'll have to move the whole thing, too. Hope you don't mind. Hold on a minute. Here's the thing -- I don't <i>have</i> to do what they say. I can go on living in the house and have parties just like before and stick with the original way of powering the place. Right where it is. No need to change neighborhoods. It's just that people who use the new Google-powered system will get a big warning when they come to visit. "This place is awful," the warning will say. "It has terrorists. If you go inside they'll probably kill you." To which I say, whatever. 
		- When the end is near
			- I'm having a <a href="https://twitter.com/davewiner/status/976500005342253057">back and forth</a> with Brent on Twitter about maxing out on change, something that happens to every generation at some time. I was reminded of a story I told once about <a href="https://en.wikipedia.org/wiki/Don_Hewitt">Don Hewitt</a>, the creator of <a href="https://en.wikipedia.org/wiki/60_Minutes">60 Minutes</a>. It was in a <a href="http://scripting.com/2014/07/17/howGoodIsMyMind.html#comment-1496974270">comment</a>, I need to get it on my blog and in my archive, so here it is. 
				- I remember seeing an interview with 60 Minutes producer Don Hewitt, as it turns out a few weeks before he died. He said in the interview that he just couldn't keep up with the technology anymore. And you could tell he meant it. This is a guy who had been at the leading edge of media technology for most of his life, was one of the major innovators. There does come a time, it seems, when you just can't deal with it any more. Your mind gives up.
				- I saw it in my own father, shortly before he died. I was trying to show him how Twitter worked. He wasn't getting it. This is a guy who prided himself on understanding computers, in every way possible, his whole adult life. He told me he would be pushing up daisies soon, and there was no point. His words. He had given up. And he was within his rights to do that. I didn't argue.
			- That said, Brent and I, we're still kickin up some dirt every now and then! :rocket:
	- March 20
		- I've been saying <a href="https://www.theguardian.com/cities/2018/mar/20/save-the-planet-half-earth-kim-stanley-robinson">this</a> myself. That's why self-driving cars are exactly the wrong technology to be investing in. Move people closer together so we don't need cars to move around.
		- The tweeting president is here to stay
			- Imagine if you were alive during World War I and witnessed the first use of <a href="https://en.wikipedia.org/wiki/Aerial_warfare#History">airplanes</a> in war. You might have thought it was unfair, or novel, or a temporary thing, because airplanes were so new, they had never before been used in war. You might have imagined that things would go back to normal after the war, but of course that would have been wrong. Air power was used in World War II, and nowadays the country with air superiority has a huge advantage over ones that don't.
			- Same thing with the <a href="https://duckduckgo.com/?q=%22tweeting+president%22&t=hy&ia=web">tweeting president</a>. Repubs say they don't pay attention. In the 2016 campaign the Democrats made fun of tweeting Trump. Many people today expect that the next president will go back to using social media in a hands-off way, but I think they're wrong about that.
			- After Obama used social media so effectively in the 2008 campaign, I fully expected he would continue after taking office, using it as his bully pulpit, using the power to spread the gospel of democratic media all around the world. Instead he backed off, governed from the White House and Air Force One, and the presidential Twitter account was used for simple public relations, like the weekly radio broadcast. Nothing controversial or even informative appeared in the presidential feed. 
			- Right now the press is making an issue of how social media was used in the campaign and beyond. It seems some decisions will now be made. It's essential that the coverage become better and more informed about what's really going on. The things they're calling Facebook on, what they call <a href="https://twitter.com/davewiner/status/976092268942843904">breaches</a> are actually contractual, built into their terms of service and their business model. 
			- We have to put some controls on Facebook and Google, that's for sure. But the controls should be very different from what's being contemplated by journalism. They should be prevented from taking effective ownership of publicly owned protocols. It's as if Exxon or JP Morgan decided to build <a href="https://twitter.com/HistoryInPix/status/976104596396486656">in</a> <a href="http://scripting.com/liveblog/users/davewiner/2015/12/27/0724.html">Central Park</a>, to the exclusion of everyone else. We would of course see that as a violation. But beacuse it's happening <i>right now</i> in cyberspace, it can be hard to visualize. If things proceed as they have been, the press will tune into the hijacking of the open Internet five years after it is a fait accompli, long after any intervention can do any good. 
			- You don't have to take my word for it. This is what Tim Berners-Lee was <a href="https://motherboard.vice.com/en_us/article/qve74v/world-wide-web-29-tim-berners-lee-letter">saying</a> in his open letter on the anniversary of the web earlier this month.
			- <i>Let's work together. </i>Programmers aren't just coders. Some of us have had full careers in the public sphere, and have encountered the problems you're covering now, years ago. We know what comes next, because we're living it now. 
			- Like air power in warfare, the power of networking is here to stay. We're at a formative moment. Let's break with tradition and do something thoughtful, so we can all benefit from the technology, not just the richest and most powerful among us, but everyone, as the technology has the potential to do.
	- March 19
		- I like public transit. I don't use cars much. I identify with the <a href="https://www.reuters.com/article/us-autos-selfdriving-uber/woman-dies-in-arizona-after-being-hit-by-uber-self-driving-suv-idUSKBN1GV296">pedestrian</a> who was killed in Tempe. I often cross streets outside crosswalks. I ride bikes in the city. I depend on interaction with drivers to stay safe. No one asked me if I want self-driving cars. If they did I'd say no. Let's invest in mass transit, and concentrate people, so we have a chance at saving our species. More reliance on cars is the wrong way to go. 
		- George Girton: "OMG thank you for posting such a <a href="https://www.theguardian.com/technology/2018/mar/16/powder-mountain-ski-resort-summit-elite-club-rich-millennials?CMP=share_btn_tw&utm_source=digg&utm_medium=email">funny article</a> about Powder Mountain, formerly a ski resort in a relatively flat area of the Wasatch Mountains in Utah. I skied there about 30 years ago with my young daughter. We had a great time. In a good year, they still get enough snow that you can ski there. I think the only ski areas  for sale these days are the ones that aren’t really worth anything anymore.(At least as ski areas). Anyway, thanks for that Guardian article, what a send up. That was great!"
		- I'm no fan of Facebook, but...
			- I've been writing about tech companies mishandling PR catastrophes for the whole time I've been blogging, about 24 years. The first one was <a href="http://scripting.com/davenet/1994/12/26/intelgate.html">Intel</a>, with their <a href="http://threads2.scripting.com/2013/june/whyTechRespondsSoPoorlyToPrProblems">Pentium</a> chip and its floating point errors. When it came out that it made errors at times, that would show up in Excel spreadsheets, the press had a field day. Intel protested, we've always said floating point has errors, it's not news, but they ended up losing the argument and had to replace a lot of chips. 
			- Microsoft of the 1990s was a series of self-inflicted PR disasters, culminating in a consent decree. They seemed to feel at the time, about the Windows economy, the same way President Trump feels today about the Department of Justice. 
			- Now Facebook is dealing with <a href="https://techcrunch.com/2018/03/18/move-fast-and-fake-things/">something</a> similar. They have been providing free of charge, through their API, the ability to crawl the social graph and get info about many times more people than use your app. Like Intel with the Pentium floating point problem, this isn't news. But the press is reporting it as a data breach, and implying that the users weren't asked for permission, when they certainly were, and certainly gave it. The problem imho isn't what Facebook does, it's the naïveté of users, and the press not knowing or caring how the systems actually work. This should have been a story a long time ago. Users of Facebook have known about it for a long time. There's even a <a href="https://duckduckgo.com/?q=On+Facebook+you%27re+not+the+customer%2C+you%27re+the+product&t=hb&ia=web">cute way</a> to explain it. "On Facebook you're not the customer, you're the product."
			- I've written software against the Facebook API, and accessing information about the social graph is part of the API. We may not like what Cambridge Analytica did with the data, but I don't think they did anything that every other company that makes products that work with Facebook doesn't already do. Including of course Facebook itself. 
		- Techmeme's new podcast
			- I've listened to a couple of episodes of the new <a href="https://techmeme.com/techmeme-ride-home-feed">Techmeme podcast</a>. I was really <a href="http://scripting.com/2018/03/06.html">excited</a> to hear about it. I imagined something like the <a href="https://www.nytimes.com/podcasts/the-daily">Daily podcast</a> or <a href="https://www.npr.org/podcasts/381444908/fresh-air">Fresh Air</a>, or any number of podcasts built around an interview with an interesting person, with the focus on tech. The Techmeme podcast takes a different approach, one more like radio news programs of the past, where the presenter, <a href="https://twitter.com/brianmcc">Brian McCullough</a>, reads summaries of stories that are presumably the top items for the day on <a href="https://www.techmeme.com/">Techmeme</a>.  
			- Called <i>Ride Home,</i> each episode begins with the headlines followed by what I assume is its positioning statement:  "Here's what you missed today in the world of tech," followed by a synopsis of each story, read from a script. There are other podcasts that assume this voice -- notably the <a href="http://www.slate.com/articles/podcasts/whistlestop.html">Whistlestop podcast</a> with CBS newsperson John Dickerson.  
			- I want to like this podcast because I'm a longtime reader of Techmeme, and a fan of McCullough's <a href="http://www.internethistorypodcast.com/">Internet History Podcast</a>. I was hoping it would be like a short version of that podcast every day, a candid interview with a tech newsmaker or a reporter at one of the pubs that Techmeme covers. I will keep listening because this is potentially an important podcast. 
			- On the other hand, I understand that this is the format they would arrive at by adapting Techmeme to a podcast. But sometimes a literal translation isn't the most useful approach. Techmeme is of course useful as a web page, refreshed many times during the day. Voice offers an opportunity to approach the mind through a different channel, to spread new ideas, more than "what you missed." 
			- It is of course one of the podcasts available at "podcatch.com". 
		- Eye report
			- My right eye is much better.
			- Went to the doctor. Now I'm taking a steroid.
			- Next appointment on Wednesday.
			- Until then I can't wear the contact in the right eye.
			- So my vision remains very dysfunctional.
			- I have managed to be able to write and write code, even. 
			- My brain is learning to cope. At all levels. 
			- And the sense of humor we develop with age is helping a lot.
			- "curly"
	- March 18
		- <a href="https://github.com/scripting/Scripting-News/issues/70">Braintrust query</a>: Does your podcast client support RSS? 
		- I hope Mueller has a <a href="https://en.wikipedia.org/wiki/Dead_man%27s_switch">dead man switch</a>, that dumps all his accumulated evidence if El Orange succeeds in firing him.
		- At some point the majority that does not support Trump, even at his most moderate, will have to act if the Republican leadership doesn't. And I don't see how waiting for the election can work. We have to act as the Florida high school students did.
		- <a href="https://twitter.com/davewiner/status/975405391084433409">Poll</a>: If Trump fired Mueller, Repubs in Congress would..?
		- If you don't believe the network is our civilization, it's in your <a href="https://twitter.com/davewiner/status/975397627763347457">face</a>.
		- This is a test, please ignore. ;-)
	- March 17
		- Trump is <a href="https://www.youtube.com/watch?v=JKDgjLf_rk4">Morrie</a> in <a href="https://en.wikipedia.org/wiki/Goodfellas">Goodfellas</a>. Putin is the <a href="https://www.youtube.com/watch?v=JG3mhtojm8Y">character</a> De Niro plays.
		- I did some work on the <a href="http://xmlviewer.scripting.com/?url=http%3A%2F%2Fscripting.com%2Frss.xml">xmlviewer</a> app. I have some ideas on how to improve it, which I explain in this <a href="https://github.com/scripting/Scripting-News/issues/69">braintrust query</a>. 
		- We're in an asymmetric war, not Watergate
			- I guess the <a href="https://www.thedailybeast.com/trumps-lawyer-its-time-to-fire-robert-mueller">Trump people</a> feel they have to <a href="http://www.memeorandum.com/180317/p22#a180317p22">move</a> now. I don't think they'll have much support. Even his base will be split. Obviously there's something explosive about to come out. But this isn't Watergate. It's more like <a href="https://en.wikipedia.org/wiki/Battlestar_Galactica">BattleStar Galactica</a>. It's a war and we're fighting an inhuman enemy, one that doesn't behave like a human. It's an amalgam of all of humanity.
			- Trump being gone won't help us very much because so much has changed. A silent war has been going on. We have not had any defenses. It's an <a href="https://www.wired.com/story/russian-hackers-attack-ukraine/?mbid=social_fb">asymmetric war</a>, unlike any we've ever (not) fought. The press is oblivious, still, focused on the Watergate-ness of the situation and missing that now our society and economy are fully wired, to an extent not even foreshadowed in the <a href="https://blogs.weta.org/boundarystones/2013/05/17/40-years-ago-tvs-tuned-watergate-hearings">time</a> of Watergate. 
			- The press ought to listen to techies. We're still seen as low-level workers. But our counterparts in Russia and elsewhere are undermining everything. Here too probably. 
			- Nailing Trump won't fix it. It would be like killing a comedian, a distraction. The real action has been on our networks. 
			- Remember what <a href="https://en.wikipedia.org/wiki/The_medium_is_the_message">McLuhan</a> said. It's not about armies anymore, it's about media. And <i>we,</i> all of us, are media now. 
			- Imagine journalism as a rectangular box. They've tried to move what they do from print to the net without changing the shape of the box. In their world this all as a replay of Watergate. It's familiar, they know what to do, and btw it had a <a href="http://www.washingtonpost.com/wp-srv/national/longterm/watergate/articles/080974-3.htm">happy ending</a>. That's what we call wishful thinking. A bit of a bedtime story.
			- We always prepare to fight the last war. We're doing it again. 
	- March 16
		- My brain is somewhat adjusting to the new vision situation. I have five old pairs of glasses to try out and think I have settled on one tha's best for computer work. I did a podcast (below) because that doesn't use my eyes for much. My brain really wants to do something creative. Let's see if I can figure it out. ;-)
		- A <a href="http://scripting.com/2018/03/16/linuxJournalAndVRM.m4a">podcast</a> about Linux Journal, Doc Searls and why he became its new editor-in-chief. Doc, one of the <a href="http://www.cluetrain.com/">Cluetrain</a> authors, has a vision for advertising that works. If it works, it will not only revolutionize advertising, it will also help get software development back on track. His project really has the potential. 
	- March 15
		- The other day a friend asked for a reference that showed the role I played in the bootstrap of podcasting. I looked around, and most of the stories written by journalists are wildly innaccurate. Then I realized there's a better way to show the work. I archived the earliest podcasts so they'd be <a href="http://scripting.com/2017/03/07/theEarliestLydonPodcasts.html">easily found</a>. This is imho the best anchor point. There's no question these are podcasts. They were a collaboration between <a href="http://scripting.com/2015/09/30/aPodcastAboutPodcasting.html">myself</a>, Chris Lydon and <a href="http://www.dtvgroup.com/Chris_Lydon/">Bob Doyle</a>. There was important work that predated it, with myself and Adam Curry, and podcasting came together as a growing medium in the summer of 2004 after the DNC with the iPodder group, all independent of what we were doing at Harvard. But these podcasts, the BloggerCon sessions, and the Berkman Thursday meetups, all were central to the bootstrap. Others have managed to insert themselves into the story, they don't belong there. It's important, if we want to create more open media types, to tell the story accurately.
		- Linkrot is a kind of API breakage
			- There are APIs everywhere you look on the web.  
			- Yesterday, Jay Rosen <a href="https://twitter.com/jayrosen_nyu/status/974014807329288192">reported</a> on Twitter that the NYT, in a redesign, had eliminated its paragraph-level permalinks (like the ones <a href="http://scripting.com/2005/11/30.html#When:9:20:49PM">you</a> <a href="http://scripting.com/2018/03/03/135246.html">see</a> on Scripting News). He was peeved, for sure, and imho had every right to be. I <a href="https://twitter.com/davewiner/status/974067062661439488">asked</a> if this broke existing links, i.e. had he been using the feature (I assume so) and did the links still point to paragraphs on the NYT site (yes, of course they pointed there, but did the links work when clicked). It's hard to phrase this question for non-developers, but the issue is real.
			- Users don't like steps backwards. This applies equally to word processers and websites. It's all software. Only in this case they're developers too because URLs are an API, and as we know APIs break. :boom:
			- Does the NYT have an obligation to continue to support this feature? Of course not. But one of the unwritten rules of the web, going way back, is that <a href="https://en.wikipedia.org/wiki/Link_rot">linkrot</a> <a href="https://ratcreature.livejournal.com/573375.html">sucks</a> and we should do everything we can to minimize it.  The NYT has been conspicuously <i>excellent</i> at not breaking links, btw, over the 20-plus year history of news on the web. 
			- To get an idea of how bad linkrot is, here's an <a href="http://scripting.com/1999/11.html">archive page</a> for this blog for November 1999. Try clicking on some links. So many of them are broken. 
			- PS: As far as I'm concerned credit for the concept and the term <i>linkrot</i> goes to <a href="https://en.wikipedia.org/wiki/Jakob_Nielsen_(usability_consultant)">Jakob Nielsen</a>, but it's hard to find any references to his <a href="https://www.nngroup.com/articles/fighting-linkrot/">authoritative piece</a> on the subject. How nice that his 20-year-old piece is still there and renders nicely in a 2018 browser. It would be ironic if it had been lost to linkrot. :rocket:
		- Umlauts, day 2
			- Re: yesterday's River5 <a href="https://github.com/scripting/Scripting-News/issues/68">issue</a>.
			- Okay we know what the problem is, and the solution as well.
			- Of course it's an encoding issue. 
			- Explained <a href="https://github.com/scripting/Scripting-News/issues/68#issuecomment-373121395">here</a>. 
		- My eyes, day 2
			- My <a href="http://scripting.com/2018/03/14/140221.html">eyes</a> don't work very well this week. As a result I can barely see when I'm out walking. To look at the price on a cash register I have to put my face in it. Add to that my hearing isn't so great, it's like a comedy when I'm out and about.
			- It's kind of fun to walk around Manhattan barely being able to see. No chance of eye contact. Which means I win every faceoff. That's one of the rules of being a pedestrian in NY, if fail to avert your eyes, you lose. ​
			- With the hearing it's age. I've had it tested and functionally it's fine.The brain, as you age, has trouble separating sounds in noisy places. So at Chipotle, for example, that plays fairly loud music as background, renders my hearing pretty much useless.
			- However it activates my sense of humor. And wonderment that I can function like this. I couldn't drive a car, however. And I might have trouble navigating a new neighborhood, because I can't read street signs.
			- Until Monday I'm kind of in limbo. 
			- It's bad timing because I just started working with a bunch of testers on my new product. Please stay tuned, hopefully my eyes will be back in commission next week. Until then it's going to be a lot of Netflix and book reading for Davey.
	- March 14
		- As Trump's Saturday Night Massacre comes into <a href="http://amp.nymag.com/daily/intelligencer/2018/03/trumps-saturday-night-massacre-might-start-with-sessions.html?__twitter_impression=true">focus</a>, students <a href="https://www.nytmes.com/2018/03/14/us/school-walkout.html">walk out</a> in protest and <a href="https://www.reuters.com/article/us-usa-election-pennsylvania-votingmachi/pennsylvania-race-shows-need-for-u-s-voting-machine-upgrades-experts-idUSKCN1GQ2NX">Pennsylvania voters</a> throw a Repub out of a safe Repub district. Looks like the showdown is coming soon.  
		- Umlauts in River5
			- <a href="https://github.com/scripting/Scripting-News/issues/68">Braintrust query</a>: Christoph Knopf reports re River5 a problem with reading umlauts.
			-  He offers a <a href="https://www.presseportal.de/rss/dienststelle_110972.rss2">feed</a> that illustrates the problem. 
			- I wrote a simple Node app that reads the file using the standard request package, and what he reports is observed. The umlauts appear as � characters. 
			- I found this Stack Overflow <a href="https://stackoverflow.com/questions/32958475/node-js-request-turns-umlauts-to">thread</a> that says the answer is to use <a href="https://www.npmjs.com/package/iconv-lite">iconv-lite</a>. Others seem to confirm this is the way to go. 
			- Before I contemplate making a change to "RIver5", I wanted to get the opinion of the braintrust. 
			- Thanks in advance. 
		- Doctor my eyes
			- I have an eye infection. This is a new thing for me since I started wearing contact lenses last year. This means I have to try to get along wearing glasses for a few days. My eyesight with glasses is terrible. Writing is kind of an adventure! So it may be slow going here for me, for the next few days until (hopefully) the infection clears up and I can resume life as a normally sighted person. I am of course getting help from my doctor. 
	- March 13
		- I'm looking for a few people to help test a new product. You should be an RSS user, have an OPML subscription list or two (or more), and are ready to read docs, report problems, and ask questions. If you'd like to participate please <a href="https://github.com/scripting/Scripting-News/issues/67">post a note</a> here. Thanks! :boom:
	- March 12
		- Why isn't SSL just a checkbox in the prefs for the an S3 bucket? Amazon already knows who I am. They know more about me than the IRS. :dollar:
		- If Google were honest they'd explain they're trying to create a Facebook-like experience in the web, and label sites as being inside or outside their domain. If they don't want to make a web browser, use some of their wealth to subsidize one. A thinking-big company would do that.
		- Google and HTTP status report
			- Happy to report that I'm starting to get more reasonable and thoughtful responses to my <a href="http://this.how/googleAndHttp/">Google and HTTP</a> faq. I have toned it down, remembering that some people came to the belief that HTTP is bad for the web honestly, and therefore may respond to more simply-stated objections. And this has led me to a distillation of the moral case against what Google is doing. 
			- I've been around the tech industry almost as long as anyone. I've yet to see a tech company grow past the "break things and never look back" stage. What comes next, imho, is understanding that the people <i>they serve</i> are not who they think they are. I highlighted the word serve in that sentence. It's an unfamiliar concept to the tech industry, but they should learn it. It's more humble, more achievable than the godlike status they feel they deserve, an adolescent way of thinking. 
			- What Google is planning on doing to the web is unnecessarily damaging to the work of millions of people. Google could step back and look at their objectives, and let's see if we can compromise, so they can get what they really want and the web can remain what it always has been, an open space for experimentation, free thought, and the development of world-changing ideas. It's where Google itself came from. 
			- Let's see if they gained any maturity and sense of perspective of their place in the world in the 20 years since their founding. When you achieve adulthood all of a sudden you can see the context in which you exist. Blowing things up is the way children approach the world. Adults try to work things out, we hope. :boom:
		- <a href="https://github.com/scripting/Scripting-News/issues/66">Braintrust</a>: Can you format a Mac without logging in? 
	- March 11
		- Journos generally fail to explain why steel tariffs cost American jobs. Here's why. GM or Ford can choose to make cars in Canada that cost $100 less than the same cars made in the US. Hence layoffs in car factories in the US. 
		- My site has no ads. If you run buggy ad blocking software that blocks my site, the remedy is to trash the software. 
	- March 10
		- <a href="https://en.wikipedia.org/wiki/Farhad_Manjoo">Farhad Manjoo</a>, tech columnist for the NYT <a href="https://www.nytimes.com/2018/03/07/technology/two-months-news-newspapers.html">wrote</a> about a hiatus he took from social media and how much he liked it. According to CJR, he actually <a href="https://www.cjr.org/analysis/farhad-manjoo-nyt-unplug.php">didn't</a> take a hiatus. Makes sense. How could a reporter not use Twitter these days? That's where news is made. 
		- Edward Snowden <a href="https://twitter.com/Snowden/status/972110541408952320">says</a> "unencrypted web traffic is now provably a critical, in-the-wild vulnerability." Why? Because ISPs invisibly redirect download requests of popular programs to new versions with spyware added. Better: don't download an app that runs on your local computer from a site that isn't being served via HTTPS. But it doesn't follow that <i>sites that don't offer downloads</i> should be blocked. It's like saying drunk driving is dangerous and therefore all driving should be banned. Let's not break the web if we don't have to. 
	- March 9
		- Here's an interesting <a href="https://www.youtube.com/watch?v=TE9XHeE__kg">picture</a> of Adele. It's upside-down. Or is it? :boom:
	- March 8
		- Podcast metadata varies widely. Here's a <a href="http://scripting.com/images/2018/03/08/podcastMetadataScreen.png">screen shot</a> of four podcasts.  
		- I just updated the Google and <a href="https://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol">HTTP</a> faq, adding a <a href="http://this.how/googleAndHttp/#1520523527000">new section</a> about the web and safety, and quite a few other edits and reorgs.
		- Matt Webb is a <a href="https://twitter.com/genmon/status/971673956829859840">new voice</a> in opposition to Google's treating the web as if it were a corporate platform. I added <a href="https://twitter.com/davewiner/status/971735689741176832">this</a> to his tweets: "Google is trying to force people to change. I can accept them doing that for APIs and platforms they created, but not for the web. They are a guest here, as we all are. Guests don't make the rules."
		- As I read <a href="https://twitter.com/davewiner/status/968969856665182208">this</a>, I kept thinking, this is the company that thinks they can run the web better than the people who were running it before (i.e. no one).
		- I often get asked if I hate <a href="https://www.theverge.com/2018/3/8/17095078/google-amp-accelerated-mobile-page-announcement-standard-web-packaging-urls">AMP</a> -- I don't, but maybe I'm missing something. As far as I know, Google isn't trying to force people to use it, rather providing incentives to do so.  This is a key difference.
		- But the web isn't safe!
			- <i>A new <a href="http://this.how/googleAndHttp/#1520523527000">section</a> in the Google and HTTP faq, cross-posted.</i>
			- Twitter and Facebook are like <a href="https://en.wikipedia.org/wiki/AOL">AOL</a> in the old pre-web days. They are run by companies who are committed to provide a safe experience. They make tradeoffs for that. Limited linking. No style. Character limits. Blocking, muting, reporting, norms. Etc etc. Think of them as Disney-like experiences. 
			- Google says the web is not safe. That is correct. We don't want every place to be safe. So people can be wild and experiment and try out new ideas. It's why the web has been the proving ground for so much incredible stuff over its history.  
			- Lots of things aren't safe. Skiing. Bike riding in Manhattan. We do them anyway. You can't be safe all the time. Life itself isn't safe. 
			- If Google succeeds in making the web controlled and bland, we'll just have to reinvent the web outside of Google's sphere. Let's save some time, and create the new web out of the web itself. 
			- PS: Of course we want parts of the web to be safe. Banking websites, for example. But my blog archive from 1997? Really there's no need for special provisions there. 
	- March 6
		- Brian McCullough of the Internet History Podcast is teaming up with <a href="https://news.techmeme.com/180306/podcast">Techmeme</a> to do a daily tech podcast. 15-20 minutes. It'll be posted in the early evening. There is definitely a position here. I'll be listening for sure. Here's the <a href="http://feeds.feedburner.com/TechmemeRideHome">feed url</a>. And it's in the rotation at "podcatch.com".
		- Approx 20-minute <a href="http://scripting.com/2018/03/06/podcastingAsJuggernaut.m4a">podcast</a> about podcasting as a juggernaut. Why is it a juggernaut? You don't have to get permission to start a podcast, you can follow an idea intuitively, creatively. I offer two examples, the <a href="http://www.internethistorypodcast.com/">Internet History Podcast</a> and <a href="https://www.wnycstudios.org/shows/heresthething">Here's the Thing</a>. Two podcasts that are not like what you hear in the excellent field of podcasts that sprang from <a href="https://www.thisamericanlife.org/">This American Life</a>. And that's just a tiny corner of what's out there. It's huge and diverse. No one gets the whole thing. Podcasting will continue to evolve as long as it's not controlled. 
		- Hire a professional journalist and they will <a href="https://www.wired.com/story/rise-of-daily-news-podcasts/">tell you</a> that the professionals won. Podcasting is for everyone, and that includes professionals. I do a podcast every once in a while myself. It doesn't set the world on fire, but the <i>idea</i> of podcasting did. The <a href="https://en.wikipedia.org/wiki/The_medium_is_the_message">medium</a> is the message. :rocket:
		- The <a href="https://github.com/scripting/Scripting-News/blob/master/podcatch/subscriptions.opml">subscription list</a> for podcatch.com is updated every night. 
	- March 5
		- Good morning sports fans!
		- <a href="https://github.com/scripting/Scripting-News/issues/65">Braintrust query</a>: Face recognition as a service.
		- For a troll, normalization is the worst thing possible. Like pouring water on the wicked witch in Oz.
		- Little-known fact. The initials for Tim Berners-Lee, the inventor of the web, are the same as the initials for The Big Lebowski, a classic Coen Bros movie. Can't say you never learned anything on Scripting News. 
		- Plot for a fantasy movie
			- Here's a plot for a fantasy movie.
				- The fictitious Patriot Party surprisingly wins control of Congress and the White House. 
				- They want to control the government forever.
				- Instead of raping the country they pass laws that voters love that make them happier, healthier.
				- Everyone lives happily ever after.
		- Do you care about the Knicks??
			- It's not necessary to actually watch Knicks games because they all seem to end the same. Last night they played the Sacramento Kings, another lottery team, and you might think here's a game the Knicks might actually be able to win. <a href="http://www.nydailynews.com/sports/basketball/knicks/knicks-fall-kings-skai-labissiere-game-winner-article-1.3855565">Nahh</a>. At least they're consistent!  
			- A friend who happens to be a Yankees fan is also a Knicks fan, and we talk about the team regularly. He wonders why he's a Knicks fan if they always lose. I said I know the answer. The Knicks are his <a href="http://thesaurus.land/?word=atonement">atonement</a> for being a Yankees fan. Now what does this say about me, a lifetime Mets fan? Well, one thing -- winning isn't the most important thing. And that said, unlike the Knicks, the Mets do win once in long while. Even that amount of winning requires <a href="https://duckduckgo.com/?q=define+atonement&t=hf&ia=definition">atonement</a>, I guess. 
		- Morning movie notes
			- Speaking of winners, by the middle of the <a href="https://en.wikipedia.org/wiki/90th_Academy_Awards">Oscars show</a> last night I concluded that <a href="https://en.wikipedia.org/wiki/Get_Out">Get Out</a> would win everything. Unfortunately not so. I think in a few years we will have forgotten <a href="https://en.wikipedia.org/wiki/The_Shape_of_Water_(film)">The Shape of Water</a>, and Get Out will have been the beginning of something new. The combination of politics, comedy, romance, tragedy and horror is hard to beat. 
			- I was delighted that <a href="https://en.wikipedia.org/wiki/Allison_Janney">Allison Janney</a> won best supporting actress. I, Tonya was a wonderful movie. It could have gotten a Best Picture nomination. And Janney was brilliant as Harding's bitter, cigarette-smoking hardass waitress mother. 
			- <a href="https://twitter.com/RyanJL/status/970518467228119041?ref_src=twsrc%5Etfw&ref_url=http%3A%2F%2Ftime.com%2F5185334%2Fjennifer-lawrence-jodie-foster-oscars%2F">Jennifer Lawrence and Jody Foster</a> made the best on-stage couple comedy act. I was staring at Foster on her crutches before my attention turned to Lawrence, who is by far my favorite actress of her generation, for her irreverence, intelligence, and last night sheer <a href="https://en.wiktionary.org/wiki/gobsmacked">gobsmacking</a> beauty. She's beautiful the way Hedy Lamarr was. And what an actress. She's still only 26 and one can only imagine what delights await us. I'm more than a fan, I am in awe. 
			- Sometimes the Academy passes on a movie that goes on to have great significance. For me, the most interesting example is <a href="http://www.imdb.com/title/tt0118715/awards">The Big Lebowski</a>. It didn't win a single <a href="https://en.wikipedia.org/wiki/71st_Academy_Awards#Awards">Oscar</a>. I wonder what the judges must have thought of it. A silly insignificant comedy? It's weird because TBL came after <a href="https://en.wikipedia.org/wiki/69th_Academy_Awards#Awards">Fargo</a>, which was much-celebrated by the Oscars. The year Lebowski would have been up for an award, <a href="https://en.wikipedia.org/wiki/Shakespeare_in_Love">Shakespeare in Love</a> won best picture, and imho the other winners were also Big Mehs. Imho there's no doubt The Big Lebowski was the Best Picture in 1999. But you don't necessarily know it in the moment. History has a role to play too. 
		- Phantom Thread review
			- I finally saw <a href="https://en.wikipedia.org/wiki/Phantom_Thread">Phantom Thread</a> over the weekend. 
			- I really liked it. But I was pretty sure I would. I'll tell you why. 
			- When I first saw <a href="https://en.wikipedia.org/wiki/There_Will_Be_Blood">There Will Be Blood</a>, the previous collaboration between <a href="https://en.wikipedia.org/wiki/Paul_Thomas_Anderson">Paul Thomas Anderson</a> and <a href="https://en.wikipedia.org/wiki/Daniel_Day-Lewis">Daniel Day-Lewis</a>, the first time I watched it, I didn't like it. Too dark, too slow, not enough story, odd sad ending. Meh. But then for some reason I watched it again, and had the opposite reaction. A masterpiece. The pace was just right, and there totally was a story. It was just so slow, your mind has to get in the right gear to appreciate it. It's not an easy movie to like. But who said movies have to be easy?
			- Same with Phantom Thread. The. Pace. Is. So. Deliberate. The characters say so little. We're watching the most mundane acts. But it builds and a story emerges, and the music and the acting are superb, the story is fascinating. It's the kind of movie to watch again, alone, like you read a book, to savor every moment. 
			- I wouldn't have given it Best Picture, not in the same year as Get Out, but Phantom Thread, like There Will Be Blood, will age well. 
	- March 3
		- This is how parents <a href="http://scripting.com/images/2018/03/03/fromEveToKidsAtCamp.png">sent email</a> to their kids at summer camp in 1968. 
		- At the end of the runway
			- I've been sharing a story offline with <a href="https://twitter.com/nakedjen">NakedJen</a> about loved ones who pass and what they're doing while waiting for us to join them in the afterlife. 
			- The story began a few years ago with each of us as an airplane on a runway, and life is us taking off and flying. As time goes by there's less runway in front of us (the future) and more behind (experience).
			- Lately there's a new twist to the story. Her dogs, led by Clyde (the only one whose name I know) are busily preparing a <i>perfect</i> dog park for Jen to live in. There will be many things to throw and catch. And things to smell and roll around in. A tree with shade to rest under. A bowl of fresh water. Treats. Jen will have a Mac, an iPad, an iPhone and a place to get <a href="https://en.wikipedia.org/wiki/Kombucha">Kombucha</a>. There's a <a href="https://www.yelp.com/biz/the-coffee-garden-salt-lake-city">Coffee Garden</a> up there too. And don't forget Sundance and the annual <a href="http://scripting.com/2017/12/24/191147.html">NJFF</a>. I have that pencilled in on my afterlife agenda as well. :-)
			- I think of that as NakedJen's dog park at the end of the runway.
			- I realize that my collection of Zillow searches are part of <i>my</i> planning for the afterlife. Lately I haven't been paying that much attention, but this <a href="https://www.zillow.com/homes/for_sale/Taos-NM/0_fr/1_fs/house,mobile,land_type/54659_rid/200000-900000_price/742-3338_mp/36.658504,-105.209542,36.061866,-105.768471_rect/X1-SS-8vk9hw4jzfg5_7aoby_sse/102053972_zpid/?utm_source=email&utm_medium=email&utm_campaign=emo-savedsearchdailyemail-forsaleimage&rtoken=d321f5b6-86bb-4001-88f3-bdc180dad72c~X1-ZUy9o59j6zxbt5_1wtuu&3col=true">house</a> in <a href="https://www.google.com/maps/place/61+Blueberry+Hill+Rd,+El+Prado,+NM+87529/@36.3966079,-105.9079645,10z/data=!4m5!3m4!1s0x87177ae57a811af5:0xf02e0af490bc31f2!8m2!3d36.3966079!4d-105.6278131">Taos</a> came along today and it immediately made sense. My Zillow queries are me shopping for where I want to live, for eternity. That house is pretty close what I want to build at the end of my runway.
			- PS: A plot for a science fiction movie. You know how Silicon Valley moguls are trying to find the cure for death so they can <a href="https://www.newyorker.com/magazine/2017/04/03/silicon-valleys-quest-to-live-forever">live forever</a>. Well, in this story, they succeed, and they do live forever. Their friends and loved ones die as people normally do. And they're watching, in a dimension only the dead occupy, as their silly friends struggle to live forever while they're enjoying the many benefits of the afterlife (see above). 
	- March 2
		- Found this old <a href="http://scripting.com/images/2018/03/02/thinkTankButton.png">ThinkTank <i>fanatic</i> button</a> in the back of a drawer. 
		- I started a page with my <a href="http://this.how/davewiner/politics.opml">political views</a>. As they change, if I stick to it, the page will change as well. Note when I edit the changes automatically post. Reload the page to be sure you're looking at the latest. 
		- Tech companies aren't half the story
			- <i>Note: This was a Twitter <a href="https://twitter.com/davewiner/status/969331186446237696">thread</a>, turned into a blog post. </i>
			- The press sees only one thing when they look at tech -- companies. The biggest ones. They are not the exclusive driving force of technology. Open systems, that they always oppose, keep undermining them. You're not even getting 1/2 the story.
			- It's important because there's a lot of political movement when tech's grip on tech is gone, when there's a generational shift in platforms. I've seen at least four of these in my life: Unix, PCs, GUI (Mac/Windows), Web. The powerful companies were always caught flat-footed.
			- The blindness of the press re tech evolution always amazes me. At first I thought they all must see it. A few did, in the early days, but now -- that knowledge appears lost.
			- It's important that they see it because the press has been an important part of the transition at least in the turn to GUIs and the web. I have a feeling the next platform will rise out of journalism getting tired of waiting for tech, believe it or not.
			- Also when the press looks for transformational change, they tend to see ones that require massive capital investment, and miss the ones that break the rules of the incumbent platform. The PC let people have their own computer without interference from corporate managers.
			- The Mac let people publish their own documents, newsletters, and evolved into a platform that could publish newspapers and magazines, far less expensively and much more easily that typographic systems they replaced.
			- And the web upended the GUI's dominance, by making networking so simple anyone could do it. And making the niceties of print unnecessary. It was really something watching the WYSIWYG crowd (of which I was one) struggle with the inability of the web to be wizzy.
			- Yet the web rose to dominance because the power of networking (Amazon, FB, Twitter, email, banking, Yelp, Craigslist, podcasting, etc etc) was so huge. Okay it didn't look as pretty but look at what it DOES.
		- Buttons from my bedroom
			- These buttons were on the wall of my teenage bedroom. 
			- 
	- March 1
		- I think we owe Attorney General Jeff Sessions our gratitude for <a href="https://www.mediaite.com/online/jeff-sessions-issues-statement-after-trump-attack-i-will-do-my-job-with-integrity-and-honor/">standing up</a> for the rule of law. I don't agree with his values or politics, but it's good to know there is a baseline of respect for our system of government.
		- If you're subscribed to this blog, you might also want to subscribe to my <a href="http://radio3.io/users/davewiner/rss.xml">linkblog feed</a>. The links I post to Twitter and Facebook, in RSS form. 
		- The <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2018/02.opml">outline for February</a> is in the repo. Monthly ritual.
		- A chain is only as strong as its <a href="https://arstechnica.com/information-technology/2018/03/23000-https-certificates-axed-after-ceo-e-mails-private-keys/">weakest link</a>.
		- The basic theme of <a href="https://twitter.com/davewiner/status/969096209720926208">Twitter</a> -- everyone is batshit crazy.
		- I'm afraid at this point the Knicks will never be great. The team has the stink of mediocrity on it, it's hard to see how that gets undone. Basketball is a highly political game. And great players take years to develop. And a lot of that development is political. 
		- Occam's Newsroom reports <a href="http://nymag.com/daily/intelligencer/2018/02/hopes-hicks-is-resigning-from-the-white-house.html?utm_campaign=nym&utm_source=tw&utm_medium=s1">Hope Hicks</a> is going to jail too, that's why she <a href="http://www.bbc.com/news/world-us-canada-43235675">quit</a> now, so she could stop committing crimes every day. Her job description, if accurately written, was a crime.
		- This <a href="http://scripting.com/2018/02/28/164705.html">email</a> from friend Allen Wirfs-Brock confirms there's a way around Google's fork of the web. One of the most powerful emails I've received in 24 years of blogging. A grim situation turns bright. :rocket: :boom:
