- April 2018
	- April 29
		- <a href="https://github.com/scripting/river5/issues/24">New River5 feature</a> -- now you can change the User-Agent header value for the built-in HTTP server.
	- April 28
		- <a href="http://hellofrontier.com/">hellofrontier.com</a> is back on the air after a number of years <a href="http://gonebutnotforgotten.scripting.com/">offline</a>. :boom:
		- Heading to Seattle next week. Just to hang out. I hear the weather is spectacular. And prices for Airbnb's are rock bottom. It's a good time to head west for a few days with friends. 
		- If I were going to try to launch a possible Facebook competitor, I would start with the core user experience of FB. No mystery what that is. It’s a browser-based discussion board. Designed a good ten years ago. So we know how to do better. BTW, I got a really good start on such a piece of software. Spent a full year working on it. Still works great. JS front-end, Node back-end.
		- Joy Reid and the jarring
			- <a href="https://www.hollywoodreporter.com/news/msnbcs-joy-reid-says-i-genuinely-do-not-believe-i-wrote-hateful-things-1106686">Joy Reid's apology</a>: "I genuinely do not believe I wrote those hateful things, because they are completely alien to me."
			- I think she's lying. It's just not believable. 
			- I think if Reid were honest she'd say -- yes it was jarring for me to see a man kissing a man. And go from there to a broader message of healing. It's hypocritical of us to put down other people for feeling this way. Maybe we can listen better, and accept that other people find jarring what we find normal and remember when it felt jarring for us, and not hold it against them, as we wouldn't want it to be held against us. Had Joy Reid said that, I would be cheering her. 
			- Unless zombies did actually modify her blog post. :boom:
			- Truth is it <i>is</i> still somewhat jarring to see two men walking in the park holding hands. But <a href="http://thesaurus.land/?word=jarring">jarring</a> is ok. In fact jarring is good. It means a limit you have, something that's holding you back, is breaking. Eventually jarring turns into unusual, which becomes nothing, just part of life in the big city.
			- I took a walk in the middle of writing this piece, and noticed a male couple in front of me, holding hands. Normally I wouldn't have noticed it, but now it's on my mind.
			- Get this -- 20 years ago it felt weird to me to hug another man. I got over it. But sometimes it still feels weird. It still feels more natural for me to hug a woman. 
			- One more thing: Had she been a man, or not a journalist, I doubt if journalists and politicians would have been as accepting of her non-apology <a href="https://www.thedailybeast.com/joy-reid-apologizes-for-homophobic-posts-she-doesnt-remember-writing">apology</a>. 
	- April 27
		- I guess Apple <a href="https://www.theverge.com/circuitbreaker/2018/4/26/17287434/apple-airport-time-capsule-routers-discontinued">discontinued</a> their AirPort routers because they decided wifi doesn't matter? Otherwise how are iPhone users supposed to connect to the net at home? Using Verizon? Really?? The other router choices are not that inpsiring. Except a friend pointed me to <a href="https://www.amazon.com/dp/B01MDJ0HVG/?coliid=I3R0AKNN3M7T28&colid=3ON5W8HBTKUOI&psc=1&ref_=lv_ov_lig_dp_it">Google's router</a>. Might have to give that a try. But of course Google will crunch all my packets and send copies to their <a href="https://en.wikipedia.org/wiki/Death_Star">death star</a>. 
		- I think of "River5" as an end-user product, but <a href="https://twitter.com/frankmeeuwsen/status/989981474266009601">Frank Meeuwsen</a> is using it as an RSS framework. I like cool <a href="https://github.com/frankmeeuwsen/diggingthelinks/">little hacks</a> like this.  
		- There is a reason Trump's bluster with N Korea could work. It's called the <a href="https://en.wikipedia.org/wiki/Madman_theory">Madman Theory</a>.
		- Between Zillow and Airbnb
			- I’d like something between Zillow and Airbnb. I’m shopping for real estate in 10 different areas. Can’t make my mind up. Maybe I don’t want to. Maybe what I want is to spend a few months in each.
			- I think Zillow will get there first. They are already starting to buy houses to flip them. What if they have to hold them for a while? They know exactly who might be interested in renting a house they just bought. (Because I faved it a year ago.)
			- Here's another iteration. If enough people click a button on Zillow saying "Hey Zillow buy me this house" -- they will buy it. You have to commit to a six month lease at some time in the next X years. Some portion pre-paid. The rest they finance. 
		- Why Trump got elected in 2016
			- I am so tired of the press fumbling this question. It's so obvious. 
				- Barack Obama is a black man.
				- We tend to flip in every major election. Nixon was followed by Carter. Carter by Reagan. Reagan by Bush I. Then Clinton, Bush II, Obama. Let's put it a different way. Evil then pure then charismatic then boring. Bubba, Bubba II (an exception to the flip-flop rule) then the professor (the <i>black</i> professor with a lot of hip-hop <a href="https://www.youtube.com/watch?v=kzXcNgCr0nk">charm</a>). In what country is Obama followed by Hillary Clinton? Not in America. Sorry Hillary.
				- Things, social things, are changing very fast. Too fast for most. The biggest change? Same-sex marriage. This has nothing to do with wrong or right, it has to do with people's feelings. I think this kind of change is a good thing. If you ask most people they would probably agree. But the ballot is a private thing. You can vote on what makes you comfortable or against what makes you uncomfortable. People said they were voting for change, but in fact they were voting for the opposite. A return to normalcy. And what's more normal than a white male president?
				- Speaking of comfort, Hillary, who I supported, who I campaigned for, who I thought would make an excellent president, was a terrible campaigner. She wasn't comfortable in her own skin. She was easily knocked off balance. This made people feel queasy about her. I supported her and her presence made me feel queasy. Queasy is the opposite of comfort. 
				- Enough people wanted to put the brakes on change. Too much. Let's have some normal. Unfortuantely for everyone the only choice to Hillary was Trump. He was normal enough to win. He was normal enough to be the yin to Obama's yang. It was totally predictable that Obama would be followed by a white male president. Trump sure is white and male, and not in a good way, imho (speaking as a white male myself).
			- The moral of the story is this. We can return to some semblance of sanity in 2020 if we are willing to compromise. It won't be much of a compromise. The smart move is to find a white male Democrat who won't sell us out to the Kochs and Mercers. Yes a white male in the time of #metoo. You may not feel this is the person you <i>want</i> as president, but it is someone you can accept, as a compromise. You say you're tired of compromise? Well, when you're unwilling to compromise you get Trump. And if we aren't smart we'll get another four years of Trump in 2020. 
	- April 26
		- BTW, since Frontier is the topic <i>du jour, </i>if I could wish for one new feature, a big one, I'd like to have JavaScript integrated as a fully co-equal language to UserTalk. I'd like it to be a special version of JavaScript, that has synchronous versions of code that does various net-related things, most important, a verb that makes an HTTP call and returns what's at the specified address. Without that it isn't much of a scripting language. I'd start with the codebase that Ted has been working on (see Frontier love, below).
		- I don’t support net neutrality until it’s supported at all levels. The way it’s framed now, we’re giving control to Google, Facebook, Apple over ISPs. I don’t see any reason users should take a side in that fight since they’re all fighting over who gets to screw us. :astonished: 
		- <a href="https://twitter.com/satxsam/status/989579707640238080">Sam Yates</a>: "When Google starts lobbying for 'ad network neutrality' and Facebook for 'social graph neutrality' then I will be impressed."
		- Frontier love
			- Hearing from lots of <a href="http://scripting.com/frontier/beginning/whatFrontierIs.html">Frontier</a> users after Gruber's <a href="https://daringfireball.net/linked/2018/04/25/30-years-of-frontier">writeup</a> yesterday. 
			- I didn't know that he had used Frontier. It was really interesting to read his perspective. The connection between the language and the object database is something so simple it can be hard to explain. :boom:
			- Some people wish it would "come back." For them I have good news. Thanks to solid engineering and generous work from Ted C Howard, Frontier runs on today's Macs, except now it's called The OPML Editor, because it's configured as an outliner. Long story. It's totally Frontier.
			- I'm using v10.1b19 as my IDE for my JavaScript work. I've built a real sweet code deployment environment, it's as if S3 is my file system. All this to say that Frontier is as rock-solid as ever. If you're a Mac user and want a Frontier experience, it's available to you. Not as a memory.
			- Ted maintains a GitHub <a href="https://github.com/tedchoward/Frontier/releases">repository</a> with the latest version. The list is in reverse chronologic order.
			- There is a Windows version, I don't know how well it runs. You can download it from <a href="http://home.opml.org/">home.opml.org</a>. 
			- PS: For questions, there's a rebooted <a href="https://groups.google.com/forum/?fromgroups#!forum/frontier-user">Frontier-user list</a> on Google Groups.
	- April 25
		- <a href="https://daringfireball.net/linked/2018/04/25/30-years-of-frontier">Nice write-up</a> for 30 years of Frontier on Daring Fireball. <i>Thanks! </i>
		- The <a href="https://newriver5.glitch.me/">demo river</a> on Glitch now runs in HTTPS. (Yes, I support it in my products, when I can, but my websites won't, not until we get Google to kick back. No one owns the web. That's an absolute.)
		- <a href="https://www.goldenhillsoftware.com/2018/04/unread-193/">Unread 1.9.3</a> supports titleless items in feeds. Thanks! Next, let's ask Inoreader and NewsBlur to do so as well. Here's a <a href="http://scripting.com/rss.xml">feed</a> to test with. This is an important <a href="https://duckduckgo.com/?q=title-less+posts+site%3Ascripting.com&t=hy&ia=web">historic</a> feature dating back to the origins of "RSS". Today, it's how blogging can grow into Twitter's space, without its limits (with <a href="https://en.wikipedia.org/wiki/Hyperlink">linking</a>, <i>styles</i>, and no length limit). It was there before Twitter even existed, btw. If you look at the archive of my blog going back to the 90s you'll <a href="http://scripting.com/2001/07.html">see</a> lots of titleless items. This is one of the ways Google Reader screwed up the blogging world, by refusing to support this required feature. Let's undo that mistake and grow our world. It's really <a href="http://scripting.com/2014/04/07/howToDisplayTitlelessFeedItems.html">easy</a>. :boom:
		- You might try listening to someone who is sure they're right, no matter what their age. Sometimes they're right, I've found.
		- An <a href="https://github.com/scripting/river5/issues/22#issuecomment-384299080">update</a> on the work with "River5" and <a href="http://glitch.com/">Glitch</a>. The <a href="http://newriver5.glitch.me/">demo river</a> is still working, amazingly. Before I close the thread, I'd like to do a little cleanup work so there's a good example to build on for others, and for when we pick the thread up in the future. 
	- April 24
		- Until now podcasting has been free of lock-in. The better <a href="https://blog.pacific-content.com/exclusive-inside-the-new-google-podcasts-strategy-that-could-double-audiences-worldwide-b556cdc26e43">Google</a> is, the worse it could be for the future of podcasting. Lots of history here.
		- Glitch and River5
			- TL;DR -- We're seeing if it's possible to run "River5" on <a href="http://glitch.com/">Glitch</a>. 
			- Update #2 -- the current <a href="http://newriver5.glitch.me/">demo server</a> has been configured to write all of River5's data into a folder named .data -- this folder is supposed to persist across launches. The proof will be if the <a href="http://newriver5.glitch.me/dashboard">server</a> is still updating in 12 hours, i.e. 2:30AM Eastern time.
			- Update #1 -- maybe there is a way forward. They do something special with a folder named .data -- and luckily River5 can be told to maintain its data anywhere you like <a href="https://github.com/scripting/river5/blob/master/docs/CONFIG.md">through</a> config.json. We may be back in business here. See the <a href="https://github.com/scripting/river5/issues/22#issuecomment-383989763">thread</a> for details. 
			- <b>Notes from earlier in the day follow...</b>
			- Yesterday I posted a <a href="http://newriver5.glitch.me/">link</a> to a "River5" server running on <a href="https://glitch.com/">Glitch</a>, the result of a braintrust <a href="https://github.com/scripting/river5/issues/22">query</a> earlier in the day. This was significant because Glitch is easy to get started with for people new to running servers, a good thing, and it's free. Seeing it run River5 was great. Alas, when I came back an hour later, the server had lost its memory of previous stories and had started over. You can see this by watching the <a href="http://newriver5.glitch.me/dashboard">dashboard</a> page on the server.
			- I found a <a href="https://glitch.com/faq#restrictions">doc</a> that explains its technical limits, notably:
			- <i>Projects sleep after 5 minutes if they are not used, and those running for more than 12 hours are stopped. Both wake again when they receive a HTTP request.</i> 
			- This is similar to what happens on Heroku with free projects. So I tried what had worked for Heroku, I wrote a script that runs on my desktop that reads a fast page on the server once a minute. It should, according to their warning, keep the server running. 
			- River5 maintains the data about the feeds its following and the stories it has seen in the local filesystem. That gets recreated when the server is shut down and then restarted. So, even with a keep-alive script, it will lose its memory after 12 hours. 
			- However this paragraph seems to contradict that conclusion --
			- <i>Projects have a limit of 128MB of space on the container. Though things written to '/tmp' don't count towards that, nor do your Node modules, and we use compression to squeeze the most out of that space. Plus, there's an additional 512MB of assets storage space too.</i> 
			- I'm guessing they have an API for this? Not sure. River5 just keeps JSON files in the filesystem. It uses the Node <a href="https://www.w3schools.com/nodejs/nodejs_filesystem.asp">fs package</a> to read and write. 
		- I like w3schools
			- I saw a thread on Twitter the other day where some developers were dissing the <a href="https://www.w3schools.com/">w3schools</a> website. There are apparently browser plugins that block the site? I don't know why they don't like it, if given a choice to point to <a href="https://www.w3schools.com/nodejs/nodejs_filesystem.asp">this page</a> or <a href="https://nodejs.org/api/fs.html">this one</a>, I'll generally pick the one on w3schools, because there's a chance that people who don't know Node will understand it, and might learn something, and learning imho is a universal good.
			- Similarly, I appreciate it when traveling if people don't make fun of the fact that I don't know where everything is in their hometown, and try to return the favor when people need help finding their way around my hometown. If I know a little bit of their language I try to throw it in -- grazie! prego! buon giorno!
			- I like w3schools because they tend to show you the info you need in the order you need it. Other developer docs more often show you stuff in the wrong order, and leave out details that are necessary to understanding the topic. They may work well for experienced programmers, but what's so bad about making what we do more accessible to the non-initiated? 
	- April 23
		- <a href="https://github.com/scripting/river5/issues/22">Braintrust query</a>: Tom Critchlow wants to run "River5" on <a href="https://glitch.com/">Glitch</a>. Has anyone had any success with this?
		- New header graphic, a distinctive <a href="http://scripting.com/images/2018/04/23/whitePlant.png">white plant</a> I spotted in a planter on <a href="https://www.google.com/maps/place/944+Arlington+Ave,+Berkeley,+CA+94707/@37.8912232,-122.2751939,17z/data=!3m1!4b1!4m5!3m4!1s0x80857eacf59d0f33:0x8fbd8cd1059dd94f!8m2!3d37.8912232!4d-122.2730052">Arlington Ave</a> in Berkeley in (let's say) 2007. The previous header was a springtime <a href="http://scripting.com/images/2018/03/28/kimAndXi.png">picture</a> of Kim of North Korea and Xi of China. 
		- I would think that given the hype about blockchain that by now there would at least be a demo of something interesting to an average person.
		- What has <a href="https://twitter.com/AnthonyHopkins/status/988087131938742273">become</a> of Anthony Hopkins??
		- A new kind of software I want to do. Starting with Node.js on the server and JavaScript in the browser as the foundation, ship sample apps or code examples that solve common problems with a neat simple API. We did this inside Frontier for many years, so there's plenty of prior art. The first one is a <a href="https://github.com/scripting/feedRead/blob/master/examples/readurl/read.js">simple</a> feed reading <a href="https://www.npmjs.com/package/davefeedread">API</a>. It takes the URL of a feed and calls back with either an error, or a JavaScript object containing the content of the feed, in a standard form, flattening the differences between the formats. Your code doesn't care. It also handles charset encoding. It's as simple as it can be. Now there's no excuse for not adding a feed reading capability to your Node app. 
		- Without a strong tech press we can't have open formats and protocols, because the big tech companies will just usurp them, monetize them, squeeze all the juice out of them, and leave what remains to rot. We don't have journalism today that watches and reports on the power grabs of the tech industry. That's why it's so easy to expose corruption. It's lying around in the open for all to see. But if you look deeper you'll see how it all connects. No reporter has yet had the will or the requisite technology background to do it.
		- I got a confusing <a href="http://scripting.com/images/2018/04/23/smugMugEmail.png">email</a> this morning from Flickr, saying I'd have to migrate <a href="https://www.flickr.com/photos/scriptingnews">my site</a> to SmugMug by May 25, or download and delete my site. Then I read their <a href="https://blog.flickr.net/2018/04/20/together-smugmug-flickr-faq/">FAQ</a> that said I would only be agreeing to new terms and privacy policy. In 2014 I wrote a <a href="http://scripting.com/2014/08/03/theEphemeralityOfWhatWeCreateOnline.html">post</a> saying someday Flickr will die. Today is not that day, but it certainly raises the question again. I don't know much about SmugMug. Not the greatest name ever. Might want to just call it Flickr, a better-known name that has been on shaky ground for a long time. Saying it's part of SmugMug now probably doesn't do much to add confidence. Just sayin. 
	- April 22
		- I finished all sixteen episodes of <a href="https://en.wikipedia.org/wiki/Babylon_Berlin">Bablylon Berlin</a>. It was quite a ride. And at the end I'm not sure exactly what happened. I needed this <a href="http://www.vulture.com/2018/02/babylon-berlin-netflix-how-it-ends.html">summary</a> to convince me that I did/do. Would I recommend it? It's a roller coaster. Dark. Some scenes are hard to watch. The <a href="https://www.youtube.com/watch?v=30PPdLTLlko">song</a> is addictive. You fall in love with the characters.  Would I watch it again? Not sure. But the ending isn't exactly Singin' in the Rain. 💃🕺
	- April 21
		- Don't you know the best things in life are free? It's true!
		- It's incredibly sad that New York magazine thinks the internet was the creation of venture capitalists and execs. Next they're going to ask us to believe that love was created by VCs. The heavens and stars above. Life itself.
		- New York magazine <a href="https://twitter.com/NYMag/status/987634711857164289">quotes</a> Wikimedia exec: "There is no public internet, and we are the closest thing to it," which is of course complete nonsense. You know all those citations at the end of every Wikipedia article? Where do you think those come from? Wikimedia owes the internet an apology. And New York mag, I used to respect it, has been running a series with the theme that the internet wants to apologize. That's like saying the Grand Canyon wants to apologize. This is what journalism thinks it can get away with. No different than the garbage Fox News sells. 
	- April 20
		- The <a href="https://github.com/scripting/feedRead/">simplest way</a> to parse any kind of feed in Node.js. <a href="https://github.com/scripting/feedRead/blob/master/examples/readurl/read.js">Example</a>.
		- It's <a href="https://www.washingtonpost.com/politics/democratic-party-files-lawsuit-alleging-russia-the-trump-campaign-and-wikileaks-conspired-to-disrupt-the-2016-campaign/2018/04/20/befe8364-4418-11e8-8569-26fda6b404c7_story.html">great</a> <a href="http://www.memeorandum.com/180420/p60#a180420p60">that</a> <a href="https://twitter.com/NYT/status/987366045878046720">the</a> <a href="https://www.theguardian.com/us-news/2018/apr/20/trump-russia-wikileaks-sued-democrats-lawsuit">Dems sued Trump</a>, Wikileaks, Russians if for no other reason that they will have to give depositions. Firing Mueller is looking like less of a solution to anything. Also pardon power does not extend to <a href="https://www.brookings.edu/blog/unpacked/2017/11/28/president-trump-and-the-power-to-pardon/">civil</a> penalties. Heh. Good lawyering.
		- For such a famous place, it's <a href="https://twitter.com/davewiner/status/987357745165762561">weird</a> that Silicon Valley doesn't have a landmark. Paris has the Eiffel Tower. NYC has the Empire State Building, London has Big Ben. I remember arriving in Silicon Valley in 1979 and driving around looking for it and finding nothing but suburbs. I guess that's why <a href="https://en.wikipedia.org/wiki/Buck%27s_of_Woodside">Buck's</a> was so popular. It certainly wasn't the food. :boom:
		- On a discussion board, I posted, in response to a fellow techie talking about interfaces that work for grandmas. "Here we are, a bunch of middle-aged men, with no clue wtf is going on. On the other hand things are so broken this way, there's no chance of it getting fixed. I don't like the NYC subways either, but they're what we got. Technology is like evolution, it favors what works, and never fixes its mistakes."
		- James Comey
			- James Comey is a lawyer and bureaucrat.
			- He doesn't have that much to say.
			- He was spectacularly wrong about something really important, and doesn't know it. 
			- And he is no <a href="https://en.wikipedia.org/wiki/Michael_Wolff_(journalist)">Michael Wolff</a>, a muck-raker and rabble-rouser, by profession.
		- The press loves Silicon Valley
			- If you want an idea of why no one told you what Facebook was up to, look no further than the press. It was their job to tell you, after the tech companies. 
			- Here's the lead paragraph of a <a href="https://www.nytimes.com/2015/04/21/science/silicon-valleys-water-conservation-conundrum.html">news story</a> written by John Markoff in the NY Times on this day in 2015.
				- "Silicon Valley has a richly deserved reputation as the world’s engine of technology innovation, with a track record that includes developing integrated circuits, microprocessors, personal computers and smartphones. This is a culture of confidence and bravado. Ask a bunch of tech leaders about their goals, and it’s a good bet that many of them will utter the words, 'To change the world.'"
			- That was and probably still is the way the press views the tech industry. Until they get over it, don't expect much reality from them re tech.
		- A new reality TV show format
			- A new TV show format. Tours of neighborhoods in various parts of the US. Show people in different parts how we live, and vice versa.
			- Walk through a typical supermarket and show what you can buy and what the prices are.
			- The nearest airport.
			- An average commute.
			- See it as a person living there would see it.
			- Confront perceptions with reality.
			- Reality TV that is real reality.
	- April 19
		- <a href="http://scripting.com/2018/04/11/140429.html">As of April 11</a>, you had no excuse for not knowing that the privacy scandal was much <a href="http://scripting.com/2018/04/11/140429.html#a142448">bigger</a> than Cambridge Analytica and Facebook. 
		- I'm five episodes into <a href="https://en.wikipedia.org/wiki/Babylon_Berlin#Broadcast">Babylon Berlin</a> and loving it. 
		- This <a href="https://www.youtube.com/watch?v=30PPdLTLlko">song</a> is the point in Babylon Berlin when I knew I was hooked. It was about three episodes in, and i can see now that many of the main characters are in this scene. I didn't know that the first time around. 
		- Sometimes by chance <a href="https://twitter.com/davewiner/status/986983844103577603">Twitter pairs</a> two messages that totally belong together. Death is very real, and unambiguous. People who care about language should leave it to do it's work when it's what's really happening. Speaking as someone with recent experience with actual death. And I doubly hate it when that word is applied to something I care about.
		- Anyway not only is blogging not xxx, but look at all the new features here on "Scripting News". Many of these things have never been done in blogs before, or for that matter on news org sites. You only believe it's xxx if you <a href="http://thesaurus.land/?word=ignore">ignore</a> everything outside your little piece of the blogging world (which for many is limited to their own blog). Just as we need to branch out and share innnovations in the <a href="http://scripting.com/2018/04/18.html#a214730">land of RSS</a>, we must do that for blogging too, so that when people say it's xxx, we can <i>show them</i> how it's anything but. You want blogging to thrive? It can, if you're willing to look, and tell the story.
		- Maybe one of the problems is that the main blogging platforms aren't moving. Or if they are moving, only in increments, and not in features that readers can appreciate. What a blog is isn't changing much. And that's not good, or necessary. 
		- feedBase fixes
			- I found a "feedbase" problem, an interaction with the new checkboxes, de-duping and dereferencing feed URLs. It would manifest this way: Click a checkbox for a feed, reload the page, the feed is unchecked. But only for a few feeds. For most feeds it worked as it should (that's why I didn't catch the problem the first time around).
			- The common denominator -- the feeds were one of the de-duped feeds on the hotlist. The solution is to be careful with the de-duping map, to always map to the one that's preferred by the server, because we deref the URL before subscribing. We weren't doing that for a few of the de-duped feeds. The problem may come up with future mappings and I want to be sure we don't have to repeat the debugging process. 
			- Another thing -- when dereferencing a URL, if the only difference is the protocol, don't use the deref, stick with what you have.
			- I'm beginning to realize that we need feeds to have a guid, to take all the guesswork out of this. It's a real mess! Once you try to maintain a database of feeds, something I've not actually done myself before, you buy into trying to come up with a canonical ID for a feed. The URL works pretty well, until you realize that there are several different URLs for each feed. 
			- Also realizing we should have popped the protocol off the URL before using it as a key so http://xxx would be the same feed as https://xxx.
	- April 18
		- Wouldn't it be a great to have a blog that covered developments across all feed readers, so we can follow what's new? If you make a reader, would you support this? Not sure who would be good to write it, but we'd need someone who loves RSS, and isn't in business.
		- I was able to replace iconv with iconv-lite in River5, so if you have been <a href="https://github.com/scripting/river5/issues/20#issuecomment-382469984">having trouble</a> installing, it makes sense to try again. 
		- <a href="https://gist.github.com/scripting/0b09137fdde631ccdad528dbf3a74705">Example code</a>: Using <a href="https://www.npmjs.com/package/iconv-lite">iconv-lite</a> to do character conversion of HTTP requests. Here is the original <a href="https://github.com/scripting/Scripting-News/issues/75">request</a> for help
		- When I was growing up <a href="https://www.google.com/maps/@40.7552947,-73.8758418,3a,75y,67.55h,88.27t/data=!3m6!1e1!3m4!1s7JDIf4Nq9rc0G2SHUe2f8w!2e0!7i13312!8i6656">in NYC</a>, before the EPA, they'd burn garbage in incinerators, in the morning, as I walked to school. It was choking. My mom sent me out clean, by the time I got to school there'd be burnt garbage in my hair and on my clothes. 
		- Long ago, I designed a language
			- Little-known fact: I designed and developed a programming language.
			- My goal was to create an <a href="http://scripting.com/frontier/beginning/whatFrontierIs.html">environment</a> I would work in for the rest of my career. I just realized it's exactly <i>30 years later, </i>and I'm still using it.
			- <b>30 fucking years</b>. I think I earned the right to say it that way. :rocket:
			- Now that I also work in JavaScript, it amazes me how easy the simple things are in "Frontier", compared to JS, esp when you have to tack on a database. You really have to work at seeing what's going on. In Frontier, you just click around expanding things. You can even look at the runtime stack that way.
			- We hacked and optimized and reworked things. In comparison, JS was developed in a more chaotic way. Too many ways to do the same thing imho. In Frontier there tended to be one, which is my preference. However there are missing features. Maybe at some point I'll try to rebuild Frontier in JavaScript. I think I'm now good enough to do it. The original was written in straight C.
			- Where would I start? <a href="https://github.com/scripting/frontier/blob/master/Common/source/db.c">db.c </a>of course. :boom:
			- PS: Most people don't know <a href="http://scripting.com/images/2018/04/18/aboutFrontier.png">about</a> Frontier. But you probably do know about things that were developed in Frontier. Like the first blogs, podcasts, RSS feeds, readers and content creation tools, XML-RPC and lots of other good shit. People would ask me how I got so much done. "Great tools." That's Frontier.
			- PPS: The OPML Editor is a <a href="http://scripting.com/2018/04/26/151833.html">Frontier distribution</a>. Not sure if it still works on Windows, but it definitely works on the Mac. 
			- PPPS: Thanks to Gruber for the <a href="https://daringfireball.net/linked/2018/04/25/30-years-of-frontier">kind words</a>. :rocket:
	- April 17
		- Imagine a Twitter where the limit wasn't expressed in the number of characters, but in the number of vertical pixels.
		- A friend who uses Feedly told me about his collection of NYT feeds. He sent a pointer, where Feedly offered me a chance to use his list. <i>But only on Feedly. </i>Ugh. Ideally, they would let me have the list in OPML form. I suspect they do, but if so, it's not obvious esp to someone who would want the list in OPML, i.e. someone who is not a frequent Feedly user, such as yours truly. This is the problem with commercial vendors who build on open formats. They don't reciprocate. They consume the openness. This <a href="https://www.goodreads.com/quotes/468991-all-of-this-has-happened-before-and-it-will-all">happened</a> before. Even better if they offered a dynamic link to the user's collection, so I could add the link to the OPML to my reader and if his collection changed I'd be updated. Remember the <a href="http://scripting.com/2005/12/12.html#howToMakeMoneyOnTheInternetVersion3">big idea</a> of the web, <i>people return to places that send them away. </i>Feedly is doing the opposite, trying to suck people in and hold them. This is the tech industry philosophy, and it will imho be its downfall.
		- "Hannity has no ethics" is not news. 
		- I <i>would</i> pay a <a href="https://twitter.com/davewiner/status/986234986574630912">fee</a> to subscribe to a group of news pubs. I think this is necessary, but this should be created and managed independent of the tech industry. News already looks to tech to be its <a href="https://en.wikipedia.org/wiki/Age_disparity_in_sexual_relationships#Slang_terms">sugar daddy</a> which leads to fawning coverage, and a huge conflict, at a time when tech is more in the news than ever, and deserving of scrutiny. Tech controlling news flow, especially Apple, which has little respect for criticism, free speech, spells the end of any semblance of independence of news. Also I'm hearing more that paywalls are seriously stifling the flow of news, at a time when we need <i>better</i> flow. Apple would not be good for that either. 
		- Apple's pencil
			- I'm thinking about getting a new iPad, and said so on Twitter. I got a bunch of responses, including this <a href="https://mmitii.mattballantine.com/2018/04/17/the-little-white-doo-dah-that-changed-my-working-life/amp/?__twitter_impression=true">blog post</a> from Matt Ballantine, who loves the iPad because of its compatibility with Apple's <a href="https://www.apple.com/apple-pencil/">pencil</a>. Based on his report, I decided to get the new iPad and the pencil. I used to be a diagram person, as part of pitching ideas to other people, I'd develop what I called a <a href="https://en.wikipedia.org/wiki/Chalk_talk">chalk talk</a>. A very good way to communicate, highly personal and persuasive. 
			- Ariel Anbar posted a <a href="https://www.facebook.com/dave.winer.12/posts/709726209234787?comment_id=709814399225968&notif_id=1523953023107298&notif_t=feed_comment&ref=notif">caveat</a> about the pencil on Facebook. 
				- My main problem with the Pencil is that it doesn’t hold a charge long when unused - maybe a couple of days - and recharging it requires an additional step beyond my nightly recharge of the iPad. So unless I get into a daily routine with it, I find it is usually dead in the moment of inspiration-driven need.
				- On the plus side, it recharges very quickly, but 5 min is an eternity when you suddenly have the need. Add to this the occasional need to mess around to get it to reconnect, and it is one of those really cool and tantalizing and useful but not-quite-up-to-its-lofty-potential pieces of tech.
				- As for how to carry it, there are many iPad cases that have solutions. Some are quite inexpensive.
			- Hmmm. That's too bad. I wondered why Apple didn't promote the product more, maybe this is why. Even so, I think I'll give it a try. 
		- Imagine a world without blogging. 
			- Imagine a world without phones.
			- In a world without phones, you could listen to people with beautiful voices speak words designed by psychologists to make you want to buy tacos or life insurance.
			- But you couldn't listen to your daughter or son.
			- Blogging lets us write for each other.
	- April 16
		- 18-minute <a href="http://scripting.com/2018/04/16/denverPostAndBerkeleyside.m4a">podcast</a> about the <a href="https://www.denverpost.com/2018/04/06/as-vultures-circle-the-denver-post-must-be-saved/">Denver</a> <a href="https://boulderfreepress.blog/2018/04/14/private-equity-owners-endanger-cameras-future/">newspapers</a> and <a href="https://www.lenfestinstitute.org/solution-set/2018/04/12/local-news-site-berkeleyside-raised-1-million-direct-public-offering/">Berkeleyside</a>. The Denver news orgs are doing something unusual, crossing the wall between publishing and editorial. And <a href="http://www.berkeleyside.com/">Berkeleyside</a>, a local news org who just did a public <a href="http://invest.berkeleyside.com/">offering</a> of stock, and <i>eliminated</i> the wall between publishing and editorial. Have a listen and think if perhaps this isn't a better way forward for news than paywalls and hedge-fund ownership.
		- I wish the Democrats were self-aware enough to choose the strongest candidate to run against Trump or whoever is the Republican nominee in 2020. People still think in terms of a perfect candidate. Dems don't have any. But that's not a problem because the Repubs don't have any either. Imho what we need is someone who appeals to the massive core of American voters, without betraying us to the super-rich. Never mind who appeals to <i>you</i> -- you're going to vote rationally. Think about the massive number of voters who don't. I don't think they're fascists or KKKs, I think they are emotional and want to feel good. Who can give a rousing even angry speech that gets people to feel good about themselves without tearing other people down (except for Trump of course). That's the one. Imho
		- Sometimes things have to fall apart before they can start to make sense again. When they write the history of the web, if they get the story right, a big event will be the San Francisco newspaper strike in 1994. A lot of ideas came together there, across a wide divide. It showed us how news and tech are inextricably entwined.
		- The best part of the <a href="http://abcnews.go.com/Site/transcript-james-comeys-interview-abc-news-chief-anchor/story?id=54488723">Comey interview</a> last night was when he asked what the f*ck were <a href="https://www.politico.com/magazine/story/2017/05/10/james-comey-firing-trump-lavrov-putin-215124">Russians</a> doing in the Oval Office, without any Americans there other than the president (who is obviously a Russian tool).
		- Installing the latest River5
			- There have been a couple of reports of trouble installing the latest "RIver5", both having to do with the <a href="https://www.npmjs.com/package/iconv">iconv package</a>, which is a <a href="http://scripting.com/2018/04/08.html">relatively new</a> addition to River5. Here's the <a href="https://github.com/scripting/river5/issues/20#issuecomment-381571359">latest report</a>.
			- I don't know what the problem is, I had no problems installing it on my Mac or on a Linux server. 
			- When I have trouble with NPM, this is what I do:
				- Delete the node_modules folder and do an <i>npm install. </i>
				- If that doesn't work, <a href="https://docs.npmjs.com/troubleshooting/try-clearing-the-npm-cache">clear</a> NPM's cache, delete the node_modules folder and do an <i>npm install. </i>
			- What's unusual about iconv is that it's written in C, and as part of the npm install process it needs to compile it to machine code. 
			- I am anything but an expert in NPM problems, that's why I'm raising a flag <a href="http://scripting.com/2018/04/16/143346.html">here</a> on Scripting News. 
			- Update: I think <a href="https://github.com/scripting/river5/issues/21#issuecomment-381623181">Anton</a> got to the bottom of it. Some systems have it set up so that you can't run downloaded stuff without modifying permissions. 
	- April 15
		- Future-safing the web
			- As you know <a href="https://duckduckgo.com/?q=site%3Ascripting.com+future-safe+web&t=hh&ia=web">from</a> reading this blog, I am a big fan of efforts to make the web long-lived. And that's why I was interested in <a href="http://www.niemanlab.org/2018/04/heres-how-the-new-york-times-is-trying-to-preserve-millions-of-old-pages-the-way-they-were-originally-published/">this story</a> about how the NYT is creating new archives of old stories so they appear on the web exactly as they did when the stories ran. 
			- For example, here's an <a href="https://archive.nytimes.com/www.nytimes.com/indexes/2001/09/11/">archive</a> of the NYT home page for 9/11/2001. Interestingly, I took a <a href="http://scripting.com/images/nyTimesHomeBombing7AM2.gif">screen shot</a> of that page earlier in the day, as the story was unfolding. There was no question history was happening <a href="http://scripting.com/2001/09/11.html">that day</a>.
			- It's good, but who is going to do this for historic weblogs? I've kept my blog around, and various experiments I've done over the years. I have generally tried to use technology that I believed was going to stick around, so I've never built on Flash, for example. I've used static HTML files as much as possible. But even so, there are quite a few gaps in my archive, esp where I have let domains lapse. 
			- And of course a huge bonfire of breakage is coming as Google tries to turn off HTTP. This is something users of the web, news orgs, libraries, historians, researchers, should join me in condemning. Changing to a new protocol is fine if you want to do it, but trying to force people to? That's a company that needs to be told to stay in its lane. More on this on the <a href="http://this.how/googleAndHttp/">Google and HTTP</a> faq.
	- April 14
		- Open source developers need as much support as the users of their products. With that in mind, I want to congratulate the developers of <a href="https://www.jsdelivr.com/">jsDelivr</a>. I just <a href="http://scripting.com/2018/04/14/152222.html">adapted</a> my project to use it as a CDN. The process was hard work, but made much easier by the docs and design of jsDelivr. That part was a breeze. They tell you just what you need to know when you need to know it with no extra fluff. This is really rare. Good work! :boom:
		- BTW, development on "feedbase" is on pause, but I'm going to swing back around to it. I find it's good that once the initial problems are shaken out of a new product, it's good to step back and let it settle down before the next major construction project. (Update: as soon as I wrote this, I found two glaring problems. I'm going to fix them now, not going to wait for the next round of work.)
		- I wrote an <a href="http://scripting.com/2018/04/11/140429.html">overview</a> of Cambridge Analytica and Facebook, the piece I feel the press hasn't written. In case you haven't seen it. :rocket:
		- Future of News con for devs
			- I want a future-of-news conference where we plan new open systems for news publishing and reading, without sponsorship of big tech companies such as Facebook or Google. 
			- There would be a session at the conference entitled How To Get Facebook and Google to Give Us Money, and it would be off-topic at every other session. That way the sessions wouldn't all be repetitive expressions of powerlessness and we could get some work done.
			- People who were at BloggerCon will recognize this as the How To Make Money With Your Blog session at that conference. We swept up all the powerlessness into one session, and made it off-topic at every other one. It worked.
			- Artists when they get together, all they want to talk about is how they need to make money. I've never seen a discussion among creative people that didn't immediately devolve to this. In F-O-N, big tech companies encourage this. They want all the attention focused on them.
		- CDN overhaul for River5
			- The new releases of "river5" and <a href="https://github.com/scripting/reader">davereader</a> are out.
			- It felt like it was going to be a small change, but it wasn't. 
			- That said, there are still references to fargo.io in the code. That'll take more time to shake out because this code is shared with my other projects. But the main files for displaying rivers are now in <a href="https://www.jsdelivr.com/">jsdelivr</a>.
			- Please update your "River5" installation, <a href="https://github.com/scripting/river5/issues/21">watch for problems </a>.
			- If you want to see all the code that's being accessed through the CDN, it's in the <a href="https://github.com/scripting/river5/tree/master/includes">River5 repository</a> on GitHub.
	- April 13
		- Made a lot of progress today on using <a href="https://www.jsdelivr.com/">jsdelivr</a> as a <a href="https://github.com/scripting/river5/issues/21">CDN for River5</a>. Expect to have something to release tomorrow. 
		- Uber, AirBnB and ?
			- I posed a query on Twitter this morning. "Uber is to taxis as AirBnB is to hotels as x is for news. What is x?"
			- Jim Parsons <a href="https://twitter.com/JPWP/status/984781958310973440">said</a> the answer is RSS.  
			- To which I said: "Sorry that's not what I was getting at. RSS is a channel for news. The others are replacements for taxis and hotels. Not analogous."
			- Then I thought about it and changed my mind.
			- Uber and AirBnB <i>are</i> channels, not the cars or homes that are shared. So RSS is perfectly analogous. The question I was really asking is this: Where is the analog in news for Uber drivers and AirBnB hosts. I once thought and still do that blogging was the seed for that movement. It faltered, perhaps because roadblocks were put in its way in the form of Google Reader and the pretense among news people that they were bloggers, and perhaps the relatively low value users place on news. We know what a taxi ride is worth, and a hotel room, but we have a less precise understanding of the value of news.
			- I still think that blogging is the answer. I know news people find it abhorrent, but I think to the extent they do, they are actually anti-news people, like the <a href="https://en.wikipedia.org/wiki/Hans_Brinker,_or_The_Silver_Skates">Dutch boy</a> with his finger in the dike. 
	- April 12
		- My personal privacy policy re Facebook -- everything I post is 100% public, as if I posted it to my blog. Same with Twitter.
		- Facebook isn't the answer for news on the web
			- Journalists say it's time for Facebook to endow journalism. I think that's a really bad idea.
				- Journalism has to compete with tech, not be supported by tech. The best of both. It's way too early to surrender. That's what asking for a handout is. 
				- The best product in journalism and tech has yet to be created. It won't be if journalism is married to Facebook. How can Facebook's competitors emerge in this environment? They can't.
				- I want journalism to listen much better. For example, the story of Facebook and Cambridge Analytica could have been reported <i>eight years ago.</i> Any number of independent technologists could have helped journalists develop this story. But they don't answer the calls. What incentive will journalism have to change if the bills are being paid by Facebook? They're already too impressed with huge tech companies.
				- I want to compete with Facebook. All people with ideas in news and software should be able to. Senator Lindsey Graham <a href="https://www.youtube.com/watch?v=VbjC4uKXbvE">asked</a> Zuck the right question on Tuesday. Who are your competitors? The answer is they have none, though Zuck wouldn't say that. That is the big problem. Solve it and all the others go away. It requires Facebook to do a much better job of linking out from the main user experience. Meaningful change could happen immediately. Over a period of a few years, Facebook could open up to peering with competitive social networks. This would enable all kinds of new technology and news flows to develop. 
				- I want to build a beautiful online world just for news, not to tack it on to a discussion board. Start from zero. Given the current wealth of resources on the net, what would you create for news? I know what I want to make, and it would not be Facebook. It would start at a different place.
				- It's too early to lock it down, either tech or journalism. Still too much change that needs to happen. Honestly I think it's the change that the incumbents in journalism are trying to avoid. The change could have started over 20 years ago. It's time to give up on the old way and create the new way. The ideas of Facebook definitely apply. But not Facebook itself. 
			- PS: For background see <a href="http://scripting.com/2018/04/11/140429.html">yesterday's piece</a> on where we're at with Facebook.
	- April 11
		- Where we're at with Facebook
			- Here is my summary of what I've been writing on my <a href="http://scripting.com/">blog</a> for the last few weeks while the Cambridge Analytica/Facebook <a href="https://en.wikipedia.org/wiki/Facebook%E2%80%93Cambridge_Analytica_data_scandal">controversy</a> was brewing.
			- <b>There are two stories, advertising and world domination</b>
			- The first story: targeted advertising. Facebook has an ad system, a web app like Facebook itself, where people enter credit card information, keywords and demographics to determine who sees their ad. They don't get any information about the users this way.
			- The second story: Facebook's API. This is how Cambridge Analytica got the data.
			- In <a href="https://mashable.com/2010/04/21/facebook-open-graph/#XlsVmbOnEkq8">2010</a> Facebook announced with huge fanfare <i>and press coverage</i> that they were opening up Facebook's data to developers. They called it The Social Graph. They would accumulate every fact in the world, and turn that into a platform for developers.
			- They weren't doing this out of the goodness of their heart, though there is some of that (seriously, not kidding). This is how tech companies achieve dominance. They capture developers and potential competitors by being the environment everyone makes software for. We become part of their ecosystem, they control us. I'm sure Bill Gates and Steve Jobs schooled him on how to do this. It's how power is expressed in tech.
			- <b>Was it a breach?</b>
			- <a href="https://www.consumer.ftc.gov/blog/2017/09/equifax-data-breach-what-do">Equifax</a> was a bonafide breach. The information captured was what you need to impersonate people in financial transactions. 148 million identities.
			- In 2008, the <a href="https://www.wired.com/2009/10/probe-targets-archives-handling-of-data-on-70-million-vets/">US government</a> had a massive data breach of veterans data, 70 million records. Again the kind of data that can be used to impersonate people to steal money. 
			- We're not sure all that has leaked through the Facebook API. In the last few days people have been saying that direct messages, which feel very private, were shared through the API. If so, yes this was a breach. However everything else was pretty well disclosed.
			- The reason it's a shock is the press failed to report on it in 2010 and after. Facebook does a thorough job of disclosing it to users. Zuckerberg was being dishonest in other ways in his testimony, but in this respect, he was being truthful. Not necssarily kind or fair, however, because they, like everyone in tech, are aware that users don't understand what they're giving up.
			- <b>What's unique about Cambridge Analytica?</b>
			- Not much. Every developer that has access to the Facebook API, and it's more or less open to the world, any of them could have done what CA did. The API been around for 8 years, and in that time companies formed solely to use the data that you can get through the API. Many of them. 
			- An analogy. CA as a crisis would be like saying a leaky faucet in Manhattan is a crisis. The crisis could be all the leaky faucets everywhere. The intersection of CA with Facebook, while it sounds big is actually pretty small in comparison to the actual scope of the problem.
			- <b>Were users hurt?</b>
			- Because I am a developer who uses the same API as CA I knew what was going on. 
			- Even so -- as a Facebook user -- I tried some of the data capture services that masquerade as tests and quizzes. But relative to Equifax, other credit companies, doctors I've used, banks, many of which have had real data breaches, Facebook really doesn't have much if any info that isn't already out there. 
			- It's really hard to find much damage done to users here. Much less so than with Equifax or <a href="https://fcw.com/Articles/2009/05/20/Web-NARA-missing-hard-drive.aspx">NARA</a>, for example. 
			- <b>First Amendment</b>
			- Facebook is a silo, and that's bad for freedom, but it is a place where a lot of speech happens, so there are First Amendment issues with regulating Facebook. 
			- <b>Should there be regulation?</b>
			- Yes. On privacy disclosure, and prohibiting the most draconian uses of user data. It should not be possible for users to give those rights up in exchange for use of a social system like Facebook. The idea is similar to the law in California that says that most non-competes are not enforceable. The benefit you receive has to be somewhat equivalent to the data you give up. 
			- <b>What about Google, Apple, Amazon?</b>
			- This is the really important stuff.
			- This affair should get users, government and the press to look at other tech companies who have business models based on getting users to disclose ever-more-intimate information. Here are some examples.
			- Google, through Android, knows every place you go. They use that data. Do they sell it? I don't know, but I'm pretty sure you can use it to target ads. Apple, through the iPhone also knows where you go.
			- Apps on Android or iPhones can be told where you go. Many of them are only useful if you let them have the info. Apps can also have all your pictures, contacts. Face recognition makes it possible to construct a social graph without any access to the Facebook API.
			- Google and Apple can listen to all your phone calls.
			- Google, through their Chrome browser, knows everywhere you go on the web, and everything you type into the browser. 
			- Amazon Echo and Google Home are always listening. Imagine a leak based on conversations at home, phone calls, personal habits, arguments you have with your spouse, kids, any illegal activities that might be going on in your home. 
			- If you have a Gmail account, Google reads your mail, and targets ads at you based on what you're writing about. They also read the email that people send to you, people who may not also be Gmail users. Some examples of how creepy this can be -- they seem to know what my investments are -- I assume they figured this out through email. Recently they told me when a friend's flight to NYC was arriving. I don't know how they made this connection. I assume it was through email.
			- Amazon, of course, knows everything you buy through Amazon. 
			- Google knows everything you search for. 
			- And on and on. We've reconstructed our whole society around companies having all the data about us that they want. It's kind of funny that we're all freaking out about Cambridge Analytica and Facebook. The problem is so much bigger. 
			- <b>Summary</b>
			- It seems like a non-event to me. The press knew all about the API going back to 2010. That they didn't foresee the problem then is a result of the press accepting the hype of big tech companies on their terms, and not trying to find out what the implications of technology are from non-partisan experts. This was a story that could have and should have been written in 2010, warning users of a hidden cost to Facebook.
			- Today's scandal, the equivalent of the one in 2010, is that Google is <a href="http://this.how/googleAndHttp/">attempting</a> to turn the web into a corporate platform. Once they control the web as Facebook controls the Social Graph, we'll have another impossibly huge problem to deal with. Better to head this one off with regulation, now, when it can do some good. 
	- April 10
		- New "feedBase" feature. <a href="http://scripting.com/images/2018/04/10/checkboxesOnFeedbase.png">Checkboxes on feed lists</a>. If it's checked you're subscribed, if not, you're not. Click click click. You're in charge. Easy and super-fast. :cow2:
		- Wait till the press figures out that Google knows everywhere you go. Not only on the web, but also in the world.
		- A couple of technical/strategic questions came up yesterday that are still outstanding. First, I need to <a href="https://github.com/scripting/river5/issues/21">pick a CDN</a> to use for River5 files that are used in user apps. Right now they're served on domains that I own that could go away. That would be a lot of breakage. Which one should I use? Second, I want to make some mods to the <i>forever</i> app we use to keep Node apps running. I need to <a href="https://github.com/scripting/Scripting-News/issues/74">figure out how</a> to set it up so the new version installs the way <i>forever</i> currently installs. I don't want/need to do this differently, but it's outside my expertise. As always, help appreciated. 
		- Sarcasm has no place in serious discourse.
		- The press is the real political power in the US.
		- I love Apu, and that's the problem
			- I now better-understand the <a href="https://en.wikipedia.org/wiki/The_Problem_with_Apu">concern</a> of South Asians re <a href="https://en.wikipedia.org/wiki/Apu_Nahasapeemapetilon">Apu</a>. They are getting bullied, reduced to stereotype. Apu is funny to us, but not to them.
			- The analogy is not true. As a Jew, I've never had someone call me <a href="https://en.wikipedia.org/wiki/Krusty_the_Clown">Krusty</a>. If it happened I would have no idea what they were talking about. Not so with Apu and Indians.
			- We have trouble understanding the problem with Apu because we love him. But they don't love him. I'm not sure what to do about it, but the people who write The Simpsons said pretty much exactly the <a href="https://www.theverge.com/2018/4/10/17216420/the-simpsons-problem-with-apu-response-politically-incorrect-stereotype-hari-kondabolu">worst thing</a> about it in the latest episode.
		- A thought on JavaScript syntax
			- I find it hard to remember this syntax. 
				- let checked = (flSubscribed) ? "checked" : ""; 
			- This would be easy to remember:
				- let checked = (flSubscribed) then "checked"else ""; 
			- Not saying anything should change, of course. :boom:
	- April 9
		- If "RSS" was a startup and had a CEO that TechCrunch needed access to, or was backed by  VCs, or even a big tech company, they would temper their <a href="https://techrunch.com/2018/04/07/rss-is-undead/">judgment</a>. Instead it's a punching bag, a technology <a href="https://en.wikipedia.org/wiki/Pi%C3%B1ata">piñata</a>. But people love RSS. It's still here, ready to bring you the news. And honestly they probably wouldn't beat on it if it weren't threatening someone.  :heart:
		- I have been playing with the source for the <i>forever</i> utility. I want to try adding a few features, see what happens. But I have a basic <a href="https://github.com/scripting/Scripting-News/issues/74">question</a>.
		- Note to self, <a href="https://github.com/scripting/river5/issues/21">find a CDN</a> for common files needed by River5 apps.
		- Dan MacTough <a href="https://github.com/scripting/feedBase/issues/22#issuecomment-379707884">answers</a> the question I posed in my <a href="http://scripting.com/2018/04/06.html#a153548">podcast</a>, asking about how to treat URLs of feeds in a MySQL database.
		- I've had Frontier running on my desktop for over a month. Using it all day every day for writing code and documenting stuff. I never noticed how reliable it is, even in 2018, many years after its last overhaul. A testimony to fine engineering by André Radke and Ted C Howard, two programmers who probably have never met. Just wanted to put a H/T out there and a big thank you. (In comparison, I have to restart my JavaScript apps every day or they are way too slow.)
		- I have developed all kinds of JavaScript stuff and have never used <a href="https://davidwalsh.name/dark-side-promises">promises</a>. I like <a href="https://github.com/scripting/opml/blob/master/daveopml.js#L119">callbacks</a>. They aren't too complicated for me. I know I'm probably the only one.
		- Sometimes a company asks a great question on Facebook, and wtf, I answer it. Like <a href="https://www.facebook.com/TheCapitolTheatre/photos/a.267679886623979.64631.219398564785445/1772920619433224/?type=3&comment_id=2071785499766054&notif_id=1523286834553335&notif_t=like&ref=notif">this</a> one. They asked us to name a concert that totally blew your mind. Here's what I wrote. "Beach Boys as the surprise guest act with the Dead at the Fillmore East in <a href="https://www.youtube.com/watch?v=6A1GW1LZDlg">1971</a>. When they were setting up no one knew who they were, they had grown their hair, turned into hippies. Then they played a hit, <a href="https://youtu.be/6A1GW1LZDlg?t=1h10m01s">Heroes and Villains</a>, and the place came apart."
		- I hate possessions. With my mom dying earlier this year, the house I grew up in will soon be out of the family. All this stuff, if we threw it out, would be gone forever. It was nice that she was keeping it all. Then I think of all the possessions I've taken from that house in the past. Where are they now? Not anywhere I can put my hands on them. I have shed all my possessions several times in my life. Yet I keep accumulating them. This year I got far more than I ever wanted. What will become of them? I really can't be trusted with things. ;-)
		- Today, anyone can write the news
			- Is journalism serving us? I doubt if this question comes up much in the hallowed halls of the New York Times. The answer to them is self-evident, of course news serves the people. 
			- What I, one of the people, see is something very different, an impenetrable wall that ideas and news can't enter, except for the ways of stature, access, and ad dollars, and occasionally something to do with the interests of the audience. 
			- In 2016, just after the election, I wrote an <a href="http://scripting.com/2016/12/18/pressFreedomIsNotMyFreedom.html">angry piece</a> about the press, which had just sold us out, giving us an idiot-despot as president. Now they're trying to rewrite history to say that Facebook did it. I know a lot of the facts, far more than what they report, and almost certainly more than the reporters do. I also watched the build-up to this campaign, where they openly ran editorials and op-eds saying that "public opinion" was about to turn against Facebook. That's insider-talk for "we're looking for a good opportunity to attack them." They found it in Cambridge Analytica, a non-scandal, non-story, but one that could be presented as one.
			- In journalism-land <a href="https://getyarn.io/yarn-clip/4a72ac86-e7a3-4e3c-b1dc-f9a551a6ab56">people will think</a> what they tell us to think. 
			- <a href="https://en.wikipedia.org/wiki/Dean_Baquet">Dean Baquet</a>, executive editor of the NYT, <a href="http://money.cnn.com/2018/04/08/media/dean-baquet-new-york-times/index.html?utm_source=CNN%2BMedia:%2BReliable%2BSources&utm_campaign=4fd19770c7-EMAIL_CAMPAIGN_2017_06_06&utm_medium=email&utm_term=0_e95cdc16a9-4fd19770c7-81590981">says</a> this is a terrible time for journalism because local news is failing. There is a way out. Knock down the wall and let us in, while there still is a modicum of respect for the great old names of journalism. Let's grow journalism by an order of magnitude. There must be a million capable people who believe in free speech who are ready to write news, for free, for the glory of it, for the chance to set things straight, to tell the story as they see it, as it is actually happening. Of course, in order for that to happen, the people who currently write the news will have to take a demotion, from the originators of public opinion to teachers and editors, coaches and quality-assurers. Innovators. And historic adjusters of news to the realities of a world where anyone can write the news. 
			- <i>A world where anyone can write the news. </i>That's both the weakness and the strength of news in this century. If there is no quality to the writing, we get Trump, a product of the current antiquated, vestigial, news system, the one the high priests of journalism wrongly tell us we must protect. We tried it their way, it didn't work. 
			- Now we should try another approach. It will be different, it feel uncomfortable, <a href="https://www.brainyquote.com/quotes/finley_peter_dunne_154262">but</a> the job of journalism "is to comfort the afflicted and afflict the comfortable." Fate has a sense of humor because now the comfortable who are afflicted are the journalists themselves. 
	- April 8
		- New version of "River5". After burning in the new feed reading package in feedBase, I made the same <a href="https://github.com/scripting/reader/blob/master/davereader.js#L752">fix</a> in the <a href="https://www.npmjs.com/package/davereader">davereader</a> package, which is the core of River5. If you were <a href="https://github.com/scripting/river5/issues/20">seeing</a> garbled text in feeds in German, for example, this version should fix that. To update, quit the app, type <i>npm update</i> at the command line, then restart the app. 
		- Brent Simmons <a href="http://inessential.com/2018/04/08/blogging_system_rewrite">rewrote</a> his blogging software so to handle titleless posts. It's more significant because Brent is developing a feed reader that will do a nice job of supporting titleless posts. Eventually imho all readers <a href="http://scripting.com/2014/04/07/howToDisplayTitlelessFeedItems.html">will</a>. 
		- It's amazing to me how slowly progress is made while people prove they don't have to listen to some other person. It is true. You don't have to listen to anyone (except a cop, or your mother). But you <i>could</i> listen, if you wanted to know what someone else thought? Would it kill you? :boom:
		- Facebook built a system for sharing information. When you grant access to your Facebook account to someone else, they get access to the info you shared. That's it. That's what's going on. If you gave access to Cambridge Analytica, they got the info you shared. When you give access to any other company, same deal. If you don't want them to have your info, <i>don't grant them access. </i>
		- <div style="font-size: 60px; margin-top: 30px;">❤️</div>
	- April 7
		- I love the way the <a href="http://apps-of-a-feather.com/">Twitter devs</a> joined up and <i>respectfully</i> documented a <a href="https://www.theverge.com/2018/4/6/17206524/twitter-tweetbot-twitterrific-apps-features-api-changes">problem</a> they were <a href="https://www.techmeme.com/180406/p14#a180406p14">having</a> with the Twitter API. No powerlessness. Just facts. And I love that Twitter read what they wrote, and <a href="https://twitter.com/TwitterDev/status/982346372719378432">said</a> they'd work with them. Everyone involved deserves maximum credit.
		- BTW lost in all the Trump hooplah, there was a successful teacher's march in West Virginia and Oklahoma, and one on the way in Arizona. The <a href="http://podcatch.com/archive/2018/04/05/636283.html">Open Source podcast</a> covers it, as always, in a thoughtful and exciting way. 
		- <a href="http://bloggercon.scripting.com/ruleoflinks.html">The rule of links</a>: "Linking is an art. It's a choice. You don't link from every word or even every noun, or from the subject of every sentence. But when a reader reasonably would want to know more about the subject, the Rule of Links says you should link to it." 
		- UX tip. I clicked on a wrong link in my bank website. I wanted to quickly get out. I clicked the Cancel button. A dialog appeared asking if I really want to cancel. Yes or no. This is dissonant. I do not want to click YES when I'm saying get me the fcuk out of here now.
		- I have a new credit card. This morning I paid for a Starbuck's using Apple Pay. I expected it to fail because I hadn't updated the number. It worked. When I looked it already had the new number. Before I did.
		- I generally don't like to look at how mailbox-type readers render this site. The best I've seen are ones that ignore titleless posts. At least they don't show the reader a mangled version of my writing. Then there's the ones that repeat the body of titleless posts in the title. So you see my writing twice, as if I had a stutter. It's not my stutter, the text only appears once in my feed. Readers that get on board with titleless posts are helping to open the door for new kinds of blogging. I've chosen to ignore their ignoring and just plow ahead. BTW, when I say "new way" I really mean "old way." My blog, the original one, esp for RSS support, had titleless posts years before RSS existed. And the format allows titleless posts. So those that don't support them can't really claim to support "RSS". 
		- BTW, here's an <a href="http://scripting.com/frontier/admin/oldNewsPages/archives96/jun.html">archive page</a> from this blog in 1996. Look at how the format is evolving. Lots of title-less posts. It's a good format. A lot like Twitter, btw. :boom:
		- Linking feedBase to readers
			- Michael Uffer had a <a href="https://github.com/scripting/feedBase/issues/30">great idea</a>. Link the orange feed icon next to every feed title to the user's favorite reader's page for that feed. 
			- I added the <a href="https://www.youtube.com/watch?v=SH51Qe_P2fs&feature=youtu.be">feature</a>, and was immediately able to get it to work with Feedly. Here's an <a href="https://feedly.com/i/subscription/feed%2Fhttp%3A%2F%2Fdaringfireball.net%2Findex.xml">example</a> of a URL that we generate, to view the items it has for the Daring Fireball blog. 
			- Then we got it to work with Inoreader. Same idea, here's a <a href="https://www.inoreader.com/feed/http%3A%2F%2Ffeeds.kottke.org%2Fmain">link</a> to an Inoreader page for Kottke.
			- I haven't been able to find the equivalent URL for <a href="https://theoldreader.com/">Old Reader</a>, but if it's there, we'll find it. 
			- Here's the <a href="https://github.com/scripting/feedBase/issues/31#issuecomment-379474687">thread</a>.
		- The trials of encoding
			- If you've been reading this blog for the last week or so, it must be very confusing. The result of <i>my</i> confusion. I finally had to understand encoding on the web. I wanted "feedBase" to work for feeds in all languages. The web went through a transition to make it work that way. At UserLand, Jake and Brent did the encoding stuff. I hoped that my new app, "feedBase", would "just work." Didn't happen.
			- There were two problems:
				- My connection to the <a href="https://github.com/danmactough/node-feedparser">feedparser</a> package was not encoding-aware. This, btw, is also true in "River5". Rather than do a solution just for feedBase, I did a general solution, coming up with the API that I wanted on Node, basically the same API that we have in Frontier. I will use <a href="https://www.npmjs.com/package/davefeedread">that package</a> in River5. Hopefully that will make the transition much easier than it otherwise would be. 
				- My SQL database wasn't set up for Unicode. So I had to figure out the magic incantations to make it work that way. As with feed parsing, I had hoped it would just work. But I had some excellent help from the newly assembled MySQL mentorship group, again mostly consisting, of course, of JY. He's a real life-saver. 
			- Anyway, I'm keeping my eye on it, but I'm hoping now to be able to move on. :boom:
	- April 6
		- <a href="https://github.com/scripting/feedBase/issues/31">For feedBase users</a>, I'm interested in creating a connection with two or three readers as a proof of concept for a contemplated feature. So I'd just like to know what reader you use. That's all. :cherry_blossom:
		- Some credible j-schools, in conjunction with their CS departments, should hold boot camps for reporters when aspects of tech become hot news. Right now we need reporters to get up to speed on APIs.
		- BTW, it seems Facebook's <a href="https://techcrunch.com/2018/04/04/facebook-instagram-api-shut-down/">response</a> to the heat it's getting is to kill the Instagram API and to limit the Facebook API. This is not a good thing for the web, or it may be a very good thing for the web. Hard to say.  
		- We're in a tight corner in the conversion of feedBase to Unicode support. But I'm sure there's an answer because anyone who has developed a feed reader with MySQL as the database has had to answer this question. I recorded a <a href="http://scripting.com/2018/04/06/mySQLAndUnicodeConundrum.m4a">17-minute podcast</a> that explains the question in detail, and why this is a good time to slow down and get it right. The question: What should be the maximum length for the URL of a feed? But please listen before <a href="https://github.com/scripting/feedBase/issues/22">answering</a>. <i><b>Update</b>: The problem <a href="https://github.com/scripting/feedBase/issues/22#issuecomment-379306899">appears to be solved</a>. </i>The trick was to not convert the URLs and shorten the username to 32 chars and convert that (because it can be unicode and it's part of the key for the subscriptions table). It will take some time to fix all the feeds, but it seems we have the problem solved. Knock wood. I can't believe it. I get to take a break now. Haha. Let's see. :rocket:
		- Just <a href="https://help.twitter.com/en/managing-your-account/twitter-username-rules">learned</a> maximum length for Twitter user names is 15 characters. That's good, believe it or not. :boom:
		- A Twitter <a href="https://twitter.com/davewiner/status/982251570426298369">thread</a> I just posted about privacy. It's funny sometimes I write better in Twitter than in my outliner. I'll transcribe this fully later. 
		- My religion is factoring
			- We all have our persuasions of programming, lots of cults and religions.
			- I realize now I am of the cult of <i>factoring.</i>
			- I spend a lot more time than I have to reducing the complexity of my code.
			- The theory being the more time you spend factoring the higher you can build.
	- April 5
		- Good morning sports fans!
		- More work today on "feedBase". Yesterday I got the backup routine working, and <a href="https://github.com/scripting/feedBase/blob/master/backup/feedbasebackup.js">released</a> the code. Next, I'm going to get a copy of the database running on my desktop Mac. Then I'm going to try the conversion so it can handle UTF-8 characters. If it works, I'll do the same on the deployed version. Then <a href="https://github.com/scripting/feedBase/issues/22">this issue</a> will be closed. 
		- Also, I fixed a bug yesterday that prevented "feedBase" from working in Safari, even though for some reason it worked for me in Safari. The bug was pretty <a href="http://thesaurus.land/?word=egregious">egregious</a>, and it should have prevented it from working anywhere. Mysterious. But fixed. 
		- All of a sudden I was surrounded by Hasidim on bikes with yellow flags. They were everywhere.
		- In defense of Facebook
			- Re Facebook's social graph -- they chose to do something visionary. No one else was up to the challenge of such a huge database, and they pulled it off, at a huge ever-increasing scale. 
			- In hindsight <i>maybe</i> it seems like a bad idea, but you'd have to know in advance that users would have no idea what was going on, and wouldn't care about privacy (until journalists told them they should). An open protocol was never going to get adopted, most individual devs like to reinvent, not build on others' work. 
			- You won't often hear me defend Facebook, but please, some of the critics are seriously misinformed about how the tech works, and how we got here. Yes, it matters. 
	- April 4
		- Trying out a <a href="https://github.com/scripting/feedBase/issues/28">new feedBase feature</a>. 
		- feedBase now <a href="https://github.com/scripting/feedBase/blob/master/backup/feedbasebackup.js">includes an app</a> that backs up the database every ten minutes. 
		- I gravitate to writers who are in my experience always right. But when they are wrong, and eventually they are, it's spectacular how wrong they are. Not naming names, of course. :boom:
		- She attacked a silo for being a silo
			- <i>Note: Of course the greater crime is shooting innocent workers at a tech company, there is no excuse for that. But it is worth noting why Nasim Najafi Aghdam attacked YouTube yesterday.  </i>
			- I read about the woman who shot up YouTube yesterday, and found <a href="https://www.nytimes.com/2018/04/04/us/youtube-shooting-nasim-najafi-aghdam.html?partner=rss&emc=rss">her story</a> sympathetic. Translated to the terminology of net architecture, she attacked a silo that dominated her online existence, both through YouTube and through Google's search engine. 
				- I sympathize because Google lowers the rank of <a href="http://scripting.com/">my blog</a> because I use HTTP. As if that had anything to do with the authority of the information posted here (it doesn't). 
				- And they <a href="http://scripting.com/images/2018/04/04/notMobileFriendly.png">complain</a> that pages that were posted before there were mobile devices aren't mobile-friendly. How can I tell them how ridiculous that is? 
				- And the ultimate humiliation, calling my sites NOT SECURE and their own sites SECURE. Nice going. Who appointed them arbiter of what is and isn't secure on the web? Where do I go to appeal this ruling? 
				- I also don't like that they took down her videos after the shooting. In coming days, might they take down posts like this one beause it is critical of Google? Of course they will. 
			- I am a non-violent person, they have nothing to fear from me on that count, but I think one lesson they could take from this experience is they should exercise as little control as possible over the content they serve, or get out of the content serving business. 
			- 
	- April 3
		- It's good that people are <a href="https://twitter.com/judell/status/981185151987101698">discussing</a> the <a href="https://www.google.com/reader/about/">Google Reader</a> <a href="https://duckduckgo.com/?q=Google+Reader+debacle&t=hb&ia=web">debacle</a>. Important to not let Google repeat their bad behavior with <a href="http://this.how/googleAndHttp/">whole web</a>.
		- Lots of responses to yesterday's <a href="http://scripting.com/2018/04/02.html#a163659">query</a> about backing up the feedBase MySQL database. I posed another <a href="https://github.com/scripting/Scripting-News/issues/73#issuecomment-378347210">question</a> in the thread just now. How do you all feel about writing JSON files from Node.js code? Backing up is a prerequisite to all adventures that might risk the data in the database. 
		- <a href="https://github.com/scripting/feedBase/issues/22#issuecomment-378329367">Braintrust question</a>: Re MySQL and Unicode. I assumed the text would all be UTF-8, but apparently not so. I can use help/advice from the MySQL mentors. Thanks! :-)
		- <a href="https://www.youtube.com/watch?v=hBriMV_QeGo">Demo</a> of new "feedBase" feature: "Sometimes you have the URL of a feed, and don't want to go to the trouble of adding it to an OPML file so you can upload it. This command lets you just enter the URL to feedBase and it processes it as if it were part of an OPML file."
		- So it follows from Trump's desperate tweeting re Bezos that the Washington Post must have him nailed but good.
		- An experiment. I changed the text font on "Scripting News" today to Georgia 20. It had been Ubuntu 18. A little bigger and a serif font. I think this is easier to read. I always planned to take another look at this after things settled in on the new design. (Update: I undid the change. I prefer the more compact format.)
		- Re the <a href="http://scripting.com/2018/04/02.html#a220750">change</a> I made yesterday to subscriber counts on user-feed-lists in feedBase, I changed it per this <a href="https://github.com/scripting/feedBase/issues/27">feature request</a>. Now we sort by name but include the subscriber count. An <a href="http://feedbase.io/?username=davewiner">example</a>. I think this is the more rational approach. It's useful to see the subscriber counts. Note that the counts are not the <a href="http://scripting.com/2018/04/02.html#a191743">combined</a> counts, so you'll only see the counts for the specific feed URL you're subscribed to, not the combination of all the aliases.
		- Watch <a href="https://twitter.com/Fandor/status/981231387062648832">this</a>. 
		- If you don't believe in the rule of law...
			- It stands to reason..
				- If people who like Trump feel he should rule as a dictator, then
				- We're going to have a civil war. 
				- Imho better sooner than later.
				- So stop worrying about what they think.
				- They are literally the enemy. 
				- No aid or comfort for them.
		- What if Bezos bought Twitter?
			- Today on Twitter, former US Attorney <a href="https://twitter.com/PreetBharara/status/981015547126140929">Preet Bharara</a> dreams: "What if Jeff Bezos bought Twitter with the change in his pocket and shut Trump's account?" 
			- Twitter's <a href="https://finance.yahoo.com/quote/TWTR/">market cap</a> is $21 billion, and Bezos or some other very rich person <i>could</i> buy them. But it would be a problem if the new owner interfered with the content of Twitter. Because, as with a trade war, it would invite retaliation. And isn't it good that we can keep tabs on Trump through his public tweetings? Would you rather he only rant privately? I wouldn't. Remember the president has an incredibly powerful podium, with or without Twitter, he will be heard over us. Consider this <a href="https://www.washingtonpost.com/opinions/jill-mccabe-the-president-attacked-my-reputation-its-time-to-set-the-record-straight/2018/04/02/e6bbcf66-366b-11e8-8fd2-49fe3c675a89_story.html?utm_term=.b1fb8073404c">piece</a> by Jill McCabe, an emergency room pediatrician, married to former FBI deputy director Andrew McCabe, as she defends her family from attacks from the president. Consider the power Trump has with or without Twitter to ruin lives. 
			- I <a href="https://twitter.com/davewiner/status/981161916189040645">responded</a>, on Twitter: "It's just as easy to imagine the Koch Brothers buying Twitter and shutting down <i>your</i> account. This is a weakness that we all have with Twitter being so vulnerable yet so indispensable." 
			- PS: I've long wanted Amazon to either buy or create a competitor to Twitter, so we could have <a href="http://scripting.com/2016/04/28/1223.html">Twitter-as-a-service</a>. It would be very nice. 
	- April 2
		- Another feedBase change. When viewing a <a href="http://feedbase.io/?username=davewiner">user's feed list</a>, we sort the feeds alphabetically by title, and don't include the follower count. It makes sense on the hotlist, but not when looking at the feeds an individual user subscribes to.
		- We now merge duplicate items on the feedBase <a href="http://feedbase.io/">hotlist</a>. So if there are two ways to reference a feed, we add the two counts, and remove one of them. I did it by hand, by looking for duplicates, added code that does the merging. If you spot other duplicates please let me know. 
		- I need a MySQL mentor or two. While I was working on BingeWorthy and early versions of feedBase, I had two really good mentors, JY Stervinou and Scott Hanson. I don't want to lean just on them, so I'm putting out a call for a few people with MySQL experience so I can ask questions, and get answers based on experience. Saves a lot of time, and it will make feedBase more robust. With that in mind I have a <a href="https://github.com/scripting/Scripting-News/issues/73">basic question</a> today, posted here. Thanks in advance! :boom:
		- The importance of criticism
			- Usually when I criticize a professional journalist they ignore it. Not very often they respond. I don't mind if they disagree, and push back, but I most definitely do mind if they question the idea of my criticizing their work at all. Last week I had such an encounter, privately. 
			- The criticism of a blogger, a user, someone who isn't trying to maintain access, or please advertisers, is imho more likely to locate a truth about your product, from their point of view, of course.. I never maintain that mine is the only valid point of view, just that it is mine. Take it for what it's worth.
			- I also have been wrong many times. Famously when <a href="https://en.wikipedia.org/wiki/Desktop_publishing">desktop publishing</a> was the rage in the mid-80s, I said no one wanted to do it. Hah. It turned out that <i>everyone</i> did, at least at the time.  
			- That <a href="http://scripting.com/davenet/2003/07/28/harvardHostsKeyWeblogSpec.html">said</a>, <a href="http://scripting.com/davenet/1999/05/24/editThisPage.html">I've</a> <a href="http://scripting.com/davenet/1998/02/27/rpcOverHttpViaXml.html">also</a> <a href="http://scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">been</a> <a href="http://scripting.com/davenet/1995/02/18/billionsofwebsites.html">right</a>. 
			- I love it when people take the time to respond to what I write, or give me a good bug report on my software. As long as it's thoughtful and makes a point. I even appreciate the effort when they don't. But to outright invalidate the criticism without response? Only <a href="http://thesaurus.land/?word=scoundrel">scoundrels</a> do that. :boom:
		- Why I click on Axios links
			- I've written <a href="https://duckduckgo.com/?q=site%3Ascripting.com+axios&t=hh&ia=web">here</a>, a couple of times, why I like Axios. 
			- Today I did a little video demo of Axios and Fast Company, to illustrate.
			- Axios gets to the point right away, in the first paragraph. And they name names, in a skimmable way. It's designed to be read on the web, <i>quickly.</i>
			- Other publications, such as Fast Company, have evolved in a different way. Their goal is to keep you reading, by never getting to the point. I almost always give up before figuring out what it was. Which has trained me not to click on FC links.
			- Here's the <a href="https://www.youtube.com/watch?v=Lfod33eH4Ro&feature=youtu.be">demo</a>.
	- April 1
		- Number of feeds in feedBase: 25452. 
		- Version <a href="https://github.com/scripting/feedBase/commit/6d680151d6932bbc50568dd1a1e3434d9743b9ff#diff-37ed9f574cf75afffb27a510967992f0">0.6.2</a> of the feedBase server. Uses new functionality of <a href="https://www.npmjs.com/package/davefeedread">davefeedread</a>, so we should handle feeds that use different charsets. Also dereference the feed URL before adding a subscription. This should help eliminate duplicates. Still remaining -- use canonical URLs for existing subscriptions. I want to do that carefully because I'm still an SQL novice. 
		- BTW, the next things I want to look at for "feedBase" -- getting a better handle on feeds you've subscribed to that we couldn't read. It's a common feature request. Not exactly sure how I want to do it, but I have ideas. Again, I'm going slow, considering every step carefully, using all the experience we've gotten in 21 years of feed parsing. (Yikes!)
		- Another thing. I loved the <a href="https://www.wired.com/story/rss-readers-feedly-inoreader-old-reader/">Wired article</a> about the RSS revival. But I hope it doesn't create the kind of hyper atmosphere we had in the early days. We moved way too fast and created chaos. I want to move slowly and do tech that can last for another 20 years, and hopefully without all the fits and starts and major steps <a href="https://www.wired.com/2013/06/why-google-reader-got-the-ax/">backwards</a>. 
		- The <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2018/03.opml">OPML archive</a> for this blog for March 2018. 
		- A simple <a href="https://gist.github.com/scripting/c12569ed806744f0c6f531cbd4c02f21">Node function</a> to dereference a URL, i.e. find out what it points to through redirects.
