- November 2019
	- November 30
		- A friend is someone who laughs at your jokes. 
		- I love <a href="https://www.theguardian.com/commentisfree/2019/nov/30/podcasting-fifteenth-years-old-corporate-greed-threat">this piece</a> by John Naughton up to the point where he says Ben Hammersley coined the term podcasting. We have the archive, in pointers from <a href="http://threads2.scripting.com/2013/april/howPodcastingGotItsName">this page</a>,  to show how the name was chosen. This is even better than <a href="https://duckduckgo.com/?q=contemporaneous+notes&t=hz&ia=web">contemporaneous notes</a>, the decisions were made online, so the record is perfect, not subject to interpretation. (Unfortunately, Yahoo is taking the archive offline in December, but the <a href="https://web.archive.org/web/20130410020053/http://threads2.scripting.com/2013/april/howPodcastingGotItsName">Internet Archive</a> has copies.) Hammersely's use of the term in a story is analogous to someone anticipating that Apple's phone would be called iPhone. It would not be correct to say that such a person gave the product its name. I normally don't comment on this, but Naughton is such a careful journalist, no doubt he took the info from the Wikipedia page on podcasting, which is incorrect. At the very least the Wikipedia page should note that their version is contested. 
		- <a href="https://twitter.com/davewiner/status/1138722067757621248">June 12</a>: Journalists as public editors are like men deciding women’s health policy. Public editors must be of the public.
		- Leftover turkey soup
			- On Twitter, Anthony DeRosa <a href="https://twitter.com/Anthony/status/1200597085135032320">requested</a> my turkey soup recipe. 
				- Boil the remains of turkey carcass. Add spices, basil, oregano, hot pepper, whatever you like. Let sit overnight. 
				- Remove carcass, any bones, messy stuff.  
				- Chop leftover turkey bits, add to broth.
				- Brown onions, garlic, mushrooms, add.
				- Chop celery, carrots, leftover green beans. 
				- Simmer while drinking <a href="http://scripting.com/2019/11/29/214440.html">White Russians</a> and watching HBO and Netflix.
				- After a few hours cook some rotini pasta, add to soup. Simmer for about an hour.
				- Eat. Enjoy. :boom:
			- But it's an improvisation. If you're inspired to add something weird, go ahead. It's still going to be turkey soup no matter what you do to it. 
	- November 29
		- Sometime soon I want to get a <a href="https://en.wikipedia.org/wiki/Graphical_user_interface">GUI</a> running on one of my <a href="https://www.digitalocean.com/">Digital Ocean</a> servers. Their <a href="https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-vnc-on-ubuntu-16-04">docs</a> tend to be pretty good, and I desperately want to be able to manage servers using a Mac and a Finder-like interface.  
		- I had a thought that <a href="https://www.metacritic.com/movie/the-irishman">The Irishman</a> might have been a better viewing and story-telling experience, and cheaper to make, if they had used the same technique as <a href="https://www.metacritic.com/tv/undone/season-1">Undone</a>. Here's <a href="https://www.youtube.com/watch?v=6uWCNHQgfnc">the trailer</a> to give you an idea. A stylized graphic rendering of real footage. It has an animated look, but it's actual actors' voices and faces.  
		- Updates on bingeing. Couldn't get into the last season of <a href="https://en.wikipedia.org/wiki/The_Man_in_the_High_Castle_(TV_series)">Man in High Castle</a>. Might try again. Instead, I watched a few episodes of the first season of the <a href="https://en.wikipedia.org/wiki/The_Larry_Sanders_Show">Larry Sanders Show</a> on HBO. I had heard it mentioned on <a href="https://www.npr.org/2019/11/11/778304093/judd-apatow-on-his-mentor-comic-garry-shandling">Fresh Air</a> a couple of weeks ago, and it was totally worth it. How great is a comedy show that actually both holds your interest and gets you to laugh out loud. Next up: <a href="https://en.wikipedia.org/wiki/The_Zen_Diaries_of_Garry_Shandling">The Zen Diaries of Garry Shandling</a>.
		- My favorite binges are multi-season dramas with great writing and acting, and a vision from the show runner. Few series are so great that they check all the boxes, but some do. <a href="https://en.wikipedia.org/wiki/The_Wire">The Wire</a> was the best of all time. Mad Men had a very strong vision, but the quality of story-telling was spotty, as was Breaking Bad. Deadwood, what a great show, but it ended before it got to the <a href="https://en.wikipedia.org/wiki/Deadwood,_South_Dakota#19th_century">punchline</a>. I like intense political drama and crime stories that get you into the characters. So I'm considering re-watching a few <a href="https://www.imdb.com/list/ls049563664/">HBO miniseries</a> that got to me the first time: <a href="https://en.wikipedia.org/wiki/Olive_Kitteridge_(miniseries)">Olive Kitteridge</a>, <a href="https://en.wikipedia.org/wiki/The_Night_Of">The Night Of</a>, <a href="https://en.wikipedia.org/wiki/Mildred_Pierce_(miniseries)">Mildred Pierce</a>. 
		- Also if you haven't seen the several seasons of <a href="https://en.wikipedia.org/wiki/Fargo_(TV_series)">Fargo</a>, as a TV series, go for it. It's not a replay of the <a href="https://en.wikipedia.org/wiki/Fargo_(film)">movie</a>, which of course is wonderful, rather it is a series of stories told in <a href="https://www.google.com/maps/place/Fargo,+ND/@46.854112,-101.3112844,6z/data=!4m5!3m4!1s0x52c8cb8d84677145:0x81aa30a52791aaca!8m2!3d46.8771863!4d-96.7898034">FargoLand</a>, with some overlap in plot and characters. 
		- White Russian
			- I am what you might think of as a white Russian. My grandparents on my father's side came from the eastern side of the Urals. But I was born in the US of A. Maybe that's why the favored drink for the night after Thanksgiving is a White Russian, which also happens to be the favorite drink of <a href="https://en.wikipedia.org/wiki/The_Big_Lebowski">Jeff Lebowski</a>.
			- So, while <a href="http://scripting.com/2019/11/30/142215.html">turkey soup</a> is simmering...
			- A very easy drink to make, and love. 
				- Ice cubes.
				- Kahlua.
				- Vodka.
				- Heavy cream.
			- Sip.
			- Yum.
	- November 28
		- Happy Thanksgiving everybody!
		- The original feel-good Thanksgiving <a href="https://www.youtube.com/watch?v=m57gzA2JCcM&t=1s">song</a>. 
		- I'm thankful that <a href="https://twitter.com/davewiner/status/1200030034947452928">Melo got another chance</a>. I'm so grateful that I've decided to let <a href="http://scripting.com/2019/02/01/131639.html">Kristaps</a> off the hook.
		- Have you watched The Irishman yet? <a href="https://twitter.com/davewiner/status/1200029726372507648">What did you think?</a>
		- <a href="http://scripting.com/2019/11/23/125415.html">UPS is still saying</a> they delivered packages they didn't deliver. They must be throwing them into a creek. So third world. You really miss a service when you come to depend on it, and someone in the chain of people is deliberately breaking the service. 
		- The Irishman, with spoilers
			- My mini <a href="https://www.metacritic.com/movie/the-irishman">Irishman</a> review.
			- <a href="https://en.wikipedia.org/wiki/Martin_Scorsese">Scorsese</a> has a style, you can see it in the first scene of <a href="http://scripting.com/2019/11/27.html#a195050">The Irishman</a>, and you smile, not knowing what's coming next, but knowing it's going to be good. The camera snakes through a nursing home and finds our narrator, an ancient Robert De Niro, and the story begins.
			- They do some fancy CGI stuff to show the characters much younger than the actors are today, but it doesn't work. I was thinking about that all through the movie. How old they are now, the staples of a Scorsese gangland movie, De Niro (76), Pesci (76) and one who's not a staple but also ancient, Pacino (79). And how old are they supposed to be in the scene I'm watching now. It was never clear. And the young CGI version of De Niro looks really old and doesn't look like De Niro. 
			- It could have been more emotional, gripping and surprising, as good as any of his films, if he had used new actors. The CGI tricks stole the show and not in a good way, imho. I think that's why The Departed really clicked. None of the usual Scorsese ensemble, the stars were Matt Damon, Leonardo DiCaprio, Jack Nicholson, Vera Farmiga, Martin Sheen, Alec Baldwin. They played characters their own age. The story and storytelling took over, I never once thought about the movie-making, was completely captivated by the story. 
			- However, you <i>must</i> watch The Irishman. Even a not-so-great Scorsese movie is epic and historic, especially with this cast, and especially at this point in all their careers.  
		- The NBA in NYC
			- This is decidedly not a Thanksgiving post. Maybe I should hold it for tomorrow, but that's not how I roll. 
			- I watched a game between the LA Clippers and the Dallas Mavericks yesterday. They're both really good teams <a href="http://scripting.com/images/2019/11/28/standingsWestNba.png">doing well</a> this year. Watching the Clippers specifically it's sad for me, a Knicks fan, to see that LA has two highly competitive NBA teams and New York has part of one. We did attract two stars to NYC in the off-season, but one of them is injured and won't play all year, and the other is an asshole whose attitude spoils any hope we might have for interesting basketball in NYC this year and into the future. 
			- The asshole of course is Kyrie Irving. If he were a true leader, he'd come to NYC and say hey I'm from here too, and I think it sucks that the city has such shitty basketball. I'm going to do my part to help liven things up, and hopefully the Nets will have a good year (set expectations, show a bit of humility, it works) and maybe we can inspire something interesting to happen on the other side of the river (i.e. at the Knicks).
			- It's so sucky that the biggest market in the US doesn't have a decent team and Dallas, a very random place for basketball, has a good team. Houston also has a great team, and San Antonio, even though they're rebuilding, is ok. 
			- I don't know how much longer the NBA will put up with a Knicks owner who has no clue about sports, about the city, for that matter, about people. The Knicks need an intervention. Knicks fans are patient, but the city deserves better from the NBA. 
			- PS: This year's Knicks are actually, for the Knicks, <a href="https://nypost.com/2019/11/27/knicks-completely-destroyed-by-dominant-raptors/">pretty good</a>. They're still however in last place in the East, and only 1/2 game better than the worst in the West, the Warriors, and that's another story I want to tell someday.
	- November 27
		- I saw a thing on CNN how Trump is using Facebook ads to refute bad news on TV. You wouldn't know if you (like me) are not in his base. They showed a graph with the money spent by various Democrats on FB ads. In total it's small fraction of what Trump is spending. Now I think about Bloomberg's entry into the race in a whole new way. Not only is he rich, and can afford to spend a lot on ads, he also understands tech and media. That's how he made his billions. So when people count him out based on today's polling, they're getting caught in horse-race thinking and forgetting to look at the horse itself. He won't be afraid to use Facebook. He'll have some catching up to do, but he has a mind for tech media and lots of unique experience. Trump should be concerned. 
		- Twitter <a href="https://twitter.com/TwitterSupport/status/1199777312054493184">clarifies</a> its inactive account policy. My concern was <a href="https://en.wikipedia.org/wiki/Link_rot">linkrot</a>. Twitter accounts are websites, we point to them and include them, as I point to the new Twitter policy above. Jack was around when the web was very young. The idea is that we're creating a record. It's not ephemeral. It should survive us. It shouldn't matter if a site is active. Now we know that <i>users care</i> about preserving the web. Twitter is part of that. 
		- The new <a href="https://en.wikipedia.org/wiki/Martin_Scorsese">Martin Scorsese</a> <a href="https://www.metacritic.com/movie/the-irishman">movie</a> is out on <a href="https://www.netflix.com/title/80175798">Netflix</a>. I'm watching it now. What can I say it's a Scorsese movie. Lovin it.  
	- November 26
		- For 3+ years reporters won't cross the line re Trump and Russia. Every story ends with the same puzzle. Why does Trump love Russia? We don't know. We just don't know. It's like the line in <a href="https://en.wikipedia.org/wiki/When_Harry_Met_Sally...">Harry Met Sally</a> where <a href="https://www.youtube.com/watch?v=55VPeDVxsrg">Carrie Fisher</a> says "He'll never leave her, I know, I know he'll never leave her." Everyone says it at some point. We can recite it along with them. "No one thinks he'll ever leave her," says Meg Ryan. At some point you hope she gets the clue. Everyone but the reporters knows why Trump loves Russia. At some point it would be useful if the reporters would just use it in their reporting. 
		- <a href="https://www.npr.org/2017/12/22/572700994/5-things-to-know-before-you-travel-for-the-holidays">32 million people</a> are going to fly in the US this week. Want to help fight the climate crisis? Stay home. :boom:
		- Political ad <a href="http://scripting.com/images/2019/11/26/trumpZuck.png">seen</a> on highway in Salt Lake City via NakedJen. What a great idea. Be sure to read <a href="https://www.nbcnews.com/tech/tech-news/trump-zuckerberg-2020-might-well-says-democrat-upset-false-ads-n1089986">the story</a>. 
		- Everything is subject to humor. Yes there must be lines, don't joke about things people have no control over, as in body shaming. But if we can't laugh at ourselves and our foibles, well what's the point of living. We are really small and live infinitesimally short lives. That's the big joke connecting all the individual ones. We don't really matter in the end. If you've ever had someone you're close to die, you know that truth. We're only here for the moment, so <i>let's have fun. </i>
		- <a href="https://ashokanrailtrail.com/">The Ashokan Rail Trail</a> will be quite a bit longer as of Thanksgiving. This is <a href="https://hudsonvalleyone.com/2019/11/25/thanksgiving-opening-of-western-end-of-ashokan-rail-trail-announced-as-work-on-trailheads-continues/">great news</a>. It's so beautiful, flat, and long. Great <a href="https://duckduckgo.com/?q=ashokan+rail+trail&t=h_&ia=web">place</a> for walks and bike rides. 
		- Morning coffee notes
			- Good morning coffee fans!
			- This is something I used to do in the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22morning+coffee+notes%22&t=h_&ia=web">early days</a> of the blog. When I started work in the morning, I'd create a section for the first notes of the day. It's nice because it leaves room at the top of the page as the day goes on, and I don't have to shuffle the morning stuff off to new places.
			- Morning Coffee Notes was also the name of <a href="http://morningcoffeenotes.com/">my first podcast</a>, in the summer of 2004.
			- Want to see and hear my first podcast? Scroll down to <a href="http://scripting.com/images/2019/11/26/mcnFirst.png">6/11/2004</a>. 
			- Later that year I started another podcast with Adam Curry called <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22trade+secrets%22&t=h_&ia=web">Trade Secrets</a>. It was a cool name for a podcast, It would be cool even today with the glut of podcasts because it's a <a href="https://en.wikipedia.org/wiki/Double_entendre">double entendre</a>, and inviting if you're into secrets that are traded. 
			- Now I forgot why I started today's MCN section. 
			- I'll catch up on my next coding break. :boom:
	- November 25
		- Are you still trying to get ahead while our civilization ends?
		- Watching Adam Schiff on CNN yesterday, he tried to explain that this is not Democrats vs Republicans, that we all lose if we lose our democracy, and Jake Tapper was having none of it. Excuse me Mr. Schiff can you tell me about the horse race please?
		- Journalism, get a grip, some things are not a horse race. If Trump wins, kiss our species goodbye. That includes you. 
		- Another <a href="http://nymag.com/intelligencer/2019/11/how-can-democrats-get-the-black-turnout-they-need-in-2020.html">example</a> of horse race journalism. They say "black turnout" could make or break Democrats. I would change the headline to "Black turnout could make or break the human species." 
		- A <a href="https://contractfortheweb.org/">contract</a> for the web backed by Google and Facebook. What's next. Exxon fighting climate change? Please. This is a <a href="https://www.youtube.com/watch?v=Gw-qAqtZopo&feature=youtu.be&t=90">joke</a>. They're strangling what's left of the web. The best way to help the web is to cancel Google and Facebook. 
		- Now would be a good time to re-watch <a href="https://www.youtube.com/watch?v=qo5jJpHtI1Y">Goodfellas</a> for an idea of how the US government works.
		- Nice SQL <a href="http://g2pc1.bu.edu/~qzpeng/manual/MySQL%20Commands.htm">cribsheet</a>. 
	- November 24
		- For the first time, in 2019, I have a doctor who uses email, and there's a portal where I can see results of my medical tests. How many people would be alive today if more doctors used email earlier. 
		- I'm moving apps from an old server where Dropbox stopped working to another old server where Dropbox still works. It's like taking apart a robot and putting it back together. Lots of wires to hook up. And just getting the old pieces off the old server without Dropbox was a pain the ass. Lots of chances for mistakes. I really need to make this kind of thing easy. I know just use containers. But it's at the next level up where I need more factoring and abstraction. 
		- <a href="https://twitter.com/MikeBloomberg/status/1198620233994526722">Michael Bloomberg</a> announces he's running for president. 
		- Imagine you were alive in the 1920s when <a href="https://en.wikipedia.org/wiki/Ford_Model_T">cars</a> became a mass market product. A movie star gives a speech saying Ford must make perfectly safe cars that no one ever dies in. Would you have realized then that it was unattainable? 
		- "You need to step outside your culture to see the shackles it has placed on your thinking."
		- An idea for a New Year's resolution. At least once a day agree with someone. Not silently. Say "I agree with you." No qualification, not "I agree with you, but.." It's jarring at first, then liberating. And the responses will surprise you.
		- Holiday season binge-o-rama
			- It's the best time of year for binge-watching. I'm up to date on <a href="https://en.wikipedia.org/wiki/Mr._Robot">Mr Robot</a>. As far as I'm concerned they could stop right here at episode 7. Best season <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22Mr+Robot%22&t=h_&ia=web">yet</a>. But there are still six more episodes in the series. Now I'm working my way through the third season of <a href="https://en.wikipedia.org/wiki/The_Crown_(TV_series)">The Crown</a>. Another tour de force. Waiting in the wings is <a href="https://en.wikipedia.org/wiki/The_Man_in_the_High_Castle_(TV_series)">Man in the High Castle</a> and <a href="https://en.wikipedia.org/wiki/The_Morning_Show_(American_TV_series)">The Morning Show</a>, which is fantastic even though it got <s>awful</s> mixed <a href="https://www.metacritic.com/tv/the-morning-show">reviews</a>. I only watched the first three episodes, the ones that were released when AppleTV+ came out. I want to wait until the season is done so I can watch it in a binge. I'm not a big fan of waiting a week between episodes. I'm a fairly modal person in most things I do and TV is certainly one of them. I also know a few people who are just now catching up on <a href="https://duckduckgo.com/?q=site%3Ascripting.com+Succession&t=h_&ia=web">Succession</a>. Can't wait to hear what they think. No spoilers. :boom:
			- BTW -- the reason <a href="https://www.metacritic.com/tv/the-morning-show">The Morning Show</a> got bad reviews is that it isn't what a newsroom really is like. Because presumably the reviewers know what newsrooms are like. The rest of us don't. We loved <a href="https://en.wikipedia.org/wiki/The_West_Wing">The West Wing</a> even though it was nothing like working in the White House. Dramas depend not on the reality of what they portray, rather the ability of the writers, actors and technical people to tell a story that pulls you in, gets you to care, makes you forget you aren't in their world instead of your own. They become your friends, and you develop an intimacy you can't get with your real friends and family. That's why <a href="https://en.wikipedia.org/wiki/The_Morning_Show_(American_TV_series)">The Morning Show</a> is so good. The writing, acting, and everything else are done by people who know how to get you <a href="https://en.wikipedia.org/wiki/Suspension_of_disbelief">where</a> you want to go. Whether it resembles the way newsrooms work, the only people who care about that are reviewers. 
			- Also -- one of the great things about Mr Robot is that the writers understand how software works. They do take shortcuts and at time make word salads of tech jargon, but most of it is about things that hackers would really do and use. One thing they gloss over is bugs. Elliot and Darlene's code always works the first time. They never get so much as a syntax error. I'm waiting for the next generation shows where the plot revolves around a platform vendor removing a feature that the firewall depended on and the hackers figure it out and Evil-Corp crumbles and the Dark Army takes over or someone worse than Trump ends up running the country. 
	- November 23
		- <a href="https://twitter.com/davewiner/status/1198188964278079488">Democratic impeachment strategy</a>: House hearings continue indefinitely, until Senate agrees to remove president. Explore every nook and cranny of Republican corruption. Target Repub senators up for re-election in 2020. Draft articles of impeachment are posted publicly and kept current, registered voters can vote individual articles up or down. A full week of hearings on why Republicans are repeating Russian talking points. How about the July 4 visit to Moscow by senators. Why are Repubs so beholden to Putin? What happened in Helsinki? So many questions. Let’s get the answers.
		- Occam's Razor says if you want to grok the hows and whys of the Republican Party,  look at how the political system of Russia works. Why do the members of the <a href="https://en.wikipedia.org/wiki/Federal_Assembly_(Russia)">Russian legislature</a> do whatever Putin wants? That's why the Repubs do what Trump wants. 
		- UPS no longer delivers
			- Living in the country, as I do, I order a lot of stuff on Amazon. The nearest department store is about 40 minutes away and it's a Walmart, not exactly my favorite place to shop. 
			- In the last week the UPS driver on my route decided not to deliver to my house. The reason keeps changing, but it seems there's nothing I can do about it, so I gave up. I asked the UPS people in Kingston to return the packages to Amazon. I expect Amazon will refund the purchase price. They're usually pretty good with that. 
			- There are no Amazon lockers nearby. But UPS has a relationship with the hardware store in town (8 minutes from my house). That's going to be my next approach. To see if there's a way for UPS to deliver my packages to the store. 
			- And while the UPS people I've talked with have been professional overall this leaves a really bad feeling here for UPS. One day they deliver to your house and the next day they don't. Whatever the reason (it keeps changing) it's not cool. 
	- November 22
		- I just had a freaking nightmarish development experience. I was moving an app on a server, and the address of the server was hard-coded in an Electron app I use. I figured when it changed, I could just edit the source and rebuild. I know everything should be an option, but this was just for me. But when I rebuilt it, Electron would have <i>none</i> of it. So much deprecation. So I ended up on a trail of tears having to update one thing after another, and they all refused to work with something else that had just changed. Platform developers, stability is something we should rate you on and you should get paid accordingly. Typically it's highly paid developers at BigCo's who feel entitled to pull the rugs out from under our apps and tear up the pavement just for the hell of it. Oy oy. Two oys. But shit I'm good at taking the punches, and now it's running. Whew. Back to work on fun stuff. 
		- People should simply use their names in the space where you put your name in a tweet. After a couple of years of playing with it, I find it's confusing to put messages there. An example.  <a href="https://twitter.com/dweinberger">David Weinberger</a> is someone I would read every <a href="http://scripting.com/images/2019/11/22/tweetexample.png">tweet</a> of, but sometimes miss because he's endlessly creative with his twitter name. I believe this is called <a href="https://www.teachingenglish.org.uk/article/cognitive-overload">cognitive overload</a>. My brain screams "too much" and I move on to the next tweet.
		- I'm glad we don't have hearings today, allows us all to start catching up on what we have been ignoring. 
		- Many of the comments I receive via email should be blog posts in their own right. But keep them coming. We'll figure out how to thread this needle. 
		- A long time ago I was having lunch with someone I thought was a friend. He told a story about how he tried to buy "Radio UserLand", a product I developed, from the company that owned it. I guess at the time he didn't know that I still owned a majority share of the company. The people who were running it never brought the idea to me. I asked why he didn't just try to work with me. I would have totally been open to the idea. He explained he wanted to own it. I've seen this happen over and over. People who build careers with products that are copies of stuff I had already done. I keep wondering why we couldn't work together. They do it in other creative fields. I just got caught up with <a href="https://en.wikipedia.org/wiki/Mr._Robot">Mr Robot</a>. I picked the right moment to do it. <a href="https://duckduckgo.com/?q=rm+robot+season+4+episode+7&t=h_&ia=web">S04 E07</a> was a total masterpeice and a big reveal. Look at all the talent that had to come together to make that happen. <a href="https://tracks.ranea.org/post/35606102112/mistitled-andrew-singer-rip">Andrew Singer</a> a former colleague said once that in tech we don't stand on the shoulders of giants, we stand on their toes. It's so sad. I know at some point we will work out collaboration. We have to. 
	- November 21
		- <a href="http://scripting.com/images/2019/11/21/nytFrontPage.png">Today's headline</a>: "We followed the president's orders."
		- I wish my iPhone had an FM receiver. Wait, it <a href="https://www.theverge.com/2017/9/28/16379316/fcc-iphone-fm-radio-activation-request-ajit-pai">does</a>.
		- They still make <a href="https://www.amazon.com/s?k=best+portable+am%2Ffm+radio&ref=nb_sb_noss_1">portable AM/FM radios</a>. Same features as the <a href="https://en.wikipedia.org/wiki/Transistor_radio">transistor radio</a> I had when I was a kid. Spooky. No Bluetooth. Can't charge via USB. 
		- American journalism is never far from falling back to the horse race in everything. Who the hell knows or cares how many senators will ultimately vote to remove. It's impossible to know, or even if the vote will ever happen. Waste of time to speculate. And it isn't even up to the senators, it's up to the voters. The senators will vote to remove if it means they feel they will lose their election. 
		- There's going to be fireworks when Nunes questions <a href="https://en.wikipedia.org/wiki/Fiona_Hill_(presidential_advisor)">Fiona Hill</a>.
		- Fiona Hill could have been written by Aaron Sorkin. 
		- Trump no longer controls what people talk about, not even his base. The hearings are on Fox gavel to gavel.
		- "The Three Amigos" is now part of American political folklore after <a href="https://www.nbcnews.com/politics/trump-impeachment-inquiry/live-blog/nov-20-impeachment-hearings-live-updates-n1086301/ncrd1086906#liveBlogHeader">Sondland said</a> he was proud to be an amigo. You can say you were there when this happened. Also this scandal doesn't have a short name, like Watergate, Iran-Contra. I guess the Clinton impeachment didn't get a name either. 
		- When Nunes speaks, remember <a href="https://twitter.com/davewiner/status/1197502056552112131">this trick</a> to cope.
		- Sorry for the sparse updates here. I'm overloaded, watching the impeachment hearings and at the same time dealing with a server that Dropbox fails on. Moving these apps to a new server is tricky. On Digital Ocean. 
	- November 20
		- Sondland: Everyone under the bus!
		- Trump rides around on our Air Force One, we're paying millions for his golf vacations, so he can hack the next election <i>using our money.</i> When did we become such chumps. There's got to be a line in here somewhere. 
		- BTW, let's see those tax returns. 
		- Sondland <a href="https://www.businessinsider.com/impeachment-hearing-updates-sondland-cooper-hale-testimony-2019-11">nailed</a> Bolton. Now we know why he won't testify. 
		- A <a href="https://www.youtube.com/watch?v=8wJTdPJ35dg">technical solution</a> to Nunes lying and being an asshole. 
		- There <s>should</s> must be an un-paywalled site for every <a href="https://www.nytimes.com/interactive/2019/11/20/us/politics/gordon-sondland-opening-statement-ukraine.html">official statement</a> like this. 
		- <a href="https://ebooks.adelaide.edu.au/c/carroll/lewis/alice/chapter8.html">Queen of Hearts</a>: Off with their heads!
	- November 19
		- The faceoff is over the Constitution.
		- <a href="https://twitter.com/HillaryClinton/status/1196847821250580480">Hillary Clinton</a>: “Every day Stephen Miller remains in the White House is an emergency.”
		- A lesson I've learned from recent successes in blogging. You must always think of your blog as if you were starting it now, not in the past. The world is different. There was no Twitter in 1994. Twitter wasn't usable until last year with the switch to 280 chars. Facebook was used for serious discourse (somewhat) until a couple of years ago. Email is resurging as a publishing medium. People are still thirsty for stories that relate to their lives. But getting into their minds with all the competition requires constant creativity. Not showmanship.
		- NYT reporters are supposed to care about facts, yes? Why do they <a href="https://www.nytimes.com/2019/11/18/us/politics/trump-impeachment.html">report</a> that Trump’s pressure campaign on Ukraine was <a href="http://scripting.com/images/2019/11/19/nytreportexcerpt.png">trying</a> to “turn up damaging information about Democrats.” Not true. They just wanted an announced dramatization of an “investigation.” That’s all they needed or sought. Probably because there was no actual damaging information. That’s the depravity of Repubs. They manufacture insinuation, not information. And the complicity of the NYT for accepting their lies as fact.
		- It’s a good thing Google <a href="https://killedbygoogle.com/">discontinued</a> their RSS reader product. Had it continued, they would likely be torturing "RSS" the same way they are <a href="https://developers.google.com/amp">HTML</a> and <a href="http://this.how/googleAndHttp/">HTTP</a>. Had they kept it they could have siloed podcasting, for example.
		- Republican Marshall Plan, day 2
			- Yesterday I wrote about the need for a <a href="http://scripting.com/2019/11/18/150738.html">Marshall Plan for Republicans</a>. I didn't explain what the original Marshall Plan was. After the Allies won WWII, the US did something unusual for a victor. We rebuilt the country we defeated, Germany. We didn't have to. In fact at the end of WWI we did the opposite. We imposed reparations on Germany. Then came the Depression, and thus were planted the seeds for a rebirth of Germany as an even more ferocious military force in the second war. There was no third war, probably thanks to the Marshall Plan.
			- When the <a href="https://en.wikipedia.org/wiki/Dissolution_of_the_Soviet_Union">Soviet Union broke apart</a> in the early 90s, we kicked back, not a terrible idea, because any intervention by the US would probably have been seen as a threat. That would come later, during the Obama presidency, when Putin was reinstalling a Soviet style government, and we, via our State Department, were encouraging the opposition. Nothing wrong with that, except it didn't work. And we're left with a Putin who seeks revenge, and knows nothing helps a despot like a foreign enemy to blame everything on. That would be the pre-Trump United States. 
			- Now we're on the verge of defeating the Republican Party. I don't want to go into detail on that, I can -- imho it'll seem obvious in hindsight, like the dissolution of the Soviet Union seemed obvious after the Berlin Wall came down, but until it happens it can be hard to visualize. The Repubs have been a fixture in American politics all our lives. But it has been changing all the time, trying to put off the inevitable by becoming more and more insidious relative to constitutional America. And now people of the party, the base, will be forced to decide. Finally we have broken Trump's monopoly on news flow. They're broadcasting the hearings on Fox, they have to. And it's going to get worse, much worse, in the next few days, for the fascists in the Republican Party to keep the base unaware. There is a splitting coming. The question is how big. My believe is that it will be big enough to create an opportunity that we should not miss. A chance to rebuild America before we fully fall apart. To be a Marshall Plan for ourselves. Because now finally we will have to accept Republicans as our fellow Americans, with some differences, important ones, but underneath it all, we don't try to steal elections and we accept that no one is above the law, <i>especially</i> the president. 
			- If we don't bring the constitutional Republicans in, without a solid majority in the Senate even with a Democratic president, we'll just see the <a href="https://www.americanprogress.org/issues/courts/news/2016/07/14/141210/mitch-mcconnell-a-legacy-of-obstruction/">McConnell Stonewall</a> again. Obstruction. Nothing happens. And Trump, second of his name, comes along in 2024, this one is not Baby Huey, and a true fascist, much more schooled in the ways of America, and one who plays the part of president much better than this Trump does. That really will be the end of America. We'll be out of moves. 
			- PS: This is a rewrite of a <a href="https://twitter.com/davewiner/status/1196779504322125827">Twitter thread</a>. Twitter is becoming pretty useful as a place to develop my ideas before writing a blog post. This is a good example of that. 
	- November 18
		- Trump got caught hacking the election.
		- On MSNBC they call <a href="https://www.msnbc.com/openingarguments">this</a> a podcast, and I want to subscribe in the impeachment podcast list (coming soon), but there does not appear to be a feed. Hopefully the system people at MSNBC will add a feed for what is surely a valuable podcast.
		- What if Twitter let pubs put their tweets behind their paywall?
		- I was wondering why we never hear anything about the CEO of Fox News, <a href="https://en.wikipedia.org/wiki/Suzanne_Scott">Suzanne Scott</a>. One of the most influential people in the American political system, and very few people know anything <a href="https://duckduckgo.com/?q=%22suzanne+scott%22+fox+news&t=hx&ia=web">about her</a>. 
		- Some <a href="https://twitter.com/WordswithSteph/status/1196188260449636353">people at Fox</a> love our country more than Russia. It’s weird that this gives me pride.
		- You know I love RSS, but people who are reading this site in their RSS readers, you're missing the real effect. I want a few minutes from you every morning, to give you some ideas, something to think about during the day. That's what the <a href="http://scripting.com/email/">nightly email</a> is all about, and it's evolving in ways that RSS reading <s>can't</s> doesn't.
		- Marshall Plan for Repubs
			- We need a <a href="https://en.wikipedia.org/wiki/Marshall_Plan">Marshall Plan</a> for Republicans. 
			- This is a moment of opportunity that will not come again. 
			- This is why, if you campaign against Bloomberg because whatever, you're being selfish and honestly, stupid. Let him run. 
			- The only thing that matters in this election is this:
			- Does the candidate respect the Constitution?
			- If so, good.
			- You don't have to vote for them, but don't denigrate them. In the big picture you all are on the same side. 
		- Old folks just want MAGA
			- This is why old people are conservative. 
			- As you age your body wears out. This happens to people at every age, but it first starts to be noticeable in your 40s, and it keeps getting worse until in your 60s, where I am now, you have permanent aches that don't go away. You live with them. From time to time you think about how great life was at 22, when everything worked at peak performance. 
			- Back then if you hurt yourself, you got better. 
			- Then when someone says Make America Great Again, you remember the old days when you were young, and think, yes, that's what I want. Because you felt good, the sex was great, and you had your whole life in front of you. You confuse your youth with the country. Never mind that today's 22 year olds are thinking about <a href="http://thesaurus.land/?word=fucking">what</a> you were thinking about then, and their view of the future is expansive, even infinite, and old age is just something to <a href="https://www.youtube.com/watch?v=Q_nFwwjBlEc">sing about</a>. 
				- <i>Little Feat: And you know that you're over the hill when your mind makes a promise that your body can't fill.</i>
			- Then you remember how much you have to deal with now, and when someone says they're going to really shake things up you think fuck that shit, I want my MAGA. 
		- Radio UserLand reprise?
			- An unsolicited <a href="https://twitter.com/bb/status/1196267156268298241">testimonial</a> on Twitter about <a href="https://duckduckgo.com/?q=Radio+UserLand&t=hx&ia=web">Radio UserLand</a> got me thinking, it was a good combination of features. Blogging integrated with a feed reader. In 2001. It was the product that defined blogging for many, including people who went on to write popular blogging software. And it was where podcasting was born. Radio was both a podcatcher and a tool for managing a podcast feed. It did both sides. I don't know of any product, 18 years later, that does that. And it was easy. We really honed the UI. By then we really understood blogging, and were ready to make it flow. I would put Radio's design up against any popular blogging software today. I think it would win. 
			- Then I thought hmm, we're within striking distance of being able to do it again. The thing that made Radio, still to this day a unique product was that the CMS ran on your desktop. A <a href="http://scripting.com/davenet/1997/09/14/FractionalHorsepowerHTTPSe.html">fractional horsepower</a> server. It was a repackaging of Frontier. Very few people knew that there was a powerful scripting and object database system running on their machine. The <a href="http://scripting.com/stories/2008/04/19/suspensionOfDisbeliefAppli.html">virtuality</a> was pretty complete.
			- Today we could do an even better job of that using JavaScript, Node and Electron. I have an RSS feed reader <a href="http://scripting.com/2017/04/19/electricRiverV041b.html">running</a> in Electron, and it would be quite easy to get Radio3 running in there too. Then all that remains is a remixing to do the integration. 
			- Something to put in the hopper. Thinking about it. 
	- November 17
		- The whole point of impeachment it seems to me is to spin the Repubs around until they pass out. Then we hypnotize them.
		- Following up on yesterday's <a href="http://scripting.com/2019/11/16/153957.html">american.newbie</a> piece. True story. I went to eat Chinese food with my Mom a few years ago. Highly rated <a href="https://www.joeshanghairestaurants.com/flushingstore_eng.html">restaurant</a>. In the <a href="https://www.google.com/maps/place/136-21+37th+Avenue,+Flushing,+NY+11354/@40.7619076,-73.8325639,17z/data=!3m1!4b1!4m5!3m4!1s0x89c2600fe1184edf:0xc9f4b28c9f22d92a!8m2!3d40.7619076!4d-73.8303752">neighborhood</a> I grew up, many years ago when it was a sleepy boring place with an embarassing <a href="https://en.wikipedia.org/wiki/Flushing,_Queens">name</a>. Most of the people spoke Chinese. We had to wait quite a while for a table. When we were seated the waiter asked if we were tourists. I laughed and said no we're natives. The funny thing is that not that long ago we were the newbies. The food was fantastic, btw. So many flavors, very satisfying. Before the Chinese came, Flushing was famous for nothing in the way of anything, in the last <a href="https://macaulay.cuny.edu/seminars/gardner08/articles/f/l/u/Flushing_History_d81a.html#Dutch_Rule">three centuries</a> at least. :boom:
		- A neighbor who gets the <a href="http://scripting.com/email/">nightly email</a> says I should go easier on Elizabeth Warren. I love getting comments from people I see who read my stuff. It's an affirmation that I exist, in some fashion, and at least one person is listening. I like that. <a href="https://www.fastcompany.com/40435064/what-alan-kay-thinks-about-the-iphone-and-technology-now">Alan Kay</a> said that Macintosh was the first PC worth criticizing. <a href="https://en.wikipedia.org/wiki/Jean-Louis_Gass%C3%A9e">Jean-Louis  Gassée</a> <a href="http://scripting.com/davenet/2000/03/10/speakingOfTheCluetrain.html#4">says</a> the higher the monkey climbs a tree, the more people can see his  derrière. I criticize Warren as a front-runner, the likely nominee, and because POTUS is an important job, esp the next one. It's not enough to win as Democrats, we have to win for the Constitution. Overlook our differences just for one election. There used to be <a href="https://en.wikipedia.org/wiki/Rockefeller_Republican">liberals</a> in the Republican Party, no reason the Democratic Party can't have expat Repubs. We're fighting for our soul as a country. Imho everything else is a detail to be worked out later. 
		- If you get the <a href="http://scripting.com/email/">nightly email</a>, if you want to respond to something I wrote, just respond to the email. I will be the only person to see it. 
		- I wish there was a <i>.newbie</i> domain. I like the idea of newbies. It means you're getting out and trying out new things.  
		- tweetSucker work
			- I'm doing a bit of refinement now that I've had a chance to use <a href="http://scripting.com/2019/11/12.html#a170248">tweetSucker</a> for a few days. First impression, I tweet a lot, and most of it is uninteresting a day later. I realized what I want most are tweets that are't links, rt's or replies. Original stuff. An idea that could possibly turn into an interesting piece on the blog. So I adjusted the app so that it splits them up into the four categories. I've pasted below the four classes of tweets from yesterday. Here's the <a href="http://scripting.com/2019/11/17/tweets.opml">OPML file</a>.<a href="https://en.wikipedia.org/wiki/Link_rot">https://en.wikipedia.org/wiki/Link_rot</a>
			- <b>Original tweets</b>
				- In a way it’s great the Trump is so rampant and open about his corruption. Because if we ever get out of this mess we are going to create some super kick ass laws to prevent this shit from ever happening again.
				- Are there any good impeachment podcasts?
				- I am far from being a billionaire. But I've made good money selling software, real estate and I just inherited a bit of money from my parents.  This is what I have to say.  I was always amazed at how little I paid in taxes on each of the major events.
				- The whole point of impeachment it seems to me is to spin the Repubs around and around until they pass out. Then we hypnotize them.
				- I'm working my way through Mr Robot, starting with season 1 so I can watch the final season without being horribly confused.   But all of a sudden there's the final season of Man in the High Castle. Oy.   And the third season of The Crown is coming soon.
				- I love the story from the Roger Stone trial how Trump directed the release of Democrats emails.
			- <b>Links</b>
				- Trump begins 'portions' of annual physical exam at Walter Reed. https://t.co/HW8pcKZycf
				- I wish there was a .newbie extension.   Unlike many other people, I like the idea of newbies.   It means you're getting out and trying out new things.   With that I bring you..  https://t.co/ON7vwAdBQO
				- @Paul__Walsh https://t.co/7k43qvw3sY https://t.co/Um38JPJD2S
				- Apple Is Trying to Kill Web Technology. https://t.co/h7TAmt7GtT
				- @AdamParkhomenko @TedraCobb #streisandeffect.   https://t.co/JFoGBAi02X
				- A longish essay on how humans deal with change.  https://t.co/ON7vwAdBQO
				- See how much bigger the problem is than Trump. https://t.co/KJMqMalnTB
				- White supremacy rules the Republican party. (Yes, it's pretty much out in the open.) https://t.co/POv5IOYSRt
				- @beradleydavis https://t.co/lwh41Shbsu
				- @beradleydavis https://t.co/1nr3XisecQ
				- This Is How Trump's Gangster Government Works. https://t.co/J0muBV5vXV
				- RT @davewiner: Kyrie Irving has helped Boston enormously, by leaving. https://t.co/MYbKOKN6Py
				- There was a time when many wondered, myself included, whether Speaker Pelosi was up to exposing Trump. https://t.co/xzTT5Haov0
				- RT @CNN: This 9-year-old boy is about to graduate from college https://t.co/yWDfk4i48u https://t.co/YRMPWKMpIu
				- Kyrie Irving has helped Boston enormously, by leaving. https://t.co/MYbKOKN6Py
				- UCLA receives $20 million to establish UCLA Bedari Kindness Institute. https://t.co/YVibMd5Rh2
			- <b>Replies</b>
				- @kenolin1 @eilenez I bet he went to Harvard.
				- @Paul__Walsh @migueldeicaza Just curious will some version of MacOS only run software downloaded from the app store?
				- @Paul__Walsh Gotcha. Egos were always a problem with Apple. Remember who the founder was. (Woz on the other hand has an ego for sure but he's a sweetheart.)
				- @koush @migueldeicaza Which is something millennials can legitimately hate boomers for. We didn't have to deal with app stores, or malware for that matter. The tech world was innocent when we were young. It was perfect. otoh machines had little memory and basically sucked. cc @danb @mkapor
				- @Paul__Walsh Actually no -- the problem was a guy named Sidhu who was in charge of networking at Apple. He had a small number of devs he liked, and they got to make network software. So there were three email apps and mazewars, and that's about it for network software.
				- @koush @migueldeicaza I don't care about app stores. Not for me. If they had been standard when I started, I would have probably never made anything of myself in software.
				- @Paul__Walsh All the way back to 1987 when they shipped the Mac Plus with networking built in. Every Mac had it. Super easy to set up. Impossible APIs (probably by design). That was the door they left open for the web.
				- @migueldeicaza I don't care about being in the app store. And the usual thing applies to links I post, I just thought it was worth looking at. No endorsement implied.
				- @migueldeicaza I'm not dropping anything. I made my investment in electron and have been reaping the benefits. I'm so tired of junior techies deciding to rip up the pavement and make us all go on diaspora. Too old for that bullshit. I'm never updating my Mac. ;-)
				- @gaberivera Something like what's going on re Ukraine right now. Total saturation in the news.
				- @migueldeicaza I don't understand. And you and I don't see eye to eye on much in tech. Electron is great. I use it all the time. Saves my ass. Like everything it matters how you write your code.
				- @dsearls @bjm262run And Doc, Google is doing it too, from a whole other angle.  They want to turn the web into their own silo.  We've been here before. What comes next is something like the web. ;-)
				- @Paul__Walsh Apple hated the web right from the start. I was very close to Apple at the time,  had friends there, and it hit me one day as an AHA. The web totally fucked their vision of computing -- wizzy. They could have had it all if they had made appletalk easier for devs to code for.
				- @dsearls @Apple That app broke the web for me on my iPhone and iPad. I'm sure that was their intention? Whatever.
				- @KenSmith My guess: Not enough.
				- @ewarren Re #3 -- Until Citizens United there were limits on how much political speech billionaires could buy. Now our elections have become jokes. It was a huge mistake. Since it was a Supreme Court decision the only ways to fix it are to change the court or change the Constitution.
				- @ewarren Re #1 -- making individual people targets is going to get someone killed. knowing that the billionaires are going to become even more distant from reality. And they have a lot of power, and the more disconnected they are, the worse for everyone.
				- I would like to propose a treaty between @ewarren and the billionaires of America.   1. Warren stops making it personal for moral and pragmatic reasons.   2. Billionaires agree that there will be tax increases.  3. Billionaires agree to aggressively fight against Citizens United.
				- @macloo I thought Season 3 was great. The best. I laughed so much. I know I'm weird. ;-)
				- @beradleydavis I've written a lot about that.
				- @guan I never got into that.
				- @KenSmith I'm pretty sure most people dont see it that way now.
			- <b>RTs</b>
				- RT @glennkirschner2: I can’t believe we’re here again. Trump’s pardons put our soldiers in harm’s way. Other countries will assume our sold…
				- RT @politico: BREAKING: A top White House national security aide told impeachment investigators that EU Ambassador Gordon Sondland claimed…
				- RT @AP: BREAKING: Louisiana’s John Bel Edwards stuns GOP, wins reelection to a second term as the Deep South’s only Democratic governor.
				- RT @TwitterSafety: What’s synthetic and manipulated media? It’s media that’s been significantly altered or created in a way that changes th…
				- RT @davewiner: @koush @migueldeicaza Which is something millennials can legitimately hate boomers for. We didn't have to deal with app stor…
				- RT @SRuhle: WOMEN face sexism &amp; discrimination every  day &amp; we keep pressing forward. What @EliseStefanik did in knowingly violating a rule…
				- RT @joanwalsh: Where is Pompeo, anyway? What a coward.
				- RT @briefbk: @Chanders @nytimes @washingtonpost Chris, this is @davewiner using a different account. From time to time friends of mine quot…
				- RT @davewiner: This is about so much more than impeachment.
				- RT @VickyPJWard: EXCLUSIVE: At last year's WH Hanukkah party, Lev Parnas &amp; Igor Fruman had a private meeting w Trump &amp; Giuliani during whic…
				- RT @FaceTheNation: “He made a mistake,” @SpeakerPelosi says on Trump's tweet about Yovanovitch during her testimony. “I think part of it is…
	- November 16
		- Good morning sports fans!
		- Are there any good impeachment podcasts?
		- I am far from being a billionaire. But I've made good money selling software, real estate and I just inherited a bit of money from my parents. This is what I have to say. I was always amazed at how little I paid in taxes on each of the major events.
		- I'm working my way through <a href="https://en.wikipedia.org/wiki/Mr._Robot">Mr Robot</a>, starting with season 1 so I can watch the final season without being horribly confused. But all of a sudden there's the final season of <a href="https://en.wikipedia.org/wiki/The_Man_in_the_High_Castle_(TV_series)">Man in the High Castle</a>. Oy. And the third season of <a href="https://en.wikipedia.org/wiki/The_Crown_(TV_series)">The Crown</a> is coming soon.
		- BTW, <a href="https://en.wikipedia.org/wiki/Mr._Robot">Mr Robot</a> is not about robots. I've heard there is some confusion about this.
		- American newbie
			- Everywhere I've lived people greet outsiders mostly generously but there are always some who don't. 
			- I've moved so much geographically and in what I do, over my 64 years, I have a lot of experience with it. 
			- Silicon Valley welcomed me in 1979. The people who lived there before the various booms were farmers. Lots or orchards. Small towns, it looked like the <a href="https://en.wikipedia.org/wiki/Central_Valley_(California)">Central Valley</a> in Calif today. My family drove through there when I was ten years old and I remember it. In the first 20 years I was there, I felt like I had come home. Everyone was into the same things I was, personal computers, software designed for humans, and it was all so new, so much potential, so much to explore. But it already looked like Long Island. And traffic like you wouldn't believe got worse every year. Was it ruined by newcomers? Hard to say. Maybe it achieved its destiny. I left in 2003 because I more or less hated what it had become. 
			- While I was there, I got involved peripherally with Napster when it was booming. I was fascinated. My blog was well-read in tech, so I got to know a lot of music people in that period, not always in a friendly way. Ultimately I think they would have done better if they listened and accepted that change was inevitable, and they could profit from it. People were actively interested in music in ways I had never seen. But the insiders desperately didn't want it to change. Is it better that now we can all program our own music? I feel very strongly -- yes. It's hard to imagine that when I grew up I was limited to what was played on the radio and what I could afford to buy. There was so much more music. And music is so personal. All that potential opened up as Napster broke the dam. It was incredible for the users. The people who make and sell music didn't appreciate that or respect that. 
			- My own family are immigrants. My parents and grandparents landed in Queens and Brooklyn as refugees during WWII, running for their lives from the Nazis. We were not universally welcomed. Lots of antisemitism. I grew up ashamed of my heritage, because I took on the attitudes people had about us. 
			- A funny thing happened, as my mother was getting old. The <a href="https://en.wikipedia.org/wiki/Flushing,_Queens">neighborhood</a> she had lived in since the 1960s was turning from Irish, Italian with a little Jewish, to Asian -- Chinese and Korean. And my mom, born in Prague, an American newbie, was angry about the changes that were coming. I was amazed to see this, because she was a very inclusive sort of person, welcoming, and sought out different experiences. And of course she had herself benefited from a country that had its doors open to anyone. When she died, and it came time to sell the house, the neighbors next door begged us not to sell to an Asian family. They were also refugees. I said nothing but I thought it was both futile and hypocritical. 
			- I guess if I lived anywhere for long enough to resent newbies it would be on the net. I started using it as a grad student in the 70s. I've been through every iteration, and yes -- there's a point at which the area you've learned to call home becomes overrun with newbies. They have no idea about the culture you've developed, and they don't seem to care. They do the equivalent of leaving broken glass and dirty diapers at our pristine swimming holes. It sucks.
			- Facebook is, to me, the Land of the Newbies, the way AOL was 30 years ago. But I love FB the community (I do not love FB the company, though I know a number of people who work there, some of whom I consider lifetime friends). I especially love the Woodstock group, because it's filled with love, and I've benefited so much from it. I'm not kidding. 99.99 percent of my interactions there over the last year or so have been lovely. And I've learned so much about the place I now call home, far more than I could have without the group. It's changed the way I think about local news. Friends who work in journalism don't understand the role FB groups play, and they're not listening any better than the music industry people did in Napster days. 
			- I have friends who remember the net before FB as I do who will not use FB. They say they got along fine without it before, and will be fine now. No doubt. But they're missing something huge and cultural, and eventually the software they make will be irrelevant because they failed to move where the culture was going. 
			- Humans dealing with change. A constant. We don't always do it well. God bless  our pointy heads. 
			- PS: I <a href="https://www.facebook.com/dave.winer.12/posts/1080195318854539">cross-posted</a> this on FB because it's so much about FB.
	- November 15
		- Enes Kanter <a href="https://twitter.com/EnesKanter/status/1195440933036101633">speaks</a>. Please listen.
		- A <a href="https://twitter.com/gianabanan/status/1195361583238713344">flight</a> where everyone was watching the impeachment.
		- How fucked is the United States? Let's find out! There should be hearings <a href="https://duckduckgo.com/?q=ambassador+yovanovitch+testifies&t=h_&iar=news&ia=news">like this</a> for years, covering the corruption of the Trumps. 
		- Very confused about Jimmy Wales' supposed Facebook/Twitter competitor, <a href="https://duckduckgo.com/?q=WT%3ASocial&t=h_&iar=news&ia=news">WT:Social</a>. What is the monthly fee? And what is it behind the paywall? Tech journalism is basically nonexistent these days. It does not actually appear to be a competitor of Facebook/Twitter, more like Reddit.
		- I'm glad that <a href="https://en.wikipedia.org/wiki/Carmelo_Anthony">Carmelo Anthony</a> is getting <a href="https://www.oregonlive.com/blazers/2019/11/carmelo-anthony-signs-with-portland-trail-blazers-on-1-year-deal-report.html">another chance</a>. He was the face of the Knicks for many years. I was surprised to find that even though his attitude about himself and the team was the source of a lot of the Knicks' problems, after he was gone, I felt affection for him. I look forward to seeing him play for Portland and I hope the team and the fans give him a chance to get settled in. He's more than a player, he's part of the soul of the NBA. There's no doubt when he returns to the Garden with his new team, there will be a huge outpouring of affection for him. 
		- BTW, amazingly, the <a href="https://nypost.com/2019/11/15/kristaps-porzingis-learns-how-the-garden-treats-its-traitors/">Knicks beat Kristaps</a> and his new team <i>again</i> last night, this time in New York. Hard to believe.
		- For the first time, I am able to communicate with my doctor via email. What an innovation. Why didn't we start doing this a long time ago? Oh well better late than never. 
		- Russia, Russia über alles
			- If you watched <a href="https://www.msnbc.com/rachel-maddow-show">Maddow</a> last night, it would be hard to call the first day of testimony in the impeachment hearings a snoozefest. Here's the deal. Everything the president does not only benefits him personally but it also benefits Russia. All of it. 
			- So more than an impeachment, we are hearing a case study about how the Republican Party and the American president are servants of a foreign adversary. A truth most of us find hard to accept, I guess. But there's a lot more of this than has come to light. This is just the first that has been so microscopically exposed. Expect that when we peer into the Turkish invasion of Kurdistan, we will find another clusterfuck of <a href="https://en.wikipedia.org/wiki/United_States">your favorite country</a> and mine. 
			- We need more than impeach and remove.
			- We need an <a href="https://en.wikipedia.org/wiki/Exorcism">exorcism</a>.
	- November 14
		- Can you imagine what <a href="https://en.wikipedia.org/wiki/William_Barr">AG Barr</a> must think. It was his skill at hype that dug Trump out of the jam he was in with Mueller. What a gift. That was just Act One. Next would be the indictments for Justice people who started the Mueller investigation, to set an example for the people who remain. Either be loyal to Trump or get out. He probably figured he'd have DoJ and the spy agencies cleaned out by the end of next year. Then, after winning re-election, something Barr couldn't help with, they would be ready for Act Three, replete with goose-stepping storm troopers and gas chambers for people of color and non-Christians. Seems obvious that Trump and Barr's <a href="https://twitter.com/PeterAlexander/status/1195088750306635785">animated conversation</a> was about Barr resigning. The Trump Train isn't going where he thought it was, and if Barr stays on board, he's probably going to jail. His bet was a long shot, and now it's impossibly long. Trump may survive impeachment, but he's not likely to become the American Hitler. 
		- <a href="https://github.com/scripting/Scripting-News/issues/138">Braintrust query</a>: What method do you use to launch and kill a Node app in the background when you're actively developing it?
		- Jimmy Wales <a href="https://www.ft.com/content/9956ff9c-0622-11ea-a984-fbbacad9e7dd">wants</a> to turn <a href="https://wt.social/">WikiTribune</a> into a Facebook or Twitter competitor. That imho is a much better idea than hiring reporters, as he did in the first instance of WT. The question is this -- can Jimmy Wales draw a positive community that will work cooperatively on the mission he has defined, defunking news. I signed on but I'm number <a href="http://scripting.com/images/2019/11/14/waitingList.png">26673</a> on the waiting list.
		- How sad for our country that yesterday's impeachment hearings were <a href="https://www.nbcnews.com/politics/trump-impeachment-inquiry/plenty-substance-little-drama-first-day-impeachment-hearings-n1081926">judged</a> by American journalism as lacking in entertainment value. A good journalist could have found plenty to write about that was gripping from many perspectives. It went to the heart of the United States' role in the world. We identify with the people of Ukraine who are struggling to create a civil system like the one we used to have in the US. They were making progress, <i>with our help,</i> at fighting corruption. Two examples of American goodness testified. And the role of Trump and his mob was to bring American corruption to them. It couldn't be uglier. Maybe it lacked pizzazz if you have no sense of pride in America. I don't know why we place such a high value on journalism, when they fight against us with lunacy like this. 
		- <a href="https://twitter.com/atrupar/status/1194671109679046658">Trump</a>, with Erdogan next to him, on Syria: "We are keeping the oil. We have the oil. The oil is secure. We left troops behind only for the oil." Someone in the military must have told him, many times, how this puts at risk all US military everywhere, basically forever. I don't buy that Trump is an idiot who has no idea what he's doing. Also it's a joke that we would be trying to acquire (or steal) more carbon-based energy. We should be putting carbon in the ground, not taking it out. 
	- November 13
		- The <a href="https://nypost.com/2019/11/13/nets-sign-iman-shumpert-amid-growing-caris-levert-concern/">Nets signed</a> <a href="https://en.wikipedia.org/wiki/Iman_Shumpert">Iman Shumpert</a>, a good way to get Knicks fans interested. Last time the Knicks were good he was one of the stars. And <a href="https://nypost.com/2019/11/13/kristaps-porzingis-realizes-knicks-fans-are-going-to-boo-the-hell-out-of-him/">Kristaps realizes</a> no one in NY likes him. It's true. But where does a <a href="https://www.si.com/nba/2016/01/26/thunder-knicks-kevin-durant-kristaps-porzingis-baskeball-unicorn">unicorn</a> hide?
		- I requested my <a href="https://lifehacker.com/how-to-save-and-migrate-your-yahoo-groups-data-before-i-1839172243">Yahoo Groups backup</a> a few weeks ago, and got the download today. Lots of zipped files in various formats. I'm going to try to hold onto my download as long as I can. 
		- How about a holiday where every computer in the world reboots. It would be interesting to see how many don't come back up.
		- If the Repubs in the Senate vote to leave the criminal in the White House that's probably okay because that's the end of the Republican Party. Only way to come back from this is if they manage somehow to destroy the record. 
		- <a href="https://protocol.com/">Protocol</a> is a new tech pub from the publisher of Politico. Launching in early 2020. They announced it in a Vanity Fair <a href="https://www.vanityfair.com/news/2019/11/politico-founder-is-launching-a-tech-site">piece</a> (paywall, lots of noisy dialogs). I'm in tech, have been reading tech pubs for almost 40 years. It's been a long time since one was worth reading, sad to say. But wouldn't it be cool if this one was different? They have a great web address. Why not start out with a blog about the creation of the pub, and when they're up and running it could transition to their "public editor" function. Take criticism from readers, new perspectives. I know it's weird but I expect tech pubs to make good use of the tech. I'd also like to know who's writing for them, the Vanity Fair piece doesn't have that info. 
		- BTW, a real tech pub would <a href="https://dropwww.com/why">drop the www</a> in the site address.  
		- Today's impeachment <a href="https://twitter.com/davewiner/status/1194615118404947968/photo/1">hearing</a> will be on all the major networks in the US and on <a href="https://www.c-span.org/video/?466134-1/impeachment-hearing-william-taylor-george-kent">C-SPAN</a>. Starts at 9AM Eastern.
		- How is it that <a href="https://en.wikipedia.org/wiki/Kellyanne_Conway">Kellyanne Conway</a> married <a href="https://en.wikipedia.org/wiki/George_T._Conway_III">someone</a> who is so clear, thoughtful, even <a href="http://scripting.com/images/2019/11/13/conway.png">eloquent</a> about Trump and our country. 
		- The hearing today is going to set the tone for further reporting on impeachment. At least it affords the Democrats the chance to do that. Hopefully they rise to the occasion. 
		- Just tuned into <a href="https://www.msnbc.com/morning-joe">MSNBC</a> for their pre-discussion of the hearings. Oh the epic vacuousness of their diatribe. After an insipid idea is completely exhausted, they repeat it.  Once I finished vomiting in the waste basket, I decided I had to <a href="https://twitter.com/davewiner/status/1194610096560582658">tweet</a> about it. Done.
		- Fascinating <a href="https://docs.google.com/spreadsheets/d/1SP3Sqqdv6R8chFamjtgdNlOrUar-hJXvkMSeha2mHQ8/htmlview?sle=true#gid=1665107219">open spreadsheet</a>, via <a href="https://www.cjr.org/cjr_outbox/google-doc-journalism-media-pay.php">CJR</a>, with journalism salary data by position, publication, location, gender, race. You can see who earns a good living and who should be looking for a new job. 
	- November 12
		- <a href="https://twitter.com/rachelweinerwp/status/1194276332865294338">Here's your smoking gun</a>. Trump knew about Russian hacking of Democratic Party emails. And planned their use in the campaign. The humiliation of the United States is complete. We, you and I, are Putin's bitches. Happy holidays!
		- My vision of the Republican Party is death. There is no redemption. They went over the cliff a long time ago. What remains is cancer. You don't try to rehabilitate cancer, you cut it out and destroy what remains. That's why the new version of the Democrats must piss everyone off equally. No one philosophy matters, at this time, other than adherence to the Constitution. 
		- I envision a new version of the Democrats that pisses everyone off equally, but fanatically adheres to the Constitution so our country learns that we can survive, even thrive on disagreement, but we cannot survive chaos and kleptocracy.
		- I have a test version of <a href="https://duckduckgo.com/?q=TweetSucker+site%3Ascripting.com&t=h_&ia=web">TweetSucker</a> running on a server. It reads my previous day's tweets at midnight and sends them to me in an email. The body of the email is a sequence of HTML paragraphs. Attached is an OPML file ready to be loaded into Electric Outliner. Here's an <a href="http://scripting.com/2019/11/12/tweets.opml">example</a> of the OPML file. First impression: I tweet a lot. 
		- My longtime Silicon Valley friend Don Park has a <a href="https://twitter.com/donpark/status/1193931229835345926">truly good idea</a> for a business venture he calls Dropzone. "Turn your garage and spare room into mini warehouses. Brick and mortar retail can't compete with Amazon but this can and why wait for same day delivery if you can pick it up within an hour."
		- <a href="http://this.how/woodstock/newbies.opml#1573313656000">Stargazing</a> in the Woodstock area.
		- I have trouble reading the keys sometimes, so I got one of <a href="https://www.amazon.com/gp/product/B075H32ZFG/ref=ppx_yo_dt_b_asin_title_o00_s00?ie=UTF8&psc=1">these fancy keyboards</a>. 
		- Forget all the complicated arguments about impeachment, <a href="http://scripting.com/images/2019/11/12/heGotCaught.png">this cartoon</a> from <a href="https://thenib.com/the-perfect-crime?id=tom-tomorrow&t=author">Tom Tomorrow</a> cuts through all the quid pro quos. 
	- November 11
		- I am <a href="https://twitter.com/davewiner/status/1193904968014729216">starting</a> to think of my blog posts as tweets. 
		- The conclusion from <a href="http://scripting.com/2019/11/10.html">yesterday's</a> political <a href="https://twitter.com/davewiner/status/1193904968014729216">tweets</a> is this. Electing a Democratic president in a squeaker is not a win. It leaves the Republican Party alive with a huge electorate that the Democrats could not convert. It they can't do it now, then we'll never get out of gridlock. We're spinning down. We almost defaulted on the national debt. We're not renewing our physical or human infrastructure. Our treasury is easily looted by the rich. The Repubs will win the next election, and the cycle repeats. Squeaking out a win is not winning. The US will continue to decline, as will the planet's health, if we continue on the track we're on. We need a revolution, a fundamental reconfiguration of our political sysem so we can tackle the actual problems we have, not made-up ones. The kind of revolution the founders allowed for in the Constitution. 
		- An idea worth considering. Ask Knight to fund a project to catalog and publish all the political ads running on Facebook. This is the implementation of the <a href="https://twitter.com/davewiner/status/1192455974558294017">idea</a> that Joe Trippi <a href="https://twitter.com/JoeTrippi/status/1193616884639379456">liked</a>. That means a lot, he's the only political hacker I know. 
	- November 10
		- <a href="https://twitter.com/davewiner/status/1192455974558294017">Nov 7</a>: "Everyone should hear the same lies."
		- <a href="https://twitter.com/JoeTrippi/status/1193616884639379456">Joe Trippi</a>: "The most insightful thing anyone has said in a long time about what has really changed to create our current failure to communicate."
		- Maybe Bloomberg should endorse a candidate that's already up and running. Help elevate them into the top tier. For example, Amy Klobuchar. 
		- <a href="https://twitter.com/davewiner/status/1193581586610081794">Poll</a>: Are you looking for symbolic or actual victories?
		- So much great TV coming out in the weeks ahead. I might not get any work done. Right now I'm going through <a href="https://en.wikipedia.org/wiki/Mr._Robot">Mr Robot</a> a second time, slowly. It's worth doing, because now the things Elliot says to the audience make sense. After the big reveal on Mr Robot, he looks at the camera and asks "Did you know?" I laughed and said damn right I knew. It's interesting in a different way when you know what's real and what's not. 
		- It’s kind of scary how attached some people are getting to Their Candidate. Remember: 1. Most of them will lose. 2. Your favorite will probably lose. 3. We’re all going to support the Dem nominee, no matter how much they suck.
		- A new two-party configuration
			- <i>TL;DR: There are a lot of winnable votes in the 40 percent who are likely to vote for Trump.</i>
			- Some elections reconfigure the balance between the two parties. Like Nixon, his <a href="https://en.wikipedia.org/wiki/Southern_strategy">southern strategy</a> flipped the south from Dem to Repub. He saw an opportunity, took it, it worked, was transformational, and that reconfiguration is still in place 50 years later. 
			- Well never imho has the country needed to reconfigure the balance between the parties more than it does now. The Repubs are being driven to fascism. That's usually a fringe thing in the US, but now is on its way to becoming mainstream. That is if you believe Trump's "base" is fascist. I for one don't think they are.
			- I think they hate liberal elites who think they know everything, but they think (in the flyover states) that they understand nothing about America. That's a complicated idea, and would take a lot of tweets to explain, but there's something real there. The America they grew up believing in, that many of us did, never was what they said it was, but it's still their core idea of America, and we've drifted very far from it. In their minds America is white, Christian, there's a mom and a dad and kids, and Thanksgiving, guns and self-sufficiency. This America doesn't have any problems. It kicks ass. It rules the world. And the white people dominate (a nice way of saying what it does to PoC's).
			- The basic grievance they have is this. Look at all the great things they're doing for "others" and I'm not getting any help at all. Take care of me first, and let the other guys pull themselves up like I did. 
			- They feel the way they feel. And you probably have a lot of hypocrisy and lies in your own view of the world, btw. I know the family I grew up in did. Some day I'll write a piece about all the lies they clung to. It'll be a long piece. 
			- Back to Trump's 40 percent. I'm not taling about all of them. Some for sure are real goose-stepping Jew-hating Nazis. But a lot of them just want to hear from a president "I got your back," and then enumerate their fears, so they know you hear them. Even if their fears are off the wall. You can say you hear them without selling your soul, or selling out the former Democratic Party base. And that's how the center-left party can emerge. It'll be called the Democratic Party, but it'll have a lot of until-recently Republicans in it. Nothing wrong with that. The Republicans used to have liberals. 
			- Because the real important split in the US is between people who believe in the Constitution and those who don't. That's so basic. And now in 2019, it's peak season for converting rule-of-law Republicans to lifetime Democratic Party voters. And where the parents go, the kids are likely to follow. 
			- So what's more important? A failed push for Medicare For All by President Warren or Sanders, or a new permanent political reality in the US that solves problems for 50 years led by President Bloomberg, Inslee or Klobuchar? I actually like Bloomberg because he mastered the sensibilities of business management, and has had three terms as NYC mayor to convert that sensibility to politics and governance. He's shovel ready, in other words. More than any of the others including Biden. 
			- As I said at the beginning, this is a time when we could reconfigure the two-party system. There are a lot of winnable votes in the 40 percent who will vote for Trump if we nominate a Warren or Sanders. And if those votes plus minorities, city people and suburbanites could compromise, we could have a big enough majority to fix a lot of things. Things that most Trump voters want. Like to be sure of their health care. More jobs. Spending more money on domestic stuff as opposed to unwinnable forever wars. What they want, in a word, is security. These are all natural Democratic issues, and somehow via lies and Democratic lunacy the Repubs have been able to at least partially usurp them. That's because the Dems don't claim them. They get lost in the weeds talking about health benefits for non-citizens and taking away people's health insurance which for crying out loud is not even what the Dems are contemplating.
			- Reading <a href="https://www.npr.org/2019/11/08/777511592/read-testimony-of-fiona-hill-ex-white-house-russia-policy-official">Fiona Hill's testimony</a> last night, she's saying something similar about the political system in the US. We're smart, we know how to do big things. There are a lot of good people in the United States ready to kick ass. If you can just get the poltiical stuff under control, America will resume the greatness that it never lost. 
	- November 9
		- I'm a member <a href="https://duckduckgo.com/?q=beatles+revolution+lyrics&t=h_&ia=web">of</a> The John Lennon School of <a href="https://www.youtube.com/watch?v=BGLGzRXY5Bw">Revolution</a>. "If you want money for people with minds that hate, all I can tell is brother you have to wait."
		- I'm also a proud boomer, and member of The Grateful Dead Party. <a href="https://www.youtube.com/watch?v=rdPOAhBp2Ag">Our anthem</a>. Wave that flag, wave it high and wide!
		- I read a bit of <a href="https://www.npr.org/2019/11/08/777511592/read-testimony-of-fiona-hill-ex-white-house-russia-policy-official">Fiona Hill's testimony</a>, and she's a badass. Everything we wish Mueller had been, and more. 
		- <a href="https://twitter.com/conorjrogers/status/1192818630486056970">Brilliant tweet</a>. When journalists ask how Warren will pay for something she should say Mexico will pay for it. 
		- As a newbie in town, I have basic questions like where to shop for <a href="http://this.how/woodstock/newbies.opml#1550086702000">groceries</a>, ride the <a href="http://this.how/woodstock/newbies.opml#1550336098000">bike</a>, look at the <a href="http://this.how/woodstock/newbies.opml#1573313656000">stars</a>, which <a href="http://this.how/woodstock/newbies.opml#1551967188000">airport</a> to fly out of -- really basic stuff.  I usually post the question in the private Facebook group for the town. I keep an <a href="http://this.how/woodstock/newbies.opml?format=opml">outline</a> of some, not all of the questions and the best advice, <a href="http://this.how/woodstock/newbies.opml">on this.how</a>. It's for things that aren't blog posts, stories I want to come back to, edit, refine, add to. 
		- Did a little prototyping for the <i>tweetsucker</i> project I wrote <a href="http://scripting.com/2019/11/07.html#a144614">about</a> the other day, and noted that the Twitter API <a href="https://github.com/reneraab/node-twitter-api">toolkit</a> that I use is now marked as not maintained. It still works, but It seems this is something Twitter ought to maintain, or pay someone to maintain. Letting this fall out of sync with the actual API wouldn't be very good. 
		- I couldn't bring myself to watch the Knicks game last night with the Mavericks with their new star, and former Knick, Kristaps Porzingas, who for a few years was the embodiment of hope for the team. I was sure the Knicks would be blown away. What a surprise to wake up to find out <i><a href="https://nypost.com/2019/11/09/ntilikina-gem-in-win-over-porzingis-could-be-knicks-turning-point/">the Knicks won</a>. </i>I don't think anyone was humiliated, but there's a sadness when you realize how great the team could be now if KP hadn't demanded a trade, had found a way to work with the Knicks. 
		- Not sure if <a href="http://scripting.com/images/2019/11/09/rudyTrumpBloombergClinton.png">this photo</a> is real. It's supposed to be a 2008 picture of Rudy Giuliani, Donald Trump, Michael Bloomberg and Bill Clinton. The only thing that would make it better is if Jeffrey Epstein were <a href="https://en.wikipedia.org/wiki/Photobombing">photobombing</a>. :boom:
	- November 8
		- I was filling up at <a href="https://www.stewartsshops.com/">Stewart's</a> on <a href="https://www.google.com/maps/place/7+Zena+Rd,+Kingston,+NY+12401/@41.99385,-74.0895107,17z/data=!3m1!4b1!4m5!3m4!1s0x89dd068fca0c49fd:0xc7d3d3a1ce2d1e44!8m2!3d41.99385!4d-74.087322">Highway 28</a> yesterday and a NYPD car pulls into the slot next to mine. A cop gets out, starts pumping gas. I say hey are you from NYC? He pauses and shakes his head without looking at me. For the <a href="https://en.wikipedia.org/wiki/Ashokan_Reservoir">reservoir</a>? I ask. He turns around looks at me and says yes, with the typical NYPD stare. Let me translate. Fuck you if you keep doing that I'm going to kick you in the balls and cuff you. Even up here in the sticks, it's reassuring to know that NY cops are the same, all the world over. :boom:
		- Voters choose based on personality, mostly, not policy.
		- I didn’t realize people take the lack of a warning from Google or Firefox as an endorsement. If they do they’re going to be sorry because bad guys can get secure websites too. This is where the <a href="http://this.how/googleAndHttp/">push</a> to https blows up. The next step, obviously, is to make websites register with Google, and have their changes approved the same way iPhone devs do. Quickly this will mean no criticism of China, and of course Google.
		- This is where <a href="https://www.cnn.com/2019/10/10/politics/warren-jokes-at-lgbtq-town-hall/index.html">Elizabeth Warren</a> made a "joke" at the expense of people who believe marriage is between a man and a woman. Humor works, for presidents, only when it's self-deprecating. Otherwise you make a choice, you're the president of everyone, including people with unpopular beliefs, or remain a senator or college professor. Further she throws this at men, for some reason, as if men are the ones who think this about marriage, exclusively. Personally I don't care if you do or don't get married. I don't think the government should be involved. But same-sex marriage is a recent thing, and of course there are people who are uncomfortable with it. Probably MAGA sounds right to them. A president of everyone should re-assure them that they have the right to their belief, and can live their lives accordingly, but they can't control other people. Had Warren said that, that way (without the putdowns) I would have cheered. 
		- Are you a 1 or a 0?
	- November 7
		- I'm going to write a tool that sucks down all my tweets from the last day or two into an outline, so I can reorganize and edit them into blog posts. I'm writing too much on Twitter, and working too hard to get the ideas onto my blog. 
		- <a href="https://twitter.com/CNNBusiness/status/1192452509215985664">Gates is right</a>. We accept lies in political ads. Always have. But the ability to say different things to different people, that's a new line we should have thought about more carefully. <i>Everyone should hear the same lies.</i> 
		- <a href="https://twitter.com/TheDailyShow/status/1192566201790160897">This</a> makes Trump happy and makes me happy. 
		- The Knicks were <a href="https://www.newsday.com/sports/basketball/knicks/knicks-frank-ntilikina-andre-drummond-1.38319709">so bad</a> last night, I couldn't watch. And I can't possibly watch the game vs Dallas. <a href="https://nypost.com/2019/11/07/kristaps-porzingis-not-happy-with-his-play-heading-into-knicks-battle/">Porzingas</a>. I'd rather watch a Trump rally.
	- November 6
		- <a href="http://scripting.com/images/2019/11/06/earthrise.png">Something</a> our parents' generation did, which inspired some boomers to try to do something great with their lives.
		- Today's young people practice <a href="https://duckduckgo.com/?q=active+shooter+drills&t=h_&ia=web">drills</a> to protect themselves from active shooters. Boomers learned to <a href="https://en.wikipedia.org/wiki/Duck_and_cover">duck and cover</a>.
		- I was asked by an old friend what I think about lies in Facebook political ads. "I think pragmatically that Zuck is caught between people who lie about the truth, that in most things there is no such thing as the truth, and all politicians lie, and we accept that, and only an asshole would try to impose rules on FB that they aren't willing to impose on themselves." I did a <a href="https://twitter.com/davewiner/status/1191370393745051650">Twitter poll</a> that was kind of an editorial. 
		- Hillary Clinton is so relaxed, <a href="https://twitter.com/latelateshow/status/1191957918305927168">she says</a> of Rudy Giuliani. "It's almost as if aliens have seized his brain." 
		- I have always despised this <a href="http://scripting.com/images/2019/11/06/cartoonFullSize.png">xkcd cartoon</a>. I understand what the <a href="https://en.wikipedia.org/wiki/First_Amendment_to_the_United_States_Constitution">First Amendment</a> says, I didn't need a cartoon to explain it. People send you this to remind you that your big mouth could cost you your job, and over time a lot more, as the social mob learned how to cancel people in bigger ways. Is that something to be proud of? That you're so intolerant of other views that your reaction is to punish people for expressing them. I remember when the social mob learned that an <a href="https://en.wikipedia.org/wiki/Brendan_Eich#Mozilla">exec</a> at a tech company had given money to a support a ballot measure that would deny same-sex couples the right to marry. He lost his job. I get it -- you had the right to do it. But that <a href="http://scripting.com/2014/04/03/politicsNecessarilyCreatesDivisions.html">doesn't</a> make it right. I don't care one way or the other if you agree or disagree. But one of the great traditions of our country, that is <i>not</i> part of the Constitution, is that we celebrate diversity. We listen, and give other ideas a chance to penetrate our view of the world. We have some flexibility. We could change our mind. As we grow older we strive to learn. So while it's not in the Constitution to listen and respect our differences, imho it is in our DNA. 
		- <a href="http://scripting.com/2014/04/03/politicsNecessarilyCreatesDivisions.html">2014</a>: "Will you have to know the politics of every person you do business with? What if your barber gave to a cause you don't support? Your doctor? How close a relationship does it have to be for their politics to be approved by whoever you look to approval for?"
		- I have a bit of time to kill today, and I thought I'd try to get to the bottom of some weird behavior in the JS code for this blog. This item has an attached image that is revealed when you click the wedge next to the item. The second time you expand it, when it's revealed it happens very slowly, and it opens from the top and left, with a scrolling effect that I now find annoying. It doesn't do it the first time. I must have made it do this originally, but I don't remember how, and I can't seem to find the code. I'm going to keep looking. (Update: I was able to turn it off by setting the <a href="https://www.w3schools.com/jquery/jquery_slide.asp">params</a> to slideUp and slideDown to 0. Still not sure why it was doing it for this data type, and not for others.) :boom:
		- Blame evolution
			- You want to know what's to blame for all our ills? 
			- Evolution. 
			- It got us to a place where nothing about us makes any sense. 
			- We evolved to survive in a world that no longer exists.
			- If you think one generation did that to us, you're not very smart imho.
	- November 5
		- I think Sherrod Brown or Amy Klobuchar would be good Democratic candidates for president. I listened to today's <a href="https://www.nytimes.com/2019/11/05/podcasts/the-daily/whos-ahead-2020.html">Daily podcast</a> about the chances of the Demo candidates based on polling the NYT just did. It's not a good picture. They say Biden would win, but the Repubs haven't run a campaign on him yet. They're going to let the Dems tear him to shreds first, which they will. People think this is about policy, it's not. <i>People want to feel like winners. </i>I wouldn't feel like a winner, of any kind, if my president was Warren, Sanders or Biden. Ugh. Anyway if a Democrat is elected what they'll do will depend totally on the makeup of Congress. The more Repubs are left the more compromise, unless of course Trump is re-elected, then you can forget about who's in Congress, it won't matter. Our Congress will be no more consequential than Russia's. I agree with <a href="http://nymag.com/intelligencer/2019/11/poll-trump-beats-democrats-swing-state-biden-warren-sanders.html">Chait</a> that the Dems have been living in a fantasy world. None of the leading candidates will beat Trump, none of them. 
		- You can tell <a href="http://scripting.com/images/2019/11/05/love.png">they're</a> in love. <span style="font-size: .7em;">:heart:</span>
		- Why impeach asap
			- So much discussion in the news about impeachment, and they never talk about the #1 reason to impeach, asap. So here's a reminder.
			- He's running the presidency as if he was a monarch. Ignoring the Constitution. And the longer he gets away with it the worse it gets. 
			- They should make a song about this. How the president is not a king. We could change the words to the Star Spangled Banner. 
	- November 4
		- <a href="https://twitter.com/davewiner/status/1191370393745051650">Poll</a>: Which political party will control "truth" on what remains of Facebook after the politicians get through with it.
		- As the 2016 election approached, <a href="https://fivethirtyeight.com/">FiveThirtyEight</a> published a series of graphs showing over time the likelihood of Clinton or Trump winning. All through October, as Clinton gained confidence, the two branches of the graph diverged, until <a href="https://en.wikipedia.org/wiki/James_Comey#/media/File:Comey_Letter.jpg">FBI Director Comey's letter</a> to Congress. I watched it live and my heart sank. Here we go again. <a href="https://duckduckgo.com/?q=Hillary%27s+Emails+site%3Ascripting.com&t=h_&ia=web">Hillary's Emails</a>. That evening, Clinton gave a <a href="https://www.c-span.org/video/?417629-2/hillary-clinton-calls-release-information-email-investigation">speech</a>. Eleven days before the election. Voting is already underway. We understood the damage. And you can see it clearly in <a href="http://scripting.com/images/2019/11/04/fiveThirtyEightGraph.png">the graph</a> on this day in 2016. Yes, Clinton was still twice as likely to win as Trump. But the graph was going the wrong way. And we know how it turned out. So remember, the story that the NY Times invented, promoted with love by the FBI and the rest of journalism, was probably a bigger cause of America's defeat than Cambridge Analyitica and Facebook. But of course the NYT controls the conversation, and is unaccountable, so the blame is focused elsewhere. 
		- We need a C-SPAN for the web. Not archive.org (which is great). A place where you can put things on the record, so when something notable happens you can be sure this will be the last place to disappear, or to be put behind a paywall.
		- I try to ask questions political journalism would ask if it were tech-aware. And the other way around. There's an intersection that is mostly missing. The enemy has been investing there. And enemy is the right word.
		- You mean <a href="https://www.politico.com/news/2019/11/04/democrats-tiptoe-pocahontas-hunter-trump-063942">journalism</a> is licking their chops. “Hillary’s Emails” was fake news created by the NY Times. We haven’t forgotten. This is the corruption of American journalism. We never got an apology from the NYT or even a mea culpa. It isn’t the first time NYT fuckery cost us huge. These people are drunk with power, and are accountable to no one.
		- It was obvious that the Warriors were going to crumble if not this year next year. Dynasties in the NBA are pretty complete unlike other sports, and the teams on top get bored. Winning it all meant something the first time, maybe a bit the second but after that it gets tired. We saw it happen first with the Miami Heat. 
		- JsonFeed after two years
			- A couple of years later, I've yet to see a <a href="https://jsonfeed.org/">JsonFeed</a> in the wild. And if such a thing existed, I suspect there would also be an RSS 2.0 version of the same content. In the group where developers discuss it, which I follow, most or all of the <a href="https://github.com/brentsimmons/JSONFeed/issues">feature requests</a> are things that have already been done in RSS or Atom.
			- There was, provably, no reason to do this. At this point, is there a language or environment that doesn't have an open source library for reading feeds? It's just one call in my JavaScript code to take a bit of text that's supposed to be a feed and get back a JavaScript structure with the contents. Couldn't be simpler. Yet I don't think many of those libraries include support for this two-year-old format. So you have to do more work to read it. One of the goals of the new format was that it would be less work. 
			- And on the writing side, maybe writing JSON is a little easier than writing XML, but again, if 20 years after the advent of RSS, you don't have a toolkit in your environment to write feeds, you should probably do it yourself and share it with other devs. 
			- Finally if you were going to invent a new format why not just JSONify an existing feed structure. I did that <a href="http://scripting.com/stories/2012/09/10/rssInJsonForReal.html">for RSS</a> in a few minutes. My blog is still <a href="http://scripting.com/rss.json">available in JSON</a> as well as XML. No need for debates or feature requests. It's <a href="http://rssjs.org/">RSS but in JSON</a>. It Just Works&trade;. Not that anyone uses it, for the reasons mentioned above. 
			- I've known both <a href="https://manton.org/">Manton</a> and <a href="https://inessential.com/">Brent</a>, the authors of the format, for many years. Nice people. But this was a mistake. Atom, also, was a mistake. All the energy should have been focused on a standard that would be supported everywhere, <i>as easily as possible. </i>I did it myself. I had designed a format when RSS came along, from Netscape, and I dropped it in favor of RSS, because one way to do something is better than two no matter how much better the second way is. A hard-won lesson from many times around the loop. Hopefully this is something will not be repeated for RSS at least, in the future. 
	- November 3
		- To Woodstock readers, a couple of ideas. 1. Eventually imho it would be cool if someone did what I'm doing but focused on the town and county. 2. I'm thinking of hosting a meetup, perhaps in my living room, where we do this face to face. I talk for a few minutes on topics either from the blog (most likely) or other subjects. I have done this before, in California and Boston, it can be really interesting. Kind of a like a book club for something that's ongoing, not finished. Or a book tour that lasts months. Just a couple of ideas, seeds planted for the future. :evergreen_tree:   
		- A blogging meta-note. I use my blog-writing as a break from development work. Ideas occur to me while doing other stuff. I use the blog as a notebook to record them. I also use Twitter as a first draft. As I've said before the 280-char limit made Twitter a lot more useful. I have a graphic editing environment for blogging that only runs on a Mac. When an idea occurs to me when I'm away from work, I can use a phone or tablet to record it on Twitter. It's there when I'm back at my Mac. It's a pretty decent editorial system. I sent a DM yesterday to Jack Dorsey asking to work on the integration of Twitter with desktop writing tools (my own in particular of course). I think it's so close toa breakthrough. I can feel it. I've been right about this before, btw. :bulb:  
		- Changes in our world are happening so fast. I wish more news orgs took this as an opportunity to teach and reinforce American rules of self-governance. (British too, btw.) They matter now. It's like <a href="https://duckduckgo.com/?q=site%3Ascripting.com+jury+duty&t=h_&ia=web">jury duty</a>. You'd be amazed at what random Americans can do. We are capable of understanding a lot, with nuance. Look at the rules of any sport, baseball, football, etc. Very complicated. Yet huge numbers of people understand them. And we have a baseline of truth in sports talk. People don't make up averages or rules, yet there's lots of room for subjective opinion. In some countries sports talk does turn violent, but not in the US. Wouldn't be a bad model for a new news org to adopt, up front. :watch:
	- November 2
		- The <a href="https://www.nytimes.com/2019/11/02/sports/basketball/curry-zion-nba-injuries.html?emc=rss&partner=rss">NYT says</a> the NBA is not much fun now. I get it. I tried watching the Nets v Rockets last night. Preferred the Knicks v Celtics. The Knicks are more interesting this year. A mix of young and old. And a <a href="https://en.wikipedia.org/wiki/RJ_Barrett">sensational rookie</a>. The boring part of the NBA are the corporate players like Kyrie and KD. Mercenaries. Oh we'll occupy the Nets so we can take cheap shots at the Knicks. Wow. Brilliant. No one cares about the Nets. They get their paycheck and they'll move on to humiliate another team next year, until fans get tired of it. Thing is most of the fans already are. Ask Toronto. You know the players must think we don't know it's about teams. We really don't care about them so much. Make good teams and we'll be happy. That's why we like the Celtics, the Bucks, Philly, and guess what the Knicks look okay this year. Someone put some care into creating this team. I think that's what the Knicks have been missing. Someone who cares about them. But the Knicks would've said yes to Kyrie, I'm glad they didn't get the chance. 
		- I wrote <a href="http://scripting.com/images/2019/11/02/visualize.png">this</a> on this day in 2016: "Visualize Trump's victory speech where he goes off script because at that point there is no script."
		- By now everyone who’s an actual person on Twitter should get that the extreme opinions there are programmed by software. These imitation people are algorithmic, not human. In other words we are being programmed by other people’s programs. All you have to do is not get sucked into the emotional <a href="https://en.wikipedia.org/wiki/Sm%C3%B6rg%C3%A5sbord">smörgåsbord</a> the algorithms try to induce in you.
		- We thought robots were going to steal our jobs. We didn't foresee that they would break our minds. 
		- <a href="https://duckduckgo.com/?q=%22el+orange%22+site%3Ascripting.com&t=h_&ia=web">El Orange</a> is really good at the 280-char rage tweet. Would he be competitive in a world where the limit was a bit longer? No one knows. It would be a different medium. Might favor the story-teller over the grunter.
		- <a href="https://twitter.com/someknew/status/1190634848152514560">Speaker Pelosi</a>: "If we don't have a system of checks and balances, we might as well all elect a president and go home." The Repubs in Congress must be secretly glad Pelosi and the House Democrats are sticking their necks out for the Constitution. Unless the Dems prevail, the Repubs are out of a job too. 
		- We're erecting a Maginot Line, getting ready to re-fight the Battle of 2016, ignoring that the enemy already controls our capital. We should be <a href="http://scripting.com/2019/11/02/134152.html">innovating</a>, but we're not. We're defending against Nixon with lots of Woodsteins. I have a weird feeling we should let Zuck and Jack do what they want, and <i>help</i> them, because our current response is a loser, totally inadequate. 
		- I heard someone say that Congress shouldn't go on a week recess, but this is a good time to go home and hear from the people. 
		- Innovating in journalism
			- You know the <a href="https://www.youtube.com/watch?v=8rwsuXHA7RA">Steve Jobs ad</a> about how geniuses think differently. He was on to something. There is a big difference between the way innovators think and everyone else. And I think I can finally put the difference in words.  
			- If you're going to innovate you do it first, and look for funding when you've got something working. You don't wait for anyone's approval, or investors nagging you about when you're going to finish, because if your idea is innovative enough you'll never be able to explain it in words, and you'll learn so much in the process, the idea will sound very different very quickly if it's new enough. People will want to invest when it's up and running. You have to get there first. The innovator goes ahead. The non-innovator doesn't.
			- I have several friends who are former journalists who are so driven by what they do they write publicly, even though no one is paying them. What they do is exciting. Their ideas are different and valuable. They get me, their reader, thinking, which imho is the best kind of journalism. They may not know it but they are innovating, and if they keep at it, I think there's a good chance they will have such obvious success that people will want to invest. 
			- I would invest myself if we could put it together as something investible. By that I mean it has a way to grow. That it's not just investing in a few outside-the-box thinkers, but if it could become a place where such thinkers could start, follow their idea, develop their own following, and inspire other thinkers to do what they do. I wouldn't burden it with advertising. I'd let it run for a while, the way they let software developers run without a business model these days, while they test their ideas. 
			- Just thinking out loud here. I am sure there's a new journalism out there, that it's not the journalism that gets so much acclaim, the <a href="https://www.theguardian.com/us-news/2018/aug/12/woodward-bernstein-watergate-donald-trump-era">reinvention</a> of Woodward and Bernstein, the two Washington Post innovators who brought down Nixon. We should be way ahead of that by now. We need to be, because the forces opposing democracy, the equivalent of 1974's plumbers, are moving much faster. We're erecting <a href="https://en.wikipedia.org/wiki/Maginot_Line">Maginot Lines</a> now, getting ready to fight the Battle of 2016, ignoring that <i>the enemy already controls our capital. </i>They've been innovating. We haven't seen the results of their most recent innovations, yet. 
	- November 1
		- A Florida attorney <a href="https://twitter.com/20thgrader/status/1190099633302839302">writes</a>: "Donald Trump is about to get ripped apart by NY Courts and there isn't a single presidential power that can stop it. He's moving to Florida because of a unique unlimited <a href="https://en.wikipedia.org/wiki/Homestead_exemption_in_Florida">Homestead provision</a> in our Constitution letting him keep a home of any value."
		- Another thing Facebook is good for. A friend  posted a request for a referral to a cardiologist. A far-away friend was quite sick. We figured out that wasn't right, they should call 911 and get to a hospital asap. I don't know what the outcome was, but it might have saved a life.
		- From a Scripting News reader: "Found my kidney donor on Facebook last year, while they weren't a match for me, they opted to swap on my behalf thereby helping four other people and me finding another match. Complete stranger."
		- Journalism's view of Facebook
			- Most journalistic pieces about Facebook view it as an online bulletin board with nightmarish advertising that's getting worse every day. For what it's worth, that's not how I experience it. The only political ads i see are from Democratic candidates who want money. Harmless and easily ignored. 
			- In the last year I've started using a private group for Woodstock residents. It's a very civil place where people do the kinds of things towns do. 
			- There are quite a few Republicans, occasionally someone says something inflammatory about Trump, but that's moved out the main discussion quickly. 
			- I think people have an interest in civility because eventually you'll see most of them face-to-face, at the post office, grocery, in a park, on the new rail trail, a local restaurant, party. That is a real force for civility. 
			- Anyway, there's no question that it works, and it's worth it. 
			- I've started to create my own private groups. 
			- I know it's in a silo, against my religion, but on the other hand, it's where the people are. Some things are more important than silos vs open systems. 
			- So when journalists write about FB as if it's a black and white thing, they aren't really doing their job. And their editors don't create room for other views, and they aren't doing their jobs either. 
