- March 2020
	- March 31
		- My NYC correspondent. "I was already cautiously optimistic that the virus is milder than we realize, because of the testing bias towards very ill patients. Now there's evidence that may be true, from a <a href="https://www.bloomberg.com/news/articles/2020-03-28/dutch-hospital-workers-show-insidious-nature-of-coronavirus">Dutch study</a> that would not only explain why it spreads so well, but is an argument for why 100% of the population should wear masks in public, and why we should exhaustively test healthy people as well. The more people who have already been infected with sub-clinical or no symptoms, the lower and sooner the peak will be, at least here in NYC where it's already likely to sweep the population."
		- How about a science and math focused news network.
		- Nate Silver is running an <a href="https://twitter.com/NateSilver538/status/1245021175027286017">interesting poll</a>. 
		- They did a <a href="https://www.youtube.com/watch?v=qo5jJpHtI1Y">movie</a> about Trump, <a href="https://en.wikipedia.org/wiki/Goodfellas#Accolades">one</a> of the <a href="https://www.metacritic.com/movie/goodfellas">best</a> of all time.
		- MSNBC would be doing a great public service if they re-aired Cuomo's briefing in the time slot they've been giving to Trump. He's setting the example for the rest of the country. They would be saving American lives if they help him lead. 
		- My trip to the supermarket
			- Usually I get groceries once a week, and there's nothing surprising about it, certainly nothing that's blogworthy. Today it's different. It was time to go, and I dreaded it. But I had a mask, and they have sanitizing wipes at the front door, and I had read all about how to do it safely, so I went. A few notes. 
				- The store wasn't empty, but it wasn't very full either. People were cheerful, as they often are in the country. I didn't think I'd be able to smile through <a href="http://scripting.com/2020/03/30/153915.html?title=myNewMask#a143558">the mask</a>, but I figured it out. I say hello and tell the other person that I'm wearing a mask (obviously) and smiling under it. Which of course makes my eyes smile. 
				- I got almost everything I wanted, and more. It's still an <a href="https://en.wikipedia.org/wiki/First_World">American</a> supermarket. Filled to the brim with goodies and the essentials. I got meat, milk, eggs, veggies, bags of onions, potatoes and oranges. A 24-pack of water and my two favorite kinds of diet soda. 
				- And to my surprise they had wipes! I got the last two packages. And they have a limit of <a href="http://scripting.com/images/2020/03/31/announcement.png">two per customer</a>. See the photo <a href="http://scripting.com/2020/03/31/152954.html?title=myTripToTheSupermarket#a155305">below</a>. This made the whole trip worthwhile. I desperately have wanted to have some of the basic sanitizing supplies at home. Now I do. And I love that they have the daily limit of two per customer. I heard about people hoarding, coming back to the store three times a day to swipe up all the paper goods and cleaners. 
				- The checkout station was revamped. There's a red line that keeps you from getting to close to the checkout person. There's a plastic shield separating the customer and the clerk. They don't pack your cloth bags, but they're happy to use their paper bags, which they're now giving out for free after a few months of getting us to switch over. 
				- We're now a few weeks into this crisis, and we're doing better than the worst I had anticipated. America is still America, somewhat. 🇺🇸
			- Two-per customer <a href="http://scripting.com/images/2020/03/31/announcement.png">limit</a> for sanitizing wipes at Woodstock supermarket.
		- Put a smile on it
			- It was my friend <a href="https://twitter.com/jy">JY's</a> idea to <a href="https://twitter.com/davewiner/status/1245049879375884290">put a smile</a> on my mask. 
			- I'm not any kind of artist, but I actually love the idea. 
	- March 30
		- My NYC correspondent. "At least two co-workers sound like they have it, but both have been doing fine with mild symptoms (it's a young and healthy group, though). This is bad, but I think by June NYC is going to be the most resilient and functional city, with experience and infrastructure and also lots of people who are resistant because they've already gotten it. California is doing really well with distancing but I'm worried they'll face a bad second wave in the fall."
		- Why do reporters keep showing up for Trump pressers, and then spend endless hours talking about it. It's like the character in <a href="https://en.wikipedia.org/wiki/When_Harry_Met_Sally...">Harry Met Sally</a> played by <a href="https://en.wikipedia.org/wiki/Carrie_Fisher">Carrie Fisher</a>. <a href="https://www.youtube.com/watch?v=5Ww5v_CYXBw">You're right</a>, you're right he's never going to leave her.
		- <a href="https://youtu.be/uz53jNXJFqs">We were warned</a>.
		- I wish there were a fully networked <a href="https://www.ea.com/games/simcity">SimCity</a> where my friends' cities and mine could trade. And we could have lockdowns and shut down the airports, and have Covid-19 outbreaks. We could kill all the Sims, and then boom, reincarnate them. 
		- One of the best things you can do to <a href="https://immerse.news/time-to-love-the-web-again-collective-wisdom-in-a-time-of-covid-19-crisis-2d359cf3f2f9">love the web again</a> is decentralize. Start your own blog, and post links to social media sites. Then you're building on the resilience of the net, instead of concentrating on a potential single point of failure.
		- From a friend in NYC, a <a href="http://scripting.com/images/2020/03/30/tentsInCentralPark.png">picture</a> of the tents in the <a href="https://www.centralparknyc.org/attractions/east-meadow">East Meadow</a> of Central Park, across from <a href="https://www.mountsinai.org/locations/mount-sinai">Mount Sinai Hospital</a>.
		- "Shifty, scheming person that will do whatever they need to to escape whatever they fear in the moment." Yup that sounds like <a href="https://www.urbandictionary.com/define.php?term=weasel">our president</a>. 
		- <a href="https://twitter.com/donpark/status/1244701587022311424">From Don Park</a>. Unboxing video showing contents of the relief kit sent to South Koreans in self-isolation after testing positive.
		- Every day I start with a blank slate here on "Scripting News" and I wonder if I'll find anything to put here. Maybe today it will be an empty page? Then I have breakfast, drink some coffee, catch up on what people are saying, and then comes the flood. :boom:
		- From Dave Carlick a link to a <a href="https://www.youtube.com/watch?v=jZtEX2-n2Hc">video</a> from the Czech Republic minister of health saying it's time for everyone to wear a mask. I had mask-envy. People have such nice store-bought masks. I have some on order from Amazon, but who knows when they'll be here. Just got an email saying oops we're going to be late. Maybe May or June. In the meantime a neighbor made me a beautful denim mask (<a href="http://scripting.com/2020/03/30.html#a143558">see below</a>) which I will wear proudly when I go to town.
		- A story we aren't covering yet
			- I've privately encouraged a few reporter friends to look into what it's like to die from "CV", and report on it. 
			- My imagination says it's very horrible. But maybe it isn't as bad as I imagine and maybe they knock you out for the most painful parts. 
			- I know you can request a DNR, thinking of writing it on my body in Sharpie. But can you also request palliative treatment? 
			- And btw, how are supplies of the palliatives?
			- This is a huge story, and as far as I can see no one is covering it. It would take a lot of courage. 
			- <a href="https://twitter.com/tomwatson/status/1244652098589011976">Tom Watson</a>: "Like with mass shootings or war zones, there's a media pact not to present the battlefield to the public." <a href="https://twitter.com/davewiner/status/1244652248396955651">I respond</a>: "This is different. The people they're reporting to <i>are</i> the battlefield."
		- My new mask
			- Me, with my stylin new mask.
	- March 29
		- Dev work: A few days ago I <a href="http://scripting.com/2020/03/24.html#a204119">asked</a> how to use regex to mash up paths for web requests. In the end I went another way, adding a long-wanted plug-in capability to <a href="https://github.com/scripting/pagePark">PagePark</a>, my labor-of-love Node-based web server. I found a really Nodey way to do it, much better imho than using <a href="https://www.w3schools.com/jsref/jsref_eval.asp">eval</a> or <a href="https://www.w3schools.com/nodejs/ref_vm.asp">vm</a>. I <a href="https://www.w3schools.com/nodejs/nodejs_modules.asp">use</a> <a href="https://nodejs.org/api/modules.html">modules</a>. A lot of people don't know they can be in files, not just distributed through NPM. It's a really nice way to do plug-ins, and it's made something cool possible with Little Outliner. More on that later. In the meantime I've written up the use of modules as PagePark plug-ins in the <a href="https://github.com/scripting/Scripting-News/issues/158#issuecomment-605650163">thread</a> about regex.<i> Still diggin!</i>
		- BTW, here's an <a href="https://gist.github.com/scripting/a676b0da36c13576877a91fc77a34ecb">example</a> of a PagePark plug-in. 
		- This is a <a href="https://www.nytimes.com/2020/03/27/opinion/coronavirus-trump-testing-shortages.html">must-read article</a>. Summary. There won't be enough testing, probably for the rest of the year. Same with ventilators and gear to protect the medical people. What's missing is national leadership, to tell people the truth, let us know what we're needed to do. We can accept that. What is killing us is the constant chaos.  
		- Very interesting <a href="http://scripting.com/images/2020/03/29/visual.png">visual</a> of the progression of the disease.
		- <a href="https://www.goodreads.com/quotes/815997-leadership-consists-of-nothing-but-taking-responsibility-for-everything-that">Dwight Eisenhower</a>: "Leadership consists of nothing but taking responsibility for everything that goes wrong and giving your subordinates credit for everything that goes well."
		- I'm buying stuff on Amazon that's scheduled to be delivered in June. I want to see if the world will still be here then. I can smile if the packages arrive. Oh I guess we made it, I'll snicker to myself loudly.
		- On MSNBC they're talking about all the horrendous shit Trump did at the briefing where no news was made except what a <a href="https://www.urbandictionary.com/define.php?term=POS">POS</a> he is. Come on. This is too easy and a waste of good news people. Trump being an asshole is not news. Just. Stop.
		- I must use this <a href="https://twitter.com/DeaniesSeafood/status/1244283202593792000/photo/1">huge plate of crawfish</a> as my header image. 
		- People who are worried, now, if Biden is electable. An analogy. You're married to a crazy man. He's got a gas can and matches. He's soaked your kids in gasoline, and is ready to light them up. You're thinking about your next husband. You're crazy.
		- I bet Google knows where the hot spots are.
		- I always feel better when the sun rises. 🌞
		- The companies didn’t need bailouts. Take United Airlines for example. They would have gone bankrupt, their assets sold to pay creditors. There would still be a United Airlines. The planes would still fly. The shareholders would have lost everything. Owning stock is risky, or it should be -- especially when you don't save for a rainy day as United didn't. Same old shit. Upside is private. Downside is socialist. We need real health care, people need food, a place to live, a job. We had the opportunity now to ensure all that. We’re trying to prop up an old obsolete system. People are left to <a href="https://www.vox.com/policy-and-politics/2020/3/27/21197279/coronavirus-us-unemployment-health-insurance">fend</a> for themselves, but stockholders are made whole.
		- Think about ventilators
			- Think about ventilators.
			- Suppose you catch the virus today.
			- In two weeks you're so sick you can't breathe.
			- You need a ventilator.
			- The <a href="https://en.wikipedia.org/wiki/Emergency_medical_technician">EMT</a> driver won't take you to the hospital because there is no ventilator for you.
			- It's like planning ahead for <a href="https://www.urbandictionary.com/define.php?term=TP">TP</a> but this matters more. 
		- Why hibernate?
			- Two reasons:
				- Increase your chance of survival when you get the virus.
				- Slow the rate of transmission of the virus.
			- One reason for you, another for everyone else. 
			- Scientists are working feverishly on treatments and a vaccine. The latter will prevent you from getting infected, but it's a long way off. But treatments could come about any day. The longer you hold on, the more likely you will survive. 
			- If everyone stayed in, the transmission of the virus would almost halt. You could still get it from someone you live with. But that's it. 
			- But we can't be perfect. We need doctors, food, electric, internet, etc. So the best we can do is slow the rate. The slower it gets, the more time we give the scientists to find a treatment or vaccine. And the better the chance you survive.
	- March 28
		- <a href="https://twitter.com/MemoMakanika/status/1238398794955399168">This video</a> from Saudi Arabia demonstrates how CV spreads in the most memorable way I've seen. 
		- Google, Apple, Facebook all know where people are moving around and where they’re locked down. People in pre-CV America would have freaked if they made the data public, in aggregate. Personally I’d love to see it.
		- Those of us who are locked down should know that our lockdown doesn't really begin until every state in the country does it.
		- This time thanks to Trump the entire country is ground zero.
		- My friend Om Malik, one of the original bloggers and now a <a href="https://en.wikipedia.org/wiki/Venture_capital">VC</a>, has started <a href="http://omshow.libsyn.com/rss">a podcast</a>, because what else does he have to do. This is a silver lining to the pandemic. All kinds of <a href="https://www.dictionary.com/e/slang/og/">OG</a> bloggers are dusting off their websites and getting back to work. 
		- We're updating the <a href="http://scripting.com/cuomo/rss.xml">Cuomo podcast</a>, still have to submit it to various podcast aggregators, and "Woodstock Today" is catching on in the community. 
		- We are now clawing our way up the other side of the abyss. Making features for the CV epoch. Wheee! :boom:
		- What viral means
			- I heard someone parrot what the president said about how car accidents kill 65K people a year, yet we don't shut down the car industry. So why do we all have to hibernate in isolation while the scientists find a treatment or a vaccine for this killer disease, Covid-19. I suppose it's good to explain, one time, in one place, why a virus is different from a car accident, using Twitter as an example. 
			- Most things I post on Twitter are not viral. One or two people may RT it, and that's it. Once in a while I post something does go viral. That means a few people RT to people who then RT it to people who then RT it, etc. Sooner or later 100K people have seen my stupid little tweet. Covid-19 is like that. If you have it, and you don't isolate, you will give it to 3 other people, and they will give it to 3 more people, and so on. Very quickly a million people have it. It goes viral. I'm sure Trump has used that word perhaps without really understanding what it means. 
			- Now why is that a problem? We'll answer that in the next lesson. 
		- Instant updates
			- I've gotten a few requests from people who get the <a href="http://scripting.com/email/">nightly email</a> who want more frequent updates to the <a href="http://scripting.com/?tab=blog">main blog</a> and the <a href="http://scripting.com/?tab=links">linkblog</a>. There are feeds for both. If you follow them in an RSS reader, you will get the items as they are posted, throughout the day.
			- Here are the feeds:
				- <a href="http://scripting.com/rss.xml">http://scripting.com/rss.xml</a>
				- <a href="http://radio3.io/users/davewiner/rss.xml">http://radio3.io/users/davewiner/rss.xml</a>
	- March 27
		- This week's <a href="https://radioopensource.org/profits-or-people/">Radio Open Source</a> is worth a listen. The economics of Coronavirus. They breezed by a huge issue. Millions of Americans without health insurance, no savings, no job, sick, homeless, hungry, plus guns. The <a href="http://scripting.com/2020/03/21.html#a011845">ticking time bomb</a> I wrote about briefly on March 21. The so-called stimulus Congress passed, what a joke, does nothing to address this. I would much preferred see the $2 trillion give everyone the health care they need, keep us all fed, and reboot the economy around serving the people of the country. The UK did this, by guaranteeing 80% of people's salaries for the duration. They already have a national health care system. We are headed for a big crash. Congress didn't deal with it. 
		- I think it's clear now that if SXSW had gone on <a href="https://www.sxsw.com/2020-event-update/?_ga=2.8584572.819356914.1585317263-1624801780.1585317263">as scheduled</a>, Austin would now be a hot spot for the virus, like New Orleans or New York.
		- I don't feel good about this. I was glad to hear Boris Johnson got the CV, not because I hold anything against him, but if he can get it so can Trump. And I think that would be good for Americans who are scared out of our minds about this disease esp because our president is not.
		- It helps to remember we are an occupied country. Vichy America. The person at the podium is our <a href="https://en.wikipedia.org/wiki/Philippe_P%C3%A9tain">Marshal Pétain</a>. 
		- Meta-chaos
			- There's chaos and there's chaos about the chaos.
			- Reduce the chaos until what we're doing is as smart as possible, to reduce death, and hasten the time we can resume living.
			- The way we're living now is not sustainable, we have to stay focused and not give in to the circus.
	- March 26
		- Here's a <a href="http://this.how/cuomo/">howto</a> for the Cuomo daily podcast. 
		- BTW, for techies, here's a look at the <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/cuomo/rss.xml">actual XML</a> of the feed. Browsers work hard to hide this from us, but it's interesting even if you don't know what all the elements do. 
		- I wonder how much more effective the lockdown would be if we all had good supplies of disinfectant. I have none. It's been two weeks. Why is there such a lag in producing hand sanitizers and wipes?
		- If our country is to have strong national borders, we need a uniform lockdown policy across the whole country. Or else we have to form federations of states with identical policies. This is starting to happen in the northeast, btw.
		- If <a href="https://www.salon.com/2020/03/25/glenn-beck-tells-older-americans-to-get-back-to-work-id-rather-die-than-kill-the-country/">Glenn Beck</a> is so ready to die, he should kill himself, or shut up and let the dying speak for themselves to the extent they can. 
		- Imagine there’s a fire burning in your apartment building. Your apartment is engulfed in flame. The president says it’s time to go home, sends the fire department away. Back to work!
		- Another analogy. General Patton is leading us to war with a dangerous enemy. He gives us an inspiring speech. Then he changes his mind and surrenders.
		- Trump is suing to get <a href="https://www.youtube.com/watch?v=bkMwvmJLnc0">this</a> taken off the TV. I don't know why. It's all about Trump. I thought he liked the attention. 
		- I guess Trump's lawyers never heard of the <a href="https://en.wikipedia.org/wiki/Streisand_effect">Streisand Effect</a>. 
		- Another silver lining. We're finding out which countries have the best health care systems.
		- I'm looking into how to submit a podcast to Apple, and was surprised that their <a href="http://scripting.com/images/2020/03/26/feedRequirements.png">feed requirements</a> are perfectly reasonable. I was expecting horrors.
	- March 25
		- <a href="http://scripting.com/cuomo/rss.xml">Podcast feed</a> for Cuomo daily briefing. Thanks to <a href="https://www.linkedin.com/in/rbrianbluestein/">Richard Bluestein</a> for doing the conversion to MP3. We now have two episodes. Questions or comments <a href="https://github.com/scripting/Scripting-News/issues/159">here</a>.  
		- I have a friend whose birthday is today. This is what I wrote on her timeline. "Not much chance of a <i>happy</i> birthday this year, so I wish you some happiness today, maybe for a few moments before the sense of dread takes over again. This is what passes for birthday greetings in 2020."
		- <a href="https://twitter.com/thehill/status/1242843937628438539">People wait</a> in long line at Elmhurst Hospital in Queens.
		- Someone should ask Trump what kind of country would we have with no health care because all the doctors are dead. Of course when it happens he’ll say “no one could have foreseen..” The US will beg first world countries to send us doctors. 
		- I just realized local news is a lot more relevant now. When Gov Cuomo speaks, I listen carefully now.
		- The UK is getting its act together, after a bad start, meanwhile in the United States we know what to do, but can’t get our president to stop sulking. If he wants everyone to get back to work, he should set the example. Quit crying and do your job or get out of the way.
		- I find <a href="https://twitter.com/mark_lundin/status/1242546072238673924/video/1">this</a> mesmerizing. 
	- March 24
		- <a href="http://scripting.com/2020/03/24/cuomoMarch24.mp3">Audio</a> of Gov Cuomo's press conference for today. My next project is to figure out how to flow this through an RSS feed so it can be a podcast. <a href="https://www.linkedin.com/in/rbrianbluestein/">Richard Bluestein</a> did the MP3. More tomorrow. 
		- Let Trump ride on the NYC subway for a couple of hours every day and see <a href="https://www.businessinsider.com/coronavirus-trump-urges-economic-restrart-early-as-next-week-2020-3">how he feels</a> then. Turning on the economy in NYC, which is <a href="https://www.washingtonpost.com/politics/before-trump-called-for-reevaluating-lockdowns-they-shuttered-six-of-his-top-earning-clubs-and-resorts/2020/03/23/88780374-6d38-11ea-aa80-c2470c6b2034_story.html#click=https://t.co/KdxodfguO5">probably</a> <a href="https://www.nytimes.com/2020/03/20/business/trump-businesses-coronavirus.html">what he cares about</a>, means cramming millions of people into  virus-infested subway cars each for an hour or two every day. If Trump wants to ride with them, well I'd be impressed, and would also ask Mike Pence to be ready to assume the presidency. Trump may have forgotten that at age 73, he's in the <a href="https://www.washingtonpost.com/opinions/2020/03/24/viral-on-air-plea-captures-an-essential-truth-about-trump/">expendable class</a> according to his Republican (supposed) friends. Make sure your will is current Mr President. 
		- <a href="https://github.com/scripting/Scripting-News/issues/158">Braintrust query</a>: I grok regex, but I have a mental block against working in it. It's weird because I used it all the time when I was a grad student, but after programming on PCs and Macs, I became regex-phobic.
		- I'm <a href="https://twitter.com/davewiner/status/1242557388516806656">looking</a> for volunteers to produce MP3s every day after <a href="https://www.c-span.org/person/?andrewcuomo">Gov Cuomo's talks</a>. I want to have it be a podcast feed. I can do all the RSS work. 
		- Don't waste time on Trump's idiotic idea. He just wants to own a news cycle. He remembers what that was like. He's a <a href="http://this.how/trolls/">troll</a>, now and forever, even with our lives. Don't take the bait.
		- <a href="https://www.brainyquote.com/quotes/george_s_patton_102496">George Patton</a>: "The object of war is not to die for your country but to make the other bastard die for his."
		- Pelosi, make a condition of the stimulus that Trump resign.
		- Why America is so bad at Covid-19. It’s our attitude, there are never consequences for Americans. That’s for other people. We have wars and tax cuts at the same time. We don’t see the coffins of our returning dead. Nothing happens to us. We can’t imagine things not being normal. The generation that grew up during World War II, who experienced the Holocaust, the advent of nuclear weapons, that generation is gone now. Everyone alive today, not just boomers, have been spoiled. We're all coming awake now from a life-long trance. For the first time in our lives, we have to deal with the mortality of our country. Don't cry for America. It's time to grow up, again. Couldn't have a more perfect person as president. It's easy to see he is our past. Now how do we move beyond that. 
		- My parents were born in 1929 (father) and 1932 (mother), in Bucharest and Prague. They fled from the Nazis as children with their parents, to NYC. Their lives were formed in chaos.
		- I always wondered <a href="https://twitter.com/davewiner/status/1242438120580186113">why</a> bike delivery people in NYC put plastic bags over the handles of their bikes. Today I <a href="https://twitter.com/polly/status/1242438758001258496">found out</a>. "They keep your hands warm, particularly when you're biking really fast and the wind is bad. Can still access the gears and brakes this way, which you couldn't do easily in gloves."
		- Went to a local supermarket this morning. It was empty of people. The shelves were pretty well stocked. I went because a friend told me there were paper products. I got four rolls of paper towels. And two packages of bacon (why not, who knows when we'll see it again). 
		- Note to people who manage websites that deliver timely and vital information about the virus. Think clearly about the user experience. Some sites have popups and cluttered templates, even paywalls. If technical people want to do something to help, i.e. the people who read this blog, try to simplify and ease access to your sites. 
		- My friend <a href="https://twitter.com/enochchoi">Enoch Choi</a> on the front line. 
	- March 23
		- Nothing like <a href="https://www.verywellmind.com/sense-of-impending-doom-symptom-4129656">impending doom</a> to focus the mind. :boom: 
		- I watched the finale of <a href="https://en.wikipedia.org/wiki/The_Expanse_(TV_series)#Season_3">season 3 </a>of The Expanse without realizing it was the last <a href="https://en.wikipedia.org/wiki/List_of_The_Expanse_episodes#Season_3_(2018)">episode</a> before Amazon took it over. It was masterful. I'm going to have to watch it again. BTW, my favorite character is <a href="https://www.reddit.com/r/TheExpanse/comments/8t4czs/drummerwhat_a_character/">Drummer</a>. I am a Belter, for sure. 
		- People who make Skype should watch cable news. What's wrong? Why do so many of the remote experts look and sound so shitty. Come on you all can do better! :rocket:
		- I read in an <a href="https://www.wired.com/story/phones-track-spread-covid19-good-idea/">article</a> about China and South Korea how they relied on location data from people's phones to know where contagious people had been. <a href="http://scripting.com/2020/03/20.html#a141448">NakedJen</a> had to install one of these apps before they'd let her enter the country, just to switch planes. I'm guessing that in the US we can't use that data even though companies like Google, Apple and Facebook have it. The context has changed, and now trillions of dollars are at stake, the existence of our economy, our lives (hope that's not too dramatic). Perhaps it's time to re-think our assumptions. 
		- <a href="https://twitter.com/amyklobuchar/status/1242097981991653379">Amy Klobuchar's</a> husband has CV.
		- <a href="https://twitter.com/FullFrontalSamB/status/1242195453527154689">Susan Collins</a> believes that Coronavirus has learned its lesson.
		- I try to imagine living in NYC as I did for 8 years, riding in the elevator up to your apartment and thinking about all the people you're riding up with. Even in normal times this can be disturbing. ;-)
		- <a href="https://twitter.com/davewiner/status/1242106761223516160">Do we know</a> that people who have had the virus are immune?
		- I try to imagine living in Manhattan as I did for 8 years, riding in the elevator up to your apartment and thinking about all the people you're riding up with. Even in normal times this can be disturbing. ;-) 
		- I like to question assumptions, in that I find things worth doing. I've always been that way. For a long time I thought everyone did it.
		- If we're going to survive this pandemic, Trump is going to have to step aside. How to make that happen?
		- I have a rule. No online debates. Here's a reason why. Even with friends there could be a basic disconnect early in the discussion. If it's done in voice, you can hear that. In text you might not hear it until you've gone back four or five times. Feelings get hurt.
		- A <a href="https://twitter.com/AndrewBloch/status/1241324316358332416">chimpanzee</a> using Instagram. 
	- March 22
		- A wonderful and <a href="https://nymag.com/intelligencer/amp/2020/03/the-story-of-a-coronavirus-infection.html">literate story</a> of how CV infects your body. No spoilers, I won't say how the story ends. It's really well-written, the title doesn't do it justice. 
		- <a href="https://www.axios.com/rand-paul-coronavirus-847b3df1-92bc-4ee6-833b-952d16f3ee3f.html">Rand Paul</a> getting CV is going to rock the government.
		- I think we're all slowly coming to the realization that none of us have the imagination to cope with what's coming. It's a slow motion disaster of unprecedented proportion. 
		- I <a href="http://scripting.com/2005/12/13.html">went</a> to <a href="http://scripting.com/2005/12/14.html">New</a> <a href="http://scripting.com/2005/12/15.html">Orleans</a> in <a href="http://scripting.com/2005/12.html">December 2005</a> after Katrina to see what it was like. To see what an American city was like after it was half-destroyed. What I learned would inform the people making financial decisions in DC. They're not understanding what's going to be left when this is done. Saving corporations is not a possibility. We should be focused on surviving as people and a country. In Katrina people had somewhere to evacuate to. This time we don't. On the other hand nothing we made need be destroyed. It should mostly be here when we emerge. I suppose pirates could hijack airplanes, or occupy skyscrapers in Manhattan. A question I learned to ask from New Orleans. Who's going to supply the supply chain? They had trouble rebuilding because there was no place for the builders to sleep, and no food for them to eat, and no one to prepare it because they had nowhere to live. We need really smart people there thinking and planning. Yet this is the fog of war. We have very little data on the enemy. 
		- I've been calling it CV, not Coronavirus or whatever.
		- <a href="https://twitter.com/GiftedTawk/status/1241470273741824005">Teachers parade</a> through school neighborhoods so the students could see them.
		- How are news orgs going to keep going without advertising?
		- New header <a href="http://scripting.com/images/2020/03/22/woods.png">image</a>, a country road between winter and spring. I hated the <a href="http://scripting.com/images/2020/03/15/1918OutdoorHospital.png">previous</a> image. Brrr.
		- I wasn't alive during <a href="https://en.wikipedia.org/wiki/Fireside_chats">FDR's fireside chats</a>, but I imagine they were <a href="https://www.c-span.org/video/?298210-1/president-franklin-roosevelts-fireside-chat">something</a> like what Gov Cuomo is doing now.
		- I’m watching The Expanse slowly. They’re fighting something unknown and alien. I watch it because the characters are so compelling.
		- <a href="https://www.facebook.com/dave.winer.12/posts/699186266955448">2018</a>: Facebook is a system for figuring out what kind of bullshit you like and then giving it to you.
		- The opportunity for science fiction writers to build in the new reality. Start from where we are now, and imagine a path for reality to take that is interesting to the analytical mind. Problem is once you start writing, the baseline will have moved down a different path. Still could be interesting. 
		- These <a href="https://twitter.com/KilledByAPixel/status/1241803332794097666">two</a> <a href="https://twitter.com/GillEllisYoung1/status/1241803328968888321">tweets</a> were one above the other in my timeline.
		- I gather Trump is having another press conference. We should all have blood pressure monitors hooked up to the net, with a realtime display. You could tell a lot.
		- Using cannabis during Covid-19
			- <i>This is a copy of a Michael Backes <a href="https://www.facebook.com/michael.backes.180/posts/2442563802721764">post</a> on Facebook, yesterday.</i>
			- Michael Backes studies and writes about cannabis. Here's his best advice about using it "during the 2020 Covid-19 World Tour." 
				- Moderation - Cannabis interacts with your body's endocannabinoid system, which the body uses to regulate physiological function- from immune response to memory. Regular high-dose use reduces the density of your endocannabinoid receptors. That's a really poor choice at the moment. Three days of abstinence can restore a significant part of that lost receptor density. Good time to consider a short break. Trust me, cannabis will be there when you get back.
				- Find your MED - MED stands for minimum effective dose. There are still folks that think that huge doses of cannabis are a demonstration of their expertise. Sorry, Cheech. The cool folks know that massive doses quickly lead to the disappearance of the subtlest and most interesting effects of cannabis. Find the smallest MED that moves your needle and stick with it.
				- Freeze your stash - Cannabis is more than its THC or CBD content. Cannabis flower is perishable and room temperatures degrade its essential oil content. Freeze and just take what you're going to consume. Make sure the freezer container is airtight (I recommend mason jars, as they come in many sizes and are non-reactive with cannabis.)
				- Inhale with care - Cannabis smoke and cannabis concentrates can irritate your lungs and suppress your pulmonary immune function and response. Consider mixing it up by taking cannabis orally or switching to a flower vaporizer. An occasional puff is okay, but only if your lungs are in good shape and you're symptom free. Don't inhale if you have symptoms or have been exposed. Period.
	- March 21
		- I had to run errands into Kingston just now and heard <a href="https://en.wikipedia.org/wiki/Andrew_Cuomo">Gov Cuomo's</a> <a href="https://www.youtube.com/watch?v=l3h9Z4u4icM">press conference</a>. He is masterful. I feel like there's someone in charge who knows what to do and is doing it. I feel lucky to live in New York State, wish we had something approaching that kind of leadership in Washington.
		- Now I wish there were a podcast feed for his press conferences so I could listen to them asynchronously. I won't always be able to listen when they're happening. Maybe this is something WNYC or the NY Times could do? Betaworks?
		- Rachel Maddow cried at the end of her show last night. I assume for her colleague, a man about my age, who died of CV. But it meant something personal to each of us. I saw it as her crying for the end of America. Reagan was right, government is the problem. But not the way Reagan meant it. I don't know what goes through the minds of the Republicans in Washington, I can't find a bottom to their depravity. It's possible they're masochists. They feel they, and we, deserve to die.
		- There’s a ticking time bomb. The people who don’t have health insurance and don’t have savings or a job and aren’t part of the stimulus, these people are going to be broke, hungry, homeless and sick. And on CNN they’re talking about Trump's racist tweets.
		- Most times we can convince ourselves that in the immediate future:  1. We will remain alive and well.  2. Our friends and family will too.  What's so unsettling about the moment: Now we know that either, we will be sick or die, or some of our friends and family will. I think that's why we are all reaching out to our friends now, and re-establishing the connection, because we want to hold them close so they don't leave us. It's a good thing. In this week's <a href="https://radioopensource.org/springtime-in-the-plague-year/">Radio Open Source</a>, at the end, Andrew Sullivan talks about that re AIDS, which he experienced as a gay man in the 80s and 90s.  I experienced it as a man with a fatally sick heart in the 00s. After being fixed, I felt like I wanted to die. Weird, right? But real. We call the first feeling "normal."  Over time, this will become normal.  Then at some point, if we survive, a vaccine or treatment will come about.   And we'll go through the unsettled feeling again.
		- Trump's depravity has no limit.
		- From NYC
			- <i>Via email from a young friend who lives in NYC, a medical researcher.</i>
			- Yesterday was a spectacularly beautiful spring day. I went out biking in the park in the afternoon. Others had the same idea, and it was so crowded it quickly became almost impossible to maintain the 6 foot distance even while riding a bike. The fact is, NYC is just too crowded to make this work well -- social distancing is just not what this city is about. I'm not seeing the kind of distancing you'd hope to see out here; New York has always felt like a human zoo to me, and it still does.
			- My friend and former co-worker's wife is a doctor, just finishing her hospital residency, and they're preparing for all-out war. Constructing tent hospitals outside all the major hospitals to deal with the expected overflow. 5000 confirmed cases now means there were tens of thousands infected a week ago, by the end of this week we will have tens of thousands confirmed, and likely over 100K in less than a month. I am fully expecting NYC to be not only the worst-hit city in the U.S., but possibly the entire world. 
			- Maybe I should have listened to that natural instinct I felt when I first visited this place -- too many people, get out -- but it's too late now, I'm riding this out right here. 
	- March 20
		- Podcast: <a href="http://scripting.com/2020/03/20/rememberHowWeLived.m4a">Remember how we lived</a>. An 18-minute story about the world we came from and questions about the one we'll create. 
		- If we get out of this alive, let's all work together, and respect each other, listen, and not judge people before getting to know them. 
		- Stewart Brand: <a href="https://twitter.com/stewartbrand/status/1241188560419446784">Is it worth going to the ICU?</a>
		- Based on the <a href="https://healthweather.us/">Kinsa map</a> it looks like Florida is the next hot spot for Covid19.
		- I wish the <a href="https://www.cnn.com/2020/03/20/politics/bloomberg-campaign-money-dnc/index.html">Bloomberg campaign organization</a> had stayed in it. They were sharp, irreverent, and the first effective pushback on Trump since he took office. Now the money goes to the DNC, to disappear into a void of nothingness.
		- Following the <a href="http://scripting.com/2020/03/19.html#a141211">travels</a> of NakedJen. She made it to Seoul. I had a voice chat with her just after midnight Eastern. I wanted to discuss a possible twist to her travels. In Seoul, she has a good network through the University of Utah. Of course it's one of the few places where the virus is being fought effectively, the US is a somewhere between a shitshow and a clusterfuck. I wanted to suggested she skip the return to the US and just stay there for the duration. Of course she was thinking about that. She had decided to let fate determine the outcome. If her flight to Seattle wasn't canceled she would return. If not, she'd stay in Seoul, and not try to return through some other hub like Dubai. It's pretty clear now that there aren't going to be many, if any, more flights to the US from South Korea, or anywhere for that matter. At about 5AM, I got a <a href="http://scripting.com/images/2020/03/20/jenplane.png">text</a> saying she was on the plane. A few minutes later it <a href="https://flightaware.com/live/flight/DAL198">took off</a>. I'm happy, I'd like to see her again, and I'm not sure that could happen if she had stayed there. Also, I'm not sure if Jen is better off here, but we are. :boom:
		- Update: 11PM Eastern -- NakedJen is in SLC. She will have many stories to tell. 
		- Reuters has a <a href="https://twitter.com/tomgara/status/1241007641230544898">live stream</a> of Times Square. 
		- I saw a video of Trump listening to Pence speak on a conference call. People said he looked bored, but that's not what I saw. I saw he resented having to listen to Pence. What was Pence talking about? Saving our lives. Yeah. That's not important.
		- Trump has to go, now, or we die.
	- March 19
		- I got a <a href="http://scripting.com/images/2020/03/19/thermometer.png">thermometer</a>. My temperature is 98.1.
		- Renting cruise ships seems like a good idea. Park them in the Hudson River, and use them for isolation. They have all the systems you need to keep people going. Or better yet instead of bailing out the cruise ship lines, buy the boats. We're going to need them for a long time. And will want to modify them. 
		- In my experience it’s times like these when real progress is made in tech.
		- If you're a longtime reader of my blog, you know one of my best friends is <a href="https://duckduckgo.com/?q=site%3Ascripting.com+nakedjen&t=h_&ia=web">NakedJen</a> of Salt Lake City and Santa Cruz. Deadhead. First of her name. Dog person. Movie lover. Advocate for beets. "The first faerie off the ferry." <a href="http://scripting.com/davenet/1995/05/04/thecutelittlenut.html">The cute little nut</a>. <a href="http://scripting.com/2013/11/16/nakedjensBlissBag">That's</a> <a href="http://photos.scripting.com/2012/december/nakedjen2012">Jen</a>. Anyway, the CLN decided just as all hell was about to break loose in SLC to go to Bali. I watched it happen. I didn't say anything because I was sure lots of people were saying it. If this is what was meant to be, so be it. Anyway, as the shit began to hit the fan here, after Trump closed us off from Europe, I got word that Jen is coming home. Good. It hasn't been easy. Few flights, and lots of cancellations. But -- her flight from Bali to Seoul is at 1AM, which is 1PM Eastern. From there, I'm guessing she goes to Los Angeles and then to Salt Lake. I'm sure Jen will be Jen where ever she is. If she has to weather this out in Bali, or Seoul, or even LA. But we really do want her back in the good old US of A. 
		- Jen <a href="https://flightaware.com/live/flight/KAL630">is</a> now <a href="http://scripting.com/images/2020/03/19/jenOnPlane.png">on the plane</a>. Reminds me of <a href="https://www.youtube.com/watch?v=rEWaqUVac3M">this scene</a> in Casablanca. 
		- What comes next
			- I've been pretty frank here as the crisis developed in <a href="http://scripting.com/2020/02/">February</a> and <a href="http://scripting.com/2020/03/11/142306.html?title=ourPrecariousPosition">early March</a>, and we now are much further along, and there's more bad news coming. I'm inferring this from what I've heard about what has already happened in north Italy, and what we know is happening here, from doctors, and public info. You can find links to all my sources on the <a href="http://scripting.com/">home page</a> of Scripting News. 
				- Health care workers need protective gear, asap. This is a higher priority than testing, believe it or not. Here's why. A lot of health care workers in the US either have "Covid-19" or are going to get it soon. When they get it a decision has to be made whether to isolate or not. Of course they should be isolated, not just for our protection, but to get them the rest and care they need. On the other hand, if they are isolated they can't care for non-medical people who are infected. So, there's an exponential curve operating here. Over time, all health care workers will have to be isolated, or infect new people, or get very sick and possibly die. 
				- <i>Our health care system will fail.</i> That means people who get the virus won't get help. You'll stay at home, and recover if that was meant to be, or not. It's too late to stop this from happening. 
				- The supply chain for food and other essentials is shaky. I've learned a bit about that in putting together the "Woodstock Today" page. The local retailers talk about the supply chain, openly, on the record. Look at <a href="http://woodstock.today/#1584550615000">Cub Market</a> and <a href="http://woodstock.today/#1584558640000">Woodstock Hardware</a> for examples. 
				- The best system we have, it seems to me, is Amazon plus UPS/Fedex. But there are real problems in that system, inside Amazon with infections at warehouses and in the delivery services. I have no idea about Amazon's supply side. However, some of the items I have ordered recently from Amazon have been delivered. I have a thermometer coming all by itself from China. I think however it will be returned by UPS at the very last step in the delivery chain. I hope not. I'd really like to take my own temperature! :rocket:
				- When I realized how essential Amazon had become I posted <a href="http://scripting.com/2020/03/17.html#a182847">this</a> on the home page.  <i>Amazon has become the indispensible company. </i>It's a huge problem that the president has a problem speaking with Bezos. This connection is too valuable to be left idle.  
				- The <a href="https://www.nytimes.com/column/the-daily">Daily podcast</a> has also become indispensible. They are really rising to the occasion. 
				- BTW, for people who think the incompetence here is unprecedented, it is not. Two examples in my own lifetime. 1. The AIDS epidemic. It took years before the US government recognized there was a problem and started fighting the virus. 2. Puerto Rico's hurricane and earthquake. We let the island which is part of the United States die. No help at all. 
				- If we want a competent government, we have to make it so. A lot of us have managed not to suffer for all the crazy shit the US government has been doing for decades. But now it's come home to everyone. This gives us a chance to turn in a new direction. I hope we do. 
				- Finally, the trillion dollar stimulus must go to shoring up the hospitals and food supply chain, and making sure people have enough money for basics. That way we can assure that the part of the economy we need to survive will continue to exist. The rest of it, airlines, cruise ships, hotels, they will be repurposed for other uses. For scrap perhaps, or to house the homeless or sick. People have no idea what a months-long shutdown of the economy will do. We will be different people when and if we emerge. 
	- March 18
		- My <a href="http://woodstock.today/">list of local businesses</a> is coming together. Then I had another idea, a barter system. For example, I have a lot of toilet paper. I need a thermometer, hand sanitizer and wipes. I would trade.
		- Speaking of thermometers, I really want a <a href="https://www.kinsahealth.co/products/">Kinsa</a>. Heard about it on Maddow this evening, what a great idea, a network of thermometers. Can they spot outbreaks of Coronavirus? You can <a href="https://www.nytimes.com/2020/03/18/health/coronavirus-fever-thermometers.html">read</a> about it in the NYT. 
		- <a href="https://en.wikipedia.org/wiki/Horn_%26_Hardart">Horn & Hardart</a> automats would be a perfect way to serve takeout food. No human-human contact. They were supposed to be the future when I was a kid, but they went the way of <a href="https://en.wikipedia.org/wiki/Chock_full_o%27Nuts">Chock Full o'Nuts</a> coffee shops in NYC.
		- <a href="https://twitter.com/davewiner/status/1240313617280569349">Maybe part</a> of the trillion dollar stimulus could given to news orgs to temporarily take down their paywalls. 
		- The trillion dollar stimulus should go to shoring up the hospitals and food supply chain, and making sure people have enough money for basics. We should not be bailing out the travel industry. By the time this is over there will not be a travel industry. Money spent there is as foolish as spending money on wars in Iraq and Afghanistan. Don't piss this away. We need help.
		- I ordered a <a href="http://scripting.com/images/2020/03/18/thermometer.png">thermometer</a> on Amazon for delivery sometime in April. They sent an email that it just shipped and it'll be here by March 23. How could that be? Are they sending it via bicycle? Well, turns out it's coming from China. We should be nice to China. We need them. They're going to help me keep track of my temperature. Maybe alleviate a little of my anxiety. Now the question is will <a href="https://www.google.com/search?q=site%3Ascripting.com+ups">UPS</a> deliver it to me, or automatically return it without trying. Something they've been doing for a while now. 
		- Speaking of anxiety, I've been relatively anxiety-free since I got out on my own in my early 20s. All through my childhood I had terrible anxiety, which manifested in an unhappy digestive system. Always had a stomach ache, trouble controlling my bowels. Upset. I was always upset. I understood why totally, my parents created a very tense atmosphere, and after many years of therapy and self-examination I understood why they were so tense. But a few years after I established myself outside their house the digestive problems magically went away. They're back. Started just after watching Trump's Oval Office speech last Wednesday. I was already hunkered down. I understood what was coming. What was clear from his speech that he didn't. He was still throwing out racist bullshit. From the fucking Oval Office. After that, I realized fully how fucked we are. There have been moments of relaxation. But they're few and far between now. 
		- On <a href="http://scripting.com/2020/03/05.html#a211925">March 5</a>, <a href="http://scripting.com/urgent/2020/03/05.html">this</a> is what was on the home page here. 
		- Five jobs I've had
			- This is a meme.
				- Sales engineer. 
				- Software lead developer.
				- Startup CEO. 
				- Contributing editor.
				- Research fellow.
	- March 17
		- <a href="https://blog.aboutamazon.com/company-news/amazons-actions-to-help-employees-communities-and-customers-affected-by-covid-19/">Amazon</a> has become the indispensible company.
		- <a href="https://www.cbc.ca/radio/q/thursday-feb-16-2017-paying-tribute-to-stuart-mclean-1.3982583/how-podcasting-became-the-medium-for-the-people-1.3983769">CBC Radio</a>: How a chance meeting between a software developer and a longtime NPR host led to podcasting as we know it today.
		- <a href="https://twitter.com/FaceTheNation/status/1239990078115655682">Anthony Fauci</a> is a master of communication and math. 
		- Highly recommend today's <a href="https://www.nytimes.com/2020/03/17/podcasts/the-daily/italy-coronavirus.html">Daily podcast</a> -- an interview with a doctor in Bergamo, Italy. They give an idea of where our hospitals will be in two weeks if we don't lock down immediately. It should be a country-wide thing now. Every day we delay makes it that much worse. 
		- I met a driver for a big delivery company that does a lot of work for Amazon. He said they can't get gloves or hand cleaners. They know the boxes carry the virus for up to a day. Can't get time off to take care of the kids, so the grandmother is. The union is involved. Sounds like the whole thing is about to be shut down, which of course should not be allowed to happen. We need direct-to-home delivery. It's hugely important. If we had a government this would be high on the priority list. 
		- Airlines and cruise ships should be allowed to die.
		- Additions to the <a href="http://this.how/virus/who.opml">list of notables</a> with Coronavirus.
		- “We don’t have a clear exit strategy,” <a href="https://www.nytimes.com/2020/03/16/us/coronavirus-fatality-rate-white-house.html">Dr. Ferguson said</a> of the recommended measures. “We’re going to have to suppress this virus — frankly, indefinitely — until we have a vaccine.”
		- This is an incredible time for reconnecting with old friends. Everyone has time now. No need to schedule a phone talk for three weeks hence. I know a lot of people who know a lot, I’m recalling.
		- Government to-do list
			- Things the government must do, asap.
				- Testing kits deployed.
				- Creating isolation beds. Don't send carriers home.
				- Supply of hand sanitizer, thermometers.
				- Food supply-chain, possible rationing.
				- Monthly stipend to Americans (except rich).
				- Stay in DC.
				- Mitch McConnell quit whining.
				- Trump resign. Pence resign. President Pelosi.
		- Be careful with takeout food
			- I asked a theoretical <a href="https://twitter.com/davewiner/status/1239548652504391680">question</a> on Twitter yesterday.  
				- I have to take a drive today. I like to stop off at a McDonald's and get an Egg McMuffin and a coffee on this drive. The question is -- is this safe? What if someone preparing the food has the virus. 
			- Everyone said it was not safe. Later I thought, wait -- the virus has to enter the lungs. If you eat it, it's harmless, it never makes it to the lungs. I asked a doctor friend. He says: You are wrong. Don't eat it.
				- The virus in the food attaches to receptors on the cells of the back of your throat, like any cold virus, and is taken into those cells, after which you become infected. It spreads to your lungs later. 
			- He continued:
				- If it's super hot, that kills the virus. This is what I've been doing: order food, use gloves to touch the packaging. When you get home, open the package, dump the food out onto a plate, then throw that plate in the oven (or if you can heat on the stove, in a pot), then dump the packaging and wash hands. Packaging more likely to have the virus, but heat the food to almost boiling as well to ensure everything is dead. Hot food only, get a hot coffee and ice it yourself. 
		- Is it Covid19, a cold or the flu?
			- Chart of symptons of Covid19, cold and flu. 
	- March 16
		- They <a href="https://www.youtube.com/watch?v=o_cImRzKXOs&feature=youtu.be">asked Italians</a> to record a message for themselves 10 days ago. It's beautiful, inspiring and tragic all at the same time. Must-watch.
		- I started a <a href="http://this.how/virus/who.opml">list</a> of notables who have the virus.
		- The stock market is saying very clearly -- <a href="https://twitter.com/davewiner/status/1239549209235337216">Trump must resign</a>, now. Please pass this on. Thanks.
		- Someone should make a video game for the iPad (where I play) that simulates a virus infecting the population of Earth. Your job is to keep the most people alive and win re-election for the president (who randomly might be Trump, Obama, Hubert Humphrey or Elizabeth Warren). Or if you prefer, you can crash the civilization, have everyone behave badly, and die horrible deaths. You get to be god, as with SimCity. This might be called SimVirus. I bet someone has already done it. 
		- It looks like <a href="https://twitter.com/irinamow/status/1239493211321561088">South Korea</a> is going back to work. The difference between having a real government and a fake government. 
		- <a href="https://twitter.com/DrRobDavidson/status/1239320628236357633">This is why</a> yesterday's grand announcement of 1.9 million tests wasn't very convincing. They've been bungling every step of the way. So what happens when the end of the week comes and there are still no tests.
		- Driving notes
			- I took a three-hour round-trip drive today. Had a lot of time to think and figured some stuff out.
				- There should be a clear and simple FAQ page that tells us how to increase the odds that we don't get the virus, but at the same time preserves as much of our quality of life as possible. I will start to write this, and check out what I write with doctors and medical researchers to be sure I get it right.
				- Listen to <a href="https://www.nytimes.com/2020/03/16/podcasts/the-daily/coronavirus-recession.html">today's Daily podcast</a>. There is no point trying to stimulate the economy. The economy is going down. A lot of companies are going to fail, or emerge very damaged. It's possible whole industries will disappear. 
				- At the same time, other countries are getting back online after successfully controlling the virus. China, Singapore, South Korea and possibly Vietnam, will be careful to disconnect while the rest of the world tries to get the virus under control. It's hard to reboot a down economy. And the longer it's down the harder it gets. 
				- The last two points combined could mean that if the US takes a long time to eradicate the virus, not only will a lot of people suffer and die, when we emerge from the pandemic we will find we have a wrecked economy, and no way to quickly recover. We may be ceding our status as a rich country. I know that's hard to grasp, but there's more at stake here than health, it's our way of life. Americans generally don't understand why we have an elevated standard of living, why the rest of the world tolerates our lunacy, as it escalates. They may love us now, but they'll forget that love when we are a less than first world country. 
				- New Orleans. Look at how hard it was for that city to get back on its feet, even though it's part of a country that wasn't much affected by Katrina. This time it isn't just one city, it's  the entire western world. 
				- Part of the trip was on the New York State Thruway. Happy to report there were lots of trucks on the highway. Presumably they're supplying the stores that have been depleted by hoarding. 
				- I stopped at three drug stores on the trip. I have three items I need to get: hand sanitizer, a thermometer and acetaminophen. I was only able to get the <a href="https://en.wikipedia.org/wiki/Paracetamol">acetominaphen</a> (aka paracetamol, Tylenol). If you don't have it on hand, you should -- they <a href="https://www.cnn.com/2020/03/16/health/coronavirus-ibuprofen-french-health-minister-scn-intl-scli/index.html">say</a> ibuprofen is not good to treat the symptoms of the virus, it actually seems to <i>help</i> the virus. 
				- The failure of our government to test in the US is going to cost us trillions of dollars and many thousands of lives. It's the most expensive mistake in American history. All the more galling that it was <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">obviously</a> done to cover up for the most <a href="https://www.businessinsider.com/trump-keep-passengers-on-grand-princess-cruise-ship-coronavirus-2020-3">stupid of reasons</a>. 
				- If the Republicans won't get Trump to resign, we really have to consider other means to make it happen. I am out of ideas myself, but I'm thinking about it. You should too. We've waited too long, and every day we wait means we're going to have to dig out of a deeper hole, and we're going to lose a lot of people. 
				- Every store I was in on this trip I had this thought: The virus is here with me. I don't know if that's true, but I believe it is. Thank god you can't get infected by breathing (true, I hope). I washed my hands many times today. :soap:
				- Math is running the world now. Covid19 has always been a possibility. And of course our leader is the least math-savvy person you'll ever come across.
	- March 15
		- The stock market says Trump must go.
		- Two doctors I admire and trust have told me what my mother told me years ago. <a href="https://news.harvard.edu/gazette/story/2017/02/study-confirms-vitamin-d-protects-against-cold-and-flu/">Take Vitamin D</a>. <a href="https://duckduckgo.com/?q=Vitamin+D3">It</a> helps the body fight acute respiratory infection. Also, get outside, <a href="https://daylight.academy/news/coronavirus-and-the-sun/">get sun</a> and exercise. 
		- <a href="https://www.facebook.com/enochchoi/posts/10102337425856651">Enoch Choi</a>: "With Cuomo’s <a href="https://www.nytimes.com/2020/03/15/opinion/andrew-cuomo-coronavirus-trump.html">request</a> for military support, I expect the army to deploy DMAT hospitals to hardest hit areas in coming days, NY, WA, CA. They deployed to Katrina when my dad and I were the first in St Bernard to arrive. Praying for my friends who volunteer in them. The demand outstripped availability there, and I expect the same as what happened then, that churches will serve the vast majority, since Red Cross/NGOs will be outstripped in capacity as well." 
		- <a href="http://scripting.com/images/2020/03/15/1918OutdoorHospital.png">New header image</a>. Part of a <a href="https://www.docsteach.org/documents/document/emergency-hospital-brookline-massachusetts-influenza">photo</a> from the National Archives of an emergency hospital for influenza patients in Brookline, MA. Previous image was a <a href="http://scripting.com/images/2020/01/03/winterMountain.png">snowy mountaintop</a> in the Catskills. 
		- <a href="https://twitter.com/DrJenGunter/status/1239228230403362816">Jennifer Gunter</a>: "When a company doesn’t give their employees sick leave not only are they saying they don’t care about their employees they’re also saying they don’t care about their customers."
		- Coco in San Jose: "I am so grateful for all the <a href="http://scripting.com/images/2020/03/15/cocosMailMan.png">people</a> still delivering the mail and packages and keeping basic services running."
		- Yvonne, a programmer, now working from home: "Hot water with lemon and cayenne in the morning. Staying home and noticing that I haven't watered the plants for a really long time. Vacuuming while waiting for the long queries to run."
		- Proving there is hope for the world, Ted Cruz <a href="https://twitter.com/tedcruz/status/1238957310787170307">tweeted</a> something true, elegant and bi-partisan. I decided to unblock him, but not necessarily permanently.
		- A <a href="http://scripting.com/2020/03/05/aDeadlyVirusIstakingOverTheWorldAndTheUnitedStatesDoesntHaveAGovernment.m4a">ten-minute podcast</a> I recorded nine days ago, but didn't publish. At the end I say why. Even I thought it was crazy, delusional. Since then however the story proved true. It's why I write and record my thoughts. I want to remember the perspective of events before, during and after they happen. Listening to <a href="http://scripting.com/2020/03/11.html#a190333">James Taylor</a> talk about his music, the one thing he doesn't mention in the long list of roles music plays in our lives is that it brings old memories to the surface. Listening to his songs takes me back to high school, young love, and the wild random and erratic ideas I had as a teen. Writing isn't as strong a stimulus as music, but it's what I do. And podcasting too of course. Story-telling. So much has happened in the last nine days, every one of the upcoming nine days is no doubt going to be equally consequential. We're living out the crazy consequences of believing somehow as if by magic it all would take care of itself. To keep my fears at bay, to feel strong and consequential, I keep in mind what Syrio says to Arya to say to Death: <a href="https://www.youtube.com/watch?v=AEhAFgvwS1M">Not today</a>. A new motto! :boom:
	- March 14
		- Another <a href="https://radioopensource.org/contagious-crisis/">must-listen podcast</a> from Chris Lydon. The take-away is that our political system hasn't yet realized that we need to go to single-payer for all, now, if we want to have as good an outcome as Italy, which is to say a very shitty outcome. Ours is on track to be much worse because the uninsured can't enter the system, therefore will continue to infect even people with insurance. We're set suffer here in the US a lot more. There will be a debate tomorrow night, and if Biden isn't tuned into this, Sanders is going to clean his clock. And I suspect Biden isn't. And there's a chance that Sanders isn't thinking clearly either, but I kind of doubt it. Nothing focuses the mind like losing. Action-item: before the debate, Biden should give a speech outlining a Medicare-for-all-now program. Give Sanders proper credit. At the debate he can offer to delegate the implementation of this to Sanders. Create unity right there on the debate stage. The Democrats in Congress are not without power. Trump is crazy to think the only criteria people will care about is the stock market. People who unnecessarily lose friends and relatives to this disease are likely to care about that more. Never waste a good crisis. <i>Now</i> is the time to reform health care in the US. 
		- I bought a spiffy <a href="http://woodstock.today/">domain</a> for my Woodstock Today page. 
		- <a href="http://scripting.com/2016/11/15/willWeSurviveTheRepubs.html">A story from 2008</a>. I was living in Berkeley. During the financial meltdown, I was driving on <a href="https://www.google.com/maps/place/Solano+Ave,+California/@37.8907665,-122.2923499,17z/data=!3m1!4b1!4m5!3m4!1s0x80857935066f30a5:0x74c6bf59ecf6d302!8m2!3d37.8907665!4d-122.2901612">Solano Ave</a> with my friend Tori. I asked if she thought the stores would still be there in a year. I imagined we were headed for the Stone Age, our economy would be based on barter, and a lot of us would die. Kind of the way I feel now. Tori paused and said they would still be there. And they were. 
		- Just tried something funny. I ordered something on Amazon that won't be available till April. A bottle of off-brand <a href="https://www.amazon.com/gp/product/B085G1DCPC/ref=ppx_yo_dt_b_asin_title_o01_s00?ie=UTF8&psc=1">hand sanitizer</a>. $12. Let's see if the world still exists in April. :boom:
		- Ronald Reagan famously asked Mikhail Gorbachev if they could set aside their differences if the world was invaded by aliens. Gorbachev said hell yes. 
		- On NPR this morning, they said almost 50 percent of Americans live paycheck to paycheck. This is going to be a huge problem, shortly.
		- Silver lining. People are searching for <a href="http://scripting.com/liveblog/users/davewiner/2015/12/21/0681.html">meaning</a> in their lives. We're on the cusp of getting there. We need each other. Ads on TV are from a different world, one that is gone now. Meaning is here. Helping each other to survive. Can't get more meaningful than that. 
		- I wish the Washington Post would take down the paywall on <a href="https://www.washingtonpost.com/opinions/2020/03/13/coronavirus-is-an-indictment-our-way-life/">this piece</a>. Everyone should read it.
		- On <a href="http://scripting.com/2020/03/12.html#a174026">Thursday</a> I recommended listening to the Daily podcast. They had an interview with NYT reporter <a href="https://www.nytimes.com/by/donald-g-mcneil-jr">Donald McNeil</a> who explained how they fought Covid19 in China. He was on Maddow that night, and they posted a <a href="https://twitter.com/MaddowBlog/status/1238279302468288512">video</a> of his talk on Twitter. If you haven't seen it, stop everything, now, and watch it. You'll get so much more information about what we're up against. China appears to have beaten it. Ultimately we will have to do the same, if we don't want it to spread to everyone. 
		- Enoch Choi, on the front line
			- <i>Enoch Choi is a longtime friend, and a doctor on the front line of treating patients with Covid19. This is copied <a href="https://www.facebook.com/photo.php?fbid=10102336167134141&set=a.750918057041&type=3&theater">from</a> his Facebook timeline. </i>
			- We will be swept by Covid19 deaths without more screening so we can know who to focus care for. Without diagnosis, we fly blind and just wait for those so sick to need hospitalization. 
			- Without more tests, and possible treatment (high flow nasal oxygen, bipap, intubation, remdesivir, convalescent serum, oya1, steroids) what I have for folks is symptomatic (cough suppressants, fever reducers) which I can recommend over the phone. 
			- Telemedicine needs to ramp up so we can keep folks home and prevent waiting room transmission. Stay home and call your doctor. Don’t come In until you are dying. I can reassure you over the phone. You won't get the swab/test you want unless you are really sick, feverish and a contact of positive Covid19 patient, feverish with severe shortness of breath and chronically ill.
		- Woodstock notes, day 1
			- <i>Note to readers outside <a href="https://en.wikipedia.org/wiki/Ulster_County,_New_York">Ulster County</a>. I'm going to start posting about my experiences in the area I live now. I think they will be of general interest. There are a number of people locally who read my blog and right now this is the only place I can post them. </i>
			- I went to <a href="https://www.hannaford.com/locations/west-hurley-hannaford-21197">Hannaford's</a> in West Hurley today. I was pleased to see the parking lot looked fine for a Saturday morning. I got a spot in the second row. Lots of empty spots.
			- First the general picture. The store is well stocked. Lots of canned goods, pasta, dairy, bottled water, snacks, beer, most everything on my shopping list. Where there were things missing I was able to improvise. The store people were in good spirits.
			- But there was no mistaking we're in a different world now. I could feel this immediately on entering the store. There were empty shelves. Something you don't generally see in America, but you do see in the third world. The produce section was mostly empty. Chicken, hamburger, pork -- mostly gone, what was there were specialty items.
			- The store is functioning. I had seen people say earlier that it was closed. We have to be careful about that. Before reporting rumors, let's go check it out. That was one of the reasons I went today, to see what was going on. I'm a big believer in people getting the news themselves. This is one of those times when that'll be important.
	- March 13
		- <a href="https://nymag.com/intelligencer/2020/03/andrew-sullivan-reality-arrives-to-the-trump-era.html">Andrew Sullivan</a>, as usual, nails it. 
		- <a href="https://twitter.com/leonardocarella/status/1238511612270690305">Italians in lockdown</a> all over Italy are keeping each other company by singing, dancing and playing music from the balconies. A thread to celebrate the resilience of ordinary people. 
		- I've started a page of <a href="http://this.how/woodstock/">notes</a> for Woodstock in the here and now. 
		- The preparation for Covid19 is something like the prep for a big hurricane. Everything is fine. But the supermarket shelves are empty. People are boarding up the windows. You wonder if you've done enough to prepare. What it will be like to die like this.
		- People who focus on Trump waste focus. He's even more dangerous to himself than he is to us. He's the kind of person that the virus gets first. His age and physical condition make him vulnerable, and he <a href="https://www.buzzfeednews.com/article/davidmack/coronavirus-trump-handshake-touch">isn't protecting</a> himself.
		- We should focus our attention on critical businesses. The supply chain for food, electric, communication (phone, internet).  And a massive moon mission type program to create hospital beds and train new people to treat the sick.   We're going to wish we had very soon.
		- I am the very model of the modern full stack developer.
		- I just added Fox News to the list of <a href="http://this.how/virus/whatShouldBeClosed.opml">What Should Close</a>. 
		- I woke up in the middle of the night and for the first time in a long time I was certain the world is about to end. Thankfully, the last N times I've felt this way it didn't happen.
		- Every time Trump speaks the bottom falls out of something else we depend on to survive.
	- March 12
		- I'm keeping the list of <a href="http://this.how/virus/whatShouldBeClosed.opml">What Should Close</a> updated. 
		- I had to drive to the car dealer today to pick up my car. Along the way, I had many opportunities to pick up the virus. First was when I crossed the <a href="https://en.wikipedia.org/wiki/Kingston%E2%80%93Rhinecliff_Bridge">Rhinecliff Bridge</a> and had to stop to pay a toll. The toll booth operator had gloves on. I gave her six quarters and before continuing, I wiped the hand that touched hers. Her glove was accumulating all the viruses on everyone's hands who paid the toll. At the dealer, I had to sign a form to get my car back. They gave me a pen to use. I had no idea who else had used the pen. They did have hand sanitizer on the desk. I used it. Also thought about stealing it, but didn't. When I got my car, I rubbed down the steering wheel with sanitizer. Forgot to wipe the gear shift or the controls for the heating system, until after I touched them. On the way back I got a car wash. Paid the attendant $12 in cash, and he gave me change, again in cash. I thought about all the people who had touched the bills, including the attendant. 
		- The tragedy of America's non-response to the virus is explained in <a href="https://www.nytimes.com/2020/03/12/podcasts/the-daily/coronavirus-pandemic.html">today's Daily podcast</a>. If you want to know the truth and what we should be demanding of our government, this is a must-listen. 
		- People who think they're humane, even liberal or progressive, think they have big hearts, treat people like statistics. Maybe part of the good of this virus is wakes people up that we're all human, mortal, frail.
		- Another great podcast. Fresh Air <a href="https://www.npr.org/2020/03/10/813970591/rupauls-recipe-for-success-love-yourself-and-stay-flexible">interview</a> with RuPaul.
		- They said RuPaul is in the B-52s <a href="https://www.youtube.com/watch?v=9SOryJvTAGs">Love Shack</a> video. I used to ski to that song in Park City. Really brings back memories. 
		- An easy feel-good thing for Trump to announce last night. The government is giving <a href="https://www.google.com/search?q=purell+hand+sanitizer&safe=off&sxsrf=ALeKk00X5m8RpdZl18JT0weV2x5HHPz1nw:1584036262618&source=univ&tbm=shop&tbo=u&sa=X&ved=2ahUKEwjtlvr1wpXoAhUHmHIEHb-YCJQQsxh6BAgRECw">Purell</a> $1 billion to make as much hand sanitizer as <a href="https://www.businessinsider.com/who-makes-purell-hand-sanitizer-gojo-industries-coronavirus-2020-3">they</a> can. One bottle per person. A little thing, but man it would make people happy.
		- I had anxiety about Covid19 for the first time this morning. This could be it. But if it isn't, I have some great software in mind. Funny how being this scared brings out the creativity. On the other hand if this is the time to go -- I'd rather have it be in a plot of a terrible science fiction novel than say going in my sleep. The drama of Trump's speech last night. At one point I thought he was losing it and was going to start talking like Jerry Lewis in the <a href="https://youtu.be/neEe1itDC_k?t=320">Nutty Professor</a>. I think that would have been good for everyone, but he got himself back on track. His eyes are dead. No one home. 
		- Writing <a href="http://scripting.com/2020/03/11.html">yesterday's</a> Scripting News felt a lot like writing the blog on <a href="http://scripting.com/2001/09/11.html">9/11/2001</a>, with the realization that far more people will die, and this time there is something every one of us can do, both individually and collectively, but because of no leadership, we aren't. 
		- New slogan
			- I have a new slogan.  
			- Must be spoken with a Southern accent.
				- <i>I'm a washin my hands. </i>
				- <i>I'm a hand-washin man.</i>
			- <a href="http://scripting.com/2020/03/12/washinMyHandsImAHandWashinMan.m4a">This</a> is what it sounds like.
	- March 11
		- <a href="https://twitter.com/davewiner/status/1237784692969091073">Poll</a>: Assuming the Democratic nominee is Joe Biden, who should he choose as a running mate?
		- A community project: <a href="http://this.how/virus/whatShouldBeClosed.opml">What should close</a>.
		- We were <a href="https://www.youtube.com/watch?v=kEe7_zgZbuI">warned</a>. 
		- <a href="https://nypost.com/2020/03/10/italian-doctor-at-heart-of-illness-shares-chilling-coronavirus-thoughts/">Tsunami</a> is an apt analogy. Until it hits, all is perfectly normal. 
		- <a href="https://www.bbc.com/news/world-us-canada-51835856">Angela Merkel</a> got it right. Slow the spread of the virus so the health system has a chance to save our lives. Of course they have a real health care system in Germany, unlike the US.
		- I've been reading about and hearing from friends in Italy. My fellow Americans think panic is the problem. They've been trained by terrorism, where it is. This is different. The faster you grok the danger, the less danger there is.
		- Instead of listening to podcasts about the virus I started listening to a great <a href="https://www.amazon.com/Break-Shot-First-Years-Memoir/dp/B081D93GP6">audiobook</a> today -- James Taylor's memoir. The audiobook is the way to go because he plays his guitar while he's narrating. Many of his famous songs are all autobiographical. And his story is surprising. I didn't know anything about him. (Hold on. It's an <a href="https://www.npr.org/2020/02/09/803843220/james-taylor-narrates-life-before-fame-and-sings-american-standards-on-new-album">audio memoir</a>. There is no written version. Makes total sense.)
		- <a href="https://www.youtube.com/watch?v=AEhAFgvwS1M">There is only one god</a>, and his name is Death. And there is only one thing we say to Death: not today. 
		- The bigger the landslide, the greater the optimism, which is what the recovery will be built from, not mere votes in Congress. Whoever wins should create a bond with the electorate that lasts past the election. Not a fake bond, a real one.
		- A reader wrote, wanting to use "LO2", but lacking a Twitter account. Asked if I could produce a version that didn't require it. I said yes, but it would take about a month during which I did nothing else. On the other hand it would take you about five minutes to create a Twitter account only for this purpose.
		- BTW, you can read this blog without using Twitter. I try to make sure of that. But imho it is way better if you do use Twitter. I see this as expediant. I could clone Twitter, and wait for everyone to use it, and I might end up waiting forever. And I don't have that much time. Or I could just use Twitter. It's like driving my car with Exxon gas. I'm sure some of the gas I put in the car actually comes from a hated company. But what the fuck. I can't fight every battle. 
		- We have to slow transmission of the virus. The sooner we change our mindset the more people will be able to get help when they’re infected.
		- Why Hillary Clinton isn't president
			- Four years later, after watching the 2020 campaign, I think I finally understand why we didn't have a woman president the last four years. No surprise -- of course it <i>is</i> because of our attitude toward gender, and the way it forms women's public personalities. I don't know how it gets better, but first imho you have to understand the problem. Here's the story from my point of view.
			- I supported Hillary Clinton for president in 2016, so I noticed things from a woman's point of view that I normally wouldn't. In debates, Bernie Sanders yelled over her or waved his hands in her face. She couldn't respond in kind. I wanted the moderators to put a stop to it. She couldn't respond in kind because who would tolerate a woman who behaved like that. Exactly why we shouldn't tolerate a man behaving like that.
			- When I hear people say they hate Hillary Clinton, I remember when I hated her too. I remember exactly the moment that changed. Listening to an incredibly smart and well-spoken women being interviewed on NPR and stopping the car and waiting to find out who it was. Hillary Clinton. This was in the 90s when she was First Lady. Ever since I've challenged my assumptions on why I hate a public figure. I think about it, and decide whether that's correct. 
			- The source of the hate was resentment. Who was she to have such a public voice. The bug was that of course she had earned a public voice. As wife of the president, she wasn't as she said the kind of woman who stays home and bakes cookies. She was very much part of the presidency. 
			- So, Hillary Clinton eventually became a Senator then a Secretary and then a candidate for president. Of course I supported her. Over the years I had come to appreciate her intelligence, hard work, thoughtfulness, all the qualities you want in a president. But one. She often lacked confidence. She was incredible of course, I could not do what she did, that's not the point. You can feel confidence in another person, and hers was fragile, a surface-level thing, it's where the sense she wasn't "authentic" came from. 
			- When she was finally coasting to victory, the wind at her back, you could feel it, she could feel it, all of a sudden it comes crashing down, with another <a href="https://fivethirtyeight.com/features/the-comey-letter-probably-cost-clinton-the-election/">bogus attack</a>, the kind she had been suffering her whole life, the process that knocked her confidence down so thoroughly. She collapsed. You could see it in every speech, every interview. She was doing a great job of trying to hide it, but it couldn't be hidden. She was defeated. 
			- HRC had been going through this all her life. It scarred her. She tried to do something that in her time proved to be impossible. There's no shame in that, but that is imho why she isn't president. 
		- What needs to happen
			- 1. An instant transformation of the economics of health care in the US. Single payer for everything, for everyone, now.
			- 2. The US govt pays for sick leave for all sick employees who don't have sick leave from their jobs. 
			- Think trillions, not billions.
		- Our precarious position
			- I know pretty much everyone who reads this blog probably loved math in school and won't need a refresher in how exponential growth works, but just in case.
				- 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576.
			- That's 20 steps. We started out with two cases of Covid19, and after 20 weeks, assuming a doubling of cases every week, we're at over a million. And I'm sure you can go on from there. It isn't very long until everyone on the planet has had the disease. No one is immune.
			- It kills a fair number of those people, even if they are hospitalized. But at some point, say the 15th week, we will have completely used up all the hospital beds, and then the death rate will go way up. Maybe you don't get killed, but some large portion of your friends and family do. Even if you survive, you may wish you hadn't.
			- We're venturing into the unknown. Life is always like that, but at most times we can hide it from ourselves, we go on with our usual routine. Most days are pretty ordinary. We have a hard time understanding that sometimes the comfortable daily humdrum can break. 
			- In 2005, after <a href="https://en.wikipedia.org/wiki/Hurricane_Katrina">Hurricane Katrina</a> in New Orleans, I went there, to see what a <a href="http://scripting.com/2005/12/14.html#newOrleansCoffeeNotes">post-apocalyptic American experience</a> was like. I knew the city well because I had gone to college there. What I saw was a city that would never recover from what happened. It would continue, that was obvious, but it would never again be the city I knew. 
			- There are smart things we can do, and unfortunately in the United States, we aren't doing them. Of course. We're too stupid to think these things through. Our government sees this as an opportunity to shovel more money to themselves and their cronies. No thought is put into easing the strain on the health care system. On making it easy for every sick person to get the care they need, hospitalization, or the ability to stay home when sick so they don't infect others. To increase the survival rate, and slow the spread. We still haven't gotten the message that we all lose when people among us who are sick go untreated, especially when with a viral infectious disease for which no one is immune. 
			- The smart thing to do right now would be to quickly replace our government with one that is immersed in the math and logic of virality. To get Sanders off the campaign trail and in Washington to plead the case for single payer health care now, for everyone. He, unlike most Congress people, has the attention of the press. We need to close down every opportunity for the virus to infect masses of people, and treat and isolate those who do get infected. 
			- The mayor of New York, supposedly a smart person, has yet to cancel the St Patrick's Day parade. No doubt it <i>will</i> be canceled, but the idea that at this late date it hasn't, tells you someone in authority who is not insane (unlike our president) hasn't figured out how this works. 
			- We're now paying the price for the dumbing-down of our country. As one of the more vulnerable people (not the most, but close) I am sad that my fate is in the hands of such incompetence. I'm doing what I can to spread the information that we're wasting the gift of time we were given, we can learn from the experience of Italy, Iran and China. But of course, we aren't. 
	- March 10
		- We should make a <a href="http://this.how/virus/whatShouldBeClosed.opml">list of activities</a> that should come to a stop now. For example, movie theaters are done. In-person sports events. Offices, schools, mass transit. You can help build the list by replying to <a href="https://twitter.com/davewiner/status/1237428971748417537">this tweet</a>.
		- I might be starting to <a href="https://twitter.com/davewiner/status/1237439584692305925">love</a> Joe Biden.
		- Think about it this way. What if you got a 2-week advance notice that something really shitty was about to happen, and you actually know a lot about what will happen. I listened to a podcast with an expert on this stuff, and he said we got lucky this time. Imagine that. We got lucky, weird, but yes we did.
		- Biden's campaign song should <a href="https://www.youtube.com/watch?v=0C58ttB2-Qg">be this</a>.
		- This is how the <a href="https://twitter.com/mir_ocall/status/1237278605866151941">Italian quarantine</a> works. "People can leave their homes to get to and from work, a health appointment, family necessity such as food shop. Otherwise stay inside. If kids are going stir crazy they can be taken for walk. But no gatherings of people."
		- Morning tweets
			- Our friends in Italy are telling us we should learn from their experience and use the couple of weeks extra time we have to prepare. They appear to be doing this in Washington state. But not so much here in New York state.
			- Those who survive the virus will have to live in its aftermath. The economy is going to stop like the economy in New Orleans did after Katrina. One of the big lessons of Katrina was that once stopped, it takes a long time for an economy to reboot.
			- Not blaming gov Cuomo. People have to be mobilized.  They're mobilized in Wash because they have the biggest outbreak in the US so far. And we are soft in the west, we can't imagine things being not-normal.   People in New Orleans however I'm sure are aware of the hazard.
			- If you absolutely must play hold music make it <a href="https://www.youtube.com/watch?v=m9We2XsVZfc">Ghostbusters</a>.
	- March 9
		- Highly recommend this week's <a href="https://radioopensource.org/plagues-pathogens-and-panic/">Open Source podcast</a>, esp the first segment, an interview with Yale professor <a href="https://history.yale.edu/people/frank-snowden">Frank Snowden</a>, for a historic perspective of Covid19.
		- When last night's email went out, it sent Saturday's posts, not Sunday's. This is pretty hard to debug, I'd have to recreate the conditions of various databases at midnight last night. At first I thought the problem must be related to the Daylight Savings Time switch on Saturday night, but on second thought, how could it? It doesn't really seem likely. And the relevant machines auto-updated their clocks. So for now, I'm going to wait to see what happens tonight. If the right stuff goes out, then I'll just call it an <a href="https://en.wikipedia.org/wiki/Edge_case">edge case</a> or <a href="https://en.wikipedia.org/wiki/Cosmic_ray">cosmic rays</a> (programmerese for <a href="https://en.wikipedia.org/wiki/Act_of_God">Act of God</a>) and move on.  
		- BTW, if you want to catch up, here's a direct link to the <a href="http://scripting.com/2020/03/08.html">archive page</a> for Sunday. And the <a href="http://scripting.com/?tab=links">linkblog</a> page. 
		- Back in the world of the mundane, recall that I've had a problem with <a href="http://scripting.com/2019/11/23/125415.html">UPS</a> <a href="http://scripting.com/2019/12/27/191010.html">deliveries</a> for a while, so I was amazed today when a <a href="http://scripting.com/images/2020/03/09/upsTruck.png">UPS truck showed up</a>. Alas, it was just a temp driver, subbing for the permanent one. One day we will get this worked out. :shrug:
	- March 8
		- <a href="https://finance.yahoo.com/news/gates-foundation-backed-program-soon-201628134.html">This is great</a>. The Gates Foundation is backing a program to issue home testing kits for Covid19 in Seattle. 
		- The <a href="https://xkcd.com/1357/">Magna Carta</a> of <a href="http://scripting.com/2020/03/01/185236.html?title=cancelCulture">Cancel Culture</a>. The single worst idea promulgated on the net.
		- <a href="https://www.npr.org/sections/health-shots/2020/03/06/812964894/where-that-8-3-billion-in-u-s-coronavirus-funding-will-and-wont-go">$8.3 billion isn't nearly enough</a>. It's pathetic. It shows that no one in our government has a clue about the scale of the problem. We need enough money to radically change the economics of health care in the US in an instant, the way the <a href="https://www.businessinsider.com/how-china-managed-build-entirely-new-hospital-in-10-days-2020-2">Chinese built</a> new hospitals for Covid-19 patients. We, uniquely in the world, have the ability, at least for now, to make that much capital come into existence. We don't need to take out loans or increase the deficit. We need the money to provide for the sick, at home or in hospital, and to keep the supply chains open even if people aren't working and therefore can't afford what the supply chain is producing. We have to think clearly. 
	- March 7
		- "Little Outliner" v1.8.11 is out, with <a href="http://this.how/littleoutliner/versions.opml#1583533340000">sorting</a>. 
		- We need a <a href="https://en.wikipedia.org/wiki/Troubled_Asset_Relief_Program">TARP</a>-level response to the virus.
		- This morning I heard a segment on NPR about the SXSW cancellation. Interviewed the mayor. They talked about protecting Austin, but missed the bigger picture. An event like SXSW could be a hub that distributes the virus to the communities that visitors return to. 
		- A simple idea. We need testing of the Covid-19 virus. More testing is better -- and sooner. The US government isn't moving fast enough. Maybe Amazon, Google, Facebook, Apple could get together to help us get tested, and then help scientists learn as much about where we're at as soon as possible. We need a Manhattan project, and it seems the capabilities of the tech industry would be well-applied here. 
		- I found <a href="http://scripting.com/images/2020/03/07/purell.png">this</a> in one of the closets in my house. The previous owners must've left it. Precious!
		- Notes on Covid-19
			- These ideas are going to seem horribly naive in a few days probably, but based on lots of reading and listening this is what I think. 
				- Until there is massive testing we can't know where the virus is. Assuming it's everywhere is better than assuming it's nowhere.
				- <a href="https://emergency.yale.edu/be-prepared/shelter-place">Shelter in place</a>. <a href="https://www.nytimes.com/2020/03/06/health/self-quarantine-coronavirus.html">Self-quarantine</a>. 
				- The reason to self-quarantine is two-fold. 1. To minimize the chance that you get the virus and 2. to slow its transmission. It uses our bodies to get to other bodies. If we don't have it, we can't transmit it. If we do, if we don't move around we can't transmit it. 
				- Only go out to get food and other supplies, and to work if you can. That's an ideal of course, not achievable in most countries, esp not the US, which doesn't have health care for all, or paid sick leave, or for that matter a functioning government.  
				- Hope that essential services can be maintained, electric, water, the supply chain for food, health care. Expect lots of outages. Hope is really all we have at this point when it comes to maintaining our way of life. 
				- If the government can't implement massive testing, we have to do it. We'll need excellent data management functions so we can do all kinds of queries on the data, to determine what comes next. 
				- I have to say this, we should get Trump out of the loop of this, he's much more lethal than the virus. The government that comes after Trump, hopefully very soon, must implement a TARP-like program to vastly expand health care funding and funneling money to people who can't go to work because they have the virus, to help slow transmission. Also to parents who have to stay home to take care of kids who aren't going to school. 
				- The rate cut by the Fed was insane btw, if we get out of this, we're going to need the ability to drop interest rates to stimulate the economy (experience from Katrina, a stopped economy is slow to restart). The rate cut can't do anything to stimulate an economy that is coming to a halt for non-market reasons. If people have more money in their pocket (they won't but if they did) they aren't going to go to Walmart to buy a new fridge and risk getting a virus that might kill them. 
	- March 6
		- <a href="https://www.youtube.com/watch?v=MYpv5Orkn40">Preview</a> of next feature for "LO2" -- sorting. 
		- Went grocery shopping today. Found it impossible not to put my fingers in my mouth when trying to open the plastic bags for fruit and produce. Touching all kinds of surfaces that probably are infected. The place had a Thanksgiving-like feel to it. Could just be a Friday thing in late winter. I've been stocking up on canned goods. I buy about twice as much as I need every week. Also noted there is <a href="http://scripting.com/images/2020/03/06/plentyOfToiletPaperInHannafords.png">plenty of toilet paper</a> on the shelves. Apparently people here aren't so scared of running out. The only thing that was in short supply was <a href="https://www.breadalone.com/home">Bread Alone</a> bread, for some reason. I should've asked. It looks like they're not going to carry it in the future? That would be not good. 
		- <a href="https://twitter.com/davewiner/status/1235645351668764673">Asked on Twitter</a>: I have a Mac and an iPhone. What's the best way to get a text file from my Mac onto my iPhone. Best == least work. Lots of answers. The thing I like about email the best is that the same approach works from a browser-based app like "LO2". I can add email capabilities there so I can make a list in the outliner and email it to my phone. That will be beautiful.
		- There's a new version of <a href="https://github.com/scripting/nodeStorage#v099---3520-by-dw">nodeStorage</a> that supports the enhanced File/Open dialog in LO2.
		- We will look back at March 2020 as the good old days when the virus was more or less contained. Will we ever get back to this level again of containment? What will the survivors witness? What will be left if our economy? Will anyone ever say again we don’t need government?
		- One thing I want from the eventual Democratic nominee. A promise not to pardon Trump or any of his co-conspirators.
		- Non-disclosure agreements
			- I was CEO of a small Silicon Valley company in the 1980s. Even back then, lawyers were advising companies to settle with employees who made claims, even when the company had done nothing wrong.
			- Here's why. Lawyers are expensive, as are trials, and some employees make a business of suing their employers, knowing that they will settle instead of contesting the claim because it's far less expensive. 
			- We only had one such claim, for age discrimination. I forget how much we paid, but it was a lot for a company our size. And it came with a mutual NDA. It wasn't to keep the employee from talking, it was to keep the company silent, because <i>we</i> were the ones who were harmed. After the suit was over and settled, I realized then why none of his references were willing to talk about him. He was going through the Valley, to companies who were hungry for skilled programmers, and willing to take a chance, with or without references. No doubt we weren't the last company to pay him off and accept an NDA. 
			- Also, even if there is no NDA, the laws in California and New York heavily favor the employee. So the company isn't likely to say much about a former employee it had differences with, because it could very easily turn into an expensive lawsuit. 
			- Just want to say NDAs are not nearly as simple as candidate Elizabeth Warren made them sound in the debates. I know from experience and I am not a lawyer, she is, and I'm sure she knows all about it. 
	- March 5
		- <a href="http://scripting.com/2020/03/05/aDeadlyVirusIstakingOverTheWorldAndTheUnitedStatesDoesntHaveAGovernment.m4a">Podcast</a>: We feel in the United States that it always must be normal here. That's about to change in a very real way.  Approx 10 minutes.
		- For a couple of hours today <a href="http://scripting.com/urgent/2020/03/05.html">this</a> is what appeared on the Scripting News home page. "A deadly virus is taking over the world and the United States doesn't have a government."
		- When there finally is a woman president, women won't feel like they own her, because everyone will feel that way. I know this because on <a href="http://scripting.com/2008/11/05.html">the day after</a> <a href="http://scripting.com/2008/11/04.html">Election Day in 2008</a>, I felt like I had been liberated from a life of racism. How did he get me to feel that way?
		- Bloomberg please keep running <a href="https://www.youtube.com/watch?v=p9KQGQe6vVk">ads</a> like these. 
		- Speaking of <a href="https://youtu.be/PU9qTzhQk3U?t=11">campaign videos</a>. Remember how we fell in love with Obama in 2008?
		- Health insurance or not, billionaire or not, we're all in danger of dying from the virus. Much sooner than November. Some much more than others.
		- Finished season 2 of <a href="https://en.wikipedia.org/wiki/The_Expanse_(TV_series)">The Expanse</a>. Yes! It is good. Sexy. And fun. 
		- Has it occurred to you that the measures we're taking to fight the virus are also some of what we need to do to fight the climate crisis? If so, the idea that we're living in a simulation seems more plausible. :boom:
		- I added a new <a href="https://github.com/scripting/utils/blob/master/daveutils.js#L706">slogan</a>. "Don't get lost in the weeds."  
		- Being president is a job. Hire someone who will be good at it. The choice is not made by the media or billionaires, it is made by voters. That's something to be proud of and celebrate, respect and preserve. 
		- I'm still hoping for help testing the new version of LO2. Here is the <a href="https://github.com/scripting/Scripting-News/issues/156">list of things you should try</a>. By testing, you're helping me think about bigger changes to the software in the future. If we don't test new versions, as a community, I can't take risks of breaking stuff. That's how it works. 
		- The <a href="http://scripting.com/stories/2008/03/26/blockwithtimeoutForTwitter.html">Snooze for 30 Days</a> command on Facebook is great. Every network should have it. And guess what, when the timer expires, I forgot that I snoozed them, but they are still being obnoxious, so I just snooze them again. I'm soooo glad they can't tell when they've been snoozed. Oops I'm probably making all my friends think it's them. Trust me, it's not you. We're cool. Namaste.
		- We all live with grief and disappointment, btw.
		- A mirror with a time delay
			- Here's an idea for Twitter. 
			- Every day there's a big story to argue about.
			- Algorithms can spot them, right?
			- So here's the idea.
			- Recycle them. Every month throw in replay of a big story from last month. 
			- Let people see themselves in a new light. Like looking in a mirror.
			- PS: Here's my <a href="http://scripting.com/2020/02/05.html">archive</a> from one month ago. 
	- March 4
		- A new version of "LO2" is released. v1.8.10. 
		- <a href="http://this.how/littleoutliner/versions.opml#1583335881000">Change notes</a> for v1.8.10. Two big changes. A new <a href="http://scripting.com/images/2020/03/04/fileOpenDialog.png">File/Open dialog</a>. And the storage server has moved to a new machine. 
		- Very important -- here are the <a href="https://github.com/scripting/Scripting-News/issues/156">testing notes</a>. I need a few people to go through the steps to verify that things are working as they should. Your help is much needed and appreciated. Thanks! :boom:
		- <a href="http://scripting.com/2020/03/04/bidenTheGratefulDeadOfPresidents.m4a">Podcast</a>. Yesterday was the Woodstock of American elections. African-Americans extended a hand in love to America. Let's all be friends again. Why not say yes? Let's do it. 
		- Jennifer Granholm <a href="https://twitter.com/JenGranholm/status/1235219391828103169">endorses</a> Joe Biden, with enthusiasm. 
		- You know, Twitter is an <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22idea+processor%22&t=h_&ia=web">idea processor</a>. It works. It's klunky and whatever, but I get ideas when I write there, and I don't lose them. That's all I want from an idea processor. Here's a <a href="https://twitter.com/davewiner/status/1235235567245373445">thread</a> I just wrote. Figured a bunch of stuff out. I don't care if everyone can see it. 
		- What we all learned last night is that the electorate is wise and conscious and makes up its own mind. 
		- I think Biden is as competent as McCain was when he ran against Obama in 2008. Luckily Biden doesn’t have to run against Obama.
		- The mistake we continue to make is to project our personal aspirations on a candidate for president. Every one of them will come up lacking if you look at who they really are, even your hero.
		- BTW, when this euphoria is over, there's still the question if the Repubs will allow the election.
		- What happened last night, part 1
			- Last night was a big deal in American politics. You know <a href="https://fivethirtyeight.com/features/how-biden-beat-expectations-on-super-tuesday/">the news</a>. Biden scored big, at the expense of Sanders. Beyond that everything else is subject to opinion and polling. 
			- Toward the end of the evening I wrote: "I honestly don't think people want Biden, I think they really <i>don't</i> want Sanders." 
			- <a href="http://www.raines.com/">Raines Cohen</a> asked: "If that were the case, why not Warren?" 
			- Before I answer, a couple of things about Raines. I've known him for a very long time, since I met him in Mitch Kapor's office in Cambridge in 1979. His father was Mitch's lawyer. I think Raines was all of 13 years old then. I was 25. Second, he's a friend, and I trust him. 
			- So I gave him an honest answer, what I really think is true. With Warren fans I find you have to tiptoe around their certainty that anyone who says anything negative about her is a misogynist, or "a person who dislikes, despises or is strongly prejudiced against women." 
			- I think Warren and Sanders are similar, but not on policy, on the way they approach the electorate, and I think to the extent they are rejected, it's for this reason.
				- I saw a meanness in Warren that I didn’t like. A good president tries to draw everyone in, make everyone feel welcome. Neither her or Sanders has that impulse, like Trump.
				- Look at how people talk about her on the net — if you don’t support her you’re a misogynist. If you don’t support Sanders, you’re The Establishment. That excuses both of them from trying to understand who they aren’t reaching. 
				- If I’m their enemy, their scapegoat, I’m not voting for them. 
				- I think they’re both smart enough to know this especially Warren. That makes them dangerous. The president of the United States must be a consensus builder. Not someone who could shoot someone on Fifth Avenue and not lose a single supporter. Warren created a wedge, based on gender, intentional or not. Men bad, women good. With predictable results, imho. It's a turnoff because we need to come together, and smart voters know this. 
				- People who do "turnout math" miss this point. It isn't just getting people to the polls to vote for you, it's getting the country to see itself as one thing, not warring factions. These Democrats, Sanders and Warren, are doing what Trump did. Dividing. Wedging.
				- Their policies aren't new, they're standard Democratic policies. Any Democrat would pursue those goals if we demand they do. The power is ours, as long as we stick together. Democrats who try to drive us apart are no better than Republicans who do that.
			- PS: Ezra Klein said the <a href="https://www.vox.com/2020/3/4/21164091/sanders-biden-super-tuesday-endorsements-primary-2020">same thing</a> in a different way. 
	- March 3
		- After many attempts, I'm now rolling on <a href="https://en.wikipedia.org/wiki/The_Expanse_(TV_series)">The Expanse</a>. In the middle of season 2, I more or less understand who the characters are and the plot. I don't know why it took so many tries to get it. <span class="spSpoiler">I am sure that Julie Mao and Miller are melding into some kind of incredible love monster whose body is the planet of Venus. I also think their meeting was the sexiest thing I've seen on TV ever</span>. 
		- <a href="https://www.youtube.com/watch?v=Cys5H1O7SLQ">Demo of a new feature</a> on my blog. Spoilers are now hidden behind a placeholder. This is how it works. Warning there's a spoiler in this video about how spoilers work. Not kidding. If you haven't seen The Expanse and think you might, you should avert your eyes at the right moment in this video. <i>Sorry! </i>
		- Democrats have one goal. Trump out in a landslide. All the insiders talk about turnout, but you know what, that's up to us, the voters. I think that's the message of tonight. If he wins, Biden has been drafted to be our representative. We should organize <i>ourselves</i> so we can't be ignored after the election. 
		- Idea for Mike Bloomberg. Hire some smart ex-CDC people and have them solve the testing problem in the US. Commit say $1 billion to the effort.
		- Wonder if they're testing people at the White House. What are the chances that it's a hot spot for transmission? Lots of people coming and going.
		- What sense does it make to <a href="https://www.wsj.com/articles/federal-reserve-cuts-interest-rates-by-half-percentage-point-11583247606">stimulate</a> an economy that will be crippled by lack of parts and workers? The economy will shrink, no way to avoid that. Maybe we'll need stimulus later, once (hopefully) people are back at work.  
		- When the WSJ gets an <a href="https://www.wsj.com/articles/trump-administration-considering-paying-hospitals-for-treating-uninsured-coronavirus-patients-11583258943">important story</a> in the public interest down comes the paywall. But when do they publish a story that <i>isn't</i> in the public interest?  So news is <a href="http://scripting.com/stories/2011/01/01/theWorldIsSocialist.html">socialist</a> too. :boom:
		- So many forbidden topics on Twitter, might lead you to believe no one is offended by your ideas (assuming you're politically correct) but voting is private which provides a channel for anger and resentment. Might be a good idea to factor that in.
		- Thoughts and prayers to <a href="https://twitter.com/R/status/1234852841250021376">friends</a> in Nashville after the <a href="https://www.wkrn.com/news/nashville-tornado/possible-tornado-crosses-through-downtown-nashville-widespread-damage-reported/">deadly tornado</a> that struck downtown in the middle of the night. 
		- <a href="https://www.youtube.com/watch?v=nBJYxPN8qIA">Come on people now</a> smile on your brother, everybody get together try to love one another. 
		- My father apologized
			- Something really weird happened in a dream last night.
			- My father apologized for something. 
			- He's been dead since 2009.
			- He never apologized for anything to anyone as far as I recall, certainly not to me. He said and did plenty he should have apologized for.
			- I think in a weird way this is my subconscious telling me that it's ready to forgive him. 
			- In the dream I felt so safe and secure in the moment, I said genuinely, don't worry about it, we can fix the problem right now. Then we went to the post office and I mailed a package to someone.
	- March 2
		- A few years ago I wrote <a href="http://scripting.com/2017/03/08/theWorldIsSocialistPartIi.html">Health care is socialist</a>, about health insurance. But I didn't consider this. If there's a lethal virus going around, and we want to slow it down, we need to know where it is. That's the first thing. We have to test lots of people as they are in South Korea. I suppose we could require that people pay for their own tests, but that's just a tax. We might as well simplify the accounting and pay for the testing with tax dollars. It's the same thing. So when Repubs say it would be bad to make health care socialist, they're tricking you. It already is socialist. They just want to siphon off a fat chunk of the health care money for themselves, for doing nothing.  
		- Two things to watch out for re the virus. 1. There will be <a href="https://en.wikipedia.org/wiki/Vaccine_hesitancy">anti-vaxer</a> types who will say the test gives you the disease, so a fair number of people will refuse to be tested. 2. The government will realize that they need to control the press to control the flow of info about the virus. Best to think about it in case it happens. People who read this blog might be the people who figure out how to distribute info even if the government is trying to stop it. Probably will be easier to do before the press is controlled.
		- Voter suppression is a philosophical crime. In the US we have a rule -- one person, one vote. So from a voting standpoint, state govt officials have as much say as any other voter. One vote. That's it. But they're trying to make their vote more powerful by preventing yours.
	- March 1
		- This week's <a href="https://www.wnycstudios.org/podcasts/otm/episodes/on-the-media-black-swans">On the Media</a> interview with <a href="https://en.wikipedia.org/wiki/Laurie_Garrett">Laurie Garrett</a> is a must-listen. Perspective and history on the virus that's disrupting life and the economy of the world, soon to affect the lives of Americans. Garrett says this will test the <a href="http://thesaurus.land/?word=mettle">mettle</a> of Americans. She's not optimistic. 
		- Silver lining? <a href="https://www.bbc.com/news/world-asia-51691967">Dramatic decrease</a> in pollution over China "at least partly due to an economic slowdown prompted by the coronavirus."
		- The monthly ritual. Here's the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2020/02.opml">OPML archive</a> for February. 
		- Cancel culture
			- I was at dinner with friends last week and the subject of <a href="https://duckduckgo.com/?q=%22cancel+culture%22&t=h_&ia=news">cancel culture</a> came up. Some of them were not familiar with what it is. I promised to try to explain here on my blog.
			- Here's a <a href="https://www.emptywheel.net/2020/02/19/what-happens-after-youre-cancelled/">piece</a> by <a href="https://en.wikipedia.org/wiki/Quinn_Norton">Quinn Norton</a> about getting cancelled. Briefly, she had gotten a plum job on the <a href="https://www.nytimes.com/interactive/2018/opinion/editorialboard.html">Editorial Board</a> of the NY Times, but then when the appointment was announced, controversial tweets she had retweeted (according to her account) surfaced.  The Times <a href="https://www.nytimes.com/2018/02/13/business/media/quinn-norton-new-york-times.html">withdrew</a> the offer. 
			- Anyone with a public presence on the net is subject to cancellation. I have had people trying to get me fired for my public writing since the early 90s, when someone called UserLand's office to try to get me fired for my not-sufficiently-Apple-loyal posts on AppleLink. Since then, it's happened many times. The pressure to conform is one of the reasons I deliberately lowered my online profile in the early 2000s after coming pretty close to dying, at least in part from the stress. 
			- When <a href="http://scripting.com/2020/02/28/214733.html?title=whyWarrenFreaksMeOut#a214754">Warren</a> attacked Bloomberg on stage at the Democratic debate, she was trying to get him cancelled, and presumably to gain notoriety for herself for being the one who did the cancelling. So cancel culture has arrived at the highest level of US politics. 
