- June 2020
	- June 30
		- A <a href="http://scripting.com/2020/06/30/pleaseRT.m4a">podcast</a> voicemail to <a href="https://en.wikipedia.org/wiki/Doc_Searls">Doc</a>, who reminds me of <a href="https://en.wikipedia.org/wiki/Martin_Sheen">Martin Sheen</a> and <a href="https://en.wikipedia.org/wiki/Wilford_Brimley">Wilford Brimley</a>. He has a piece today that he wants you to read. And I thought of a way to make that happen automatically. That's what this <a href="http://scripting.com/2020/06/30/pleaseRT.m4a">podcast</a> is about. 26 minutes. Rambly. :rocket:
		- How many people died in the <a href="https://en.wikipedia.org/wiki/Atomic_bombings_of_Hiroshima_and_Nagasaki">atomic bombings</a> of Hiroshima and Nagasaki, vs the number of people who have died so far in the US of Covid-19? The numbers will surprise you. (Answer: We're getting close to the death toll of Hiroshima.)
		- <a href="https://twitter.com/alphacolin/status/1277822149781147648">Colin Nederkoorn</a> reminds us that the NY Times, even though they've <a href="https://nypost.com/2020/06/29/new-york-times-pulls-out-of-apple-news-partnership/">opted out</a> of Apple News still has a full complement of <a href="https://archive.nytimes.com/www.nytimes.com/services/xml/rss/index.html">RSS feeds</a>. The feeds are perfect. A headline, a synopsis and a link to the paywall'd article. I still would like to see a <a href="http://scripting.com/2020/06/16/133627.html?title=newsHasBeenUnbundled">way around</a> the paywall for non-subscribers. 
		- Little-known feature on Scripting News. You can read a whole month's worth of posts on one page. For example, here's the <a href="http://scripting.com/2020/06/">page</a> for June 2020. I think you can see how the URL is formed. 
		- It would be interesting to make a list of people whose lives, net-net, matter and don't matter, and to what extent, and how that changes over time. For example, American soldiers' lives in Afghanistan didn't matter much before the latest scandal, but now we know their lives matter even less than we thought.
		- Radio3 work continues
			- More work on "Radio3", continuing from <a href="http://scripting.com/2020/06/28/153523.html?title=radio3Work">previous notes</a>. 
				- The <a href="http://scripting.com/images/2020/06/30/xmlIcon.png">RSS icon</a> now links to an XML Viewer page for the feed (<a href="http://xmlviewer.scripting.com/?url=http%3A%2F%2Fradio3.io%2Fusers%2Fdavewiner%2Frss.xml">example</a>), rather than the feed itself. A longstanding problem: browsers try to make RSS feeds useful without showing the XML, but in this situation we <i>want</i> to see the XML. 
				- Cleaned up the row of icons to the right of every post. Now we have three, a link to the tweet, an icon to edit the post, and one to delete the post. There used to be icons that linked to Facebook and Wordpress versions of the post, but support for both products hasn't worked in a long time, so I disabled it in this release. 
			- BTW, I'm trying an experiment, editing the actual running copy of Radio3, so when you see a note appear here, you can immediately try the feature in the software. It's like climbing a mountain with no safety net. When I make a change that introduces a bug, you get to see that too. :boom:
		- Their Lives Matter
			- Why didn't Ken and Karen, the gunslinging mansion owners of St Louis end up with a cop's knee on their throat, pleading for their lives and mothers, gasping "I can't breathe" as they died on the sidewalk. 
			- Gunslinging mansion owners of St Louis.
	- June 29
		- Today's song: <a href="https://www.youtube.com/watch?v=c4KFf4J64nc">The Good Thing</a> by the Talking Heads. 
		- In October of last year, before impeachment, I proposed a <a href="http://scripting.com/2019/10/21/140215.html">permanent citizen's occupation of DC</a>. 100K people constantly in protest in DC, rain or shine, 365 days a year, until Trump is gone. On a rotating basis. No one signs up for more than one day. Never more than 100K. Keep a constant presence there for the Democrats and Republicans to remember. To be in the way. To be loud and obnoxious. To help them remember who they work for. 
		- Not wearing a mask is like not wearing pants.
		- Is anyone but John Oliver talking about the <a href="https://www.youtube.com/watch?v=R652nwUcJRA">eviction crisis</a>?
		- I try to keep focused on the bigger picture, and let the small stuff be background noise.
		- People who love <a href="http://outliners.com/">outliners</a>, esp <a href="http://outliners.scripting.com/more30.html">MORE</a> from 30 years ago on the Mac, we could have an outliner renaissance on the web, now. I have a great <a href="http://littleoutliner.com/">lab</a> for development, and the core outliner in JavaScript is <a href="https://github.com/scripting/concord">open source</a>. I've always felt every app should have a nice outliner built-in. <i>Let's have fun!</i>
		- Thanks to <a href="https://twitter.com/gruber/status/1277329886080905219">Gruber</a>, there's renewed interest in "Little Outliner". I'd love to have an excuse to work more on its evolution. I have a series of steps in mind, but not enough of a user base to do it with. Gruber would be an excellent user to help drive development. Note that I did a fair amount of <a href="http://this.how/littleoutliner/versions.opml#1580502471000">work</a> on it earlier this year, adding a <a href="http://this.how/littleoutliner/versions.opml#1582640454000">feature</a> that I use every day, to grab all my tweets from the previous day. It's turned Twitter into a blogging tool for me, believe it or not. Pretty cool. 
		- BTW I should add a feature to "LO2" that makes it possible for me to send the URL of an OPML file in a link and have it open in LO2. Might help people get the idea of what an outliner is. Heh. After I finish with Radio3. This is what I <a href="http://scripting.com/images/2020/06/29/sexy.png">mean</a> by "sexier and speculative" ideas. :boom:
		- Why work on "Radio3" now? I've had it on my list for a long time. It's long overdue for an overhaul. I wrote it when I was new to JavaScript and didn't really understand the rules, it's a weird language and the browser is a very weird runtime environment. But I always seem to find something sexier and more speculative to work on. Programmers notoriously hate to clean up their messes. I'm no different. Then I had a <a href="https://www.urbandictionary.com/define.php?term=come-to-Jesus%20moment">Come to Jesus</a> moment. I use Radio3 all day every day. I use it on my iPad and iPhone as well as my desktop. It does a lot of my Twitter posts, it's the <a href="http://scripting.com/?tab=links">Links tab</a> on scripting.com, and the links section of the <a href="http://scripting.com/email/">nightly email</a>. It's an important piece of software. Staring me right in the face. Improving it could make everything better. And making it easier to work on the code means I could add improvements in the future. 
		- Reading tea leaves
			- Reading tea leaves and being a basically positive person, even when it might not make sense, I think what happened with Pence and masks is that the Repubs in the Senate are shitting their pants over the virus, and said to Trump you can keep trying to stoke race hate if you want, but Pence has to take over the virus and start actually trying to fight it and support the states, and stop undermining Repub governors. Trump said "Whatever" and Pence started, slowly, trying to do this job. Meanwhile get Governor Cuomo in there as a Guest President, and he can run the US effort against the virus, on loan from the Democratic Party. That would probably work, and if presented the right way Trump would probably be okay with it as long as he doesn't go to jail.
	- June 28
		- Future possible use for Manhattan. A huge museum for how a centralized economy and cultural system worked before all that was blown apart by the net and a virus.
		- I'm starting to work on the UI of Radio3 now that the server issues seem settled. Logging my work <a href="http://scripting.com/2020/06/28/153523.html?title=radio3Work">here</a>. Will get more formal later. 
		- Sunday is sports day
			- It finally hit me today. Sunday afternoon, raining. 
			- I'd love to watch sports. There are no sports.
			- I watched a movie instead. It was okay. 
			- Today was a sports day though. No freaking sports.
			- Will game makers take over TV with simulated sports.
		- Radio3 work
			- A bulleted list in reverse order of stuff I'm looking at.
				- Have to test to see if it still works with Slack. I suspect it does. Here are the <a href="http://radio3.smallpict.com/2015/05/25/pushLinksToSlack.html">docs</a> for posting to Slack from Radio3.  (Tested: Works, so Slack remains in the UI.)
				- I'm removing the UI for the features that ping updates for the feed in custom ways. You can use rssCloud, which is specified in the feed Radio3 keeps for you. If you've built a system that depends on this please let me know. 
				- OPML <a href="http://radio3.io/oldsettings.opml">archive</a> for the original settings dialog is here. 
				- I'm removing Facebook and Wordpress from the user interface. Trying to preserve as much of the code as possible, so if we ever can resume the connection with one or both, it will be as painless as possible. 
		- Our opportunity
			- In my humble opinion, it's no coincidence that <a href="https://twitter.com/hashtag/BLM?src=hashtag_click">#BLM</a> has huge momentum now when we have the most racist president in generations. Just as it's no coincidence that the most racist president followed the first African-American president. 
			- It appears we're going to flip back to the positive direction, so the question is what do we want.
			- The big issues are imho:    
				- Voting rights.  
				- Health care.  
				- Climate crisis.
			- Even more immediate: Assume the US government will spend $10 trillion in the next year to keep the US from crashing. Should that money go to the 1% (where it would go by default, imho) or should we focus on making sure the money goes to solve the critical problems.
			- That money could restructure health care so it works for everyone. It could start the transition to a green economy. It could certainly help assure voting rights, and therefore a fairer government in future years, and maybe prevent the flipping back and forth.
			- I'm very concerned that we will end up settling for symbolic victories, removal of the stars and bars from the Mississippi state flag, removal of monuments, and nothing material will change. Symbolism is important, but we have big non-symbolic problems to solve.
			- The focus has been on changing minds and attitudes. I am open to that in every way. I learned a tremendous amount from the <a href="https://www.nytimes.com/2020/01/23/podcasts/1619-podcast.html">1619 podcast</a>. More of that please. I am reading the <a href="https://www.amazon.com/dp/B0030MR076/ref=dp-kindle-redirect?_encoding=UTF8&btkr=1">People's History of the United States</a> -- again, eye-opening.
			- But you can't change people who don't want to change. This is why the approach that pundits are taking, saying we have to change people, they have to understand what it's like to be X, as a prerequisite for real change, that's not a good approach.
			- We can find win-wins right now. Restructuring health care won't just help people of color, it will help everyone. But imho is is a #BLM issue.
			- Voting rights matter, even if it only re-enfranchises African-Americans, because many of us want the kind of government African-Americans will vote for.
			- It doesn't have to be either/or, in fact if it is, we will all lose. Repubs will continue to dominate, and all the resources will continue to flow to the 1%.
			- There will be a <i>lot</i> of change in the next year. This is a pivotal time. We must organize, black, white, all genders, all races, ages, erase the wedges and act in all our interests to save lives, and overcome the challenges in front of us.
			- Let's find our inner-Americans, and fight to live up to the promise of our nation.
			- <i>Note: This post first appeared in a <a href="https://twitter.com/davewiner/status/1277220379669467136">series of tweets</a> this morning. No need to unroll it, here's the text in a single blog post. </i>
		- Every picture tells a story
			- Seen <a href="https://twitter.com/BrynnTannehill/status/1277211131430535168/photo/1">on</a> an airplane recently.
	- June 27
		- We're going to start on the road out of racism in the US when intelligent, loving, courageous, driven and visionary people of all races decide to listen to each other and find things we can do that benefit everyone regardless of race, now -- immediately, not some time in the future. Not symbolic things, but stuff to "save my life". 
		- Jason Calacanis <a href="https://twitter.com/Jason/status/1276971943380410368">writes</a>: "Imagine if every day Trump and Pence did a data-lead briefing like NY Gov Cuomo did." Of course that the US government should be doing that. The Democrats could do it too, no imagination. Or a startup could. Hire a former head of the CDC, and do the hourlong briefing Cuomo did, a weather report for the virus, and make recommendations for business and people. Huge piece of <a href="http://scripting.com/davenet/1995/01/13/ahugechunkofbluesky.html">blue sky</a> here. JC is a risk-taking angel investor with experience in journalism. He would be a good person to do this. I wish <i>someone</i> would. We need it.
		- A fantastic <a href="https://www.yahoo.com/lifestyle/took-one-person-one-errand-050138571.html">instance</a> of "save my life" journalism. 
		- For the next few days "Radio3" will be unreliable if the past couple of days are any indication. I'm retooling the server, and grappling with some mysterious problems. BTW, the reason I <a href="https://github.com/scripting/Scripting-News/issues/179">asked</a> about a Hello World app for WordPress is that if there's an easy way to get WordPress support working again in Radio3, (the WP API changed some time back and broke Radio3 in this regard), I will. But I don't have time to do a deep-dive into the WordPress API at this time. 
		- In the meantime, I think I found what was screwing up my new server. "nodeStorage" has a feature, that by default is enabled, where it checks with the GitHub repository every 15 minutes and downloads changes. It doesn't restart the app, so you don't see the effect of changes until you restart. The apps are running in the new version of PagePark that has Forever integrated. The way it knows which JavaScript file to run is via the <i>main</i> attribute in <a href="https://github.com/scripting/nodeStorage/blob/master/package.json">package.json</a>. Here's how this goes wrong. At some point, the app checks with GitHub, sees that its version of package.json is different from the on the repo, and downloads it, replacing the one I customized. Ooops. That version does not have a <i>main</i> attribute. So next time I launch PagePark, which I am doing a lot of these days as I debug it and add features, the nodeStorage-based apps don't run. Vexing little bug. The feature should probably default to off. Thing is, when you implement a clever feature like this you <i>want</i> it to default true. Then, years later it bites you in the ass. That my friends is the way programming works, when it doesn't work. :boom: 
	- June 26
		- In hindsight, it would have been smart if instead of starting the Space Force, the US had started the Health Force. 
		- Biden, who has suffered <a href="https://en.wikipedia.org/wiki/Biden_family">tragic loss</a> in his life, and survived, may be the perfect president for 2021 and beyond as we deal with the wreckage of the two pandemics, Covid and Trump.
		- This may be the last I write about Trump. Suppose Trump were a brilliant political strategist. On hearing of how awful the virus was, in January, he would have thought to himself, "I just won re-election." How could that be you ask? Simple. He waits a bit until it's obvious to the press that it's an emergency then he gives a big Oval Office speech announcing the emergency and what we're going to do. It's exaclty what the CDC says to do. "This is going to hurt," Trump reads off the teleprompter, "but we'll get through it together." Then guess where his approval rating would be? 95%. Because that's how it works. We rally behind the leader in a time of crisis, even a douchebag like Trump. Who is more dumb than a sack of nails. I'm sure one of his advisors saw this as a political gift. All Trump had to do was listen. 
		- <a href="https://github.com/scripting/Scripting-News/issues/179">Braintrust query</a>: I'm looking for a good Node package for posting to WordPress and updating posts. Really simple stuff.  A basic Hello World app in JavaScript.  Any pointers much appreciated.
		- My bet is that none of NBA, MLB, NFL or NHL have a season of any kind this year. The shit is about to hit the fan, not a second wave, but a second <i>order</i> wave.
		- I’d love to have been a fly on the wall in the meeting at the White House where they decided to <a href="https://www.cnn.com/2020/06/25/politics/trump-administration-obamacare-supreme-court/index.html">try to nuke</a> the Affordable Care Act once again. I just like to know where the <a href="http://thesaurus.land/?word=depravity">depravity</a> comes from, and were there any <a href="https://en.wikipedia.org/wiki/Commissar">Russian commissars</a> in the room giving the orders?
		- Waiting for MSNBC's <a href="https://en.wikipedia.org/wiki/Steve_Kornacki">Steve Kornacki</a> nightly "weather report" on Covid outbreaks around the country. Crosspost to YouTube, Twitter, where ever people watch videos. Both a public service and a competitive coup. Free advice from your friendly media hacker. Dave
		- One thing I love about having an iPhone and a banking app is that I no longer have to drive to a bank to deposit a paper check. Progress.
		- Everywhere you go people will tell you we don't like your type here. In my old <a href="https://en.wikipedia.org/wiki/Flushing,_Queens">neighborhood</a> in Queens, they said it about Jews, when we moved in. Many years later, same neighborhood, it was Chinese and Koreans. In <a href="https://en.wikipedia.org/wiki/Ulster_County,_New_York">Ulster County</a> it applies to people from NYC. It's bullshit.
		- BTW, when the Chinese and Koreans moved in, <a href="https://ny.eater.com/maps/flushing-chinatown-nyc-best-restaurants">the food</a> got a <i>lot</i> better. Funny story. A few years ago my mother and I went out to eat at a popular Chinese <a href="https://www.yelp.com/biz/joes-shanghai-flushing">dumpling place</a> near Main St. The waiter asked if we were tourists. I said, no -- we're natives. :boom: 
		- Social media is a moral parade. All we've done is give voice to stupid.
	- June 25
		- If you're <a href="http://scripting.com/images/2020/06/25/areYouFascist.png">anti-anti-fascist</a> does that make you fascist?
		- In 2012, Obama liked to say the Repubs drove our economy <a href="https://www.youtube.com/watch?v=QKv-dXHhtMs">into a ditch</a>, and the Dems would have to pull it out and dust everything off. This time, if Biden were to tell the honest total truth, the Repubs drove us off the cliff and not just the economy. 
		- Now is the moment when no incumbent Republican can fool themselves into believing that Trump isn't doing massive harm to America. They can lie, but every one of them without exception understands. 
		- Miracles happen
			- Look at this, the virus gets Israel to cooperate with Arabs, and vice versa. And it gets Texas to stop being crazy like Trump. 
			- Hitting this wall can wake people up. 
			- It's a miracle to see. 
	- June 24
		- Cuomo says the <a href="https://twitter.com/davewiner/status/1275865232037089280">NYC subway</a> is visibly cleaner. Is it? 
		- I haven’t had any interaction on my Facebook posts in the last week. No comments, no likes, nada. It’s like it just ended. The people are gone, or Facebook algorithm isn’t showing anyone my posts. Meanwhile it’s rock and roll on twitter and on my blog. Later: Well it turns out, I have been posting mostly-private messages on Facebook since May 23. Not sure how it happened but only a few people were seeing them. I just posted <a href="https://www.facebook.com/dave.winer.12/posts/1263656047175131">something public</a> and it's as if the lights turned back on. Now I'm going back through the last months' posts and changing the privacy setting on them. Whew. 
		- Driving on the <a href="https://en.wikipedia.org/wiki/Massachusetts_Turnpike">Masspike</a> yesterday, going west, listening to the audiobook of the <a href="https://en.wikipedia.org/wiki/A_People%27s_History_of_the_United_States">People's History</a>, when a phone call comes in. Looks like spam so I don't answer. Then the car's audio, coming from my fully updated  <a href="https://www.apple.com/shop/product/FT5A2LL/A/refurbished-iphone-xs-max-64gb-silver-unlocked">iPhone XS Max</a>, via <a href="https://www.apple.com/ios/carplay/">CarPlay</a> switches over to the <a href="https://apps.apple.com/us/app/apple-podcasts/id525463029">Podcast</a> app, and plays an <a href="https://www.nytimes.com/2020/06/22/podcasts/the-daily/facebook-twitter-black-lives-matter-trump.html">episode</a> of <a href="https://www.nytimes.com/column/the-daily">The Daily podcast</a>, an episode I didn't want listen to, and there's nothing I can do until I can stop the car and reactivate the <a href="https://www.audible.com/ep/apple">Audible app</a>, about 15 miles of driving. To be very clear, it should have resumed the book, which was interrupted, not start a podcast. This is the kind of software lunacy that never gets fixed. Next year they'll revamp the OS of the car, or the phone, or switch the processor, or get rid of iTunes or Cookie Dough or whatever, and more stuff will break, and the process will continue next year and the year after, and it will not have been worth it. At some point some adult will run Apple, someone who can't be bluffed on software, will tell the engineers to shut up and eat your vegetables, you can watch TV when you finish your homework. It's an analogy. You can figure it out. :rocket:
		- JavaScript and who made it
			- <a href="https://twitter.com/glitch/status/1275809005093429249">Glitch asks</a> a very interesting question.  
			- <i>If you could rename JavaScript what would you name it?</i>
			- Let's talk this through.
			- First what is JavaScript. Let's make a list of things it is. 
				- It's a single syntax that works in the browser and on the server. A lot of the built-in routines work in both place.
				- It's a vastly too-hard-to-learn language, but it's what we got. 
				- If you were going to design one language that everything should be translated to, it would never be JavaScript, but once again, it's what we got. 
				- Every toolkit shows up as a package in the server runtime for JavaScript. It's the default platform. If you want to write software that integrates lots of back end services, JS is your best choice. 
				- It was created by the immediate competitive need of Netscape's visionary, and a future venture capitalist, combined with the longevity of a standard syntax that has grown a lot especially in the last couple of years. 
			- In most of the answers to <i>What Is It? </i>you could summarize it by saying <a href="https://en.wikipedia.org/wiki/Worse_is_better">Worse Is Better</a>. In every category, given a choice between elegance and simplicity, performance and ease of use, JavaScript picks the worst of the options. And since worse is better, that's good! That's why it wins. It doesn't worry about being better, does it work, if so, let's use it and go forward. 
			- Let's go back to the beginning when Marc Andreessen didn't (presumably) want Java to run away with the web. That's the position Java had, and they were pressuring Netscape to bundle it with the browser, and he didn't want to do it, but he had to have something to put in his place. Pretty sure that's why he asked Brendan Eich to write it,  the legendary <a href="https://thenewstack.io/brendan-eich-on-creating-javascript-in-10-days-and-what-hed-do-differently-today/">10-day project</a>. So what was <i>that</i> product? Maybe that should be the name? 
			- Even though they weren't thinking of server-side language that JS would become, really JS is <i>the language of the web.</i> That idea fits both the original vision and the current use. 
			- But that's not really a product name: Language Of The Web. LOTW. Nah doesn't really live well in the mind. 
			- I would have just called it Netscape. It's so central to everything the company was doing, you could have said -- this is the reason we created the company. The web is the UI, and that's important, but the real power is the network behind it, and that network is defined by the language, and this here is the language. It would have given Java a run for the money, probably would have pushed it closer to Microsoft (that's a whole other story) but long term, it would have worked. 
			- BTW all that's left of Netscape today is -- JavaScript.
			- They didn't do it then, but you could do it now and it would be cool and fun, historic, respectful and something people would talk about. 
	- June 23
		- I had to drive today on the <a href="https://en.wikipedia.org/wiki/New_York_State_Thruway">New York State Thruway</a>, south of Albany. It was a long enough drive that I had to stop to use the facilities. I dreaded going into the <a href="https://www.waze.com/livemap/directions/united-states/new-york/new-baltimore/rest-area-i-87-mile-127-new-baltimore-service-area?place=w.187564456.1875579027.457925&utm_expid=.K6QI8s_pTz6FfRdYRPpI3A.0">rest stop</a>. Happy to report that everyone, without exception, was wearing a mask. I had another thought, watching a woman walk her dog in the special area set aside for that. I thought geez if the dog can pee outside.
		- I started reading <a href="https://en.wikipedia.org/wiki/A_People%27s_History_of_the_United_States">People's History of America</a>. It was just what I was <a href="https://twitter.com/davewiner/status/1275054640393007113">looking for</a>. After this, I want to read the equivalent book about the Jews in Europe. I have very little idea what that was about other than it was rough and didn't end well. ;-) 
		- Trillions will be spent by the US government in coming months to keep the country from crumbling. Do we use the money for big change, or do we settle for symbolic victories with most of the money going to the 1%. PS: IMHO the protests are a good sign.
		- On Trump News Network
			- Here's what's going on with Trump.
				- He asked his staff to cut down on the testing.
				- They said you crazy man, you fuck off. 
				- He says publicly they cut down on testing.
				- He shows the staff who's boss.
				- Jake Tapper just can't figure it out.
				- Nothing changes with testing.
		- An EZ-Pass for news
			- I want an <a href="https://en.m.wikipedia.org/wiki/E-ZPass">E-Z Pass</a> for news.   
			- Not micropayments. Tolls instead of paywalls. 
			- If I don't have an E-Z Pass, no access. If I do, it's seamless.
			- Suppose one month I spend $84 to read stories on The Atlantic. They can make me an offer to subscribe. Look dude, you're wasting money. Let us help you.
			- That's a lot nicer than -- hey asshole you can't read this article unless you subscribe. 
			- This is called marketing. A little romance with your sales pitch. 🌻
		- Impeach Trump, or you die
			- What Trump's depravity has done to America (so far) in <a href="https://twitter.com/ianbremmer/status/1275387838813609984">one graph</a>.
			- Two different pandemics.
	- June 22
		- <a href="https://github.com/foreversd/forever-monitor/issues/190">Braintrust query</a>: I'm trying to catch the error in a Forever-managed app that caused it to restart. The error shows up when the app is run on its own. I want the same info when Forever is running it.
		- Yesterday I <a href="http://scripting.com/2020/06/21.html#a161133">linked</a> to a Joni Mitchell song, <a href="https://genius.com/Annie-ross-twisted-lyrics">Twisted</a> -- not knowing it was a cover for a <a href="https://www.youtube.com/watch?v=l6OYSDYuvoA">song</a> written by <a href="https://en.wikipedia.org/wiki/Annie_Ross">Annie Ross</a>. A reader, <a href="https://twitter.com/pirx2691">Richie B</a>, sent me a link, and I like <a href="https://www.youtube.com/watch?v=l6OYSDYuvoA">this version</a> even better. Very sweet, jazzy. :boom:
		- I asked a friend who’s Jewish, as am I, how he’d feel if a statue of Hitler was in the middle of his town. He said it’s different. It’s not. Imagine, after surviving the war, getting your freedom, the people you lived with, who controlled the town you live in, celebrated your enslavers. 
		- The people who flirt with <a href="https://en.wikipedia.org/wiki/Ku_Klux_Klan">KKK</a> tactics, use the intimidation of <a href="https://en.wikipedia.org/wiki/Jim_Crow_laws">Jim Crow</a>, we can’t cleanse their minds, but we can force them back into the shadows. Blacks are every bit as American as any of us. Stop worrying about the feelings of the evil people, start caring for their victims.
		- My friend <a href="https://twitter.com/enochchoi?lang=en">Enoch Choi</a>, a brave doctor who risks his life to save people all over the world, reminds us that racist terms like Kung Flu, coming from the filthy mouth of our president, give permission to evil people among us to target Asian Americans. Unacceptable.
		- Today is WWDC day, and announcements from Apple. My longtime friend <a href="https://twitter.com/TheScottLove/status/1274898149161578504">Scott Love</a> says Apple should focus on the user experience. I say it's even more basic. What matters to me is how broken everything is. Every day it seems my flow is stopped because I have to find a way around something someone broke that broke something else. Stop deprecating, stop changing, let’s spend a decade fixing breakage.
		- The N-word
			- I watched a Dave Chappelle concert last night on Netflix. Great stuff. But. He says the N-word over and over. Even to talk about white people. It gets imprinted in your mind, that's just a fact. 
			- Another example, after watching The Wire, my brain starts using the N-word all the time as my mind drifts. God forbid the word should ever come out of my actual mouth. Someday it will and I will get excoriated. 
			- So maybe our black bros (another word DC uses a lot) could take this into account and maybe not use it so much, at least when the audience has a lot of white people in it. Just sayin. 
		- The weight of the world
			- This is how a president should look. With the weight of the world on his shoulders.  Finally, perhaps, it has dawned on him that he can't bluff his way out of this one. The virus doesn't intimidate. 
			- This is how a president should look. 
	- June 21
		- I love fresh cherries. 🍒
		- Idea for the <a href="https://www.who.int/">WHO</a>: sell individual memberships.
		- BTW, I never made software for iOS. I remember clearly when I decided not to. The day they announced the iPhone. I was expecting it to run Mac software. I had a great scripting environment for the Mac. I thought this is it, the perfect platform for me. Then I heard it was going to be nothing like the perfect platform for me. Now, 14 years later, give or take, the big story in tech is that it's an awful platform for developers. Y'all should just read "Scripting News". Save a lot of time. :boom:
		- Reboot journalism: Let the experts speak for themselves. Goodbye view from nowhere. 
		- Big story: The whole thing, politics, business, health care, journalism, a self-perpetuating mess that’s collapsing.
		- If you want to feel good, watch a <a href="https://en.wikipedia.org/wiki/Dave_Chappelle">Dave Chappelle</a> concert, or <a href="https://en.wikipedia.org/wiki/Stop_Making_Sense">Stop Making Sense</a>. They both totally rock, in different ways. 
		- The only reason we’re not in a declared war with Russia is the treason that put Trump in office. What Russia did certainly was an act of war.
		- <a href="https://twitter.com/ProjectLincoln/status/1274748265376907265">This</a>. This is how you do political advertising. You are watching history here folks. Pay attention. 
		- A bug in journalism is that it tries to put people in boxes. Your ideas only have value if you have credentials to back them up. This method makes reporters easily replaced by algorithms, and keeps us from hearing the most interesting  even eclectic idea stimulating ideas. Of course no one in journalism will hear this because heh I lack the proper credentials. 
		- Season 3 of <a href="https://en.wikipedia.org/wiki/Westworld_(TV_series)">Westworld</a> sucked.
		- Observation: The US, not just Trump, wants to be distracted from the terror of the virus.   Fact: We're so crazy we actually create events to help it spread faster. Action required: Pay more attention to the WHO and less to the antics of the US government.
		- The <a href="https://www.who.int/">WHO</a> had <a href="https://www.theguardian.com/world/video/2020/jun/20/the-pandemic-is-accelerating-who-warns-of-dangerous-coronavirus-phase-video">something to say</a> that we all must hear, but they didn't get much coverage. We were all too busy focusing on Trump's shenanigans, as always. There should be a daily briefing with Dr Fauci, broadcast on all channels, treated as news, I don't care if he has to quit the government to do it. The WHO message is this -- the virus is spinning up to a new level, and it's going to cost us hugely to get it to quiet back down. This has to be said clearly and repeatedly with authority. In America the only one who can do that is Fauci. Without Trump, obviously. Maybe Wolf Blitzer, who clearly has a rapport with Fauci should take a leave from CNN to be his partner in this. 
		- Before yesterday's rally in Tulsa, <a href="https://www.theverge.com/2020/6/21/21298169/kpop-fans-tiktok-tickets-trump-tulsa-rally-empty-seats">TikTok Teens and K-pop fans</a> organized to spam the registration page. So they had 800K signups, with room for only 19K fans. Only 4 million live in <a href="https://en.wikipedia.org/wiki/Oklahoma">Oklahoma</a>. So the numbers were fishy. Even so the Trump campaign hyped them. They seem to have <a href="https://www.cnn.com/videos/politics/2020/06/20/trump-overflow-crowd-speech-phillip-sot-nr-vpx.cnn">believed</a> them. They must've wanted to. Ethan Zuckerman <a href="https://twitter.com/EthanZ/status/1274685979182485505">says</a> it was activism, it was, and it's surprising how well it worked. 
		- <a href="https://www.youtube.com/watch?v=iisYw0epV_Q">I can't get this song out of my head</a>. "What's so strange when you know that you're a wizard at three? I knew that this was meant to be."
		- Father's Day
			- My dad, pictured below, probably around my age now, in Switzerland, having a snack of coffee and pie. My parents went hiking there every summer. They did a lot of traveling earlier in life, all over the world, but in the last couple of decades it was all about Switzerland. 
			- Professor Leon Winer, in his happy place. 
	- June 20
		- You don't learn the most from your parents until they leave you.
		- There ought to be an amendment. As soon as an incumbent president <a href="https://www.nytimes.com/2020/06/19/nyregion/us-attorney-manhattan-trump.html">tries to fire</a> a US Attorney investigating him, he leaves office, and is automatically indicted for obstruction of justice. No bail. It's an admission of guilt, like taking the <a href="https://en.wikipedia.org/wiki/Fifth_Amendment_to_the_United_States_Constitution">fifth</a>.
		- I went to <a href="https://www.realtor.com/local/schools/ps-32-state-street_0751458921">grade school</a> in Queens, not far from where Trump grew up. There were bullies in sixth grade who were more sophisticated and mature than our president. 
		- On GitHub, <a href="https://github.com/manton/JSONFeed/issues/6#issuecomment-647008288">Sergey Ponomarev</a> explains why he thinks JSON Feed was a bad idea. I wrote similar pieces in <a href="http://scripting.com/2019/11/04/164251.html">2019</a> and <a href="http://scripting.com/2017/05/21/reEvanWilliamsAndJsonFeed.html">2017</a>.
	- June 19
		- The episode on <a href="https://radioopensource.org/reviving-reconstruction/">Reconstruction</a> of Radio Open Source is a must-listen, esp the interview with <a href="https://en.wikipedia.org/wiki/Kimberl%C3%A9_Williams_Crenshaw">Kimberlé Williams Crenshaw</a>. I got goosebumps listening to her, and at the end I was fistbumping <i>YES</i> out loud on my bike ride. We are close to breaking through. The pandemic presents a huge opportunity for change that must not be wasted. Working together is required. I say something she didn't, white people will never know what it's like to be black, but we can work together, we must, we will. 
		- I started to record a <a href="http://scripting.com/2020/06/19/toOmReDropbox.m4a">voicemail</a> to <a href="https://om.co/">Om</a> about his <a href="https://om.co/2020/06/18/dropbox-is-a-total-mess/">recent piece</a> about Dropbox (it's short, you should read it before listening) but I kept going on, so I decided to make it a <a href="http://scripting.com/2020/06/19/toOmReDropbox.m4a">podcast</a>. 13 minutes. 
		- Today was the last Cuomo briefing, and the end of the <a href="http://this.how/cuomo/">Cuomo podcast</a>. Thanks to <a href="https://www.linkedin.com/in/rbrianbluestein/">Richard Bluestein</a> for doing the audio. Learned a lot from it, and also got to listen to some good leadership. I wonder who's going to fill the void. I hope the Democrats see there's a vacuum, maybe they could get <a href="https://en.wikipedia.org/wiki/Anthony_Fauci">Dr Fauci</a> to do something like what the Governor was doing. Or a former head of the CDC? We need a trusted source of advice and scientific info to keep going. Not just in New York, but around the country, and elsewhere. 
		- Our blogger-in-chief
			- Many many years ago I predicted that the US House would be filled with bloggers. I didn't dare predict that the president would be one. I thought it would be a good thing. Little did I know then..
			- America's blogger-in-chief. 
		- The revolution will not be televised
			- I was very much active in politics when <a href="https://en.wikipedia.org/wiki/Gil_Scott-Heron">Gil Scott-Heron's</a> 1971 <a href="https://www.youtube.com/watch?v=QnJFhuOWgXg">song</a>, <i>The revolution will not be televised,</i> was a hit. I just saw <a href="https://twitter.com/ToriNicksWho/status/1271581194602180608">this video</a> where he explains the idea behind it.  Back then I liked the song, but it was scary. Maybe that's why I liked it. 
			- The idea of blacks leading a revolution, when the images on TV were of violence and looting, was fear-inspiring. The <a href="https://en.wikipedia.org/wiki/Black_Panther_Party">Black Panthers</a> were fear-inspiring. 
			- This is the kind of <a href="https://www.google.com/search?q=black+panthers&safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ALeKk03mZAaIwlnwjCIpODhnxfEyskr7aQ:1592572085234&source=lnms&tbm=isch&sa=X&ved=2ahUKEwihjK2r-Y3qAhUkSN8KHem2DGUQ_AUoAnoECBwQBA&cshid=1592572121919779&biw=1489&bih=1165#imgrc=oT8EPDvkkW4OiM">image</a> that went with the song, for me. 
			- Look, there's no absolute truth to any of this, only points of view. It was much later in life that I came to see that blacks can be hippies. When I was young as far as I knew only white people smoked pot. Did I ever see a black person smile? Not that I recall. 
			- I remember in 1980 on a beach in Jamaica, the only white person, and feeling really scared. 
			- We've come quite a ways. 
			- I wish I had seen <a href="https://twitter.com/ToriNicksWho/status/1271581194602180608">this video</a> a long time ago. Gil Scott-Heron is a friendly artistic dude. I didn't get that way back when. Listening to it many years later, I realize now the song probably wasn't intended for me, a 16-year-old white kid. But it reached people like me, and influenced our thinking, the way we felt about blacks and revolution. But it's not 1971, and it seems we've learned how to listen to each other better. 
	- June 18
		- It's crazy. If everyone in America wore a mask, within a few weeks there would be no more new infections. We can't get that simple idea through the skulls of people who are entranced by the orange blob tweeting from the sub-basement of the White House.
		- I tried the new Twitter <a href="https://twitter.com/davewiner/status/1273600373777928193">voice tweet</a> feature. 140 seconds. 
		- With Twitter's new voice tweet feature, i'd like a very simple way to post a voice message to an RSS feed. I can help with this. I have lots of working code for dealing with feeds, as you might imagine. Let's make podcasts super easy for the people.
		- Simpler server-side JavaScript
			- Yesterday I posted here and on Twitter this idea:
				- <i>I’d like to do a new server-side JavaScript environment that’s compatible with <a href="https://nodejs.org/">Node</a>, ie runs Node apps, no breakage, but it also eliminates the need for <a href="http://callbackhell.com/">callbacks</a>, <a href="http://scripting.com/2020/06/14/144017.html?title=javascriptPromisesVsCallbacks">promises</a> or async/await. I believe it’s technically possible.</i>
			- A friend suggested using <a href="https://babeljs.io/">Babel</a> to prototype this. 
				- <i>I could imagine a modifier keyword on a function that means this function is internally going to do async things and calls to it should block until until it completes. That could be translated by a Babel plugin into somewhat that internally uses promises queuing to make callers wait for completion.</i>
			- This is the way to start. I wonder if anyone reading this has the expertise in Babel to make this work. I've started a <a href="https://github.com/scripting/Scripting-News/issues/178">thread</a> over in the repo to discuss.  
			- I will write up some code to demonstrate what the Babel plug-in will do, hopefully later today. Stay tuned. 
			- <b>Why try to simplify?</b>
			- I was asked on Twitter why I want this. There are all kinds of overhead, time, space, and intellectual. I program in a high level language instead of machine language because there's less intellectual overhead. It would save both time and space to use machine language. But I'm saving complexity by programming in a <a href="https://en.wikipedia.org/wiki/High-level_programming_language">HLL</a>, and that means I can build more complex and useful software. 
			- Why not just use promises, they're easy my correspondent asks. I say it's easier to not have to program something than use something that makes it easier to program. That's the philosophy of factoring. However the JavaScript I envision would be backward compatible with EC6. It would run any code that runs in Node. But it would also be able to process asynchronous functions with syntax that's as simple for a programmer as calling a synchronous function. 
			- I don't think there's any question that callbacks are something we'd like to simplify. <i>I'm saying it's possible to simplify callbacks by removing the need to use them for simple asynchronous I/O operations, yet give up none of the efficiency. </i>Most other languages do it, so can JavaScript. 
			- There's another reasons, transparency in APIs. For example, I might want to prototype a function by storing its data in memory, but at a later time may decide to store it on disk or on the net. I want to keep the interface unchanged, but with today's JavaScript you can't, you have to go to callbacks/promises/etc.
			- In general, the philosophy of factoring says you take a problem that you're solving over and over, and create a library of functions that do it, and call them instead of replicating the code. 
		- My two cents about Hey
			- In an email to <a href="https://twitter.com/gruber">John Gruber</a> --
			- John -- A few things bother me about Hey.
				- They're doing what they say they don't like about Apple. If I want to make a product for their platform, something that does something different with their email, I can't even pay them 30% of revenue. I'm locked out. 
				- Email already means something, and having choice in clients is part of that. So maybe they shouldn't call it email, that might alleviate my concern.
				- It's another Twitter. Five years from now people will get it. They're in a silo and there's no way out and no one can offer the features they offer without cloning the whole thing, which is kind of pointless, because the people you want to reach are still over there.
				- This will definitely be a blog post. ;-)
			- Also is there a non-hyped list of new features that aren't present in email? Not a marketing list.
			- Dave
			- <a href="https://twitter.com/davewiner/status/1273263575067492354">PS</a>: It's okay as far as I'm concerned to invent a new email protocol, and even have it be closed, but if others can't implement it, then we should know that.
			- PPS: I did create a new Hey account, I'm davew. I like it, but hey what I actually want a really simple scripting interface so I could write my own rules without having to try to figure out how the user interfaces for rules work in Gmail or Hey or Ha or Hmm or Heh or Who or Whatever. Silly thing is I had exactly that a long time ago with <a href="https://en.wikipedia.org/wiki/Eudora_(email_client)">Eudora</a> and Frontier and it worked exactly as well as you would think. I did all kinds of interesting web content apps with it. Email is a nice interface for web work. I bet you didn't know that. :boom:
	- June 17
		- <a href="https://www.youtube.com/watch?v=wuAHz4i3_x8">The next Lincoln project ad</a>. China and Trump. 
		- Black neighborhoods must get the same service as white neighborhoods. Very simple.
		- White people are never going to understand what it's like to be black. But we can listen, <a href="http://scripting.com/liveblog/users/davewiner/2016/01/17/0880.html">empathize</a>, and try to do what they ask us to do to help. That would be success imho. Last night <a href="https://en.wikipedia.org/wiki/Ari_Melber">Ari Melber</a> asked a panel what victory looks like. It's a good idea for everyone to ask and answer that question. Let's find common goals and work together to achieve them. You have to figure out what needs to change to make America safe for blacks. We can help. One of the big lessons of the <a href="https://www.nytimes.com/2020/01/23/podcasts/1619-podcast.html">1619 podcast</a> was that the struggles of blacks for equality gave us all greater guarantees. This will happen again and again. But we must not waste the opportunity.
		- I’d like to do a new server-side JavaScript environment that’s compatible with <a href="https://nodejs.org/">Node</a>, ie runs Node apps, no breakage, but it also eliminates the need for <a href="http://callbackhell.com/">callbacks</a>, <a href="http://scripting.com/2020/06/14/144017.html?title=javascriptPromisesVsCallbacks">promises</a> or async/await. I believe it’s technically possible.
		- A new kind of bot?
			- It'd be interesting if there was an AI bot that rated people on the basis of whether they could change their mind. 
			- People could compete on that basis. 
			- At least we would learn how to imitate actual discourse.
			- Good intentions might rub off. :boom:
		- Smells as a time machine
			- Smells are an incredible thing, a time machine, when you get a whiff of something from long ago, it reaches deep into your emotional memory and you experience the feelings from long ago, most deeply felt are the feelings of childhood and the people who raised me.
			- For example, when I moved to NYC from California in 2010, when I went for a walk in the morning in Central Park, I'd get the smell of the woods and the morning dew, mixed with salt air of the ocean. It took me back to my <a href="https://www.google.com/maps/@40.5735409,-73.8634283,3a,75y,52.24h,89.64t/data=!3m7!1e1!3m5!1sH90kfd-HjSqxwYfJBxsdGQ!2e0!6s%2F%2Fgeo3.ggpht.com%2Fcbk%3Fpanoid%3DH90kfd-HjSqxwYfJBxsdGQ%26output%3Dthumbnail%26cb_client%3Dmaps_sv.tactile.gps%26thumb%3D2%26w%3D203%26h%3D100%26yaw%3D44.51749%26pitch%3D0%26thumbfov%3D100!7i16384!8i8192">grandmother's house</a> in Rockaway. She's long gone, the house isn't ours anymore, but the memory sure is.
			- Morning smells here in the Catskills, where I live now, take me back to <a href="https://www.google.com/maps/place/Copake,+NY+12516/@42.1092826,-73.5762083,14z/data=!3m1!4b1!4m5!3m4!1s0x89dd867b736b3061:0x1ec908b2690186d1!8m2!3d42.1034549!4d-73.5499249">summer camp</a>. The rituals. <a href="https://en.wikipedia.org/wiki/Taps">Taps</a> at bedtime, <a href="https://en.wikipedia.org/wiki/Reveille">reveille</a> to wake us in the morning. The food they served that my mother never did. Butter on bread. What a revelation. We didn't eat butter at home. 
			- Playing softball every day. Swimming. Canoeing. And most deep gratitude for the weekly care package from mom with home baked cookies and stories from home. I'm sure she put as much care into the packages as I did in savoring them. Until I experienced the summer smell of camp, here and now, at age 65, mom gone, I never recalled those packages. If I had I would have never doubted our bond. 
		- We'll carpe some diems
			- Yesterday I read a post from my friend <a href="https://twitter.com/annamasera">Anna Masera</a> in Italy who was going out to eat at a real restaurant. Not outdoor seating. Inside. Then I realized how great it's going to be to re-experience all the things we took for granted just a few months ago. If we survive this it'll have been worth it from that standpoint.
			- We're going to have some fun, yes we will. 
	- June 16
		- I heard that <a href="https://www.protocol.com/hey-email">Hey</a> doesn't support standard email protocols and is not file format compatible with GMail. Is this true? What is their protocol like? How do you get your data out if you decide to switch? Can you? 
		- I'm thinking of providing free email too. No code written yet, but I do have the <a href="http://heh.email/">domain</a> reserved. <i>Heh.</i>
		- <a href="https://twitter.com/ProjectLincoln/status/1272884472459997185">The Lincoln Project</a> is going to win the Pulitzer for campaign snark. I want to know is that really Sir David Attenborough? 
		- Every once in a while, Siri in my back pocket says "Sorry I couldn't hear what you said." I didn't say anything. Or my Alexa says it doesn't recognize my voice, would I like to register. It was Andrew Cuomo talking in a YouTube video. Little unforseen consequences. It's like being in an episode of Westworld. I'm sure it's already happened that the two have had conversations, being confused about what the other said. 
		- In the piece below I mention the two local papers in Madison in the 70s. I remember their names as the Crap Times and the Wisconsin State-Urinal. One of my roommates put that in my head.  
		- I'd love to get a picture of <a href="https://twitter.com/neal_katyal">Neal Katyal's</a> study as he appeared yesterday on Ari Melber. It looks like the room of someone who spends all his time online and in his mind. I recognize it, I've existed in such a space as long as it's been possible. Also the interview with Fauci with Wolf Blitzer on Sunday which by luck I watched live. They've known each other a long time, clearly are friends. Blitzer asked him a personal question, Fauci answered. He said he spends all his time writing emails. He puts so much in, and he must have so much frustration, given how badly we're doing, and how he's prevented from speaking. I keep wondering if we, online media tech makers, couldn't do more to help him communicate, given the limits of TV.
		- I was a paper boy as a kid. I had a route. I delivered <a href="https://www.loc.gov/item/sn84031844/">Long Island Star-Journals</a> to neighbors in Flushing on my bike. I was emulating the net. <i>Very</i> slowly. 
		- News has been unbundled
			- When I was a grad student, I'd grab a copy of the <a href="https://www.chicagotribune.com/">Chicago Tribune</a>, <a href="https://madison.com/ct/">Capitol Times</a> or <a href="https://madison.com/wsj/">Wisconsin State-Journal</a> and hang out at the <a href="https://union.wisc.edu/visit/terrace-at-the-memorial-union/">Memorial Union</a> and catch up on the news, do the crossword or read the cartoons. The good old days in the 1970s.  
			- Today, I'd still want to hang out at the Union but I'd get out my laptop or iPad and read the news via Twitter and my <a href="http://scripting.com/river/">RSS river</a>. Key difference: Today  no single publication delivers the full news experience. 
			- The Union <a href="https://www.tripadvisor.com/Attraction_Review-g60859-d4480969-Reviews-Memorial_Union_Terrace-Madison_Wisconsin.html">terrace</a> is where people meet in Madison. 
			- Looking back, they could have seen this happening, and done more to bind themselves to Twitter or RSS, or even produced their own hybrid and add their expertise as users of news. And if they had let it evolve it might have been, by now, a fantastic news reading and interacting experience, far better than what we use today. They didn't so this is where it's at now, an unbundled, à la carte reading experience. 
			- But today the news industry is still set up as a business as if I'm going to get my news the way I did in the 70s. And how are they going to convince me to do this? A paywall. The price for reading the article that's caught my eye is to give them my credit card and the right to charge me $10 per month for perpetuity. No. The answer is no. Always no. 
			- I wonder how many subscriptions the CEO of the Atlantic and Mother Jones have bought this way? 
			- I'd like to see a bar graph with online subscription revenue for the top 15 pubs. I imagine it looks something like this. 
			- Imaginary subscription revenue for top 15 pubs. 
			- If you're a person who thinks about business models of news, ask yourself, how many subscriptions can one reader afford? Feel good about? Feel like they aren't being ripped off by? For me the answers to the three questions are: 3, 0 and 0. 
			- I'm paying about $30 per month for this, and am not happy about it. In contrast I pay <i>$200</i> per month for TV. And I'm ready to spend more. But, get this, I spend a lot more time every day reading on the net. And I know the news orgs don't think very much of us readers, but I'm not reading crap, I'm learning, getting information about a lot of local stuff (despite the belief there is no local news, there is). And I can afford to pay much more than I am, I'm just waiting for some part of the news industry to wake up and realize it's not the 1970s anymore. 
			- Another thing I spend a lot more money on that might be closer to news is political campaigns. As Election Day approaches, I'm giving out $100 gifts to candidates to help save the world, the same way I would like to throw money at news orgs who help to "save my life". 
			- Subscriptions? I don't think so. I don't commit to vote for the governor or mayor beyond the next election. It sounds stupid to even put it that way. I'm sure the politicians would like that. And there are good arguments for it. But we get to choose again and again. And that's how I like it. It keeps them interested in communicating with me, maybe even slightly, to listen. 
			- I've read so many stories about how news orgs feel about their role, maybe it's time for the news orgs to try to find out how their readers see their roles? Basic business. Know the people who pay your bills and do things that delight them. Not much of that going on with news. Too much talking to be heard by other news people. I visualize it as two barbers passing the time cutting each others hair. 
			- BTW, I <a href="http://scripting.com/2020/05/29.html#a135626">wrote</a> about the news experience I want back in May.  
			- Thanks for listening. 
	- June 15
		- I missed the anniversary again. <a href="http://scripting.com/2002/06.html#When:7:55:32AM">18 years ago yesterday</a>, I quit smoking. The number of cigarettes I've had since, zero. Not one. Yet I still sometimes dream that I'm a smoker, buying packs of Marlboro Lights on the sly, feeling guilty that I'm lying to my friends when secretly I'm still a smoker. I quit smoking because the arteries on my heart were so clogged that they didn't work anymore. I had to get blood vessels from my legs and chest transplanted to bypass the blockages. These continue to work to this day, keeping me alive, riding my bike, writing software and blog posts that seem to make some people happy and piss other people off but are ignored by almost everyone. Makes sense. Anyway, I wrote <a href="http://scripting.com/2002/06.html#smoking">something</a> on my blog a few days after I quit. "I figured something out in the hospital. I'm the kind of person who likes to solve problems by smoking. How do I know this? Because every time my mind encounters a problem it says "OK, I'll just have a cigarette then." I bet a lot of other cigarette smokers deal with problems the same way. Now that I don't smoke, I still have the idea that smoking will help me deal with problems. It's funny, one part of my brain has figured out that this is wrong (in fact smoking causes more problems than it solves) but a deeper part of my brain still believes it. This leads to some funny arguments inside my brain. But so far so good. I got to go through the worst of the withdrawal in a hospital where there was no possibility of smoking, and now the craving seems manageable. No doubt other people have smoking stories to tell. I was one of the lucky ones, I survived to tell my story. So far so good."
		- This is the week <a href="http://scripting.com/2020/06/15/134950.html?title=whyThisIsTheWeekTrumpCrashesAndBurns">when</a> it all falls apart for Trump.
		- A <a href="http://scripting.com/2020/06/15/foreverAndPagepark.m4a">podcast</a> about how I merged "PagePark" with <a href="https://www.npmjs.com/package/forever-monitor">Forever</a>. A few weeks ago I did a podcast where I explained how the pieces <a href="http://scripting.com/2020/06/01.html#a204659">came together</a> for Frontier in the late 80s and early 90s. I was thinking about that then because a similar thing was happening with PagePark and Forever. I was putting the two together and had an aha moment where the pieces snapped together. PagePark has a very simple idea of what a website is, it's a sub-folder of the <i>domains</i> folder. The name of the sub-folder is the domain that maps to that content. The aha was realizing that you could also put a Node app, to be managed by Forever, which is a package you can integrate into an app, in one of those folders too. Not only did it work at a technical level, but it also provides Frontier-like integration. It's very nice. I've been managing apps in this little world for a couple of weeks now. 
		- A random <a href="http://scripting.com/images/2020/06/15/ppCommandLineScreenShot.png">screen shot</a> for docs I'm writing. This is what a table for the <a href="https://github.com/scripting/pagePark/tree/master/cli">command line tool</a> I wrote for PagePark displays. It's equivalent to the table that Forever displays at the command line. 
		- I read that <a href="https://www.zdnet.com/article/github-to-replace-master-with-alternative-term-to-avoid-slavery-references/">GitHub</a> is going to get rid of the concept of master for repositories because it's a reference to slavery. According to their <a href="https://guides.github.com/activities/hello-world/">docs</a>, "By default your repository has one branch named <i>master</i> which is considered to be the definitive branch." A search of <a href="https://www.google.com/search?q=site%3Agithub.com+master">github.com</a> finds a lot of uses of the word master. And in the rest of the world, there are master bedrooms and master's degrees. Courts appoint special masters. There are a lot of <a href="http://thesaurus.land/?word=master">synonyms</a> in the thesaurus. 
		- The <a href="https://github.com/scripting/Scripting-News/issues/177">consensus</a> from yesterday's <a href="http://scripting.com/2020/06/14/144017.html?title=javascriptPromisesVsCallbacks">query</a> is that adding promises to JavaScript wasn't much of a gain. Some people find promises more readable. There are some problems that are unwieldy with callbacks that are simpler with promises. There are already packages that have cast aside callbacks and only use promises in their APIs. If I need to use those packages <a href="https://github.com/scripting/Scripting-News/issues/177#issuecomment-643828855">I will use</a> their promises-based API. No choice. My two cents. I wouldn't have supported this addition to the language. I much prefer tech that adds functionality in a clear understandable way. I would prefer if we could put our effort into (for example) making Dropbox work on Linux. Everywhere you look systems we depend on are in disrepair. It's like the way NYC worked when I was in high school. Burned out neighborhoods that people still live in. At some point you have to start thinking about the size and shape of the community you're serving and focus on making the language work better, not making it more complex. I still think there should be a JavaScript option to bury the synchronization functionality in the runtime, and let people write code in the natural way they do in pretty much every other language. Why JavaScript is different is something I've never heard a good answer to.
		- I ran out of of the ramen I stocked up on at the <a href="http://scripting.com/2020/04/05.html#a174159">beginning</a> of the pandemic.
		- Why this is the week Trump crashes and burns
			- Three things are going to happen this week. 
				- The rate of hospitalization will explode in red states. 
				- The stock market continues to crash.
				- Trump's rally in Tulsa is cancelled, or worse is a washout. 
			- He threw a ridiculous and unnecessary <a href="https://en.wikipedia.org/wiki/Hail_Mary_pass">Hail Mary pass</a> that could only have worked if the virus was done with us.
			- It's going to sink in with many more people, even some MAGAs, that we're going to hit this wall again and again until we hunker down and wait for the vaccine. Eventually everyone will understand this. And the market will crash more. A new lifestyle will take over the US as we transition into something less than a First World country.
			- And by the end of this week there will be a consensus that Trump is no longer our biggest problem. We're already well on the way there.
	- June 14
		- I'm guessing <a href="https://twitter.com/AP/status/1272268587005284353">Trump's Tulsa rally</a> won't happen, because as the next week progresses, the numbers are going to start rising more steeply from all the new unprotected activity. We're going to hit this wall many times before we're ready for the long haul. Even MAGAs will get the message.
		- There's going to be hunger and homelessness, soon, and the virus isn't going to <a href="https://apnews.com/129cbe9e6320cd16ce3e845f29de0cac">spike</a> -- that's wishful thinking. It's more likely the curve is going to go up and up and up, getting steeper all the time, until we stop the party and get serious about saving lives. Let's find ways to help each other. Black lives mattering can help <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22save+my+life%22&t=h_&ia=web">save all our lives</a>. We're all in the same boat now, believe me. The police may loom large as the biggest problem, but imho, they are far from the biggest problem. That's the virus, and the broken political system. We have to work together. That's the only way out.  
		- Health care is a #BLM issue. With all the trillions the US government is going to spend in the next year trying to keep the economy alive, we could use part of that money to convert the American health care system to a single-payer, no more paying the insurance industry their unearned cut. 
		- Republicans are <a href="https://talkingpointsmemo.com/edblog/rubio-adds-to-viral-freak-out-over-hippie-jugglers-mistaken-for-antifa-invaders">desperate</a> to whip up fear of something, <i>anything,</i> that seems more dangerous than Covid-19 actually is. They could, instead, embrace the actual disaster, and you know, as the governing party, help save American lives. 
		- <a href="https://twitter.com/davewiner/status/1272124761297076224">Perhaps</a> it should be illegal for a company to own both a search engine and a web browser, esp if they dominate. They might try to take full possession of <a href="http://this.how/googleAndHttp/">something</a> that belongs to the public.
		- This week's New Yorker cover.
		- JavaScript: Promises vs callbacks
			- In JavaScript, what do promises make possible that callbacks don't?
			- i've been writing large pieces of code in JavaScript for about seven years, all flow is via callbacks because: 
				- That's all that existed when I started.   
				- I like them, I think in terms of them.   
				- My editor is proficient at managing them. 
				- All this proficiency didn't come cheaply. A lot of time went into it.
			- I'm a big believer in this: one way of doing something is better than two, no matter how much better the second way is. Why? Because I'm going to end up supporting both.
			- <a href="https://github.com/scripting/Scripting-News/issues/177">Here's some space</a>, please help me understand why you think promises is a game-changer. The more succinct the better. Thanks.
	- June 13
		- <a href="https://twitter.com/davewiner/status/1271950380570685442">Poll</a>: Is Trump the worst-of-species choice for POTUS?
		- Do you want to return to normal? Normal was pretty fucked up. Normal got us here.
		- The Lincoln Project <a href="https://twitter.com/ProjectLincoln/status/1271916479206825984">does to Trump</a> what Trump did to his 2016 adversaries. Thank heavens <i>someone</i> did this. The Democrats are terrible at being nasty. For that you need a Republican.  
		- What if after journalism purges all the unacceptable points of view there’s nothing left but baby pandas and such.
		- I think the #BLM protests will become more substantial as the hardships of the virus get deeper. In the US, for example, the rent moratoria are expiring. Unemployment subsidies as well. Hunger and homelessness will explode as unemployment did in March and April.
	- June 12
		- It may be time for <a href="https://duckduckgo.com/?q=site%3Ascripting.com+fractional+horsepower&t=hk&ia=web">fractional horsepower</a> social networks.
		- I got an email from <a href="https://duckduckgo.com/?q=%22the+correspondent%22+site%3Ascripting.com&t=hk&ia=web">The Correspondent</a> this morning, the first communication since they disappeared. I contributed $25 so I could find out what contributors got. Did it ever amount to anything? TheC didn't make sense, didn't come close to earning the universal acclaim it got, or the money they raised from the people. They claimed they would open a new kind of news org in America, and when they met their money-raising goal said that was never their intention. The problem with snake oil pitches like The Correspondent, aside from the fact that they're dishonest, is that they suck resources away from ideas that might actually make news work better. This happened repeatedly in tech. A famous successful tech entrepreneur claims to have found a breakthrough, and the press gets all excited. It sucks up all the money and attention that might have gone to products that could really have helped, and then they do it again and again. People should be suspicious of grand claims, no matter who is making them. And if you, an analyst, really think you've found <a href="https://www.youtube.com/watch?v=EUN1ClT9i9w">The One</a>, you should get opinions from friends before you stake your rep on it. 
		- The other day I <a href="http://scripting.com/2020/06/10.html#a135058">wrote</a> a short definition of blogging, including a word I suspect not a lot of bloggers would use -- fluid. To me the process of writing on your blog, if it isn't fluid, it isn't doing its job. By fluid I mean this. I have an idea. Count the steps before the idea appears on your blog and how complex the steps are. The more steps the more likely you'll lose your way, and find it hard to get back to what you were doing. You respond by skipping it altogether next time, the idea is lost. You can engineer fluidity, the same way you can optimize for other attributes. But most blogging software doesn't imho even try. 
		- Twitter btw is <a href="https://twitter.com/davewiner/status/1271537227827490821">quite fluid</a>. That's one of the things I like most about it. But it has severe limits on what it can do.
		- I've been listening to <a href="http://this.how/cuomo/">Cuomo's daily briefing</a> on a pretty regular basis, and enjoying them. <a href="https://twitter.com/MariaDeCotis">Maria DeCotis' dramatizations</a> of his talks, which I <a href="https://twitter.com/MariaDeCotis/status/1256263535686045697">just</a> <a href="https://twitter.com/MariaDeCotis/status/1271427550137528320">discovered</a> <a href="https://twitter.com/MariaDeCotis/status/1270702683490574336">last</a> <a href="https://twitter.com/MariaDeCotis/status/1259831736000827393">night</a>, are <a href="https://twitter.com/MariaDeCotis/status/1260555389424328705">LOL</a> funny. Taking Sarah Cooper's <a href="https://www.youtube.com/watch?v=RxDKW75ueIU">classic</a> parodies of Trump to the next level. 
		- I don't think <a href="https://appleinsider.com/articles/20/06/12/apple-next-veteran-joanna-hoffman-calls-todays-technology-leaders-remarkably-ignorant">any of us</a> from previous generations of tech can say what the current leaders should do, because the scope today is so much bigger. We don't have more experience with today's medium than they do.  
		- <a href="https://twitter.com/BarbaraKB/status/1271124826221088769/">Illustration</a> of Defund The Police. 
	- June 11
		- It's good that the <a href="https://www.reuters.com/article/us-usa-stocks/wall-street-slides-at-open-on-fears-of-second-virus-wave-idUSKBN23I1OR">market corrected</a>. Otherwise it was saying something pretty horrific. That the economy will just sail along with huge unemployment, hunger, disease and death.
		- <a href="https://twitter.com/sfchronicle/status/1270869673303855107">Lakoff says</a> "defund the police" is a terrible slogan. As I've said <a href="http://scripting.com/2020/06/09.html#a181221">myself</a>. Black Lives Matter is brilliant. Impossible to disagree with. But even if you endorse defund the police, you have to immediately explain that isn't literally what it means. 
		- On Twitter, a question. Name something that your mother cooked that was your favorite. At first I was going to reply my mother wasn't a very great cook, but then I <a href="https://twitter.com/davewiner/status/1271192726671962112">remembered</a>. She sent us, my brother and I, cookies at summer camp. They were the best things ever.
		- One of my servers was down at least since midnight. Sorry if you've had trouble reaching "LO2" and many of the static sites. Operator error. 
		- I found the <a href="https://www.polywood.com/chaise-with-arms.html">patio lounge chairs</a> I want. Reasonably priced. Sturdy. Attractive. Only problem is they take a long time to get here. 8 weeks. By that time summer will almost be over. (Update: My friend Peter Politi found the chairs on the Lowe's website at a good price for delivery in 8 days. Problem solved.)
		- Feature <a href="https://twitter.com/davewiner/status/1271087957777305604">request</a> for Twitter.
		- Beatles: <a href="https://www.youtube.com/watch?v=BGLGzRXY5Bw">Revolution</a>.
		- American racism is a <a href="https://twitter.com/iLURVhistory/status/1270933462325907457">product</a> of British colonialism. 
		- Defensive driving in code
			- Continuing the example from the <a href="http://scripting.com/2020/06/07/140541.html?title=aCaseStudyInReadableCode">previous case study</a>. The routine, pad, takes three parameters, a string or something that can be coerced to a string, a character to pad with, and the number of places to pad to. So <i>pad (8, "0", 4)</i> returns a string whose value is 0008. It's useful for neat tabular displays.  
			- In an app I'm working on, I call pad a lot. Then, while testing it in a new environment, I got an error message from the JavaScript runtime:
				- TypeError: Cannot read property 'toString' of undefined.
			- Looking at the stack, the error was in the first line of pad.  
				- var s = val.toString ();
			- I conclude that val is undefined in one of the many calls. 
			- The question -- should I find the place I called it with undefined and add logic to not call pad in that case, or should I add the test in pad, and return something reasonable when val is undefined?
			- Now we get to the point of this case study.
			- Changing a core routine like pad is tricky. If you change its functionality, you potentially break code that calls it. If it's been around a while, who knows all the places it has been called. However in this case, that's not an issue, because any call that has undefined as the value of the first parameter is going to fail. So it's already broken, therefore you can't break it and therefore it's okay to fix it. :rocket:
			- Then the question is if it's <i>desirable</i> to fix it in pad, or in the place that calls it that causes the app to fail. For me that's a no-brainer. It would clutter up every call if we don't put it in the function. The whole point of factoring like this is to trade off a tiny bit of time for space and reduced complexity. Factoring is a good thing, and you should do it whenever it's responsible. Remember what <a href="http://www.gurteen.com/gurteen/gurteen.nsf/id/X00063BF6/">Einstein</a> said. Basically factoring is good, but don't do too much. 
			- I call this coding technique <i>defensive driving. </i>It's something you do in case the other driver (the caller) screws up. You want to prevent the accident. Most of the time it won't accomplish anything, but when it does, it saves you from a crash. One less thing to worry about.
			- So here's the new version of pad, with the defensive driving code added:
				- function pad (val, withchar, ctplaces) {
					- var s = (val === undefined) ? "" : val.toString ();
					- while (s.length < ctplaces) {
						- s = withchar + s;
						- }
					- return (s);
					- }
			- It makes <i>pad</i> a little more complicated -- a fact of life. Production code is rarely as simple as demo code because it has to deal with all the crap that gets thrown at it. Defensive driving is how you deal with that, the same as in driving a car or riding a bike in traffic. You never know what the other idiot is going to do. :smile:
	- June 10
		- If you want to lead, you have to give away a lot of your ideas.
		- If blogging didn’t exist we’d have to invent it.  “People writing what they know, fluidly, publicly, with an archive for the future.”  <a href="https://twitter.com/davewiner/status/1269645604159991808">That’s it</a>. 
		- <a href="https://twitter.com/davewiner/status/1270781732313272320">Poll</a>: The Repubs want to have a virus-free convention, no masks, no social distancing, the place packed with Trump supporters yelling <i>Lock Everybody Up Except Our Beloved Trump.</i> Now the question. Will this event actually happen?
		- I still want an automatic blog indexer web app. I would pay you $50 a year to do this for my blog. Create a website that's organized like the <a href="http://scripting.com/images/2020/06/10/index.png">index</a> in the back of a book. It digests my new stuff every day (or hourly, even better), and adds each item under topics in the index.<i> </i>I'd like to read everything I've written about the Voting Rights Act, for example, or Steve Jobs. But not as a search, as something I browse. Back when I used to read printed books, sometimes I'd spend hours reading a book via its index. A bootstrap. I'd love to help drive such a project. We need this. 
		- I <a href="http://scripting.com/2020/04/08.html#a135424">predicted</a> something like this. Yesterday at the supermarket, I glanced behind in the checkout line, saw a woman who had pulled her mask down. She seemed very naked, as if she had pulled her pants down and you could see everything. Sexual. Very forbidden. A month ago, it wouldn't have been a thing at all.
		- Oy. I’ve been <a href="http://scripting.com/2017/06/06.html#a080649">using</a> DuckDuckGo in my blog archive, thinking it’ll hold up better over time than Google searches, but I overlooked this, <a href="https://9to5mac.com/2020/06/08/apple-acquire-duckduckgo-analyst/">Apple could buy them</a>, and I tend not to trust their links over the long haul. 
		- One thing that's needed is a canonical place to point about news that isn't behind a paywall. I want to point to something definitive from my blog for Defund The Police. All that Google <a href="https://www.google.com/search?q=defund+the+police">finds</a> are news articles on paywalled sites, or ones infused with spyware, or ones whose archives won't last.
		- Yesterday I <a href="http://scripting.com/2020/06/09.html#a165548">asked for tips</a> for patio lounge chairs. I got a lot of suggestions, but I should have been clear about what I want. Something that looks like this. 
	- June 9
		- The word isn't "defund" -- it's reboot.
		- The biggest problem in police in America are the unions. You want to reboot the police? Knock out the unions. Redefine them. Limit their power. Then the voters can pass new laws about police. Until then, anything Congress passes is powerless. <a href="https://www.history.com/this-day-in-history/reagan-fires-11359-air-traffic-controllers">Reagan</a>, when he took office, outlawed the Flight Controllers union. So you can do it. No more police unions. Police, you don't like it? You're fired. 
		- I don't RT Trump and you shouldn't either. But I just read his latest tweet, and I gotta say he's got a lock on the <a href="http://scripting.com/images/2020/06/09/weirdAlTinFoilHat.png">tin-foil-hat</a> wearing base. 
		- Trump, if he had any competence could have easily made himself indispensable. The virus was the perfect storm. Not only did he blow the initial response, he refused to do anything beyond that. Any other president would have an approval of 99% just for having a pulse.
		- For blacks, living in America is like my family living in Germany after the Nazis came back into power, hypothetically, after the war. Not an exact analogy, but close.
		- Heard a bit this morning on NPR about <a href="https://duckduckgo.com/?q=%22defund+the+police%22&t=hk&ia=news">Defund The Police</a>. I heard it said if Joe Biden doesn't embrace it his election could be in doubt. That's fucked up.  It doesn't mean what it says. It's a really bad slogan, and if he were to say he agrees, it would lose <i>us</i> a lot of votes.
		- Defund is not a good word. Whoever came up with the slogan, it may work in City Council meetings, but it isn't a slogan for the presidential election. This needs to be driven by the people, and that's what's happening. The Dems now have all the support needed to make change. Now let's see if they are independent enough to do it. Or are their strings to money too rigid?
		- Reporters are like cats and Trump acting insane is their catnip. They love to be distracted, so they don't have to do their job, which is to <a href="https://www.google.com/search?safe=off&rlz=1C5CHFA_enUS743US747&sxsrf=ALeKk00c2x-oPfMhOYA7wM_bTsmMlcKSwQ%3A1591721643083&ei=q77fXp3YBIaoytMPgZ2KuA0&q=site%3Ascripting.com+%22save+my+life%22&oq=site%3Ascripting.com+%22save+my+life%22&gs_lcp=CgZwc3ktYWIQA1DmPVj8TWCYU2gAcAB4AIABP4gBswGSAQEzmAEAoAEBqgEHZ3dzLXdpeg&sclient=psy-ab&ved=0ahUKEwjd2feYmfXpAhUGlHIEHYGOAtcQ4dUDCAw&uact=5">save our lives</a>.
		- Are liberals capable of rage?
		- <a href="https://github.com/scripting/Scripting-News/issues/176">Dear friends</a>. I want to buy a couple of lounge chairs for the patio, to relax in the summer sun. They have to be sturdy and comfortable, but I don't want to spend a huge amount of money. Maybe $300? Do you have any favorites to recommend?
		- New Yorkers, this where your tap water comes from.
	- June 8
		- Mitt Romney, leading the Republican opposition.  
		- There was so much happening so quickly during the first days of the protests. I couldn't figure out what was going on in NYC. And that's just one city. <a href="https://www.nytimes.com/2020/06/08/podcasts/the-daily/police-brutality-protests.html">This podcast</a> filled in some of the blanks, if you're confused I highly recommend it. It pays to watch <a href="https://en.wikipedia.org/wiki/The_Fog_of_War">The Fog of War</a> every so often for a reminder of how confusing war is. In America, our military thought the Vietnam War was a <a href="https://en.wikipedia.org/wiki/Domino_theory">war against communism</a>. On the other side it was a war for independence. We fought that war for years, at huge cost, and we didn't even agree on what the war was about. Think about that. 
		- In a late night <a href="https://pressthink.org/2020/06/battleship-newspaper/">blog post</a>, Jay Rosen tells the story of the editor in chief of the LA Times in the heyday of print news. He likens his publication to a huge battleship steaming along, and describes critics as swimmers throwing dead fish at the ship. Of no consequence. The ship will go where it wants to go, as fast as it cares to. Fast forward to the NY Times in 2020, being forced to listen to their reporters, a new class of critic. They say we might personally be hurt by this thing you did. And no one stops to notice that there are millions of other people who would be hurt, and the Constitution (which makes the idea of a news org possible), and a way of life. Not in <a href="https://mediagazer.com/200607/p6#a200607p6">all the tweets</a>, op-eds, blog posts, no one sees the problem. In the analog of the LA Times editor, what matters is the ocean. Not the captain, or the deck hands, not the swimmers or the dead fish, or even the battleship. It everything. And that's what's so incomprehensible to an industry that has struggled to be blind to the people it's supposed to serve. Always inventing new distractions. Never showing up for the only job that matters, serving the people. 
		- Have there been interviews with police, rank and file, saying why they support the officers caught on video torturing and killing American citizens? I'd like to hear, in clear language, the other side of this discussion. So far no one is speaking, as far as I know. 
		- At Living Videotext, my first company, I used to pore over the regcards when they came back. After they were entered in the database they were cycled back to me a few months later, I would call a few and find out how they were doing with the product, and if they were really using it (I could tell) I'd ask what they wanted to see fixed or added. After a while there was a consensus, and they were usually the things I also wanted added or fixed (and they already had been, I was CEO and lead developer). I saw my job as using the product myself, and also listening to the other people who used it. Actually it was my favorite part of the job. :rocket:
		- Medium has a <a href="http://scripting.com/images/2020/06/08/mediumHasAPaywall.png">paywall</a>.
	- June 7
		- <a href="https://twitter.com/davewiner/status/1269436096825483266">Why</a> are white people more receptive to <a href="http://scripting.com/liveblog/users/davewiner/2016/01/17/0880.html">#BLM</a> now? Because with fascism and the virus, and using our minds, we feel disposable too, now. We get it because it’s come home.
		- <a href="https://twitter.com/benthompson/status/1269631831617318913">Ben Thompson</a>: "Blogs = still the best representation of the Internet’s promise. Everyone should have a site that they own, not just a social media account (which are great for promoting blog posts)."
		- A case study in readable code
			- I just wrote a JavaScript function that pads a string with a character you supply, to a certain number of places. You call it like this:
				- pad (8, "0", 4)
			- It would return:
				- 0008
			- It's a useful thing to have around.
			- Now how would you write it?
			- I bet you could do it in a single expression. It might be hard to understand, but in a way that's kind of cool. You have to be smart to understand it. 
			- However, as a less spectacular coder, I would write it in eight lines of the most boring code possible. For example, 
				- function pad (val, withchar, ctplaces) {
					- var s = val.toString ();
					- while (s.length < ctplaces) {
						- s = withchar + s;
						- }
					- return (s);
					- }
			- I can quickly read it and see what it does. I don't have to spend any time thinking about it, so I get on with my project that much more quickly.
			- Now this might strike you as inefficient. Look at all that code, and the looping. Oy. For fun, write a benchmark script. Call it a million times and see how long it takes. I'm pretty sure you'll see that it's fast enough. 
			- PS: It tooks 0.04 seconds to call <i>pad (8, "0", 4) </i>a million times on my iMac. Here's a <a href="http://scripting.com/images/2020/06/07/oneMillionLoops.png">screen shot</a> of the code.
			- PPS: Albert Einstein <a href="http://www.gurteen.com/gurteen/gurteen.nsf/id/X00063BF6/">said</a> "Everything should be made as simple as possible, but not simpler." 
	- June 6
		- In NYC, imho, <a href="http://scripting.com/2020/06/05.html#a171514">Black Lives Matter Square</a> should be <a href="https://www.google.com/maps/place/1+Police+Plaza,+1+Police+Plaza+Path,+New+York,+NY+10038/@40.7122469,-74.0032543,19z/data=!4m5!3m4!1s0x89c25a23eb0bf9b5:0x2fa4861d37eaa439!8m2!3d40.7120619!4d-74.0023853">on Park Row</a>, in front of NYPD headquarters and the main municipal jail. 
		- I’ve always thought the word <a href="http://thesaurus.land/?word=leftist">leftist</a> was silly and meaningless and made the people using it seem like idiots. People like <a href="https://en.wikipedia.org/wiki/Hannity">Hannity</a> who is a known idiot. Anyway, I’ve decided to change it to “Left Tits.”  And Hannity is a “Right Tit.”  God gave us two tits.  Thank you.
		- Did any of the objectors to the Times' running <a href="https://www.nytimes.com/2020/06/04/opinion/tom-cotton-op-ed-new-york-times.html">Cotton's op-ed</a> consider that exposure of his insidiousness earlier than later would have value, to the NYT readership, who have minds, and value freedom as much as any of their reporters (and btw some are probably black as well).
		- <a href="https://github.com/scripting/Scripting-News/issues/175">Braintrust query</a>: For an app I'm writing, I want to launch a <a href="https://www.geeksforgeeks.org/tail-command-linux-examples/">tail</a> command, and have its stdout appear in the current window. <a href="https://github.com/scripting/Scripting-News/issues/175#issuecomment-640091242">Solved</a>.
		- What about unemployment?
			- Not getting enough coverage is that the stock market is back to where it was before the pandemic.   How to interpret this? What message is it sending?  Get ready, because this is harsh.
			- If you're unemployed, it says this. The stock market doesn't need you. Literally, that is its message customized for the unemployed. The market doesn't consider Depression-level unemployment to be a problem for the companies it values.
		- What about bad apples?
			- We could probably get by with a lot fewer police, something the police might not want to ignore. When they beat up citizens they are not only hurting the citizens, they're burning our money. We are literally paying them to do this.
			- If we can't find the bad apples, we could just start firing  police randomly. Maybe at that point, they'll see the value in helping find, remove and prosecute the bad ones.
		- Simplicity is a virtue
			- This is the <a href="https://twitter.com/_marcba/status/1268092311587651584">problem</a> with JavaScript. 
			- The value of having a standard language is simplicity for newbies. But it takes discipline to remove barriers, instead developers add them. Eventually (maybe now) the weight of the totality will force the whole thing to collapse. 
				- BTW there are many other virtues of simplicity, not just limiting barriers for newbies.
			- This is a familiar pattern. When I first got into software, I learned C on Unix. Simplicity. Heavily factored. Less is more. Then I looked at the jobs available in the real world, and they had a stack like the one in the cartoon. I went to <a href="https://en.wikipedia.org/wiki/UCSD_Pascal">UCSD Pascal</a> on the Apple II instead.
			- Why? Because on the Apple II, the <a href="https://en.wikipedia.org/wiki/Steve_Wozniak">Woz</a> machine, less is more. To display a character just write it to a location in the machine's memory. Again, a fresh slate.   How many fresh slates would it take to get to networked apps? Lots. How many were actually needed if we had discipline?
			- One. But you have to have a culture where we only add features if we're adding functionality. I have a motto for this.  "Two ways of doing something is worse than one, no matter how much better the second way is."
			- I've had to say this many times over the decades of my career, as other programmers added complexity to an already-too-complex system.  JavaScript *was* a good idea. Now it is a huge hairball because programmers keep wanting to solve the same problems over and over.
	- June 5
		- Every town in America should have a <a href="https://twitter.com/davewiner/status/1268953162381176835">Black Lives Matter</a> street.
		- Where the BLM street is <a href="http://scripting.com/images/2020/06/05/whereTheBLMStreetIsRelativeToTheWhiteHouse.png">relative</a> to the White House.  
		- Seriously, a guy who ignores the Constitution and gets away with it is going to have a real election? Is that what you think? 
		- Maddow had a good point last night. If militia-like police are deployed by the government, without any identification, what's to stop civilians masquerading as police to start acting like government police? Maybe that's the point, if what you want is civil war. 
		- I just cancelled my subscription to <a href="https://theathletic.com/">The Athletic</a>. Congratulations, <a href="http://scripting.com/images/2020/06/05/unsubAthletic.png">they made it easy</a>. As a result I will consider resubscribing if my interest in sports is re-kindled. I will now add another pub to the two I still subscribe to. (NYT and WP.) 
		- Watching the <a href="https://twitter.com/DavidBegnaud/status/1268716877355810818">Buffalo police shove</a> the tall 75-year-old man to the ground yesterday I was struck by two things.  1. If you put people with all the flaws of normal people in uniforms like that they're going to act like pigs. 2. Seeing an old white dude be almost killed that way was jarring, as an old white dude myself.
		- BTW in the video of the Buffalo police almost killing a 75-year-old man, what is <a href="http://scripting.com/images/2020/06/05/copWithHugeLauncherOfSomeKind.png">this police person</a> carrying? Looks like a machine gun.
		- Have they found <a href="https://twitter.com/VicStoddard/status/1268620623489560576">this guy</a> yet? I'd pay money to spit in his face.
		- We live in a world where the "tail wagging the dog" has gotten completely out of control in every way imaginable.
		- Listen to the critics
			- Alan Kay <a href="https://www.fastcompany.com/40435064/what-alan-kay-thinks-about-the-iphone-and-technology-now#:~:text=Jobs%20always%20admired%20Kay%2C%20who,the%20Dynabook%20built%20in%20Cupertino.">once said</a> the Macintosh is the first computer worth criticizing. Really eloquent, makes-you-stop-and-think type quote. 
			- I was raised by parents who reacted as if criticism was an attack. If you don't deflect it, you will be hurt. They taught me that. I learned later in life that listening to criticism is the key to success. Alan Kay revealed a truth. We criticize something because we want it to be better. We are invested in it being better. Listen because you want to learn how to be better.
			- In software, we call such critiques <a href="http://scripting.com/stories/2010/06/30/writingGoodBugReports.html">bug reports</a>.  Some problems only happen on the users' machines. Or you may have learned to not do something that they do because they never learned not to do it. Or they use features in a way you would never think to, that seem natural to them. Or they don't read the docs (and btw, neither do you). People see facets of your creation that you can't see because your point of view is different from theirs. If you want to improve, if you want to see things that are possible that are invisible to you, you must pay attention to criticism and brush aside the fear it invokes.
		- The NYT and criticism
			- In all mess around the Cotton op-ed -- to me, a lifetime reader, subscriber and former partner of the NY Times, someone with a complicated long-term relationship, the most important flaw in the pub that is its unwillingness to listen to criticism.
			- So there's a huge hole in the perception of the NY Times of the world it is contained in, the point of view of their community. What a loss, for all of us. We are smart, educated, thoughtful people. We, collectively, know and see far more than the people they employ. 
			- This has been the opportunity of blogging and news -- a way to tap the minds of the world in a way that supports journalism. An opportunity news people gave up on before they even understood that the net gave it a new life. 
			- We need journalism to be much smarter than it is. We know a free source of smarts. Use it. 
			- PS: Also we have <a href="http://scripting.com/2020/05/29.html#a135626">more money for you</a> if you can listen. 
		- About points of view
			- Men are never going to understand what it's like to be a woman.
			- White people are never going to understand what it's like to be black. 
			- But we can listen, empathize, and try to do what they ask us to do to help. That would be success imho.
	- June 4
		- We need an army to protect us from our army.
		- NYT reporters are full of privilege and entitlement.
		- I dreamed last night I came across <a href="https://en.wikipedia.org/wiki/John_Perry_Barlow">John Perry Barlow</a> riding a bike. We talked. I said wow I'm so surprised to see you. I told him to stay here and not try to find out what's going on in the world. I don't know why I said that, but it seemed real. He's been gone for a couple of years now.
		- According to my Twitter timeline NYPD cops went <a href="https://twitter.com/joshfoxfilm/status/1268366550475603969">crazy</a> last night. I grew up there, and as a kid I crossed the NYPD a number of times. They were always bastards, but they never caught me, though they came close. So what were they doing last night? It seems they were trying to prove that they don't want to hear about Black Lives Matter. Or the First Amendment. Or Protect and Serve. Or any of that nonsense. This is their city, they seem to be saying. And fuck you. I can understand that, <a href="http://scripting.com/2018/08/23.html#a193830">fuck you</a> is like "good morning" or "top of the day to you" in NYese. But they were really fucking people up. Stealing stuff and assaulting people. So this wasn't the loving and respectful form of fuck you. This was the "I'm going to fuck you up" version of fuck you. 
		- A NYT reporter's <a href="https://twitter.com/AliWatkins/status/1268529305967042562">account</a> of what happened last night in Brooklyn.
		- This is my <a href="https://cyber.harvard.edu/blogs/gems/crimson1/fridayDave.mp3">first audio blog post</a>, aka podcast, from <a href="http://scripting.com/2004/06/11.html">June 11, 2004</a>. 
		- I'm listening to the <a href="https://gimletmedia.com/shows/dolores-roach">Horror of Dolores Roach</a> on my bike rides. Very good. Perfect story for our time. 
	- June 3
		- Another <a href="https://www.youtube.com/watch?v=OPC43SK3eR0">excellent Republican ad</a> against Trump. 
		- Trump took something great, the US presidency, and turned it into something small and desperate.
		- I’ve found the things I don’t want to hear are the things I most need to hear.
		- Not a fool.
		- I use my iPhone when I ride my bike, for <a href="https://abvio.com/cyclemeter">Cyclemeter</a> and to play a podcast, so it’s not easily available to take pictures. I want a relatively inexpensive phone mainly to use as a camera. There doesn’t seem to be such a thing. I considered getting a regular camera, btw -- but it isn't what I want. I want a small, cheap phone with a decent camera. Update: Michael Lougee suggested an <a href="https://www.apple.com/ipod-touch/?afid=p238%7CsOVs1i18h-dc_mtid_1870765e38482_pcrid_427418702531_pgrid_80259604514_&cid=aos-us-kwgo-ipod--slid---product-">iPod Touch</a>. Starts at $199.
		- There shouldn’t be a season for causes. So right now anything other than #blm is off-topic. Until it's knocked off the top rung by a mass killing. Or a #metoo scandal. A climate crisis catastrophe. Or something Trump said (actually that doesn't seem to work anymore, thankfully). The virus is going to break that, because it's not going away, and it kills and disables more people, every day, than anything we've seen, ever. The suffering it causes is off the scale. But we should be able to see the thread that connects all these things. A lack of collective consciousness. An unwillingness to listen. We don't think, we only feel and feelings are easily manipulated.
		- A lasting image from the 60s.
		- Watching the behavior of American police this last week betrays the theory of a few bad apples. We let the military become the police. Now we live in a police state.
		- People say Facebook sucks, and it does, but I just read first person reports on protests, cops, looting in two Silicon Valley towns I used to live in. Palo Alto and Los Gatos. Nothing ever happens in these towns, in my memory. Not true any longer.
		- Dear Boston Globe. I can’t read <a href="https://apps.bostonglobe.com/metro/graphics/2020/05/coronavirus-tale/">this article</a> because of the paywall. You say I can subscribe for $1 for six months. I’ll pay $1 to read this article.  
		- A must-read <a href="https://www.vox.com/platform/amp/policy-and-politics/2020/6/2/21277438/police-officer-george-floyd-patrick-skinner-interview-militarization">interview</a> with a former CIA officer who became a Savannah cop about what's wrong. "I can’t know everybody in Savannah. But I call everyone my neighbor, because they literally are. And I can’t put my knee on the neck of my neighbor. He might resist arrest. I get that. But you don’t sit for eight minutes with your knee on the neck of your neighbor."
		- He just starts kissing them.
		- The NY Times sucks worse than Facebook, btw, but I still read it. You do too probably. It’s the people who use Facebook that matter. The company is run by pigs. Not sure what’s redeeming about the NYT. Well they did make RSS possible. But those people are long gone.
		- Murderer, murdering
			- The cop was recorded <a href="https://en.wikipedia.org/wiki/Killing_of_George_Floyd#People_involved">murdering</a> George Floyd.  
			- Can you imagine. We're watching someone murder another person. 
			- There's the body, and there's the murderer.
			- He looks right at the camera.
			- The murderer, <a href="https://duckduckgo.com/?q=derek+chauvin&t=hk&ia=web">Derek Chauvin</a>, murdering.
	- June 2
		- <a href="https://www.youtube.com/watch?v=kKj4L6GwL5Y">Rodney King</a>: Can We All Get Along? 
		- Haven't heard this discussed on Twitter or in the news. Police are in trouble, their salaries are paid by localities whose tax base has crashed. We can’t take them for granted. I have no agenda, other than a need to be safe, and know that the police are an important part of that. 
		- Trump in charge! So there!
			- The lights were out in the White House while the president hunkered in the bunker freaked out and humiliated. His enemy comes into focus, it's the people out there, complaining, again, like everyone else. They can't see how smart he is. He's got to do something about this. His speech on Saturday welcoming a new wave of space exploration didn't replace the protests as the top story. Alone in the dark White House, ignored, he hatched a plan to get the spotlight back on him.
			- One of his aides had discovered that he could order the military into DC, due to a loophole in some law, so he was going to use that to bust out of the bunker, and get back in charge. I'll show him (er them) he said to himself (the <i>him</i> he was referring to was his long-dead father). I'll bring in the military and have them do something spectacular, even better than the <a href="https://www.cnn.com/2020/05/01/us/blue-angels-thunderbirds-trnd/index.html">Blue Angels</a> flying over the cities to get all their attention (another of his spectacular plans that didn't win him the adulation he feels he deserves). 
			- Timed to perfectly coincide with his speech, like the music playing in <a href="https://www.youtube.com/watch?v=30QzJKCUekQ">Apocyalypse Now</a> or <a href="https://www.youtube.com/watch?v=pByJkuv0q3Y">Rocky</a> or <a href="https://www.youtube.com/watch?v=cg6MqWYyts0">Patton</a>, the soldiers, on horseback, zoom in and clear the park for Trump's dramatic escape from the bunker! Super Trump. Accompanied by his sidekicks, The Law (Barr), The Gun (Esper) and The Troop (the Chairman of the Joint Chiefs of Staff). Wonder Woman, of course, and the The Boy Wonder (Ivanka and Jared). Should we bring the dogs? Nahh that's too much he thought to himself but accidentally said out loud.
			- He spent two full days planning it out, like <a href="https://www.youtube.com/watch?v=ZlV3oQ3pLA0">Captain Queeg</a> and the strawberries. He would prove conclusively he was really in charge, even if his father didn't think he was good for anything. 
		- We wedge ourselves
			- We have to stop being so modal about the big social issues. 
			- We should be fighting to stop mass killings with guns -- all the time -- not just after a mass killing. 
			- Same with #blm and #metoo and fighting against the virus.
			- Asians are blamed for the virus, btw.
			- Letting the news cycle control our lives is ceding too much power to the media corporations, platforms, political parties.
			- We can see the wedges the Repubs create to try to separate us, but we don't see the wedges we put between ourselves.
			- We can mourn a black man killed by a cop at the same time we mourn a country music fan killed by a shooter in Las Vegas or a school teacher killed in Connecticut. And we can stand between a mob and Asian-American doctors trying to save us from the virus.
		- Warren's candidacy
			- BTW, after Elizabeth Warren pulled out, we could have had a  discussion about why her candidacy failed, but every time I tried to speak, I was told I couldn't understand because I am not a woman.
			- Too bad, but 1/2 the electorate is male, and if you want to win, you'll need a lot of male votes. It's the same old shit, drive a wedge in the electorate, <i>your own electorate,</i> as a supposed winning strategy? It's nuts to think that could work. 
			- Warren appealed to imho the worst in women, based on the belief that men should shut up and do what we say. Not unlike the flavor of the #blm discussion, btw. 
			- The women wanted some uninterrupted time to wallow about how fucked up the world is and how women would never gain full equality. There will never be a woman president, they explained, because Warren was the best, and she didn't get the nomination. But Warren wasn't the best, and that was not the message of the Warren failure. They didn't want to hear it, and some of them, people I (used to) respect were incredibly abusive about it. These people don't want to win, they want pity. They were pretty clear about it. But I don't offer my pity in situations like this, because I don't accept the premise. 
			- Warren wasn't a good-enough candidate. We aren't doomed to never having a woman president. But it isn't going to be Warren, until she's ready to be president for everyone. Obama did that, he didn't try to be the president for blacks, though blacks were rightfully proud, as I was, that our country had finally broken through on race, or so it seemed at the time. I will cry the day a woman is elected president, as I cried the day Obama won. 
			- I supported the hell out of HRC, and at first supported Warren, until she started dropping in nasty bits about men into her speeches. At that point I knew if she got the nomination, she'd never get enough votes from men to win. She would've gotten my vote, but I wouldn't have liked doing it. 
			- Yet my women friends in politics still don't see the wedge they're putting in the electorate, and possibly haven't considered the idea for next time there's a woman candidate with something to offer. Listen when a friend says you've made a mistake. You have to do it to win. If you won't do it, don't blame the world, take the blame yourself because you don't deserve to win.
	- June 1
		- My friend <a href="https://twitter.com/awbjs">Allen Wirfs-Brock</a>, editor of various JavaScript-related specs, asked for the story of how Frontier came to be. So I recorded this 45-minute oral history as a <a href="http://scripting.com/2020/06/01/howFrontierGotStarted.m4a">podcast</a> and for the record. 
		- <a href="https://www.mercurynews.com/2020/05/30/after-100000-coronavirus-cases-its-clearer-where-californians-are-getting-infected/">San Jose Mercury-News</a>: "It takes about 15 minutes of close contact for the 'viral load' to reach a threshold that causes a nearby person to catch the disease."
		- Morning Coffee Tweets
			- I make a point of RTing people who are:  
				- Smart.
				- Creative.
				- Have no stake in returning to how things were before Trump, Barr, Covid-19. 
			- Most people who do have a stake fill the pipe with punditry that confirms their desire to return to the G.O.D's. *
			- People who are unemployed and either insolvent, approaching insolvency, or who have "essential" jobs, have every right to tear down the system because it has written them off as expendable. If the system had no use for me, and I had the strength to tear it down, I would too.
			- That's why this struggle is no longer just about race. Which is good for blacks, in a perverse way, because now a lot more people are in the same boat, with lives that don't matter. And given the Repubs' unwillingness to fund local government, that includes cops too, btw.
			- Another thing -- for a long time I've felt we needed to have a constant citizen's presence on the streets in DC. I had given up on the idea once Covid-19 came along. 
			- But guess what -- <i>it happened anyway.</i> :boom:
			- They turned the lights off in the White House and Trump went to the bunker. He's just Captain Queeg, Old Yellow Stain himself, scared of the people he was elected to (in his mind) rule.
			- Last night. The White House with the lights turned off.
			- I wonder how well Mitch McConnell slept last night. 
			- During Vietnam we used to chant "Bring the war home."
			- Well it's happening again. When the people of government feel the fear we feel, then you've set up inevitable change, right now, in June 2020.
			- <a href="https://twitter.com/davewiner/status/1267483078018109447">Poll</a>: Will Trump resign today, tomorrow or next week?
			- If he had a <i>tiny</i> bit more imagination he could have seen CV-19 as the biggest opportunity any president ever had. He wouldn't have had to have developed any empathy, just pure greed. Imagine how dependent we would be if he had saved our lives. He'd win in a landslide.
			- A police car burns last night in NY.
			- *good old days
