- October 2020
	- October 31
		- There weren't many blogs in November 2000, for the <a href="https://en.wikipedia.org/wiki/Bush_v._Gore">Bush/Gore</a> election and the notorious <a href="https://en.wikipedia.org/wiki/2000_United_States_presidential_election_recount_in_Florida">Florida recount</a>, but "scripting news" was there. Here are the archives for <a href="http://scripting.com/2000/11.html">November</a> and <a href="http://scripting.com/2000/12.html">December</a> 2000. Lots of interesting links. Scroll down to the end of November and start there. 
		- Pro tip for "BingeWorthy". If a friend asks for ideas on something to watch, share a link to your profile page. It works without being logged-in. It's a smart way to share your favorites, and it also helps spread the word about BingeWorthy, which is nice. This is <a href="http://my.bingeworthy.io/davewiner/">my profile page</a>. A few more. <a href="http://my.bingeworthy.io/leolaporte/">Leo Laporte</a>. <a href="http://my.bingeworthy.io/nakedjen/">NakedJen</a>, <a href="http://my.bingeworthy.io/jsavin/">Jake Savin</a>, <a href="http://my.bingeworthy.io/lizasperling/">Liza Sperling</a>, <a href="http://my.bingeworthy.io/hardaway/">Francine Hardaway</a>, <a href="http://my.bingeworthy.io/stevegarfield/">Steve Garfield</a>, <a href="http://my.bingeworthy.io/peter_politi/">Peter Politi</a>.
		- A recent Biden rally.
	- October 30
		- <a href="http://this.how/frontier/nodeEditorExample.opml">A new doc</a> explains, through an example, how my Frontier-based code-writing system for JavaScript works. I started this suite about seven years ago, and have been using it ever since. It allows me to edit my code in an outliner, and use Frontier's scripting ability to distribute the results to S3, GitHub, NPM and pretty much anywhere else I want. 
		- The news business model is the worst. Every day I see articles I'd pay to read from publications I would not subscribe to. They're leaving so much money on the table, and at the same time want us to know how much money it costs to make news. We need to blow this whole sad system up. It somehow has retained all its stupidity through Trump's first term, and most voters still don't know this election is about autocracy. How can we depend on this idiotic elitist superior ridiculous industry to save our asses. Yet they totally control discourse in our political system. End of op-ed. 
		- Yesterday I put out a <a href="http://scripting.com/2020/10/29.html#a210605">call</a> for programs to binge. I got an overwhelming response. But nothing obvious emerged. Some were programs I had already tried, but didn't get far enough into to rate in my BingeWorthy <a href="http://my.bingeworthy.io/davewiner/">profile</a>. Others were comedies, and I'm just not into them now. Examples of shows I didn't have the energy to watch recently: <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fschitts-creek">Schitt's Creek</a> and <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-good-place">The Good Place</a>, both of which are very good for what they are, but I'm just not in the mood now. I'm thinking I may just re-watch something from the past that I liked and think might be worth a second look. In the meantime, the lists, one on <a href="https://twitter.com/davewiner/status/1321921170938204167">Twitter</a> and one on <a href="https://github.com/scripting/Scripting-News/issues/192">GitHub</a> are there for everyone to reference. I also want to add a recommendation algorithm to <a href="http://bingeworthy.io/tv/">BingeWorthy</a>, but I haven't figured out how to do it yet. 
		- News business models, again
			- Another thought re news business models.
			- As far as I know I can still buy a single issue of say The New Yorker at an airport newsstand. 
			- Why not offer the same product on the web. Pure profit. No manufacturing or distribution cost. 
			- Important: I can buy w/o credit card, no commitment.
			- PS: On the web, not a Kindle.
			- PPS: I don't mind paying <i>with</i> a credit card, but I don't want to give the card to the news org.  Use Venmo or Paypal, for example. Or Apple or Google's wallet. 
	- October 29
		- Help -- I need something to bingewatch. I want something interesting, that will occupy my mind, and help me escape from reality for a bit. Dark is okay, but not too dark. Here's the <a href="http://my.bingeworthy.io/davewiner/">list of stuff</a> I've already watched. And a <a href="https://github.com/scripting/Scripting-News/issues/192">place</a> to <a href="https://twitter.com/davewiner/status/1321921170938204167">comment</a>. 
		- <a href="https://github.com/scripting/Scripting-News/issues/191">Braintrust query</a>: Using unicode to apply styles to text. 
		- Art tells a story
			- Art from Burning Man.
			- Sharon Anderson Morris <a href="https://www.facebook.com/sharon.a.morris.5/posts/10158709734784696">explains</a>: "A sculpture of two adults after a disagreement, sitting with their backs to each other. Yet, the inner child in both of them simply wants to connect. Age has many beautiful gifts but one we could live without is the pride and resentment we hold onto when we have conflicts with others. The forgiving, free spirit of children is our true nature. Remember this when you feel stubborn."
			- I don't agree. Sometimes the right thing to do is to set pride to the side and renew the friendship. The child always wants to, but the adult also has a valid and important, not foolish, contribution to make -- safety. 
				- The child can have the impulse to connect unconditionally, because there is an adult to put the brakes on if there is real danger. The child can't exist without the adult. When we are children, the adult must be external. Later in life we will be both the child and the adult.
				- The child, as the sculpture illustrates, wants to connect, but the adult isn't ready. It's possible that they've reconciled many times, and every time the same thing happens. That's also a pattern of humanity. So the adult is constrained by memory. The adult might narrate: "I remember this person hurt me the last time I trusted them. Every time I trusted them. So as much as the child wants to reconcile, I can't. At some point it's wrong to trust."
			- There's even more to the story. ;-)
			- There are billions of people on the planet, we can't be friends with everyone, although, again, the child would like to -- the adult knows there isn't enough time. So you have to choose. 
			- Also it could be that there are reasons you can't be close to this person. There's always disappointment and regret in life, and it's not wrong, it just is.
			- Finally one more <a href="http://scripting.com/images/2020/10/29/charleyBrownFootball.png">work of art</a> on this topic. Charlie's inner child wants to believe this time Lucy will let him kick the ball. We hope by now he's figured out it's never going to happen. 
	- October 28
		- Podcast: <a href="http://scripting.com/2020/10/28/whyIdLikeToInvestInTheLincolnProject.m4a">Why I'd like to invest in the Lincoln Project</a>. 
		- <a href="https://www.theverge.com/platform/amp/2020/10/27/21536963/amazon-free-podcast-update-catalog">This is awesome</a>. Audible wanted to create a proprietary “podcast” network (in quotes because of the contradiction), now instead will try an open one. The power of an open juggernaut.
		- I love that <a href="https://en.wikipedia.org/wiki/Marc_Andreessen">Marc Andreessen’s</a> VC firm is <a href="https://mondaynote.com/inside-a16zs-media-operations-1f5235881f6d">building</a> so much on <a href="https://a16z.com/podcasts/">podcasting</a>. We all benefited from his work in booting the open web. Happy to have been able to reciprocate. That’s the ethos of open networks. 
		- The <a href="https://www.youtube.com/watch?v=Pre0OFtCqis">best ad</a> of the campaign, so far, is from the Lincoln Project, of course. This is going to grab the heart of anyone with a parent. 
		- Yesterday I <a href="http://scripting.com/2020/10/27.html#a200053">wrote</a> about the vote for the new library building in Woodstock. I voted yes. Michael Hunt, who also reads this blog, and emailed me about the vote a couple of days ago, posted a <a href="https://youtu.be/iwrDgwUSCco">video summary</a> of the case for voting yes. It's a much better argument than I could make, so I thought it belonged here. 
		- If Trump voters were getting real news, they'd know that Trump leaving his rally-goers <a href="https://www.nbcnews.com/politics/2020-election/hundreds-trump-supporters-stuck-freezing-cold-omaha-airfield-after-rally-n1245065">stranded</a> in the cold is par for the course for Trump. Ask the people of <a href="https://www.tampabay.com/florida-politics/elections/2020/10/02/they-fled-hurricane-maria-now-theyre-fighting-to-defeat-trump/">Puerto Rico</a>. Ask the governor of any state that was experiencing a surge of Covid cases in the spring. Trump isn't actually a business person or a president. He loves to give rallies, he's a comedian, a performer, but you don't matter to him. You aren't even a thing. If you want a real government, you have to vote for Biden. 
		- "Getting it" vs respect
			- This <a href="https://twitter.com/thejeffreymarsh/status/1321175950483169284">video</a> I saw on Twitter this morning really grabbed me. 
			- <a href="https://twitter.com/thejeffreymarsh">They</a> are right, first comes respect, then comes getting it. Now I'm going to add my two cents.
			- Respect isn't something you earn, respect is the default. Respect is listening to who the person really is, versus the story you've projected on them. Listen to the words they say. And accept that it is their point of view. It isn't right or wrong, it isn't something that can be argued over. This is what the person you're listening to wants to say. That's all. 
			- I understand this idea really well myself because I've always been projected on. I was raised by parents who judged me by their impression of who I was. So I was always all twisted up thinking about how they would interpret something I did, and how I would avoid being punished. 
			- The world does it too, sometimes very openly. I spoke at a conference in 2019 where I was heckled as being a person of privilege. The people probably had never even read anything I'd written, even that doesn't tell you enough to judge me. Why was it so hard for them to listen? I don't know. But they were very insistent that I was not to be listened to.
			- So Jeffrey Marsh, in the video, speaks for me. amd very likely you. It isn't worse or better for anyone. Either people try to change who you are or they don't. The best friends are the ones who give you a chance to be different from their expectations of you. Jeffrey says something we all probably would like to say, and expresses it in a way that some people can actually hear. And that's a service to everyone who just wants to be heard. 
		- How I code in my outliner
			- Ooops this was published accidentally. 
			- It's not ready for primetime yet.
			- "curly"
			- <i>Still diggin!</i>
	- October 27
		- <a href="https://twitter.com/davewiner/status/1321244681636859905">Poll</a>: Who will be the first Repub to declare for president in 2024?
		- I was driving up <a href="https://www.google.com/maps/place/Rock+City+Rd,+Woodstock,+NY+12498/@42.0451038,-74.1204888,17z/data=!3m1!4b1!4m5!3m4!1s0x89dd074a1c5d71cd:0x26f6555bfe042b4b!8m2!3d42.0451038!4d-74.1183001">Rock City Road</a> earlier, and there were all these cars parked on the side of the road, and I had no idea what they were there for. I thought maybe someone famous had died, but no, they were all there to vote. The line was very long. Proud of Woodstock.
		- There was one question on the local Woodstock town ballot, whether to fund a <a href="https://www.woodstock.org/planning/">new library building</a>. I voted <a href="https://hudsonvalleyone.com/2020/10/23/letter-vote-yes-on-woodstock-library-bond-issue/">yes</a>. This is a very hot local issue. I see signs all over town on the <a href="https://hudsonvalleyone.com/2020/10/23/letter-vote-no-on-woodstock-library-bond-issue/">issue</a>. I read the posts in the local Facebook groups. And while I'm new here, I am a taxpayer, and I will have to pay more property taxes to support the new library.  Here's why I voted yes. If the librarians want a new library, give it to them. They know what the town needs. They are the most selfless, idealistic people, by profession. Librarians <a href="http://scripting.com/2018/07/23/125635.html#a125814">helped me</a> a lot when I was a kid. I think this is what taxes are for. Funding libraries is directly related to the quality of life in a town. 
		- If you love outliners, <a href="http://scripting.com/images/2020/10/27/infoworldThinkTankReviewP1.png">here's</a> the <a href="http://scripting.com/images/2020/10/27/infoworldThinkTankReviewP2.png">review</a> InfoWorld did of ThinkTank for the Apple II in July 1983. This review got us distribution, a deal with Apple to develop for the then-secret Macintosh, and angel investors and we were on our way. 
		- Two theories of what happened to the <a href="http://scripting.com/2020/10/26.html#a202932">rabbits</a>. <a href="https://www.jstor.org/stable/3799063?seq=1">Coyotes</a> and a <a href="https://now.tufts.edu/articles/deadly-rabbit-virus-spreads-us">virus</a>. 
		- We must be worse than the Repubs
			- First a story... 
				- I once lived on a narrow road, so narrow there was barely room for two cars. When approaching an oncoming car on this narrow lane, at first, when I was a newbie to the neighborhood, I’d do the neighborly thing and move to the right to make room. Always, the other car wouldn’t budge, so I’d have to pull off the road and slow to a stop. I found this frustrating of course, an example of selfish, Republican-like behavior.  
				- Then I altered my procedure. When I saw a car approaching, I would still move off the to right, but if they didn't mirror my move, I'd veer directly into their path. This makes my car look bigger, and more of a threat to them. No need to honk my horn. The action is enough. Immediately, the other car <i>always</i> moves to the side, and I then move to my side, and we pass each other, both fully on the road, and going at normal speed. 
				- I assume these are otherwise good people who are selfish, like most people are, and will see your offer to get out of their way as weakness, and they'll just plow through you. Like Republicans. If you show you are selfish too, they'll negotiate for a win-win. 
			- Soooo, this is where we are. The Repubs walk all over the Dems. But if you love America, you have to vote Democratic, because the Repubs are crazy fascists. We have to teach the Dems how to be hardass motherfuckers, and insist that they have a head-on collision with the Repubs so they respect them, and in doing so, respect us. 
			- We are right now poised to lose our system of government. Okay, we accept that. Let's go all the way. The Supreme Court is already tainted. Let's just go ahead and call them illegitimate. The line was crossed not with the new justice but with Kavanaugh. The moment he <a href="http://scripting.com/images/2018/10/02/kavanaughExcerpt.png">spouted</a> Clinton conspiracy theories in his confirmation hearing was the moment I realized the enemy isn't just in the Oval Office, but in the Supreme Court too. We need to either get Kavanaugh and his ilk off the Court, to re-establish its legitimacy, or so dilute their vote as to make them irrelevant. 
			- People say oh if you pack the court, the Repubs will do the same when they take power again. Fine. So we'll stack the court for them too. Instead of just adding four or six new justices, let's add <i>1000</i>. All of them card-carrying members of the ACLU, Planned Parenthood and the Democratic Party. The Repubs will ignore their decisions when they're in power, and the Dems will ignore the current 6-3 court which, I would like to add, in no way represents the people of the United States. We don't like Citizens United, we want the Voting Rights Act back in force (obviously) and we want the three justices appointed by the criminal traitor Trump removed immediately, or else we'll add <i>100000</i> new justices, starting right now. 
			- If you don't like crazy, dear Republicans, then stop being crazy. And fuck off, we don't give a shit what you think. We love your tears. When you cry we are happy. Thank you very much.
	- October 26
		- I have the Apple credit card. It's so incredibly easy to <a href="https://support.apple.com/en-us/HT209226">pay the bill</a>, because the UI is right there on your iPhone. I also now have an Amazon card, and two traditional bank cards. So I know from what I'm talking about. 
		- We had an explosion of rabbits this summer, but then I realized I haven't seen a rabbit in many weeks. Where did they go? Do rabbits hibernate? Migrate?
		- It's not often you know that <a href="https://en.wikipedia.org/wiki/2020_United_States_presidential_election">next Tuesday</a> the world is going to change in a profound way. There's still a chance the world will fall apart before then, as a programmer I am trained to think of all that can go wrong. But barring that, one way or the other everything will change a week from today.
		- If there's no <a href="https://en.wikipedia.org/wiki/Cancel_culture">cancel culture</a>, what happened to <a href="https://en.wikipedia.org/wiki/Al_Franken#Resignation">Al Franken</a>?
	- October 25
		- Today's song: <a href="https://www.youtube.com/watch?v=N7pZgQepXfA">You can't always get what you want</a>. 
		- <a href="https://twitter.com/davewiner/status/1320433322154172416">Poll</a>: Anyone who votes for Trump after they said they aren't going to control the virus is..
		- <a href="https://www.hbomax.com/">HBO Max</a> is like <a href="https://en.wikipedia.org/wiki/New_Coke">New Coke</a>. HBO was the <a href="http://www.tjwaldorf.com/brand-positioning-the-ladders-in-our-head/">#1</a> brand. Needed to be a little more like Netflix, but really it was pretty good as it was. Now the <i>max</i> part has coincided with it being a lot harder to use, virtually impossible if you use the popular Roku platform. At least for me. Looks like an epic mistake. At a time when the market is overloaded with lots of big brands (Disney, Apple etc) trying to diversity into a market already dominated by HBO, it's a really curious time for them to knock out their own legs. 
		- <a href="https://en.wikipedia.org/wiki/New_Coke">New Coke</a> was "the unofficial name for the reformulation of Coca-Cola introduced in April 1985. It was renamed Coke II in 1992, and was discontinued in July 2002."
		- Have you experienced 5G yet? Is it wonderful? Worth it?
		- In a sane world "We're not going to control the virus" is what you <a href="https://www.cnn.com/2020/10/25/politics/mark-meadows-controlling-coronavirus-pandemic-cnntv/index.html">say</a> as you resign. It <a href="https://www.google.com/search?q=define+resign">literally</a> is a resignation.  
		- One thing that's so disappointing about the people I've met in tech is that they are mostly motivated by what they can take from others, rather than what they can build working with others. So often they could make so much more money by doing the latter. Stupid. (And of course money is far from the most motivating motive.)
		- I've now made it through the first two episodes of <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-queens-gambit">The Queen's Gambit</a>, and it is really good. If the quality in the first two episodes carries through, this is going to be one of <a href="http://my.bingeworthy.io/davewiner/">my favorite binges</a>. 
		- Using structure in outlines
			- A friend is starting to use the outliner to <a href="http://scripting.com/stories/2009/08/09/narrateYourWork.html">narrate his work</a>. He writes about an "impenetrable wall of text." I wrote up some tips, and of course felt they should be public. 
				- Re the impenetrable wall of text -- try collapsing things, where the detail isn't of immediate concern, so you can see the structure. It would help me too as a reader, to see the old stuff collapsed, and be able to expand it as I need to. 
				- Also hoist and dehoist are there to help manage complexity. You can hoist a section, by placing the cursor on a head with subs, and click on the pushpin icon in the left margin. It'll be the one that's enabled. Then when you want to return, click the other one. It's like a stack (it actually is a stack, of course).
			- Imagine a bookshelf of notebooks. You don't have every notebook open to all pages at the same time. It doesn't even make sense. You'd go crazy trying to find something. Same idea here. You've got tools to manage clutter, they take time to learn to use. 
			- Here's what my blog outline looks like as I'm writing today's notes. 
			- 
	- October 24
		- <a href="https://www.voteearlyny.org/">Early voting</a> started <a href="https://elections.ulstercountyny.gov/early-voting/">in</a> New York State today.
		- We may be, right now, as sure as we're ever going to be that Trump was removed by the people in the 2020 vote. 
		- I wanted to send an <a href="http://scripting.com/publicfolder/misc/trailblazersPodcastAboutPodcasting.mp3">MP3</a> of the <a href="https://cdn.simplecast.com/audio/8b65b9/8b65b975-4895-4f5c-a140-81398900f4af/ff089f73-0e44-465b-aa58-a05a037fda46/trailblazers-s10e06-podcasting-vfinal-with-metadata_tc.mp3?aid=rss_feed&feed=excgs68S">Trailblazers podcast</a> about podcasting to a friend, but couldn't easily find it, and then realized I'd better download a copy and upload it to <a href="http://scripting.com/publicfolder/misc/trailblazersPodcastAboutPodcasting.mp3">my server</a>, because who knows how easy it'll be to find in a year or more. The web is pretty ephemeral.
		- I posted a very short question on Facebook. <a href="https://www.facebook.com/dave.winer.12/posts/1361834694023932">Do you know anyone like Trump? </a>I asked because I do. I grew up in Queens, a couple of miles from where Trump grew up, only ten years after. So there were lots of Trump-like people in my area. I'm constantly reminded, by something Trump does, of someone I knew in childhood. Anyway, after a dozen or so predictable responses, a former Apple exec, one who did a very good thing for my troubled company back in 1986, said yes he's had golfed with Trump, voted for him in 2016, and was going to vote for him in 2020. He lives in California, so his vote is symbolic, as is mine (I live in NY). It was jarring. No debate has followed, thankfully, and I hope it doesn't. I'm just going to leave it there.
		- A couple of hours later, the thread is still peaceful. Thankfully. My friend from the past refers to Trump as a businessman, which causes me to write this screed, which I did not add to the thread. I was curious to know, how does this businessman see the <a href="https://twitter.com/MollyJongFast/status/1320026106494332928">retired people packed</a> into his audience, no distancing, no masks. Are they his customers? His team? His employees? Competitors? Serfs? Prisoners? Slaves? What kind of animal do you treat the way Trump is treating these people? To Trump are they even people?
		- I realized Trump has killed a lot more Americans than Osama bin Laden.
		- 𝘛𝘩𝘪𝘴 𝘪𝘴 𝘢 𝘵𝘦𝘴𝘵. 𝘍𝘰𝘳 𝘵𝘩𝘦 𝘯𝘦𝘹𝘵 𝘴𝘪𝘹𝘵𝘺 𝘴𝘦𝘤𝘰𝘯𝘥𝘴 𝘵𝘩𝘪𝘴 𝘴𝘵𝘢𝘵𝘪𝘰𝘯 𝘸𝘪𝘭𝘭 𝘤𝘰𝘯𝘥𝘶𝘤𝘵 𝘢 𝘵𝘦𝘴𝘵 𝘰𝘧 𝘵𝘩𝘦 𝘌𝘮𝘦𝘳𝘨𝘦𝘯𝘤𝘺 𝘉𝘳𝘰𝘢𝘥𝘤𝘢𝘴𝘵 𝘚𝘺𝘴𝘵𝘦𝘮.
		- Will we undo Trump?
			- I don't want to jinx things, but when Biden takes office I assume the FBI will fully investigate what really happened in the 2016 election, without any interference from political appointees. 
			- The new Attorney General will release the reports Barr wouldn't let us see. I assume that's going to happen too. 
			- What if we determine that the election was a crime. That the Trump campaign didn't just collude with Russia, it <i>was</i> Russia. Recent <a href="https://www.wbur.org/npr/903512647/senate-report-former-trump-aide-paul-manafort-shared-campaign-info-with-russia">revelations</a> about Manafort say that pretty clearly. Everyone was looking for collusion, but it was actually much worse.
			- We were an occupied country for four years. Should we allow everything Trump did in those four years to stand? Or do we remove the three Supreme Court justices he nominated, tear up all his executive orders, remove all the regulations passed by his agencies. Undo anything that can be reasonably undone. 
	- October 23
		- I added a note to my <a href="http://instantoutliner.com/k5">status outline</a> with an update on my work on pork.io, which is getting a new name.  
		- I like promoting other people's products when they're good. I am unhappy when I see bad products promoted by people I respect. If I think a product is not good, unless I think people will be hurt by it, or if the badness can be fixed and the product would then be useful, I'll generally say nothing. 
		- When I was growing up, there was a purpose that even I, a kid, <a href="https://youtu.be/ouRbkBAOGEw?t=351">could understand</a>. I think that's been missing ever since we got to the moon. Since then we haven't had a reason to be a country. 
		- Maybe there should be real debates on TV every week between leaders on issues that Congress is going to vote on. And a way of measuring public opinion. No personal attacks allowed. Strict control via Mute button. This week the debate would be about the merits of approving a new radical Supreme Court justice in the middle of an election when everyone's attention is focused elsewhere. Some actions are so important they deserve everyone's focus. 
		- New in Bingeworthy: <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Flovecraft-country">Lovecraft Country</a> and <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-queens-gambit">Queen's Gambit</a>. 
		- I am so exhausted from US politics, this state going back to the summer of 2016. I made it through about 15 minutes of last night's debate before I couldn't stand it. All it took was one gaffe from Biden to shred all hope of a reprieve from this [%search: shitshow%]. Then I had a thought, what if Amazon released the <a href="https://www.metacritic.com/movie/borat-subsequent-moviefilm-delivery-of-prodigious-bribe-to-american-regime-for-make-benefit-once-glo">new Borat movie</a> a few hours early? Wouldn't that be great. So I looked. And they had! So I watched the first half, returned to the debate, which still was not over, and went back and watched a bit more, and returned to the debate just in time to hear the wrapup. Then I listened to Maddow's review of Trump's lies about Covid (the part  I had heard) and I felt better so I went to bed. Only to wake up this morning and find that the feeling if utter misery was even worse. The election is 11 days from now. 
		- BTW, the <a href="https://www.metacritic.com/movie/borat-subsequent-moviefilm-delivery-of-prodigious-bribe-to-american-regime-for-make-benefit-once-glo">new Borat movie</a> is good. I laughed all the way. Out loud. 
		- Re 2-factor-authentication
			- Has anyone ever thought what happens when you lose control of the phone that is your second factor? 
			- So, how hard is it to hijack a phone?
			- A few years back I had a phone hijacked via AT&T.
			- I never got it back. But I was able to terminate the account. 
	- October 22
		- <a href="https://en.m.wikipedia.org/wiki/Tying_(commerce)">Tying</a>. A big company uses a monopoly in one area to create a monopoly in another. It was the basis for the anti-trust case against Microsoft in the 90s. They were forcing PC manufacturers to bundle their web browser, which was not a monopoly with their operating system, which was, thus forcing the leading browser, Netscape, out of the market. This happens over and over in tech. Google does it by using their monopoly in search to crush competitors in other categories. It can't be allowed. Products must compete on merit, not because we are forced to use them. 
		- I think I will at least try to watch the debate tonight. Too much at stake, and too much <a href="https://en.wikipedia.org/wiki/Looney_Tunes">Looney Tunes</a> from El Orange the would-be dictator of the United States of America. 
		- I had way too much to eat and drink at dinner yesterday, but it was great. A local <a href="http://www.cucinawoodstock.com/">restaurant</a> has a great patio, set up comfortably, and they serve excellent food. <a href="https://en.wikipedia.org/wiki/Woodstock,_New_York">Woodstock</a> is a small town, but it has the amenties of a town in the Bay Area (e.g. Berkeley, Palo Alto). But I did eat too much and I'm paying the price for it today. Oy!
		- Glad that Andrew is reviewing "PagePark" now. There are all kinds of loose-ends. That's what happens when you're developing only for yourself. Looking forward to going back over it and cleaning things up a bit. It's a very fine piece of software imho. In many ways the web server I've always wanted. 
		- One outcome from our recent back and forth is that I'm re-recommending <a href="http://my.this.how/davewiner/howtosInLittleOutliner.opml">my.this.how</a>. It's nice connection between "LO2" and the FAQ-type pages I've been doing, like <a href="http://this.how/googleAndHttp">Google and HTTP</a> and the <a href="http://this.how/trolls">trolling</a> faq (and many others). Blogs aren't enough. You need a place to put long-lived docs that you're going to work on over time. 
		- Since Andrew is working on a new version of the <a href="http://home.rsscloud.co/">rssCloud</a> server now, he asked if it would make sense to support "OPML" in rssCloud. That would mean adding a &lt;head> element that had all the info that's in the rssCloud element in an RSS feed. It's a good idea, but.. (sorry) -- OPML already has a realtime notification service, it came after rssCloud and is based on <a href="https://en.wikipedia.org/wiki/WebSocket">web sockects</a>. It's the core tech behind the [%search: Instant Outliner%], a protocol that "LO2" implements. 
		- Andrew has a <a href="https://github.com/andrewshell/rsscloud-server/releases/tag/2.0.0-beta.0">new version</a> of the rssCloud server, a beta of v2.0.
		- We <a href="https://www.youtube.com/watch?v=yDDj2-c-q-4&feature=emb_logo">count</a>!
	- October 21
		- Anyone who votes for Trump is suicidal and I can prove it. 1. The virus is real, doesn't matter what you believe, it is in fact killing people and destroying other people's lives. 2. We aren't doing anything to stop it, because the president doesn't want us to. He has that power. 3. If you re-elect him, you'll get more of the same; if you don't we'll start fighting it asap. If for no other reason than you want to live, you should vote for Biden/Harris. 
		- I will totally accept the result of the World Series -- if the Mets win.
		- I'm doing a phone interview/podcast with <a href="https://en.wikipedia.org/wiki/Jason_Calacanis">Jason Calacanis</a> later today. I often blog about these things before doing them, so I fill my head with ideas that might be worth discussing. He and I have some interests in common, notably how to include universities in the tech development process. I think there's more to it than what Y-combinator does. Anyway, I just spewed (not kidding) a bunch of ideas into a <a href="https://twitter.com/davewiner/status/1318919848240570368">Twitter thread</a>. Wanted to be sure it was linked into the blog.  
		- The canonical Biden picture. 
	- October 20
		- Started a web and voice conversation with <a href="https://blog.andrewshell.org/rethinking-blogs/">Andrew Shell</a> about ideas for rethinking blogs and feeds. I found, as others have, that I need another kind of document to include in my personal CMS other than a story that's part of the blog. Everything about blogs are set up to be written, then lightly edited, and never touched again. Like a <a href="https://en.wikipedia.org/wiki/Fresco">fresco</a> painting. It's <i>temporal</i> writing. But there are other things that I want to develop over time, keep coming back to, revising. A few years back I started this.how to hold those docs. It's worked out really well. I wrote the <a href="http://this.how/googleAndHttp/">Google and HTTP</a> faq as a <a href="http://this.how/">this.how</a> doc. We also had this in "Manila", right from the start. We wrote, published and maintained the <a href="http://frontier.userland.com/">docs</a> for Frontier using the same CMS we used for blogging. In the end the data structures are the same, what was confusing is how we think about them. But once you make a decision to put non-temporal docs "over there" then things start working. 
		- BTW, about 20 years ago I was writing about [%search: timeless weblogs%]. I vaguely remember it. Some of the stuff I wrote is offline, but possibly in archive.org. But I'm pretty sure I have the right solution now. How can I tell? I use it. Why? Because I know <i>when</i> to use it. That's the trick to iterating this stuff. The tech is easy compared to the workflow. 
		- [%search: Hover%] is a great domain company, highly recommend them. I've even given them an <a href="http://scripting.com/2019/12/16/170209.html">award</a> for a very clever no-brainer DNS feature that no one else does, as far as I know. On Sunday I registered a new domain and wasn't able to access it. So I contacted their support, they said they needed permission to go into my account to see how I had it configured. By then the problem had cleared on its own, but it was puzzling why they would need permission. The DNS setup is, by design, totally public info. Anyone could look to see how my domain is set up.  I assumed they were doing that when there have been support issues in the past. 
		- If you went to a polling place and saw <a href="https://www.nbcmiami.com/news/local/city-of-miami-officer-photographed-wearing-trump-mask-inside-polling-location/2309350/">this cop</a>, you'd think...
	- October 19
		- <a href="https://en.wikipedia.org/wiki/Craig_Newmark">Craig Newmark</a> is becoming the <a href="https://en.wikipedia.org/wiki/Andrew_Carnegie">Andrew Carnegie</a> of our era.
		- Every <a href="http://scripting.com/2014/10/30/developingBetterDevelopers.html">university</a> should be home to an open source development project.
		- Here's a <a href="https://www.youtube.com/watch?v=tmzEIJBGQfg">video</a> that demos how I edit my blog. I created it last October, and thought it might be worth another look. The big deal is fluidity. The user interface hangs on a framework that's designed for writers. Most of what goes into a blog is writing, so it's worth setting it up this way. 
		- As a Roku user, HBO clearly doesn't want my money. I tried getting HBO as part of Hulu and it's awful. There was a program I wanted to watch, the <a href="https://www.cnn.com/2020/10/16/opinions/the-west-wing-reunion-we-didnt-need-yang/index.html">West Wing reunion</a>, but their search only showed the original series. I found it on my iPad, which HBO still has its own app for, so that worked. Later, I cancelled my HBO subscription. Subscriptions are madness. Every service has its own user interface. Three services are locked in for me. 1. Netflix, because it's Netflix. 2. Amazon, because I pay nothing extra for it, so why not. 3. YouTube TV so I can watch cable news and have learned its UI. There are plenty of other brands that have shows that I want to watch and would be willing to pay for, but there's a limit to how many packages I'm going to buy and how many UIs I can learn. Can the people who run these businesses not understand this? There's going to be a huge culling and one or two will remain. Probably Netflix and Amazon. If you don't think so, look around. How many product categories have more than one or two products with any market share?
		- <a href="https://en.wikipedia.org/wiki/Scott_Atlas">Dr Scott Atlas</a> is even more scary than Attorney General <a href="https://www.justice.gov/ag/staff-profile/meet-attorney-general">William Barr</a>. Now imagine if they got together, and figured out how to kill all the of the president's political enemies with the virus. That's why the virus is such a strong ally of Trump. If we lose the election, they won't need to build death camps. There's never been a situation anything like this. Just a week ago it seemed the president was doomed, due for a long recovery perhaps, certainly no longer a threat. I wish [%search: Fauci%] had left the government and was independent now, and had a strong communication channel of his own. 
	- October 18
		- Correcting media errors
			- Mistakes heard recently (and repeatedly) on cable news.  
				- Wearing a mask protects other people more than it protects the wearer. So if one person in a crowd of thousands wears a mask, unless it's certain that person has the virus, it's not doing much to protect anyone.
				- It has been said that if the Dems win the Senate and hold the House, it doesn't matter if Trump is re-elected, Congress will remove him. Not possible. It takes a 2/3 majority in the Senate, or 67 votes, to remove the president, and there aren't enough Republican seats at stake in the election to give the Dems that big a majority, even if they swept the Repubs. However there would be enough Democrats in the Senate to require a full trial, including testimony. Recall that the Senate not only didn't convict, they didn't allow an actual trial with witnesses and compelled testimony.  
				- Repeating Russian misinfo, even to question it, is journalistic malpractice. It's the biggest mistake journalism keeps repeating. Journalism wields a lot of power, and that power is accountable to no one. It may be a bigger problem than Citizens United or court packing by either party.  
		- "I thought it might be fun to give herd immunity a chance." 
	- October 17
		- Just watched <a href="https://www.metacritic.com/movie/moneyball">Moneyball</a> on <a href="https://www.netflix.com/title/70201437">Netflix</a>. I’ve seen it before and read the <a href="https://www.amazon.com/Moneyball-Art-Winning-Unfair-Game/dp/0393324818">book</a>, but it’s good to get a refresher. Everything, not just baseball, needs a fresh look, because we’ve been doing so much the same way we always have, without thought, not questioning out-of-date assumptions.
		- I am usually interested in the <a href="https://en.wikipedia.org/wiki/Major_League_Baseball">MLB</a> and <a href="https://en.wikipedia.org/wiki/National_Basketball_Association">NBA</a> playoffs, but this year I practically ignored them. The reason, in retrospect, is that sports is all about the ritual, the continutity, the historic connection. Novelty feels wrong. For example, I still haven't gotten over the <a href="https://en.wikipedia.org/wiki/Designated_hitter">Designated Hitter Rule</a>, and the <a href="https://en.wikipedia.org/wiki/Three-point_field_goal">three-point shot</a> in basketball still seems like an innovation. I like sports because they connect to the past. I went to games as a kid with ancestors who are now gone. "What did the Mets do?" was the beginning of every kitchen table conversation in the house I grew up in. It was the default. To this day my brain says those words when it's idle. This season was a heroic effort for both sports, esp the NBA with its <a href="https://en.wikipedia.org/wiki/2020_NBA_Bubble">bubble</a>, but the only heroism that gets me to pay attention to sport is what happens on the court and on the field.  
		- I am far more angry with journalism now than I am with Trump. At least Trump doesn’t claim to be saving democracy.
		- I voted for a libtard. I hope that makes nazi wingnuts cry. 
		- I don't know what happens with my <a href="http://scripting.com/email/">Nightly Email</a> app if there's nothing on the blog for a day. Not wanting to find out, I posted this. :smile:
		- How Repubs get reporters to repeat their dirt
			- Repub says opponent X beats his wife.
			- <a href="https://twitter.com/edokeefe/status/1317302308112302080">Reporter</a> asks X "Do you beat your wife?"
			- The viewer just remembers X beats his wife. 
			- There is a science to this. <a href="https://www.youtube.com/watch?v=wK9KCG05HFw">Linguistics</a>. 
			- Shame so many reporters are either complicit, naive, ignorant, greedy, or Republican. 
		- Hello Republicans. 
	- October 16
		- I've never seen Americans so turned on by voting.
		- The ads are <a href="https://twitter.com/justicedems/status/1316773313587404801">getting great</a>. Each one is the best ever. 
		- The primary rule of trolls is the rage has to build. Immunity to outrage builds up over time. What pissed people off six months ago will barely show up as a blip today. That's the problem with Trump as a troll. He got stuck. He's trying to entertain with the same schtick he used four years ago. Yawn. Been there done that. 
		- "Black Lives Matter" is the meekest way to put it. And yet the reaction is as if a simple slogan is trying to take something from them. What? The right to kill black people? Take a step back and a deep breath and think.
		- I once had an office on <a href="https://www.google.com/maps/@37.3927319,-122.0678613,3a,75y,116.68h,91.83t/data=!3m6!1e1!3m4!1sr8HvxIgLU3OfA-BA5EcZOw!2e0!7i16384!8i8192">Easy St</a>. Checking in at an airport, the clerk asked: "Easy St, isn't that in Anytown?" :smile:
		- I wonder if The Lincoln Project should do an ad just for Georgia that tells voters that the state has become famous for suppressing African-American votes. People overlook just where we're at on racism in this country, even a state like Georgia where a fair number of Repubs must've voted for a black man, who was elected president, and did a decent job, esp compared to the shitshow of a Republican who's president now. Remind them that there is no honor in preventing an equal citizen of your state from voting.
		- When I was in high school I cut most days of school in the first half of my senior year. When the end of the semester came my report card looked like <a href="http://scripting.com/2020/10/16/142934.html?title=trumpsMagnificentShitshow">Trump's town hall</a> last night. Straight F's.
		- Trump's magnificent shitshow
			- I <a href="http://scripting.com/2020/10/15.html#a130631">told you</a> that Trump would suck at the town hall yesterday, whether or not Biden was there. NBC did us all a favor by putting it on. People, you have to think. This is not 2016, when Trump was a juggernaut. Like it or not, Trump is president now, and reality has caught up with him, and with us, his subjects. The economy is wrecked, huge numbers of Americans are dead, many more seriously sick, and there's no end in sight. We're all either huddled in our houses in isolation, or out getting infected, and there isn't much of an inbetween. If there's a car accident in Wisconsin they won't be able to help the victims because there's no room in the hospitals. Trump is much more familiar with the conspiracy theories than he is with what's actually happening in the country he's supposed to govern.
			- So how did a meetup with actual American voters go? It was a shitshow. A glorious, Trump-humiliating shitshow. It was obvious that was how it was going to go. There's an old <a href="https://www.quora.com/What-does-it-mean-by-generals-always-fight-the-last-war">adage</a> about people always fighting the last war. 2020 is not 2016. Trump isn't the same candidate he was then. In 2016 you would be right to be pissed at NBC. But in 2020, we should be thanking them for giving full exposure to the fake president we sadly have, and happily have a chance to remove. 
			- Thanks to Maddow I didn't even have to watch the Trump town hall. She did an incredible post-town-hall review of all the ridiculousness of Trump trying to talk to normal voters about his role as their commander in chief. Hers was the inverse of a shitshow. She was cleaning up the shit after the show. 
		- Woody Guthrie's machine
			- It <a href="https://ushistoryscene.com/article/woody-guthrie/">kills</a> fascists.
	- October 15
		- <a href="https://twitter.com/davewiner/status/1316692722959429633">Poll</a>: What month is it?
		- If you saw the last Trump town hall, a few weeks ago, you wouldn't be so mad at NBC. He doesn't like questions from voters. He can't call them fake news. I don't think it'll help him. 
		- My Borgen review
			- I finished <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fborgen">Borgen</a> last night. Three <a href="https://www.netflix.com/title/70302482">seasons</a>, and I would love to watch the fourth season right now. As I do my work this morning, my mind keeps drifting back to how the last season ends. How the conflicts get resolved, and the questions that are left unanswered. Every character is about to embark on something new. But they got there by stretching themselves, taking a risk, and coming out okay. Not perfectly, they pretty much all got hurt, but in the end they more or less have a clean slate, lots of possibilities, and I wonder what's next.  
			- You end up loving them. They bare their souls to you. You see them weak, and dealing with it. To pull that off, in TV, is pretty amazing. And that all that comes through from reading titles in a Danish-language show. The characters at times switch into perfect British-accented English, mainly because they're doing something international. 
			- No spoilers, so I can't tell you the roles the various characters play, but I will say that this is sort of like the Danish equivalent of <a href="https://en.wikipedia.org/wiki/The_West_Wing">The West Wing</a>, only more adult, and less <a href="http://thesaurus.land/?word=schmaltzy">schmaltzy</a>. The writing is very good, but it's not Aaron Sorkin, and that's neither a plus or minus. 
			- They also have an English-dubbed version. I tried that at first, but the subtitles were for the Danish version, and there are differences. I prefer shows, even in English, that have subtitles. I think dubbing is generally cheesy, anyway.
			- After finishing it, I went back to <a href="http://my.bingeworthy.io/davewiner/">my BingeWorthy page</a> and changed the rating from Loved to Best, the top rating. If you have the time, and can read titles, I would put this on my watchlist. 
	- October 14
		- I wonder how many people saw Trump's last town hall.It was amazing in that he couldn't answer any of the questions actual voters have.
		- Why isn't there a <a href="https://en.wikipedia.org/wiki/CAPTCHA">CAPTCHA</a> for voice? 
		- Usually when we're watching a travesty happen in Washington, a gun massacre, starting a war, giving money to the rich, there isn't much we can do but say "Remember to vote two years from now." This time everyone gets to stick it to the Repubs in real time.
		- Thanks to <a href="https://wordpress.com/blog/2020/10/13/a-new-way-to-publish-your-blog-posts-simultaneously-as-twitter-threads/amp/">WordPress</a> for shipping their twitter-threader tool. It gives me something to compare my software to. I wrote [%search: Little Pork Chop%] back in 2014. It was the one of the first Node-based web apps I shipped. A little thing I whipped up in a few days and finished while I was traveling in Europe. It was a lot of fun. After a while spammers found out about it, and used it to spray messages through accounts with no real followers, to influence some algorithm, presumably. Kind of humiliating. Now I'm ready to make it useful for people and not useful for spamming. I think. Also considering making it a personal tool for people to deploy on Glitch. I'm looking for something to put into that pot. :boom:
		- PS: WordPress should do a tool that goes the other way. Lets you write a blog post in a series of tweets. I know that probably seems counter-intuitive, but I learned today a fair number of users don't like the new block editor. And Twitter is, these days, a fairly fluid writing tool
		- I got my New York absentee ballot in the mail today. Still not sure whether I'll vote by mail or at the community center in ten days. 
		- I mostly write without typos, but they get introduced when I edit. I've noticed more typos than usual in the last few days. I think it's the changing of the seasons. Swimming is over until late spring. Still bike riding but some days it's too cold or wet, so I walk instead. And I'm no longer good at walking. This summer was the first time since I left California in 2003 that I was swimming every day. It's very good for me. And its absence is very unsettling. I thnk that's why I feel a bit off now.
		- I think we're at the point where virtually everyone who isn't Russian or a lonely loser has decided they've finally had enough of Trump. He isn't funny anymore.
		- So here's a question for <a href="https://twitter.com/davenewworld_2/status/1316398093877772288">Trump supporters</a> who <a href="https://nymag.com/intelligencer/2020/07/republican-response-coronavirus.html">enjoy</a> making <a href="https://en.wiktionary.org/wiki/libtard">libtards</a> cry. Do you think they're crying because you hurt their feelings? Is that what you're into? Do you also like to hurt yourself? Because the thing the libtard probably is crying about is how you're going to lose your health care, or job, or freedom, in other words how your injured dignity is going to hurt <i>even more.</i> If you make me sad it isn't because you called me a name, it's because our once-great country has been reduced to jealousy as a popular form of political expression. I wish you were happier with your life, I really do, but I don't think trying to give your pain to others is actually going to make you feel better. I think if anything it'll make you feel worse. 
		- Theory about Georgia
			- I have a theory why the Repubs are tanking in Georgia. 
			- At least a few Republican voters in Georgia are pissed off about voter suppression of blacks. It might not be the final straw for a majority of Repubs, but it probably is for some.
			- This is based on something I learned in software in 1984. We shipped ThinkTank for the Mac in April. One of the first products to ship for the Mac. How did we do it so fast? We left out a lot of features, figuring we're getting a fresh start on the Mac. Nope.
			- Everyone knew what ThinkTank could do on the Apple II and IBM PC, and they felt ripped off that the ThinkTank they bought for the Mac was less capable. We rushed out another version by the end of the year that came closer to matching what they expected.
			- How does this apply to Georgia? 
			- Well the Repubs never thought how some of their supporters would feel about voter suppression. Sure there aren't many blacks who vote Republican, but some of the whites don't want to vote for a party that would do what they're doing.
			- The thing to remember is that while Georgia didn't go for Obama, there were probably a fair number of Republicans who voted for him in Georgia in 2008 and 2012. People who had gotten over their fear of blacks enough to vote for one. The US is changing. As much as we emphasize that racism is still here, and it is -- we also had a black president for eight years. That is change. 
			- That, and people know more than you think they do. 
	- October 13
		- Today's song: <a href="https://www.youtube.com/watch?v=0WGVgfjnLqc">Hit Me With Your Rhythm Stick</a>. 
		- If you showed <a href="https://twitter.com/clairecmc/status/1315824307298279430">this video</a> to anyone who didn't know who the people are, you'd conclude the <a href="http://scripting.com/images/2020/10/13/mitch.png">man</a> is either a robot (and not a good one), an alien, or crazy in some diabolical way.
		- WordPress added a tweet-streaming feature, described in this <a href="https://techcrunch.com/2020/10/13/wordpress-can-now-turn-blog-posts-into-tweetstorms-automatically/">TechCrunch</a> article. I followed their directions, and <a href="https://twitter.com/bullmancuso/status/1316064421844865024">published a thread</a>, based on a post <a href="http://scripting.com/2020/10/12.html#a144048">here</a>. The post also <a href="https://unberkeley.wordpress.com/2020/10/13/where-is-your-soul/">exists</a> on WordPress.com, so it elminates the need for a separate app that turns a thread into a post. Makes me wonder if Substack and Medium are going to add this feature. Also does WordPress support email bulletins?
		- I object to the title of <a href="https://www.nytimes.com/2020/10/12/podcasts/the-daily/abortion-rights-amy-coney-barrett.html">this podcast</a>. "Why The Left is Losing on Abortion." Once again it's a horserace. Winning and losing. And the subject is wrong. I guess "The Left" is losing but really it's the people of the United States who are losing. This is a terrible disease in American discourse and until we train ourselves to stop ignoring ourselves and realize that <i>we</i> are the government, and insist that our journalists do the same, we will all keep losing, left, right, center, all of it. 
		- BTW, a Supreme Court justice is part of the government, and therefore governs, and since we are the government, the justice represents us. Who among us do Alito, Roberts, Kavanaugh, Thomas and Gorsach represent? Not me, not anyone I know. Probably not many Trump supporters either. So should we really be adding <a href="https://fedsoc.org/">another one</a>? This is the way journalism should be approaching this story, imho. But who am I. Just a voter, citizen, taxpayer. According to our rulers, insignificant. 
		- I was talking with a friend the other day, just rambling about software and how I'm not terribly focused and I'm kind of okay with that. They asked what would you like to work on if you had your way. No question about it -- outliners. We have lots of unfinished business. But it still remains a boutique category, and I'm not succeeding at getting my outliner to get enough use to get to critical mass. Other people, newcomers (from my point of view) have gained traction, like Roam and Workflowy. What I really want is to combine outlining and blogging (i.e. fluid online writing). Then I think we'd be inventing a new kind of communication on the net. I have lots of technology for that, but what I'm missing is users. This idea goes all the way back to the beginning of blogging in the mid-90s. Eventually we caved and made a blogging tool that worked the way people expected. I don't want to try to raise venture capital and start a company. I've done that before, and it just takes me away from what I love to do. It isn't my calling. And at my advanced age, there's no time for doing work that isn't what I'm meant to do. 
		- I have a couple of hours to kill today in Kingston, but it's pouring rain outside. In the old days I'd bring a laptop and hang out in Starbucks or the library. But now that we have Covid, I think I'm going to be listening to podcasts in my car. Oy. I'll have a nice latte of course from Starbucks. But I'm not going to hang out inside and risk getting killed. (Update: Better idea. I'm almost finished with Season 3 of Borgen. I think I'll download it on my iPhone and watch that. Blogging is amazing. Sometimes you figure stuff out.)
		- I'd be impressed if the <a href="https://twitter.com/AP_Politics/status/1315979874427904001">Democratic Party</a> urged us to join a social network for voters, one that would continue to influence (both ways) after the election. From there, we could be informed of how to vote. And so much more. It would be as revolutionary as the Declaration of Independence. 
		- I need a <a href="https://twitter.com/davewiner/status/1315981839522304003">new office chair</a> but I don't want to spend $1000. 
	- October 12
		- Today's song: <a href="https://www.youtube.com/watch?v=j1Ij3rV_ZS4">Home</a>. 
		- When you think about how Trump became president, it could be that from now on we elect people to play the role of president, more than <i>be</i> the president, and maybe they should be separate jobs. Seems a good defensive move, in case this <i>is</i> the future, would be to start a few shows with characters who are powerful <i>Democratic</i> ideals for president. We have Martin Sheen, but he's a little old, and he is doing Trump-like <a href="https://www.youtube.com/watch?v=YF3yi41gfgA">cheezy commercials</a> now for cheap drugs. I like <a href="https://en.wikipedia.org/wiki/Geena_Davis">Geena Davis</a>. She played the first (and only?) <a href="https://en.wikipedia.org/wiki/Commander_in_Chief_(TV_series)">woman president</a> in a TV series in the US. 
		- Is your ballot property? If someone steals your vote, have they <a href="https://sfist.com/2020/10/12/california-gop-putting-out-bogus-ballot-boxes-in-at-least-three-counties/">stolen</a> your property? Can you stand your ground? If someone tries to steal your ballot can you shoot them? If you kill them, will you be forgiven? Just wondering if Republican values apply to Republicans.
		- Voting should be online, like banking. 
		- A blog should be a document, not a collection of documents. 
		- Perhaps what Trump voters are saying is they want a monarchy like Britain, where they can have strong opinions about people who are of no consequence (though I imagine some Brits might disagree).
		- My friend Peter Politi said of the new BingeWorthy watchlist: "A very useful <a href="http://scripting.com/2020/10/11/150652.html?title=watchlistFeatureForBingeworthy">feature</a> as it allows someone with fleeting memory to create a list of shows that they may want to see in the future, based on others' recommendations."
		- I was writing enthusiastically about [%search: Clubhouse%], then I stopped writing, because I stopped using it. At first, for no particular reason. I wasn't finding conversations that interested me, and when I started them myself, usually <a href="http://scripting.com/2020/09/02/173236.html?title=clubhouseAfterAMonth#a174138">nothing</a> happened. Then came the <a href="https://www.theverge.com/2020/9/30/21495419/clubhouse-conversation-antisemitism-content-moderation">anti</a>-<a href="https://www.tabletmag.com/sections/news/articles/clubhouse-app-anti-semitism">Semitism</a> <a href="https://www.algemeiner.com/2020/09/30/elite-tech-app-clubhouse-under-fire-for-hosting-antisemitic-discussion-on-black-jewish-relations/">meltdown</a>.  It was depressing to find out that fighting for equality, to the extent that it works, would not end the hatred for my people. After that I looked at every conversation there differently. Never spoke again. I still have the app, am still a member, so this all could change, but I thought it was good to update. 
		- I bet you could do a <a href="http://scripting.com/frontier/manual/chapter04.html">UserTalk</a> interpreter in JavaScript.
		- The only high-level language I've ever used that had <a href="https://www.cs.yale.edu/homes/aspnes/pinewiki/C(2f)Macros.html">macros</a> was <a href="https://en.wikipedia.org/wiki/C_(programming_language)">C</a>. It was really useful. Why doesn't JavaScript come with one? It could easily make code only readable by the author, but it might make it possible to smooth over design issues without waiting for the language to change. 
		- I woke in the middle of the night with an idea. What if your soul, my soul, if all our souls exist in a different dimension from our bodies? We can't physically find our souls with microscopes or <a href="https://www.webmd.com/a-to-z-guides/what-is-an-mri#1">MRIs</a>, or electron microscopes, perhaps because they aren't visible where those tools exist? Reminds me of an experience I had many years ago at an outdoor bar in Austin. There was a big tree in the middle of the stage. They had built the stage around it. There was a band playing, something lively and Texan, and I was thinking, I wonder if that tree even knows we're here. Can it sense the music, and the people, and the beers, and the relaxed mood? And if it can, what must it think is going on? So it's possible that our souls may not even be in another dimension, they may only exist in a manner that our senses can't detect. Or maybe we can only detect them as feelings, as intuitions, as middle-of-the-night dreaming epiphanies?
		- One day, like a miracle.
	- October 11
		- The mistake we keep making, the voters, is not organizing in a way that we stay organized after the election. So the parties and the press revert to ignoring us. You can see the next year take shape, awfully, even if Biden wins.
		- <a href="https://www.axios.com/abc-this-week-fauci-white-house-981a0d0b-d9f8-4759-b658-dd082de7d317.html">So Fauci couldn't speak</a>. At some point, would a reporter please ask him why he doesn't leave the government so he can speak plainly and frequently. Wouldn't he do more good that way? To my reporter friends, please pass this on. Thanks.
		- The Repubs do something awful. The Repubs do it again. The Repubs say the Dems will do something to fix the awful things the Repubs did. The press goes for it. Court packing is the [%search: Hillary’s Emails%] of 2020. Journalism is fed the question by Repubs, ignoring what a 6-3 majority means for the people. If you’re not careful we’ll spend the rest of our sad lives living in Trumpocracy.
		- I continue to regularly log my dev work to the <a href="http://littleoutliner.com/?url=http://instantoutliner.com/k5">status outline</a>. Two items there for today. 
		- Watchlist feature for BingeWorthy
			- <a href="https://www.youtube.com/watch?v=VnL1eMCKQgk">Quick video demo</a> of the new BingeWorthy <i>watchlist.  </i>
			- When you see a program you want to watch, look for the + icon in the upper left corner of the program box. Click it. The program is added to your watchlist, displayed just below the box. The icon changes to a checkmark. Click again, it's removed from the watchlist and the check icon changes to a + icon. 
			- The icons are weird, imho, but they are the ones Netflix uses for their watchlist, and Amazon Prime video copied them. So I went with Netflix's icons. As usual thanks to Font Awesome there was no work to finding the icons. 
			- I have a few more projects in mind for BingeWorthy. This one was a relative quick hit, took three days from beginning to end. Of course when I started I thought it would take one day. I think there might be another API layer possible for SQL databases that would make such a job much quicker, but I'm not ready to approach that yet. 
		- Inline videos on Scripting News
			- Added a new feature today to the blog. Still have to check it out in the nightly email. I can now include videos inline, which is a feature I've wanted for special occasions.
			- Below is a <a href="https://www.youtube.com/watch?v=DwcD8ftY0Mg&feature=emb_logo">video</a> I took on a country road as some bikers roared by. It seems like I must have been standing there waiting for them, but it was a coincidence. They are really awful, incredibly loud, you can hear them for ten minutes as they go up and down the hills in and out of the valley. I'm not sure why they don't use their mufflers or if their bikes have them, but they really do disturb the peace. 
			- Anyway here's the video.
	- October 10
		- Yesterday I did a <a href="http://scripting.com/2020/10/09/theViewFromNowhere.m4a">podcast</a> and <a href="http://scripting.com/2020/10/09/151128.html?title=packingTheCourt">blog post</a> about The View From Nowhere. I just realized that Joe Biden may be <b>The Politician from Nowhere</b>. I can't think of a single issue that he's associated with. Oddly I think that's exactly what we need from a president in 2021.
		- New blog feature. There's now a <a href="http://scripting.com/images/2020/09/06/bidenHarris2020.png">Biden/Harris ad</a> on the home page of my blog. In a <a href="http://scripting.com/images/2020/10/10/scriptingDesktop.png">desktop browser</a> it's in the right margin. It was tricky on a <a href="http://scripting.com/images/2020/10/10/scriptingOnPhone.png">phone</a>, so I just had the ad overlay the page, at .5 opacity. You can still read the text underneath it, but it's better if you scroll it out of the way. A blog version of a lawn sign. :boom:
		- <a href="https://twitter.com/davewiner/status/1314944887125618688">Poll</a>: Suppose you could only subscribe to one of the following online news orgs. Which would it be? 
		- Today is 10/10/20. Interesting fact. It's the same in Europe as in the US. Thank you.
		- I also changed my Twitter profile picture from a 2003 OPML Roadshow <a href="http://scripting.com/images/2020/10/10/daveTwitterProfilePicture.png">picture</a> to the Biden/Harris ad. My online front lawn extends to Twitter too.
		- Happy to see <a href="https://johnnaughton.substack.com/p/friday-9-october-2020">John Naughton</a> quote my <a href="http://scripting.com/2020/10/07/001200.html?title=breakingUpTechCompanies">howto</a> on breaking up tech monopolies. He calls it radical. It's the kind of judgment courts issue all the time. Look for ways to set things right.  Make everyone whole. The web should have remained open. Google and Facebook didn't respect that. So undo what they did. It's the way a programmer looks at things, and imho that's the right way, because it's tech we're talking about setting right. Usually they don't consult techies in these things, however. 
		- Yesterday's <a href="https://www.nytimes.com/2020/10/09/podcasts/the-daily/biden-trump-pennsylvania-swing-voters.html">Daily podcast</a> is an eye-opener. They interview Trump supporters in the middle of Pennsylvania. They don't think Trump is racist, and that he did the best he could with Covid.  
		- Anytime someone is inviting me to be enraged online, I'm suspicious that I'm being manipulated.    
		- The net is not good at shades of grey. Or accepting different perspectives. Or compromise. 
	- October 9
		- A <a href="http://scripting.com/2020/10/09/theViewFromNowhere.m4a">podcast</a> about the <a href="https://pressthink.org/2010/11/the-view-from-nowhere-questions-and-answers/">View From Nowhere</a>, and how journalism has given up on it, and that's a good thing. I did this podcast as an adjunct to the piece, <a href="http://scripting.com/2020/10/09/151128.html?title=packingTheCourt">below</a>, on packing the court. 
		- Whenever you eat something with some mass to it, a big Diet Coke is great because it gets in underneath all that and moves it around. I don't know why that feels so good but it does. 
		- Why do <a href="https://www.nytimes.com/2020/09/14/nyregion/ny-police-unions-racial-disparity-trump.html">police unions support Trump</a> when Repubs aren't funding local governments. I don't see how that's good for police.
		- If I had a column in a publication that people respected and read, my first piece would be about this. The power in the United States comes from the people. When we make everything about the parties and their personalities we lead the country to authoritarianism. 
		- If Trump gives me any money to try to buy my vote, I’m going to give it all to Democratic candidates.
		- I hope Trump does his rally in Florida tomorrow. His supporters should see him in his all his <a href="https://www.youtube.com/watch?v=KekChFdIe00">Captain Queeg</a> paranoia. Explaining the strawberries and how no one listens to him. Calling for a former president who many of them voted for to be put in jail, or perhaps worse. Maybe some of them will be shaken out of their entertainment stupor and realize this is the president of the United States, a formerly great country that is being flushed down the toilet because people in the middle of the country feel unappreciated, bored and purposeless. 
		- Packing the court
			- The court at 6-3, if it gets to that, will be far out of sync with the people they're meant to govern. This has to be resolved somehow.
			- The Constitution doesn't say what we should do, but it isn't up to the Dems, and I wish Harris had said that in the debate, it's up to the people.
			- The people will demand it, as soon as it becomes apparent that the court as configured is going to reverse Roe v Wade.
			- Further, if it is a huge win for Dems, they will be mandated to do something else. Change the Constitution so we have a democracy, not something that can be so easily hijacked.
			- The press has a lot of gall trying to pin the Dems to "packing" the court. The press are citizens too, and voters, and have an interest in how the country works.
			- They should ask themselves, before trying to make a controversy, in alliance with the Repubs, do they accept a 6-3 conservative majority?
			- This circles back to <a href="https://en.wikipedia.org/wiki/View_from_nowhere">Jay Rosen's</a> <a href="http://scripting.com/2020/10/09/theViewFromNowhere.m4a">View From Nowhere</a>. Now is the time for the press to stop and think, am I in favor of the United States? That is not too big a conflict of interest to carry. Then you should be careful when you try to create controversy.
			- Remember how the press set up the [%search: Hillary's Emails%] thing. Don't back us into a corner. We're going to have to reconfigure the court if the Repubs do what they plan to do.
			- We will have to do it. President Biden will do it for us. Stop ignoring the people. We are the government. We really are. That will be more clear at the end of the year. 
	- October 8
		- Recall how <a href="https://www.youtube.com/watch?v=V_F_OSBAP8w">Trump stalked HRC</a> in the town hall debate in 2016. It would have been esp sinister in 2020, with Trump's and his deadly virus. 
		- BTW, this time I tried to watch the debate, but gave up after a few minutes. Pence lies and spins. I find it insulting to be lied to that way. And then he talks over his limit, way over. Then you realize he's setting it up so that when he starts answering the question he was asked, it's already past the time limit, so the moderator keeps interrupting him with "Thank you Mr Vice President." Until finally he stops. At her request. That was enough for me. I heard about the fly on Twitter, and thought that was interesting. Probably the fly was a messenger from the alien robot spaceship parked in synchronous Earth orbit, relaying messages from the Home Planet to the robot Pence. Or a robot supplying a booster for Pence's adderall and steroids cocktail. Possibly Ruth Bader Ginsburg reincarnated as a fly? The mind drifts to other topics and there was a hellacious windstorm going on outside, so I quit early. :rocket:
		- Bottom-line: There's too much at stake right now. I need to keep my distance to keep my sanity.
		- I have my eye on a new <a href="https://www.nytimes.com/wirecutter/reviews/best-ultrawide-monitors/">ultra-wide monitor</a>. 
		- Yesterday's how to <a href="http://scripting.com/2020/10/07/001200.html?title=breakingUpTechCompanies">break up tech monopolies</a> is getting a positive response. It's a good companion to the <a href="http://this.how/googleAndHttp/">Google and HTTP</a> faq. 
	- October 7
		- This <a href="http://scripting.com/">blog</a> started <a href="http://scripting.com/2020/10/07/001509.html?title=26YearsBlogging">26 years</a> ago today. Here's <a href="https://www.youtube.com/watch?v=mKKLIrOGfUo">the song</a> for that occasion. I was so much older then I'm younger then that now. Of course when I woke up I had no idea. Totally spaced it out. Thanks to my friend Geraldine, one of my constant readers, for pointing it out. :heart:
		- <a href="https://www.youtube.com/watch?v=5AoY6RRfMZM">Randy Rainbow and Patty Lupone</a>. The best thing ever. 
		- Today's song: <a href="https://www.youtube.com/watch?v=tpNy6xqoQa8">Don't cry for me Argentina</a>.
		- The fourth and final season of <a href="https://www.amazon.com/Mr-Robot-Season-4/dp/B07X1V834N">Mr Robot</a> is now on Amazon Prime. It was so good, one of the best shows ever. But a lot of people stopped watching the show during the second and third seasons, which dragged on, were slow, arduous at times and always dark. This also happened with The West Wing, it languished in its late seasons, but the <a href="https://en.wikipedia.org/wiki/The_West_Wing_(season_7)">final season</a>, the campaign for Bartlet's successor, was riviting, emotional, idealistic, optimistic. A lot of people missed it. I rated both shows tops on <a href="http://my.bingeworthy.io/davewiner/">my BingeWorthy list</a>. The finale of Mr Robot was a joy. I know it's hard to believe. :boom:
		- From December of last year, which feels like a decade ago, my <a href="http://scripting.com/2019/12/23.html#a120326">writeup</a> of the very last episode of Mr Robot. It's so vague and general it's not really a spoiler. 
		- <a href="http://bingeworthy.io/tv/?id=https percent3A percent2F percent2Fwww.metacritic.com percent2Ftv percent2Fkilling-eve">Killing Eve</a> wasn't on BingeWorthy. Amazing. Please rate it, it should be among the top programs, even if the first season was better than the subsequent seasons. 
		- Today's parody song: <a href="https://twitter.com/latelateshow/status/1313673445188620288">Maybe I'm Immune</a>. 
		- Breaking up tech companies
			- When they contemplate breaking up a tech company, this is how you should do it. Find the component of the company that really is open tech. Something that was open before they came along, that they foreclosed on, and used their monopoly to put everyone else out of business.
			- That's where you draw the line of separation. The core should be spun off into a new company that's well funded, with a charter to commercialize the tech while maintaining zero lock-in. Totally replaceable. Defined APIs that don't break.
			- If the company is viable with these constraints, great. If not, they have enough money to plan their own demise. The key thing is they cannot use their dominance to launch new products. Just the open tech.
			- You would find people willing to staff such a company, there are lots of idealistic developers, still, who believe in the open internet.
			- In Microsoft's case, in the 90s this would have meant spinning out the browser. 
			- Today with Facebook it would mean spinning out the open graph.
			- With Google, it would have to be at least the core search engine. If Alphabet wanted to run ads on search, they'd have to get in line and compete with others who did. This is the price they pay for trying to use their dominance in search to control everything.
			- Google would also have to spin out Chrome, same way Microsoft would have spun out MSIE in the 90s.
			- That's the basic idea. Look for the old open tech buried in the company, that is the source of their monopolistic control, and extract it. Hopefully it's <i>very</i> painful, to keep successors from tying to do it in the future.
		- 26 years blogging
			- To get to to 25 years it could be stubbornness, the desire to reach a goal. To get to 26 is something different. It says I was really born to do this. I just cruised through the last year, of course I blogged it, through all the crazy shit, and beauty, why wouldn't I?
			- It might be time to change the motto from "It's even worse than it appears" to the motto of Battlestar Galactica." All this has happened before, and all this will happen again." Because it really is a loop. Back at the beginning it was Microsoft, Apple, Sun, IBM, etc.
			- Today the stories are mostly about Google, Apple, Facebook, Amazon, Netflix.But amazingly the stories are exactly the same. Which is the story of humanity. And tech. :smile:
			- I got the blogging gene from my mother, and great-uncle. I am a software developer, I do love doing that, but I'm also a NBB, a Natural Born Blogger.  Not sure what that's good for exactly. That at $2.50 gets you on the subway. I think.
		- Julia Child was a Natural Born Blogger.
		- Dutch artist Siegfried Woldhek’s pen drawing of Trump.
	- October 6
		- Posted a <a href="https://github.com/scripting/Scripting-News/issues/190">braintrust query</a> asking how people are migrating from <a href="https://www.npmjs.com/package/request">request</a> in Node after it has been <a href="https://github.com/request/request/issues/3142">deprecated</a>. 
		- In a way, we are lucky Trump is so incompetent. In January, if he weren't insane and deaf he could have gotten his approval ratings to 90% simply by doing exactly what science said to do. He would be coasting to a landslide election at this point.
		- <a href="https://www.digitalocean.com/">Digital Ocean</a> has really good docs, and they strive for simplicity, and they pull it off.  Good performance and pricing too. I've migrated all of my network apps to DO. Started using their database platform a year ago, and it "just worked." I don't like all the jargon in the <a href="https://www.digitalocean.com/blog/introducing-digitalocean-app-platform-reimagining-paas-to-make-it-simpler-for-you-to-build-deploy-and-scale-apps/">writeup</a> of their new <a href="https://cloud.digitalocean.com/apps/new?i=e2ff93">app platform</a>, but it's probably pretty good. Glitch is here too, but I don't think "real" developers get that it'll be useful for them, but it is. The core idea is put your app on GitHub, connect it to a node on the host (Digital Ocean, Glitch, etc), and deploy changes by updating on GitHub. I expect Microsoft will be here too. Imagine a button on the repo that says Deploy (MS bought GitHub recently). We're about to see a huge simplification of writing apps for the net. There's no reason it can't be a lot easier. Note that AWS or Google aren't remotely here, their systems are labyrinthine, designed for the [%search: priesthood%]. 
	- October 5
		- If you want to follow my development work, I've created a <a href="http://instantoutliner.com/k5">public outline</a> where I report my daily work, when I can. Click the link, and the outline will open in LO2 as a read-only live-updating outline. 
		- If Fauci had a podcast we'd hear what he thinks every day. You wouldn't have to go hunting for him. The public needs a pulse for guidance about what's going on. Not getting him on the podcast network at the time that say Cuomo was booting up was a mistake. I think it would have saved a lot of lives. I don't know, maybe he's being so effective inside the government that they can't spare him. But I've seen his main value this year as a reliable communicator.  
		- I don't understand why the debaters have to be in the same physical place. The whole thing would be much more manageable if they did it electronically.
		- Saddest moment yesterday was when Trump said he was learning all about Covid. This is why the world should pity us. We have a no-president president. Can you imagine how much Obama would know by now if he were president. Oy.  
		- It's hard to believe but Repubs plan to challenge every absentee ballot in swing states. When they say it might take months to get a result, that's because they plan to make it take months. More info like this in <a href="https://www.npr.org/2020/10/01/919131327/what-happens-if-trump-contests-the-election">Thursday's episode</a> of Fresh Air. You probably have no idea how screwed up this election is going to be, <i>by design.</i> (Update: <a href="https://apnews.com/article/virus-outbreak-election-2020-donald-trump-local-elections-lawsuits-4298a514550323d39931f3e5fff2ccae">Check out</a> what they're doing in North Carolina.)
		- You know how sometimes your brain as it scans sees one word but the word that's actually there is something else? It happens every time I see NakedJen's logo on Twitter. It says "nakedjen anarchist & agitator." But my brain always sees "antichrist" in place of anarchist. It keeps happening, finally I had to mention it. Sorry Jen, I have no idea what it means, if anything.
		- It really does say anarchist, but my mind sees something else.
		- What's wrong with Facebook
			- Yesterday I <a href="http://scripting.com/2020/10/04/135949.html?title=checkingInOnTwitter">wrote</a> about what's right with Twitter these days. 
			- Today -- Facebook. 
			- One thing overshadows all other considerations. They swapped out the old user interface in favor of a new more modern-looking one. It is more attractive, better use of fonts, the text is generally more readable, and it has a brighter look. 
			- But that's all that I can say about it that's good.
			- What's bad? The product is depressing. Almost everything it shows you is junk. They must be trying to get us to stop using Facebook. 
			- This isn't the usual thing, users hate redesigns, but get used to them and after a while see that it's better in some ways, worse in others. I've been using it for a while, and it's every bit as ridiculous today as it was a few weeks ago. 
			- First all the spam friend requests are treated as super important, higher priority than anything else.
			- It's like opening your real-world mailbox and all you get are catalogs, mailers, special offers, political ads, notices, most of it goes in the garbage, but you have to look at everything, because there will be things you have to pay attention to. 
			- How can their code fail to see that all the friend requests I get are spam? 
			- No one with any influence inside Facebook is using the version of the software we are using or they'd revert it immediately and then fix it. I've seen companies ship upgrades so bad the company failed, and this one is right up there. 
	- October 4
		- <a href="https://twitter.com/TeamPelosi/status/1312778024119611392">Speaker Pelosi</a>. "Crush the virus."
		- <a href="https://twitter.com/davewiner/status/1312853945300267010">Poll</a>: How sick is Trump, do you guess? 
		- Did you see the movie <a href="https://www.youtube.com/watch?v=E9eAshaPvYw&feature=emb_logo">Death of Stalin</a>? I have a feeling something like that is going on behind the scenes here in the US. 
		- I saw <a href="https://en.wikipedia.org/wiki/Al_Franken">Al Franken</a> on MSNBC yesterday. He talked for several minutes uninterrupted. Riveting. No doubt he's the best communicator the Dems have. <a href="https://en.wikipedia.org/wiki/Alexandria_Ocasio-Cortez">AOC</a> is great too, as is <a href="https://en.wikipedia.org/wiki/Joe_Trippi">Joe Trippi</a> (he should run for something). <a href="https://en.wikipedia.org/wiki/Elizabeth_Warren">Elizabeth Warren</a> excels, esp the last few weeks. But Franken is tops.
		- Also, I tried listening to <a href="https://alfranken.com/listen">Al Franken's podcast</a>. He has a long ad at the beginning, and I don't do that. He should find a different revenue model. He's got a long road ahead to come back. The podcast should be instrumental in that, but the advertising disgusted me, and I won't listen to it. Too many people with something to say do this. Shame. Podcasting wires you directly into people's brains when they have the attention to really listen. Don't waste that selling some cheesy house ornament or utility. 
		- Right now it would be interesting to have 10K permanent protestors in DC, until the election, to make sure the Repubs know and feel that the people are watching.  
		- <a href="https://www.axios.com/las-vegas-shooting-kills-at-least-20-injures-more-than-100-2491911641.html">Three years ago</a>.
		- Checking in on Twitter
			- I started writing in Twitter just now and it turned into a short list of where Twitter is at from my point of view. Likes and dislikes.
				- One thing I dislike in Twitter is seeing links to interesting stories that I can't read because they're behind a paywall.
					- This is happening more, it seems. I expect it is because the pubs are getting better at building circulation that way.
					- It seems Twitter could do something to help here. Either work out a deal with publishers that would allow Twitter users to read articles on a per-story basis. Act as a distribution platform. 
						- Or give users the ability to say "I don't want to see links to these pubs, because I don't subscribe to them." If we can't have the former, I want the latter. I'm tired of seeing links to stories I can't read. And subscribing to all the pubs with paywalls is ridiculous, of course. 
				- I also dislike that Twitter is so hierarchic. 
					- People decide whether something is important based on who the writer is. There doesn't seem to be much room for ideas to circulate on their own merit. 
					- There is a circle of commentators and you're either in or out. I'm out and you are probably too. (And I have a blue checkmark and tens of thousands of followers.) 
					- You can say all you want, but if it's outside your perceived area of expertise, no one will hear it. 
						- I'm an expert in using and building the kind of networks we use today. 
						- But everyone thinks they're an expert in this, so that expertise counts for little. 
					- Having money automatically conveys value to your ideas. 
						- It's the most transportable form of expertise, because (I guess) people think you can buy whatever expertise you personally don't have?
				- I like writing in Twitter, and that makes me think a tool something like this for offline writing might be good.
					- It's a lot like an outliner. Chunks of text. Twitter has fuzzy ways of navigating the structure. Hard to feel it. Outliners are pretty clear about the structure. And the structure is editable in an outliner. 
					- I've often wondered if an outliner wouldn't make a good writing tool for Twitter. I don't do it that way, so obviously at that level it's not there. 
				- I dislike how hard it is to find something I wrote on Twitter. I pretty much have to get an idea into my blog so it can be indexed by the search engines. That's the only way I have any hope of finding it in the future. 
	- October 3
		- If Trump's <a href="https://twitter.com/realDonaldTrump/status/1312525833505058816">talk</a> from the hospital this evening was meant to reassure it had the opposite effect. And you can tell he doesn't actually do anything, because the only thing he came up with for what he does is Make (sigh) America Great Again. Oh really. Is that what we're doing. 
		- Imagine you're a kid in a house where they love Trump. It's weird because they're admiring a bully, yet trying to make sure their kid knows bullies are bad. Every family has to deal with this one way or another. I wonder how they do it. Now there's a moral to the story. See, even the bully needs help from other people.
		- Trump needs science to save his life. Not "as if by magic it'll disappear." If his life is saved it'll be saved by science.
		- It’s kind of amazing CNN hasn’t figured out that there was a  <a href="http://scripting.com/2020/10/02.html#a125941">previous president</a> who got a virus in a pandemic. Woodrow Wilson in 1918, got the Spanish flu and was disabled for the rest of his life as a result.
		- Something weird is happening. I woke up this morning with nothing to say. For a moment at least the world seems to be straightening itself out. I might take a well-deserved break.
		- This was all so preventable.
	- October 2
		- Trump getting <a href="https://www.cnn.com/2020/10/02/politics/president-donald-trump-coronavirus-positive-test/index.html">sick</a> saves lives.
		- <a href="http://scripting.com/2020/10/02/itsTotallyOkToJudgeTrump.m4a">Short podcast</a> about why Trump getting the virus is <i>good.</i>
		- This is our country. In order to get out of the mess, we have to start thinking and acting like we're the owners of the United States. And by <i>we</i> I mean the weirdos, immigrants, people of color, people who read books, listen to other people. Have hope, give a shit. 
		- There is precedent for a president getting a deadly virus. <a href="https://www.newyorker.com/news/daily-comment/woodrow-wilsons-case-of-the-flu-and-how-pandemics-change-history">Woodrow Wilson</a> got the Spanish Flu in 1919. "He became ill at a decisive moment, making the virus an insidious actor in one of the twentieth century’s most consequential episodes of great-power diplomacy." 
		- <a href="https://www.facebook.com/dan.conover.714/posts/10221727615833335">Dan Conover, on Facebook</a>: "Trump is a sort of televised strong-man, superhero avatar for many of his supporters. The core of that support is White Evangelical Christians, most of whom literally believe that Trump was directly anointed by God to lead the nation four years ago." 
		- When people said it was virtually certain that the new Supreme Court justice would be confirmed, you have to question it, because now it's anything but certain. All it took was for the White House to get infected. It's a central node in the US government. Seems likely its infection spreads to Congress and even the Court. Hard to imagine orderly business taking place in DC for a while, but who knows. Can't wait to hear what Mitch McConnell has to say, and if he was exposed. 
		- I'm linking more to CNN stories than most other pubs.  Not too many ads, no paywall. And a decent rep re linkrot. I also like Axios but they haven't been around long enough to know about linkrot. 
		- Judging Trump
			- Some of us, privately, will tell our friends that we're glad that Trump got the virus. He was living far more dangerously than he should have. It was amazing that he stayed uninfected this long. 
			- I'm ten years younger than him, I exercise every day, and I limit my interactions with other people drastically. Last week I went out to lunch with a small group of friends, outside. I've done that a few times since March, mostly in the last month. I also have serious pre-existing conditions that make me more vulnerable. My life is dramatically altered since we all went into hiding earlier this year. If I consider myself lucky to be virus-free so far, then Trump is blessed beyond belief that he got away with what he was doing for so long.
			- Meanwhile the virus rages through the United States, and <i>he's responsible</i> for that, and all the misery that comes from it. So yeah, it's good that he got it. If he survives, perhaps he'll do something to help, at least he won't be able to do more harm. If he doesn't survive, may he rest in peace -- and at the same time, good riddance. 
			- Get over the impulse to cut him slack here. This is not a time for that, especially with the election so close. <i>This is our last chance to get rid of Trump</i>. Stay focused on that. Is this event a positive for that? I'm not certain about many things but I am certain about this. Yes it is.
			- It's totally okay to judge Trump. That's what elections are all about. We're trained not to do it, esp when someone is sick. This is not the time for that. 
	- October 1
		- I made the change that I wrote up <a href="http://scripting.com/2020/09/30.html#a150259">yesterday</a>. Now when you go to an instantoutliner.com address, <a href="http://instantoutliner.com/k5">example</a>, it will redirect to "LO2", and it will open the outline, read-only, and updates will be live. 
		- Kara Swisher's new podcast interview with <a href="https://www.nytimes.com/2020/10/01/opinion/sway-kara-swisher-alexander-vindman.html?action=click&module=audio-series-bar&region=header&pgtype=Article">Colonel Vindman</a>. He tells a good story. Honorable person in a corrupt administration. Very worthwhile. He answers the questions. I saw John Bolton on MSNBC last night, and he evades them. Vindman worked for Bolton. Vindman would make a good software tester, imho. 
		- I installed <a href="https://coronavirus.health.ny.gov/covid-alert-ny/">Covid Alert NY</a> on my Pixel 4a. It uses Bluetooth to collect IDs of phones I spend ten minutes within six feed of and remembers them for some period of time. If one of them reports positive with Covid, I get notified. It's contact tracing with phones that we've talked about for a while. Does it work? I guess I hope not to ever find out. Yes I know it probably is a huge drain on the battery and privacy. 
		- I've been using the <a href="https://apps.apple.com/us/app/apple-podcasts/id525463029">Podcasts app</a> on my iPhone, it's using a whopping 20GB for old shows I'm never going to listen to again (or maybe never listened to at all). I assumed it garbage collected, but it doesn't. Podcasts should age-out, user configurable.
		- We should have a <a href="http://scripting.com/2016/07/31/p2pGotv.html">buddy system</a> for voting.
		- Trump can condemn white supremacists, but it doesn't matter, he still is one. [%search: Occam's News%]. What would a white supremacist say, now, if cornered on whether he's a white supremacist? They'd deny it. But with a wink. :wink:
		- Having seen the debate, you now know what it’s like to work for Trump.
		- When did we decide that hold music was okay. I don't remember voting on it. 
		- During the Mueller investigation, I assumed they had Trump’s tax returns. Turns out <a href="https://www.msnbc.com/deadline-white-house/watch/andrew-weissmann-on-robert-mueller-s-investigation-i-think-he-operated-completely-out-of-integrity-92812357837">they didn’t</a>. They didn’t follow the money. Apparently with Trump, no one has.
		- Happy birthday Uncle Vava
			- Today would have been my uncle, [%search: Ken Kiesler%]'s, 75th birthday. He didn't even make it <a href="http://crimson1.scripting.com/kenKiesler">to 60</a>. I'm sure he's happy on his <a href="https://en.wikipedia.org/wiki/Hippie">hippie</a> beach in the sky. See you soon <a href="http://greatvavavoom.com/">Uncle Vava</a>. 
			- BTW, people may not know that <a href="http://scripting.com/2020/04/28/212326.html?title=uncleKenAndAuntDorothy">Ken</a> was an early blogger. He, and <a href="https://en.wikipedia.org/wiki/Dan_Gillmor">Dan Gillmor</a>, were the first two users of "Manila", outside of UserLand. In 1998 or 1999. 
			- He was my mother's brother, and nephew of German novelist, <a href="https://en.wikipedia.org/wiki/Arno_Schmidt">Arno Schmidt</a>. He was the first member of my family born in the US. I was the second. He was only 10 years older than me, and was as much a brother as an uncle. 
			- It seems so weird that he could ever be as old as 75, but it's even more weird that he's been gone so long already. He died in Jamaica, in 2003, a few weeks before the first BloggerCon. 
			- Ken and Dot, with a few of Ken's cars, on their land in <a href="https://www.google.com/maps/place/Crescent+Beach,+FL+32080/@29.7387049,-81.2768389,13z/data=!3m1!4b1!4m5!3m4!1s0x88e69977c882aea5:0xe61a1afbdfe01fae!8m2!3d29.76886!4d-81.2536786">Crescent Beach, FL</a>. 
