- July 2021
	- July 31
		- Where is the American heart?
		- I know the American Olympics basketball team is playing right now, where can I watch it? That's a hard question to answer, believe it or not, in 2021. In the early 90s, I did an experiment with my brother, in Palo Alto. We knew the Mets were playing in Los Angeles. We decided to try to find out the score, as an experiment. We knew we were living in information impoverished times, that it would eventually get much better. We tried calling the news organizations in NYC and Los Angeles. They had no idea what the score was. Certainly someone at the news org would know, we said. The person answering the phone didn't know. Tried calling the ballpark. The teams. We couldn't find out the score. Maybe it was possible but we couldn't think of a way to do it. This was before cell phones and before the web. 
	- July 30
		- Carl Sagan
			- It's <i>always</i> a good time to watch the <a href="https://www.youtube.com/watch?v=wupToqz1e2g">Pale Blue Dot</a>, regain perspective.  
	- July 29
		- Today's song: <a href="https://www.youtube.com/watch?v=ooRX9GB9vTU">Adrian</a>.
		- <a href="https://en.wikipedia.org/wiki/Reds_(film)">Reds</a> is a fine film, playing on [[HBO]] now. 
		- A couple of my sites to check out if you like <a href="http://artshow.scripting.com/">art</a> and/or <a href="http://nbariver.com/">the NBA</a>.
		- A <a href="https://www.youtube.com/watch?v=S_xlikEjc4A">video demo</a> of why instant updating in outlines is so important for content management applications. 
		- [[Tools for thought]] users hear me. Don't let us get locked in. There's absolutely no need for it. You have the power. This is a pivotal time. Insist on <a href="http://scripting.com/2021/07/11.html#a170443">interop</a>. 
		- It would be cool if you could hire a Trump impersonator to speak at a rally or business conference, and have him say whatever you like. Like the way <a href="https://en.wikipedia.org/wiki/Colonel_Sanders#Legacy">KFC reinvented Colonel Sanders</a>. Or the <a href="https://en.wikipedia.org/wiki/Elvis_impersonator">Elvis impersonators</a> you can hire in Las Vegas. Flood the market with fake Trumps. Think of all the good causes he could support in a Trumpian way. Render him harmless.
		- There's a <a href="https://github.com/scripting/pagePark#v0823-72821-by-dw">new release</a> of [[PagePark]] with the door closed for serving config.json files in domain folders. I asked for comments yesterday, and there weren't any objections. However this is a potential breakage issue, so I wanted to flag it. There is a new config option that lets you re-open the door, either globally or for a specific domain.
		- The NYT should've kept McNeil
			- Every time I try to listen to a [[Daily podcast]] update on [[Covid]], I realize in a deeper way how the [[NYT]] made the wrong decision when they canned [[Donald McNeil]]. 
			- Here's the tradeoff.
				- What he said made NYT staffers angry.
				- He was providing a continuous perspective on a virus that continues to threaten the human race. He was trusted, for good reason -- he was trust-worthy.
			- So what if the NYT staffers were angry. Maybe being angry is good for them. They are lost. They don't understand that their mission is to do exactly what McNeil was doing. Build trust on vital subject matter. Make the NYT readers the best informed people on the planet. 
			- As a lifetime NYT subscriber, the right call would have been to fire the staffers and start over with more people like McNeil.
			- And I wouldn't care if the word he said was insulting to Jews. Please re-watch the [[Carl Sagan]] bit about the <a href="https://www.youtube.com/watch?v=wupToqz1e2g">pale blue dot</a> for a proper sense of perspective. 
	- July 28
		- I heard from a friend of [[Gary Sevitsky]], a colleague of mine in the late 70s at the [[University of Wisconsin]]. He and I were both smokers and grad students in Computer Science, so we'd go out for smoking breaks together while working at the Unix lab on <a href="https://www.google.com/maps/place/1210+W+Dayton+St,+Madison,+WI+53706/@43.0711993,-89.4087568,17z/data=!3m1!4b1!4m5!3m4!1s0x8807accf34599401:0xcbdcc82ca4309b0f!8m2!3d43.0711993!4d-89.4065681">West Dayton St</a>. It was in one of our hallway smoking conversations that he told me about Lisp editors that understood structure. I loved the idea, but I was programming in C, so I decided to build an editor for that language, with the same idea. That started me down a <a href="http://scripting.com/dwiner/outlinersProgramming.html">path</a> that to this day I'm still working on. The combination of outline structures and programming, it's a big deal. I never spoke with him after leaving [[Madison]], and after the [[Guy Kawasaki]] <a href="https://podcasts.apple.com/gb/podcast/guy-kawasakis-remarkable-people/id1483081827?i=1000528857811">podcast</a> I heard from a friend of his who said that <a href="https://www.legacy.com/us/obituaries/stamfordadvocate/name/gary-sevitsky-obituary?pid=190783474">Gary had died</a> at age 57, in 2013. He was a kind, brilliant man, and a friend from one of the best times of my life. 
		- In the future, kids will learn about the attempt to overthrow the government that failed, but they let the coup leaders stay in Congress and they tried again, and again, and again. Kids of the future will wonder why the people of America didn't force the politicians to evict the terrorists. Instead, it took 20 years to get them out of the government, in the meantime the planet became unlivable, billions died and civilization basically dissolved. Right now that's the story that should be being reported in the news. Wait longer, the story gets worse. 
		- <a href="https://www.youtube.com/watch?v=MRuS3dxKK9U">Howard Beale</a>: "I'm a human being god damn it, my life has value!"
		- Journalism is a ruling class, just like all the rest of them. Like the church they try to reserve a holy position for themselves, but it's a lie. 
		- The big bug in our system is that the world is run mostly by people who are playing it safe.
		- If you're a [[PagePark]] user, here's a <a href="https://github.com/scripting/pagePark/issues/24">potential security issue</a> I want to fix, but there is breakage, that's why I wanted to check with users first. 
		- I'm still trying to figure out how to use [[tagging]]. The goal is to create an index, like the index in the back of a book. Maybe when I have enough tags I will be able to create a book from my writing here? It approximates the way we did the index in the back of software manuals at [[Living Videotext]]. Hmm. Maybe tagging would work well for the [[Drummer]] docs? Also my apologies to <a href="http://scripting.com/email">email</a> readers, for some reason the tags don't show up in emails. I have to figure out why, but I'm not working near there at this time.
		- I never expect to hear any challenging ideas on cable tv news, but yesterday I actually did hear one, in passing, from a surprising source, [[John Heilemann]], who I think of as the ultimate <a href="https://twitter.com/jheil">parrot</a>. A good looking person, speaks well, but just shovels shit. But yesterday he said something "out there" not on the script they're all singing from on CNN and MSNBC. He said that Biden's response to the threat to democracy is too weak. He said if Biden was really signed on, he'd be putting roadblocks in the Repubs' way, every day. Using the incredible communication system that the White House can be, if used bravely, to expose the threat, again: Every. Damned. Day. I just gave [[Joe Trippi]], Dan Gillmor and Jay Rosen <a href="https://twitter.com/davewiner/status/1420401709214572545">grief</a>, for only being willing to dip a toe in the water on the mess we're in. Trippi had an episode where he must've mentioned my name 20 times, but he never told his listeners <a href="http://scripting.com/2021/06/08.html#a152650">what I told him</a> he had to do. And of course he's not doing it. Presumably because he's still holding on to the option of having a career if the Repubs prevail? Doesn't he see that won't happen. And we're all about the same age, in our mid-60s. This isn't time to be thinking about our careers, it's a time in our lives when we can afford to take some risks. Think about it next time you decide to play it safe. (That's the problem with every successful person, you can't trust them, even when they're old, they're so set in the groove of safe-playing, they'll never actually do anything to change how things work. And very few young people are willing to risk, or would know what to do if they did.)
		- [[White Lotus]] on [[HBO]] got really <a href="https://www.metacritic.com/tv/the-white-lotus/season-1">good reviews</a>, so I gave it a try. It <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fthe-white-lotus%2Fseason-1">sucks</a>. Often overwhelmingly cringe-worthy. However I have watched the first three episodes and I can see that I'm probably going all the way. I also tried [[Manifest]] on [[Netflix]], a former NBC series that got <a href="https://www.metacritic.com/tv/manifest">mixed reviews</a>. I knew from the start that it was <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fmanifest">junk</a>, but I watched anyway because sometimes [[Junk TV]] is just right for the moment. You don't have to pay close attention to what's going on. They were trying to make another Lost, which was okay, but they didn't get there. It's just plain garbage. But it was #1 on Netflix last week. I haven't watched a series on Netflix in a long time, I wonder why I pay for it.  
		- An idyllic summer day
			- On the <a href="https://ashokanrailtrail.com/">Ashokan Rail Trail</a> yesterday.
		- Frida Kahlo
			- <a href="https://www.wikiart.org/en/frida-kahlo/portrait-of-luther-burbank-1931">Portrait of Luther Burbank</a>, 1931.
	- July 27
		- Today's song: <a href="https://www.youtube.com/watch?v=MKuq0rpMvpk">Writing</a>.
		- Both forms of revenue, advertising and subscriptions, <a href="https://www.nytimes.com/2021/07/27/business/media/buzzfeed-vox-media-vice-group-nine-ipo.html">for news</a>, are unworkable. Take down the paywalls, let me pay per article, then when I'm spending $100 a month, then and only then, offer me a sub, as a way of saving money.
		- I recently saw a video of a very early <a href="https://en.wikipedia.org/wiki/Pee-wee_Herman">Pee-wee Herman</a> standup act. I remember the first time I saw him on TV, it was a bit after this, but I couldn't figure out if he was for real or playing a role. That's <a href="https://www.youtube.com/watch?v=dBEipABTws8">how good</a> he was. Too bad he got cancelled for doing a very natural human thing to do, I can't see how anyone was hurt. [[Pee-wee Herman]] is a comedian who gets so intertwined with the role, like <a href="https://en.wikipedia.org/wiki/Rowan_Atkinson">Rowan Atkinson</a> or <a href="https://en.wikipedia.org/wiki/Andy_Kaufman">Andy Kaufman</a>, that you can't really tell if they're for real. We always assumed [[Robin Williams]] was an act too, but it's become apparent that the wild riffing comedian was who he really was, and it was part of the <a href="https://en.wikipedia.org/wiki/Lewy_body_dementias">disease</a> he died from.  
		- Extra song, dedicated to Pee-wee: <a href="https://www.youtube.com/watch?v=lGIds7cSf3U">Roy Rogers</a>.
		- Almost every time I visit YouTube they make me confirm that I don't want a free trial for <a href="https://tv.youtube.com/">YouTube TV</a>. Not too smart. Every time I see it I want to tell them, hey, I tried your service and liked it, and would still be using it if you had Knicks games. They could skip the pitch until they got the Knicks, then I would say yes, maybe -- after giving it some thought. But without local games, forget about it. I'll put up with Spectrum. BTW, YTTV is really superior to Spectrum, whose UI is awkward, even after you've gotten used to it. And they don't have a virtual VCR, which was the nicest thing about YouTube TV. 
		- <a href="https://en.wikipedia.org/wiki/Ulster_County,_New_York">Where I live</a> some people call city folk "cityots" -- not sure I'm spelling it right. It's supposed to be an <a href="https://en.wiktionary.org/wiki/amalgam">amalgam</a> of "city" and "idiot." Weird thing, almost everyone who lives here is from the city. It's the <a href="https://en.wikipedia.org/wiki/New_York_City">biggest city</a> in the country, it can't help but exert its influence. 
		- That said, some of them <i>are</i> idiots. I was out for a walk in the early days of the pandemic when we didn't know much about social distancing or mask wearing, and a man and woman couple were approaching, taking up more than half the (fairly wide) road we all were walking on, making it difficult to pass them without coming too close. As we passed I remarked that they were taking up a lot of space,. The woman pointed to the man and said "he's working on a vaccine" as if (I suppose) to imply he could take up as much of the road as he wanted, was he larger than he appeared? A kind of royalty? I thanked him and said hurry up, and thought to myself what a bunch of assholes. I guess they thought I was a <a href="https://www.urbandictionary.com/define.php?term=country%20bumpkin">country bumpkin</a> and not the tech god I imagine I am. :smile:
		- For serious [[PagePark]] users, it has a <a href="https://github.com/scripting/pagePark/tree/master/cli">command line tool</a>, and can run apps. This work was complete over a year ago but I didn't announce it because I wanted to burn it in for a while. I've been using it on a production server without issue for many months, running lots of apps. You still want to use <a href="https://www.npmjs.com/package/forever">Forever</a> or something like it to be sure that PagePark stays running, but for the apps that PagePark is managing, it takes care of keeping them running. The Forever people made their great app into a Node package, that's what made this possible. I wrote my own command line tool. 
	- July 26
		- Something they don’t teach us in school in <a href="https://en.wikipedia.org/wiki/United_States">my country</a> is that when we <a href="https://en.wikipedia.org/wiki/Pledge_of_Allegiance">pledge</a> allegiance to the <a href="http://scripting.com/images/2021/07/26/flag.png">flag</a> of the United States of America, we are really pledging allegiance to each other. Because that’s all there is, the people. No dear leader, no state church, just us. 
		- New tagging feature. Click <a href="http://scripting.com/?tag=nyt">here</a> to open the tagref dialog for "NYT." So now I can post tagrefs to Twitter. Heh. 
		- Listening is hard
			- At [[Living Videotext]], we worked with Data General on the <a href="https://en.wikipedia.org/wiki/Data_General-One">DG/One</a>. A 9-pound battery powered luggable. [[1984]], ran [[MS-DOS]]. It was a real portable, you could use it on a plane, in a restaurant, at a meeting. 
			- It was rolled out in a huge expensive press conf at a Los Gatos winery. Everything the best. Hundreds of people, great party and a great breakthrough product.
			- But you couldn't read the screen.  
			- And they didn't light the demo room.
			- So that's all anyone talked about. 
			- They were really good people, spent a lot of money on the product, and it should have changed the world more than it did. But they had the same problem many product people have, they didn't know how to listen.
			- Listening is hard.
		- My quick reMarkable review
			- One of the perks of being on Guy's podcast is you get a <a href="https://remarkable.com/">reMarkable</a> tablet to play with. I tried using it, and sent him an email which he has forwarded to the development team at the company. Here's the email.
				- I have two physical issues that make it hard for me to use.
					- My eyesight sucks, and if I'm not mistaken the screen isn't backlit. I was going to keep it near my tv-watching chair, I usually watch the news in the evening, and I thought this would be a good time, but the light isn't good, and as it got darker, I had to give up, I just couldn't read the screen.
					- My handwriting, which used to be great, is now a pretty slow way for me to record my ideas. Obviously the reason is I've spent the last 40 years using a keyboard all day every day.  
				- Now, as a user -- I found your pitch, on the podcast, compelling. It was a very familiar one. ;-)
				- If I could have quickly found that model, take notes, quickly send it to my desktop somehow, I would overcome the other two problems. 
				- In [[reMarkable]], the path to success is cluttered with lots of tutorials that show me how to be an expert user, but I haven't become a newbie yet. A lot of software devs do this. They don't set up their product so it quickly hooks you. And therefore it doesn't get hooked.
				- I learned this over years, the hard way, by failing. It started with the first internal release of what became [[ThinkTank]] at the [[Visicalc]] company, which I was part of. No one would use my product. I never did figure out how to get them to do that. But by the time the product got those fabulous reviews in the [[NYT]] and [[Infoworld]], the software did present itself with the minimum info, and clear clues as to how to be successful. 
				- There are engineering techniques to getting a product set up for new users. It involves making lists of steps, and finding ways to eliminate them one at a time. So when you turn the tablet on, the first thing it presents is a wifi login, then immediately, a box you write in (the prompt makes that obvious), and a big button that says "send it to me" where you enter your email address and off you go. Nothing else on the screen, no other "important" information. Give me success, and give me something I can repeat, and later when I decide to use it regularly, I can go looking for other things to do. That should be easy too, but at the right time.
				- The hardware is good Guy. The pencil has a nice feel. I'm sure inside the software it has all the functionality I just described, but it has to be presented in the right way in the right order.
	- July 25
		- A new [[PagePark]] <a href="https://github.com/scripting/pagePark/issues/21#issuecomment-886229200">feature</a> makes it possible to serve an [[OPML]] file as the home page of a site, even if the file is on another server. 
		- <a href="https://twitter.com/Phil_Lewis_/status/1418676246003818496">Rand Paul</a>, taking calls from Kentucky voters, is surprised at the passion of the support he's getting. I found it quite illuminating. 
	- July 24
		- Today's song: <a href="https://www.youtube.com/watch?v=azdwsXLmrHE">Radio Ga Ga</a>.
		- Does anyone else think the [[Olympics]] is offensive from a [[climate change]] perspective. All that carbon burning. What if instead we had an Olympics where people did heroic things to put carbon back in the ground. 
		- You know the saying -- locks are for honest people -- I think this is also true of the Constitution. If enough people decide that they don't respect the rules, then the rules don't hold.
		- Where have all the magas gone? 
			- Long time passing.
			- Where have all the magas gone?
			- Long time ago.
			- Where have all the magas gone?
			- They all got covid, every one.
			- Oy! Will they ever learn?
			- Oy! When will they learn?
			- <br>To the tune of <a href="https://en.wikipedia.org/wiki/Where_Have_All_the_Flowers_Gone%3F">Where Have All The Flowers Gone</a> by Pete Seeger.
	- July 23
		- Yogi Berra: "You can observe a lot by just watching."
		- A <a href="https://www.youtube.com/watch?v=sONXs58bClg">remarkable statement</a> from the Republican governor of Alabama about vaccination. A divide is forming in the old Republican party. If journalism wants to help, they need a name. I suggest "post-maga" Repubs.  
		- Someday there will be one venue for each of the olympics. We don't build another UN campus every four years. Why do we do it for sports? 
	- July 22
		- Now that I can see [[tagging]] in action, I changed how tags are displayed. A tag appears as a single-square-bracketed term, in blue. When you hover over it, it's underlined. This is more consistent with the way links work. And single-square-brackets are less intrusive than double, but still convey the idea that where you're going is different from a normal link. Feedback is <a href="https://github.com/scripting/Scripting-News/issues/218">welcome</a>. I'm also finding bugs in the tag server. Of course, and that's good. 
		- Falling in love with [[Google Reader]] and then giving up on open [[RSS]]-based news after it was cancelled is like falling in love with <a href="https://www.youtube.com/watch?v=ZcXpKiY2MXE">The Monkees</a>, and giving up on music when their show was <a href="https://www.quora.com/Why-was-The-Monkees-show-cancelled">cancelled</a>. Long term the open wholesome tech ecosystem is where the breakthroughs come from. When the users learn to accept that tech companies just harvest these developments, don't manage them or develop them, or care about them, then progress will accelerate, but not until then. The power is strong, but you have to use it.
		- Scott Love sent a link to a <a href="https://www.theringer.com/2021/7/21/22586870/google-reader-ode-end-of-the-good-internet">piece</a> that said Google Reader was beautiful, and something huge was lost when they shut it down. Kind of like <a href="https://www.youtube.com/watch?v=iX_TFkut1PM">American Pie</a> about the death of music, and as wrong. As it turns out, since we now <i>know</i> how it turned out, having [[Google]] adopt [[RSS]] was a pretty bad thing for everyone, except maybe Google. The tragedy isn't that Google fucked us over so hard, it's that even now, eight years later, people still haven't figured out that companies don't make wholesome tech, they consume it. Leave it like an Amazon rain forest after harvesting. [[Google Reader]] should have been called Exxon Valdez Reader. The author's attitude toward people who understand this tragedy is to dismiss us as naïve. Which is ridiculous given the premise. It's like saying that we liked the meal but we insisted on it being served it by [[Darth Vader]]. Oh boy he betrayed us! The users have the power, this has always been true, and until now, they have used the power to be idiots.
		- Tagging in Scripting News
			- There's something new on "Scripting News" today -- tags. 
			- When you see a tag reference, click on it to see a list of refs to the same tag. 
			- An example of a tag reference. Click it, see what happens: [[RSS]]. 
			- When you hover over a tag ref, it should turn blue.  
			- When you click on one you should see a dialog that <a href="http://scripting.com/images/2021/07/22/taggingDialog.png">looks like this</a>. 
			- If the text in the dialog has tags, you can click on them. 
			- The left and right arrows move back and forth through the tags you've clicked on like the arrows in a browser.  
			- Here's how it works:
				- When I'm writing, my CMS passes the OPML of today's writing to a new server app called a <i>tag server</i> that scans for tags. A tag is simply text that's enclosed in &lsqb;[double square brackets]].
				- When it finds a tag, it adds it to a database, with the following info: the URL of the OPML file it came from, the path to the tag in the outline, the <i>created</i> attribute of the headline it came from in the outline, and the screenname of the author (for now, just me).
				- Now we can do a query, such as: Find me all the items tagged by davewiner with the term RSS.
				- And that query can be displayed in a dialog when you're reading the blog.
			- A quick <a href="https://www.youtube.com/watch?v=FkNWAr6s5K8">video demo</a>.
			- I'll have more to say about this, but first I wanted to introduce the feature so you can try it out. 
			- If you have questions or comments, you can post them <a href="https://github.com/scripting/Scripting-News/issues/218">in this thread</a>. 
	- July 21
		- What if Twitter or Facebook let you argue privately, one-on-one, with a random <i>anonymous</i> person who takes the other side on an issue you feel passionately about. You can say whatever you want, the other person can opt out at any time, so can you. Repeat as many times as you like.   
		- <a href="https://twitter.com/davewiner/status/1417845793311100931">Poll</a>: Who is responsible for more mass-killing lies?
		- Idea: What if the vaccine is like a big gun and the virus is an army of BLMs and Antifas marching down the street, coming right at your house, with your kids inside! You must be a librul, you have no protection. 
		- <a href="https://www.al.com/news/2021/07/im-sorry-but-its-too-late-alabama-doctor-on-treating-unvaccinated-dying-covid-patients.html">Alabama doctor</a>: “One of the last things they do before they’re intubated is beg me for the vaccine. I hold their hand and tell them that I’m sorry, but it’s too late.” 
		- In the end I was rooting for the Milwaukee [[Bucks]]. I don't understand why, maybe it's because I had been following the east more than the west, largely due to the time difference. Or maybe it was my connection with Wisconsin? Whatever the reason I was happy last night because the Bucks won the series, 4-2, over the Phoenix Suns who are also an excellent team. I felt bad for [[Chris Paul]], this was his first chance in the finals and at age 37 perhaps his last, after a long playoff career, marred by injuries, and he didn't win, not just because the Bucks wanted it more. The playoff process is a long grind. He was still standing, but the Bucks prevailed -- because of <a href="https://en.wikipedia.org/wiki/Giannis_Antetokounmpo">Giannis  Antetokounmpo</a>. He's a superstar in league with the <a href="https://www.youtube.com/watch?v=AooUnpj5nzE">best</a>, plays through pain, and basically carried the team on his back. He is also famous as a terrible free throw shooter, but last night he made 15 of 16 free throws. Without that, the Bucks would've lost, and we'd be going to a game 7 showdown in Phoenix tomorrow night. The most important thing to me, and Giannis commented on it too, is that the Bucks are a team that was developed through the draft and trades, not as a superteam formed for the purpose of winning a championship, like the detestable [[Brooklyn Nets]]. The two stars of the Bucks, Giannis and <a href="https://en.wikipedia.org/wiki/Khris_Middleton">Khris Middleton</a>, have been on the Bucks since 2013. I feel great that the NBA, despite the best efforts of the superteams, is still a game where talent and perseverance wins. The playoffs were good this year, it was the year the Knicks competed well, and <a href="https://en.wikipedia.org/wiki/Trae_Young">young talent</a> impressed and entertained. Now it's time to shift to the Olympics which start on Friday, and the Mets who are in first place! 
	- July 20
		- Still reading the <a href="https://en.wikipedia.org/wiki/The_Autobiography_of_Malcolm_X">Autobiography</a> of [[Malcolm X]]. He asks if you think it's a coincidence that the US <a href="https://en.wikipedia.org/wiki/Atomic_bombings_of_Hiroshima_and_Nagasaki">dropped the bomb on Japan</a>, a non-white country, instead of Germany, a white country. The official story is we used the bomb as soon as it was ready, but that could just be a story. He asks a good question, and many others. I wish we had more people around today asking questions like that. 
		- [[Bezos]] wants to move manufacturing into space. I had never heard that idea before seeing a quick interview today with <a href="https://www.cnn.com/videos/business/2021/07/20/jeff-bezos-blue-origin-space-launch-cooper-intv-sot-vpx.cnn">Anderson Cooper</a> of CNN and the two Bezos brothers, who look very much alike. The rich one is the guy in the dorky cowboy hat. He says some industries that use up too much of the earth's resources would be better in space. I started to think about what he might have in mind. Server farms run on solar energy, and cooled by the vacuum of space. Perfect. On the other hand, who would regulate his businesses in space? No OSHA, no unions, no taxes or laws. I bet they're all thinking about this, and I kick myself for not having thought of it myself. 
		- [[Jeff Jarvis]] <a href="https://twitter.com/jeffjarvis/status/1417491554617503744">wonders</a> why insurance companies haven't weighed in on [[Covid]] vaccination. For example, charging higher rates for unvacinnated people. Now that you mention it, I wonder too. 
		- What's "historic" about [[Bezos]]' trip today? The first human in space was <a href="https://en.wikipedia.org/wiki/Yuri_Gagarin">Yuri Gagarin</a> in 1961. The first American was <a href="https://en.wikipedia.org/wiki/Alan_Shepard">Alan Shepard</a>. Gagarin orbited earth once. Shepard went up and down, did not orbit.
		- In [[Denmark]] they have a children's show about a <a href="https://en.wikipedia.org/wiki/John_Dillermand">man with a huge penis</a> that he uses to help people. At first it's a little shocking to this American, but why shouldn't we think of a [[penis]] as something friendly and useful. I was brought up to think of my penis as something shameful, dirty, to hide, to apologize for. I can't imagine how I got those ideas, but they were and are there in my infant brain. Eventually we learn to have fun with our penises. Hopefully. Why not start as a kid? Thanks to [[John Oliver]] for his incredible little <a href="https://www.youtube.com/watch?v=A51mJjFyG_w">tutorial</a>.  
	- July 19
		- I decided to watch Tucker Carlson for the first time and was rewarded with a <a href="https://twitter.com/brianstelter/status/1416800705940230148">video</a> of Michael Wolff taking down Brian Stelter, and couldn’t agree more with what Wolff said. 
		- <a href="https://github.com/scripting/Scripting-News/issues/215#issuecomment-882690244">Dear braintrust</a>: I need to find double-square bracketed tags in some text. I believe I have a [[regular expression]] that does this. Please <a href="https://github.com/scripting/Scripting-News/issues/215#issuecomment-882690244">check it out</a>. I want to be sure. :smile:
		- Today was a total programming day, followed by a [[bike]] ride on the <a href="https://ashokanrailtrail.com/">rail trail</a>. I have a new feature coming for Scripting News. As soon as I posted this I started writing. It happens that way every damned time. 
		- Reporters are pussycats
			- More confirmation that today's blockbuster news about Trump is about the crazy place we were in six months ago. I don't get reporters who think that's acceptable. Their job is to know (and tell us) what crazy place we're in <i>right now. </i>
			- Same with the military. The <a href="https://www.theguardian.com/us-news/2021/jul/14/donald-trump-reichstag-moment-general-mark-milley-book">Joint Chiefs guy</a> thought Trump might be doing a <a href="https://en.wikipedia.org/wiki/Reichstag_fire">Reichstag fire</a>. Great. So WHY THE FUCK DIDN'T HE PREPARE THE MILITARY TO KNOCK IT DOWN BEFORE IT STARTED AND SHIP THE INSURRECTIONISTS OFF TO GITMO. ISN'T THAT WHAT WE DO WITH TERRORISTS?
			- When are some reporters going to get into the present and deal with today's truth. Stop praising the military for *saying* how fukced up everthing is. Praise them for keeping it from getting that way. 
			- Let's hope Biden, first thing when he got on the job, sat down with the military and told them they fucked up big, and they better be prepared next time. I suspect he didn't because he hasn't fired any of these nincompoops. 
			- We need to stop thinking like pussycats and start getting in front of this. We're getting our asses whipped every time, and we're the United States dammit. 
	- July 18
		- Today's song: <a href="https://www.youtube.com/watch?v=eIsW6DMR9z4">Good Old Desk</a>.
		- <a href="https://www.memeorandum.com/">Memeorandum</a> has been a regular <a href="http://scripting.com/images/2021/07/18/memeScreenShot.png">stop</a> for me for news for decades, is now mostly links to news that's behind paywalls. I couldn’t possibly pay for most of them, too many subs to manage, and I don’t read enough of any individual pub to justify subscribing. I do subscribe to NYT and Washington Post. But I don’t get enough value from either, honestly. This continues to be a <a href="http://scripting.com/2020/08/06/133617.html?title=moneyForNews">lousy situation</a>. The pubs only talk about how news is broken from their point of view, but the readers point of view matters as much, if not more.
		- If you have a Google phone they know every place you go.
		- We're living in the post-apocalyptic world. Somehow we got used to it.
		- When will I be able to set an alarm on my iPhone that wakes me up when there are five minutes left in the fourth quarter of the game I’m watching?
		- Reality check
			- From the <a href="https://www.washingtonpost.com/health/in-this-summer-of-covid-freedom-disease-experts-warn-the-world-needs-a-reality-check/2021/07/17/895be6e8-e58c-11eb-b722-89ea0dde7771_story.html">Washington Post</a> via <a href="https://politicalwire.com/2021/07/18/the-world-needs-a-reality-check/">Political Wire</a>:
				- Around the world, scientists and public health officials fear that the world’s protracted battle against the coronavirus is at a delicate and dangerous moment.
				- Reality checks abound. Coronavirus infections are surging in places with low vaccination rates. SARS-CoV-2 is continuing to mutate. Researchers have confirmed the delta variant is far more transmissible than earlier strains. Although the vaccines remain remarkably effective, the virus has bountiful opportunities to find new ways to evade immunity. Most of the world remains unvaccinated.
				- And so the end of the pandemic remains somewhere over the horizon.
		- Salvador Dali
			- <a href="https://www.wikiart.org/en/salvador-dali/portrait-of-ruth-lachman-1961">Portrait of Ruth Lachman</a>, 1961.
	- July 17
		- <a href="https://twitter.com/davewiner/status/1416479035568410628">Poll</a>: How long do you think [[racism]] has existed?
		- <a href="https://en.wikipedia.org/wiki/Rupert_Murdoch">Rupert Murdoch</a> should be more famous for what he's doing to the world. He mostly stays out of view. That should stop. He should stop just <a href="http://scripting.com/images/2019/10/09/gilligan.png">being</a> a punchline for [[MSNBC]] jokes. He's trying to kill more hundreds of thousands of Americans. And of course not just in America. 
		- I don't own any Facebook stock, and in general do not approve of how the company conducts itself, but [[President Biden]]'s <a href="https://www.bbc.com/news/world-us-canada-57870778">line</a> about how [[Facebook]] is killing people is horribly misdirected. If he said Rupert Murdoch were killing people, before Facebook, then he'd be credible.
	- July 16
		- To friends who read this blog, esp people from ye olde tech industry in Calif -- I think you'll enjoy this <a href="https://podcasts.apple.com/gb/podcast/guy-kawasakis-remarkable-people/id1483081827?i=1000528857811">podcast conversation</a> with my old and good friend <a href="https://twitter.com/GuyKawasaki">Guy Kawasaki</a>. Just like a <a href="https://hobees.com/hobees-cupertino-ends-memorable-33-year-run/">Hobee's</a> breakfast, <a href="https://www.yelp.com/biz/siam-garden-menlo-park">Siam Garden</a> dinner, or <a href="http://www.buckswoodside.com/">Buck's Woodside</a>, back in the day. 
		- OPML's building block -- the include node type
			- I was talking with a developer yesterday and the question came up, what about huge outlines? How does "OPML" handle those? That gave me a chance to tell the story about how i'm <a href="https://github.com/scripting/Scripting-News/tree/master/blog">archiving</a> Scripting News, and how include <a href="https://www.google.com/search?q=site%3Ascripting.com+include+nodes">nodes</a> work. 
			- All systems have to evolve as projects get bigger -- you break it up into components and link them together in a single document. That makes the code more manageable, and makes it possible to reuse the pieces. Every serious system has to provide for breaking big things up into smaller, reusable bits. For example... 
				- Node.js has <a href="https://www.w3schools.com/nodejs/nodejs_npm.asp">packages</a>. You can include a package in an app, or in another package, with a require call, like this: <code>const fs = require ("fs");</code> Then you can refer to exported bits from the "fs" package in your app as if they were part of it, because they are. 
				- The <a href="https://en.wikipedia.org/wiki/C_(programming_language)">programming language C</a> has the #include directive: <code>#include "standard.h"</code>. The C preprocessor reads the file, and replaces the #include directive with the contents of the file. Includes can contain includes. 
				- Wikipedia has a <a href="https://en.wikipedia.org/wiki/Include_directive">survey page</a> explaining how inclusion works in other languages, such as Fortran, Pascal, PHP. 
				- OPML has <a href="http://dev.opml.org/spec2.html#inclusion">include nodes</a> which have a <i>type</i> attribute whose value is include and a <i>url</i> attribute which is the address of an OPML file. When the user expands an include node, the outliner reads the contents of the OPML file and inserts it as subs of the include node. To the user, if the net is sufficiently fast, and the file is a manageable size, they wouldn't need to know that it was an include node. 
			- An example. I archive my blog, which is written in an outliner, and saved as OPML, at the beginning of every month. I save the previous month in a repository <a href="https://github.com/scripting/Scripting-News/tree/master/blog">on GitHub</a>, and empty out the outline I edit. The CMS that builds the HTML rendering and the RSS version of my blog is able to jump month boundaries. So I have a convenient-size outline for editing, and everything else just hums along. 
			- But what if I wanted an outline of all my blog posts going back to May 2017? I would do that with include nodes. And just for fun, I did exactly that. 
			- Here's <a href="https://gist.github.com/scripting/005d8b83ea76fbb25df8627096cb75f7">an OPML file that contains includes</a> for each of the months of 2018, 2019 and 2020. If you have an outliner that can expand includes, then you can view all the writing for those years in one outline
	- July 15
		- Podcast: <a href="http://scripting.com/2021/07/15/theQuestionWereNotWillingToDiscuss.m4a">The question we're not willing to discuss</a>. We need new leadership, and it's not the [[Lincoln Project]]. Their war is within the Republican Party, which is not the war we're fighting. Our war is whether we go back to [[slavery]], or do we live up to the promise of the country post-Civil War and <a href="https://en.wikipedia.org/wiki/Great_Society">Great Society</a>. We need black leadership. We need to respond to the slavers very clearly, no, we will not discuss what you want to do. Your only choice is whether you will change or you will crawl back into the hole you came out of. There is no other choice. And we need to expel from Congress every traitor to the Constitution, and there are many of them. No half-steps. Nothing that makes people feel like everything is okay, that our war is winnable with stark advertising.
		- Trust me, <a href="https://www.youtube.com/watch?v=oIZDtqWX6Fk&t=4s">watch</a> this 18 minute video. It's a real <a href="http://mindbomb.org/">mind bomb</a> on [[racism]]. 18 minutes, for a brain explosion. That's a pretty good deal. 
		- I have not been able to find [[Guy Kawasaki]]'s <a href="https://guykawasaki.com/remarkable-people/">podcast</a> feed. The usual tricks aren't working. Here's his Apple Podcasts <a href="https://podcasts.apple.com/us/podcast/guy-kawasakis-remarkable-people/id1483081827">preview</a> page. Usually if you give that URL to the <a href="https://getrssfeed.com/">GetRSSFeed</a> app, it returns with the address of the [[RSS]] podcast feed. This is <a href="https://podcastaddict.com/podcast/2467377">where</a> it took me. I <a href="http://xmlviewer.scripting.com/?url=https://podcastaddict.com/podcast/2467377">viewed the XML</a>, and it shows me an HTML page? If anyone can figure out the URL of his podcast feed, please let me know. Thanks.
		- A link to my <a href="http://pagepark.glitch.me/">Glitch server</a>, running the latest "PagePark". It might take a while to load, I'm using the free version, for now.  
		- Why is it that Senate Majority Leaders of either party are always putzes? Is there some advantage in not having someone you can respect, even a little, in this job?
		- <a href="https://twitter.com/davewiner/status/1415461857243148288">Isn’t</a> the <i>re</i> in refactoring redundant? 
		- I'm trying to figure out how to show bike trails in Kingston NY, on Google Maps.
		- Sometimes I get stressed, like everyone else. I have a technique for working my way through it. I ask myself this question: What would Dave do if he wasn't stressed out. Change the perspective. I'm now outside myself, am an observer of myself. Often I have no trouble writing down a few things. Then I do one of those things. If it works, I get into it, and an hour or two later I forgot why I was stressed. 
		- Virgil quick come see...
			- There goes <a href="https://www.youtube.com/watch?v=jREUrbGGrgM">Robert E. Lee</a>.
		- Liberty and justice for all
			- We swear allegiance to each other.
	- July 14
		- In the early days of the web there were <a href="http://mindbomb.org/">mind bombs</a> everywhere.
		- <a href="http://brandontoner.ca/">Brandon has broken through</a>, a total server-land neophyte, broke through via pure <a href="https://github.com/scripting/Scripting-News/issues/217#issuecomment-879960207">persistence</a>. He followed the example of my PagePark installation <a href="https://github.com/scripting/Scripting-News/issues/210#issuecomment-864612526">on Glitch</a>, is using the <a href="https://github.com/scripting/pagePark/blob/master/docs/config.md#mirrors-works-like-redirects">mirrors feature</a> in PP to render outlines from "LO2". He is motivated and I am inspired. 
		- My <a href="https://twitter.com/davewiner/status/1414945524101287938">tweet about GitHub</a> yesterday got a fair amount of attention. I'm glad, because the idea is powerful and works. Further if GitHub/Microsoft made this a business priority, it could be streamlined for end-users, and be a revenue source, and an incredible developer platform, beyond what it already does. I would love to begin a conversation with MS, privately if they want, to figure out what's possible here. 
		- I've been reading the <a href="https://www.amazon.com/Autobiography-Malcolm-Told-Alex-Haley/dp/0345350685">Autobiography of Malcolm X</a>, and it's transformative for me. He's talking about whiteness from the point of view of a black man of my parents' generation. I can't agree with some of what he says, he's talking nasty shit about my people, and it's as oppressive as anything anyone says about blacks, even the stuff he quotes. Don't respond to oppression with more oppression. But overriding that is the bigger point, that the United States has been destroying the lives of black people since inception. I just spent <a href="https://www.youtube.com/watch?v=oIZDtqWX6Fk">18 minutes</a> with the flipside of Malcolm X, a white academic, <a href="https://documentarystudies.duke.edu/people/john-biewen">John Biewen</a>, explaining what it means to be white, in the same context as that which X describes, but from from the other side of the relationship. I think if you watch <a href="https://www.youtube.com/watch?v=oIZDtqWX6Fk&t=1095s">this video</a>, it'll be the most transformative 18 minute video experience you've had in a long time. 
		- Our ancestors were slaves, no matter your skin color, or where your ancestors came from. This is a mind bomb that has yet to go off in the brains of white Americans. But it must.
		- The source of all our problems is that our government is controlled by stupid, mean, willfully ignorant rich assholes.
		- Good morning sports fans! The "NBA" finals resume tonight, I'm actually going to miss basketball when it's over. But then the <a href="https://en.wikipedia.org/wiki/2020_Summer_Olympics">Olympics</a> start, and after that my attention will finally turn to the Mets. I've got the rest of the year planned out. But the weather. Oy does it suck. I know there <a href="https://www.motherjones.com/environment/2021/07/none-of-the-old-rules-still-apply-when-the-driest-city-in-the-us-faces-a-catastrophic-drought/">are</a> <a href="https://www.npr.org/2021/07/13/1013446314/amid-a-mega-drought-a-water-shortage-will-be-declared-along-the-colorado-river">droughts</a> and <a href="https://oceanservice.noaa.gov/facts/heat-dome.html">heat domes</a> elsewhere, but here we're living in a constant state of deluge. I take my bike ride every day, rain or shine. I used to skip rainy days but this summer that's not an option because it rains every damned day, and not just drizzle, hours of downpour. And the thunder last night. Who could sleep through that. Not this sports fan. I just want some beautiful warm summer weather. On the other hand the new rose bush I planted really seems to like all the wetness. 
		- Toaster ovens are now called "air fryers." That's weird, but I just bought one, a <a href="https://www.amazon.com/dp/B01M0AWSJX?psc=1&ref=ppx_yo2_dt_b_product_details">Cuisinart</a>, as recommended by <a href="https://www.nytimes.com/wirecutter/reviews/best-air-fryer/">Wirecutter</a>. I love it. I've been using it every night, and my eating has become more healthy, and also much tastier. Total win.
		- Interesting marketing
			- Let's see. <a href="https://en.wikipedia.org/wiki/Martha_Stewart">Martha Stewart</a> and <a href="https://en.wikipedia.org/wiki/Snoop_Dogg">Snoop Dogg</a> recommend this new Bic lighter because it's great for lighting candles, and more! Haha omg. Lol. :smile:
	- July 13
		- Something very scary just happened. There's a bug in "Drummer" that it sometimes updates the wrong outline when an <a href="https://github.com/scripting/instantOutlines">I/O</a> update comes in. This can result in <a href="http://thesaurus.land/?word=sarcasm">hilarity</a> when somehow the updates overwrite the file for "Scripting News", and it seems there is no backup. It's a bug. And bugs hurt! I looked everywhere and kicked myself virtually for not maintaining a backup of this vital file. Every time I publish there should be a copy preserved. Well, it turns out that <i>was</i> happening. I post the outline to the instantOutlines <a href="https://github.com/scripting/instantOutlines/blob/main/outlines/scripting.opml">repo</a>, and thanks to the power and elegance of GitHub, there's a snapshot of <a href="https://github.com/scripting/instantOutlines/commits/main/outlines/scripting.opml">every update</a>, going back to when I <a href="https://github.com/scripting/instantOutlines/commits/main?after=8131158da2d286bb63af971a89c286e1e6f6c217+349&branch=main&path%5B%5D=outlines&path%5B%5D=scripting.opml">started</a> doing <a href="https://github.com/scripting/instantOutlines/commit/845ff95bfb4be0f23decf8293c87bd1265f2e6a3#diff-89806a2beb32ade7fba211d2a60aa14df918ef736850ccfc08a615de0a7bfefc">this</a> on <a href="https://github.com/scripting/instantOutlines/commit/3786362d531109220bafe8f62b9689692f03f92b#diff-89806a2beb32ade7fba211d2a60aa14df918ef736850ccfc08a615de0a7bfefc">June 17</a>. Catastrophe averted. Whew. And wow GitHub is starting to turn into a very nice network file system. 
		- We're finding that the "logseq" people and I have the same values re software and users. In yesterday's Twitter thread, they asked what would be the <a href="https://twitter.com/logseq/status/1414588756389023744">perfect storage system</a>. I said: "my answer, for now, is <a href="https://www.npmjs.com/package/daveappserver">daveappserver</a>. But it isn't perfect, it's what we can do now that meets the criteria for now and the near future (the vision, the direction I want to go in). I think we share that. We want users to be as independent as possible, and to empower all levels of technical interest. I don't want the responsibility of keeping the world's ideas online. I want that distributed with rock-solid interop." I think that's about as concise a definition of why I do things the way I do them. As I was sure they would, the Logseq folk agreed. 
		- The best approach to solving our problems is to spread the gospel of journalism, to everyone who wants to learn. Teach elementary school students. Make a semester of journalism required for all college grads. The model of journalism of the past no longer works. That's why lies are winning, people have no idea of the elements of good journalism.Teach senior citizens how to do good journalism.
		- <a href="https://github.com/scripting/Scripting-News/issues/217">Brandon Toner</a> is trying to get "PagePark" running on his Ubuntu server at Digital Ocean. It seems like he's pretty close, but is stuck on a DNS question. He uses Namecheap, a service I am not familiar with. If you have set up a PagePark server, and have a few minutes could you <a href="https://github.com/scripting/Scripting-News/issues/217">help him out</a>? Thanks. 
	- July 12
		- How my apps do storage
			- <i>This is a technical post, written in response to a <a href="https://twitter.com/logseq/status/1414472093589114880">tweet</a> from Logseq. </i>
			- This is <a href="https://github.com/scripting/nodeStorage/blob/master/api.js">the API</a> I use to access my storage system.
			- The names begin with "tw" because I use Twitter for identity, so initially thought of these as twitter ops.
			- If you scroll to the <a href="https://github.com/scripting/nodeStorage/blob/master/api.js#L1195">bottom of the file</a> you'll see a <i>nodeStorageApp</i> function which is how my apps are organized to access the storage system.
			- The first implementation was in 2014, it was an NPM package called <a href="https://github.com/scripting/nodeStorage">nodeStorage</a>. 
			- In 2020, I came up with a smaller, more streamlined package called <a href="https://github.com/scripting/appServer">daveAppServer</a> that I've been using for all my latest projects. Key point -- it supports the same API as nodeStorage. I like to do things that way. It's also a proof of concept that it's possible to put another server behind the API. This will probably be necessary at some point to augment or replace Twitter as the identity system.
			- I'm very much thinking about <a href="http://scripting.com/2021/07/09/142855.html?title=drummerForPoets">Drummer for Poets</a> where not-very-technical users can run their own servers.
			- Just wanted you to know how I do storage. ;-)
	- July 11
		- <a href="https://twitter.com/markgraham">Mark Graham</a> who works at archive.org <a href="https://twitter.com/MarkGraham/status/1414217978778988547">reports</a> that they've fixed a playback issue with <a href="https://web.archive.org/web/20210702040625/http://scripting.com/">their rendering</a> of "Scripting News". I <a href="http://scripting.com/2021/07/01.html#a123740">wrote</a> about <a href="http://scripting.com/2021/06/29.html#a131345">this</a> previously. That's great news. Thanks for persevering! :smile: 
		- Click <a href="https://web.archive.org/web/20210711041927/http://scripting.com/">this link</a> to see the latest capture of the home page of my blog.
		- The US can print as much money as we like, and the world will send us real products and services. So stop complaining about how much money Jeff Bezos has. We have orders of magnitude more. Get our shit together and win more elections, soon, we can do anything.
		- When we're successful with [[Tools for Thought]], you will be able to write beautiful rendering software, and have it work with *every* notetaking tool. Much as an RSS feed isn't for any specific news reader, they can all read every feed. We will do the same for idea processing tools. 
		- Rick Smolan
			- Photo by <a href="https://en.wikipedia.org/wiki/Rick_Smolan">Rick Smolan</a> of yours truly at a tech conference in 1991 (guessing). 
		- Edward Hopper
			- <a href="https://www.wikiart.org/en/edward-hopper/adam-s-house">Adam's house</a>, 1928.
	- July 10
		- It'd be interesting to have a list of pubs that don't have a <a href="https://www.niemanlab.org/2021/07/usa-today-is-getting-a-paywall-whos-the-audience-for-it/">paywall</a>.
		- The Oatmeal and RSS
			- <i>This piece started as a Twitter <a href="https://twitter.com/davewiner/status/1413871847238782990">thread</a>. </i>
			- A few days ago the <a href="https://twitter.com/Oatmeal">Oatmeal</a> person <a href="https://twitter.com/Oatmeal/status/1412854719475712002">lamented</a> that "RSS" was not a wave anymore. It's more like a big lake not a roiling ocean.   People go boating, have a picnic, swim in RSS-land, but it isn't like a moon mission or even a Sting concert. :-) 
			- I <a href="https://twitter.com/davewiner/status/1412856765083947019">responded</a> that RSS could be fun again if people would work with each other. Instead of being in it for their own glory, only -- people have to see the benefit of other people and products winning alongside them.  
			- This is not the way tech thinks, or news. They all build self-contained castles. And very rarely do people work together. And that's why RSS stays where it is. Its growth feeds off collaboration.
			- People don't know this, but RSS got its initial wave, the one you all remember so fondly, from a collaboration between UserLand Software and the New York Times.
			- We're still coasting off the energy unleashed in that combo. That's how stuff like this happens.   People still have the myth of The Great Visionary who sees the right path and leads us out of the wilderness. But that's not how it works.
			- Instead, two parties with enough power and influence decide, consciously and deliberately, to work together.
			- If you want to win big, put aside self-glorification and getting ahead for a brief moment, and focus on how you and someone else can break through, creating something that could never exist otherwise. For everyone, not just yourself.
			- And if someone offers to work with you, think of reasons to say yes.
	- July 9
		- I found it impossible to get excited about last night's <a href="https://www.theringer.com/2021/7/9/22569878/nba-finals-suns-bucks-chris-paul-devin-booker">NBA finals game</a> between the Suns and Bucks. Two teams I spend no mental energy on. I know the Suns are great. I watch their teamwork, amazing stuff. That's what I love about sports, you see hugely talented people who spend their lives preparing to compete and, esp in basketball, it still matters how the least talented person on the team is doing. You don't see them complaining about each others' <a href="https://www.youtube.com/watch?v=4ltWN98PTJY">manners</a>. They get on with it. They have a goal. Another reason this year's playoffs are interesting, no matter who wins, the players on the winning team will be champions for the first time. So they're playing for something that's real to them. Next year, if they make it back to the finals as the Warriors, Heat, Lakers, Cavaliers, etc have in recent years, you wonder how they get motivated. Another trophy, big eff'in deal. Anyway even with all the drama, I just don't care who wins. Maybe as the series progresses I will, but I doubt it -- it might be a <a href="https://www.si.com/nba/pacers/news/nba-finals-bucks-suns-one-gambler-made-an-11000-bet-that-this-will-happen">sweep</a>. It looks like it will. 
		- Every time I switch my iPhone to a different computer, I have to start over with music. Why. After 15 years or so, couldn't they offer a way to back it up and then restore it? This must be some kind of copyright thing. I wish I had a phone that was rationally designed with the user in mind. I also have an Android phone, but as far as I can tell they broke the only way to copy music onto the device from a Mac. Not sure if a Windows machine is any better. Same reason I'd love to move my desktop act to Linux, but I can't do it without Frontier. Which is, btw, why I had to buy a new Mac. I mistakenly updated my iPhone and it wouldn't work with the Mac I keep un-updated so I can continue to run Frontier. All I have to say is this: Oy. What a mess. 
		- Drummer for poets
			- I'm thinking about how people will host their own Drummers. 
			- I don't want to run the only server, I might not even want to run the main server. I do want to continue developing the software. This is different from how Facebook and Twitter run, I'm not trying to create another walled garden. It's not the kind of work I like, or am particularly good at. It's much more like how WordPress works. Only I think Drummer can be even easier to set up and manage. 
			- I want to create networks of outliner users. I call this "Communication with a big C." Not the wires, but the ideas that go over the wires. Nodes in my network are human minds, not computers. 
			- The world I imagine is something like 1980s software model with a much more efficient distribution system. And the product, unlike the one from the 80s, is built around networking, where the networking features of MORE and ThinkTank were barely a twinkle in the eye. There was no software to back it up 
				- One of the reasons I wanted Symantec to <a href="https://techmonitor.ai/techonology/symantec_acquires_think_technologies">buy</a> Think Technologies: they had one of the leading Mac email packages at the time, a product called InBox. There were two others, and I was friends with them too. I wanted desperately to get real networking support into MORE. Never happened, unfortunately, that had to wait for Frontier. 
			- I'm starting to put the pieces together. One of them is to get the hosting working on systems like AWS, Digital Ocean and Glitch. So a user can just launch a server from a repo, have it mostly configure itself, have a Drummer server running in minutes. That's the goal. We have some experience with this, the various <a href="https://www.google.com/search?q=site%3Ascripting.com+%22for+poets%22">For Poets</a> projects we've done here. 
			- I've started a <a href="https://github.com/scripting/Scripting-News/issues/216">thread</a> if you have questions or suggestions. 
			- PS: For programmers, the key piece of software has a funny name. <a href="https://github.com/scripting/appServer">daveappserver</a>. It's an application server, perfectly set up to host Drummer, because in fact it is what I use to host Drummer. :smile:
	- July 8
		- A <a href="http://scripting.com/2021/07/04/myPitchForOpml.m4a">podcast</a> I recorded on July 4 about why interop is so important in outliners, and how the <a href="https://github.com/scripting/opmlPackage">OPML toolkit for JavaScript</a> facilitates that. Also a bit of RSS history, because there's a connection between RSS and OPML. This is part of getting ready for "Drummer". And there's at least one mistake in the podcast, the package in the browser requires jQuery. I said it's completely self-contained. Not true. 
		- <a href="https://stratechery.com/2021/instagrams-evolution/">Ben Thompson</a>: "Why does the beloved photo-sharing service have to copy everyone else, and not simply do what it is best at?"
		- My outlines are a mess. I'm always giving myself shit about that, but I should stop. The important thing is that the ideas make it into the structure. I do need better ways to pull stuff out of the structures. 
		- I'm listening to the <a href="https://www.audible.com/pd/The-Autobiography-of-Malcolm-X-Audiobook/B084YVRDJX?ref=a_library_t_c5_libItem_&pf_rd_p=fd324a4f-488e-4a24-a1a8-462a3e819d7b&pf_rd_r=0J6ECV6GPWMXDP4N07DW">Autobiography of Malcolm X</a> and loving it. 
		- People, drugs and feelings
			- I once had a girlfriend named Kim. We spent a lot of time together. I really loved her, but she also totally frustrated me. One day I was taking a walk with my friend Bodie, a massage therapist, and I kept complaining about Kim. Oh if only Kim would do this. If only Kim would be like that. I hate it when Kim is this way or some other way. Every time I did that, Bodie would say "Why do you feel that way about yourself." I started getting mad, but she kept doing it. Finally, as she said she knew I would, I realized I was projecting all over Kim. None of this had anything to do with her, I was using her to examine my feelings about myself.
			- Like everyone, I like drugs. Alcohol, weed. I like opiates, I was given huge amounts of them when I had my surgery in 2002. I could have gotten addicted, I probably did to some extent, but luckily it was easy for me to stop. I was a <a href="https://pubmed.ncbi.nlm.nih.gov/15799595/">nicotine</a> fiend for over 30 years. And I like sex, and in a way sex is one or more people sharing <a href="https://www.webmd.com/sex-relationships/news/20131125/how-the-love-hormone-works-its-magic">oxytocin</a>. You feel love because your body bathes you in great drugs! 
			- The interesting thing about drugs, I learned, is there is no such thing as a drug you enjoy that your body doesn't already produce on its own. Feelings work like that too. If someone's anger or fear upsets you, it's only possible because you already had the anger or fear yourself. It's also why people sometimes completely miss how other people feel, they mistake their own feelings for the other person's feelings. If someone does X that evokes my fear, I assume they caused the fear, and therefore are somehow to blame for it. It's usually not the experience the other person has. If you ask them "Are you scared or angry?" in a non-judgemental way (very hard to do I know) you might find they are not. Or if they were, it has passed. Do you remember how, as a child your emotions would flow so easily, one second a baby is smiling and happy, and two seconds later the baby screaming in apparent agony. Inside you're still doing that, even if you pretend not to. 
			- I think in some sense we all want to go back to the womb, to find the perfect container, where everything you need is provided: warmth, shelter, food, and probably some very good drugs too. But no matter how much you love someone, how much you expect from them, they can't take you there. It's not the way it works. We're all on solo trips, fending for ourselves, and beneath it, not too happy about it. :smile:
			- There is one important caveat. Fear and anger are useful feelings when you're really in danger. If a bear is attacking you, fear is correct! It doesn't matter if you had the feelings before, you're not projecting, you have to decide right now in real time to fight or run. And your brain is flooding your system with drugs that increase your chance of surviving the attack. But, if you mistakenly feel fear, ie there is no real threat, your body still releases the drugs. It's why we accumulate tension in the neck, because it's part of the fight or flight response. If you're in constant fear, your neck never relaxes. 
	- July 7
		- It's important to know what you don't know.
		- After all we've been through, Covid, the Insurrection, the fires and hurricanes, it amazes me how little imagination has crept into American political discourse.
		- About <a href="https://apnews.com/article/lawsuits-business-government-and-politics-c7e26858dcb553f92d98706d12ad510c">Trump's claim</a> that Twitter and Facebook are obligated by the First Amendment, I'm not sure that's wrong. If a social network is so large that they effectively control all speech in a channel, if there's no way around them, different rules should apply. On the other hand, speech, even as guaranteed by the government, is not an absolute. The Constitution is not a <a href="https://en.wikipedia.org/wiki/The_Constitution_is_not_a_suicide_pact">suicide pact</a>, President Lincoln said. 
		- I have made dreams of mine come true several times before, so I know it can happen. We're almost there with <a href="http://outlinerhowto.opml.org/">outliners</a>. The web was designed to be organized by outliners. Very few people know this, but the ones who do, are very excited. I'm one of them. ;-)
	- July 6
		- For review: <a href="https://github.com/scripting/opmlPackage">A developer's toolkit for OPML support</a>. 
		- I read a story about <a href="https://www.marieclaire.com/culture/a36698899/simone-biles-goat-leotard-interview-2021/">Simone Biles</a> who encourages us to not be ashamed of being great. I agree. I have made dreams of mine come true several times before, so I know it can happen. You have to think clearly, be willing to change your mind, work very hard, and persist. We're almost there again with outliners. The web was designed to be organized by outliners. Very few people know this, but the ones who do, are very excited. I'm one of them. :boom:
		- Web devs -- if you work in JavaScript and sometimes think of adding a feature that uses OPML but think it's too much trouble, I've put together a <a href="https://github.com/scripting/opmlPackage">toolkit</a> in the form of an <a href="https://www.npmjs.com/package/opml">NPM package</a> and <a href="https://github.com/scripting/opmlPackage/blob/main/client/opml.js">browser-based code</a> that makes supporting OPML as simple as JSON. There's a new explosion of interest in outliners, so now is a great time to start wiring these things together to create truly world wide applications. We're on the cusp of greatness, again. Imho, ymmv, mmlm. :rocket:
		- If you have comments or questions on the developer toolkit, please <a href="https://github.com/scripting/opmlPackage/issues/1">use this thread</a>. 
		- I'm having one of the most promising collaborations of my career with the "logseq" guys. You can see it in this <a href="https://twitter.com/davewiner/status/1412237057641127937">Twitter thread</a>. There are also back-channel conversations. 
		- Edward Hopper 
			- <a href="https://www.wikiart.org/en/edward-hopper/gas">Gas</a>, 1940.
	- July 5
		- Podcast/rant: <a href="http://scripting.com/2021/07/05/ourOngoingCivilWarIsAboutSlavery.m4a">Our ongoing civil war is about slavery</a>.
		- BTW, there's a new <a href="https://github.com/scripting/pagePark#v0820-7521-by-dw">version</a> of PagePark, v0.8.20, that has the feature described in the <a href="https://github.com/scripting/pagePark/issues/19">RFC from Friday</a>. It makes it a bit simpler to set up a Glitch server, for example, for people who are new to PagePark.
		- A problem happens when an app running in "PagePark" makes a request of another app that's running on the same machine. It reared its ugly head again today, and I had a heck of a time finding <a href="https://github.com/scripting/pagePark/issues/17">this thread</a> by searching. In this post I used all the terms I used in my search, so hopefully if I ever hit it again, I'll find my way back here, with <a href="https://github.com/scripting/pagePark/issues/17">this link</a> to the answer. 
		- America’s <a href="https://politicalwire.com/2021/07/05/americas-politics-are-stubbornly-fixed/">politics</a> appear to be stubbornly fixed. That's just a symptom. The bigger problem is the US has a genetic defect that makes it impossible for it to be united. Slavery. Everyone has a position on that. Either for or against. Not too many people in the middle. And the division in the country, to me, appears to be right along that line. People may be pro-slavery without putting it that way. 
		- If you think archive.org is backing up all the stuff you care about, check it out, see if they are. 
		- I am happy to report that archive.org has a <a href="https://web.archive.org/web/20170705073731/http://dev.opml.org/spec2.html">good copy</a> of the <a href="http://dev.opml.org/spec2.html">OPML 2.0 spec</a>. It's the easiest kind of page to archive, static HTML, stored in an Amazon S3 bucket. They started sampling it in 2016, even though the page has been there since the mid-00s.
		- It's really weird <a href="https://web.archive.org/web/20190815000000*/https://cyber.harvard.edu/rss/rss.html">how they do</a> the <a href="https://cyber.harvard.edu/rss/rss.html">RSS 2.0 spec</a>. They're sampling it every day, as many as 17 times a day. <a href="http://scripting.com/images/2021/07/05/rss2archiveorgsampling.png">Screen shot</a>. It's a static page for a format that's been frozen since 2002. A few samplings a year would be sufficient. As with the OPML spec, their archive starts in 2016, but the doc has been there at since 2003. 
		- Here's a <a href="http://scripting.com/images/2021/07/05/opmlarchivescreen.png">screen shot</a> that shows how frequently the OPML 2.0 spec is sampled. I can think of three differences. 1. RSS is more famous than OPML. 2. RSS spec is on a Harvard website, the OPML spec is on opml.org. 3. The RSS spec is served via HTTPS, the OPML spec via HTTP.
	- July 4
		- Today's song: <a href="https://www.youtube.com/watch?v=rdPOAhBp2Ag">I'm Uncle Sam, how do you do?</a>
		- Suggestion: Choose to not be offended, at least once a day.
		- Do the Bucks need Giannis?
			- NBA fans, what's the best NBA podcast? Not too many ads, esp up front. Not too much bullshit about the people talking. Truly interesting ideas about what's going on.
			- For example, the Bucks did so well with Lopez playing a role similar to <a href="https://en.wikipedia.org/wiki/Giannis_Antetokounmpo">Giannis</a> in game 5, but in game 6 he's back to (mostly) shooting corner 3's? Why? I have a hunch. Giannis is kind of like Melo was when things worked without him at the Knicks in 2012. Nothing cool could happen on the Knicks, <a href="https://clutchpoints.com/carmelo-anthony-jeremy-lin-story-did-melo-force-linsanity-out-of-new-york/">said Melo</a> (in my imagination) without it going through me, said Melo.
			- I also think Giannis is a liability, in that the Bucks play better without him because his <a href="https://www.youtube.com/watch?v=3yH5w7INbDA">foul shots</a> break up any energy the Bucks build. It's a free timeout for their opponent. If Lopez can do what Giannis does, without the foul shot liability, who needs Giannis?
		- America is not great
			- I was taught as a youngster that the US was the greatest country ever, both at home and in school. I imagine this is the same education kids in every terrible country ever got. And my parents were biased, they were immigrants who would have died for sure in Europe during WW II if the US hadn't taken them in. 
			- Over time they came to see the reality that the US is a seriously flawed country. But nothing would have prepared them for what we've seen in the last five years. My mom died in February 2018, so she did live to see Trump elected, but did not see the January 6 insurrection, and all the looney tunes that followed. She also missed out on the <a href="https://www.nytimes.com/interactive/2019/08/14/magazine/1619-america-slavery.html">1619 Project</a> which was, for me a real head-turner. 
			- I knew slavery was part of our legacy, but I didn't know that it was pretty much our <i>whole</i> legacy. We fought and won a Civil War to purge ourselves of slavery, but that wasn't enough, Jim Crow undid a lot of the good that was done in post-Civil War America. The <a href="https://en.wikipedia.org/wiki/Voting_Rights_Act_of_1965">Voting Rights Act</a>, passed in 1965 and <a href="https://georgewbush-whitehouse.archives.gov/news/releases/2006/07/20060727-1.html">re-authorized</a> in 2006, has now been gutted by the Supreme Court. And the Republican-run states are rapidly moving to deprive citizens of color their voting rights. 
			- The fact is the US is an awful fucked up country. It doesn't live up to the promise of the Declaration of Independence or the Constitution for a huge portion of the population, and that means it doesn't mean shit for the rest of us. 
			- I am an American, nothing is going to change that, but if you asked me do I feel this is the greatest country ever, I'd say that's an idea we have to purge from our minds, the US is the opposite, it's a fat, lazy, spoiled, ridiculous excuse for a country. If we want to amount to anything we need to take a 180 degree turn now. 
			- White trash riot on behalf of rich slave owners.
	- July 3
		- I binged <a href="https://www.metacritic.com/tv/hacks/season-1">Hacks</a> on HBO in one day. It's that <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fhacks%2Fseason-1">good</a>. 
		- Andrew Shell has put together a <a href="https://github.com/scripting/pagePark/issues/20">checklist</a> for installing PagePark on Glitch. It's pretty straightforward. Getting PagePark to run on your own server is something that "Drummer" will be able to connect to for storage. It's really important that people who want complete independence can have it. No silos here. We want to do the same for Digital Ocean and AWS. If you're the kind of person who likes to run their own server, please pitch in, and provide feedback. I did it myself, it takes about ten minutes. And we may be able to make it even simpler, depending on how this experiment goes. Thanks! :boom:
		- The most realistic idea of what's up with Trump continues to be, imho, the <a href="https://podcasts.apple.com/us/podcast/wounded-trump-is-dangerous-trump-conversation-david/id1530639447?i=1000527576909">Mea Culpa podcast</a>. <a href="https://twitter.com/MichaelCohen212">Michael Cohen</a> has the best perspective, having been <a href="https://en.wikipedia.org/wiki/Michael_Cohen_(lawyer)">Trump's fixer</a>. He doesn't mind saying what he really thinks. This week's episode is especially good. 
		- Sustainable web, day 2
			- I'd like to buy, in advance, 100 years of:
				- Static HTTP serving from an S3 bucket. 
				- Run a set of Node apps.
				- Register domains.
			- When this is real, we can start thinking about the web, realistically, as a for-the-record platform for writing, video, podcasts, etc.
	- July 2
		- PagePark RFC: <a href="https://github.com/scripting/pagePark/issues/19">default domains folder</a>.
		- With better production tools and AI, and integration between them, it'll be possible to produce TV series about current events within weeks, then days, then perhaps almost instantaneously. 
		- When I was planning the third "BloggerCon", I realized at one point that I could, if I wanted, have every <a href="http://bloggercon.scripting.com/iv/format.html">discussion leader</a> of every session be a woman. I didn't go for it, felt like a stunt. Discussion leaders are like editors or teachers. They choose people to speak. We tried to discourage people from raising their hands (hard to enforce). The discussion leader is also empowered to move the mike to another person via a monitor (a human being, usually a student), who "owned" the mike. That's why things kept moving. I didn't choose DLs based on their fame, though I admit sometimes I gave into that, I chose people who could think on their feet in a classroom setting. So I often went with teachers, if one was available. There was a rule that vendors couldn't talk about their product. That became an issue at BloggerCon III at Stanford because Silicon Valley, and entrepreneurs will whore their product no matter what you say. BloggerCon was a users conference. We need to get back to that. Not just marketing events, but where users get together to talk about what they're doing and what they want.
		- <a href="https://en.wikipedia.org/wiki/In_Treatment#Season_4">Season 4</a> of In Treatment became unwatchable. I skipped the last two episodes with Colin. I came close to skipping the other patients, and the two episodes about the therapist and her boyfriend and drinking were most unwatchable, but since one of them was the <a href="https://tvline.com/2021/06/28/in-treatment-recap-season-4-finale-brooke-eladio-colin-laila/">finale</a>, I watched it, and hated it. The season started off so good and the actors, esp <a href="https://en.wikipedia.org/wiki/Uzo_Aduba">Uzo Aduba</a> are fantastic. I don't know who the writers are, but the characters they created are just foils for speeches on social issues. I don't mind, if there's some art to it. Something to think about. But they're at the level of decade-old Twitter rants, I've heard it all so many times before. At least with Twitter I have a mute button. The concept of the show is very good when there's suspension of disbelief. While this season started out great, in the end the story was bleh, and the telling of it cringe-worthy.
		- I haven't been to NYC in two years, even though I live just two hours north of the city by car. The last couple of days my friend <a href="https://www.sanforddickert.com/">Sanford Dickert</a>, who now lives in London, has been walking around the city with his iPhone on a stick, broadcasting his travels <a href="https://www.facebook.com/sanford/videos/975431809884849">over Facebook</a>, conversing with people who speak to him in the comments. I tune in when I can when he does it in London, but this week I've been feeling homesick for NYC. It's still there, but also quite empty. I hadn't counted on that. Those streets are just begging for me to ride on them by bike. Hotel <a href="https://www.kayak.com/hotels/New-York,NY-c15830/2021-07-07/2021-07-10/1adults?sort=rank_a;map">rooms</a> are still pretty cheap, a nice hotel goes for about $150 a night. I probably should go down for a few days before the summer is over. I do miss the city, which is surprising to me. I no longer have family there, maybe that's why I'm staying away?  
		- A sustainable web
			- I was glad to see my former colleague <a href="https://en.wikipedia.org/wiki/Jonathan_Zittrain">Jonathan Zittrain</a> <a href="https://www.theatlantic.com/technology/archive/2021/06/the-internet-is-a-collective-hallucination/619320/">write</a> about making the web future-safe. I'd love to work on this with him and others. I don't think the way we're going about it has much of a chance of working.
			- I think we'll get better results sooner if we go for a sustainable web. That will require new financial structures and organizations that have longevity built into their models, for example, universities like Harvard. Insurance companies. 
			- Say I want to give someone $10K to keep some of the domains I've registered going for say 100 years. And I give them say 10GB of static content. Add another $10K.
			- Set up systems to keep the archive of the static content up to date. 
			- And let it be cloneable so many vendors can provide this service for a fee, and let app devs create automatic flows on behalf of users. 
			- It seems it should be possible from there, if enough people and organizations pay money for longevity, at least it's a start.  
	- July 1
		- <a href="https://twitter.com/davewiner/status/1410779293202980867">Poll</a>: Crunchy or smooth peanut butter?
		- One day on <a href="https://en.wikipedia.org/wiki/Houston_Street">Houston St</a> in NYC, while I was visiting at <a href="https://www.nyu.edu/footer/map.html">NYU</a> for a couple of years, I was standing around, waiting for a student, not doing anything, daydreaming a bit, and all of a sudden there's a gorgeous, dark-haired young woman wearing a black dress, standing immediately in front of me. This is the kind of woman you see in Manhattan, perfectly made up, wearing a black dress that perfectly fits her body. They congregate here, somehow knowing this is where they should be. She is a Master of the Universe, can instantly command the attention of anyone she wants. And this godess wants to speak to me.<i>Me?</i> What. It couldn't be. Must be a mistake. But in an instant, I realized this was the student I was waiting for. Of course she was talking to me. But in that split second my reaction was instinctual, not intellectual, a whole story had played out. I thought of this story the other day, while looking out of my house at a green mountain far in the distance, a field in the foreground, a stand of trees, a huge bird of prey flying overhead. Everything verdant, alive, ideal, perfect as a young confident aloof woman in a black dress in Manhattan. As impossible to describe as a whole. That I could be in such a place, that this scene had assembled itself with me in it, me. Me. How did this happen? At my advanced age, I'm just beginning to understand that I am part of this world. 
		- <a href="https://twitter.com/davewiner/status/1410628946983636995">Peeve</a>: Someone I'm collaborating with says they'll read my email later because they're busy now. Then they say what they're doing. The point of using asynchronous tools is  you don't have to care what I'm doing now, and I don't have to stop everything to do something for you. 
		- <a href="https://github.com/scripting/Scripting-News/issues/215#issuecomment-872340008">Follow-up</a> on yesterday's braintrust query. Using a regular expression, I find a t.co link in a tweet, and replace it with something smaller and less distracting. Remember this is a writing environment, so the result must be as simple as possible for readers. :smile: 
		- A "Tools For Thought" use-case: <a href="https://twitter.com/davewiner/status/1410603220930494466">Writing code in an outliner</a>. 
		- I'm really confused about what's up with <a href="https://archive.org/">archive.org</a>. As I <a href="http://scripting.com/2021/06/29.html#a131345">reported</a> on Tuesday, they clearly aren't archiving this blog in any meaningful way. I write this blog with history in mind. I put things here and on the <a href="http://scripting.com/?tab=links">linkblog</a> because I want to be sure historians in the future will find at least one link to this stuff. If archive.org isn't backing it up, that's a big problem. And it raises an even bigger question -- what else aren't they archiving? And how do they decide what to archive and not to archive? Do they run the JavaScript on a page to get a rendering? If not, there's a huge amount of our knowledge that isn't being recorded. Are they trying to be neutral or do their friends and people who donate get preferential treatment? 
		- I just did the <a href="https://www.google.com/search?q=site%3Ascripting.com+%22monthly+ritual%22">monthly ritual</a>, backing up June's blog, in OPML, <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2021/06.opml">on GitHub</a>. BTW, archive.org has <a href="https://web.archive.org/web/2020*/https://github.com/scripting/Scripting-News">one snapshot</a> of the repo, on <a href="https://web.archive.org/web/20201122120542/https://github.com/scripting/Scripting-News">11/22/2020</a>. Anything after that is not in their database. (On further examination it seems the only took a snapshot of the top level of the repo, so it doesn't serve as a backup of the content of the blog.)
		- The conclusion: archive.org, no matter how good it is and how ethical the people there are, is a last-resort way to backup the web. It can and should get better, but if we want to create a historic record of any kind about this era, we're going to have to be much more deliberate about it, even competitive. There are nothing but holes in our approach, all the way down to the architecture of the net itself, and at every level above it. We've created a very temporary way to record history. And like everything else, we aren't doing anything about it. 
		- Frida Kahlo
			- <a href="https://www.wikiart.org/en/frida-kahlo/the-two-fridas-1939">The Two Fridas</a>. 1939.
