- March 2023
	- March 31
		- <a href="https://twitter.com/davewiner/status/1641998688934416384">Poll</a>: This may be the last poll I run on Twitter.
		- Tomorrow is, of course, April 1 -- the day when people on the net lie about the people they hate and call it humor. 
		- The <a href="https://www.theverge.com/2023/3/24/23655092/twitter-blue-verified-checkmark-hide-research">Twitter Blue</a> thing would’ve worked better if they added new features instead of taking out existing features.
		- For AI to become a medium for the people like blogging or podcasting the cost will have to come down.
		- The first <a href="http://scripting.com/images/2023/03/31/twitterAPI2007.png">mention</a> of the Twitter API on this blog appears to be: <a href="http://scripting.com/2007/02/20.html">Feb 20, 2007</a>, with discoveries scattered <a href="http://scripting.com/2007/02.html">through the month</a>. 
		- I keep watching the <a href="https://www.youtube.com/watch?v=lRaFwlQWKRc">last scene</a> of this week's Succession. 
		- Can you imagine growing up, going to school, knowing that the adults couldn’t or wouldn’t protect you from terrorists who are slaughtering kids just like you, or maybe actually you.
		- I think I figured out how to get "Radio3" <a href="http://scripting.com/?tab=links">functionality</a> into "FeedLand".  
		- Ken Smith <a href="https://github.com/scripting/drummerSupport/issues/178#issuecomment-1491929441">reports breakage</a> in the connection between Drummer and Twitter. Yup. There's going to be a lot of that, could happen tomorrow, or really any time. I'm not going to try to go with Twitter on this trip. "Drummer" and "FeedLand" have been converted to email-based identity, all the rest, including features on Scripting News, could break. That's how the web works. We know when we build on corporate APIs at some point they will stop working. Twitter has had a good run. I started <a href="http://daytona.scripting.com/?q=twitter%20api&collection=scriptingnews">writing to their API</a> in 2006. I was hoping for great innovation and huge growth, but it didn't happen for devs, for whatever reason. Je ne sais quoi. C'est la vie. Que sera sera.  
		- Good morning. Still excited about the <a href="https://chatthing.ai/bots/b5c0ad69-55d4-4008-a97c-0b2884cca3f2/chats/54392679-165d-4b09-b410-cfb3ba22759a/">personal chatbot</a> I've been writing about all week. But -- now that more people are running queries, I see how "inventive" it can be. Someone asked what <a href="http://scripting.com/images/2023/03/31/awards.png?nodialog">awards and honors</a> I've received. It provided a list, but as far as I can tell they're all bogus, awards that may exist, that I did not receive. I've had a nice career, but only <a href="http://scripting.com/davenet/2001/10/18/wiredsTechRenegadeFor2001.html">one award</a>, if my memory serves me. Oddly that award was not included in the chatbot's list. 
		- Not song of the day: <a href="https://www.youtube.com/watch?v=CJUoQMNbA0g&t=34s">The Disgusting Brothers</a>. :boom:
	- March 30
		- This is where <a href="https://chatthing.ai/bots/b5c0ad69-55d4-4008-a97c-0b2884cca3f2/chats/54392679-165d-4b09-b410-cfb3ba22759a/">my personal chatbot</a> is.
		- I've been trying to figure out what to call these things. For now, I've settled on personal chatbot, like a <i>personal</i> computer. 
		- My personal chatbot is a good writer, composition-wise. I asked it <a href="http://scripting.com/images/2023/03/30/food.png">what kind of food I like</a>, and it answered with a story about me and my longtime bud Dave Jacobs and how we both like Chinese food. It's been a long time since I've taken a writing class, but I think that would get a good grade. Find a way to tell a story, rather than just reciting facts. Make it about people, and people will read it.  
		- I wonder if my personal chatbot should have a name. I asked the bot if it had a preference. I quote the bot: "As an AI language model, I don't have personal preferences or emotions, so I don't require a name. However, if you'd like to refer to me in a specific way, you can choose any name that you prefer." <i>Reasonable.</i> 
		- My personal chatbot just <a href="http://scripting.com/images/2023/03/30/bingeworthyinvention.png">invented</a> a feature for BingeWorthy, by lying about its existence. 
		- A theme you keep hearing is that bots spell doom for programmers. If so, it's justified. There are orders of magnitude too many programmers. The tech industry doesn't factor, they do the opposite, reimplement things that work well, or throw out things that work well in favor of things that don't work at all. I think the bots are now going to help us do the factoring we humans wouldn't do on our own. All the layoffs in tech foretell this. The truth is stranger than fiction. 
		- The reason it's nice to have old people around is that we don't care about the future in a personal way, so we might just tell you the truth. We also tend to be smartasses. :smile:
		- I think "personal chatbot" may be a fanciful <a href="https://en.wiktionary.org/wiki/anachronistic">anachronistic</a> name, like <a href="http://scripting.com/davenet/2003/07/31/chrisLydonsWeblogForTheEar.html">weblog for the ears</a>, which ultimately became podcasting.
		- The British reporter did not coin the term podcasting, <a href="http://scripting.com/images/2023/03/30/coinedPodcasting.png">my dear chatbot</a>. You're in the shithouse now. It's even worse. The chatbot <a href="http://scripting.com/images/2023/03/30/oyughbullshit.png">thinks</a> I credited the British reporter with coining the term. No I did not. The term was coined by <a href="http://scripting.com/2013/04/07/howPodcastingGotItsName.html">Dannie Gregoire</a>. 
		- Seth Godin has a <a href="https://chatthing.ai/bots/ffc94727-3c06-4ada-8ba2-6c0aab35f51b/">personal chatbot</a> just like mine, also produced by the <a href="https://chatthing.ai/">Chat Thing</a> folks. As Seth says, pretty soon, everyone will have one. 
		- A question to start the day. <a href="http://scripting.com/images/2023/03/30/italy.png?nodialog">Has Dave been to Italy</a>?
		- What is Frontier?
			- <i>Disclaimer: This was written by my personal chatbot, obviously based on things I have written. It's pretty good, even though some of its facts are wrong, and includes some ideas I never came up with but make sense. I've never put it together this concisely though, so it points to another use for chatbots, distilling a lot of data into a few paragraphs, which you can then edit to make come out like you want it to.</i>
			- Frontier is a software environment developed by UserLand Software in the late 1990s (Note: development actually started in 1988). It was designed to be a high-level scripting environment that combined an outliner-based editor, an object database, and an integrated scripting language. Frontier was used to build a variety of web-based applications and services, including content management systems, blogging platforms, and syndication tools.
			- At its core, Frontier is an outliner-based environment that allows users to create and manipulate hierarchical outlines of information. These outlines can be used to store and organize data, as well as to create scripts and macros that automate tasks within the environment. Frontier also includes an object database that allows developers to store and retrieve data in a structured way, as well as an integrated scripting language that can be used to create custom applications and services.
			- Frontier was a pioneering platform in the early days of the web, and it played a key role in the development of many of the technologies that we take for granted today, including RSS syndication and web-based content management systems. While Frontier is no longer actively developed, its legacy lives on in many of the tools and technologies that we use today.
	- March 29
		- The exploration of my <a href="https://chatthing.ai/bots/b5c0ad69-55d4-4008-a97c-0b2884cca3f2/chats/54392679-165d-4b09-b410-cfb3ba22759a/">personal chatbot</a> filled with the archive of Scripting News going back to 1994, continues. 
		- BTW, let me get in a plug for <a href="https://chatthing.ai/">Chat Thing</a>. I've been working with the developers to get this up and running. They've been fantastic. 
		- I asked my chatbot to <a href="http://scripting.com/images/2023/03/29/mystyleofwriting.png?nodialog">describe my style</a> of writing. Flattering.
		- I asked my personal chatbot what I think <a href="http://scripting.com/images/2023/03/29/coralReefs.png">about coral reefs</a>. An example that puts no writers out of business, since they weren't writing about this topic.
		- I just asked my chatbot about the <a href="https://en.wikipedia.org/wiki/San_Francisco_newspaper_strike_of_1994">San Francisco newspaper strike in 1994</a>, which was a seminal event for blogging, believe it or not -- and there's probably more stuff in my archive about that event than in the rest of the web. So I'm going to link to a <a href="https://www.google.com/search?q=site%3Ascripting.com+%22san+francisco+newspaper+strike%22+1994">Google search result</a> instead. Let's see how that works! It's a reminder that for some things, Google is still considerably better than my chatbot. 
		- I've been asking my chatbot what I think of various tech companies, people and products. For example, here's what I said <a href="http://scripting.com/images/2023/03/29/whatDaveSaidAboutGeneralMagic.png?nodialog">about General Magic</a>, a Silicon Valley company that led in early PDA products. The team was made up of past and future tech superstars. Note that I just added to what I say about the company, so it'll be interesting to ask this question again in a few days. We haven't got the <a href="http://feeder.scripting.com/returnmarkdown?feedurl=http%3A%2F%2Fscripting.com%2Frss.xml">Markdown version</a> of my RSS feed flowing through the database yet.
		- BTW, it seems Markdown has become the default way to feed new data into chatbots. We're converting my OPML files to Markdown. As always -- Markdown is "Just Enough HTML."
		- I asked the chatbot if it knew what "Just Enough HTML" means. <a href="http://scripting.com/images/2023/03/29/justenoughhtml.png?nodialog">It did a great job</a>, but didn't pick up the connection to Markdown. 
		- Noted that my blog has been taken over by my chatbot which desperately needs a name. I wonder how the chatbot will absorb references to itself. And of course then come the third level references, which is what this post is. Oh the humanity!
		- Then I asked if there was a connection between "Just Enough HTML" and Markdown, and omg it <a href="http://scripting.com/images/2023/03/29/connectionbetweenjustenoughhtmlandmarkdown.png?nodialog">got the answer</a> totally right! If this were a student of mine, they'd get a freaking A+. Maybe just an A because it didn't include the connection in the answer to the first question. 
		- It was suggested we ask questions related to time. For <a href="http://scripting.com/images/2023/03/29/daveWriteAboutIphone.png?nodialog">example</a>, "When was the first time Dave wrote about the iPhone?" <a href="http://scripting.com/2007/01/10.html">January 10, 2007</a>.  But <a href="https://github.com/scripting/Scripting-News/issues/255#issuecomment-1488795349">how</a> does it know which article was first?
		- Summary: Today's experience with my personal chatbot has been fantastic. I love it. We're just getting started. Yesterday was the first day. Learned so much today. Expect to learn a lot more tomorrow. 
	- March 28
		- Today's song: <a href="https://www.youtube.com/watch?v=QM2IrTbWJxY">Christopher Lydon</a>. <i>Hi Chris!</i> 
		- My new (today!) chatbot, programmed with the <a href="http://scripting.com/publicfolder/chatgpt/scriptingNewsSource/scriptingInMarkdown.zip">archive</a> of my blog, going back 28+ years, is up and I've been playing with it, and am as impressed as I hoped I would. An <a href="http://scripting.com/images/2023/03/28/whoInventedRss.png?nodialog">example</a>, I asked who invented RSS? Can you imagine how much I’ve written about RSS in 20+ years? The first part is boilerplate, could have come from any site, but the second part was a very concise, thorough and interesting synopsis of years of <i>my writing</i> about feeds. The chatbot did very good work. 
		- One great thing about the new chatbot for my blog is that it gives me a greater incentive to post here, vs social media. Of course we must be just days away from a Mastodon instance that you pay to join that adds every tweet to its dataset. A place of record. Maybe they should even charge per tweet. 
		- In the next election the Dems must make the Repubs defend the idea of school kids being murdered without any help from the government. If they can't manage that, we need to find new political leaders. And when the Repubs bullshit, the Dems have to say they're bullshitting. 
		- Silicon Valley is full of sore winners (and losers). Not a whole lot of grace there, imho. But, tucked away in the corners, far from public view, there are still a few people there who get off on making great products and actually do.
		- I got <a href="http://scripting.com/2022/12/19/152612.html">my Tesla</a> over a year ago and it still feels like a privilege to drive it. Like I won the lottery. I feel like a teen with his first car when I drive it. It's so smooth and powerful, grabs the curves on mountain roads so effortlessly. Elon Musk -- feh. What a schmuck. But they obviously have some wonderful engineers inside Tesla who dreamed of making the best car ever, and somehow they <i>did</i> it.  
		- Started on Scripting chatbot
			- Working with <a href="https://www.pixelhop.io/">pixelhop</a>, in the UK on this. Started a <a href="https://github.com/scripting/Scripting-News/issues/255">GitHub thread</a>. 
			- For this project, I have <a href="http://scripting.com/publicfolder/chatgpt/scriptingNewsSource/scriptingInMarkdown.zip">one big archive</a> with all the stuff I have from 1994 to 2023. All converted to Markdown, organized by year, with a separate folder for "DaveNet", which is how it all started in 1994. We should just import all of it. And that will be the product.
			- As we make progress I'll report it <a href="https://github.com/scripting/Scripting-News/issues/255">here</a>. 
			- BTW -- I was sure Scripting News would make a good test case for this stuff, because the archive goes back so far and includes lots of stuff from other blogs, esp at the beginning. It was the hub for the early blogosphere. I think researchers in general will find it's a strong use-case if not reference source. I was very conscious of this as the years went by, and tried to make it an archive not just for my work but for what was going on around it too.
		- Rene Magritte
			- <a href="https://www.amazon.com/Paintings-Magritte%E3%80%8A-giantess%E3%80%8BWall-Surrealism-Decor%EF%BC%8850x65cm%EF%BC%8920x26inch/dp/B09XWM8VK3">The Giantess</a>, 1929.
	- March 27
		- I watch <a href="https://en.wikipedia.org/wiki/Succession_(TV_series)">Succession</a>, the HBO drama. Spoilers follow. Last night was the first episode of the last season. At the end, two characters who are married came to the conclusion they'll divorce. A sad moment, beautifully acted. The scene ends with them lying on a bed together, clothed, far apart, but holding hands. I thought, if you're going to do it, this is the way. Let there be at least a little love in the last moment. 
		- It would be nice if someone developed a Mastodon gateway for apps. A system that played the role that twitter.com played for the Twitter API (only it would be really easy to be better, btw). Otherwise does every developer really have to do one of their own? That's gotta be factorable. Just because Twitter is languishing, it doesn't mean that a new system that does what Twitter did, without any of the Muskness or history, couldn't come in and fill the space occupied by Twitter. Don't assume people don't want. I bet a lot do. Learned this from our experience with RSS. You have to accept facts, not be wishful about these things. Be prepared. 
		- Watching the demonstrations in Israel, I wonder why this hasn't happened yet in the United States after the Dobbs decision. What will it take to get our people to feel the threat to the country? 
		- Ken Smith tried an experiment. He asked ChatGPT to give him a few interesting stories on Scripting News. <a href="http://scripting.com/publicfolder/chatgpt/2023/03/27/blog-scripting-com-interesting-posts.html">So I tried it too</a>. I'm pretty sure none of the recommended stories exist.
	- March 26
		- Today's song: <a href="https://www.youtube.com/watch?v=vtJ34oFnpog">Loving Cup</a>. It took me the longest time to find this song which was buzzing around my head this morning, but I couldn't find the lyrics. What I was ultimately looking for was this line: "What a beautiful buzz, what a beautiful buzz." I was asking for <i>beautiful world</i> and then <i>beautiful girl. </i>A few minutes later another bit of a lyric became clear and it turned out to be the title of the song. I brought it to Bard, it got it right off. A few seconds later Alexa was playing it for me. So ChatGPT is also like <a href="https://www.google.com/search?q=site%3Ascripting.com+napster">Napster</a>, which was a breakthrough because all of a sudden we could program our own music. It'd amaze today's young people to know there was a time when we had to depend on radio stations to get around to the song we were <a href="https://en.wiktionary.org/wiki/jonesing">jonesing</a> <a href="https://www.urbandictionary.com/define.php?term=jonesing">for</a>. We'd sit there with our <a href="https://en.wikipedia.org/wiki/Cassette_deck">cassette recorder</a> waiting for the song to come around so we could get a copy of it. Then think of what a huge revelation <a href="https://en.wikipedia.org/wiki/Napster">Napster</a> was. All of a sudden the floodgates of music opened up. <a href="https://en.wikipedia.org/wiki/Jerry_Garcia">Jerry Garcia</a> didn't make it to that moment, he would've loved it, I'm sure. <a href="https://en.wikipedia.org/wiki/Pete_Seeger">Pete Seeger</a> was alive, not sure <a href="https://www.bollier.org/blog/goodbye-pete-seeger">how he felt</a> about it. But anyone who really loved music imho, had to have been overjoyed. People were talking about music in airports and supermarkets. You had to be there. Napster was like years of Christmas every day for music lovers everywhere. Of course the music industry didn't agree. 
		- <a href="https://twitter.com/davewiner/status/1640193983228833793">Open question</a>: What do you think of ChatGPT for porn?
		- I only like <a href="https://twitter.com/AP/status/1640094287516905472">imperfect beauty</a> in women. I find there's little that's interesting in supposedly perfect bodies.  
		- I got access to <a href="https://bard.google.com/">Bard</a> this morning, which is Google's version of ChatGPT. I'm still pretty confused about what it is, the same way I was confused about the web in 1994 when I first got Mosaic and was reading various early websites. I can use it, but how do I create for it? I have a huge dataset of my own, most of 28+ years of my writing here on Scripting News starting in 1994. Anyway, the first thing I did was ask if I can add my own data to their massive dataset (their term) and it said yes. I asked how, and it sounds really easy, totally within my ability to do, and almost certainly within your ability too. I took screen shots of the relevant parts of the discussion and added it to the <a href="https://github.com/scripting/Scripting-News/issues/254#issuecomment-1484102808">thread</a> I started on this topic. I will try this out and report back. 
	- March 25
		- Today's song: <a href="https://www.youtube.com/watch?v=15YgdrhrCM8">We'll Meet Again</a>.  
		- Knowing yourself is like a <a href="https://en.wikipedia.org/wiki/Twelve-step_program">12-step program</a>. Sometimes you drop down a few levels into the trance, and you need a "sponsor" to help you pull yourself out of it. Obviously no one else can pull you out, you have to do it. A friend can help. 
		- Here's the thing about Twitter. Since they started showing the number of impressions on every tweet, you can see how meaningless the number of followers is. You could have 66.7K followers, but <a href="https://twitter.com/davewiner/status/1639404110725402626">your tweet</a> might still only get <a href="http://scripting.com/images/2023/03/25/tweetscreen.png?nodialog">764 views</a>. Once, a long time ago, Twitter was a flow machine. Now it's like a <a href="https://www.kpbs.org/news/local/2022/11/29/drying-california-lake-to-get-250m-in-us-drought-funding">dry lakebed</a>. A void. It looks like Twitter used to look, but looks aren't everything. 
		- If there were no "organic" blue checkmarks on Twitter would you <a href="https://www.cnn.com/2023/03/24/tech/twitter-verified-checkmarks/index.html">pay $84 a year</a> for a blue checkmark, given that everyone who saw it would know that all it means is that you paid Twitter $84 a year?
		- On the dark side, AI is going to be a great tool for 1984-type governments, because with a single script you could rewrite history everywhere. Write people out, and other people in. Kind of like Wikipedia of course, nothing new actually. :rocket:
		- BTW,  please -- someone should offer a package that can load a series of RSS feeds into ChatGPT. Here's a <a href="https://github.com/scripting/reallysimple">Node package</a> I wrote that makes reading a feed as simple as it can possibly be. 
		- <a href="http://scripting.com/publicfolder/chatgpt/2023/03/25/load-blog-to-chatgpt.html">I asked a question of ChatGPT</a>:  "I have a blog with archives going back to 1994. I'd like to have that content loaded into ChatGPT so it can be part of the knowledge base. I am a JavaScript programmer. What's the easiest way to get a quick result?" I understand the code, I think -- but I'm no closer to understanding what to do. How do I come up with the prompts? What if I have no prompts, what's the result? They say be careful of the cost, what is the cost based on. I feel lost like I did when I first saw what the web could do, I wanted to know -- how do I set up a node on the next. The answers I got from those in the know made no sense to me, until they did. Here's a <a href="https://github.com/scripting/Scripting-News/issues/254#issuecomment-1483882581">place</a> to comment. 
		- I wish journalists would pay more attention to issues a bit further away than their own navels.
		- my.feedland.org
			- A small change --
				- Before the recent transition, when you chose <i>My News Product</i> from the menu, it would open your news product on my.feedland.org.
				- After the transition, it opens the same page on newsproduct.scripting.com. This was an oversight, and imho incorrect.
				- Now it reverts back to my.feedland.org, which is imho a much more appropriate name.
			- My new product is at: <a href="http://my.feedland.org/davewiner">my.feedland.org/davewiner</a>.
			- PS: Here are the <a href="http://docs.feedland.org/newsProducts.opml">docs</a> for news products. 
	- March 24
		- Not much going on today. Look for some posts tomorrow. :boom:
	- March 23
		- Looking for Chat/AI expertise
			- As you know if you read this blog, I've been intrigued and enthusiastic <a href="https://www.google.com/search?q=site%3Ascripting.com+chatgpt">about ChatGPT</a> as many people have, and specifically am anxious to load up one of these with the content of my blog so I can see what can be learned from the aggregation of what I've written. 
				- I have over 25 years of archive, all in "OPML", a flavor of XML. 
				- Of course OPML can be converted into any other reasonable XML or JSON-based format. 
				- It's all by one author, <a href="http://davewiner.com/">me</a>, covering roughly the same topics for all those years, including pointers to source sites.
				- For reference, here are <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">two</a> GitHub <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opmlOtherSources">locations</a> where my archive is stored. You're welcome to experiment with it. 
			- As I've been writing about this, another blogger, <a href="https://seths.blog/">Seth Godin</a>, has the same thought about his "corpus."
			- We'd like to work with a developer or group of developers who have mastered the technology behind ChatGPT and other similar systems. We don't want to become experts in this technology. But we are willing to do the work to get our data in a compatible format.  
			- If you want to discuss, I've started a <a href="https://github.com/scripting/Scripting-News/issues/254">thread here</a>. 
	- March 22
		- Today's song: <a href="https://www.youtube.com/watch?v=n2MtEsrcTTs">Harvest Moon</a>.
		- <a href="https://twitter.com/davewiner/status/1638621381234663425">Poll</a>: When will we have a general strike re the Dobbs decision?
		- Braintrust query: <a href="https://github.com/scripting/Scripting-News/issues/253">Getting AWS to stop emitting a message</a>.
		- Update: We got two <a href="https://github.com/scripting/Scripting-News/issues/253#issuecomment-1479977917">good solutions</a> to the BT <a href="http://scripting.com/2023/03/22.html#a163332">query</a> above. 
		- Fixed a problem in <a href="https://www.youtube.com/watch?v=n2MtEsrcTTs">reallysimple package</a>. It caused FeedLand app to crash, occasionally. Just had to check that something wasn't undefined. I love fixing problems like this. It's how software gets burned in.
		- I still use Twitter
			- I still use Twitter because it's still basically the same system it always has been, at least from my point of view. I don't see any fascist messages, or antisemitism, or race hate, for some reason -- that everyone else seems to see. I still have longtime friends who I only see here. It still has that annoying character limit. 
			- I also use Mastodon, and it's more interesting all the time, esp when it comes to technical discussions. One thing I don't like about Mastodon culture is it seems to assume Twitter is over, and only terrible people use it. This feels a lot like the political divide in the US and elsewhere. I don't find this is a political thing for me. Maybe I'm too old to give a shit. That's probably it.
			- People who say Musk is stupid don't understand how this works. No one who has reached his position in the world is even remotely stupid. Same thing with presidents, or people who reach the pinnacle of accomplishment in anything. There's more to it than you can see. 
			- Musk may have <a href="http://scripting.com/publicfolder/chatgpt/2023/03/22/new-chat.html">screwed with</a> Tesla's products, but he had the good sense not to screw with the driving experience, which still is like nothing else I've ever loved in a car, and I've had some good cars. 
			- He has screwed with Twitter, I guess, but so far it's still Twitter after all is said and done. 
		- Web 3 and all that bullshit
			- Someone referred to Podcasting 2.0 the other day.
			- Oh my god. 
			- There is only one podcasting. 
			- I can tell this is going to be really tiresome.
			- You know like Web 3 and all that bullshit.
			- The other day someone told me that the real Web 3 is AI. 
			- Sigh.
	- March 21
		- What if there were a social network for two people. So the messages wouldn't be mixed up with everything in a chat app or an email client. If the point of the conversation is to start a record, make it easy to go back through the chain of thought. And that a thread might last decades, even a whole lifetime. It's time to start thinking about long-lived special-purpose communication apps. We have the experience now, and the perspective. 
		- A <a href="https://mastodon.social/@bump@xoxo.zone/110062761274783107">thread</a> on Mastodon in support of a social network <a href="http://scripting.com/2023/03/21.html#a151220">for two</a>.
		- Would someone <i>please</i> make an easy way for me to feed 28+ years of writing into an AI model so i can ask it questions about what I wrote??
		- FAQ: In "FeedLand" is it possible to load in a collection of feeds via an OPML file? Yes. Here's a <a href="http://scripting.com/images/2023/03/21/readingOpmlFile.png">screen shot</a>. 
	- March 20
		- A cool feature for FeedLand users. When you <i>Like</i> an item, it's automatically added to two RSS feeds -- one for <a href="http://data.feedland.org/likes/davewiner.xml">your likes</a>, and one for the <a href="http://data.feedland.org/likes/all.xml">likes of all users</a> on your FeedLand.It's basically a single-gesture linkblog. There's a lot of that in FeedLand, where things have been factored to a point where they couldn't possibly be simpler. Of course since they're standard "RSS" feeds, you could follow them from any feed reader. 
		- Archive of my blog from <a href="http://scripting.com/2003/03.html">March 2003</a>, marking the start of the war in Iraq, and my arriving in Cambridge to begin my fellowship at <a href="https://cyber.harvard.edu/">Berkman</a>.
		- Reading my notes on being at Harvard, it sounds like <a href="https://en.wikipedia.org/wiki/Mr._Smith_Goes_to_Washington">Mr Smith Goes to Washington</a>. I was very excited, and it shows. In hindsight, I was about to have some great adventures. One of the best experiences of my life. Now twenty years later, I'm still very grateful for having had the opportunity to work with the people I met at Harvard, and the power afforded to me with the H-bomb business card. The friends I made there still benefit me to this day, and the things we accomplished really did make a difference. 
		- So it's been twenty years since I started at Berkman. Thanks to <a href="https://en.wikipedia.org/wiki/Charles_Nesson">Charlie Nesson</a>, <a href="https://en.wikipedia.org/wiki/Jonathan_Zittrain">Jon Zittrain</a> and <a href="https://en.wikipedia.org/wiki/John_Palfrey">John Palfrey</a> for giving me the chance. Met so many who became lifelong friends, and the things we accomplished really did make a difference. 
		- I remember when I got a key to the building. I didn't ask for it, and I certainly didn't expect it.  My first thought was hmmm i wonder what i can do with <i>this?</i>  That's where the regular Thursday evening meetup came from.
		- The first thing I did when I started at Berkman, twenty years ago, was to get a blogging server up and running. It was 2003, so I used "Manila", a product we made at UserLand. It was the first weblog server at any university, in the world. Early days. A few years after I left they converted to WordPress. A solid move both times because by then UserLand had shut down and the default blogging server was the software made by my friend Matt. 
		- I took this picture
			- Central Park, March 20, 2016.
		- Don't conflate
			- One thing you should never do in reporting a bug is conflate two events that might not have anything to do with each other. 
			- I have to work to figure out that you're doing this. Esp when a lot of unnecessary info is mixed in. 
			- Because theories like this from people who aren't familiar with how the code works behind the scenes (no reason you should be) almost never get this right.
			- You have to boil it down to the minimal number of steps-to-reproduce. Those are facts that are incontrovertible. That one problem caused another? Probably not. In general. 
	- March 19
		- In "FeedLand", if you're being asked to log in every time you go to the site, you're probably opening it via a bookmark that goes to the old URL. The easiest fix is to edit bookmark so it goes to <a href="https://feedland.org/">https://feedland.org/</a> -- note the <i>https.</i> Another fix is to do a <a href="http://scripting.com/publicfolder/chatgpt/2023/03/19/new-chat.html">hard-reload</a> of the page. This will force a new version to reload. It redirects if it gets a non https request. 
		- I get that people don't like that ChatGPT will return incorrect results. But as a software developer, I can experiment with the product with that caveat, and imagine its uses once the quality of the results are better, however they achieve that. I don't have to wait to think, in other words. With that disclaimer, I searched for docs about how to do a hard-reload in popular browsers. Those docs are hard to find, and when you find one it's heavily monetized. So instead, I asked ChatGPT to write a <a href="http://scripting.com/publicfolder/chatgpt/2023/03/19/new-chat.html">docs page</a> to answer this question. Looks pretty good to me! No bullshit in the page either. 
	- March 18
		- A steady flow of new signups on the <a href="https://feedland.org/">first FeedLand server</a>. 
		- Almost everything you do on FeedLand is public. You can read anyone else's feed list. Example, <a href="https://feedland.org/?username=KenSmith">Ken Smith's list</a>. If you're signed in, to subscribe to a feed just click the feed's checkbox. You can also see <a href="https://feedland.org/?userslist">who's been on</a> recently, when they signed up, how many feeds they subscribe to, and how many pages they've viewed. You can also see the feeds that have recently been <a href="https://feedland.org/?log">subscribed to</a>. The idea is to make feed discovery as easy as it possibly can be. We steal (and improve on) ideas from social media apps that didn't exist last time I took a fresh look at feed systems. I don't think of FeedLand as a feed reader -- it's more of a feed management system, imho.
		- I first wrote about the use of checkboxes in this way (see above) in 2007. I called it <a href="http://scripting.com/stories/2007/04/24/checkboxNews.html">Checkbox News</a>.
		- Another important feature, <a href="https://feedland.org/?userfeedsnews=true">every user has their own feed</a>, which you can edit in FeedLand, of course. To write a post, click in the edit box at the top of the page, type some text, click the Post button. It should show up in the list of user-feed posts, below. If you want to edit one of your posts, click on the text, make <a href="http://scripting.com/images/2023/03/18/editingAPost.png">the changes</a>, click the Update button. Of course there's an <a href="https://feedland.org/?feedurl=http%3A%2F%2Fscripting.com%2Ffeedland%2Fuserfeeds%2Fdavewiner.xml">RSS feed</a> for each user, which you can subscribe to in FeedLand or any other RSS-compatible application (there are many, as I'm sure you know). 
		- It's important for users to have their own feed in the same way it was good to be able to develop software for the Mac on a Mac. Most users will never make a software product, and maybe most FeedLand users won't write publicly, but you want to make it was easy as possible for people to contribute to the ecosystem they use. It's a philosophy of the active not-just-eyeballs users. It's a basic democratic idea. 
		- Docs: <a href="http://docs.feedland.org/firstThings.opml">Starting up in FeedLand</a>.
	- March 17
		- On reflection, it's amazing I wasn't killed in my teens. 
		- <a href="https://twitter.com/davewiner/status/1636731808116080645">Poll</a>: I was having a discussion with a friend the other day and I said none of my  friends have had plastic surgery. They asked how I knew, and I admitted I didn't.
		- It will be possible to create better teachers out of ChatGPT tech. What led me to that is that it certainly could help people write better bug reports. It would have far more patience than a busy developer, whose job is to fix bugs, not decypher a user's (justifiably) imprecise understanding of how software works. But a chatbot could help, patiently asking the user questions. Then, of course, over time -- the user would learn how to do it themselves, and get this -- they would also learn how software works. There might be some great programmers out there who don't know they are. :smile:
		- Back in the day, as they say -- when I was going to a city somewhere around the world, I'd post something on my blog and we'd get a meetup going. The world was smaller then or so it seems. Maybe it's just me, maybe I've gotten smaller.
	- March 16
		- It seems like the <a href="https://github.com/scripting/feedlandSupport/issues/176">transition</a> of "FeedLand" from Twitter-based identity to email-based identity has more or less worked. As part of the transition, and please this is only for people who read Scripting News, so don't pass it on -- membership in <a href="https://feedland.org/">feedland.org</a> is now open. It had been closed since Dec 12 when I started working on the transition. You only need an email address to sign up, not a Twitter identity.
	- March 15
		- My blog is being taken over by ChatGPT. It sometimes can replace four apps I used previously: Google, GitHub, Twitter, Wikipedia.
		- I was wondering how I could create something that behaved like an app on the Mac desktop from a page in Chrome. I want to use web Drummer to write docs about something I'm working on in Electric Drummer. It helps to have each in its own window for something like that, rather than switching back and forth between tabs. I was going to post a braintrust query but realized I could <a href="http://scripting.com/publicfolder/chatgpt/2023/03/15/chrome-page-to-app.html">use ChatGPT</a> and get the answer right away. It seems to have worked. 
		- I kind of like the idea of letting the <a href="http://scripting.com/publicfolder/chatgpt/2023/03/15/google-reader-shutdown.html">ChatGPT version of history</a> be the authoritative one. In the record of my own life, it's more accurate than Wikipedia, which has been hacked mercilessly since inception by opportunistic credit-takers
		- I am surprised when things that depend on Twitter still work.
		- Register RSS piece
			- It was the tenth anniversary of Google shutting down their <a href="http://scripting.com/publicfolder/chatgpt/2023/03/15/google-reader-shutdown.html">Reader</a> product. 
			- The Register had some questions, which I answered via a voicemail, <a href="http://scripting.com/2023/03/15/interviewAnswersForRegister.m4a">included here</a>. 
			- It turned into an <a href="https://www.theregister.com/2023/03/14/requiem_for_google_reader/">article</a>, which I offered some corrections:
				- <a href="https://en.wikipedia.org/wiki/UserLand_Software">UserLand Software</a> no longer exists, I left in 2002, and we shut it down a few years later. I'm just a person now, not part of any company.
				- RSS 1.0 was not a fork, not sure how you'd characterize it, but it was definitely not a fork. It was a whole new syntax, had no compatibility with RSS 0.91.
				- RSS 2.0, which appears to have been left out, was finished in September 2002, and was supported by the New York Times, and thus was supported by the whole news industry and became the standard. Though some disagree, it was backward-compatible with RSS 0.91 and 0.92.
				- Atom was a new format, again -- not a fork. It gained some popularity and is still in use.
	- March 14
		- I <a href="http://scripting.com/publicfolder/chatgpt/2023/03/14/news-river-format.html">asked ChatGPT</a> for information about "river of news."
		- Don't panic when asking for <a href="http://scripting.com/2020/12/12/165429.html?title=howToAskForHelpWithSoftware">help with software</a>. The problem probably can be solved, but only methodically. 
		- We're having a huge snowstorm today in the Catskills. Expecting about two feet of wet heavy snow. I'll probably lose power at some point and my internet connection, but I have Starlink as a backup.
		- <img src="http://images.scripting.com/archiveScriptingCom/2005/11/30/microBBanimes.gif">
	- March 13
		- Today's song: <a href="https://www.youtube.com/watch?v=oOyV4kugyfM">A Apolitical Blues</a>.
		- Rachel Maddow is bullshit. Every time I listen to her, when she's talking about something I know about, she makes something innocent sound nefarious, I assume depending on her viewers not knowing the facts.
		- I was fascinated with <a href="https://en.wikipedia.org/wiki/History_of_the_People%27s_Republic_of_China">Communist China</a> when I was a kid. A forbidden place. Hardly anything came out, except culture created out of Communist Party lies. I wrote letters to the Chinese Consulate in New York asking for everything they had. They sent a huge poster of <a href="https://en.wikipedia.org/wiki/Mao_Zedong">Chairman Mao</a> and colorful books with gorgeous drawings of Chinese kids doing <a href="http://scripting.com/images/2023/03/13/chairmanMao.png">amazing things</a> because they studied the teachings of Chairman Mao. I wasn't stupid, I understood this was propaganda, but I loved the way they did it -- as a genre. This is <a href="http://scripting.com/images/2023/03/13/autographFromSixthGrade.png">what I wrote</a> in one of my best friends' autograph book when we graduated sixth grade and went on to junior high. 
		- Another glitch -- the other day I <a href="http://scripting.com/2023/03/11.html#a150413">asked</a> FeedLand users who had not already registered an email address to do so now. It's basically impossible for me to test this, because I don't have any accounts to use to test this since the connection with Twitter has been pretty glitchy lately. It turns out it's too late to do this transition, so we'll go ahead with the switch to email identity for feedland.org. When it switches over, you'll have to log into feedland.org using your email address, which should work for people who pre-registered. I know it's complicated, I hate it -- it's the worst use of both of our time, we get no new features for all this bullshit. But Twitter is no longer reliable in this role, so we had to do it. I'll keep you all posted here on progress, and appreciate your patience. I think it'll all be pretty smooth after this change. 
		- To <a href="http://scripting.com/email/">email subscribers</a>, sorry for the glitch last night. Probably due to the switch to Daylight Savings Time, the wrong version of Scripting News went out at midnight. This feels familiar, but there's nothing in my notes about how to work around this. I will have a look at the code during the day today and see if I can figure out what went wrong. I was able to get the correct email to go out at 6AM EDT today by editing the stats.json file for the app to indicate that the email for the day hadn't yet gone out, and it immediately started sending out the correct email. 
		- If Trump were president, he'd have tried to extort some kind of fee to rescue the depositors at SVB. Or just ignored it altogether.
		- People's Republic of China
			- Chairman Mao.
	- March 12
		- <a href="http://scripting.com/2023/03/12/yesIKnowImCrazy.m4a">Podcast</a>: I'm crazy and I know it. 🤪 <i>4.5 min.</i>
		- When Facebook launches their Twitter replacement, will they pay us to write for them, or is it the same old bullshit model where we work for free like hamsters spinning the wheels.
		- On the other hand, we should have an <i>open source Twitter replacement</i> that's fucking easy to install and runs itself. Node.js. Runs on desktop in Electron for local users. It could be much easier than Mastodon. A fractional-horsepower tweeter. If anyone wants to work on that, let me know, I'd like to be part of such a thing (mostly as a user and app developer).
		- My step-niece and nephew, Miranda and Jake, in Jamaica had a routine with my <a href="http://scripting.com/2013/08/14/theGreatVaVaVoom">uncle</a>, their step-father. He would scrunch up his face looking at a plate of food and say "I don't like this!" And they would in a chorus sing "But Ken it's <i>gooooood</i> for you!" They were the cutest kids and he was pretty cute too gotta say. 
		- This <a href="https://www.youtube.com/watch?v=LMCcdc97kb8">song</a> sounds incredible on the <a href="https://www.amazon.com/dp/B07G9Y3ZMC/">Amazon Echo Studio</a>. 
		- Okay now I have to tell you about my latest experience with ChatGPT. The subject is CSS. It's possible to do all kinds of crazy logic on DOM elements, given all the different <a href="https://www.w3schools.com/cssref/css_selectors.php">selectors</a> they have. But how to combine them to do what you want to do? You can stare at the <a href="https://www.w3schools.com/cssref/css_selectors.php">table</a> for hours, and do trial-and-error, but if you're like me, you gave up before you even started. But with ChatGPT, you can formulate the question according to what you want to do, and it creates a docs page that probably never existed before, that shows you, with examples, how to do what you want. I just did that. Amazing. It digs you out of corners. Nothing like this has ever existed.  
		- TweetGPT?
			- what would a chatgpt-like twitter be?
			- i type a query, and the bot responds. 
			- then you can type a query that builds on mine, starting a new thread, which other people can build on.
			- the thread to the first tweet forms a stack, a context for each subsequent reply?
			- what comes out at the end is pure singularity?
			- i <a href="http://scripting.com/publicfolder/chatgpt/2023/03/12/chatgpt-like-twitter-platform.html">asked</a> chatgpt and it says no, it would not be a singularity because "ChatGPT-like models are limited to generating responses based on their training data and do not possess true consciousness or self-awareness."
	- March 11
		- In five years most of us won't be using Google-like search engines. 
		- For some people using Mastodon is a political cause like being a Republican. I try to avoid the <a href="http://scripting.com/publicfolder/chatgpt/2023/03/11/demagoguery-appeal-to-emotions.html">demagoguery</a> by unfollowing, even blocking people, but it must be growing, because increasingly it can't be avoided and more and more of the messages are touting events that I know are pretty freaking insignificant. As an implementer, you have to watch out if you support features that are only in Mastodon and not based on ActivityPub. Which suggests that as the bigco's start implementing AP support, they're all going to face a conundrum. If we want users to think what we're doing is anything more than symbolic, we're going to have to use the Mastodon API and not ActivityPub, because no one else is doing it in AP, therefore there's nothing to interop with or test against. It's hard to promote a feature when you've never been able to test it. The whole thing is pretty shaky. And most people aren't aware of the subtleties. Time to get out a bucket of popcorn and stay on the sidelines until some of this becomes real. 
		- If you're a current FeedLand user and you haven't yet <a href="https://github.com/scripting/feedlandSupport/issues/151">registered an email address</a> with your Twitter-based account, now is the time to do so. We're going to be switching the whole system over to email-based accounts soon, and it'll be more difficult to transition your account if you haven't taken this step. :boom:
	- March 10
		- I asked ChatGPT to <a href="http://scripting.com/publicfolder/chatgpt/2023/03/10/house-listing-renovated-ranch.html">write a Zillow-style ad</a> for a house in Hurley, NY. 
		- <a href="https://twitter.com/davewiner/status/1634301797710852098">Poll</a>: How broken is Twitter?
		- A hundred years ago I asked a Microsoft exec when they’d ship open source and was told it’ll never happen, not in their DNA. <a href="http://scripting.com/publicfolder/chatgpt/2023/03/10/microsoft-open-source-software.html">It happened</a>. When will Twitter peer with Masto? <a href="https://www.youtube.com/watch?v=eXygknVeLGE">It could happen</a>. 
		- What ChatGPT could become
			- The thing I look for in "ChatGPT" style products are new interesting information sets. 
			- I'd love to work out some JSON-based formats for flowing writing through the engine.
			- I'd like to know the cost. And how much human work is involved.
			- Is this written up anywhere?
			- Ultimately -- we'll use ChatGPT style apps in place of Wikipedia and Google. 
			- This is like GUIs to character based.
			- Or the open internet to proprietary LANs.
			- Another generation of every information app on the net, and that's more or less the whole net. A top-to-bottom rewrite. 
	- March 9
		- There's a new test version of <a href="https://github.com/scripting/drummerSupport/issues/184">Electric Drummer</a> for the Mac. 
		- Earlier today I used Google to try to find a <a href="http://this.how/standards/">doc</a> I wrote a few years ago. I am the author. I have the <a href="http://this.how/standards/">original</a>. Well a bunch of people copied my file and posted it on their sites, with their template and their ads (I don't have ads), and for whatever reason Google ranks their docs higher. Mine isn't even on the first page. So tell me, how is that Google isn't implementing a "man in the middle" attack? Why aren't they taking the heat for delivering incorrect results?
		- Same thing happened with the <a href="https://cyber.harvard.edu/rss/rss.html">RSS 2.0 spec</a>. There is only one original. Try to <a href="https://www.google.com/search?q=rss+2.0&rlz=1C5CHFA_enUS743US747&oq=rss+2.0">find it in Google</a>. Lotsa luck. There's so much bullshit on the search results page. It's amazing we're trained not to see the lies that Google passes off as facts, but somehow we're supposed to hold the startup accountable instead.
		- Then I asked ChatGPT where the RSS 2.0 spec is. <a href="http://scripting.com/publicfolder/chatgpt/2023/03/09/rss-2-0-specification.html">They got it right</a>.  ❤️
		- I'm definitely going to see <a href="https://twitter.com/NoHardFeelings/status/1633845113096134661">this Jennifer Lawrence movie</a>. 
		- <a href="https://www.azquotes.com/quote/634728">Keith Richards</a>: "To me, the main thing about living on this planet is to know who the hell you are and be real about it."
	- March 8
		- Today's song: <a href="https://www.youtube.com/watch?v=uZj032MNIx4">You Can't Hurry Love</a>. 
		- I asked ChatGPT for <a href="http://scripting.com/publicfolder/chatgpt/2023/03/08/supremes-top-10-songs.html">ten popular songs</a> by The Supremes. 
		- And a list of popular songs <a href="http://scripting.com/publicfolder/chatgpt/2023/03/08/cher-s-popular-songs.html">by Cher</a>? Now all we need is an interface to Amazon Music so I can play the songs. Maybe some <a href="https://www.google.com/search?q=site%3Ascripting.com+%22checkbox+news%22">checkboxes</a> next to list items. 
		- While my posts on Mastodon tend to be better-distributed than my Twitter posts, the "discussion" there is every bit as insipid and pointless as it ever was on Twitter. People don't read the posts, don't click on the links, ask impossible-to-parse questions, I have no idea why they bother. I want small-scale friend-nets, that aren't connected to anything else. Just my best buds. I don't give a shit if anyone else reads it, or doesn't. I want quality. Sick and tired of all the mindless bullshit. 
		- ChatGPT breakthrough
			- I achieved something of a breakthrough with ChatGPT yesterday. I can now do the following: 
				- Search for something in ChatGPT.
				- Click on a bookmarklet.
				- A static HTML page opens, ready to be linked to from a blog post.
			- Here's a <a href="https://www.youtube.com/watch?v=pB2RVlhm5SM">video demo</a> that shows how it works.
			- Here's the <a href="http://scripting.com/publicfolder/chatgpt/2023/03/08/march-8-birthdays.html">web page</a> generated in the demo.
			- Here's the <a href="https://github.com/jcubic/chat-gpt">bookmarklet</a> I am using, written by <a href="https://github.com/jcubic">jcubic</a>. <i>Thanks!</i>
			- Here's the <a href="https://gist.github.com/scripting/36bec44af6892abb870c5fa798bf7431">Frontier script</a> that runs on my desktop, every second.
			- Here's <a href="http://this.how/publicFolder/">the app</a> that syncs a folder with a location on Amazon S3.
		- The Podcast Wars
			- Re the supposed re-invention of podcasting, coming to a tech tabloid soon... 
			- I probably should have explained <a href="http://scripting.com/2023/03/07.html#a182022">yesterday</a> why having two or more groups claiming to be the future of something that currently no one is fighting over might damage the thing they say they’re trying to help (assuming they are saying that). We've been to this place before. How long before the press starts calling it The Podcast Wars. Some of us will try to douse the flames, to no avail. 
			- People choose <a href="http://scripting.com/publicfolder/chatgpt/2023/03/08/bombastic-meaning-4-words.html">bombastic</a> names because they want more for themselves than they want for podcasting. I have a lot of experience with this. People are always looking for a way to make a billion dollars. It never occurs to them that if it all has to be for them, there will be nothing. Now a whole new generation has to learn that again, and as usual the thing that pays for it is podcasting. 
			- I don't know all the people, or what they're planning to do, but the names they chose for their efforts tells me they don't want work with anyone, they may say they do, but they've reserved for themselves the authority over -- "podcasting," if you can believe that bullshit. They're all little people trying to sound like big people. If you want to do some good for podcasting, throw your ideas out there in the middle, and fight for <a href="https://www.google.com/search?q=site%3Ascripting.com+interop">interop</a>. When the other guy does something that you do, do it their way. That's how you build.
			- My sense is it's too late to fuck over podcasting, that it's mostly for the people involved that I ask them to lower expectations, and don't try to make this a business model. But if they want to do it, they'll do it and the press will have a <a href="https://www.google.com/search?q=%22podcast+wars%22">new war</a> to write about, and in the end <a href="http://scripting.com/publicfolder/chatgpt/2023/03/08/podcasting-definition.html">podcasting</a> will stay what it is. 
	- March 7
		- Please don't come out with something called Podcasting 2.0 or The Podcasting Authority or Podcasting As Designed By God. Come up with a <a href="http://scripting.com/publicfolder/chatgpt/2023/03/07/tech-codenames-in-past.html">neutral code name</a>, and explain why what you're doing will benefit podcasting. And then sit down. :rocket:
		- <a href="http://scripting.com/publicfolder/chatgpt/2023/03/07/first-blog-links-net.html">I asked ChatGPT</a> what was the first weblog. And note, the response is archived on my own site, statically <a href="https://github.com/jcubic/chat-gpt">rendered</a>, in HTML. Makes it easier to share results, and for those results to get into search engines. Screen shots are bullshit.  
		- Here's source code for the <a href="https://gist.github.com/scripting/36bec44af6892abb870c5fa798bf7431">Frontier script</a> that copies the chat-gpt files from the Downloads folder to a calendar-structured sub-folder of my publicfolder on scripting.com.
		- Manton Reece is our eyes and ears <a href="https://mastodon.social/@manton@manton.org/109982640710150526">from BlueSkyLand</a>. I applied for a beta, but wasn't given one. Just as well, I'm loaded up to my ears with other stuff.
	- March 6
		- <a href="https://github.com/jcubic/chat-gpt/issues/12#issuecomment-1456454401">Advice</a> from the developer of the <a href="https://github.com/jcubic/chat-gpt">chatgpt bookmarklet</a> on how to customize the name of the file it generates. 
		- Heard someone say you can't leave your PhD to your children, but you can leave them your farm. I take exception. Both my parents had a PhDs, and this gave me examples for the value of knowledge and intellect, and how to figure things out. I didn't inherit their degrees, but I did get their intellectual power.
		- BTW, the bit about <a href="https://github.com/Ranchero-Software/NetNewsWire/issues/3896">NetNewsWire supporting</a> the <a href="http://source.scripting.com/#1653758422000">source:markdown</a> element in RSS may sound ho-hum, but it's actually huge. The new things in open formats tend to sound boring when you first hear about them, they take a few years to fill out, but this is enough to get the ball rolling. "FeedLand" is imho going to be an important product. NetNewsWire already is. Between the two products there's enough to start a <a href="http://scripting.com/davenet/2000/11/30/bootstrapping.html">bootstrap</a>. Now I'm using their announcement to entice others to jump on board. They're listening more carefully than before. That's why I'm writing this second post, to be sure people don't miss it. Here are the <a href="http://scripting.com/2022/07/19/152235.html?title=devNotesForMarkdownInFeeds">developer notes</a> for adding Markdown to your feeds and to your reader software. 
		- <a href="https://nypost.com/2023/03/05/immanuel-quickley-carries-knicks-over-celtics-in-double-ot/">Last night's Knicks game</a> was wonderful. As the Nets gave up on their buy-a-championship nightmare, the slow-growth Knicks approach has been going great. I'm sure the Knicks would've signed KD or Kyrie if they had offered, but so thankful they diss'd the Knicks instead. Idiots. Now the normal order has been restored. Hopefully the Knicks continue to add pieces slowly and let home-grown stars like <a href="https://en.wikipedia.org/wiki/Immanuel_Quickley">IQ</a> continue to grow. It's intoxicating to watch him get the chance to excel as in last night's game, and completely exceed all reasonable expectations. The whole team is fantastic. Our loyalty to the team has paid off. 
		- <a href="http://scripting.com/publicfolder/chatgpt/city-names-with-t-english.html">ChatGPT</a>:  "Give me the names of 23 cities, anywhere in the world, whose names begin with T and have exactly three syllables in their names." Obviously some are wildly wrong. But it's still useful to come up with potential codenames for projects. Better than my previous way of doing it, browsing a Google Map sort of randomly.
		- A <a href="https://github.com/jcubic/chat-gpt/issues/12">feature request</a> for the bookmarklet I use to save ChagGPT queries. 
		- I have a new way of syncing up my outline with the public web, and it's quite a bit slower than the previous method. Which means sometimes I rebuild my home page before all the changes are uploaded, leading to some hilarious mistaken posts. Have to tighten this up. 
		- <a href="https://mastodon.social/@davew/109968137223267205">Mastodon</a>, where I have 7.6K followers, generates far more flow than Twitter ever did, where I have 66.7K followers. 
	- March 5
		- <a href="https://github.com/Ranchero-Software/NetNewsWire/issues/3896">NetNewsWire</a> will support <a href="http://scripting.com/2022/07/19/152235.html?title=devNotesForMarkdownInFeeds">Markdown</a> in the 6.2 release. :boom:
		- "FeedLand" already supports Markdown in <a href="http://docs.feedland.org/yourFeed.opml">both</a> directions, with the <a href="http://source.scripting.com/#1653758422000">source:markdown</a> element, of course. <a href="http://scripting.com/2021/12/16/153331.html?title=myProductIsInterop">Interop</a>. 
		- It's time to see what <a href="https://en.wikipedia.org/wiki/Tumblr">Tumblr</a> is up to these days. I've had a <a href="https://scripting.tumblr.com/">site</a> there for many years. Of course it has an <a href="https://scripting.tumblr.com/rss">RSS feed</a>. Previous posts are in March 2014 and then May 2011. The feed looks pretty straightforward. Looks like every post must have a title? I don't remember it being so noisy?
		- New rule: Idiots get muted. Assholes are blocked. 
		- Joan Crawford
			- <a href="http://www.etiquetteer.com/columns/2018/11/27/joan-crawford-on-entertaining-vol-17-issue-60">Joan Crawford on entertaining at home</a>. 
	- March 4
		- Pot roast is much better on the second day.
		- A long time ago a reporter friend who wrote for the WSJ sent me a link to a blurb for his new book, with my name under it. They wanted me to put this text in a blog post so they could quote it. There was no request, no "please," just here's the job. I didn't do it, and got a flamey email from the guy which surprisingly included a threat to never quote me again. What shocked me then and still shocks me today was how <a href="https://en.wikipedia.org/wiki/Pro_forma">pro forma</a> it seemed. The kind of thing they do for each other all the time in the news business? As far as I recall, I never wrote about it, and certainly never mentioned the name of the reporter. All that's interesting about it to me is that it appeared to be standard practice.
		- Love your friends like a dog
			- What if friends treated their friends as nicely as they treat dogs. 
			- When you sensed they needed a little support, look them in the eye and ask "Who's a good boy?!" 
			- Rub behind the ears. 
			- When they sit give them a treat. 
			- Let them rest their head on your knee.
			- Inside of us, everyone, including you, is a little pup who just wants to know they're in the right place doing the right thing.
			- <img src="http://scripting.com/images/2019/09/25/blackLab.png">
	- March 3
		- <a href="https://twitter.com/davewiner/status/1631782848775462912">Poll</a>: What's the difference between a Nazi and a neo-Nazi?
		- A <a href="https://github.com/scripting/rssSpec">GitHub repo</a> with the contents of the <a href="https://cyber.harvard.edu/rss/rss.html">RSS 2.0 spec at Harvard</a>. No changes are contemplated, the spec has been frozen for 20+ years, but it's nice to have an off-site record.  
	- March 2
		- Today's song: <a href="https://www.youtube.com/watch?v=5TKIqU1AfNk">Legalize It</a>.
		- The other day I was <a href="http://scripting.com/images/2023/03/02/kvelling.png">kvelling</a> about <a href="https://twitter.com/davewiner/status/1630759941433589761">how great ChatGPT was</a> at finding <a href="http://scripting.com/images/2023/03/02/paywalllessfeeds.png">feeds for news sites</a> that didn't have paywalls. Until I noticed that some of the sites <a href="http://scripting.com/images/2023/03/02/oops1.png">most definitely</a> did <a href="http://scripting.com/images/2023/03/02/oops2.png">have paywalls</a>. So it's not perfect. It's a totally 1.0 kind of thing. If you don't know what that means, it might be a good time to re-read <a href="https://en.wikipedia.org/wiki/Microserfs">Microserfs</a>. 
		- BTW, I wish ChatGPT would statically render their results pages, so I don't have to do screen shots just to quote them. Make it easier for us to promote our discoveries. It's so ridiculous that in 2023 we're still using screen shots as the way to hook networks together. 
		- Update: This <a href="https://github.com/jcubic/chat-gpt">project</a> has the <a href="https://github.com/jcubic/chat-gpt/blob/master/bookmark.js">source</a> to a bookmarklet that I used to create <a href="http://scripting.com/publicfolder/chatgpt/news-orgs-no-paywalls.html">this static HTML version</a> of a conversation on ChatGPT. Problem solved. It could be packaged so it's more easily used by a non-technical user. But it's very nice to have as-is. <i>Thanks!</i>
		- Dirty Shirt
			- I've been to Jamaica a couple of times and I swear I've heard people use the term "dirty shirt" as a verb. My uncle Ken who lived in Negril for years, used the term too. 
			- What it means. When someone <i>dirty shirts</i> you, it's as if they did something that left a stain on your shirt, something obvious and not nice that everyone can see.
			- Example: When my cousin sell me bad ganja he <i>dirty shirt</i> me man.
			- But when I searched for the term <a href="https://www.google.com/search?rlz=1C5CHFA_enUS743US747&sxsrf=AJOqlzWNBsqdLDa4woVMkIinhiwcSHSpNg:1677792242754&q=%22dirty+shirt%22+%22jamaican%22+slang&sa=X&ved=2ahUKEwiegYuVl779AhVhMVkFHcFaDOoQ5t4CegQIMxAB&biw=1551&bih=1097&dpr=2">on Google</a>, or <a href="http://scripting.com/images/2023/03/02/rastafariah.png">asked ChatGPT</a>, they offered weird and wrong ideas for what the term means. 
			- I checked in with my friend <a href="https://www.google.com/search?q=site%3Ascripting.com+Dave+Jacobs">Dave Jacobs</a> about this, he has the same understanding of what the term means, but he couldn't find our definition anywhere on the web either. 
			- At least now the <a href="http://scripting.com/images/2023/03/02/googleScreen.png">correct</a> definition will <a href="https://www.google.com/search?q=%22dirty+shirt%22+jamaican+slang">show</a> up <a href="https://scripting.com/2023/03/02/211954.html?title=dirtyShirt">here on my blog</a>.  
			- I find I'm starting to write like ChatGPT. Go figure. :smile:
	- March 1
		- Tonight's Knicks game was pure delight. Haven't enjoyed basketball this much since <a href="https://www.google.com/search?q=site%3Ascripting.com+linsanity">Linsanity</a>. I still don't buy that there's a Knicks-Nets rivalry. There aren't any Nets fans. They are a backup team so if the Knicks are out of town you can still go to a game. Now that the <a href="https://nypost.com/2023/03/01/kevin-durant-hasnt-talked-to-kyrie-irving-since-nets-trade/">carpetbaggers</a> have left, everything is back to normal. Dallas and Phoenix can have them. Good riddance. 
		- This <a href="http://scripting.com/2022/12/28/133527.html#a134126">piece</a> I wrote on 12/28 is what I think should happen next, turn the web we use into a fantastic place for writers. Right now it's a freaking disaster. 
		- I continue to take a break after much michegas converting to email identity and HTTPS. I've got Electric Drummer more or less working, and I think I'm going to stop short of getting all of it working, given that I want to keep taking this break and am not up for more grinding away. Something changed over here, and I'm more inclined to let you all take care of yourselves for a while. Mastodon is fine, even though I can't write for it using the tools I like to use. So far only my blog qualifies, and my docs and this.how stuff. I'm enjoying the winter here in the Catskills and dreaming of other cool things to do. Software right now far from my mind. That could change at any time. 
		- Welcome to March! The usual <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2023/02.opml">archiving</a> and initializing. 
